#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6986
#define LARGE_STATE_COUNT 1091
#define SYMBOL_COUNT 234
#define ALIAS_COUNT 1
#define TOKEN_COUNT 124
#define EXTERNAL_TOKEN_COUNT 26
#define FIELD_COUNT 9
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 28

enum ts_symbol_identifiers {
  aux_sym__terminator_token1 = 1,
  anon_sym_SEMI = 2,
  anon_sym_LPAREN = 3,
  anon_sym_RPAREN = 4,
  aux_sym_identifier_token1 = 5,
  anon_sym_DOT_DOT_DOT = 6,
  sym_alias = 7,
  sym_integer = 8,
  sym_float = 9,
  sym_char = 10,
  anon_sym_true = 11,
  anon_sym_false = 12,
  anon_sym_nil = 13,
  sym_atom = 14,
  anon_sym_DQUOTE = 15,
  anon_sym_SQUOTE = 16,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 17,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 18,
  anon_sym_LBRACE = 19,
  anon_sym_RBRACE = 20,
  anon_sym_LBRACK = 21,
  anon_sym_RBRACK = 22,
  anon_sym_LT = 23,
  anon_sym_GT = 24,
  anon_sym_PIPE = 25,
  anon_sym_SLASH = 26,
  anon_sym_POUND_LBRACE = 27,
  sym_escape_sequence = 28,
  anon_sym_TILDE = 29,
  aux_sym_sigil_token1 = 30,
  aux_sym_sigil_token2 = 31,
  aux_sym_sigil_token3 = 32,
  anon_sym_COMMA = 33,
  sym_keyword = 34,
  aux_sym_quoted_keyword_token1 = 35,
  anon_sym_LT_LT = 36,
  anon_sym_GT_GT = 37,
  anon_sym_PERCENT = 38,
  anon_sym_DOT_DOT = 39,
  anon_sym_AMP = 40,
  anon_sym_PLUS = 41,
  anon_sym_DASH = 42,
  anon_sym_BANG = 43,
  anon_sym_CARET = 44,
  anon_sym_TILDE_TILDE_TILDE = 45,
  anon_sym_not = 46,
  anon_sym_AT = 47,
  anon_sym_LT_DASH = 48,
  anon_sym_BSLASH_BSLASH = 49,
  anon_sym_when = 50,
  anon_sym_COLON_COLON = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_EQ = 53,
  anon_sym_PIPE_PIPE = 54,
  anon_sym_PIPE_PIPE_PIPE = 55,
  anon_sym_or = 56,
  anon_sym_AMP_AMP = 57,
  anon_sym_AMP_AMP_AMP = 58,
  anon_sym_and = 59,
  anon_sym_EQ_EQ = 60,
  anon_sym_BANG_EQ = 61,
  anon_sym_EQ_TILDE = 62,
  anon_sym_EQ_EQ_EQ = 63,
  anon_sym_BANG_EQ_EQ = 64,
  anon_sym_LT_EQ = 65,
  anon_sym_GT_EQ = 66,
  anon_sym_PIPE_GT = 67,
  anon_sym_LT_LT_LT = 68,
  anon_sym_GT_GT_GT = 69,
  anon_sym_LT_LT_TILDE = 70,
  anon_sym_TILDE_GT_GT = 71,
  anon_sym_LT_TILDE = 72,
  anon_sym_TILDE_GT = 73,
  anon_sym_LT_TILDE_GT = 74,
  anon_sym_LT_PIPE_GT = 75,
  anon_sym_in = 76,
  anon_sym_CARET_CARET_CARET = 77,
  anon_sym_SLASH_SLASH = 78,
  anon_sym_PLUS_PLUS = 79,
  anon_sym_DASH_DASH = 80,
  anon_sym_PLUS_PLUS_PLUS = 81,
  anon_sym_DASH_DASH_DASH = 82,
  anon_sym_LT_GT = 83,
  anon_sym_STAR = 84,
  anon_sym_STAR_STAR = 85,
  anon_sym_DASH_GT = 86,
  anon_sym_DOT = 87,
  anon_sym_after = 88,
  anon_sym_catch = 89,
  anon_sym_do = 90,
  anon_sym_else = 91,
  anon_sym_end = 92,
  anon_sym_fn = 93,
  anon_sym_rescue = 94,
  anon_sym_LPAREN2 = 95,
  anon_sym_LBRACK2 = 96,
  sym_comment = 97,
  sym__quoted_content_i_single = 98,
  sym__quoted_content_i_double = 99,
  sym__quoted_content_i_heredoc_single = 100,
  sym__quoted_content_i_heredoc_double = 101,
  sym__quoted_content_i_parenthesis = 102,
  sym__quoted_content_i_curly = 103,
  sym__quoted_content_i_square = 104,
  sym__quoted_content_i_angle = 105,
  sym__quoted_content_i_bar = 106,
  sym__quoted_content_i_slash = 107,
  sym__quoted_content_single = 108,
  sym__quoted_content_double = 109,
  sym__quoted_content_heredoc_single = 110,
  sym__quoted_content_heredoc_double = 111,
  sym__quoted_content_parenthesis = 112,
  sym__quoted_content_curly = 113,
  sym__quoted_content_square = 114,
  sym__quoted_content_angle = 115,
  sym__quoted_content_bar = 116,
  sym__quoted_content_slash = 117,
  sym__newline_before_do = 118,
  sym__newline_before_binary_operator = 119,
  sym__newline_before_comment = 120,
  sym__before_unary_op = 121,
  sym__not_in = 122,
  sym__quoted_atom_start = 123,
  sym_source = 124,
  sym__terminator = 125,
  sym__expression = 126,
  sym_block = 127,
  sym_identifier = 128,
  sym_boolean = 129,
  sym_nil = 130,
  sym__atom = 131,
  sym_quoted_atom = 132,
  sym__quoted_i_double = 133,
  sym__quoted_double = 134,
  sym__quoted_i_single = 135,
  sym__quoted_single = 136,
  sym__quoted_i_heredoc_single = 137,
  sym__quoted_heredoc_single = 138,
  sym__quoted_i_heredoc_double = 139,
  sym__quoted_heredoc_double = 140,
  sym__quoted_i_parenthesis = 141,
  sym__quoted_parenthesis = 142,
  sym__quoted_i_curly = 143,
  sym__quoted_curly = 144,
  sym__quoted_i_square = 145,
  sym__quoted_square = 146,
  sym__quoted_i_angle = 147,
  sym__quoted_angle = 148,
  sym__quoted_i_bar = 149,
  sym__quoted_bar = 150,
  sym__quoted_i_slash = 151,
  sym__quoted_slash = 152,
  sym_string = 153,
  sym_charlist = 154,
  sym_interpolation = 155,
  sym_sigil = 156,
  sym_keywords = 157,
  sym__keywords_with_trailing_separator = 158,
  sym_pair = 159,
  sym__keyword = 160,
  sym_quoted_keyword = 161,
  sym_list = 162,
  sym_tuple = 163,
  sym_bitstring = 164,
  sym_map = 165,
  sym_struct = 166,
  sym__items_with_trailing_separator = 167,
  sym__nullary_operator = 168,
  sym_unary_operator = 169,
  sym__capture_expression = 170,
  sym_binary_operator = 171,
  sym_operator_identifier = 172,
  sym_dot = 173,
  sym_call = 174,
  sym__call_without_parentheses = 175,
  sym__call_with_parentheses = 176,
  sym__local_call_without_parentheses = 177,
  sym__local_call_with_parentheses = 178,
  sym__local_call_just_do_block = 179,
  sym__remote_call_without_parentheses = 180,
  sym__remote_call_with_parentheses = 181,
  sym__remote_dot = 182,
  sym__anonymous_call = 183,
  sym__anonymous_dot = 184,
  sym__double_call = 185,
  sym__call_arguments_with_parentheses = 186,
  sym__call_arguments_with_parentheses_immediate = 187,
  sym__call_arguments_with_trailing_separator = 188,
  sym__call_arguments_without_parentheses = 189,
  sym_do_block = 190,
  sym_after_block = 191,
  sym_rescue_block = 192,
  sym_catch_block = 193,
  sym_else_block = 194,
  sym_access_call = 195,
  sym_stab_clause = 196,
  sym__stab_clause_left = 197,
  sym__stab_clause_arguments_with_parentheses = 198,
  sym__stab_clause_arguments_without_parentheses = 199,
  sym__stab_clause_arguments_with_parentheses_with_guard = 200,
  sym__stab_clause_arguments_without_parentheses_with_guard = 201,
  sym_body = 202,
  sym_anonymous_function = 203,
  aux_sym_source_repeat1 = 204,
  aux_sym__terminator_repeat1 = 205,
  aux_sym_block_repeat1 = 206,
  aux_sym_block_repeat2 = 207,
  aux_sym__quoted_i_double_repeat1 = 208,
  aux_sym__quoted_double_repeat1 = 209,
  aux_sym__quoted_i_single_repeat1 = 210,
  aux_sym__quoted_single_repeat1 = 211,
  aux_sym__quoted_i_heredoc_single_repeat1 = 212,
  aux_sym__quoted_heredoc_single_repeat1 = 213,
  aux_sym__quoted_i_heredoc_double_repeat1 = 214,
  aux_sym__quoted_heredoc_double_repeat1 = 215,
  aux_sym__quoted_i_parenthesis_repeat1 = 216,
  aux_sym__quoted_parenthesis_repeat1 = 217,
  aux_sym__quoted_i_curly_repeat1 = 218,
  aux_sym__quoted_curly_repeat1 = 219,
  aux_sym__quoted_i_square_repeat1 = 220,
  aux_sym__quoted_square_repeat1 = 221,
  aux_sym__quoted_i_angle_repeat1 = 222,
  aux_sym__quoted_angle_repeat1 = 223,
  aux_sym__quoted_i_bar_repeat1 = 224,
  aux_sym__quoted_bar_repeat1 = 225,
  aux_sym__quoted_i_slash_repeat1 = 226,
  aux_sym__quoted_slash_repeat1 = 227,
  aux_sym_keywords_repeat1 = 228,
  aux_sym__items_with_trailing_separator_repeat1 = 229,
  aux_sym_do_block_repeat1 = 230,
  aux_sym__stab_clause_arguments_with_parentheses_repeat1 = 231,
  aux_sym__stab_clause_arguments_without_parentheses_repeat1 = 232,
  aux_sym_anonymous_function_repeat1 = 233,
  alias_sym_map_content = 234,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [aux_sym__terminator_token1] = "_terminator_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym_identifier_token1] = "identifier_token1",
  [anon_sym_DOT_DOT_DOT] = "...",
  [sym_alias] = "alias",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_char] = "char",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_nil] = "nil",
  [sym_atom] = "atom",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_PIPE] = "|",
  [anon_sym_SLASH] = "/",
  [anon_sym_POUND_LBRACE] = "#{",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_TILDE] = "~",
  [aux_sym_sigil_token1] = "sigil_name",
  [aux_sym_sigil_token2] = "sigil_name",
  [aux_sym_sigil_token3] = "sigil_modifiers",
  [anon_sym_COMMA] = ",",
  [sym_keyword] = "keyword",
  [aux_sym_quoted_keyword_token1] = "quoted_keyword_token1",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_AMP] = "&",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_TILDE_TILDE_TILDE] = "~~~",
  [anon_sym_not] = "not",
  [anon_sym_AT] = "@",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_BSLASH_BSLASH] = "\\\\",
  [anon_sym_when] = "when",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_EQ] = "=",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PIPE_PIPE_PIPE] = "|||",
  [anon_sym_or] = "or",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_AMP_AMP_AMP] = "&&&",
  [anon_sym_and] = "and",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT_TILDE] = "<<~",
  [anon_sym_TILDE_GT_GT] = "~>>",
  [anon_sym_LT_TILDE] = "<~",
  [anon_sym_TILDE_GT] = "~>",
  [anon_sym_LT_TILDE_GT] = "<~>",
  [anon_sym_LT_PIPE_GT] = "<|>",
  [anon_sym_in] = "in",
  [anon_sym_CARET_CARET_CARET] = "^^^",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS_PLUS] = "+++",
  [anon_sym_DASH_DASH_DASH] = "---",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_STAR] = "*",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_DOT] = ".",
  [anon_sym_after] = "after",
  [anon_sym_catch] = "catch",
  [anon_sym_do] = "do",
  [anon_sym_else] = "else",
  [anon_sym_end] = "end",
  [anon_sym_fn] = "fn",
  [anon_sym_rescue] = "rescue",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_LBRACK2] = "[",
  [sym_comment] = "comment",
  [sym__quoted_content_i_single] = "quoted_content",
  [sym__quoted_content_i_double] = "quoted_content",
  [sym__quoted_content_i_heredoc_single] = "quoted_content",
  [sym__quoted_content_i_heredoc_double] = "quoted_content",
  [sym__quoted_content_i_parenthesis] = "quoted_content",
  [sym__quoted_content_i_curly] = "quoted_content",
  [sym__quoted_content_i_square] = "quoted_content",
  [sym__quoted_content_i_angle] = "quoted_content",
  [sym__quoted_content_i_bar] = "quoted_content",
  [sym__quoted_content_i_slash] = "quoted_content",
  [sym__quoted_content_single] = "quoted_content",
  [sym__quoted_content_double] = "quoted_content",
  [sym__quoted_content_heredoc_single] = "quoted_content",
  [sym__quoted_content_heredoc_double] = "quoted_content",
  [sym__quoted_content_parenthesis] = "quoted_content",
  [sym__quoted_content_curly] = "quoted_content",
  [sym__quoted_content_square] = "quoted_content",
  [sym__quoted_content_angle] = "quoted_content",
  [sym__quoted_content_bar] = "quoted_content",
  [sym__quoted_content_slash] = "quoted_content",
  [sym__newline_before_do] = "_newline_before_do",
  [sym__newline_before_binary_operator] = "_newline_before_binary_operator",
  [sym__newline_before_comment] = "_newline_before_comment",
  [sym__before_unary_op] = "_before_unary_op",
  [sym__not_in] = "not in",
  [sym__quoted_atom_start] = ":",
  [sym_source] = "source",
  [sym__terminator] = "_terminator",
  [sym__expression] = "_expression",
  [sym_block] = "block",
  [sym_identifier] = "identifier",
  [sym_boolean] = "boolean",
  [sym_nil] = "nil",
  [sym__atom] = "_atom",
  [sym_quoted_atom] = "quoted_atom",
  [sym__quoted_i_double] = "_quoted_i_double",
  [sym__quoted_double] = "_quoted_double",
  [sym__quoted_i_single] = "_quoted_i_single",
  [sym__quoted_single] = "_quoted_single",
  [sym__quoted_i_heredoc_single] = "_quoted_i_heredoc_single",
  [sym__quoted_heredoc_single] = "_quoted_heredoc_single",
  [sym__quoted_i_heredoc_double] = "_quoted_i_heredoc_double",
  [sym__quoted_heredoc_double] = "_quoted_heredoc_double",
  [sym__quoted_i_parenthesis] = "_quoted_i_parenthesis",
  [sym__quoted_parenthesis] = "_quoted_parenthesis",
  [sym__quoted_i_curly] = "_quoted_i_curly",
  [sym__quoted_curly] = "_quoted_curly",
  [sym__quoted_i_square] = "_quoted_i_square",
  [sym__quoted_square] = "_quoted_square",
  [sym__quoted_i_angle] = "_quoted_i_angle",
  [sym__quoted_angle] = "_quoted_angle",
  [sym__quoted_i_bar] = "_quoted_i_bar",
  [sym__quoted_bar] = "_quoted_bar",
  [sym__quoted_i_slash] = "_quoted_i_slash",
  [sym__quoted_slash] = "_quoted_slash",
  [sym_string] = "string",
  [sym_charlist] = "charlist",
  [sym_interpolation] = "interpolation",
  [sym_sigil] = "sigil",
  [sym_keywords] = "keywords",
  [sym__keywords_with_trailing_separator] = "keywords",
  [sym_pair] = "pair",
  [sym__keyword] = "_keyword",
  [sym_quoted_keyword] = "quoted_keyword",
  [sym_list] = "list",
  [sym_tuple] = "tuple",
  [sym_bitstring] = "bitstring",
  [sym_map] = "map",
  [sym_struct] = "struct",
  [sym__items_with_trailing_separator] = "_items_with_trailing_separator",
  [sym__nullary_operator] = "_nullary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym__capture_expression] = "_capture_expression",
  [sym_binary_operator] = "binary_operator",
  [sym_operator_identifier] = "operator_identifier",
  [sym_dot] = "dot",
  [sym_call] = "call",
  [sym__call_without_parentheses] = "_call_without_parentheses",
  [sym__call_with_parentheses] = "_call_with_parentheses",
  [sym__local_call_without_parentheses] = "_local_call_without_parentheses",
  [sym__local_call_with_parentheses] = "_local_call_with_parentheses",
  [sym__local_call_just_do_block] = "_local_call_just_do_block",
  [sym__remote_call_without_parentheses] = "_remote_call_without_parentheses",
  [sym__remote_call_with_parentheses] = "_remote_call_with_parentheses",
  [sym__remote_dot] = "dot",
  [sym__anonymous_call] = "_anonymous_call",
  [sym__anonymous_dot] = "dot",
  [sym__double_call] = "_double_call",
  [sym__call_arguments_with_parentheses] = "arguments",
  [sym__call_arguments_with_parentheses_immediate] = "arguments",
  [sym__call_arguments_with_trailing_separator] = "_call_arguments_with_trailing_separator",
  [sym__call_arguments_without_parentheses] = "arguments",
  [sym_do_block] = "do_block",
  [sym_after_block] = "after_block",
  [sym_rescue_block] = "rescue_block",
  [sym_catch_block] = "catch_block",
  [sym_else_block] = "else_block",
  [sym_access_call] = "access_call",
  [sym_stab_clause] = "stab_clause",
  [sym__stab_clause_left] = "_stab_clause_left",
  [sym__stab_clause_arguments_with_parentheses] = "arguments",
  [sym__stab_clause_arguments_without_parentheses] = "arguments",
  [sym__stab_clause_arguments_with_parentheses_with_guard] = "binary_operator",
  [sym__stab_clause_arguments_without_parentheses_with_guard] = "binary_operator",
  [sym_body] = "body",
  [sym_anonymous_function] = "anonymous_function",
  [aux_sym_source_repeat1] = "source_repeat1",
  [aux_sym__terminator_repeat1] = "_terminator_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_block_repeat2] = "block_repeat2",
  [aux_sym__quoted_i_double_repeat1] = "_quoted_i_double_repeat1",
  [aux_sym__quoted_double_repeat1] = "_quoted_double_repeat1",
  [aux_sym__quoted_i_single_repeat1] = "_quoted_i_single_repeat1",
  [aux_sym__quoted_single_repeat1] = "_quoted_single_repeat1",
  [aux_sym__quoted_i_heredoc_single_repeat1] = "_quoted_i_heredoc_single_repeat1",
  [aux_sym__quoted_heredoc_single_repeat1] = "_quoted_heredoc_single_repeat1",
  [aux_sym__quoted_i_heredoc_double_repeat1] = "_quoted_i_heredoc_double_repeat1",
  [aux_sym__quoted_heredoc_double_repeat1] = "_quoted_heredoc_double_repeat1",
  [aux_sym__quoted_i_parenthesis_repeat1] = "_quoted_i_parenthesis_repeat1",
  [aux_sym__quoted_parenthesis_repeat1] = "_quoted_parenthesis_repeat1",
  [aux_sym__quoted_i_curly_repeat1] = "_quoted_i_curly_repeat1",
  [aux_sym__quoted_curly_repeat1] = "_quoted_curly_repeat1",
  [aux_sym__quoted_i_square_repeat1] = "_quoted_i_square_repeat1",
  [aux_sym__quoted_square_repeat1] = "_quoted_square_repeat1",
  [aux_sym__quoted_i_angle_repeat1] = "_quoted_i_angle_repeat1",
  [aux_sym__quoted_angle_repeat1] = "_quoted_angle_repeat1",
  [aux_sym__quoted_i_bar_repeat1] = "_quoted_i_bar_repeat1",
  [aux_sym__quoted_bar_repeat1] = "_quoted_bar_repeat1",
  [aux_sym__quoted_i_slash_repeat1] = "_quoted_i_slash_repeat1",
  [aux_sym__quoted_slash_repeat1] = "_quoted_slash_repeat1",
  [aux_sym_keywords_repeat1] = "keywords_repeat1",
  [aux_sym__items_with_trailing_separator_repeat1] = "_items_with_trailing_separator_repeat1",
  [aux_sym_do_block_repeat1] = "do_block_repeat1",
  [aux_sym__stab_clause_arguments_with_parentheses_repeat1] = "_stab_clause_arguments_with_parentheses_repeat1",
  [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = "_stab_clause_arguments_without_parentheses_repeat1",
  [aux_sym_anonymous_function_repeat1] = "anonymous_function_repeat1",
  [alias_sym_map_content] = "map_content",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [aux_sym__terminator_token1] = aux_sym__terminator_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [sym_alias] = sym_alias,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [sym_char] = sym_char,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_nil] = anon_sym_nil,
  [sym_atom] = sym_atom,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_POUND_LBRACE] = anon_sym_POUND_LBRACE,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [aux_sym_sigil_token1] = aux_sym_sigil_token1,
  [aux_sym_sigil_token2] = aux_sym_sigil_token1,
  [aux_sym_sigil_token3] = aux_sym_sigil_token3,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [sym_keyword] = sym_keyword,
  [aux_sym_quoted_keyword_token1] = aux_sym_quoted_keyword_token1,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_TILDE_TILDE_TILDE] = anon_sym_TILDE_TILDE_TILDE,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_BSLASH_BSLASH] = anon_sym_BSLASH_BSLASH,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PIPE_PIPE_PIPE] = anon_sym_PIPE_PIPE_PIPE,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_AMP_AMP_AMP] = anon_sym_AMP_AMP_AMP,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT_TILDE] = anon_sym_LT_LT_TILDE,
  [anon_sym_TILDE_GT_GT] = anon_sym_TILDE_GT_GT,
  [anon_sym_LT_TILDE] = anon_sym_LT_TILDE,
  [anon_sym_TILDE_GT] = anon_sym_TILDE_GT,
  [anon_sym_LT_TILDE_GT] = anon_sym_LT_TILDE_GT,
  [anon_sym_LT_PIPE_GT] = anon_sym_LT_PIPE_GT,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_CARET_CARET_CARET] = anon_sym_CARET_CARET_CARET,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS_PLUS] = anon_sym_PLUS_PLUS_PLUS,
  [anon_sym_DASH_DASH_DASH] = anon_sym_DASH_DASH_DASH,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_after] = anon_sym_after,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_rescue] = anon_sym_rescue,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [sym_comment] = sym_comment,
  [sym__quoted_content_i_single] = sym__quoted_content_i_single,
  [sym__quoted_content_i_double] = sym__quoted_content_i_single,
  [sym__quoted_content_i_heredoc_single] = sym__quoted_content_i_single,
  [sym__quoted_content_i_heredoc_double] = sym__quoted_content_i_single,
  [sym__quoted_content_i_parenthesis] = sym__quoted_content_i_single,
  [sym__quoted_content_i_curly] = sym__quoted_content_i_single,
  [sym__quoted_content_i_square] = sym__quoted_content_i_single,
  [sym__quoted_content_i_angle] = sym__quoted_content_i_single,
  [sym__quoted_content_i_bar] = sym__quoted_content_i_single,
  [sym__quoted_content_i_slash] = sym__quoted_content_i_single,
  [sym__quoted_content_single] = sym__quoted_content_i_single,
  [sym__quoted_content_double] = sym__quoted_content_i_single,
  [sym__quoted_content_heredoc_single] = sym__quoted_content_i_single,
  [sym__quoted_content_heredoc_double] = sym__quoted_content_i_single,
  [sym__quoted_content_parenthesis] = sym__quoted_content_i_single,
  [sym__quoted_content_curly] = sym__quoted_content_i_single,
  [sym__quoted_content_square] = sym__quoted_content_i_single,
  [sym__quoted_content_angle] = sym__quoted_content_i_single,
  [sym__quoted_content_bar] = sym__quoted_content_i_single,
  [sym__quoted_content_slash] = sym__quoted_content_i_single,
  [sym__newline_before_do] = sym__newline_before_do,
  [sym__newline_before_binary_operator] = sym__newline_before_binary_operator,
  [sym__newline_before_comment] = sym__newline_before_comment,
  [sym__before_unary_op] = sym__before_unary_op,
  [sym__not_in] = sym__not_in,
  [sym__quoted_atom_start] = sym__quoted_atom_start,
  [sym_source] = sym_source,
  [sym__terminator] = sym__terminator,
  [sym__expression] = sym__expression,
  [sym_block] = sym_block,
  [sym_identifier] = sym_identifier,
  [sym_boolean] = sym_boolean,
  [sym_nil] = sym_nil,
  [sym__atom] = sym__atom,
  [sym_quoted_atom] = sym_quoted_atom,
  [sym__quoted_i_double] = sym__quoted_i_double,
  [sym__quoted_double] = sym__quoted_double,
  [sym__quoted_i_single] = sym__quoted_i_single,
  [sym__quoted_single] = sym__quoted_single,
  [sym__quoted_i_heredoc_single] = sym__quoted_i_heredoc_single,
  [sym__quoted_heredoc_single] = sym__quoted_heredoc_single,
  [sym__quoted_i_heredoc_double] = sym__quoted_i_heredoc_double,
  [sym__quoted_heredoc_double] = sym__quoted_heredoc_double,
  [sym__quoted_i_parenthesis] = sym__quoted_i_parenthesis,
  [sym__quoted_parenthesis] = sym__quoted_parenthesis,
  [sym__quoted_i_curly] = sym__quoted_i_curly,
  [sym__quoted_curly] = sym__quoted_curly,
  [sym__quoted_i_square] = sym__quoted_i_square,
  [sym__quoted_square] = sym__quoted_square,
  [sym__quoted_i_angle] = sym__quoted_i_angle,
  [sym__quoted_angle] = sym__quoted_angle,
  [sym__quoted_i_bar] = sym__quoted_i_bar,
  [sym__quoted_bar] = sym__quoted_bar,
  [sym__quoted_i_slash] = sym__quoted_i_slash,
  [sym__quoted_slash] = sym__quoted_slash,
  [sym_string] = sym_string,
  [sym_charlist] = sym_charlist,
  [sym_interpolation] = sym_interpolation,
  [sym_sigil] = sym_sigil,
  [sym_keywords] = sym_keywords,
  [sym__keywords_with_trailing_separator] = sym_keywords,
  [sym_pair] = sym_pair,
  [sym__keyword] = sym__keyword,
  [sym_quoted_keyword] = sym_quoted_keyword,
  [sym_list] = sym_list,
  [sym_tuple] = sym_tuple,
  [sym_bitstring] = sym_bitstring,
  [sym_map] = sym_map,
  [sym_struct] = sym_struct,
  [sym__items_with_trailing_separator] = sym__items_with_trailing_separator,
  [sym__nullary_operator] = sym__nullary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym__capture_expression] = sym__capture_expression,
  [sym_binary_operator] = sym_binary_operator,
  [sym_operator_identifier] = sym_operator_identifier,
  [sym_dot] = sym_dot,
  [sym_call] = sym_call,
  [sym__call_without_parentheses] = sym__call_without_parentheses,
  [sym__call_with_parentheses] = sym__call_with_parentheses,
  [sym__local_call_without_parentheses] = sym__local_call_without_parentheses,
  [sym__local_call_with_parentheses] = sym__local_call_with_parentheses,
  [sym__local_call_just_do_block] = sym__local_call_just_do_block,
  [sym__remote_call_without_parentheses] = sym__remote_call_without_parentheses,
  [sym__remote_call_with_parentheses] = sym__remote_call_with_parentheses,
  [sym__remote_dot] = sym_dot,
  [sym__anonymous_call] = sym__anonymous_call,
  [sym__anonymous_dot] = sym_dot,
  [sym__double_call] = sym__double_call,
  [sym__call_arguments_with_parentheses] = sym__call_arguments_with_parentheses,
  [sym__call_arguments_with_parentheses_immediate] = sym__call_arguments_with_parentheses,
  [sym__call_arguments_with_trailing_separator] = sym__call_arguments_with_trailing_separator,
  [sym__call_arguments_without_parentheses] = sym__call_arguments_with_parentheses,
  [sym_do_block] = sym_do_block,
  [sym_after_block] = sym_after_block,
  [sym_rescue_block] = sym_rescue_block,
  [sym_catch_block] = sym_catch_block,
  [sym_else_block] = sym_else_block,
  [sym_access_call] = sym_access_call,
  [sym_stab_clause] = sym_stab_clause,
  [sym__stab_clause_left] = sym__stab_clause_left,
  [sym__stab_clause_arguments_with_parentheses] = sym__call_arguments_with_parentheses,
  [sym__stab_clause_arguments_without_parentheses] = sym__call_arguments_with_parentheses,
  [sym__stab_clause_arguments_with_parentheses_with_guard] = sym_binary_operator,
  [sym__stab_clause_arguments_without_parentheses_with_guard] = sym_binary_operator,
  [sym_body] = sym_body,
  [sym_anonymous_function] = sym_anonymous_function,
  [aux_sym_source_repeat1] = aux_sym_source_repeat1,
  [aux_sym__terminator_repeat1] = aux_sym__terminator_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_block_repeat2] = aux_sym_block_repeat2,
  [aux_sym__quoted_i_double_repeat1] = aux_sym__quoted_i_double_repeat1,
  [aux_sym__quoted_double_repeat1] = aux_sym__quoted_double_repeat1,
  [aux_sym__quoted_i_single_repeat1] = aux_sym__quoted_i_single_repeat1,
  [aux_sym__quoted_single_repeat1] = aux_sym__quoted_single_repeat1,
  [aux_sym__quoted_i_heredoc_single_repeat1] = aux_sym__quoted_i_heredoc_single_repeat1,
  [aux_sym__quoted_heredoc_single_repeat1] = aux_sym__quoted_heredoc_single_repeat1,
  [aux_sym__quoted_i_heredoc_double_repeat1] = aux_sym__quoted_i_heredoc_double_repeat1,
  [aux_sym__quoted_heredoc_double_repeat1] = aux_sym__quoted_heredoc_double_repeat1,
  [aux_sym__quoted_i_parenthesis_repeat1] = aux_sym__quoted_i_parenthesis_repeat1,
  [aux_sym__quoted_parenthesis_repeat1] = aux_sym__quoted_parenthesis_repeat1,
  [aux_sym__quoted_i_curly_repeat1] = aux_sym__quoted_i_curly_repeat1,
  [aux_sym__quoted_curly_repeat1] = aux_sym__quoted_curly_repeat1,
  [aux_sym__quoted_i_square_repeat1] = aux_sym__quoted_i_square_repeat1,
  [aux_sym__quoted_square_repeat1] = aux_sym__quoted_square_repeat1,
  [aux_sym__quoted_i_angle_repeat1] = aux_sym__quoted_i_angle_repeat1,
  [aux_sym__quoted_angle_repeat1] = aux_sym__quoted_angle_repeat1,
  [aux_sym__quoted_i_bar_repeat1] = aux_sym__quoted_i_bar_repeat1,
  [aux_sym__quoted_bar_repeat1] = aux_sym__quoted_bar_repeat1,
  [aux_sym__quoted_i_slash_repeat1] = aux_sym__quoted_i_slash_repeat1,
  [aux_sym__quoted_slash_repeat1] = aux_sym__quoted_slash_repeat1,
  [aux_sym_keywords_repeat1] = aux_sym_keywords_repeat1,
  [aux_sym__items_with_trailing_separator_repeat1] = aux_sym__items_with_trailing_separator_repeat1,
  [aux_sym_do_block_repeat1] = aux_sym_do_block_repeat1,
  [aux_sym__stab_clause_arguments_with_parentheses_repeat1] = aux_sym__stab_clause_arguments_with_parentheses_repeat1,
  [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = aux_sym__stab_clause_arguments_without_parentheses_repeat1,
  [aux_sym_anonymous_function_repeat1] = aux_sym_anonymous_function_repeat1,
  [alias_sym_map_content] = alias_sym_map_content,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__terminator_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nil] = {
    .visible = true,
    .named = false,
  },
  [sym_atom] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_sigil_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sigil_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sigil_token3] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [sym_keyword] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_keyword_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_TILDE_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_TILDE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rescue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_single] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_double] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_heredoc_single] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_heredoc_double] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_parenthesis] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_curly] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_square] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_angle] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_bar] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_i_slash] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_single] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_double] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_heredoc_single] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_heredoc_double] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_parenthesis] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_curly] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_square] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_angle] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_bar] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_content_slash] = {
    .visible = true,
    .named = true,
  },
  [sym__newline_before_do] = {
    .visible = false,
    .named = true,
  },
  [sym__newline_before_binary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__newline_before_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__before_unary_op] = {
    .visible = false,
    .named = true,
  },
  [sym__not_in] = {
    .visible = true,
    .named = false,
  },
  [sym__quoted_atom_start] = {
    .visible = true,
    .named = false,
  },
  [sym_source] = {
    .visible = true,
    .named = true,
  },
  [sym__terminator] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym__atom] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_atom] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_i_double] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_double] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_single] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_single] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_heredoc_single] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_heredoc_single] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_heredoc_double] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_heredoc_double] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_curly] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_curly] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_square] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_square] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_angle] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_angle] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_bar] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_bar] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_i_slash] = {
    .visible = false,
    .named = true,
  },
  [sym__quoted_slash] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_charlist] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_sigil] = {
    .visible = true,
    .named = true,
  },
  [sym_keywords] = {
    .visible = true,
    .named = true,
  },
  [sym__keywords_with_trailing_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__keyword] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_bitstring] = {
    .visible = true,
    .named = true,
  },
  [sym_map] = {
    .visible = true,
    .named = true,
  },
  [sym_struct] = {
    .visible = true,
    .named = true,
  },
  [sym__items_with_trailing_separator] = {
    .visible = false,
    .named = true,
  },
  [sym__nullary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__capture_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym__call_without_parentheses] = {
    .visible = false,
    .named = true,
  },
  [sym__call_with_parentheses] = {
    .visible = false,
    .named = true,
  },
  [sym__local_call_without_parentheses] = {
    .visible = false,
    .named = true,
  },
  [sym__local_call_with_parentheses] = {
    .visible = false,
    .named = true,
  },
  [sym__local_call_just_do_block] = {
    .visible = false,
    .named = true,
  },
  [sym__remote_call_without_parentheses] = {
    .visible = false,
    .named = true,
  },
  [sym__remote_call_with_parentheses] = {
    .visible = false,
    .named = true,
  },
  [sym__remote_dot] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_call] = {
    .visible = false,
    .named = true,
  },
  [sym__anonymous_dot] = {
    .visible = true,
    .named = true,
  },
  [sym__double_call] = {
    .visible = false,
    .named = true,
  },
  [sym__call_arguments_with_parentheses] = {
    .visible = true,
    .named = true,
  },
  [sym__call_arguments_with_parentheses_immediate] = {
    .visible = true,
    .named = true,
  },
  [sym__call_arguments_with_trailing_separator] = {
    .visible = false,
    .named = true,
  },
  [sym__call_arguments_without_parentheses] = {
    .visible = true,
    .named = true,
  },
  [sym_do_block] = {
    .visible = true,
    .named = true,
  },
  [sym_after_block] = {
    .visible = true,
    .named = true,
  },
  [sym_rescue_block] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_block] = {
    .visible = true,
    .named = true,
  },
  [sym_access_call] = {
    .visible = true,
    .named = true,
  },
  [sym_stab_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__stab_clause_left] = {
    .visible = false,
    .named = true,
  },
  [sym__stab_clause_arguments_with_parentheses] = {
    .visible = true,
    .named = true,
  },
  [sym__stab_clause_arguments_without_parentheses] = {
    .visible = true,
    .named = true,
  },
  [sym__stab_clause_arguments_with_parentheses_with_guard] = {
    .visible = true,
    .named = true,
  },
  [sym__stab_clause_arguments_without_parentheses_with_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_body] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__terminator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_double_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_double_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_single_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_single_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_heredoc_single_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_heredoc_single_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_heredoc_double_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_heredoc_double_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_parenthesis_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_parenthesis_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_curly_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_curly_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_square_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_square_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_angle_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_angle_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_bar_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_bar_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_i_slash_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__quoted_slash_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keywords_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__items_with_trailing_separator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_do_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__stab_clause_arguments_with_parentheses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_map_content] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_key = 1,
  field_left = 2,
  field_operand = 3,
  field_operator = 4,
  field_quoted_end = 5,
  field_quoted_start = 6,
  field_right = 7,
  field_target = 8,
  field_value = 9,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_key] = "key",
  [field_left] = "left",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_quoted_end] = "quoted_end",
  [field_quoted_start] = "quoted_start",
  [field_right] = "right",
  [field_target] = "target",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 2},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 4},
  [5] = {.index = 7, .length = 2},
  [6] = {.index = 9, .length = 1},
  [7] = {.index = 10, .length = 3},
  [8] = {.index = 13, .length = 2},
  [9] = {.index = 2, .length = 1},
  [10] = {.index = 15, .length = 2},
  [11] = {.index = 17, .length = 2},
  [12] = {.index = 19, .length = 1},
  [13] = {.index = 20, .length = 2},
  [14] = {.index = 22, .length = 3},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 2},
  [17] = {.index = 29, .length = 2},
  [18] = {.index = 31, .length = 2},
  [19] = {.index = 33, .length = 2},
  [20] = {.index = 35, .length = 3},
  [21] = {.index = 35, .length = 3},
  [22] = {.index = 38, .length = 5},
  [23] = {.index = 38, .length = 5},
  [24] = {.index = 43, .length = 2},
  [26] = {.index = 45, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_quoted_end, 0, .inherited = true},
    {field_quoted_start, 0, .inherited = true},
  [2] =
    {field_target, 0, .inherited = true},
  [3] =
    {field_left, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_right, 0, .inherited = true},
    {field_target, 0},
  [7] =
    {field_quoted_end, 1, .inherited = true},
    {field_quoted_start, 1, .inherited = true},
  [9] =
    {field_operator, 0},
  [10] =
    {field_left, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [13] =
    {field_quoted_end, 1},
    {field_quoted_start, 0},
  [15] =
    {field_operand, 1},
    {field_operator, 0},
  [17] =
    {field_left, 0},
    {field_operator, 1},
  [19] =
    {field_target, 0},
  [20] =
    {field_target, 0},
    {field_target, 0, .inherited = true},
  [22] =
    {field_left, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_target, 0},
  [25] =
    {field_operand, 2},
    {field_operator, 1},
  [27] =
    {field_operator, 0},
    {field_right, 1},
  [29] =
    {field_key, 0},
    {field_value, 1},
  [31] =
    {field_quoted_end, 2},
    {field_quoted_start, 0},
  [33] =
    {field_quoted_end, 2, .inherited = true},
    {field_quoted_start, 2, .inherited = true},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_operator, 1},
    {field_quoted_end, 2, .inherited = true},
    {field_quoted_start, 2, .inherited = true},
    {field_right, 2},
  [43] =
    {field_quoted_end, 3},
    {field_quoted_start, 0},
  [45] =
    {field_key, 2},
    {field_target, 0},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_operator_identifier,
  },
  [9] = {
    [0] = sym_call,
  },
  [13] = {
    [0] = sym_call,
  },
  [21] = {
    [2] = sym_identifier,
  },
  [22] = {
    [2] = sym_string,
  },
  [23] = {
    [2] = sym_charlist,
  },
  [25] = {
    [2] = alias_sym_map_content,
  },
  [27] = {
    [3] = alias_sym_map_content,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__quoted_i_double, 2,
    sym__quoted_i_double,
    sym_string,
  sym__quoted_i_single, 2,
    sym__quoted_i_single,
    sym_charlist,
  sym__items_with_trailing_separator, 2,
    sym__items_with_trailing_separator,
    alias_sym_map_content,
  sym__call_with_parentheses, 2,
    sym__call_with_parentheses,
    sym_call,
  sym__local_call_with_parentheses, 2,
    sym__local_call_with_parentheses,
    sym_call,
  sym__remote_call_with_parentheses, 2,
    sym__remote_call_with_parentheses,
    sym_call,
  sym__anonymous_call, 2,
    sym__anonymous_call,
    sym_call,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 14,
  [15] = 14,
  [16] = 14,
  [17] = 17,
  [18] = 17,
  [19] = 14,
  [20] = 17,
  [21] = 21,
  [22] = 21,
  [23] = 21,
  [24] = 21,
  [25] = 21,
  [26] = 21,
  [27] = 21,
  [28] = 21,
  [29] = 17,
  [30] = 21,
  [31] = 21,
  [32] = 21,
  [33] = 21,
  [34] = 34,
  [35] = 17,
  [36] = 36,
  [37] = 37,
  [38] = 14,
  [39] = 39,
  [40] = 14,
  [41] = 17,
  [42] = 17,
  [43] = 14,
  [44] = 14,
  [45] = 17,
  [46] = 14,
  [47] = 17,
  [48] = 14,
  [49] = 14,
  [50] = 14,
  [51] = 14,
  [52] = 14,
  [53] = 17,
  [54] = 17,
  [55] = 17,
  [56] = 17,
  [57] = 17,
  [58] = 14,
  [59] = 14,
  [60] = 17,
  [61] = 14,
  [62] = 14,
  [63] = 17,
  [64] = 17,
  [65] = 14,
  [66] = 66,
  [67] = 67,
  [68] = 17,
  [69] = 14,
  [70] = 70,
  [71] = 17,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 74,
  [77] = 74,
  [78] = 74,
  [79] = 73,
  [80] = 74,
  [81] = 17,
  [82] = 74,
  [83] = 74,
  [84] = 73,
  [85] = 73,
  [86] = 74,
  [87] = 73,
  [88] = 74,
  [89] = 73,
  [90] = 73,
  [91] = 74,
  [92] = 73,
  [93] = 73,
  [94] = 74,
  [95] = 75,
  [96] = 74,
  [97] = 73,
  [98] = 73,
  [99] = 73,
  [100] = 100,
  [101] = 100,
  [102] = 100,
  [103] = 100,
  [104] = 100,
  [105] = 100,
  [106] = 100,
  [107] = 100,
  [108] = 100,
  [109] = 100,
  [110] = 110,
  [111] = 100,
  [112] = 100,
  [113] = 113,
  [114] = 113,
  [115] = 113,
  [116] = 113,
  [117] = 113,
  [118] = 113,
  [119] = 113,
  [120] = 113,
  [121] = 113,
  [122] = 113,
  [123] = 113,
  [124] = 113,
  [125] = 125,
  [126] = 125,
  [127] = 125,
  [128] = 125,
  [129] = 129,
  [130] = 125,
  [131] = 125,
  [132] = 132,
  [133] = 125,
  [134] = 129,
  [135] = 125,
  [136] = 125,
  [137] = 125,
  [138] = 125,
  [139] = 125,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 140,
  [144] = 141,
  [145] = 141,
  [146] = 140,
  [147] = 142,
  [148] = 140,
  [149] = 141,
  [150] = 140,
  [151] = 142,
  [152] = 141,
  [153] = 142,
  [154] = 140,
  [155] = 142,
  [156] = 140,
  [157] = 142,
  [158] = 141,
  [159] = 142,
  [160] = 140,
  [161] = 142,
  [162] = 141,
  [163] = 141,
  [164] = 140,
  [165] = 142,
  [166] = 142,
  [167] = 141,
  [168] = 140,
  [169] = 141,
  [170] = 140,
  [171] = 142,
  [172] = 141,
  [173] = 141,
  [174] = 140,
  [175] = 142,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 178,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 179,
  [185] = 179,
  [186] = 186,
  [187] = 181,
  [188] = 188,
  [189] = 178,
  [190] = 182,
  [191] = 183,
  [192] = 192,
  [193] = 186,
  [194] = 182,
  [195] = 181,
  [196] = 196,
  [197] = 182,
  [198] = 179,
  [199] = 192,
  [200] = 183,
  [201] = 179,
  [202] = 178,
  [203] = 186,
  [204] = 181,
  [205] = 179,
  [206] = 183,
  [207] = 186,
  [208] = 178,
  [209] = 182,
  [210] = 183,
  [211] = 192,
  [212] = 178,
  [213] = 186,
  [214] = 186,
  [215] = 181,
  [216] = 181,
  [217] = 182,
  [218] = 179,
  [219] = 181,
  [220] = 182,
  [221] = 186,
  [222] = 179,
  [223] = 182,
  [224] = 181,
  [225] = 179,
  [226] = 183,
  [227] = 186,
  [228] = 182,
  [229] = 192,
  [230] = 183,
  [231] = 183,
  [232] = 192,
  [233] = 181,
  [234] = 186,
  [235] = 178,
  [236] = 178,
  [237] = 181,
  [238] = 182,
  [239] = 179,
  [240] = 178,
  [241] = 186,
  [242] = 183,
  [243] = 178,
  [244] = 178,
  [245] = 183,
  [246] = 183,
  [247] = 186,
  [248] = 181,
  [249] = 182,
  [250] = 179,
  [251] = 179,
  [252] = 182,
  [253] = 178,
  [254] = 181,
  [255] = 183,
  [256] = 192,
  [257] = 186,
  [258] = 258,
  [259] = 196,
  [260] = 260,
  [261] = 261,
  [262] = 188,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 265,
  [267] = 264,
  [268] = 268,
  [269] = 264,
  [270] = 265,
  [271] = 268,
  [272] = 265,
  [273] = 264,
  [274] = 265,
  [275] = 268,
  [276] = 176,
  [277] = 277,
  [278] = 277,
  [279] = 265,
  [280] = 268,
  [281] = 264,
  [282] = 282,
  [283] = 264,
  [284] = 265,
  [285] = 176,
  [286] = 264,
  [287] = 287,
  [288] = 265,
  [289] = 289,
  [290] = 290,
  [291] = 268,
  [292] = 268,
  [293] = 268,
  [294] = 294,
  [295] = 264,
  [296] = 265,
  [297] = 277,
  [298] = 298,
  [299] = 299,
  [300] = 277,
  [301] = 277,
  [302] = 277,
  [303] = 303,
  [304] = 177,
  [305] = 264,
  [306] = 264,
  [307] = 268,
  [308] = 265,
  [309] = 309,
  [310] = 264,
  [311] = 264,
  [312] = 265,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 268,
  [317] = 317,
  [318] = 277,
  [319] = 264,
  [320] = 265,
  [321] = 265,
  [322] = 264,
  [323] = 265,
  [324] = 324,
  [325] = 264,
  [326] = 265,
  [327] = 327,
  [328] = 264,
  [329] = 265,
  [330] = 277,
  [331] = 264,
  [332] = 265,
  [333] = 333,
  [334] = 334,
  [335] = 264,
  [336] = 268,
  [337] = 265,
  [338] = 277,
  [339] = 277,
  [340] = 264,
  [341] = 265,
  [342] = 177,
  [343] = 264,
  [344] = 265,
  [345] = 345,
  [346] = 258,
  [347] = 261,
  [348] = 263,
  [349] = 258,
  [350] = 260,
  [351] = 260,
  [352] = 263,
  [353] = 261,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 357,
  [359] = 355,
  [360] = 355,
  [361] = 357,
  [362] = 362,
  [363] = 357,
  [364] = 355,
  [365] = 357,
  [366] = 355,
  [367] = 355,
  [368] = 356,
  [369] = 357,
  [370] = 370,
  [371] = 371,
  [372] = 355,
  [373] = 373,
  [374] = 371,
  [375] = 357,
  [376] = 362,
  [377] = 355,
  [378] = 357,
  [379] = 356,
  [380] = 357,
  [381] = 357,
  [382] = 355,
  [383] = 357,
  [384] = 355,
  [385] = 371,
  [386] = 355,
  [387] = 357,
  [388] = 373,
  [389] = 356,
  [390] = 371,
  [391] = 355,
  [392] = 370,
  [393] = 362,
  [394] = 357,
  [395] = 362,
  [396] = 371,
  [397] = 355,
  [398] = 356,
  [399] = 356,
  [400] = 357,
  [401] = 373,
  [402] = 355,
  [403] = 373,
  [404] = 362,
  [405] = 357,
  [406] = 357,
  [407] = 355,
  [408] = 357,
  [409] = 355,
  [410] = 355,
  [411] = 373,
  [412] = 371,
  [413] = 370,
  [414] = 370,
  [415] = 355,
  [416] = 370,
  [417] = 370,
  [418] = 357,
  [419] = 362,
  [420] = 356,
  [421] = 356,
  [422] = 370,
  [423] = 373,
  [424] = 424,
  [425] = 425,
  [426] = 362,
  [427] = 355,
  [428] = 370,
  [429] = 357,
  [430] = 357,
  [431] = 371,
  [432] = 371,
  [433] = 362,
  [434] = 356,
  [435] = 370,
  [436] = 373,
  [437] = 373,
  [438] = 356,
  [439] = 373,
  [440] = 371,
  [441] = 441,
  [442] = 370,
  [443] = 362,
  [444] = 356,
  [445] = 362,
  [446] = 373,
  [447] = 362,
  [448] = 371,
  [449] = 362,
  [450] = 356,
  [451] = 373,
  [452] = 373,
  [453] = 370,
  [454] = 370,
  [455] = 355,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 457,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 456,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 470,
  [473] = 470,
  [474] = 470,
  [475] = 458,
  [476] = 470,
  [477] = 459,
  [478] = 470,
  [479] = 470,
  [480] = 470,
  [481] = 470,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 470,
  [490] = 490,
  [491] = 491,
  [492] = 458,
  [493] = 459,
  [494] = 494,
  [495] = 494,
  [496] = 470,
  [497] = 491,
  [498] = 457,
  [499] = 499,
  [500] = 487,
  [501] = 499,
  [502] = 485,
  [503] = 499,
  [504] = 484,
  [505] = 499,
  [506] = 483,
  [507] = 499,
  [508] = 482,
  [509] = 499,
  [510] = 471,
  [511] = 499,
  [512] = 490,
  [513] = 469,
  [514] = 457,
  [515] = 468,
  [516] = 461,
  [517] = 499,
  [518] = 467,
  [519] = 499,
  [520] = 461,
  [521] = 490,
  [522] = 456,
  [523] = 465,
  [524] = 464,
  [525] = 499,
  [526] = 490,
  [527] = 463,
  [528] = 462,
  [529] = 458,
  [530] = 499,
  [531] = 462,
  [532] = 490,
  [533] = 463,
  [534] = 464,
  [535] = 465,
  [536] = 459,
  [537] = 456,
  [538] = 467,
  [539] = 461,
  [540] = 468,
  [541] = 471,
  [542] = 482,
  [543] = 483,
  [544] = 457,
  [545] = 484,
  [546] = 485,
  [547] = 499,
  [548] = 487,
  [549] = 491,
  [550] = 494,
  [551] = 457,
  [552] = 470,
  [553] = 469,
  [554] = 490,
  [555] = 461,
  [556] = 459,
  [557] = 458,
  [558] = 494,
  [559] = 491,
  [560] = 499,
  [561] = 487,
  [562] = 485,
  [563] = 484,
  [564] = 483,
  [565] = 482,
  [566] = 490,
  [567] = 462,
  [568] = 463,
  [569] = 471,
  [570] = 464,
  [571] = 465,
  [572] = 456,
  [573] = 467,
  [574] = 469,
  [575] = 499,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 490,
  [580] = 468,
  [581] = 469,
  [582] = 471,
  [583] = 499,
  [584] = 490,
  [585] = 482,
  [586] = 483,
  [587] = 484,
  [588] = 588,
  [589] = 499,
  [590] = 490,
  [591] = 485,
  [592] = 494,
  [593] = 491,
  [594] = 499,
  [595] = 487,
  [596] = 462,
  [597] = 463,
  [598] = 464,
  [599] = 490,
  [600] = 485,
  [601] = 465,
  [602] = 484,
  [603] = 456,
  [604] = 483,
  [605] = 499,
  [606] = 494,
  [607] = 491,
  [608] = 487,
  [609] = 485,
  [610] = 484,
  [611] = 483,
  [612] = 482,
  [613] = 471,
  [614] = 469,
  [615] = 468,
  [616] = 467,
  [617] = 456,
  [618] = 465,
  [619] = 464,
  [620] = 463,
  [621] = 462,
  [622] = 461,
  [623] = 457,
  [624] = 459,
  [625] = 458,
  [626] = 467,
  [627] = 482,
  [628] = 468,
  [629] = 469,
  [630] = 578,
  [631] = 471,
  [632] = 469,
  [633] = 471,
  [634] = 494,
  [635] = 491,
  [636] = 494,
  [637] = 458,
  [638] = 459,
  [639] = 491,
  [640] = 487,
  [641] = 485,
  [642] = 487,
  [643] = 485,
  [644] = 484,
  [645] = 483,
  [646] = 482,
  [647] = 468,
  [648] = 471,
  [649] = 469,
  [650] = 487,
  [651] = 484,
  [652] = 467,
  [653] = 468,
  [654] = 456,
  [655] = 483,
  [656] = 457,
  [657] = 461,
  [658] = 482,
  [659] = 467,
  [660] = 482,
  [661] = 471,
  [662] = 469,
  [663] = 468,
  [664] = 465,
  [665] = 499,
  [666] = 483,
  [667] = 465,
  [668] = 464,
  [669] = 484,
  [670] = 463,
  [671] = 467,
  [672] = 462,
  [673] = 485,
  [674] = 456,
  [675] = 487,
  [676] = 465,
  [677] = 491,
  [678] = 464,
  [679] = 494,
  [680] = 462,
  [681] = 463,
  [682] = 464,
  [683] = 464,
  [684] = 465,
  [685] = 456,
  [686] = 467,
  [687] = 463,
  [688] = 468,
  [689] = 469,
  [690] = 471,
  [691] = 482,
  [692] = 483,
  [693] = 484,
  [694] = 485,
  [695] = 487,
  [696] = 491,
  [697] = 494,
  [698] = 462,
  [699] = 491,
  [700] = 463,
  [701] = 462,
  [702] = 494,
  [703] = 468,
  [704] = 467,
  [705] = 456,
  [706] = 458,
  [707] = 459,
  [708] = 457,
  [709] = 461,
  [710] = 465,
  [711] = 464,
  [712] = 462,
  [713] = 463,
  [714] = 461,
  [715] = 464,
  [716] = 457,
  [717] = 465,
  [718] = 456,
  [719] = 467,
  [720] = 459,
  [721] = 458,
  [722] = 468,
  [723] = 469,
  [724] = 461,
  [725] = 457,
  [726] = 471,
  [727] = 461,
  [728] = 482,
  [729] = 457,
  [730] = 483,
  [731] = 484,
  [732] = 485,
  [733] = 490,
  [734] = 486,
  [735] = 487,
  [736] = 491,
  [737] = 494,
  [738] = 463,
  [739] = 462,
  [740] = 458,
  [741] = 459,
  [742] = 499,
  [743] = 457,
  [744] = 461,
  [745] = 459,
  [746] = 458,
  [747] = 459,
  [748] = 458,
  [749] = 458,
  [750] = 462,
  [751] = 459,
  [752] = 463,
  [753] = 464,
  [754] = 465,
  [755] = 456,
  [756] = 467,
  [757] = 468,
  [758] = 469,
  [759] = 471,
  [760] = 482,
  [761] = 483,
  [762] = 484,
  [763] = 485,
  [764] = 487,
  [765] = 491,
  [766] = 494,
  [767] = 461,
  [768] = 491,
  [769] = 458,
  [770] = 459,
  [771] = 457,
  [772] = 461,
  [773] = 462,
  [774] = 463,
  [775] = 464,
  [776] = 465,
  [777] = 456,
  [778] = 467,
  [779] = 468,
  [780] = 469,
  [781] = 471,
  [782] = 482,
  [783] = 483,
  [784] = 484,
  [785] = 485,
  [786] = 457,
  [787] = 487,
  [788] = 461,
  [789] = 491,
  [790] = 494,
  [791] = 458,
  [792] = 459,
  [793] = 461,
  [794] = 462,
  [795] = 463,
  [796] = 457,
  [797] = 578,
  [798] = 464,
  [799] = 465,
  [800] = 456,
  [801] = 467,
  [802] = 468,
  [803] = 469,
  [804] = 471,
  [805] = 482,
  [806] = 462,
  [807] = 463,
  [808] = 464,
  [809] = 483,
  [810] = 484,
  [811] = 485,
  [812] = 487,
  [813] = 491,
  [814] = 494,
  [815] = 459,
  [816] = 465,
  [817] = 456,
  [818] = 467,
  [819] = 468,
  [820] = 469,
  [821] = 471,
  [822] = 482,
  [823] = 483,
  [824] = 484,
  [825] = 485,
  [826] = 487,
  [827] = 491,
  [828] = 494,
  [829] = 458,
  [830] = 494,
  [831] = 491,
  [832] = 487,
  [833] = 485,
  [834] = 484,
  [835] = 483,
  [836] = 482,
  [837] = 471,
  [838] = 469,
  [839] = 468,
  [840] = 467,
  [841] = 456,
  [842] = 458,
  [843] = 459,
  [844] = 457,
  [845] = 461,
  [846] = 462,
  [847] = 463,
  [848] = 464,
  [849] = 465,
  [850] = 456,
  [851] = 467,
  [852] = 468,
  [853] = 578,
  [854] = 469,
  [855] = 471,
  [856] = 482,
  [857] = 483,
  [858] = 484,
  [859] = 485,
  [860] = 487,
  [861] = 491,
  [862] = 494,
  [863] = 465,
  [864] = 464,
  [865] = 463,
  [866] = 462,
  [867] = 461,
  [868] = 457,
  [869] = 459,
  [870] = 458,
  [871] = 494,
  [872] = 491,
  [873] = 487,
  [874] = 485,
  [875] = 484,
  [876] = 483,
  [877] = 482,
  [878] = 494,
  [879] = 471,
  [880] = 487,
  [881] = 485,
  [882] = 484,
  [883] = 483,
  [884] = 482,
  [885] = 471,
  [886] = 469,
  [887] = 468,
  [888] = 469,
  [889] = 467,
  [890] = 456,
  [891] = 465,
  [892] = 464,
  [893] = 468,
  [894] = 463,
  [895] = 462,
  [896] = 467,
  [897] = 456,
  [898] = 465,
  [899] = 464,
  [900] = 463,
  [901] = 462,
  [902] = 461,
  [903] = 457,
  [904] = 459,
  [905] = 458,
  [906] = 461,
  [907] = 457,
  [908] = 459,
  [909] = 458,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 926,
  [928] = 913,
  [929] = 918,
  [930] = 920,
  [931] = 921,
  [932] = 916,
  [933] = 915,
  [934] = 910,
  [935] = 926,
  [936] = 911,
  [937] = 912,
  [938] = 917,
  [939] = 919,
  [940] = 923,
  [941] = 914,
  [942] = 924,
  [943] = 922,
  [944] = 925,
  [945] = 915,
  [946] = 914,
  [947] = 926,
  [948] = 913,
  [949] = 914,
  [950] = 914,
  [951] = 913,
  [952] = 917,
  [953] = 916,
  [954] = 916,
  [955] = 925,
  [956] = 917,
  [957] = 926,
  [958] = 925,
  [959] = 924,
  [960] = 912,
  [961] = 919,
  [962] = 924,
  [963] = 925,
  [964] = 920,
  [965] = 922,
  [966] = 923,
  [967] = 926,
  [968] = 921,
  [969] = 910,
  [970] = 919,
  [971] = 913,
  [972] = 911,
  [973] = 911,
  [974] = 920,
  [975] = 922,
  [976] = 923,
  [977] = 910,
  [978] = 921,
  [979] = 912,
  [980] = 921,
  [981] = 923,
  [982] = 922,
  [983] = 920,
  [984] = 924,
  [985] = 915,
  [986] = 910,
  [987] = 911,
  [988] = 918,
  [989] = 912,
  [990] = 917,
  [991] = 919,
  [992] = 915,
  [993] = 916,
  [994] = 918,
  [995] = 926,
  [996] = 918,
  [997] = 919,
  [998] = 916,
  [999] = 920,
  [1000] = 922,
  [1001] = 923,
  [1002] = 921,
  [1003] = 910,
  [1004] = 926,
  [1005] = 914,
  [1006] = 913,
  [1007] = 911,
  [1008] = 926,
  [1009] = 912,
  [1010] = 918,
  [1011] = 926,
  [1012] = 917,
  [1013] = 926,
  [1014] = 915,
  [1015] = 925,
  [1016] = 924,
  [1017] = 926,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1018,
  [1021] = 1019,
  [1022] = 1018,
  [1023] = 1023,
  [1024] = 1023,
  [1025] = 1023,
  [1026] = 1018,
  [1027] = 1019,
  [1028] = 1019,
  [1029] = 1018,
  [1030] = 1018,
  [1031] = 1018,
  [1032] = 1019,
  [1033] = 1019,
  [1034] = 1018,
  [1035] = 1023,
  [1036] = 1023,
  [1037] = 1023,
  [1038] = 1023,
  [1039] = 1023,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1042,
  [1044] = 1042,
  [1045] = 1042,
  [1046] = 1042,
  [1047] = 1042,
  [1048] = 1042,
  [1049] = 1042,
  [1050] = 1042,
  [1051] = 1042,
  [1052] = 1042,
  [1053] = 1042,
  [1054] = 1042,
  [1055] = 1042,
  [1056] = 1042,
  [1057] = 1042,
  [1058] = 1042,
  [1059] = 1042,
  [1060] = 1060,
  [1061] = 1060,
  [1062] = 1062,
  [1063] = 1060,
  [1064] = 1062,
  [1065] = 1062,
  [1066] = 1060,
  [1067] = 1060,
  [1068] = 1062,
  [1069] = 1060,
  [1070] = 1062,
  [1071] = 1062,
  [1072] = 1060,
  [1073] = 1062,
  [1074] = 1060,
  [1075] = 1062,
  [1076] = 1060,
  [1077] = 1062,
  [1078] = 1060,
  [1079] = 1060,
  [1080] = 1062,
  [1081] = 1062,
  [1082] = 1060,
  [1083] = 1062,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1084,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1085,
  [1090] = 1090,
  [1091] = 915,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1085,
  [1103] = 1084,
  [1104] = 925,
  [1105] = 924,
  [1106] = 1106,
  [1107] = 1088,
  [1108] = 1087,
  [1109] = 1090,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 914,
  [1120] = 913,
  [1121] = 1121,
  [1122] = 1092,
  [1123] = 1123,
  [1124] = 1084,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 916,
  [1130] = 1128,
  [1131] = 1123,
  [1132] = 1085,
  [1133] = 1125,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1126,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 925,
  [1163] = 924,
  [1164] = 914,
  [1165] = 913,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 916,
  [1175] = 1175,
  [1176] = 915,
  [1177] = 913,
  [1178] = 914,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 924,
  [1184] = 915,
  [1185] = 916,
  [1186] = 925,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1135,
  [1193] = 1137,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1092,
  [1209] = 1209,
  [1210] = 1128,
  [1211] = 1126,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1125,
  [1215] = 1123,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1097,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1088,
  [1228] = 1087,
  [1229] = 1090,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1245,
  [1263] = 1134,
  [1264] = 1127,
  [1265] = 1140,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1221,
  [1274] = 1220,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1247,
  [1282] = 1246,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1123,
  [1301] = 1125,
  [1302] = 1126,
  [1303] = 1303,
  [1304] = 1128,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1117,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1092,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1136,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1101,
  [1340] = 1100,
  [1341] = 1099,
  [1342] = 1121,
  [1343] = 1098,
  [1344] = 1112,
  [1345] = 1111,
  [1346] = 1106,
  [1347] = 1095,
  [1348] = 1096,
  [1349] = 1161,
  [1350] = 1101,
  [1351] = 1330,
  [1352] = 1331,
  [1353] = 1325,
  [1354] = 1332,
  [1355] = 1324,
  [1356] = 1335,
  [1357] = 1337,
  [1358] = 1212,
  [1359] = 1218,
  [1360] = 1321,
  [1361] = 1320,
  [1362] = 1311,
  [1363] = 1309,
  [1364] = 1308,
  [1365] = 1306,
  [1366] = 1305,
  [1367] = 1297,
  [1368] = 1296,
  [1369] = 1295,
  [1370] = 1294,
  [1371] = 1293,
  [1372] = 1292,
  [1373] = 1291,
  [1374] = 1290,
  [1375] = 1289,
  [1376] = 1288,
  [1377] = 1287,
  [1378] = 1286,
  [1379] = 1285,
  [1380] = 1284,
  [1381] = 1278,
  [1382] = 1277,
  [1383] = 1276,
  [1384] = 1322,
  [1385] = 1271,
  [1386] = 1270,
  [1387] = 1269,
  [1388] = 1307,
  [1389] = 1127,
  [1390] = 1268,
  [1391] = 1267,
  [1392] = 1319,
  [1393] = 1318,
  [1394] = 1260,
  [1395] = 1258,
  [1396] = 1256,
  [1397] = 1254,
  [1398] = 1253,
  [1399] = 1252,
  [1400] = 1251,
  [1401] = 1250,
  [1402] = 1241,
  [1403] = 1240,
  [1404] = 1239,
  [1405] = 1238,
  [1406] = 1317,
  [1407] = 1315,
  [1408] = 1235,
  [1409] = 1134,
  [1410] = 1298,
  [1411] = 1249,
  [1412] = 1283,
  [1413] = 1141,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1135,
  [1418] = 1090,
  [1419] = 1087,
  [1420] = 1088,
  [1421] = 1137,
  [1422] = 1327,
  [1423] = 1204,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1223,
  [1428] = 916,
  [1429] = 915,
  [1430] = 1121,
  [1431] = 913,
  [1432] = 1261,
  [1433] = 1248,
  [1434] = 1243,
  [1435] = 1242,
  [1436] = 914,
  [1437] = 925,
  [1438] = 1237,
  [1439] = 1236,
  [1440] = 924,
  [1441] = 914,
  [1442] = 913,
  [1443] = 915,
  [1444] = 1257,
  [1445] = 1142,
  [1446] = 1143,
  [1447] = 916,
  [1448] = 1246,
  [1449] = 1144,
  [1450] = 1247,
  [1451] = 1245,
  [1452] = 1153,
  [1453] = 1156,
  [1454] = 1140,
  [1455] = 1158,
  [1456] = 1159,
  [1457] = 1139,
  [1458] = 1112,
  [1459] = 1221,
  [1460] = 1175,
  [1461] = 1111,
  [1462] = 1220,
  [1463] = 1179,
  [1464] = 1182,
  [1465] = 1106,
  [1466] = 924,
  [1467] = 925,
  [1468] = 1187,
  [1469] = 1188,
  [1470] = 1189,
  [1471] = 1095,
  [1472] = 1096,
  [1473] = 1097,
  [1474] = 1234,
  [1475] = 1233,
  [1476] = 1232,
  [1477] = 1231,
  [1478] = 1230,
  [1479] = 1226,
  [1480] = 1225,
  [1481] = 1224,
  [1482] = 1222,
  [1483] = 1217,
  [1484] = 1213,
  [1485] = 1181,
  [1486] = 1145,
  [1487] = 1098,
  [1488] = 1209,
  [1489] = 1207,
  [1490] = 1206,
  [1491] = 1205,
  [1492] = 1203,
  [1493] = 1202,
  [1494] = 1201,
  [1495] = 1200,
  [1496] = 1199,
  [1497] = 1198,
  [1498] = 1197,
  [1499] = 1196,
  [1500] = 1195,
  [1501] = 1194,
  [1502] = 1191,
  [1503] = 1220,
  [1504] = 1221,
  [1505] = 1140,
  [1506] = 1245,
  [1507] = 1247,
  [1508] = 1246,
  [1509] = 1100,
  [1510] = 1190,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1279,
  [1529] = 1280,
  [1530] = 1299,
  [1531] = 1303,
  [1532] = 1312,
  [1533] = 1313,
  [1534] = 1314,
  [1535] = 1316,
  [1536] = 1244,
  [1537] = 1099,
  [1538] = 1180,
  [1539] = 1160,
  [1540] = 1328,
  [1541] = 1333,
  [1542] = 1334,
  [1543] = 1336,
  [1544] = 1338,
  [1545] = 1216,
  [1546] = 1255,
  [1547] = 1259,
  [1548] = 1266,
  [1549] = 1272,
  [1550] = 1275,
  [1551] = 1323,
  [1552] = 1146,
  [1553] = 1147,
  [1554] = 1148,
  [1555] = 1149,
  [1556] = 1150,
  [1557] = 1151,
  [1558] = 1152,
  [1559] = 1154,
  [1560] = 1155,
  [1561] = 1157,
  [1562] = 1166,
  [1563] = 1167,
  [1564] = 1168,
  [1565] = 1169,
  [1566] = 1170,
  [1567] = 1171,
  [1568] = 1172,
  [1569] = 1173,
  [1570] = 1526,
  [1571] = 1267,
  [1572] = 1527,
  [1573] = 1084,
  [1574] = 1511,
  [1575] = 1512,
  [1576] = 1513,
  [1577] = 1514,
  [1578] = 1088,
  [1579] = 1087,
  [1580] = 1090,
  [1581] = 1515,
  [1582] = 1516,
  [1583] = 1517,
  [1584] = 1518,
  [1585] = 1519,
  [1586] = 1179,
  [1587] = 1182,
  [1588] = 1520,
  [1589] = 1521,
  [1590] = 1522,
  [1591] = 1523,
  [1592] = 1524,
  [1593] = 1525,
  [1594] = 1198,
  [1595] = 1084,
  [1596] = 1085,
  [1597] = 1145,
  [1598] = 1085,
  [1599] = 1234,
  [1600] = 1233,
  [1601] = 1232,
  [1602] = 1231,
  [1603] = 1230,
  [1604] = 1604,
  [1605] = 1225,
  [1606] = 1224,
  [1607] = 1222,
  [1608] = 1217,
  [1609] = 1213,
  [1610] = 1181,
  [1611] = 1209,
  [1612] = 1315,
  [1613] = 1207,
  [1614] = 1206,
  [1615] = 1317,
  [1616] = 1318,
  [1617] = 1205,
  [1618] = 1203,
  [1619] = 1202,
  [1620] = 1201,
  [1621] = 1200,
  [1622] = 1199,
  [1623] = 1172,
  [1624] = 1197,
  [1625] = 1196,
  [1626] = 1195,
  [1627] = 1194,
  [1628] = 1191,
  [1629] = 1190,
  [1630] = 1319,
  [1631] = 1322,
  [1632] = 1323,
  [1633] = 1244,
  [1634] = 1330,
  [1635] = 1331,
  [1636] = 1332,
  [1637] = 1180,
  [1638] = 1173,
  [1639] = 1335,
  [1640] = 1337,
  [1641] = 1212,
  [1642] = 1218,
  [1643] = 1321,
  [1644] = 1320,
  [1645] = 1311,
  [1646] = 1309,
  [1647] = 1308,
  [1648] = 1284,
  [1649] = 1305,
  [1650] = 1297,
  [1651] = 1296,
  [1652] = 1295,
  [1653] = 1294,
  [1654] = 1220,
  [1655] = 1221,
  [1656] = 1140,
  [1657] = 1245,
  [1658] = 1293,
  [1659] = 1292,
  [1660] = 1291,
  [1661] = 1290,
  [1662] = 1289,
  [1663] = 1288,
  [1664] = 1287,
  [1665] = 1286,
  [1666] = 1285,
  [1667] = 1240,
  [1668] = 1247,
  [1669] = 1246,
  [1670] = 1246,
  [1671] = 1247,
  [1672] = 1127,
  [1673] = 1171,
  [1674] = 1278,
  [1675] = 1277,
  [1676] = 1276,
  [1677] = 1170,
  [1678] = 1271,
  [1679] = 1270,
  [1680] = 1269,
  [1681] = 1257,
  [1682] = 1268,
  [1683] = 1306,
  [1684] = 1169,
  [1685] = 1168,
  [1686] = 1167,
  [1687] = 1166,
  [1688] = 1157,
  [1689] = 1260,
  [1690] = 1155,
  [1691] = 1154,
  [1692] = 916,
  [1693] = 915,
  [1694] = 913,
  [1695] = 914,
  [1696] = 924,
  [1697] = 925,
  [1698] = 1258,
  [1699] = 1256,
  [1700] = 1254,
  [1701] = 1253,
  [1702] = 1252,
  [1703] = 1152,
  [1704] = 1151,
  [1705] = 1150,
  [1706] = 1149,
  [1707] = 1135,
  [1708] = 1137,
  [1709] = 1101,
  [1710] = 1100,
  [1711] = 1099,
  [1712] = 1098,
  [1713] = 1097,
  [1714] = 1096,
  [1715] = 1095,
  [1716] = 925,
  [1717] = 924,
  [1718] = 1106,
  [1719] = 1719,
  [1720] = 1111,
  [1721] = 1251,
  [1722] = 1250,
  [1723] = 1112,
  [1724] = 914,
  [1725] = 913,
  [1726] = 1245,
  [1727] = 1140,
  [1728] = 1148,
  [1729] = 1121,
  [1730] = 1147,
  [1731] = 1241,
  [1732] = 1424,
  [1733] = 1239,
  [1734] = 1238,
  [1735] = 1146,
  [1736] = 1235,
  [1737] = 1141,
  [1738] = 1261,
  [1739] = 1248,
  [1740] = 1243,
  [1741] = 1242,
  [1742] = 1237,
  [1743] = 1236,
  [1744] = 1221,
  [1745] = 1220,
  [1746] = 1275,
  [1747] = 1272,
  [1748] = 1142,
  [1749] = 1143,
  [1750] = 1144,
  [1751] = 1153,
  [1752] = 1156,
  [1753] = 1158,
  [1754] = 1159,
  [1755] = 1139,
  [1756] = 1161,
  [1757] = 1175,
  [1758] = 1187,
  [1759] = 1188,
  [1760] = 1266,
  [1761] = 1189,
  [1762] = 1259,
  [1763] = 1255,
  [1764] = 1160,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1216,
  [1768] = 1426,
  [1769] = 915,
  [1770] = 916,
  [1771] = 1425,
  [1772] = 1338,
  [1773] = 1719,
  [1774] = 1774,
  [1775] = 1336,
  [1776] = 1334,
  [1777] = 1333,
  [1778] = 1328,
  [1779] = 1316,
  [1780] = 1314,
  [1781] = 1313,
  [1782] = 1312,
  [1783] = 1303,
  [1784] = 1299,
  [1785] = 1226,
  [1786] = 1279,
  [1787] = 1416,
  [1788] = 1415,
  [1789] = 1414,
  [1790] = 1324,
  [1791] = 1325,
  [1792] = 1327,
  [1793] = 1134,
  [1794] = 1280,
  [1795] = 1267,
  [1796] = 1294,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1797,
  [1801] = 1798,
  [1802] = 1799,
  [1803] = 1798,
  [1804] = 1799,
  [1805] = 1798,
  [1806] = 1797,
  [1807] = 1798,
  [1808] = 1797,
  [1809] = 1799,
  [1810] = 1797,
  [1811] = 1798,
  [1812] = 1799,
  [1813] = 1797,
  [1814] = 1799,
  [1815] = 1798,
  [1816] = 1799,
  [1817] = 1798,
  [1818] = 1797,
  [1819] = 1799,
  [1820] = 1797,
  [1821] = 1798,
  [1822] = 1799,
  [1823] = 1797,
  [1824] = 1798,
  [1825] = 1799,
  [1826] = 1797,
  [1827] = 1799,
  [1828] = 1798,
  [1829] = 1797,
  [1830] = 1424,
  [1831] = 1799,
  [1832] = 1798,
  [1833] = 1797,
  [1834] = 925,
  [1835] = 924,
  [1836] = 914,
  [1837] = 913,
  [1838] = 915,
  [1839] = 916,
  [1840] = 1246,
  [1841] = 1247,
  [1842] = 1245,
  [1843] = 1140,
  [1844] = 1221,
  [1845] = 1220,
  [1846] = 925,
  [1847] = 924,
  [1848] = 914,
  [1849] = 913,
  [1850] = 915,
  [1851] = 916,
  [1852] = 1246,
  [1853] = 1247,
  [1854] = 1245,
  [1855] = 1140,
  [1856] = 1221,
  [1857] = 1220,
  [1858] = 1416,
  [1859] = 1415,
  [1860] = 1414,
  [1861] = 1123,
  [1862] = 1125,
  [1863] = 1126,
  [1864] = 1128,
  [1865] = 1092,
  [1866] = 1136,
  [1867] = 1117,
  [1868] = 1234,
  [1869] = 1233,
  [1870] = 1232,
  [1871] = 1231,
  [1872] = 1230,
  [1873] = 1226,
  [1874] = 1225,
  [1875] = 1224,
  [1876] = 1222,
  [1877] = 1217,
  [1878] = 1213,
  [1879] = 1181,
  [1880] = 1209,
  [1881] = 1207,
  [1882] = 1206,
  [1883] = 1205,
  [1884] = 1203,
  [1885] = 1202,
  [1886] = 1201,
  [1887] = 1200,
  [1888] = 1199,
  [1889] = 1198,
  [1890] = 1197,
  [1891] = 1196,
  [1892] = 1195,
  [1893] = 1194,
  [1894] = 1191,
  [1895] = 1190,
  [1896] = 1244,
  [1897] = 1180,
  [1898] = 1173,
  [1899] = 1172,
  [1900] = 1171,
  [1901] = 1170,
  [1902] = 1169,
  [1903] = 1168,
  [1904] = 1167,
  [1905] = 1166,
  [1906] = 1157,
  [1907] = 1155,
  [1908] = 1154,
  [1909] = 1152,
  [1910] = 1151,
  [1911] = 1150,
  [1912] = 1149,
  [1913] = 1148,
  [1914] = 1147,
  [1915] = 1146,
  [1916] = 1275,
  [1917] = 1272,
  [1918] = 1266,
  [1919] = 1259,
  [1920] = 1255,
  [1921] = 1160,
  [1922] = 1216,
  [1923] = 1338,
  [1924] = 1336,
  [1925] = 1334,
  [1926] = 1333,
  [1927] = 1328,
  [1928] = 1316,
  [1929] = 1314,
  [1930] = 1313,
  [1931] = 1312,
  [1932] = 1303,
  [1933] = 1299,
  [1934] = 1280,
  [1935] = 1279,
  [1936] = 1182,
  [1937] = 1179,
  [1938] = 1425,
  [1939] = 1324,
  [1940] = 1325,
  [1941] = 1327,
  [1942] = 1145,
  [1943] = 1527,
  [1944] = 1526,
  [1945] = 1525,
  [1946] = 1524,
  [1947] = 1523,
  [1948] = 1522,
  [1949] = 1521,
  [1950] = 1520,
  [1951] = 1519,
  [1952] = 1518,
  [1953] = 1517,
  [1954] = 1516,
  [1955] = 1515,
  [1956] = 1514,
  [1957] = 1513,
  [1958] = 1189,
  [1959] = 1188,
  [1960] = 1187,
  [1961] = 1512,
  [1962] = 1511,
  [1963] = 1101,
  [1964] = 1100,
  [1965] = 1099,
  [1966] = 1234,
  [1967] = 1175,
  [1968] = 1161,
  [1969] = 1139,
  [1970] = 1159,
  [1971] = 1158,
  [1972] = 1233,
  [1973] = 1156,
  [1974] = 1153,
  [1975] = 1232,
  [1976] = 1231,
  [1977] = 1230,
  [1978] = 1144,
  [1979] = 1226,
  [1980] = 1225,
  [1981] = 1224,
  [1982] = 1143,
  [1983] = 1142,
  [1984] = 1222,
  [1985] = 1135,
  [1986] = 1137,
  [1987] = 1217,
  [1988] = 1213,
  [1989] = 1181,
  [1990] = 1220,
  [1991] = 1221,
  [1992] = 1236,
  [1993] = 1237,
  [1994] = 1242,
  [1995] = 1243,
  [1996] = 1209,
  [1997] = 1248,
  [1998] = 1207,
  [1999] = 1261,
  [2000] = 1206,
  [2001] = 1205,
  [2002] = 1098,
  [2003] = 1203,
  [2004] = 1202,
  [2005] = 1201,
  [2006] = 1200,
  [2007] = 1199,
  [2008] = 1198,
  [2009] = 1197,
  [2010] = 1196,
  [2011] = 1195,
  [2012] = 1194,
  [2013] = 1191,
  [2014] = 1190,
  [2015] = 1244,
  [2016] = 1180,
  [2017] = 1173,
  [2018] = 1172,
  [2019] = 1097,
  [2020] = 1141,
  [2021] = 1096,
  [2022] = 1095,
  [2023] = 1171,
  [2024] = 1170,
  [2025] = 1235,
  [2026] = 1169,
  [2027] = 1168,
  [2028] = 1167,
  [2029] = 1238,
  [2030] = 1239,
  [2031] = 1166,
  [2032] = 1240,
  [2033] = 1241,
  [2034] = 1157,
  [2035] = 1155,
  [2036] = 1154,
  [2037] = 1152,
  [2038] = 1257,
  [2039] = 1140,
  [2040] = 1245,
  [2041] = 1250,
  [2042] = 1251,
  [2043] = 1151,
  [2044] = 1150,
  [2045] = 1149,
  [2046] = 1148,
  [2047] = 1147,
  [2048] = 1146,
  [2049] = 925,
  [2050] = 924,
  [2051] = 1106,
  [2052] = 1111,
  [2053] = 1112,
  [2054] = 1275,
  [2055] = 1272,
  [2056] = 1266,
  [2057] = 1259,
  [2058] = 1255,
  [2059] = 1160,
  [2060] = 1216,
  [2061] = 1338,
  [2062] = 1336,
  [2063] = 1252,
  [2064] = 1253,
  [2065] = 1254,
  [2066] = 1334,
  [2067] = 1333,
  [2068] = 1328,
  [2069] = 1256,
  [2070] = 1316,
  [2071] = 1314,
  [2072] = 1313,
  [2073] = 1312,
  [2074] = 1303,
  [2075] = 1258,
  [2076] = 1299,
  [2077] = 1280,
  [2078] = 1279,
  [2079] = 914,
  [2080] = 913,
  [2081] = 1121,
  [2082] = 1092,
  [2083] = 1128,
  [2084] = 1126,
  [2085] = 1125,
  [2086] = 1260,
  [2087] = 1123,
  [2088] = 915,
  [2089] = 916,
  [2090] = 1268,
  [2091] = 1134,
  [2092] = 1269,
  [2093] = 1270,
  [2094] = 1271,
  [2095] = 1127,
  [2096] = 1276,
  [2097] = 1277,
  [2098] = 1278,
  [2099] = 1295,
  [2100] = 1296,
  [2101] = 1297,
  [2102] = 1305,
  [2103] = 1306,
  [2104] = 1247,
  [2105] = 1246,
  [2106] = 1308,
  [2107] = 1309,
  [2108] = 1311,
  [2109] = 1320,
  [2110] = 1321,
  [2111] = 1218,
  [2112] = 1212,
  [2113] = 1337,
  [2114] = 1284,
  [2115] = 1285,
  [2116] = 1286,
  [2117] = 1287,
  [2118] = 1288,
  [2119] = 1289,
  [2120] = 1290,
  [2121] = 1291,
  [2122] = 1292,
  [2123] = 1293,
  [2124] = 1335,
  [2125] = 1319,
  [2126] = 1315,
  [2127] = 1332,
  [2128] = 1318,
  [2129] = 1331,
  [2130] = 1330,
  [2131] = 1317,
  [2132] = 1323,
  [2133] = 1322,
  [2134] = 1296,
  [2135] = 1168,
  [2136] = 1324,
  [2137] = 1325,
  [2138] = 1414,
  [2139] = 1088,
  [2140] = 1287,
  [2141] = 1145,
  [2142] = 1327,
  [2143] = 1307,
  [2144] = 1415,
  [2145] = 1416,
  [2146] = 1425,
  [2147] = 1283,
  [2148] = 1511,
  [2149] = 1512,
  [2150] = 1513,
  [2151] = 1514,
  [2152] = 1515,
  [2153] = 1516,
  [2154] = 1517,
  [2155] = 1518,
  [2156] = 1519,
  [2157] = 1520,
  [2158] = 1085,
  [2159] = 1087,
  [2160] = 1521,
  [2161] = 1522,
  [2162] = 1523,
  [2163] = 1524,
  [2164] = 1525,
  [2165] = 1526,
  [2166] = 1527,
  [2167] = 1084,
  [2168] = 1085,
  [2169] = 1084,
  [2170] = 1084,
  [2171] = 1085,
  [2172] = 1088,
  [2173] = 1087,
  [2174] = 1090,
  [2175] = 1249,
  [2176] = 1307,
  [2177] = 1327,
  [2178] = 1298,
  [2179] = 1325,
  [2180] = 1223,
  [2181] = 1204,
  [2182] = 1324,
  [2183] = 1424,
  [2184] = 1315,
  [2185] = 1317,
  [2186] = 1318,
  [2187] = 1085,
  [2188] = 1084,
  [2189] = 1319,
  [2190] = 1322,
  [2191] = 1323,
  [2192] = 1330,
  [2193] = 1331,
  [2194] = 1332,
  [2195] = 1090,
  [2196] = 1335,
  [2197] = 1337,
  [2198] = 1212,
  [2199] = 1218,
  [2200] = 1321,
  [2201] = 1320,
  [2202] = 1311,
  [2203] = 1309,
  [2204] = 1308,
  [2205] = 1306,
  [2206] = 1305,
  [2207] = 1297,
  [2208] = 1295,
  [2209] = 1294,
  [2210] = 1088,
  [2211] = 1087,
  [2212] = 1293,
  [2213] = 1292,
  [2214] = 1291,
  [2215] = 1290,
  [2216] = 1204,
  [2217] = 1289,
  [2218] = 1288,
  [2219] = 1286,
  [2220] = 1285,
  [2221] = 1284,
  [2222] = 1090,
  [2223] = 1246,
  [2224] = 1247,
  [2225] = 1278,
  [2226] = 1277,
  [2227] = 1276,
  [2228] = 1271,
  [2229] = 1270,
  [2230] = 1269,
  [2231] = 1268,
  [2232] = 1267,
  [2233] = 1260,
  [2234] = 1414,
  [2235] = 1258,
  [2236] = 1256,
  [2237] = 1254,
  [2238] = 1253,
  [2239] = 1252,
  [2240] = 1251,
  [2241] = 1250,
  [2242] = 1245,
  [2243] = 1140,
  [2244] = 1241,
  [2245] = 1240,
  [2246] = 1415,
  [2247] = 1239,
  [2248] = 1238,
  [2249] = 1235,
  [2250] = 1141,
  [2251] = 1220,
  [2252] = 1221,
  [2253] = 1140,
  [2254] = 1245,
  [2255] = 1247,
  [2256] = 1246,
  [2257] = 1261,
  [2258] = 1416,
  [2259] = 1248,
  [2260] = 1243,
  [2261] = 1242,
  [2262] = 1237,
  [2263] = 1236,
  [2264] = 1221,
  [2265] = 1220,
  [2266] = 1257,
  [2267] = 1142,
  [2268] = 1143,
  [2269] = 1144,
  [2270] = 1153,
  [2271] = 1156,
  [2272] = 1158,
  [2273] = 1159,
  [2274] = 1139,
  [2275] = 1161,
  [2276] = 1175,
  [2277] = 1179,
  [2278] = 1182,
  [2279] = 1187,
  [2280] = 1188,
  [2281] = 1298,
  [2282] = 1189,
  [2283] = 1234,
  [2284] = 1279,
  [2285] = 1280,
  [2286] = 1299,
  [2287] = 1303,
  [2288] = 1312,
  [2289] = 1313,
  [2290] = 1314,
  [2291] = 1316,
  [2292] = 1328,
  [2293] = 1333,
  [2294] = 1334,
  [2295] = 1336,
  [2296] = 1338,
  [2297] = 1216,
  [2298] = 1160,
  [2299] = 1255,
  [2300] = 1259,
  [2301] = 1266,
  [2302] = 1272,
  [2303] = 1275,
  [2304] = 1233,
  [2305] = 1232,
  [2306] = 1231,
  [2307] = 1230,
  [2308] = 1226,
  [2309] = 1225,
  [2310] = 1224,
  [2311] = 1222,
  [2312] = 1217,
  [2313] = 1213,
  [2314] = 1181,
  [2315] = 1209,
  [2316] = 1207,
  [2317] = 1206,
  [2318] = 1205,
  [2319] = 1203,
  [2320] = 1202,
  [2321] = 1201,
  [2322] = 1200,
  [2323] = 1199,
  [2324] = 1198,
  [2325] = 1197,
  [2326] = 1196,
  [2327] = 1195,
  [2328] = 1194,
  [2329] = 1191,
  [2330] = 1190,
  [2331] = 1244,
  [2332] = 1180,
  [2333] = 1173,
  [2334] = 1172,
  [2335] = 916,
  [2336] = 915,
  [2337] = 1169,
  [2338] = 1170,
  [2339] = 1171,
  [2340] = 925,
  [2341] = 924,
  [2342] = 914,
  [2343] = 913,
  [2344] = 1152,
  [2345] = 1154,
  [2346] = 1155,
  [2347] = 1157,
  [2348] = 1146,
  [2349] = 1147,
  [2350] = 1148,
  [2351] = 1149,
  [2352] = 1150,
  [2353] = 1151,
  [2354] = 1166,
  [2355] = 1167,
  [2356] = 1137,
  [2357] = 1155,
  [2358] = 1246,
  [2359] = 1247,
  [2360] = 1234,
  [2361] = 1327,
  [2362] = 1213,
  [2363] = 1327,
  [2364] = 1245,
  [2365] = 1140,
  [2366] = 1209,
  [2367] = 1084,
  [2368] = 1168,
  [2369] = 1221,
  [2370] = 1220,
  [2371] = 1085,
  [2372] = 1181,
  [2373] = 1246,
  [2374] = 1247,
  [2375] = 1279,
  [2376] = 1280,
  [2377] = 1245,
  [2378] = 1140,
  [2379] = 1299,
  [2380] = 1426,
  [2381] = 1303,
  [2382] = 1106,
  [2383] = 1221,
  [2384] = 1220,
  [2385] = 1312,
  [2386] = 1313,
  [2387] = 1314,
  [2388] = 1316,
  [2389] = 1328,
  [2390] = 1333,
  [2391] = 1334,
  [2392] = 1336,
  [2393] = 916,
  [2394] = 1338,
  [2395] = 1246,
  [2396] = 1298,
  [2397] = 1136,
  [2398] = 1247,
  [2399] = 1217,
  [2400] = 1111,
  [2401] = 1298,
  [2402] = 1112,
  [2403] = 1222,
  [2404] = 1224,
  [2405] = 1225,
  [2406] = 1226,
  [2407] = 1230,
  [2408] = 1414,
  [2409] = 1527,
  [2410] = 1526,
  [2411] = 1525,
  [2412] = 1524,
  [2413] = 1523,
  [2414] = 1522,
  [2415] = 1245,
  [2416] = 1140,
  [2417] = 1221,
  [2418] = 1220,
  [2419] = 1521,
  [2420] = 1520,
  [2421] = 1519,
  [2422] = 1307,
  [2423] = 1518,
  [2424] = 1517,
  [2425] = 1516,
  [2426] = 1515,
  [2427] = 1514,
  [2428] = 1327,
  [2429] = 1513,
  [2430] = 1512,
  [2431] = 1511,
  [2432] = 1231,
  [2433] = 916,
  [2434] = 915,
  [2435] = 925,
  [2436] = 924,
  [2437] = 914,
  [2438] = 913,
  [2439] = 913,
  [2440] = 914,
  [2441] = 924,
  [2442] = 915,
  [2443] = 916,
  [2444] = 1232,
  [2445] = 1117,
  [2446] = 925,
  [2447] = 1233,
  [2448] = 916,
  [2449] = 1234,
  [2450] = 1325,
  [2451] = 915,
  [2452] = 913,
  [2453] = 1099,
  [2454] = 1415,
  [2455] = 914,
  [2456] = 1100,
  [2457] = 1101,
  [2458] = 914,
  [2459] = 1117,
  [2460] = 1216,
  [2461] = 1160,
  [2462] = 1207,
  [2463] = 1255,
  [2464] = 924,
  [2465] = 925,
  [2466] = 1135,
  [2467] = 1137,
  [2468] = 1259,
  [2469] = 1266,
  [2470] = 1272,
  [2471] = 913,
  [2472] = 915,
  [2473] = 1325,
  [2474] = 914,
  [2475] = 924,
  [2476] = 925,
  [2477] = 1424,
  [2478] = 1275,
  [2479] = 1146,
  [2480] = 1147,
  [2481] = 1148,
  [2482] = 1149,
  [2483] = 1327,
  [2484] = 924,
  [2485] = 1150,
  [2486] = 1151,
  [2487] = 925,
  [2488] = 1152,
  [2489] = 1154,
  [2490] = 1155,
  [2491] = 1157,
  [2492] = 1166,
  [2493] = 1167,
  [2494] = 1307,
  [2495] = 1171,
  [2496] = 1172,
  [2497] = 1299,
  [2498] = 1303,
  [2499] = 1173,
  [2500] = 1180,
  [2501] = 1244,
  [2502] = 1190,
  [2503] = 1191,
  [2504] = 1194,
  [2505] = 1195,
  [2506] = 1196,
  [2507] = 1197,
  [2508] = 1198,
  [2509] = 1426,
  [2510] = 1280,
  [2511] = 1234,
  [2512] = 1233,
  [2513] = 1134,
  [2514] = 1232,
  [2515] = 1231,
  [2516] = 1230,
  [2517] = 1226,
  [2518] = 1225,
  [2519] = 1224,
  [2520] = 1222,
  [2521] = 1298,
  [2522] = 1217,
  [2523] = 1213,
  [2524] = 1181,
  [2525] = 1209,
  [2526] = 1207,
  [2527] = 1206,
  [2528] = 1205,
  [2529] = 1199,
  [2530] = 1200,
  [2531] = 1201,
  [2532] = 1202,
  [2533] = 1203,
  [2534] = 1202,
  [2535] = 1201,
  [2536] = 1200,
  [2537] = 1199,
  [2538] = 1198,
  [2539] = 1197,
  [2540] = 1196,
  [2541] = 1195,
  [2542] = 1194,
  [2543] = 1136,
  [2544] = 1416,
  [2545] = 1191,
  [2546] = 1511,
  [2547] = 1512,
  [2548] = 1513,
  [2549] = 1424,
  [2550] = 1514,
  [2551] = 1515,
  [2552] = 1516,
  [2553] = 1517,
  [2554] = 1518,
  [2555] = 1190,
  [2556] = 1519,
  [2557] = 1520,
  [2558] = 1521,
  [2559] = 1522,
  [2560] = 1523,
  [2561] = 1524,
  [2562] = 1525,
  [2563] = 1526,
  [2564] = 1527,
  [2565] = 1244,
  [2566] = 1180,
  [2567] = 1173,
  [2568] = 1172,
  [2569] = 1203,
  [2570] = 1205,
  [2571] = 1134,
  [2572] = 1206,
  [2573] = 1207,
  [2574] = 1209,
  [2575] = 1154,
  [2576] = 1324,
  [2577] = 1181,
  [2578] = 1213,
  [2579] = 1217,
  [2580] = 1222,
  [2581] = 1224,
  [2582] = 1225,
  [2583] = 1226,
  [2584] = 2584,
  [2585] = 1230,
  [2586] = 1231,
  [2587] = 1232,
  [2588] = 1233,
  [2589] = 1234,
  [2590] = 1313,
  [2591] = 1314,
  [2592] = 1206,
  [2593] = 1205,
  [2594] = 1220,
  [2595] = 1169,
  [2596] = 1221,
  [2597] = 1101,
  [2598] = 1171,
  [2599] = 1324,
  [2600] = 1137,
  [2601] = 1135,
  [2602] = 1170,
  [2603] = 1169,
  [2604] = 1324,
  [2605] = 1168,
  [2606] = 1167,
  [2607] = 1166,
  [2608] = 916,
  [2609] = 915,
  [2610] = 1157,
  [2611] = 1155,
  [2612] = 1154,
  [2613] = 1152,
  [2614] = 1100,
  [2615] = 1099,
  [2616] = 1191,
  [2617] = 1324,
  [2618] = 1204,
  [2619] = 1233,
  [2620] = 1232,
  [2621] = 1325,
  [2622] = 1231,
  [2623] = 1230,
  [2624] = 1226,
  [2625] = 1225,
  [2626] = 1224,
  [2627] = 1151,
  [2628] = 1150,
  [2629] = 1149,
  [2630] = 1127,
  [2631] = 1148,
  [2632] = 1147,
  [2633] = 1146,
  [2634] = 925,
  [2635] = 924,
  [2636] = 1222,
  [2637] = 913,
  [2638] = 1217,
  [2639] = 1312,
  [2640] = 1246,
  [2641] = 1213,
  [2642] = 1247,
  [2643] = 925,
  [2644] = 924,
  [2645] = 1204,
  [2646] = 1272,
  [2647] = 1123,
  [2648] = 1181,
  [2649] = 1140,
  [2650] = 1125,
  [2651] = 1126,
  [2652] = 1245,
  [2653] = 1279,
  [2654] = 1280,
  [2655] = 1128,
  [2656] = 1299,
  [2657] = 1303,
  [2658] = 1312,
  [2659] = 1313,
  [2660] = 2660,
  [2661] = 916,
  [2662] = 1121,
  [2663] = 1314,
  [2664] = 915,
  [2665] = 1316,
  [2666] = 1328,
  [2667] = 1333,
  [2668] = 1334,
  [2669] = 1336,
  [2670] = 1275,
  [2671] = 1325,
  [2672] = 1425,
  [2673] = 1272,
  [2674] = 1266,
  [2675] = 1259,
  [2676] = 1255,
  [2677] = 1160,
  [2678] = 1216,
  [2679] = 1338,
  [2680] = 1336,
  [2681] = 1334,
  [2682] = 1333,
  [2683] = 1127,
  [2684] = 1328,
  [2685] = 1316,
  [2686] = 1307,
  [2687] = 1314,
  [2688] = 1146,
  [2689] = 1147,
  [2690] = 1148,
  [2691] = 1090,
  [2692] = 1313,
  [2693] = 1312,
  [2694] = 1087,
  [2695] = 1121,
  [2696] = 1088,
  [2697] = 1303,
  [2698] = 1299,
  [2699] = 1280,
  [2700] = 1279,
  [2701] = 1155,
  [2702] = 1245,
  [2703] = 1140,
  [2704] = 914,
  [2705] = 913,
  [2706] = 1338,
  [2707] = 1216,
  [2708] = 914,
  [2709] = 913,
  [2710] = 914,
  [2711] = 913,
  [2712] = 1160,
  [2713] = 1255,
  [2714] = 1259,
  [2715] = 1279,
  [2716] = 1280,
  [2717] = 1299,
  [2718] = 1298,
  [2719] = 1303,
  [2720] = 1312,
  [2721] = 1221,
  [2722] = 1220,
  [2723] = 915,
  [2724] = 916,
  [2725] = 1313,
  [2726] = 1314,
  [2727] = 1316,
  [2728] = 1328,
  [2729] = 1333,
  [2730] = 1334,
  [2731] = 1336,
  [2732] = 1338,
  [2733] = 1425,
  [2734] = 1266,
  [2735] = 1216,
  [2736] = 1160,
  [2737] = 1084,
  [2738] = 1272,
  [2739] = 1255,
  [2740] = 1275,
  [2741] = 1209,
  [2742] = 1085,
  [2743] = 1207,
  [2744] = 1259,
  [2745] = 1247,
  [2746] = 1246,
  [2747] = 1266,
  [2748] = 1272,
  [2749] = 1275,
  [2750] = 1146,
  [2751] = 1147,
  [2752] = 1148,
  [2753] = 1149,
  [2754] = 1150,
  [2755] = 1151,
  [2756] = 1206,
  [2757] = 1205,
  [2758] = 1157,
  [2759] = 1112,
  [2760] = 1149,
  [2761] = 1166,
  [2762] = 1167,
  [2763] = 1168,
  [2764] = 1169,
  [2765] = 915,
  [2766] = 916,
  [2767] = 1170,
  [2768] = 1171,
  [2769] = 1172,
  [2770] = 1173,
  [2771] = 1180,
  [2772] = 1244,
  [2773] = 1190,
  [2774] = 1191,
  [2775] = 1194,
  [2776] = 1195,
  [2777] = 1196,
  [2778] = 1197,
  [2779] = 1198,
  [2780] = 1199,
  [2781] = 1275,
  [2782] = 1111,
  [2783] = 1200,
  [2784] = 1201,
  [2785] = 1202,
  [2786] = 1203,
  [2787] = 1135,
  [2788] = 1106,
  [2789] = 1205,
  [2790] = 1206,
  [2791] = 1307,
  [2792] = 1207,
  [2793] = 1209,
  [2794] = 924,
  [2795] = 925,
  [2796] = 1181,
  [2797] = 1213,
  [2798] = 1101,
  [2799] = 1100,
  [2800] = 1146,
  [2801] = 1147,
  [2802] = 1148,
  [2803] = 1149,
  [2804] = 1150,
  [2805] = 1099,
  [2806] = 1217,
  [2807] = 1151,
  [2808] = 1222,
  [2809] = 1224,
  [2810] = 1225,
  [2811] = 1226,
  [2812] = 1230,
  [2813] = 1231,
  [2814] = 1232,
  [2815] = 1233,
  [2816] = 1234,
  [2817] = 1152,
  [2818] = 1098,
  [2819] = 1203,
  [2820] = 1098,
  [2821] = 1152,
  [2822] = 1154,
  [2823] = 1155,
  [2824] = 1202,
  [2825] = 1201,
  [2826] = 1200,
  [2827] = 1199,
  [2828] = 1198,
  [2829] = 1197,
  [2830] = 1166,
  [2831] = 1167,
  [2832] = 1168,
  [2833] = 1169,
  [2834] = 1170,
  [2835] = 1171,
  [2836] = 1196,
  [2837] = 1195,
  [2838] = 1157,
  [2839] = 1194,
  [2840] = 1190,
  [2841] = 1244,
  [2842] = 1180,
  [2843] = 1173,
  [2844] = 1172,
  [2845] = 1097,
  [2846] = 1197,
  [2847] = 1096,
  [2848] = 1095,
  [2849] = 1098,
  [2850] = 1203,
  [2851] = 1202,
  [2852] = 1201,
  [2853] = 1200,
  [2854] = 1199,
  [2855] = 1198,
  [2856] = 1150,
  [2857] = 1196,
  [2858] = 1195,
  [2859] = 1194,
  [2860] = 1191,
  [2861] = 1095,
  [2862] = 1151,
  [2863] = 1190,
  [2864] = 1096,
  [2865] = 1244,
  [2866] = 1180,
  [2867] = 1173,
  [2868] = 1106,
  [2869] = 1125,
  [2870] = 1111,
  [2871] = 1112,
  [2872] = 1328,
  [2873] = 1279,
  [2874] = 1334,
  [2875] = 1092,
  [2876] = 1128,
  [2877] = 1336,
  [2878] = 1338,
  [2879] = 1216,
  [2880] = 1126,
  [2881] = 1170,
  [2882] = 1123,
  [2883] = 1316,
  [2884] = 1172,
  [2885] = 1097,
  [2886] = 1127,
  [2887] = 1096,
  [2888] = 1092,
  [2889] = 1095,
  [2890] = 1171,
  [2891] = 1097,
  [2892] = 1126,
  [2893] = 1204,
  [2894] = 1128,
  [2895] = 1121,
  [2896] = 1160,
  [2897] = 1123,
  [2898] = 1134,
  [2899] = 1092,
  [2900] = 1333,
  [2901] = 1259,
  [2902] = 1126,
  [2903] = 1266,
  [2904] = 1157,
  [2905] = 1125,
  [2906] = 1166,
  [2907] = 1123,
  [2908] = 1255,
  [2909] = 1092,
  [2910] = 1167,
  [2911] = 1125,
  [2912] = 1204,
  [2913] = 1168,
  [2914] = 1128,
  [2915] = 1152,
  [2916] = 1169,
  [2917] = 1170,
  [2918] = 1154,
  [2919] = 1159,
  [2920] = 1523,
  [2921] = 1284,
  [2922] = 1098,
  [2923] = 1285,
  [2924] = 1205,
  [2925] = 1206,
  [2926] = 1207,
  [2927] = 1209,
  [2928] = 1181,
  [2929] = 1213,
  [2930] = 1217,
  [2931] = 1222,
  [2932] = 1224,
  [2933] = 1225,
  [2934] = 1226,
  [2935] = 1230,
  [2936] = 1231,
  [2937] = 1232,
  [2938] = 1233,
  [2939] = 1234,
  [2940] = 1099,
  [2941] = 1100,
  [2942] = 1101,
  [2943] = 1286,
  [2944] = 1189,
  [2945] = 1188,
  [2946] = 1187,
  [2947] = 1287,
  [2948] = 1288,
  [2949] = 1289,
  [2950] = 2950,
  [2951] = 1182,
  [2952] = 1179,
  [2953] = 1175,
  [2954] = 1161,
  [2955] = 1139,
  [2956] = 1158,
  [2957] = 1156,
  [2958] = 1153,
  [2959] = 1290,
  [2960] = 2960,
  [2961] = 1144,
  [2962] = 1291,
  [2963] = 1292,
  [2964] = 1143,
  [2965] = 1142,
  [2966] = 1257,
  [2967] = 1293,
  [2968] = 916,
  [2969] = 915,
  [2970] = 1236,
  [2971] = 1237,
  [2972] = 1242,
  [2973] = 1243,
  [2974] = 1424,
  [2975] = 1248,
  [2976] = 1416,
  [2977] = 1261,
  [2978] = 1223,
  [2979] = 1294,
  [2980] = 1295,
  [2981] = 1296,
  [2982] = 1297,
  [2983] = 1141,
  [2984] = 1235,
  [2985] = 1238,
  [2986] = 1239,
  [2987] = 1415,
  [2988] = 1240,
  [2989] = 1241,
  [2990] = 1305,
  [2991] = 1306,
  [2992] = 913,
  [2993] = 914,
  [2994] = 1308,
  [2995] = 1309,
  [2996] = 1250,
  [2997] = 1251,
  [2998] = 1311,
  [2999] = 1320,
  [3000] = 1321,
  [3001] = 1218,
  [3002] = 1212,
  [3003] = 1337,
  [3004] = 1335,
  [3005] = 1414,
  [3006] = 1202,
  [3007] = 1250,
  [3008] = 1201,
  [3009] = 1332,
  [3010] = 1200,
  [3011] = 1331,
  [3012] = 1330,
  [3013] = 1199,
  [3014] = 1323,
  [3015] = 1322,
  [3016] = 1319,
  [3017] = 1198,
  [3018] = 1252,
  [3019] = 1253,
  [3020] = 1254,
  [3021] = 1323,
  [3022] = 1322,
  [3023] = 1197,
  [3024] = 1256,
  [3025] = 1196,
  [3026] = 1195,
  [3027] = 1194,
  [3028] = 1191,
  [3029] = 1190,
  [3030] = 1258,
  [3031] = 1153,
  [3032] = 1127,
  [3033] = 1244,
  [3034] = 1180,
  [3035] = 1173,
  [3036] = 1172,
  [3037] = 1330,
  [3038] = 1765,
  [3039] = 1766,
  [3040] = 1414,
  [3041] = 1260,
  [3042] = 1157,
  [3043] = 1097,
  [3044] = 1267,
  [3045] = 1268,
  [3046] = 1415,
  [3047] = 1269,
  [3048] = 1270,
  [3049] = 1271,
  [3050] = 1331,
  [3051] = 1276,
  [3052] = 1277,
  [3053] = 1278,
  [3054] = 1283,
  [3055] = 1332,
  [3056] = 924,
  [3057] = 925,
  [3058] = 1416,
  [3059] = 1096,
  [3060] = 1095,
  [3061] = 1223,
  [3062] = 1335,
  [3063] = 1337,
  [3064] = 1212,
  [3065] = 1218,
  [3066] = 1284,
  [3067] = 1285,
  [3068] = 1286,
  [3069] = 1287,
  [3070] = 1288,
  [3071] = 1289,
  [3072] = 1290,
  [3073] = 1291,
  [3074] = 1292,
  [3075] = 1293,
  [3076] = 1321,
  [3077] = 1320,
  [3078] = 1311,
  [3079] = 1309,
  [3080] = 1308,
  [3081] = 1306,
  [3082] = 1318,
  [3083] = 1317,
  [3084] = 1305,
  [3085] = 1245,
  [3086] = 1294,
  [3087] = 1295,
  [3088] = 1296,
  [3089] = 1297,
  [3090] = 1305,
  [3091] = 1306,
  [3092] = 1308,
  [3093] = 1309,
  [3094] = 1311,
  [3095] = 1320,
  [3096] = 1321,
  [3097] = 1218,
  [3098] = 1212,
  [3099] = 1337,
  [3100] = 1335,
  [3101] = 1171,
  [3102] = 1170,
  [3103] = 1332,
  [3104] = 1169,
  [3105] = 1331,
  [3106] = 1330,
  [3107] = 1168,
  [3108] = 1323,
  [3109] = 1322,
  [3110] = 1319,
  [3111] = 1319,
  [3112] = 1167,
  [3113] = 1166,
  [3114] = 1092,
  [3115] = 1155,
  [3116] = 1154,
  [3117] = 1296,
  [3118] = 1152,
  [3119] = 1297,
  [3120] = 1295,
  [3121] = 1294,
  [3122] = 1151,
  [3123] = 1150,
  [3124] = 1149,
  [3125] = 1148,
  [3126] = 1147,
  [3127] = 1318,
  [3128] = 1317,
  [3129] = 1146,
  [3130] = 1315,
  [3131] = 1293,
  [3132] = 1318,
  [3133] = 1317,
  [3134] = 1292,
  [3135] = 1327,
  [3136] = 1315,
  [3137] = 1145,
  [3138] = 1291,
  [3139] = 1290,
  [3140] = 1289,
  [3141] = 1106,
  [3142] = 1288,
  [3143] = 1287,
  [3144] = 1286,
  [3145] = 1285,
  [3146] = 1284,
  [3147] = 1111,
  [3148] = 1112,
  [3149] = 1251,
  [3150] = 1426,
  [3151] = 1246,
  [3152] = 1247,
  [3153] = 1156,
  [3154] = 1278,
  [3155] = 1324,
  [3156] = 1092,
  [3157] = 1277,
  [3158] = 1276,
  [3159] = 1271,
  [3160] = 1270,
  [3161] = 1269,
  [3162] = 1268,
  [3163] = 1088,
  [3164] = 1267,
  [3165] = 1087,
  [3166] = 1275,
  [3167] = 1272,
  [3168] = 1090,
  [3169] = 1266,
  [3170] = 1259,
  [3171] = 1255,
  [3172] = 1160,
  [3173] = 1216,
  [3174] = 1338,
  [3175] = 1336,
  [3176] = 1334,
  [3177] = 1333,
  [3178] = 1090,
  [3179] = 1328,
  [3180] = 1316,
  [3181] = 1314,
  [3182] = 1313,
  [3183] = 1220,
  [3184] = 1221,
  [3185] = 1312,
  [3186] = 1303,
  [3187] = 1299,
  [3188] = 1280,
  [3189] = 1424,
  [3190] = 1279,
  [3191] = 1416,
  [3192] = 1260,
  [3193] = 1414,
  [3194] = 1258,
  [3195] = 1256,
  [3196] = 1254,
  [3197] = 1425,
  [3198] = 1325,
  [3199] = 1253,
  [3200] = 1252,
  [3201] = 1121,
  [3202] = 1254,
  [3203] = 1128,
  [3204] = 1527,
  [3205] = 1526,
  [3206] = 1525,
  [3207] = 1524,
  [3208] = 1203,
  [3209] = 1522,
  [3210] = 1521,
  [3211] = 1520,
  [3212] = 1519,
  [3213] = 1518,
  [3214] = 1517,
  [3215] = 1516,
  [3216] = 1515,
  [3217] = 1514,
  [3218] = 1513,
  [3219] = 1512,
  [3220] = 1511,
  [3221] = 1126,
  [3222] = 1125,
  [3223] = 1415,
  [3224] = 1123,
  [3225] = 1325,
  [3226] = 1251,
  [3227] = 1250,
  [3228] = 1245,
  [3229] = 1140,
  [3230] = 1140,
  [3231] = 1245,
  [3232] = 1253,
  [3233] = 1241,
  [3234] = 1324,
  [3235] = 1240,
  [3236] = 1415,
  [3237] = 1239,
  [3238] = 1238,
  [3239] = 1277,
  [3240] = 1235,
  [3241] = 1141,
  [3242] = 1187,
  [3243] = 1511,
  [3244] = 1307,
  [3245] = 1261,
  [3246] = 1416,
  [3247] = 1248,
  [3248] = 1243,
  [3249] = 1242,
  [3250] = 1237,
  [3251] = 1236,
  [3252] = 1182,
  [3253] = 1179,
  [3254] = 1221,
  [3255] = 1241,
  [3256] = 1220,
  [3257] = 1511,
  [3258] = 1512,
  [3259] = 1513,
  [3260] = 1240,
  [3261] = 1514,
  [3262] = 1515,
  [3263] = 1516,
  [3264] = 1517,
  [3265] = 1518,
  [3266] = 1415,
  [3267] = 1519,
  [3268] = 1520,
  [3269] = 1521,
  [3270] = 1522,
  [3271] = 1523,
  [3272] = 1524,
  [3273] = 1525,
  [3274] = 1526,
  [3275] = 1527,
  [3276] = 1414,
  [3277] = 1239,
  [3278] = 1238,
  [3279] = 1416,
  [3280] = 1235,
  [3281] = 1298,
  [3282] = 1512,
  [3283] = 1513,
  [3284] = 1256,
  [3285] = 1514,
  [3286] = 1117,
  [3287] = 1142,
  [3288] = 1141,
  [3289] = 1261,
  [3290] = 1248,
  [3291] = 1424,
  [3292] = 1516,
  [3293] = 1517,
  [3294] = 1247,
  [3295] = 1246,
  [3296] = 1518,
  [3297] = 1242,
  [3298] = 1258,
  [3299] = 1515,
  [3300] = 1158,
  [3301] = 1237,
  [3302] = 1236,
  [3303] = 1159,
  [3304] = 1139,
  [3305] = 1161,
  [3306] = 1175,
  [3307] = 1424,
  [3308] = 1425,
  [3309] = 1426,
  [3310] = 1202,
  [3311] = 1188,
  [3312] = 1143,
  [3313] = 1189,
  [3314] = 1182,
  [3315] = 1221,
  [3316] = 1220,
  [3317] = 1204,
  [3318] = 1144,
  [3319] = 1179,
  [3320] = 1257,
  [3321] = 1153,
  [3322] = 1252,
  [3323] = 1088,
  [3324] = 1519,
  [3325] = 1279,
  [3326] = 1280,
  [3327] = 1299,
  [3328] = 1303,
  [3329] = 1156,
  [3330] = 1312,
  [3331] = 1158,
  [3332] = 1159,
  [3333] = 1139,
  [3334] = 1161,
  [3335] = 1313,
  [3336] = 1175,
  [3337] = 1187,
  [3338] = 1188,
  [3339] = 1327,
  [3340] = 1189,
  [3341] = 1135,
  [3342] = 1137,
  [3343] = 1766,
  [3344] = 1316,
  [3345] = 1328,
  [3346] = 1333,
  [3347] = 1521,
  [3348] = 1243,
  [3349] = 1234,
  [3350] = 1522,
  [3351] = 1765,
  [3352] = 1283,
  [3353] = 1334,
  [3354] = 1233,
  [3355] = 1232,
  [3356] = 1231,
  [3357] = 1230,
  [3358] = 1226,
  [3359] = 1225,
  [3360] = 1224,
  [3361] = 1222,
  [3362] = 1217,
  [3363] = 1213,
  [3364] = 1181,
  [3365] = 1209,
  [3366] = 1207,
  [3367] = 1206,
  [3368] = 1205,
  [3369] = 1203,
  [3370] = 1171,
  [3371] = 1201,
  [3372] = 1200,
  [3373] = 1199,
  [3374] = 1336,
  [3375] = 1338,
  [3376] = 1523,
  [3377] = 1198,
  [3378] = 1197,
  [3379] = 1196,
  [3380] = 1195,
  [3381] = 1325,
  [3382] = 1216,
  [3383] = 1160,
  [3384] = 1327,
  [3385] = 1255,
  [3386] = 1194,
  [3387] = 1191,
  [3388] = 1259,
  [3389] = 1246,
  [3390] = 1190,
  [3391] = 1244,
  [3392] = 1142,
  [3393] = 1266,
  [3394] = 1143,
  [3395] = 1180,
  [3396] = 1173,
  [3397] = 1220,
  [3398] = 1221,
  [3399] = 1172,
  [3400] = 1247,
  [3401] = 1272,
  [3402] = 1275,
  [3403] = 1314,
  [3404] = 1524,
  [3405] = 1525,
  [3406] = 1087,
  [3407] = 1526,
  [3408] = 1166,
  [3409] = 925,
  [3410] = 1170,
  [3411] = 1298,
  [3412] = 1136,
  [3413] = 1169,
  [3414] = 1168,
  [3415] = 1167,
  [3416] = 1527,
  [3417] = 925,
  [3418] = 924,
  [3419] = 1527,
  [3420] = 1526,
  [3421] = 1140,
  [3422] = 1245,
  [3423] = 1525,
  [3424] = 1524,
  [3425] = 1523,
  [3426] = 1522,
  [3427] = 1521,
  [3428] = 1520,
  [3429] = 1519,
  [3430] = 1518,
  [3431] = 1517,
  [3432] = 1516,
  [3433] = 1515,
  [3434] = 1514,
  [3435] = 1513,
  [3436] = 1512,
  [3437] = 1511,
  [3438] = 1414,
  [3439] = 1520,
  [3440] = 1145,
  [3441] = 1134,
  [3442] = 1324,
  [3443] = 1249,
  [3444] = 1278,
  [3445] = 1220,
  [3446] = 1221,
  [3447] = 1140,
  [3448] = 1140,
  [3449] = 1249,
  [3450] = 1245,
  [3451] = 1247,
  [3452] = 1425,
  [3453] = 1325,
  [3454] = 1246,
  [3455] = 1145,
  [3456] = 1146,
  [3457] = 1147,
  [3458] = 1148,
  [3459] = 1149,
  [3460] = 1150,
  [3461] = 1267,
  [3462] = 1268,
  [3463] = 1157,
  [3464] = 1247,
  [3465] = 1246,
  [3466] = 1155,
  [3467] = 1154,
  [3468] = 1152,
  [3469] = 1151,
  [3470] = 1260,
  [3471] = 1327,
  [3472] = 1276,
  [3473] = 1271,
  [3474] = 1307,
  [3475] = 1270,
  [3476] = 914,
  [3477] = 913,
  [3478] = 1315,
  [3479] = 1426,
  [3480] = 1257,
  [3481] = 1269,
  [3482] = 1128,
  [3483] = 916,
  [3484] = 1126,
  [3485] = 1125,
  [3486] = 915,
  [3487] = 1123,
  [3488] = 913,
  [3489] = 1426,
  [3490] = 1425,
  [3491] = 914,
  [3492] = 1204,
  [3493] = 1144,
  [3494] = 1324,
  [3495] = 916,
  [3496] = 915,
  [3497] = 924,
  [3498] = 1244,
  [3499] = 1521,
  [3500] = 1146,
  [3501] = 914,
  [3502] = 1147,
  [3503] = 1148,
  [3504] = 913,
  [3505] = 1098,
  [3506] = 1149,
  [3507] = 1150,
  [3508] = 1151,
  [3509] = 1152,
  [3510] = 1154,
  [3511] = 1279,
  [3512] = 1155,
  [3513] = 1280,
  [3514] = 1157,
  [3515] = 1166,
  [3516] = 1223,
  [3517] = 1299,
  [3518] = 1167,
  [3519] = 1303,
  [3520] = 1327,
  [3521] = 1312,
  [3522] = 1313,
  [3523] = 1314,
  [3524] = 1169,
  [3525] = 1316,
  [3526] = 1121,
  [3527] = 1170,
  [3528] = 1171,
  [3529] = 1197,
  [3530] = 1172,
  [3531] = 1137,
  [3532] = 1135,
  [3533] = 1328,
  [3534] = 1173,
  [3535] = 1333,
  [3536] = 1180,
  [3537] = 1190,
  [3538] = 1191,
  [3539] = 1088,
  [3540] = 1194,
  [3541] = 1087,
  [3542] = 1195,
  [3543] = 1205,
  [3544] = 1196,
  [3545] = 1206,
  [3546] = 1203,
  [3547] = 1090,
  [3548] = 1197,
  [3549] = 1202,
  [3550] = 1201,
  [3551] = 1198,
  [3552] = 1199,
  [3553] = 1200,
  [3554] = 1199,
  [3555] = 1200,
  [3556] = 1334,
  [3557] = 1336,
  [3558] = 1338,
  [3559] = 1201,
  [3560] = 1168,
  [3561] = 1216,
  [3562] = 1327,
  [3563] = 1198,
  [3564] = 1095,
  [3565] = 1203,
  [3566] = 1205,
  [3567] = 1206,
  [3568] = 1160,
  [3569] = 1207,
  [3570] = 1259,
  [3571] = 1266,
  [3572] = 1209,
  [3573] = 1272,
  [3574] = 1197,
  [3575] = 1275,
  [3576] = 1181,
  [3577] = 1209,
  [3578] = 3578,
  [3579] = 1181,
  [3580] = 1213,
  [3581] = 1217,
  [3582] = 1222,
  [3583] = 1213,
  [3584] = 1224,
  [3585] = 1217,
  [3586] = 1222,
  [3587] = 1224,
  [3588] = 1225,
  [3589] = 1225,
  [3590] = 1325,
  [3591] = 1207,
  [3592] = 915,
  [3593] = 1196,
  [3594] = 916,
  [3595] = 1226,
  [3596] = 1195,
  [3597] = 1202,
  [3598] = 1231,
  [3599] = 1194,
  [3600] = 1230,
  [3601] = 1232,
  [3602] = 1255,
  [3603] = 1157,
  [3604] = 1231,
  [3605] = 925,
  [3606] = 1233,
  [3607] = 1191,
  [3608] = 1324,
  [3609] = 1234,
  [3610] = 1232,
  [3611] = 1233,
  [3612] = 1234,
  [3613] = 1426,
  [3614] = 1230,
  [3615] = 1527,
  [3616] = 924,
  [3617] = 1526,
  [3618] = 1525,
  [3619] = 1524,
  [3620] = 1523,
  [3621] = 1522,
  [3622] = 1521,
  [3623] = 1520,
  [3624] = 1519,
  [3625] = 1518,
  [3626] = 1517,
  [3627] = 1516,
  [3628] = 1515,
  [3629] = 1514,
  [3630] = 1513,
  [3631] = 1512,
  [3632] = 1511,
  [3633] = 1226,
  [3634] = 1099,
  [3635] = 1190,
  [3636] = 1101,
  [3637] = 1100,
  [3638] = 1101,
  [3639] = 1100,
  [3640] = 1099,
  [3641] = 1234,
  [3642] = 1233,
  [3643] = 1232,
  [3644] = 1231,
  [3645] = 1424,
  [3646] = 1166,
  [3647] = 1172,
  [3648] = 1416,
  [3649] = 1415,
  [3650] = 1170,
  [3651] = 1230,
  [3652] = 1425,
  [3653] = 1171,
  [3654] = 1226,
  [3655] = 1225,
  [3656] = 1224,
  [3657] = 1222,
  [3658] = 1217,
  [3659] = 1154,
  [3660] = 1244,
  [3661] = 1180,
  [3662] = 1213,
  [3663] = 1181,
  [3664] = 1209,
  [3665] = 1207,
  [3666] = 1206,
  [3667] = 1327,
  [3668] = 1205,
  [3669] = 1098,
  [3670] = 1203,
  [3671] = 1151,
  [3672] = 1249,
  [3673] = 1202,
  [3674] = 1201,
  [3675] = 1111,
  [3676] = 1200,
  [3677] = 1112,
  [3678] = 1199,
  [3679] = 1198,
  [3680] = 1196,
  [3681] = 1195,
  [3682] = 1194,
  [3683] = 1191,
  [3684] = 1511,
  [3685] = 1512,
  [3686] = 1513,
  [3687] = 1514,
  [3688] = 1190,
  [3689] = 1325,
  [3690] = 1244,
  [3691] = 1180,
  [3692] = 1173,
  [3693] = 1172,
  [3694] = 1097,
  [3695] = 1096,
  [3696] = 1095,
  [3697] = 1516,
  [3698] = 1517,
  [3699] = 1518,
  [3700] = 1519,
  [3701] = 1520,
  [3702] = 1283,
  [3703] = 1522,
  [3704] = 1523,
  [3705] = 1524,
  [3706] = 1525,
  [3707] = 1526,
  [3708] = 1527,
  [3709] = 1414,
  [3710] = 1134,
  [3711] = 1171,
  [3712] = 1170,
  [3713] = 1169,
  [3714] = 1168,
  [3715] = 1167,
  [3716] = 925,
  [3717] = 924,
  [3718] = 1166,
  [3719] = 1157,
  [3720] = 914,
  [3721] = 913,
  [3722] = 1155,
  [3723] = 1154,
  [3724] = 915,
  [3725] = 916,
  [3726] = 1152,
  [3727] = 1151,
  [3728] = 1150,
  [3729] = 1324,
  [3730] = 1155,
  [3731] = 1149,
  [3732] = 1148,
  [3733] = 1147,
  [3734] = 1146,
  [3735] = 1334,
  [3736] = 925,
  [3737] = 924,
  [3738] = 1145,
  [3739] = 1146,
  [3740] = 1106,
  [3741] = 1515,
  [3742] = 1111,
  [3743] = 1112,
  [3744] = 925,
  [3745] = 1191,
  [3746] = 924,
  [3747] = 914,
  [3748] = 913,
  [3749] = 916,
  [3750] = 915,
  [3751] = 915,
  [3752] = 916,
  [3753] = 1234,
  [3754] = 1233,
  [3755] = 1232,
  [3756] = 1231,
  [3757] = 1230,
  [3758] = 1226,
  [3759] = 1225,
  [3760] = 1224,
  [3761] = 1222,
  [3762] = 1246,
  [3763] = 1217,
  [3764] = 1247,
  [3765] = 1245,
  [3766] = 1140,
  [3767] = 1150,
  [3768] = 1213,
  [3769] = 1181,
  [3770] = 1209,
  [3771] = 1207,
  [3772] = 1221,
  [3773] = 1220,
  [3774] = 1206,
  [3775] = 1205,
  [3776] = 1327,
  [3777] = 1203,
  [3778] = 1202,
  [3779] = 1201,
  [3780] = 1200,
  [3781] = 925,
  [3782] = 1199,
  [3783] = 1198,
  [3784] = 1197,
  [3785] = 1196,
  [3786] = 1195,
  [3787] = 1194,
  [3788] = 924,
  [3789] = 1190,
  [3790] = 1244,
  [3791] = 1180,
  [3792] = 1173,
  [3793] = 1325,
  [3794] = 1096,
  [3795] = 914,
  [3796] = 1172,
  [3797] = 913,
  [3798] = 1171,
  [3799] = 1170,
  [3800] = 1169,
  [3801] = 1168,
  [3802] = 1167,
  [3803] = 1166,
  [3804] = 1157,
  [3805] = 1155,
  [3806] = 1154,
  [3807] = 1152,
  [3808] = 1151,
  [3809] = 1150,
  [3810] = 1149,
  [3811] = 1148,
  [3812] = 1147,
  [3813] = 1146,
  [3814] = 1246,
  [3815] = 1247,
  [3816] = 915,
  [3817] = 916,
  [3818] = 1275,
  [3819] = 1272,
  [3820] = 1266,
  [3821] = 1259,
  [3822] = 1255,
  [3823] = 1246,
  [3824] = 1247,
  [3825] = 1160,
  [3826] = 1097,
  [3827] = 1216,
  [3828] = 1245,
  [3829] = 1140,
  [3830] = 1338,
  [3831] = 1221,
  [3832] = 1220,
  [3833] = 1336,
  [3834] = 1334,
  [3835] = 1275,
  [3836] = 1272,
  [3837] = 1266,
  [3838] = 1275,
  [3839] = 1272,
  [3840] = 1266,
  [3841] = 1259,
  [3842] = 1255,
  [3843] = 1160,
  [3844] = 1216,
  [3845] = 1338,
  [3846] = 1336,
  [3847] = 1334,
  [3848] = 1333,
  [3849] = 1328,
  [3850] = 1316,
  [3851] = 1314,
  [3852] = 1313,
  [3853] = 1312,
  [3854] = 1303,
  [3855] = 1299,
  [3856] = 1280,
  [3857] = 1279,
  [3858] = 1245,
  [3859] = 1140,
  [3860] = 1425,
  [3861] = 1259,
  [3862] = 1255,
  [3863] = 1160,
  [3864] = 1216,
  [3865] = 1338,
  [3866] = 1336,
  [3867] = 1333,
  [3868] = 1333,
  [3869] = 1328,
  [3870] = 1316,
  [3871] = 1426,
  [3872] = 1147,
  [3873] = 1221,
  [3874] = 1220,
  [3875] = 1314,
  [3876] = 1313,
  [3877] = 1121,
  [3878] = 1312,
  [3879] = 1303,
  [3880] = 1299,
  [3881] = 1280,
  [3882] = 1279,
  [3883] = 1292,
  [3884] = 1315,
  [3885] = 1324,
  [3886] = 1317,
  [3887] = 1318,
  [3888] = 1319,
  [3889] = 1322,
  [3890] = 1323,
  [3891] = 1330,
  [3892] = 1331,
  [3893] = 1127,
  [3894] = 1425,
  [3895] = 1220,
  [3896] = 1221,
  [3897] = 1332,
  [3898] = 1335,
  [3899] = 1337,
  [3900] = 1212,
  [3901] = 1218,
  [3902] = 1321,
  [3903] = 1320,
  [3904] = 1169,
  [3905] = 1311,
  [3906] = 1309,
  [3907] = 1308,
  [3908] = 1306,
  [3909] = 1305,
  [3910] = 1297,
  [3911] = 1296,
  [3912] = 1295,
  [3913] = 1294,
  [3914] = 1293,
  [3915] = 1325,
  [3916] = 1152,
  [3917] = 1140,
  [3918] = 1245,
  [3919] = 1252,
  [3920] = 1291,
  [3921] = 1290,
  [3922] = 1289,
  [3923] = 1288,
  [3924] = 1287,
  [3925] = 1286,
  [3926] = 1285,
  [3927] = 1424,
  [3928] = 1284,
  [3929] = 1246,
  [3930] = 1247,
  [3931] = 925,
  [3932] = 1324,
  [3933] = 924,
  [3934] = 1278,
  [3935] = 1277,
  [3936] = 1276,
  [3937] = 1271,
  [3938] = 1270,
  [3939] = 1269,
  [3940] = 1134,
  [3941] = 1268,
  [3942] = 1267,
  [3943] = 1260,
  [3944] = 1414,
  [3945] = 1527,
  [3946] = 1526,
  [3947] = 1525,
  [3948] = 1524,
  [3949] = 1523,
  [3950] = 1522,
  [3951] = 1521,
  [3952] = 1189,
  [3953] = 1520,
  [3954] = 1519,
  [3955] = 1258,
  [3956] = 1518,
  [3957] = 1188,
  [3958] = 1247,
  [3959] = 1246,
  [3960] = 1167,
  [3961] = 1517,
  [3962] = 1516,
  [3963] = 1515,
  [3964] = 1514,
  [3965] = 1256,
  [3966] = 1513,
  [3967] = 1512,
  [3968] = 1511,
  [3969] = 1254,
  [3970] = 1253,
  [3971] = 1313,
  [3972] = 1251,
  [3973] = 1250,
  [3974] = 1245,
  [3975] = 1527,
  [3976] = 1526,
  [3977] = 1525,
  [3978] = 1524,
  [3979] = 1523,
  [3980] = 1522,
  [3981] = 1521,
  [3982] = 1520,
  [3983] = 1519,
  [3984] = 1140,
  [3985] = 1518,
  [3986] = 1517,
  [3987] = 1516,
  [3988] = 1515,
  [3989] = 1514,
  [3990] = 914,
  [3991] = 1513,
  [3992] = 1512,
  [3993] = 1511,
  [3994] = 1173,
  [3995] = 913,
  [3996] = 1241,
  [3997] = 1240,
  [3998] = 1415,
  [3999] = 1239,
  [4000] = 1238,
  [4001] = 1235,
  [4002] = 1141,
  [4003] = 1187,
  [4004] = 1424,
  [4005] = 913,
  [4006] = 1148,
  [4007] = 914,
  [4008] = 1328,
  [4009] = 1316,
  [4010] = 1168,
  [4011] = 1182,
  [4012] = 1127,
  [4013] = 1106,
  [4014] = 1179,
  [4015] = 1175,
  [4016] = 1161,
  [4017] = 1279,
  [4018] = 1280,
  [4019] = 1299,
  [4020] = 1139,
  [4021] = 1303,
  [4022] = 1312,
  [4023] = 1261,
  [4024] = 1416,
  [4025] = 1248,
  [4026] = 1424,
  [4027] = 1159,
  [4028] = 1243,
  [4029] = 1242,
  [4030] = 1237,
  [4031] = 1236,
  [4032] = 1425,
  [4033] = 1221,
  [4034] = 1426,
  [4035] = 1158,
  [4036] = 1220,
  [4037] = 915,
  [4038] = 916,
  [4039] = 1137,
  [4040] = 1135,
  [4041] = 1257,
  [4042] = 1142,
  [4043] = 1143,
  [4044] = 1156,
  [4045] = 1314,
  [4046] = 1153,
  [4047] = 1144,
  [4048] = 1149,
  [4049] = 1291,
  [4050] = 1258,
  [4051] = 1279,
  [4052] = 1271,
  [4053] = 1250,
  [4054] = 1251,
  [4055] = 1245,
  [4056] = 1250,
  [4057] = 1416,
  [4058] = 1276,
  [4059] = 1245,
  [4060] = 1140,
  [4061] = 1415,
  [4062] = 1331,
  [4063] = 1241,
  [4064] = 1240,
  [4065] = 1187,
  [4066] = 1414,
  [4067] = 1251,
  [4068] = 1415,
  [4069] = 1292,
  [4070] = 1287,
  [4071] = 1290,
  [4072] = 1330,
  [4073] = 1424,
  [4074] = 1137,
  [4075] = 1135,
  [4076] = 1416,
  [4077] = 1140,
  [4078] = 1289,
  [4079] = 1522,
  [4080] = 914,
  [4081] = 1324,
  [4082] = 1425,
  [4083] = 913,
  [4084] = 1335,
  [4085] = 1415,
  [4086] = 1325,
  [4087] = 1277,
  [4088] = 1327,
  [4089] = 1241,
  [4090] = 1323,
  [4091] = 1239,
  [4092] = 1238,
  [4093] = 1322,
  [4094] = 1182,
  [4095] = 1235,
  [4096] = 1324,
  [4097] = 1317,
  [4098] = 1141,
  [4099] = 1179,
  [4100] = 1121,
  [4101] = 1175,
  [4102] = 1237,
  [4103] = 1261,
  [4104] = 1416,
  [4105] = 1248,
  [4106] = 1424,
  [4107] = 1243,
  [4108] = 1242,
  [4109] = 1325,
  [4110] = 1511,
  [4111] = 1246,
  [4112] = 1247,
  [4113] = 1511,
  [4114] = 1512,
  [4115] = 1513,
  [4116] = 1514,
  [4117] = 1515,
  [4118] = 1516,
  [4119] = 1240,
  [4120] = 1517,
  [4121] = 1518,
  [4122] = 1519,
  [4123] = 1520,
  [4124] = 1521,
  [4125] = 1516,
  [4126] = 1523,
  [4127] = 1188,
  [4128] = 1524,
  [4129] = 1425,
  [4130] = 1512,
  [4131] = 1270,
  [4132] = 1526,
  [4133] = 1527,
  [4134] = 1513,
  [4135] = 1514,
  [4136] = 1515,
  [4137] = 1414,
  [4138] = 1516,
  [4139] = 1517,
  [4140] = 1518,
  [4141] = 1519,
  [4142] = 1521,
  [4143] = 1522,
  [4144] = 1523,
  [4145] = 1269,
  [4146] = 1415,
  [4147] = 916,
  [4148] = 915,
  [4149] = 1524,
  [4150] = 1525,
  [4151] = 913,
  [4152] = 914,
  [4153] = 1526,
  [4154] = 1527,
  [4155] = 924,
  [4156] = 925,
  [4157] = 1221,
  [4158] = 1252,
  [4159] = 1253,
  [4160] = 1254,
  [4161] = 1189,
  [4162] = 1239,
  [4163] = 1511,
  [4164] = 1512,
  [4165] = 1513,
  [4166] = 1256,
  [4167] = 1332,
  [4168] = 1514,
  [4169] = 1515,
  [4170] = 1238,
  [4171] = 1235,
  [4172] = 1327,
  [4173] = 1127,
  [4174] = 1517,
  [4175] = 1236,
  [4176] = 1245,
  [4177] = 1140,
  [4178] = 1518,
  [4179] = 1520,
  [4180] = 1278,
  [4181] = 915,
  [4182] = 1519,
  [4183] = 1520,
  [4184] = 1521,
  [4185] = 1221,
  [4186] = 1220,
  [4187] = 916,
  [4188] = 1522,
  [4189] = 1315,
  [4190] = 1319,
  [4191] = 1523,
  [4192] = 1524,
  [4193] = 1141,
  [4194] = 1299,
  [4195] = 1318,
  [4196] = 1220,
  [4197] = 1525,
  [4198] = 1526,
  [4199] = 4199,
  [4200] = 1161,
  [4201] = 1527,
  [4202] = 1414,
  [4203] = 1142,
  [4204] = 1139,
  [4205] = 1260,
  [4206] = 1144,
  [4207] = 1159,
  [4208] = 1267,
  [4209] = 1153,
  [4210] = 1268,
  [4211] = 1330,
  [4212] = 1525,
  [4213] = 1269,
  [4214] = 1270,
  [4215] = 1271,
  [4216] = 1156,
  [4217] = 1276,
  [4218] = 1277,
  [4219] = 1278,
  [4220] = 1158,
  [4221] = 1159,
  [4222] = 1303,
  [4223] = 1158,
  [4224] = 1139,
  [4225] = 1246,
  [4226] = 1161,
  [4227] = 1175,
  [4228] = 1179,
  [4229] = 1182,
  [4230] = 1187,
  [4231] = 1188,
  [4232] = 1284,
  [4233] = 1285,
  [4234] = 1247,
  [4235] = 1287,
  [4236] = 1337,
  [4237] = 1289,
  [4238] = 1290,
  [4239] = 1291,
  [4240] = 1292,
  [4241] = 1293,
  [4242] = 1189,
  [4243] = 1101,
  [4244] = 1100,
  [4245] = 1099,
  [4246] = 1234,
  [4247] = 1233,
  [4248] = 1312,
  [4249] = 1313,
  [4250] = 1232,
  [4251] = 1231,
  [4252] = 1230,
  [4253] = 1226,
  [4254] = 1156,
  [4255] = 1134,
  [4256] = 1225,
  [4257] = 1224,
  [4258] = 1222,
  [4259] = 1294,
  [4260] = 1295,
  [4261] = 1314,
  [4262] = 1316,
  [4263] = 1328,
  [4264] = 1296,
  [4265] = 1297,
  [4266] = 1333,
  [4267] = 1305,
  [4268] = 1306,
  [4269] = 1334,
  [4270] = 1217,
  [4271] = 1308,
  [4272] = 1309,
  [4273] = 1311,
  [4274] = 1336,
  [4275] = 1320,
  [4276] = 1321,
  [4277] = 1338,
  [4278] = 1213,
  [4279] = 1181,
  [4280] = 1209,
  [4281] = 1207,
  [4282] = 1206,
  [4283] = 1205,
  [4284] = 1216,
  [4285] = 1280,
  [4286] = 1098,
  [4287] = 4287,
  [4288] = 1261,
  [4289] = 1203,
  [4290] = 1202,
  [4291] = 1218,
  [4292] = 1212,
  [4293] = 1337,
  [4294] = 1335,
  [4295] = 1201,
  [4296] = 1200,
  [4297] = 1332,
  [4298] = 1293,
  [4299] = 1331,
  [4300] = 1257,
  [4301] = 1199,
  [4302] = 1323,
  [4303] = 1322,
  [4304] = 1319,
  [4305] = 1198,
  [4306] = 1197,
  [4307] = 1196,
  [4308] = 1195,
  [4309] = 1425,
  [4310] = 1194,
  [4311] = 1191,
  [4312] = 1190,
  [4313] = 1244,
  [4314] = 1180,
  [4315] = 1173,
  [4316] = 1172,
  [4317] = 1160,
  [4318] = 1286,
  [4319] = 1416,
  [4320] = 1248,
  [4321] = 1255,
  [4322] = 1424,
  [4323] = 1097,
  [4324] = 1259,
  [4325] = 1266,
  [4326] = 1272,
  [4327] = 1243,
  [4328] = 1275,
  [4329] = 1268,
  [4330] = 1267,
  [4331] = 1242,
  [4332] = 1237,
  [4333] = 1252,
  [4334] = 1253,
  [4335] = 1096,
  [4336] = 1236,
  [4337] = 1254,
  [4338] = 1221,
  [4339] = 1220,
  [4340] = 1425,
  [4341] = 1511,
  [4342] = 1512,
  [4343] = 1513,
  [4344] = 1112,
  [4345] = 1111,
  [4346] = 1256,
  [4347] = 1106,
  [4348] = 1257,
  [4349] = 1142,
  [4350] = 1145,
  [4351] = 1515,
  [4352] = 1095,
  [4353] = 1516,
  [4354] = 1143,
  [4355] = 1143,
  [4356] = 4356,
  [4357] = 1517,
  [4358] = 1318,
  [4359] = 924,
  [4360] = 1317,
  [4361] = 1153,
  [4362] = 1315,
  [4363] = 1518,
  [4364] = 1258,
  [4365] = 1514,
  [4366] = 1247,
  [4367] = 1520,
  [4368] = 1521,
  [4369] = 1246,
  [4370] = 1522,
  [4371] = 1523,
  [4372] = 1524,
  [4373] = 1525,
  [4374] = 1526,
  [4375] = 925,
  [4376] = 1146,
  [4377] = 1147,
  [4378] = 1148,
  [4379] = 1149,
  [4380] = 1150,
  [4381] = 1151,
  [4382] = 1288,
  [4383] = 1288,
  [4384] = 1212,
  [4385] = 1527,
  [4386] = 1152,
  [4387] = 1414,
  [4388] = 1154,
  [4389] = 1218,
  [4390] = 1260,
  [4391] = 1321,
  [4392] = 1320,
  [4393] = 1145,
  [4394] = 1519,
  [4395] = 1286,
  [4396] = 1311,
  [4397] = 1424,
  [4398] = 1155,
  [4399] = 1157,
  [4400] = 1309,
  [4401] = 1308,
  [4402] = 1306,
  [4403] = 1305,
  [4404] = 1297,
  [4405] = 1166,
  [4406] = 1167,
  [4407] = 1168,
  [4408] = 3578,
  [4409] = 1296,
  [4410] = 1169,
  [4411] = 1170,
  [4412] = 1295,
  [4413] = 1294,
  [4414] = 1285,
  [4415] = 1171,
  [4416] = 1284,
  [4417] = 1144,
  [4418] = 1293,
  [4419] = 1512,
  [4420] = 1267,
  [4421] = 1268,
  [4422] = 1425,
  [4423] = 1260,
  [4424] = 1414,
  [4425] = 1269,
  [4426] = 1251,
  [4427] = 1250,
  [4428] = 1308,
  [4429] = 1257,
  [4430] = 1245,
  [4431] = 1270,
  [4432] = 1271,
  [4433] = 1139,
  [4434] = 1309,
  [4435] = 1221,
  [4436] = 1159,
  [4437] = 1526,
  [4438] = 1277,
  [4439] = 1524,
  [4440] = 1523,
  [4441] = 4441,
  [4442] = 1522,
  [4443] = 1521,
  [4444] = 1520,
  [4445] = 1278,
  [4446] = 1519,
  [4447] = 1335,
  [4448] = 1332,
  [4449] = 1258,
  [4450] = 1140,
  [4451] = 1331,
  [4452] = 1518,
  [4453] = 1774,
  [4454] = 1517,
  [4455] = 1516,
  [4456] = 2660,
  [4457] = 1515,
  [4458] = 1144,
  [4459] = 1337,
  [4460] = 1256,
  [4461] = 1306,
  [4462] = 1305,
  [4463] = 1513,
  [4464] = 1241,
  [4465] = 1319,
  [4466] = 1240,
  [4467] = 1511,
  [4468] = 1415,
  [4469] = 1254,
  [4470] = 1424,
  [4471] = 1239,
  [4472] = 1253,
  [4473] = 1252,
  [4474] = 1330,
  [4475] = 1323,
  [4476] = 1238,
  [4477] = 1322,
  [4478] = 1235,
  [4479] = 1141,
  [4480] = 1297,
  [4481] = 1179,
  [4482] = 1261,
  [4483] = 1290,
  [4484] = 1318,
  [4485] = 1296,
  [4486] = 1317,
  [4487] = 1311,
  [4488] = 1295,
  [4489] = 1416,
  [4490] = 2660,
  [4491] = 1315,
  [4492] = 2660,
  [4493] = 1189,
  [4494] = 1425,
  [4495] = 1294,
  [4496] = 1188,
  [4497] = 1187,
  [4498] = 1604,
  [4499] = 1248,
  [4500] = 1424,
  [4501] = 1243,
  [4502] = 1182,
  [4503] = 1320,
  [4504] = 1247,
  [4505] = 1242,
  [4506] = 1246,
  [4507] = 1426,
  [4508] = 1237,
  [4509] = 1284,
  [4510] = 1285,
  [4511] = 1236,
  [4512] = 1145,
  [4513] = 1321,
  [4514] = 1175,
  [4515] = 1161,
  [4516] = 1220,
  [4517] = 1511,
  [4518] = 1512,
  [4519] = 1513,
  [4520] = 1514,
  [4521] = 1515,
  [4522] = 1516,
  [4523] = 1517,
  [4524] = 1518,
  [4525] = 1519,
  [4526] = 1520,
  [4527] = 1521,
  [4528] = 1522,
  [4529] = 1523,
  [4530] = 1524,
  [4531] = 1525,
  [4532] = 1526,
  [4533] = 1527,
  [4534] = 1158,
  [4535] = 2584,
  [4536] = 4536,
  [4537] = 1287,
  [4538] = 1218,
  [4539] = 1212,
  [4540] = 1288,
  [4541] = 1527,
  [4542] = 1142,
  [4543] = 1289,
  [4544] = 1143,
  [4545] = 1276,
  [4546] = 1291,
  [4547] = 1292,
  [4548] = 1286,
  [4549] = 1525,
  [4550] = 1156,
  [4551] = 1153,
  [4552] = 1514,
  [4553] = 4553,
  [4554] = 4553,
  [4555] = 4555,
  [4556] = 4555,
  [4557] = 4553,
  [4558] = 4553,
  [4559] = 4555,
  [4560] = 4553,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4553,
  [4564] = 4553,
  [4565] = 4553,
  [4566] = 4553,
  [4567] = 4553,
  [4568] = 4555,
  [4569] = 4555,
  [4570] = 4553,
  [4571] = 4555,
  [4572] = 4555,
  [4573] = 4555,
  [4574] = 4555,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4553,
  [4578] = 4555,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4580,
  [4582] = 4580,
  [4583] = 4583,
  [4584] = 4580,
  [4585] = 4583,
  [4586] = 4580,
  [4587] = 4583,
  [4588] = 4583,
  [4589] = 4580,
  [4590] = 4580,
  [4591] = 4583,
  [4592] = 4583,
  [4593] = 4580,
  [4594] = 4580,
  [4595] = 4583,
  [4596] = 4583,
  [4597] = 4583,
  [4598] = 4580,
  [4599] = 4583,
  [4600] = 4583,
  [4601] = 4583,
  [4602] = 4583,
  [4603] = 4580,
  [4604] = 4583,
  [4605] = 4580,
  [4606] = 4580,
  [4607] = 4580,
  [4608] = 4583,
  [4609] = 4580,
  [4610] = 4580,
  [4611] = 4583,
  [4612] = 4583,
  [4613] = 4580,
  [4614] = 4580,
  [4615] = 4583,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4617,
  [4620] = 4620,
  [4621] = 4620,
  [4622] = 4622,
  [4623] = 4617,
  [4624] = 4617,
  [4625] = 4620,
  [4626] = 4620,
  [4627] = 4627,
  [4628] = 4622,
  [4629] = 4616,
  [4630] = 4617,
  [4631] = 4618,
  [4632] = 4616,
  [4633] = 4627,
  [4634] = 4618,
  [4635] = 4616,
  [4636] = 4622,
  [4637] = 4617,
  [4638] = 4622,
  [4639] = 4627,
  [4640] = 4618,
  [4641] = 4618,
  [4642] = 4627,
  [4643] = 4618,
  [4644] = 4627,
  [4645] = 4617,
  [4646] = 4617,
  [4647] = 4616,
  [4648] = 4616,
  [4649] = 4616,
  [4650] = 4617,
  [4651] = 4618,
  [4652] = 4627,
  [4653] = 4622,
  [4654] = 4622,
  [4655] = 4618,
  [4656] = 4622,
  [4657] = 4620,
  [4658] = 4620,
  [4659] = 4620,
  [4660] = 4620,
  [4661] = 4618,
  [4662] = 4620,
  [4663] = 4627,
  [4664] = 4618,
  [4665] = 4627,
  [4666] = 4617,
  [4667] = 4616,
  [4668] = 4627,
  [4669] = 4617,
  [4670] = 4622,
  [4671] = 4622,
  [4672] = 4616,
  [4673] = 4622,
  [4674] = 4620,
  [4675] = 4616,
  [4676] = 4620,
  [4677] = 4622,
  [4678] = 4627,
  [4679] = 4620,
  [4680] = 4618,
  [4681] = 4618,
  [4682] = 4622,
  [4683] = 4616,
  [4684] = 4617,
  [4685] = 4627,
  [4686] = 4627,
  [4687] = 4616,
  [4688] = 4688,
  [4689] = 4689,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4693,
  [4694] = 4691,
  [4695] = 4695,
  [4696] = 4692,
  [4697] = 4690,
  [4698] = 4693,
  [4699] = 4690,
  [4700] = 4691,
  [4701] = 4695,
  [4702] = 4691,
  [4703] = 4691,
  [4704] = 4690,
  [4705] = 4693,
  [4706] = 4692,
  [4707] = 4690,
  [4708] = 4695,
  [4709] = 4690,
  [4710] = 4695,
  [4711] = 4695,
  [4712] = 4690,
  [4713] = 4690,
  [4714] = 4691,
  [4715] = 4693,
  [4716] = 4692,
  [4717] = 4691,
  [4718] = 4693,
  [4719] = 4690,
  [4720] = 4692,
  [4721] = 4695,
  [4722] = 4692,
  [4723] = 4692,
  [4724] = 4693,
  [4725] = 4691,
  [4726] = 4695,
  [4727] = 4690,
  [4728] = 4693,
  [4729] = 4691,
  [4730] = 4693,
  [4731] = 4691,
  [4732] = 4695,
  [4733] = 4733,
  [4734] = 4692,
  [4735] = 4695,
  [4736] = 4690,
  [4737] = 4693,
  [4738] = 4691,
  [4739] = 4691,
  [4740] = 4693,
  [4741] = 4693,
  [4742] = 4692,
  [4743] = 4692,
  [4744] = 4695,
  [4745] = 4692,
  [4746] = 4695,
  [4747] = 4692,
  [4748] = 4693,
  [4749] = 4695,
  [4750] = 4690,
  [4751] = 4751,
  [4752] = 4689,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 4756,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4688,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 4764,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 4770,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 4781,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 4782,
  [4785] = 4783,
  [4786] = 4782,
  [4787] = 4783,
  [4788] = 4783,
  [4789] = 4782,
  [4790] = 4782,
  [4791] = 4783,
  [4792] = 4782,
  [4793] = 4783,
  [4794] = 4782,
  [4795] = 4782,
  [4796] = 4783,
  [4797] = 4782,
  [4798] = 4783,
  [4799] = 4783,
  [4800] = 4782,
  [4801] = 4782,
  [4802] = 4783,
  [4803] = 4782,
  [4804] = 4783,
  [4805] = 4783,
  [4806] = 4782,
  [4807] = 4782,
  [4808] = 4782,
  [4809] = 4782,
  [4810] = 4782,
  [4811] = 4782,
  [4812] = 4782,
  [4813] = 4783,
  [4814] = 4782,
  [4815] = 4782,
  [4816] = 4783,
  [4817] = 4783,
  [4818] = 4782,
  [4819] = 4783,
  [4820] = 4782,
  [4821] = 4783,
  [4822] = 4783,
  [4823] = 4783,
  [4824] = 4783,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 1145,
  [4828] = 4828,
  [4829] = 4829,
  [4830] = 4829,
  [4831] = 4831,
  [4832] = 4832,
  [4833] = 4832,
  [4834] = 4834,
  [4835] = 4832,
  [4836] = 4831,
  [4837] = 4831,
  [4838] = 4838,
  [4839] = 4829,
  [4840] = 4838,
  [4841] = 4829,
  [4842] = 4831,
  [4843] = 4832,
  [4844] = 4829,
  [4845] = 4829,
  [4846] = 4831,
  [4847] = 4832,
  [4848] = 4838,
  [4849] = 4831,
  [4850] = 4829,
  [4851] = 4831,
  [4852] = 4831,
  [4853] = 4832,
  [4854] = 4838,
  [4855] = 4838,
  [4856] = 4838,
  [4857] = 4829,
  [4858] = 4834,
  [4859] = 4859,
  [4860] = 4860,
  [4861] = 4861,
  [4862] = 4862,
  [4863] = 4863,
  [4864] = 4859,
  [4865] = 4834,
  [4866] = 4863,
  [4867] = 4862,
  [4868] = 4861,
  [4869] = 4860,
  [4870] = 4829,
  [4871] = 4838,
  [4872] = 4829,
  [4873] = 4831,
  [4874] = 4832,
  [4875] = 4832,
  [4876] = 4838,
  [4877] = 4831,
  [4878] = 4831,
  [4879] = 4832,
  [4880] = 4832,
  [4881] = 4838,
  [4882] = 4832,
  [4883] = 4838,
  [4884] = 4838,
  [4885] = 4829,
  [4886] = 4831,
  [4887] = 4838,
  [4888] = 4831,
  [4889] = 4831,
  [4890] = 4860,
  [4891] = 4861,
  [4892] = 4832,
  [4893] = 4834,
  [4894] = 4838,
  [4895] = 4862,
  [4896] = 4863,
  [4897] = 4859,
  [4898] = 4829,
  [4899] = 4859,
  [4900] = 4829,
  [4901] = 4863,
  [4902] = 4831,
  [4903] = 4862,
  [4904] = 4860,
  [4905] = 4834,
  [4906] = 4861,
  [4907] = 4862,
  [4908] = 4832,
  [4909] = 4831,
  [4910] = 4834,
  [4911] = 4838,
  [4912] = 4863,
  [4913] = 4859,
  [4914] = 4859,
  [4915] = 4834,
  [4916] = 4832,
  [4917] = 4838,
  [4918] = 4829,
  [4919] = 4861,
  [4920] = 4860,
  [4921] = 4861,
  [4922] = 4862,
  [4923] = 4863,
  [4924] = 4860,
  [4925] = 4831,
  [4926] = 4859,
  [4927] = 4832,
  [4928] = 4834,
  [4929] = 4838,
  [4930] = 4829,
  [4931] = 4831,
  [4932] = 4832,
  [4933] = 4859,
  [4934] = 4838,
  [4935] = 4863,
  [4936] = 4862,
  [4937] = 4829,
  [4938] = 4831,
  [4939] = 4832,
  [4940] = 4832,
  [4941] = 4861,
  [4942] = 4838,
  [4943] = 4838,
  [4944] = 4860,
  [4945] = 4829,
  [4946] = 4831,
  [4947] = 4831,
  [4948] = 4832,
  [4949] = 4831,
  [4950] = 4829,
  [4951] = 4829,
  [4952] = 4831,
  [4953] = 4834,
  [4954] = 4859,
  [4955] = 4863,
  [4956] = 4862,
  [4957] = 4861,
  [4958] = 4860,
  [4959] = 4829,
  [4960] = 4831,
  [4961] = 4829,
  [4962] = 4859,
  [4963] = 4832,
  [4964] = 4863,
  [4965] = 4838,
  [4966] = 4832,
  [4967] = 4862,
  [4968] = 4861,
  [4969] = 4832,
  [4970] = 4831,
  [4971] = 4831,
  [4972] = 4860,
  [4973] = 4838,
  [4974] = 4860,
  [4975] = 4832,
  [4976] = 4832,
  [4977] = 4831,
  [4978] = 4832,
  [4979] = 4829,
  [4980] = 4838,
  [4981] = 4861,
  [4982] = 4834,
  [4983] = 4859,
  [4984] = 4832,
  [4985] = 4863,
  [4986] = 4862,
  [4987] = 4861,
  [4988] = 4860,
  [4989] = 4860,
  [4990] = 4860,
  [4991] = 4861,
  [4992] = 4862,
  [4993] = 4863,
  [4994] = 4859,
  [4995] = 4834,
  [4996] = 4862,
  [4997] = 4863,
  [4998] = 4832,
  [4999] = 4832,
  [5000] = 4859,
  [5001] = 4834,
  [5002] = 4834,
  [5003] = 4832,
  [5004] = 4860,
  [5005] = 4859,
  [5006] = 4863,
  [5007] = 4861,
  [5008] = 4831,
  [5009] = 4862,
  [5010] = 4838,
  [5011] = 4829,
  [5012] = 4831,
  [5013] = 4832,
  [5014] = 4829,
  [5015] = 4861,
  [5016] = 4862,
  [5017] = 4863,
  [5018] = 4838,
  [5019] = 4859,
  [5020] = 4860,
  [5021] = 4834,
  [5022] = 4834,
  [5023] = 4859,
  [5024] = 4863,
  [5025] = 4838,
  [5026] = 4862,
  [5027] = 4861,
  [5028] = 4838,
  [5029] = 4861,
  [5030] = 4860,
  [5031] = 4829,
  [5032] = 4862,
  [5033] = 4863,
  [5034] = 4832,
  [5035] = 4832,
  [5036] = 4831,
  [5037] = 4831,
  [5038] = 4829,
  [5039] = 4838,
  [5040] = 4831,
  [5041] = 4834,
  [5042] = 4860,
  [5043] = 4861,
  [5044] = 4862,
  [5045] = 4863,
  [5046] = 4859,
  [5047] = 4834,
  [5048] = 4859,
  [5049] = 4832,
  [5050] = 4863,
  [5051] = 4862,
  [5052] = 4861,
  [5053] = 4831,
  [5054] = 4860,
  [5055] = 4832,
  [5056] = 4834,
  [5057] = 4831,
  [5058] = 4832,
  [5059] = 4829,
  [5060] = 4838,
  [5061] = 4829,
  [5062] = 4832,
  [5063] = 4831,
  [5064] = 4829,
  [5065] = 4838,
  [5066] = 4831,
  [5067] = 4832,
  [5068] = 4831,
  [5069] = 4829,
  [5070] = 4838,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 5072,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 5082,
  [5083] = 5083,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 5075,
  [5088] = 5088,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5082,
  [5092] = 5092,
  [5093] = 5081,
  [5094] = 5080,
  [5095] = 5079,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 5098,
  [5099] = 5083,
  [5100] = 5100,
  [5101] = 5071,
  [5102] = 5084,
  [5103] = 5103,
  [5104] = 5097,
  [5105] = 5088,
  [5106] = 5078,
  [5107] = 5077,
  [5108] = 5108,
  [5109] = 5085,
  [5110] = 5076,
  [5111] = 5072,
  [5112] = 5112,
  [5113] = 5089,
  [5114] = 5108,
  [5115] = 5115,
  [5116] = 5096,
  [5117] = 5098,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5115,
  [5124] = 5118,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5112,
  [5131] = 5131,
  [5132] = 5127,
  [5133] = 5112,
  [5134] = 5131,
  [5135] = 5103,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5129,
  [5139] = 5122,
  [5140] = 5121,
  [5141] = 5120,
  [5142] = 5119,
  [5143] = 5118,
  [5144] = 5115,
  [5145] = 5108,
  [5146] = 5085,
  [5147] = 5084,
  [5148] = 5083,
  [5149] = 5075,
  [5150] = 5150,
  [5151] = 5122,
  [5152] = 5119,
  [5153] = 5120,
  [5154] = 5154,
  [5155] = 5121,
  [5156] = 5156,
  [5157] = 5129,
  [5158] = 1307,
  [5159] = 5077,
  [5160] = 5078,
  [5161] = 1327,
  [5162] = 5079,
  [5163] = 4781,
  [5164] = 4754,
  [5165] = 4757,
  [5166] = 5137,
  [5167] = 5136,
  [5168] = 5080,
  [5169] = 4780,
  [5170] = 5081,
  [5171] = 5171,
  [5172] = 5150,
  [5173] = 5154,
  [5174] = 5156,
  [5175] = 5156,
  [5176] = 5171,
  [5177] = 5082,
  [5178] = 5178,
  [5179] = 5154,
  [5180] = 5088,
  [5181] = 5156,
  [5182] = 5154,
  [5183] = 5150,
  [5184] = 5131,
  [5185] = 5112,
  [5186] = 5127,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 4764,
  [5190] = 5103,
  [5191] = 5071,
  [5192] = 5078,
  [5193] = 5077,
  [5194] = 5076,
  [5195] = 5072,
  [5196] = 5103,
  [5197] = 5071,
  [5198] = 5078,
  [5199] = 5077,
  [5200] = 5076,
  [5201] = 5072,
  [5202] = 5097,
  [5203] = 5073,
  [5204] = 5071,
  [5205] = 5103,
  [5206] = 5103,
  [5207] = 5071,
  [5208] = 5078,
  [5209] = 5077,
  [5210] = 5076,
  [5211] = 5072,
  [5212] = 5072,
  [5213] = 5103,
  [5214] = 5100,
  [5215] = 5071,
  [5216] = 5078,
  [5217] = 5077,
  [5218] = 5076,
  [5219] = 5073,
  [5220] = 5072,
  [5221] = 1325,
  [5222] = 5076,
  [5223] = 5077,
  [5224] = 5078,
  [5225] = 5079,
  [5226] = 5080,
  [5227] = 5081,
  [5228] = 5082,
  [5229] = 5072,
  [5230] = 5076,
  [5231] = 5103,
  [5232] = 5071,
  [5233] = 5078,
  [5234] = 5075,
  [5235] = 5089,
  [5236] = 5083,
  [5237] = 5084,
  [5238] = 5077,
  [5239] = 5085,
  [5240] = 5076,
  [5241] = 5108,
  [5242] = 5096,
  [5243] = 5156,
  [5244] = 5098,
  [5245] = 5115,
  [5246] = 5100,
  [5247] = 5071,
  [5248] = 5118,
  [5249] = 5103,
  [5250] = 5097,
  [5251] = 5088,
  [5252] = 5119,
  [5253] = 5120,
  [5254] = 5121,
  [5255] = 5122,
  [5256] = 5129,
  [5257] = 5137,
  [5258] = 5154,
  [5259] = 5150,
  [5260] = 5131,
  [5261] = 5112,
  [5262] = 5075,
  [5263] = 5083,
  [5264] = 5084,
  [5265] = 5085,
  [5266] = 5108,
  [5267] = 5115,
  [5268] = 5072,
  [5269] = 5098,
  [5270] = 5136,
  [5271] = 5125,
  [5272] = 5126,
  [5273] = 5077,
  [5274] = 5096,
  [5275] = 5078,
  [5276] = 5103,
  [5277] = 5071,
  [5278] = 5078,
  [5279] = 5077,
  [5280] = 5076,
  [5281] = 5072,
  [5282] = 5079,
  [5283] = 5080,
  [5284] = 5103,
  [5285] = 5071,
  [5286] = 5078,
  [5287] = 5077,
  [5288] = 5136,
  [5289] = 5137,
  [5290] = 5129,
  [5291] = 5122,
  [5292] = 5121,
  [5293] = 5120,
  [5294] = 5119,
  [5295] = 5118,
  [5296] = 5115,
  [5297] = 5108,
  [5298] = 5085,
  [5299] = 5084,
  [5300] = 5083,
  [5301] = 5075,
  [5302] = 5076,
  [5303] = 5072,
  [5304] = 5081,
  [5305] = 5082,
  [5306] = 5088,
  [5307] = 5097,
  [5308] = 5103,
  [5309] = 5071,
  [5310] = 5082,
  [5311] = 5081,
  [5312] = 5080,
  [5313] = 5079,
  [5314] = 5078,
  [5315] = 5077,
  [5316] = 5076,
  [5317] = 5072,
  [5318] = 5089,
  [5319] = 5088,
  [5320] = 5097,
  [5321] = 5103,
  [5322] = 5071,
  [5323] = 5171,
  [5324] = 5082,
  [5325] = 5081,
  [5326] = 5080,
  [5327] = 5126,
  [5328] = 5125,
  [5329] = 5079,
  [5330] = 5118,
  [5331] = 5078,
  [5332] = 5119,
  [5333] = 5156,
  [5334] = 5154,
  [5335] = 5150,
  [5336] = 5131,
  [5337] = 5112,
  [5338] = 5127,
  [5339] = 5077,
  [5340] = 5076,
  [5341] = 5072,
  [5342] = 5096,
  [5343] = 5088,
  [5344] = 5097,
  [5345] = 5103,
  [5346] = 5071,
  [5347] = 5082,
  [5348] = 5081,
  [5349] = 5120,
  [5350] = 5121,
  [5351] = 5122,
  [5352] = 5129,
  [5353] = 5100,
  [5354] = 5071,
  [5355] = 5103,
  [5356] = 5097,
  [5357] = 5088,
  [5358] = 5076,
  [5359] = 5097,
  [5360] = 5103,
  [5361] = 5071,
  [5362] = 5100,
  [5363] = 5098,
  [5364] = 5096,
  [5365] = 5080,
  [5366] = 5079,
  [5367] = 5078,
  [5368] = 5077,
  [5369] = 5369,
  [5370] = 5089,
  [5371] = 5073,
  [5372] = 5072,
  [5373] = 5076,
  [5374] = 5076,
  [5375] = 5077,
  [5376] = 5078,
  [5377] = 5079,
  [5378] = 5080,
  [5379] = 5081,
  [5380] = 5082,
  [5381] = 5072,
  [5382] = 5098,
  [5383] = 5100,
  [5384] = 5088,
  [5385] = 5088,
  [5386] = 5082,
  [5387] = 5089,
  [5388] = 5081,
  [5389] = 5080,
  [5390] = 5097,
  [5391] = 5079,
  [5392] = 5078,
  [5393] = 5096,
  [5394] = 5077,
  [5395] = 5098,
  [5396] = 5076,
  [5397] = 5100,
  [5398] = 5071,
  [5399] = 5072,
  [5400] = 5103,
  [5401] = 5097,
  [5402] = 5088,
  [5403] = 5073,
  [5404] = 5103,
  [5405] = 5097,
  [5406] = 5103,
  [5407] = 5071,
  [5408] = 5082,
  [5409] = 5081,
  [5410] = 5080,
  [5411] = 5079,
  [5412] = 5078,
  [5413] = 5077,
  [5414] = 5076,
  [5415] = 5072,
  [5416] = 5127,
  [5417] = 5127,
  [5418] = 5125,
  [5419] = 5071,
  [5420] = 5082,
  [5421] = 5126,
  [5422] = 5125,
  [5423] = 5126,
  [5424] = 5072,
  [5425] = 5073,
  [5426] = 5081,
  [5427] = 5080,
  [5428] = 5079,
  [5429] = 5429,
  [5430] = 5078,
  [5431] = 5077,
  [5432] = 5136,
  [5433] = 5137,
  [5434] = 5129,
  [5435] = 5122,
  [5436] = 5121,
  [5437] = 5120,
  [5438] = 5119,
  [5439] = 5118,
  [5440] = 5115,
  [5441] = 5108,
  [5442] = 5085,
  [5443] = 5084,
  [5444] = 5083,
  [5445] = 5075,
  [5446] = 5076,
  [5447] = 5072,
  [5448] = 5103,
  [5449] = 5097,
  [5450] = 5088,
  [5451] = 5088,
  [5452] = 5097,
  [5453] = 5103,
  [5454] = 5071,
  [5455] = 5082,
  [5456] = 5081,
  [5457] = 5080,
  [5458] = 5079,
  [5459] = 5078,
  [5460] = 5077,
  [5461] = 5076,
  [5462] = 5072,
  [5463] = 5131,
  [5464] = 5072,
  [5465] = 5076,
  [5466] = 5077,
  [5467] = 5171,
  [5468] = 5088,
  [5469] = 5085,
  [5470] = 5097,
  [5471] = 5103,
  [5472] = 5071,
  [5473] = 5082,
  [5474] = 5081,
  [5475] = 5080,
  [5476] = 5127,
  [5477] = 5156,
  [5478] = 5154,
  [5479] = 5150,
  [5480] = 5131,
  [5481] = 5112,
  [5482] = 5127,
  [5483] = 5079,
  [5484] = 5078,
  [5485] = 5077,
  [5486] = 5076,
  [5487] = 5072,
  [5488] = 5078,
  [5489] = 5079,
  [5490] = 5080,
  [5491] = 5081,
  [5492] = 5088,
  [5493] = 5112,
  [5494] = 5131,
  [5495] = 5150,
  [5496] = 5154,
  [5497] = 5156,
  [5498] = 5082,
  [5499] = 5171,
  [5500] = 5097,
  [5501] = 5071,
  [5502] = 5127,
  [5503] = 5103,
  [5504] = 5171,
  [5505] = 5071,
  [5506] = 5082,
  [5507] = 5081,
  [5508] = 5080,
  [5509] = 5079,
  [5510] = 5078,
  [5511] = 5077,
  [5512] = 5076,
  [5513] = 5072,
  [5514] = 5112,
  [5515] = 5073,
  [5516] = 5072,
  [5517] = 5131,
  [5518] = 5076,
  [5519] = 5077,
  [5520] = 5078,
  [5521] = 5079,
  [5522] = 5080,
  [5523] = 5081,
  [5524] = 5082,
  [5525] = 5125,
  [5526] = 5088,
  [5527] = 5097,
  [5528] = 5103,
  [5529] = 5071,
  [5530] = 5082,
  [5531] = 5089,
  [5532] = 5081,
  [5533] = 5080,
  [5534] = 5079,
  [5535] = 5078,
  [5536] = 5077,
  [5537] = 5096,
  [5538] = 5076,
  [5539] = 5098,
  [5540] = 5072,
  [5541] = 5100,
  [5542] = 5071,
  [5543] = 5126,
  [5544] = 5103,
  [5545] = 5097,
  [5546] = 5088,
  [5547] = 5088,
  [5548] = 5097,
  [5549] = 5103,
  [5550] = 5150,
  [5551] = 5071,
  [5552] = 5082,
  [5553] = 5154,
  [5554] = 5156,
  [5555] = 5103,
  [5556] = 5097,
  [5557] = 5088,
  [5558] = 4764,
  [5559] = 5088,
  [5560] = 5560,
  [5561] = 5171,
  [5562] = 5129,
  [5563] = 5081,
  [5564] = 5080,
  [5565] = 5079,
  [5566] = 5125,
  [5567] = 5126,
  [5568] = 5078,
  [5569] = 5077,
  [5570] = 5076,
  [5571] = 5075,
  [5572] = 5083,
  [5573] = 5084,
  [5574] = 5072,
  [5575] = 5088,
  [5576] = 5136,
  [5577] = 5137,
  [5578] = 5129,
  [5579] = 5122,
  [5580] = 5121,
  [5581] = 5120,
  [5582] = 5119,
  [5583] = 5118,
  [5584] = 5115,
  [5585] = 5108,
  [5586] = 5085,
  [5587] = 5084,
  [5588] = 5083,
  [5589] = 5075,
  [5590] = 5097,
  [5591] = 5103,
  [5592] = 5071,
  [5593] = 5082,
  [5594] = 5081,
  [5595] = 5080,
  [5596] = 5079,
  [5597] = 5078,
  [5598] = 5077,
  [5599] = 5076,
  [5600] = 5072,
  [5601] = 4780,
  [5602] = 4764,
  [5603] = 5088,
  [5604] = 5097,
  [5605] = 5103,
  [5606] = 5071,
  [5607] = 5082,
  [5608] = 5081,
  [5609] = 5080,
  [5610] = 5079,
  [5611] = 5171,
  [5612] = 5078,
  [5613] = 5122,
  [5614] = 5108,
  [5615] = 5077,
  [5616] = 5115,
  [5617] = 5118,
  [5618] = 5119,
  [5619] = 5076,
  [5620] = 5071,
  [5621] = 5156,
  [5622] = 5154,
  [5623] = 5150,
  [5624] = 5131,
  [5625] = 5112,
  [5626] = 5127,
  [5627] = 5136,
  [5628] = 5137,
  [5629] = 5071,
  [5630] = 1327,
  [5631] = 5122,
  [5632] = 5088,
  [5633] = 5097,
  [5634] = 5103,
  [5635] = 5071,
  [5636] = 5082,
  [5637] = 5081,
  [5638] = 5120,
  [5639] = 5121,
  [5640] = 5122,
  [5641] = 5129,
  [5642] = 5137,
  [5643] = 5136,
  [5644] = 5089,
  [5645] = 5080,
  [5646] = 5121,
  [5647] = 5079,
  [5648] = 5078,
  [5649] = 5077,
  [5650] = 5076,
  [5651] = 5072,
  [5652] = 5150,
  [5653] = 5121,
  [5654] = 5120,
  [5655] = 5119,
  [5656] = 5118,
  [5657] = 5126,
  [5658] = 5125,
  [5659] = 5073,
  [5660] = 5072,
  [5661] = 5115,
  [5662] = 5076,
  [5663] = 5077,
  [5664] = 5078,
  [5665] = 5079,
  [5666] = 5080,
  [5667] = 5081,
  [5668] = 5082,
  [5669] = 5127,
  [5670] = 5112,
  [5671] = 5120,
  [5672] = 5119,
  [5673] = 5131,
  [5674] = 5118,
  [5675] = 5089,
  [5676] = 5150,
  [5677] = 5154,
  [5678] = 5156,
  [5679] = 5115,
  [5680] = 5108,
  [5681] = 5096,
  [5682] = 5080,
  [5683] = 5098,
  [5684] = 5085,
  [5685] = 5100,
  [5686] = 5084,
  [5687] = 5083,
  [5688] = 5103,
  [5689] = 5097,
  [5690] = 5088,
  [5691] = 5075,
  [5692] = 5100,
  [5693] = 5088,
  [5694] = 5097,
  [5695] = 5103,
  [5696] = 5071,
  [5697] = 5075,
  [5698] = 5083,
  [5699] = 5084,
  [5700] = 5085,
  [5701] = 5108,
  [5702] = 5115,
  [5703] = 5118,
  [5704] = 5119,
  [5705] = 5120,
  [5706] = 5121,
  [5707] = 5075,
  [5708] = 5083,
  [5709] = 5084,
  [5710] = 5125,
  [5711] = 5126,
  [5712] = 5098,
  [5713] = 5096,
  [5714] = 5085,
  [5715] = 5108,
  [5716] = 5122,
  [5717] = 5115,
  [5718] = 5118,
  [5719] = 5089,
  [5720] = 5136,
  [5721] = 5137,
  [5722] = 5129,
  [5723] = 5122,
  [5724] = 5121,
  [5725] = 5120,
  [5726] = 5119,
  [5727] = 5118,
  [5728] = 5115,
  [5729] = 5108,
  [5730] = 5085,
  [5731] = 5084,
  [5732] = 5083,
  [5733] = 5075,
  [5734] = 5119,
  [5735] = 5120,
  [5736] = 5121,
  [5737] = 5122,
  [5738] = 5129,
  [5739] = 5129,
  [5740] = 5137,
  [5741] = 5136,
  [5742] = 5137,
  [5743] = 5156,
  [5744] = 5129,
  [5745] = 5122,
  [5746] = 5154,
  [5747] = 5747,
  [5748] = 5121,
  [5749] = 5108,
  [5750] = 5085,
  [5751] = 5084,
  [5752] = 5083,
  [5753] = 5075,
  [5754] = 5088,
  [5755] = 5171,
  [5756] = 5097,
  [5757] = 5103,
  [5758] = 5071,
  [5759] = 5082,
  [5760] = 5081,
  [5761] = 5082,
  [5762] = 5081,
  [5763] = 5080,
  [5764] = 5080,
  [5765] = 5156,
  [5766] = 5154,
  [5767] = 5150,
  [5768] = 5131,
  [5769] = 5112,
  [5770] = 5127,
  [5771] = 5079,
  [5772] = 5078,
  [5773] = 5077,
  [5774] = 5076,
  [5775] = 5072,
  [5776] = 5129,
  [5777] = 5127,
  [5778] = 5112,
  [5779] = 5131,
  [5780] = 5150,
  [5781] = 5781,
  [5782] = 5079,
  [5783] = 5078,
  [5784] = 5077,
  [5785] = 5076,
  [5786] = 5154,
  [5787] = 5072,
  [5788] = 5073,
  [5789] = 5156,
  [5790] = 5126,
  [5791] = 5075,
  [5792] = 5125,
  [5793] = 5125,
  [5794] = 5126,
  [5795] = 5795,
  [5796] = 5082,
  [5797] = 5120,
  [5798] = 5083,
  [5799] = 5084,
  [5800] = 5081,
  [5801] = 5085,
  [5802] = 5108,
  [5803] = 5073,
  [5804] = 5072,
  [5805] = 5076,
  [5806] = 5077,
  [5807] = 5078,
  [5808] = 5079,
  [5809] = 5080,
  [5810] = 5081,
  [5811] = 5082,
  [5812] = 5115,
  [5813] = 5118,
  [5814] = 5119,
  [5815] = 5120,
  [5816] = 5121,
  [5817] = 5122,
  [5818] = 5089,
  [5819] = 5129,
  [5820] = 5150,
  [5821] = 5131,
  [5822] = 5119,
  [5823] = 5118,
  [5824] = 5096,
  [5825] = 5079,
  [5826] = 5098,
  [5827] = 5115,
  [5828] = 5100,
  [5829] = 5071,
  [5830] = 5103,
  [5831] = 5097,
  [5832] = 5088,
  [5833] = 5108,
  [5834] = 5075,
  [5835] = 5085,
  [5836] = 5127,
  [5837] = 5112,
  [5838] = 5131,
  [5839] = 5084,
  [5840] = 5088,
  [5841] = 5097,
  [5842] = 5103,
  [5843] = 5071,
  [5844] = 5100,
  [5845] = 5083,
  [5846] = 5098,
  [5847] = 1324,
  [5848] = 5096,
  [5849] = 5136,
  [5850] = 5078,
  [5851] = 5150,
  [5852] = 5125,
  [5853] = 5126,
  [5854] = 5154,
  [5855] = 5112,
  [5856] = 5127,
  [5857] = 5156,
  [5858] = 5171,
  [5859] = 5073,
  [5860] = 5860,
  [5861] = 5136,
  [5862] = 5137,
  [5863] = 5129,
  [5864] = 5122,
  [5865] = 5121,
  [5866] = 5120,
  [5867] = 5119,
  [5868] = 5118,
  [5869] = 5115,
  [5870] = 5108,
  [5871] = 5085,
  [5872] = 5084,
  [5873] = 5083,
  [5874] = 5075,
  [5875] = 5088,
  [5876] = 5097,
  [5877] = 5103,
  [5878] = 5071,
  [5879] = 5082,
  [5880] = 5081,
  [5881] = 5080,
  [5882] = 5079,
  [5883] = 5078,
  [5884] = 5077,
  [5885] = 5076,
  [5886] = 5072,
  [5887] = 5887,
  [5888] = 5171,
  [5889] = 4781,
  [5890] = 5156,
  [5891] = 5154,
  [5892] = 5127,
  [5893] = 5112,
  [5894] = 5131,
  [5895] = 5150,
  [5896] = 5171,
  [5897] = 5154,
  [5898] = 5156,
  [5899] = 5075,
  [5900] = 5077,
  [5901] = 5083,
  [5902] = 5084,
  [5903] = 5076,
  [5904] = 5085,
  [5905] = 5156,
  [5906] = 5154,
  [5907] = 5150,
  [5908] = 5131,
  [5909] = 5112,
  [5910] = 5127,
  [5911] = 5108,
  [5912] = 5115,
  [5913] = 5118,
  [5914] = 5119,
  [5915] = 5120,
  [5916] = 5121,
  [5917] = 5122,
  [5918] = 5129,
  [5919] = 5089,
  [5920] = 5072,
  [5921] = 5076,
  [5922] = 5077,
  [5923] = 5078,
  [5924] = 5079,
  [5925] = 5080,
  [5926] = 5082,
  [5927] = 5081,
  [5928] = 5080,
  [5929] = 5079,
  [5930] = 5072,
  [5931] = 5078,
  [5932] = 5150,
  [5933] = 5131,
  [5934] = 5112,
  [5935] = 5127,
  [5936] = 5088,
  [5937] = 5097,
  [5938] = 5103,
  [5939] = 5071,
  [5940] = 5082,
  [5941] = 5081,
  [5942] = 5073,
  [5943] = 5072,
  [5944] = 5076,
  [5945] = 5077,
  [5946] = 5946,
  [5947] = 5946,
  [5948] = 5948,
  [5949] = 5949,
  [5950] = 5946,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5948,
  [5959] = 5956,
  [5960] = 5949,
  [5961] = 5961,
  [5962] = 5946,
  [5963] = 5957,
  [5964] = 5964,
  [5965] = 5954,
  [5966] = 5953,
  [5967] = 5952,
  [5968] = 5951,
  [5969] = 5946,
  [5970] = 5949,
  [5971] = 5956,
  [5972] = 5948,
  [5973] = 5951,
  [5974] = 5952,
  [5975] = 5953,
  [5976] = 5954,
  [5977] = 5964,
  [5978] = 5948,
  [5979] = 5956,
  [5980] = 5949,
  [5981] = 5946,
  [5982] = 5951,
  [5983] = 5952,
  [5984] = 5953,
  [5985] = 5954,
  [5986] = 5964,
  [5987] = 5957,
  [5988] = 5957,
  [5989] = 5989,
  [5990] = 5990,
  [5991] = 5991,
  [5992] = 5991,
  [5993] = 5948,
  [5994] = 5956,
  [5995] = 5949,
  [5996] = 5946,
  [5997] = 5951,
  [5998] = 5952,
  [5999] = 5953,
  [6000] = 5954,
  [6001] = 5964,
  [6002] = 5957,
  [6003] = 5948,
  [6004] = 5957,
  [6005] = 5964,
  [6006] = 5954,
  [6007] = 5953,
  [6008] = 5952,
  [6009] = 5951,
  [6010] = 5946,
  [6011] = 5949,
  [6012] = 5956,
  [6013] = 5948,
  [6014] = 5956,
  [6015] = 5949,
  [6016] = 5946,
  [6017] = 5951,
  [6018] = 5952,
  [6019] = 5953,
  [6020] = 5954,
  [6021] = 5964,
  [6022] = 5957,
  [6023] = 5991,
  [6024] = 5948,
  [6025] = 5957,
  [6026] = 5957,
  [6027] = 5964,
  [6028] = 5954,
  [6029] = 5953,
  [6030] = 5952,
  [6031] = 5951,
  [6032] = 5946,
  [6033] = 5949,
  [6034] = 5956,
  [6035] = 5964,
  [6036] = 5954,
  [6037] = 5953,
  [6038] = 5948,
  [6039] = 5952,
  [6040] = 6040,
  [6041] = 5951,
  [6042] = 5946,
  [6043] = 5949,
  [6044] = 5956,
  [6045] = 5948,
  [6046] = 6046,
  [6047] = 5957,
  [6048] = 5964,
  [6049] = 5991,
  [6050] = 5957,
  [6051] = 5964,
  [6052] = 5991,
  [6053] = 5954,
  [6054] = 5954,
  [6055] = 5953,
  [6056] = 5952,
  [6057] = 5951,
  [6058] = 5956,
  [6059] = 5991,
  [6060] = 5964,
  [6061] = 5948,
  [6062] = 5953,
  [6063] = 5952,
  [6064] = 5951,
  [6065] = 5957,
  [6066] = 5964,
  [6067] = 5957,
  [6068] = 5964,
  [6069] = 5954,
  [6070] = 5953,
  [6071] = 5952,
  [6072] = 5954,
  [6073] = 5953,
  [6074] = 5952,
  [6075] = 5951,
  [6076] = 5946,
  [6077] = 5949,
  [6078] = 5956,
  [6079] = 5948,
  [6080] = 5991,
  [6081] = 5951,
  [6082] = 5946,
  [6083] = 5949,
  [6084] = 5956,
  [6085] = 5946,
  [6086] = 5949,
  [6087] = 5956,
  [6088] = 5991,
  [6089] = 5948,
  [6090] = 5991,
  [6091] = 5948,
  [6092] = 5956,
  [6093] = 5949,
  [6094] = 5946,
  [6095] = 5948,
  [6096] = 5956,
  [6097] = 5949,
  [6098] = 5946,
  [6099] = 5951,
  [6100] = 5952,
  [6101] = 5953,
  [6102] = 5954,
  [6103] = 5964,
  [6104] = 5957,
  [6105] = 5951,
  [6106] = 5952,
  [6107] = 5953,
  [6108] = 5954,
  [6109] = 5964,
  [6110] = 5957,
  [6111] = 5957,
  [6112] = 5964,
  [6113] = 5954,
  [6114] = 5953,
  [6115] = 5952,
  [6116] = 5951,
  [6117] = 5946,
  [6118] = 5949,
  [6119] = 5956,
  [6120] = 5948,
  [6121] = 6121,
  [6122] = 5991,
  [6123] = 6040,
  [6124] = 6124,
  [6125] = 6040,
  [6126] = 6124,
  [6127] = 6127,
  [6128] = 6124,
  [6129] = 6040,
  [6130] = 6124,
  [6131] = 5948,
  [6132] = 5956,
  [6133] = 5949,
  [6134] = 5946,
  [6135] = 5951,
  [6136] = 5952,
  [6137] = 6137,
  [6138] = 6138,
  [6139] = 6040,
  [6140] = 6124,
  [6141] = 6141,
  [6142] = 6040,
  [6143] = 5953,
  [6144] = 5954,
  [6145] = 5964,
  [6146] = 5957,
  [6147] = 6147,
  [6148] = 6040,
  [6149] = 5957,
  [6150] = 5964,
  [6151] = 5954,
  [6152] = 5953,
  [6153] = 5952,
  [6154] = 5951,
  [6155] = 5949,
  [6156] = 5949,
  [6157] = 5956,
  [6158] = 5948,
  [6159] = 6124,
  [6160] = 6124,
  [6161] = 5991,
  [6162] = 6162,
  [6163] = 6163,
  [6164] = 6124,
  [6165] = 6040,
  [6166] = 5991,
  [6167] = 6124,
  [6168] = 6040,
  [6169] = 6124,
  [6170] = 6040,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 6174,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6177,
  [6178] = 6178,
  [6179] = 6179,
  [6180] = 6180,
  [6181] = 6181,
  [6182] = 6182,
  [6183] = 6183,
  [6184] = 6184,
  [6185] = 6185,
  [6186] = 6186,
  [6187] = 6187,
  [6188] = 6188,
  [6189] = 6189,
  [6190] = 6190,
  [6191] = 6191,
  [6192] = 6172,
  [6193] = 6193,
  [6194] = 6194,
  [6195] = 6195,
  [6196] = 6196,
  [6197] = 6197,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 6200,
  [6201] = 6201,
  [6202] = 6202,
  [6203] = 6199,
  [6204] = 6198,
  [6205] = 6200,
  [6206] = 6206,
  [6207] = 6207,
  [6208] = 6171,
  [6209] = 6173,
  [6210] = 6174,
  [6211] = 6175,
  [6212] = 6176,
  [6213] = 6177,
  [6214] = 6178,
  [6215] = 6179,
  [6216] = 6180,
  [6217] = 6181,
  [6218] = 6182,
  [6219] = 6183,
  [6220] = 6184,
  [6221] = 6185,
  [6222] = 6186,
  [6223] = 6198,
  [6224] = 6207,
  [6225] = 6201,
  [6226] = 6200,
  [6227] = 6199,
  [6228] = 6185,
  [6229] = 6187,
  [6230] = 6188,
  [6231] = 6189,
  [6232] = 6190,
  [6233] = 6191,
  [6234] = 6172,
  [6235] = 6193,
  [6236] = 6194,
  [6237] = 6195,
  [6238] = 6196,
  [6239] = 6196,
  [6240] = 6195,
  [6241] = 6241,
  [6242] = 6194,
  [6243] = 5090,
  [6244] = 5781,
  [6245] = 6193,
  [6246] = 6172,
  [6247] = 6196,
  [6248] = 6195,
  [6249] = 6194,
  [6250] = 6193,
  [6251] = 6172,
  [6252] = 6191,
  [6253] = 6190,
  [6254] = 6191,
  [6255] = 6189,
  [6256] = 6190,
  [6257] = 6188,
  [6258] = 6187,
  [6259] = 6259,
  [6260] = 6189,
  [6261] = 6188,
  [6262] = 6188,
  [6263] = 6263,
  [6264] = 6187,
  [6265] = 6265,
  [6266] = 6185,
  [6267] = 6198,
  [6268] = 6199,
  [6269] = 6200,
  [6270] = 6186,
  [6271] = 6185,
  [6272] = 6184,
  [6273] = 6183,
  [6274] = 6182,
  [6275] = 6181,
  [6276] = 6180,
  [6277] = 6179,
  [6278] = 6178,
  [6279] = 6177,
  [6280] = 6176,
  [6281] = 6175,
  [6282] = 6174,
  [6283] = 6173,
  [6284] = 6171,
  [6285] = 6207,
  [6286] = 6201,
  [6287] = 6200,
  [6288] = 6199,
  [6289] = 6198,
  [6290] = 6199,
  [6291] = 6200,
  [6292] = 6201,
  [6293] = 6207,
  [6294] = 6171,
  [6295] = 6173,
  [6296] = 6174,
  [6297] = 6175,
  [6298] = 6176,
  [6299] = 6177,
  [6300] = 6178,
  [6301] = 6179,
  [6302] = 6180,
  [6303] = 6181,
  [6304] = 6182,
  [6305] = 6183,
  [6306] = 6184,
  [6307] = 6185,
  [6308] = 6186,
  [6309] = 6198,
  [6310] = 6201,
  [6311] = 6187,
  [6312] = 6207,
  [6313] = 6171,
  [6314] = 6314,
  [6315] = 6187,
  [6316] = 6188,
  [6317] = 6189,
  [6318] = 6190,
  [6319] = 6191,
  [6320] = 6172,
  [6321] = 6193,
  [6322] = 6194,
  [6323] = 6195,
  [6324] = 6196,
  [6325] = 6196,
  [6326] = 6195,
  [6327] = 6194,
  [6328] = 6193,
  [6329] = 6172,
  [6330] = 6173,
  [6331] = 6198,
  [6332] = 6201,
  [6333] = 6207,
  [6334] = 6199,
  [6335] = 6200,
  [6336] = 6174,
  [6337] = 6337,
  [6338] = 6188,
  [6339] = 6191,
  [6340] = 6190,
  [6341] = 6341,
  [6342] = 6189,
  [6343] = 6201,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6175,
  [6347] = 6176,
  [6348] = 6187,
  [6349] = 6171,
  [6350] = 6176,
  [6351] = 6207,
  [6352] = 6171,
  [6353] = 6173,
  [6354] = 6174,
  [6355] = 6175,
  [6356] = 6176,
  [6357] = 6177,
  [6358] = 6178,
  [6359] = 6179,
  [6360] = 6180,
  [6361] = 6181,
  [6362] = 6196,
  [6363] = 6195,
  [6364] = 6194,
  [6365] = 6193,
  [6366] = 6172,
  [6367] = 6191,
  [6368] = 6190,
  [6369] = 6189,
  [6370] = 6188,
  [6371] = 6187,
  [6372] = 6372,
  [6373] = 6182,
  [6374] = 6183,
  [6375] = 6198,
  [6376] = 6199,
  [6377] = 6200,
  [6378] = 6201,
  [6379] = 6207,
  [6380] = 6171,
  [6381] = 6173,
  [6382] = 6174,
  [6383] = 6175,
  [6384] = 6176,
  [6385] = 6177,
  [6386] = 6178,
  [6387] = 6179,
  [6388] = 6180,
  [6389] = 6181,
  [6390] = 6182,
  [6391] = 6183,
  [6392] = 6184,
  [6393] = 6185,
  [6394] = 6186,
  [6395] = 6184,
  [6396] = 6185,
  [6397] = 6186,
  [6398] = 6398,
  [6399] = 6186,
  [6400] = 6185,
  [6401] = 6187,
  [6402] = 6188,
  [6403] = 6189,
  [6404] = 6190,
  [6405] = 6191,
  [6406] = 6172,
  [6407] = 6193,
  [6408] = 6194,
  [6409] = 6195,
  [6410] = 6196,
  [6411] = 6184,
  [6412] = 6183,
  [6413] = 6182,
  [6414] = 6181,
  [6415] = 6177,
  [6416] = 6180,
  [6417] = 6179,
  [6418] = 6178,
  [6419] = 6177,
  [6420] = 6176,
  [6421] = 6175,
  [6422] = 6174,
  [6423] = 6173,
  [6424] = 6171,
  [6425] = 6186,
  [6426] = 6185,
  [6427] = 6184,
  [6428] = 6183,
  [6429] = 6207,
  [6430] = 6201,
  [6431] = 6200,
  [6432] = 6199,
  [6433] = 6182,
  [6434] = 6181,
  [6435] = 6180,
  [6436] = 6179,
  [6437] = 6178,
  [6438] = 6177,
  [6439] = 6198,
  [6440] = 6178,
  [6441] = 6173,
  [6442] = 6179,
  [6443] = 6180,
  [6444] = 6187,
  [6445] = 6189,
  [6446] = 6190,
  [6447] = 6191,
  [6448] = 6172,
  [6449] = 6174,
  [6450] = 6450,
  [6451] = 6181,
  [6452] = 6175,
  [6453] = 6193,
  [6454] = 6194,
  [6455] = 6455,
  [6456] = 6456,
  [6457] = 6457,
  [6458] = 6195,
  [6459] = 6182,
  [6460] = 6196,
  [6461] = 6198,
  [6462] = 6199,
  [6463] = 6200,
  [6464] = 6201,
  [6465] = 6207,
  [6466] = 6171,
  [6467] = 6173,
  [6468] = 6174,
  [6469] = 6175,
  [6470] = 6176,
  [6471] = 6177,
  [6472] = 6178,
  [6473] = 6179,
  [6474] = 6180,
  [6475] = 6181,
  [6476] = 6182,
  [6477] = 6183,
  [6478] = 6184,
  [6479] = 6185,
  [6480] = 6186,
  [6481] = 6183,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 6196,
  [6485] = 6195,
  [6486] = 6194,
  [6487] = 6187,
  [6488] = 6188,
  [6489] = 6189,
  [6490] = 6190,
  [6491] = 6191,
  [6492] = 6172,
  [6493] = 6193,
  [6494] = 6194,
  [6495] = 6195,
  [6496] = 6196,
  [6497] = 6193,
  [6498] = 6175,
  [6499] = 6174,
  [6500] = 6173,
  [6501] = 6171,
  [6502] = 6207,
  [6503] = 6172,
  [6504] = 6191,
  [6505] = 6190,
  [6506] = 6189,
  [6507] = 6188,
  [6508] = 6187,
  [6509] = 6176,
  [6510] = 6184,
  [6511] = 6201,
  [6512] = 6200,
  [6513] = 6513,
  [6514] = 6199,
  [6515] = 6185,
  [6516] = 1327,
  [6517] = 6186,
  [6518] = 6190,
  [6519] = 6198,
  [6520] = 6520,
  [6521] = 6186,
  [6522] = 6185,
  [6523] = 6184,
  [6524] = 6183,
  [6525] = 6182,
  [6526] = 6181,
  [6527] = 6180,
  [6528] = 6179,
  [6529] = 6178,
  [6530] = 6177,
  [6531] = 6176,
  [6532] = 6175,
  [6533] = 6174,
  [6534] = 6173,
  [6535] = 6171,
  [6536] = 6207,
  [6537] = 6201,
  [6538] = 6200,
  [6539] = 6199,
  [6540] = 6198,
  [6541] = 6178,
  [6542] = 6542,
  [6543] = 6191,
  [6544] = 6189,
  [6545] = 6188,
  [6546] = 6546,
  [6547] = 6198,
  [6548] = 6199,
  [6549] = 6200,
  [6550] = 6201,
  [6551] = 6207,
  [6552] = 6171,
  [6553] = 6173,
  [6554] = 6174,
  [6555] = 6175,
  [6556] = 6176,
  [6557] = 6177,
  [6558] = 6178,
  [6559] = 6179,
  [6560] = 6180,
  [6561] = 6181,
  [6562] = 6182,
  [6563] = 6183,
  [6564] = 6184,
  [6565] = 6185,
  [6566] = 6186,
  [6567] = 6567,
  [6568] = 6179,
  [6569] = 6177,
  [6570] = 6570,
  [6571] = 6180,
  [6572] = 6181,
  [6573] = 6187,
  [6574] = 6188,
  [6575] = 6189,
  [6576] = 6190,
  [6577] = 6191,
  [6578] = 6171,
  [6579] = 6193,
  [6580] = 6194,
  [6581] = 6195,
  [6582] = 6196,
  [6583] = 6583,
  [6584] = 6182,
  [6585] = 6186,
  [6586] = 6183,
  [6587] = 6587,
  [6588] = 6588,
  [6589] = 1307,
  [6590] = 6187,
  [6591] = 6184,
  [6592] = 6592,
  [6593] = 6188,
  [6594] = 1324,
  [6595] = 6189,
  [6596] = 6191,
  [6597] = 6196,
  [6598] = 6195,
  [6599] = 6194,
  [6600] = 6193,
  [6601] = 6172,
  [6602] = 6198,
  [6603] = 6190,
  [6604] = 6189,
  [6605] = 6188,
  [6606] = 6187,
  [6607] = 6190,
  [6608] = 6608,
  [6609] = 6172,
  [6610] = 6191,
  [6611] = 6172,
  [6612] = 6186,
  [6613] = 6185,
  [6614] = 6184,
  [6615] = 6183,
  [6616] = 6182,
  [6617] = 6181,
  [6618] = 6180,
  [6619] = 6179,
  [6620] = 6193,
  [6621] = 6194,
  [6622] = 6178,
  [6623] = 6177,
  [6624] = 6176,
  [6625] = 6175,
  [6626] = 6174,
  [6627] = 6173,
  [6628] = 6171,
  [6629] = 6207,
  [6630] = 6201,
  [6631] = 6200,
  [6632] = 6199,
  [6633] = 6180,
  [6634] = 6195,
  [6635] = 6196,
  [6636] = 6636,
  [6637] = 6184,
  [6638] = 6638,
  [6639] = 6183,
  [6640] = 6193,
  [6641] = 6182,
  [6642] = 6198,
  [6643] = 6199,
  [6644] = 6200,
  [6645] = 6181,
  [6646] = 6201,
  [6647] = 6207,
  [6648] = 6173,
  [6649] = 6174,
  [6650] = 6179,
  [6651] = 6178,
  [6652] = 6177,
  [6653] = 6175,
  [6654] = 6176,
  [6655] = 6177,
  [6656] = 6656,
  [6657] = 6178,
  [6658] = 6179,
  [6659] = 6176,
  [6660] = 6194,
  [6661] = 6175,
  [6662] = 6662,
  [6663] = 6174,
  [6664] = 6180,
  [6665] = 6181,
  [6666] = 6173,
  [6667] = 6171,
  [6668] = 6207,
  [6669] = 6182,
  [6670] = 6195,
  [6671] = 6183,
  [6672] = 6201,
  [6673] = 6200,
  [6674] = 6674,
  [6675] = 6184,
  [6676] = 6196,
  [6677] = 6185,
  [6678] = 6186,
  [6679] = 6199,
  [6680] = 6198,
  [6681] = 6681,
  [6682] = 6196,
  [6683] = 6195,
  [6684] = 6194,
  [6685] = 6193,
  [6686] = 6172,
  [6687] = 6191,
  [6688] = 6190,
  [6689] = 6189,
  [6690] = 6188,
  [6691] = 6187,
  [6692] = 6187,
  [6693] = 6188,
  [6694] = 6189,
  [6695] = 6190,
  [6696] = 6191,
  [6697] = 6172,
  [6698] = 6198,
  [6699] = 6199,
  [6700] = 6186,
  [6701] = 6185,
  [6702] = 6184,
  [6703] = 6183,
  [6704] = 6182,
  [6705] = 6181,
  [6706] = 6200,
  [6707] = 6179,
  [6708] = 6178,
  [6709] = 6177,
  [6710] = 6176,
  [6711] = 6175,
  [6712] = 6174,
  [6713] = 6173,
  [6714] = 6046,
  [6715] = 6171,
  [6716] = 6207,
  [6717] = 6201,
  [6718] = 6200,
  [6719] = 6199,
  [6720] = 6198,
  [6721] = 6201,
  [6722] = 6207,
  [6723] = 6194,
  [6724] = 6195,
  [6725] = 6196,
  [6726] = 6171,
  [6727] = 6173,
  [6728] = 6174,
  [6729] = 6175,
  [6730] = 6730,
  [6731] = 6193,
  [6732] = 1325,
  [6733] = 6176,
  [6734] = 6177,
  [6735] = 6178,
  [6736] = 6179,
  [6737] = 6180,
  [6738] = 6181,
  [6739] = 6186,
  [6740] = 6182,
  [6741] = 6196,
  [6742] = 6195,
  [6743] = 6194,
  [6744] = 6193,
  [6745] = 6172,
  [6746] = 6191,
  [6747] = 6183,
  [6748] = 6184,
  [6749] = 6185,
  [6750] = 6190,
  [6751] = 6189,
  [6752] = 6188,
  [6753] = 6187,
  [6754] = 6180,
  [6755] = 6186,
  [6756] = 6756,
  [6757] = 6757,
  [6758] = 6758,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 6759,
  [6762] = 6757,
  [6763] = 6763,
  [6764] = 6763,
  [6765] = 6763,
  [6766] = 6758,
  [6767] = 6758,
  [6768] = 6759,
  [6769] = 6763,
  [6770] = 6763,
  [6771] = 6763,
  [6772] = 6772,
  [6773] = 6773,
  [6774] = 6763,
  [6775] = 6759,
  [6776] = 6776,
  [6777] = 6758,
  [6778] = 6763,
  [6779] = 6779,
  [6780] = 6780,
  [6781] = 6763,
  [6782] = 6782,
  [6783] = 6763,
  [6784] = 6784,
  [6785] = 6785,
  [6786] = 6780,
  [6787] = 6779,
  [6788] = 6776,
  [6789] = 6785,
  [6790] = 6772,
  [6791] = 6757,
  [6792] = 6776,
  [6793] = 6779,
  [6794] = 6780,
  [6795] = 6785,
  [6796] = 6784,
  [6797] = 6784,
  [6798] = 6758,
  [6799] = 6763,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 6763,
  [6803] = 6757,
  [6804] = 6804,
  [6805] = 6763,
  [6806] = 6759,
  [6807] = 6807,
  [6808] = 6808,
  [6809] = 6759,
  [6810] = 6763,
  [6811] = 6759,
  [6812] = 6763,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6763,
  [6816] = 6816,
  [6817] = 6757,
  [6818] = 6772,
  [6819] = 6772,
  [6820] = 6820,
  [6821] = 6821,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6759,
  [6825] = 6772,
  [6826] = 6759,
  [6827] = 6776,
  [6828] = 6779,
  [6829] = 6780,
  [6830] = 6785,
  [6831] = 6784,
  [6832] = 6758,
  [6833] = 6833,
  [6834] = 6763,
  [6835] = 6835,
  [6836] = 6784,
  [6837] = 6759,
  [6838] = 6785,
  [6839] = 6759,
  [6840] = 6780,
  [6841] = 6779,
  [6842] = 6776,
  [6843] = 6763,
  [6844] = 6772,
  [6845] = 6757,
  [6846] = 6846,
  [6847] = 6847,
  [6848] = 6779,
  [6849] = 6759,
  [6850] = 6780,
  [6851] = 6776,
  [6852] = 6785,
  [6853] = 6784,
  [6854] = 6854,
  [6855] = 6855,
  [6856] = 6855,
  [6857] = 6854,
  [6858] = 6858,
  [6859] = 6859,
  [6860] = 6860,
  [6861] = 6861,
  [6862] = 913,
  [6863] = 925,
  [6864] = 924,
  [6865] = 6858,
  [6866] = 6860,
  [6867] = 6867,
  [6868] = 914,
  [6869] = 6869,
  [6870] = 915,
  [6871] = 916,
  [6872] = 6855,
  [6873] = 6873,
  [6874] = 6869,
  [6875] = 6858,
  [6876] = 6854,
  [6877] = 6854,
  [6878] = 6855,
  [6879] = 6879,
  [6880] = 6855,
  [6881] = 6867,
  [6882] = 6867,
  [6883] = 6859,
  [6884] = 6884,
  [6885] = 6859,
  [6886] = 6884,
  [6887] = 6869,
  [6888] = 6855,
  [6889] = 6854,
  [6890] = 6890,
  [6891] = 6891,
  [6892] = 6867,
  [6893] = 6858,
  [6894] = 6867,
  [6895] = 6861,
  [6896] = 6860,
  [6897] = 6861,
  [6898] = 6869,
  [6899] = 6867,
  [6900] = 6879,
  [6901] = 6869,
  [6902] = 6869,
  [6903] = 6884,
  [6904] = 6859,
  [6905] = 6869,
  [6906] = 6860,
  [6907] = 6858,
  [6908] = 6908,
  [6909] = 6909,
  [6910] = 6884,
  [6911] = 6859,
  [6912] = 6861,
  [6913] = 6879,
  [6914] = 6914,
  [6915] = 6861,
  [6916] = 6884,
  [6917] = 6884,
  [6918] = 6859,
  [6919] = 6861,
  [6920] = 6854,
  [6921] = 6855,
  [6922] = 6858,
  [6923] = 6914,
  [6924] = 6884,
  [6925] = 6859,
  [6926] = 6860,
  [6927] = 6855,
  [6928] = 6854,
  [6929] = 6869,
  [6930] = 6930,
  [6931] = 6884,
  [6932] = 6859,
  [6933] = 6867,
  [6934] = 6869,
  [6935] = 6858,
  [6936] = 6860,
  [6937] = 6861,
  [6938] = 6884,
  [6939] = 6859,
  [6940] = 6867,
  [6941] = 6867,
  [6942] = 6867,
  [6943] = 6869,
  [6944] = 6879,
  [6945] = 6884,
  [6946] = 6859,
  [6947] = 6947,
  [6948] = 6858,
  [6949] = 6860,
  [6950] = 6950,
  [6951] = 6861,
  [6952] = 6884,
  [6953] = 6859,
  [6954] = 6867,
  [6955] = 6869,
  [6956] = 6861,
  [6957] = 6860,
  [6958] = 6867,
  [6959] = 6884,
  [6960] = 6859,
  [6961] = 918,
  [6962] = 6854,
  [6963] = 6854,
  [6964] = 6855,
  [6965] = 6858,
  [6966] = 6860,
  [6967] = 6855,
  [6968] = 6854,
  [6969] = 6858,
  [6970] = 6860,
  [6971] = 6879,
  [6972] = 6914,
  [6973] = 6861,
  [6974] = 6879,
  [6975] = 6861,
  [6976] = 6855,
  [6977] = 6860,
  [6978] = 6854,
  [6979] = 6858,
  [6980] = 6858,
  [6981] = 6861,
  [6982] = 6860,
  [6983] = 6869,
  [6984] = 6854,
  [6985] = 6855,
};

static inline bool aux_sym_identifier_token1_character_set_1(int32_t c) {
  return (c < 7685
    ? (c < 1259
      ? (c < 525
        ? (c < 365
          ? (c < 303
            ? (c < 273
              ? (c < 259
                ? (c < 186
                  ? (c < 170
                    ? c == '_'
                    : (c <= 170 || c == 181))
                  : (c <= 186 || (c < 248
                    ? (c >= 223 && c <= 246)
                    : (c <= 255 || c == 257))))
                : (c <= 259 || (c < 267
                  ? (c < 263
                    ? c == 261
                    : (c <= 263 || c == 265))
                  : (c <= 267 || (c < 271
                    ? c == 269
                    : c <= 271)))))
              : (c <= 273 || (c < 289
                ? (c < 281
                  ? (c < 277
                    ? c == 275
                    : (c <= 277 || c == 279))
                  : (c <= 281 || (c < 285
                    ? c == 283
                    : (c <= 285 || c == 287))))
                : (c <= 289 || (c < 297
                  ? (c < 293
                    ? c == 291
                    : (c <= 293 || c == 295))
                  : (c <= 297 || (c < 301
                    ? c == 299
                    : c <= 301)))))))
            : (c <= 303 || (c < 335
              ? (c < 320
                ? (c < 311
                  ? (c < 307
                    ? c == 305
                    : (c <= 307 || c == 309))
                  : (c <= 312 || (c < 316
                    ? c == 314
                    : (c <= 316 || c == 318))))
                : (c <= 320 || (c < 328
                  ? (c < 324
                    ? c == 322
                    : (c <= 324 || c == 326))
                  : (c <= 329 || (c < 333
                    ? c == 331
                    : c <= 333)))))
              : (c <= 335 || (c < 351
                ? (c < 343
                  ? (c < 339
                    ? c == 337
                    : (c <= 339 || c == 341))
                  : (c <= 343 || (c < 347
                    ? c == 345
                    : (c <= 347 || c == 349))))
                : (c <= 351 || (c < 359
                  ? (c < 355
                    ? c == 353
                    : (c <= 355 || c == 357))
                  : (c <= 359 || (c < 363
                    ? c == 361
                    : c <= 363)))))))))
          : (c <= 365 || (c < 460
            ? (c < 409
              ? (c < 382
                ? (c < 373
                  ? (c < 369
                    ? c == 367
                    : (c <= 369 || c == 371))
                  : (c <= 373 || (c < 378
                    ? c == 375
                    : (c <= 378 || c == 380))))
                : (c <= 384 || (c < 396
                  ? (c < 389
                    ? c == 387
                    : (c <= 389 || c == 392))
                  : (c <= 397 || (c < 405
                    ? c == 402
                    : c <= 405)))))
              : (c <= 411 || (c < 432
                ? (c < 421
                  ? (c < 417
                    ? c == 414
                    : (c <= 417 || c == 419))
                  : (c <= 421 || (c < 426
                    ? c == 424
                    : (c <= 427 || c == 429))))
                : (c <= 432 || (c < 445
                  ? (c < 438
                    ? c == 436
                    : (c <= 438 || (c >= 441 && c <= 443)))
                  : (c <= 451 || (c < 457
                    ? c == 454
                    : c <= 457)))))))
            : (c <= 460 || (c < 491
              ? (c < 476
                ? (c < 468
                  ? (c < 464
                    ? c == 462
                    : (c <= 464 || c == 466))
                  : (c <= 468 || (c < 472
                    ? c == 470
                    : (c <= 472 || c == 474))))
                : (c <= 477 || (c < 485
                  ? (c < 481
                    ? c == 479
                    : (c <= 481 || c == 483))
                  : (c <= 485 || (c < 489
                    ? c == 487
                    : c <= 489)))))
              : (c <= 491 || (c < 511
                ? (c < 501
                  ? (c < 495
                    ? c == 493
                    : (c <= 496 || c == 499))
                  : (c <= 501 || (c < 507
                    ? c == 505
                    : (c <= 507 || c == 509))))
                : (c <= 511 || (c < 519
                  ? (c < 515
                    ? c == 513
                    : (c <= 515 || c == 517))
                  : (c <= 519 || (c < 523
                    ? c == 521
                    : c <= 523)))))))))))
        : (c <= 525 || (c < 1129
          ? (c < 748
            ? (c < 555
              ? (c < 541
                ? (c < 533
                  ? (c < 529
                    ? c == 527
                    : (c <= 529 || c == 531))
                  : (c <= 533 || (c < 537
                    ? c == 535
                    : (c <= 537 || c == 539))))
                : (c <= 541 || (c < 549
                  ? (c < 545
                    ? c == 543
                    : (c <= 545 || c == 547))
                  : (c <= 549 || (c < 553
                    ? c == 551
                    : c <= 553)))))
              : (c <= 555 || (c < 583
                ? (c < 563
                  ? (c < 559
                    ? c == 557
                    : (c <= 559 || c == 561))
                  : (c <= 569 || (c < 575
                    ? c == 572
                    : (c <= 576 || c == 578))))
                : (c <= 583 || (c < 591
                  ? (c < 587
                    ? c == 585
                    : (c <= 587 || c == 589))
                  : (c <= 705 || (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)))))))
            : (c <= 748 || (c < 995
              ? (c < 976
                ? (c < 887
                  ? (c < 881
                    ? c == 750
                    : (c <= 881 || (c >= 883 && c <= 884)))
                  : (c <= 887 || (c < 912
                    ? (c >= 890 && c <= 893)
                    : (c <= 912 || (c >= 940 && c <= 974)))))
                : (c <= 977 || (c < 989
                  ? (c < 985
                    ? (c >= 981 && c <= 983)
                    : (c <= 985 || c == 987))
                  : (c <= 989 || (c < 993
                    ? c == 991
                    : c <= 993)))))
              : (c <= 995 || (c < 1016
                ? (c < 1003
                  ? (c < 999
                    ? c == 997
                    : (c <= 999 || c == 1001))
                  : (c <= 1003 || (c < 1007
                    ? c == 1005
                    : (c <= 1011 || c == 1013))))
                : (c <= 1016 || (c < 1123
                  ? (c < 1072
                    ? (c >= 1019 && c <= 1020)
                    : (c <= 1119 || c == 1121))
                  : (c <= 1123 || (c < 1127
                    ? c == 1125
                    : c <= 1127)))))))))
          : (c <= 1129 || (c < 1197
            ? (c < 1167
              ? (c < 1145
                ? (c < 1137
                  ? (c < 1133
                    ? c == 1131
                    : (c <= 1133 || c == 1135))
                  : (c <= 1137 || (c < 1141
                    ? c == 1139
                    : (c <= 1141 || c == 1143))))
                : (c <= 1145 || (c < 1153
                  ? (c < 1149
                    ? c == 1147
                    : (c <= 1149 || c == 1151))
                  : (c <= 1153 || (c < 1165
                    ? c == 1163
                    : c <= 1165)))))
              : (c <= 1167 || (c < 1183
                ? (c < 1175
                  ? (c < 1171
                    ? c == 1169
                    : (c <= 1171 || c == 1173))
                  : (c <= 1175 || (c < 1179
                    ? c == 1177
                    : (c <= 1179 || c == 1181))))
                : (c <= 1183 || (c < 1191
                  ? (c < 1187
                    ? c == 1185
                    : (c <= 1187 || c == 1189))
                  : (c <= 1191 || (c < 1195
                    ? c == 1193
                    : c <= 1195)))))))
            : (c <= 1197 || (c < 1228
              ? (c < 1213
                ? (c < 1205
                  ? (c < 1201
                    ? c == 1199
                    : (c <= 1201 || c == 1203))
                  : (c <= 1205 || (c < 1209
                    ? c == 1207
                    : (c <= 1209 || c == 1211))))
                : (c <= 1213 || (c < 1222
                  ? (c < 1218
                    ? c == 1215
                    : (c <= 1218 || c == 1220))
                  : (c <= 1222 || (c < 1226
                    ? c == 1224
                    : c <= 1226)))))
              : (c <= 1228 || (c < 1245
                ? (c < 1237
                  ? (c < 1233
                    ? (c >= 1230 && c <= 1231)
                    : (c <= 1233 || c == 1235))
                  : (c <= 1237 || (c < 1241
                    ? c == 1239
                    : (c <= 1241 || c == 1243))))
                : (c <= 1245 || (c < 1253
                  ? (c < 1249
                    ? c == 1247
                    : (c <= 1249 || c == 1251))
                  : (c <= 1253 || (c < 1257
                    ? c == 1255
                    : c <= 1257)))))))))))))
      : (c <= 1259 || (c < 3024
        ? (c < 2160
          ? (c < 1319
            ? (c < 1289
              ? (c < 1275
                ? (c < 1267
                  ? (c < 1263
                    ? c == 1261
                    : (c <= 1263 || c == 1265))
                  : (c <= 1267 || (c < 1271
                    ? c == 1269
                    : (c <= 1271 || c == 1273))))
                : (c <= 1275 || (c < 1283
                  ? (c < 1279
                    ? c == 1277
                    : (c <= 1279 || c == 1281))
                  : (c <= 1283 || (c < 1287
                    ? c == 1285
                    : c <= 1287)))))
              : (c <= 1289 || (c < 1305
                ? (c < 1297
                  ? (c < 1293
                    ? c == 1291
                    : (c <= 1293 || c == 1295))
                  : (c <= 1297 || (c < 1301
                    ? c == 1299
                    : (c <= 1301 || c == 1303))))
                : (c <= 1305 || (c < 1313
                  ? (c < 1309
                    ? c == 1307
                    : (c <= 1309 || c == 1311))
                  : (c <= 1313 || (c < 1317
                    ? c == 1315
                    : c <= 1317)))))))
            : (c <= 1319 || (c < 1786
              ? (c < 1519
                ? (c < 1327
                  ? (c < 1323
                    ? c == 1321
                    : (c <= 1323 || c == 1325))
                  : (c <= 1327 || (c < 1376
                    ? c == 1369
                    : (c <= 1416 || (c >= 1488 && c <= 1514)))))
                : (c <= 1522 || (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1610)
                    : (c <= 1647 || (c >= 1649 && c <= 1747)))
                  : (c <= 1749 || (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)))))
              : (c <= 1788 || (c < 2042
                ? (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : (c <= 1808 || (c >= 1810 && c <= 1839)))
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : (c <= 2026 || (c >= 2036 && c <= 2037)))))
                : (c <= 2042 || (c < 2088
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : (c <= 2074 || c == 2084))
                  : (c <= 2088 || (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)))))))))
          : (c <= 2183 || (c < 2693
            ? (c < 2510
              ? (c < 2437
                ? (c < 2365
                  ? (c < 2208
                    ? (c >= 2185 && c <= 2190)
                    : (c <= 2249 || (c >= 2308 && c <= 2361)))
                  : (c <= 2365 || (c < 2392
                    ? c == 2384
                    : (c <= 2401 || (c >= 2417 && c <= 2432)))))
                : (c <= 2444 || (c < 2482
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : (c <= 2472 || (c >= 2474 && c <= 2480)))
                  : (c <= 2482 || (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)))))
              : (c <= 2510 || (c < 2602
                ? (c < 2556
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : (c <= 2529 || (c >= 2544 && c <= 2545)))
                  : (c <= 2556 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : (c <= 2576 || (c >= 2579 && c <= 2600)))))
                : (c <= 2608 || (c < 2649
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : (c <= 2614 || (c >= 2616 && c <= 2617)))
                  : (c <= 2652 || (c < 2674
                    ? c == 2654
                    : c <= 2676)))))))
            : (c <= 2701 || (c < 2869
              ? (c < 2784
                ? (c < 2738
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : (c <= 2728 || (c >= 2730 && c <= 2736)))
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : (c <= 2749 || c == 2768))))
                : (c <= 2785 || (c < 2835
                  ? (c < 2821
                    ? c == 2809
                    : (c <= 2828 || (c >= 2831 && c <= 2832)))
                  : (c <= 2856 || (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)))))
              : (c <= 2873 || (c < 2962
                ? (c < 2929
                  ? (c < 2908
                    ? c == 2877
                    : (c <= 2909 || (c >= 2911 && c <= 2913)))
                  : (c <= 2929 || (c < 2949
                    ? c == 2947
                    : (c <= 2954 || (c >= 2958 && c <= 2960)))))
                : (c <= 2965 || (c < 2979
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : (c <= 2972 || (c >= 2974 && c <= 2975)))
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))))))))))
        : (c <= 3024 || (c < 4348
          ? (c < 3517
            ? (c < 3261
              ? (c < 3168
                ? (c < 3114
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : (c <= 3088 || (c >= 3090 && c <= 3112)))
                  : (c <= 3129 || (c < 3160
                    ? c == 3133
                    : (c <= 3162 || c == 3165))))
                : (c <= 3169 || (c < 3218
                  ? (c < 3205
                    ? c == 3200
                    : (c <= 3212 || (c >= 3214 && c <= 3216)))
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))))
              : (c <= 3261 || (c < 3406
                ? (c < 3332
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : (c <= 3297 || (c >= 3313 && c <= 3314)))
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : (c <= 3386 || c == 3389))))
                : (c <= 3406 || (c < 3461
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : (c <= 3425 || (c >= 3450 && c <= 3455)))
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))))))
            : (c <= 3517 || (c < 3804
              ? (c < 3724
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : (c <= 3632 || (c >= 3634 && c <= 3635)))
                  : (c <= 3654 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : (c <= 3716 || (c >= 3718 && c <= 3722)))))
                : (c <= 3747 || (c < 3773
                  ? (c < 3751
                    ? c == 3749
                    : (c <= 3760 || (c >= 3762 && c <= 3763)))
                  : (c <= 3773 || (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)))))
              : (c <= 3807 || (c < 4186
                ? (c < 3976
                  ? (c < 3904
                    ? c == 3840
                    : (c <= 3911 || (c >= 3913 && c <= 3948)))
                  : (c <= 3980 || (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : (c <= 4159 || (c >= 4176 && c <= 4181)))))
                : (c <= 4189 || (c < 4213
                  ? (c < 4197
                    ? c == 4193
                    : (c <= 4198 || (c >= 4206 && c <= 4208)))
                  : (c <= 4225 || (c < 4304
                    ? c == 4238
                    : c <= 4346)))))))))
          : (c <= 4680 || (c < 6108
            ? (c < 4888
              ? (c < 4786
                ? (c < 4698
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : (c <= 4694 || c == 4696))
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : (c <= 4749 || (c >= 4752 && c <= 4784)))))
                : (c <= 4789 || (c < 4808
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : (c <= 4800 || (c >= 4802 && c <= 4805)))
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))))
              : (c <= 4954 || (c < 5888
                ? (c < 5743
                  ? (c < 5112
                    ? (c >= 4992 && c <= 5007)
                    : (c <= 5117 || (c >= 5121 && c <= 5740)))
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : (c <= 5866 || (c >= 5870 && c <= 5880)))))
                : (c <= 5905 || (c < 5998
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : (c <= 5969 || (c >= 5984 && c <= 5996)))
                  : (c <= 6000 || (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)))))))
            : (c <= 6108 || (c < 7043
              ? (c < 6528
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : (c <= 6312 || c == 6314))
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : (c <= 6509 || (c >= 6512 && c <= 6516)))))
                : (c <= 6571 || (c < 6823
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : (c <= 6678 || (c >= 6688 && c <= 6740)))
                  : (c <= 6823 || (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)))))
              : (c <= 7072 || (c < 7401
                ? (c < 7245
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : (c <= 7141 || (c >= 7168 && c <= 7203)))
                  : (c <= 7247 || (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)))
                : (c <= 7404 || (c < 7424
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : (c <= 7414 || c == 7418))
                  : (c <= 7615 || (c < 7683
                    ? c == 7681
                    : c <= 7683)))))))))))))))
    : (c <= 7685 || (c < 12540
      ? (c < 7933
        ? (c < 7805
          ? (c < 7745
            ? (c < 7715
              ? (c < 7701
                ? (c < 7693
                  ? (c < 7689
                    ? c == 7687
                    : (c <= 7689 || c == 7691))
                  : (c <= 7693 || (c < 7697
                    ? c == 7695
                    : (c <= 7697 || c == 7699))))
                : (c <= 7701 || (c < 7709
                  ? (c < 7705
                    ? c == 7703
                    : (c <= 7705 || c == 7707))
                  : (c <= 7709 || (c < 7713
                    ? c == 7711
                    : c <= 7713)))))
              : (c <= 7715 || (c < 7731
                ? (c < 7723
                  ? (c < 7719
                    ? c == 7717
                    : (c <= 7719 || c == 7721))
                  : (c <= 7723 || (c < 7727
                    ? c == 7725
                    : (c <= 7727 || c == 7729))))
                : (c <= 7731 || (c < 7739
                  ? (c < 7735
                    ? c == 7733
                    : (c <= 7735 || c == 7737))
                  : (c <= 7739 || (c < 7743
                    ? c == 7741
                    : c <= 7743)))))))
            : (c <= 7745 || (c < 7775
              ? (c < 7761
                ? (c < 7753
                  ? (c < 7749
                    ? c == 7747
                    : (c <= 7749 || c == 7751))
                  : (c <= 7753 || (c < 7757
                    ? c == 7755
                    : (c <= 7757 || c == 7759))))
                : (c <= 7761 || (c < 7769
                  ? (c < 7765
                    ? c == 7763
                    : (c <= 7765 || c == 7767))
                  : (c <= 7769 || (c < 7773
                    ? c == 7771
                    : c <= 7773)))))
              : (c <= 7775 || (c < 7791
                ? (c < 7783
                  ? (c < 7779
                    ? c == 7777
                    : (c <= 7779 || c == 7781))
                  : (c <= 7783 || (c < 7787
                    ? c == 7785
                    : (c <= 7787 || c == 7789))))
                : (c <= 7791 || (c < 7799
                  ? (c < 7795
                    ? c == 7793
                    : (c <= 7795 || c == 7797))
                  : (c <= 7799 || (c < 7803
                    ? c == 7801
                    : c <= 7803)))))))))
          : (c <= 7805 || (c < 7873
            ? (c < 7843
              ? (c < 7821
                ? (c < 7813
                  ? (c < 7809
                    ? c == 7807
                    : (c <= 7809 || c == 7811))
                  : (c <= 7813 || (c < 7817
                    ? c == 7815
                    : (c <= 7817 || c == 7819))))
                : (c <= 7821 || (c < 7829
                  ? (c < 7825
                    ? c == 7823
                    : (c <= 7825 || c == 7827))
                  : (c <= 7837 || (c < 7841
                    ? c == 7839
                    : c <= 7841)))))
              : (c <= 7843 || (c < 7859
                ? (c < 7851
                  ? (c < 7847
                    ? c == 7845
                    : (c <= 7847 || c == 7849))
                  : (c <= 7851 || (c < 7855
                    ? c == 7853
                    : (c <= 7855 || c == 7857))))
                : (c <= 7859 || (c < 7867
                  ? (c < 7863
                    ? c == 7861
                    : (c <= 7863 || c == 7865))
                  : (c <= 7867 || (c < 7871
                    ? c == 7869
                    : c <= 7871)))))))
            : (c <= 7873 || (c < 7903
              ? (c < 7889
                ? (c < 7881
                  ? (c < 7877
                    ? c == 7875
                    : (c <= 7877 || c == 7879))
                  : (c <= 7881 || (c < 7885
                    ? c == 7883
                    : (c <= 7885 || c == 7887))))
                : (c <= 7889 || (c < 7897
                  ? (c < 7893
                    ? c == 7891
                    : (c <= 7893 || c == 7895))
                  : (c <= 7897 || (c < 7901
                    ? c == 7899
                    : c <= 7901)))))
              : (c <= 7903 || (c < 7919
                ? (c < 7911
                  ? (c < 7907
                    ? c == 7905
                    : (c <= 7907 || c == 7909))
                  : (c <= 7911 || (c < 7915
                    ? c == 7913
                    : (c <= 7915 || c == 7917))))
                : (c <= 7919 || (c < 7927
                  ? (c < 7923
                    ? c == 7921
                    : (c <= 7923 || c == 7925))
                  : (c <= 7927 || (c < 7931
                    ? c == 7929
                    : c <= 7931)))))))))))
        : (c <= 7933 || (c < 11423
          ? (c < 8500
            ? (c < 8130
              ? (c < 8048
                ? (c < 7984
                  ? (c < 7952
                    ? (c >= 7935 && c <= 7943)
                    : (c <= 7957 || (c >= 7968 && c <= 7975)))
                  : (c <= 7991 || (c < 8016
                    ? (c >= 8000 && c <= 8005)
                    : (c <= 8023 || (c >= 8032 && c <= 8039)))))
                : (c <= 8061 || (c < 8112
                  ? (c < 8080
                    ? (c >= 8064 && c <= 8071)
                    : (c <= 8087 || (c >= 8096 && c <= 8103)))
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8119)
                    : c <= 8126)))))
              : (c <= 8132 || (c < 8319
                ? (c < 8160
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8135)
                    : (c <= 8147 || (c >= 8150 && c <= 8151)))
                  : (c <= 8167 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : (c <= 8183 || c == 8305))))
                : (c <= 8319 || (c < 8467
                  ? (c < 8458
                    ? (c >= 8336 && c <= 8348)
                    : (c <= 8458 || (c >= 8462 && c <= 8463)))
                  : (c <= 8467 || (c < 8494
                    ? c == 8472
                    : c <= 8495)))))))
            : (c <= 8505 || (c < 11393
              ? (c < 11365
                ? (c < 8544
                  ? (c < 8518
                    ? (c >= 8508 && c <= 8509)
                    : (c <= 8521 || c == 8526))
                  : (c <= 8578 || (c < 11312
                    ? (c >= 8580 && c <= 8584)
                    : (c <= 11359 || c == 11361))))
                : (c <= 11366 || (c < 11377
                  ? (c < 11370
                    ? c == 11368
                    : (c <= 11370 || c == 11372))
                  : (c <= 11377 || (c < 11382
                    ? (c >= 11379 && c <= 11380)
                    : c <= 11389)))))
              : (c <= 11393 || (c < 11409
                ? (c < 11401
                  ? (c < 11397
                    ? c == 11395
                    : (c <= 11397 || c == 11399))
                  : (c <= 11401 || (c < 11405
                    ? c == 11403
                    : (c <= 11405 || c == 11407))))
                : (c <= 11409 || (c < 11417
                  ? (c < 11413
                    ? c == 11411
                    : (c <= 11413 || c == 11415))
                  : (c <= 11417 || (c < 11421
                    ? c == 11419
                    : c <= 11421)))))))))
          : (c <= 11423 || (c < 11483
            ? (c < 11453
              ? (c < 11439
                ? (c < 11431
                  ? (c < 11427
                    ? c == 11425
                    : (c <= 11427 || c == 11429))
                  : (c <= 11431 || (c < 11435
                    ? c == 11433
                    : (c <= 11435 || c == 11437))))
                : (c <= 11439 || (c < 11447
                  ? (c < 11443
                    ? c == 11441
                    : (c <= 11443 || c == 11445))
                  : (c <= 11447 || (c < 11451
                    ? c == 11449
                    : c <= 11451)))))
              : (c <= 11453 || (c < 11469
                ? (c < 11461
                  ? (c < 11457
                    ? c == 11455
                    : (c <= 11457 || c == 11459))
                  : (c <= 11461 || (c < 11465
                    ? c == 11463
                    : (c <= 11465 || c == 11467))))
                : (c <= 11469 || (c < 11477
                  ? (c < 11473
                    ? c == 11471
                    : (c <= 11473 || c == 11475))
                  : (c <= 11477 || (c < 11481
                    ? c == 11479
                    : c <= 11481)))))))
            : (c <= 11483 || (c < 11688
              ? (c < 11520
                ? (c < 11491
                  ? (c < 11487
                    ? c == 11485
                    : (c <= 11487 || c == 11489))
                  : (c <= 11492 || (c < 11502
                    ? c == 11500
                    : (c <= 11502 || c == 11507))))
                : (c <= 11557 || (c < 11631
                  ? (c < 11565
                    ? c == 11559
                    : (c <= 11565 || (c >= 11568 && c <= 11623)))
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)))))
              : (c <= 11694 || (c < 12293
                ? (c < 11720
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : (c <= 11710 || (c >= 11712 && c <= 11718)))
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 12295 || (c < 12353
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : (c <= 12341 || (c >= 12344 && c <= 12348)))
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12443 && c <= 12447)
                    : c <= 12538)))))))))))))
      : (c <= 12543 || (c < 42947
        ? (c < 42803
          ? (c < 42595
            ? (c < 42565
              ? (c < 40959
                ? (c < 12784
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : (c <= 12686 || (c >= 12704 && c <= 12735)))
                  : (c <= 12799 || (c < 19903
                    ? c == 13312
                    : (c <= 19903 || c == 19968))))
                : (c <= 42124 || (c < 42538
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : (c <= 42508 || (c >= 42512 && c <= 42527)))
                  : (c <= 42539 || (c < 42563
                    ? c == 42561
                    : c <= 42563)))))
              : (c <= 42565 || (c < 42581
                ? (c < 42573
                  ? (c < 42569
                    ? c == 42567
                    : (c <= 42569 || c == 42571))
                  : (c <= 42573 || (c < 42577
                    ? c == 42575
                    : (c <= 42577 || c == 42579))))
                : (c <= 42581 || (c < 42589
                  ? (c < 42585
                    ? c == 42583
                    : (c <= 42585 || c == 42587))
                  : (c <= 42589 || (c < 42593
                    ? c == 42591
                    : c <= 42593)))))))
            : (c <= 42595 || (c < 42641
              ? (c < 42627
                ? (c < 42603
                  ? (c < 42599
                    ? c == 42597
                    : (c <= 42599 || c == 42601))
                  : (c <= 42603 || (c < 42623
                    ? (c >= 42605 && c <= 42606)
                    : (c <= 42623 || c == 42625))))
                : (c <= 42627 || (c < 42635
                  ? (c < 42631
                    ? c == 42629
                    : (c <= 42631 || c == 42633))
                  : (c <= 42635 || (c < 42639
                    ? c == 42637
                    : c <= 42639)))))
              : (c <= 42641 || (c < 42787
                ? (c < 42649
                  ? (c < 42645
                    ? c == 42643
                    : (c <= 42645 || c == 42647))
                  : (c <= 42649 || (c < 42656
                    ? (c >= 42651 && c <= 42653)
                    : (c <= 42735 || (c >= 42775 && c <= 42783)))))
                : (c <= 42787 || (c < 42795
                  ? (c < 42791
                    ? c == 42789
                    : (c <= 42791 || c == 42793))
                  : (c <= 42795 || (c < 42799
                    ? c == 42797
                    : c <= 42801)))))))))
          : (c <= 42803 || (c < 42863
            ? (c < 42833
              ? (c < 42819
                ? (c < 42811
                  ? (c < 42807
                    ? c == 42805
                    : (c <= 42807 || c == 42809))
                  : (c <= 42811 || (c < 42815
                    ? c == 42813
                    : (c <= 42815 || c == 42817))))
                : (c <= 42819 || (c < 42827
                  ? (c < 42823
                    ? c == 42821
                    : (c <= 42823 || c == 42825))
                  : (c <= 42827 || (c < 42831
                    ? c == 42829
                    : c <= 42831)))))
              : (c <= 42833 || (c < 42849
                ? (c < 42841
                  ? (c < 42837
                    ? c == 42835
                    : (c <= 42837 || c == 42839))
                  : (c <= 42841 || (c < 42845
                    ? c == 42843
                    : (c <= 42845 || c == 42847))))
                : (c <= 42849 || (c < 42857
                  ? (c < 42853
                    ? c == 42851
                    : (c <= 42853 || c == 42855))
                  : (c <= 42857 || (c < 42861
                    ? c == 42859
                    : c <= 42861)))))))
            : (c <= 42872 || (c < 42909
              ? (c < 42892
                ? (c < 42881
                  ? (c < 42876
                    ? c == 42874
                    : (c <= 42876 || c == 42879))
                  : (c <= 42881 || (c < 42885
                    ? c == 42883
                    : (c <= 42885 || (c >= 42887 && c <= 42888)))))
                : (c <= 42892 || (c < 42903
                  ? (c < 42897
                    ? (c >= 42894 && c <= 42895)
                    : (c <= 42897 || (c >= 42899 && c <= 42901)))
                  : (c <= 42903 || (c < 42907
                    ? c == 42905
                    : c <= 42907)))))
              : (c <= 42909 || (c < 42933
                ? (c < 42917
                  ? (c < 42913
                    ? c == 42911
                    : (c <= 42913 || c == 42915))
                  : (c <= 42917 || (c < 42921
                    ? c == 42919
                    : (c <= 42921 || c == 42927))))
                : (c <= 42933 || (c < 42941
                  ? (c < 42937
                    ? c == 42935
                    : (c <= 42937 || c == 42939))
                  : (c <= 42941 || (c < 42945
                    ? c == 42943
                    : c <= 42945)))))))))))
        : (c <= 42947 || (c < 64318
          ? (c < 43642
            ? (c < 43250
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42954
                    ? c == 42952
                    : (c <= 42954 || c == 42961))
                  : (c <= 42963 || (c < 42967
                    ? c == 42965
                    : (c <= 42967 || c == 42969))))
                : (c <= 42996 || (c < 43020
                  ? (c < 43011
                    ? (c >= 42998 && c <= 43009)
                    : (c <= 43013 || (c >= 43015 && c <= 43018)))
                  : (c <= 43042 || (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)))))
              : (c <= 43255 || (c < 43488
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : (c <= 43262 || (c >= 43274 && c <= 43301)))
                  : (c <= 43334 || (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : (c <= 43442 || c == 43471))))
                : (c <= 43492 || (c < 43584
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : (c <= 43518 || (c >= 43520 && c <= 43560)))
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))))))
            : (c <= 43642 || (c < 43824
              ? (c < 43744
                ? (c < 43705
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : (c <= 43697 || (c >= 43701 && c <= 43702)))
                  : (c <= 43709 || (c < 43714
                    ? c == 43712
                    : (c <= 43714 || (c >= 43739 && c <= 43741)))))
                : (c <= 43754 || (c < 43793
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : (c <= 43782 || (c >= 43785 && c <= 43790)))
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 64112
                ? (c < 55203
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : (c <= 44002 || c == 44032))
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : (c <= 55291 || (c >= 63744 && c <= 64109)))))
                : (c <= 64217 || (c < 64287
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : (c <= 64279 || c == 64285))
                  : (c <= 64296 || (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)))))))))
          : (c <= 64318 || (c < 66464
            ? (c < 65498
              ? (c < 65136
                ? (c < 64467
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : (c <= 64324 || (c >= 64326 && c <= 64433)))
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : (c <= 64967 || (c >= 65008 && c <= 65019)))))
                : (c <= 65140 || (c < 65474
                  ? (c < 65345
                    ? (c >= 65142 && c <= 65276)
                    : (c <= 65370 || (c >= 65382 && c <= 65470)))
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))))
              : (c <= 65500 || (c < 65856
                ? (c < 65596
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : (c <= 65574 || (c >= 65576 && c <= 65594)))
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : (c <= 65629 || (c >= 65664 && c <= 65786)))))
                : (c <= 65908 || (c < 66349
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : (c <= 66256 || (c >= 66304 && c <= 66335)))
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 67463
              ? (c < 66979
                ? (c < 66776
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : (c <= 66517 || (c >= 66600 && c <= 66717)))
                  : (c <= 66811 || (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : (c <= 66915 || (c >= 66967 && c <= 66977)))))
                : (c <= 66993 || (c < 67392
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : (c <= 67004 || (c >= 67072 && c <= 67382)))
                  : (c <= 67413 || (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)))))
              : (c <= 67504 || (c < 67647
                ? (c < 67594
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : (c <= 67589 || c == 67592))
                  : (c <= 67637 || (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)))
                : (c <= 67669 || (c < 67828
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : (c <= 67742 || (c >= 67808 && c <= 67826)))
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67883)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_2(int32_t c) {
  return (c < 7683
    ? (c < 1257
      ? (c < 523
        ? (c < 363
          ? (c < 301
            ? (c < 271
              ? (c < 257
                ? (c < 181
                  ? (c < 'b'
                    ? c == '_'
                    : (c <= 'z' || c == 170))
                  : (c <= 181 || (c < 223
                    ? c == 186
                    : (c <= 246 || (c >= 248 && c <= 255)))))
                : (c <= 257 || (c < 265
                  ? (c < 261
                    ? c == 259
                    : (c <= 261 || c == 263))
                  : (c <= 265 || (c < 269
                    ? c == 267
                    : c <= 269)))))
              : (c <= 271 || (c < 287
                ? (c < 279
                  ? (c < 275
                    ? c == 273
                    : (c <= 275 || c == 277))
                  : (c <= 279 || (c < 283
                    ? c == 281
                    : (c <= 283 || c == 285))))
                : (c <= 287 || (c < 295
                  ? (c < 291
                    ? c == 289
                    : (c <= 291 || c == 293))
                  : (c <= 295 || (c < 299
                    ? c == 297
                    : c <= 299)))))))
            : (c <= 301 || (c < 333
              ? (c < 318
                ? (c < 309
                  ? (c < 305
                    ? c == 303
                    : (c <= 305 || c == 307))
                  : (c <= 309 || (c < 314
                    ? (c >= 311 && c <= 312)
                    : (c <= 314 || c == 316))))
                : (c <= 318 || (c < 326
                  ? (c < 322
                    ? c == 320
                    : (c <= 322 || c == 324))
                  : (c <= 326 || (c < 331
                    ? (c >= 328 && c <= 329)
                    : c <= 331)))))
              : (c <= 333 || (c < 349
                ? (c < 341
                  ? (c < 337
                    ? c == 335
                    : (c <= 337 || c == 339))
                  : (c <= 341 || (c < 345
                    ? c == 343
                    : (c <= 345 || c == 347))))
                : (c <= 349 || (c < 357
                  ? (c < 353
                    ? c == 351
                    : (c <= 353 || c == 355))
                  : (c <= 357 || (c < 361
                    ? c == 359
                    : c <= 361)))))))))
          : (c <= 363 || (c < 457
            ? (c < 405
              ? (c < 380
                ? (c < 371
                  ? (c < 367
                    ? c == 365
                    : (c <= 367 || c == 369))
                  : (c <= 371 || (c < 375
                    ? c == 373
                    : (c <= 375 || c == 378))))
                : (c <= 380 || (c < 392
                  ? (c < 387
                    ? (c >= 382 && c <= 384)
                    : (c <= 387 || c == 389))
                  : (c <= 392 || (c < 402
                    ? (c >= 396 && c <= 397)
                    : c <= 402)))))
              : (c <= 405 || (c < 429
                ? (c < 419
                  ? (c < 414
                    ? (c >= 409 && c <= 411)
                    : (c <= 414 || c == 417))
                  : (c <= 419 || (c < 424
                    ? c == 421
                    : (c <= 424 || (c >= 426 && c <= 427)))))
                : (c <= 429 || (c < 441
                  ? (c < 436
                    ? c == 432
                    : (c <= 436 || c == 438))
                  : (c <= 443 || (c < 454
                    ? (c >= 445 && c <= 451)
                    : c <= 454)))))))
            : (c <= 457 || (c < 489
              ? (c < 474
                ? (c < 466
                  ? (c < 462
                    ? c == 460
                    : (c <= 462 || c == 464))
                  : (c <= 466 || (c < 470
                    ? c == 468
                    : (c <= 470 || c == 472))))
                : (c <= 474 || (c < 483
                  ? (c < 479
                    ? (c >= 476 && c <= 477)
                    : (c <= 479 || c == 481))
                  : (c <= 483 || (c < 487
                    ? c == 485
                    : c <= 487)))))
              : (c <= 489 || (c < 509
                ? (c < 499
                  ? (c < 493
                    ? c == 491
                    : (c <= 493 || (c >= 495 && c <= 496)))
                  : (c <= 499 || (c < 505
                    ? c == 501
                    : (c <= 505 || c == 507))))
                : (c <= 509 || (c < 517
                  ? (c < 513
                    ? c == 511
                    : (c <= 513 || c == 515))
                  : (c <= 517 || (c < 521
                    ? c == 519
                    : c <= 521)))))))))))
        : (c <= 523 || (c < 1127
          ? (c < 736
            ? (c < 553
              ? (c < 539
                ? (c < 531
                  ? (c < 527
                    ? c == 525
                    : (c <= 527 || c == 529))
                  : (c <= 531 || (c < 535
                    ? c == 533
                    : (c <= 535 || c == 537))))
                : (c <= 539 || (c < 547
                  ? (c < 543
                    ? c == 541
                    : (c <= 543 || c == 545))
                  : (c <= 547 || (c < 551
                    ? c == 549
                    : c <= 551)))))
              : (c <= 553 || (c < 578
                ? (c < 561
                  ? (c < 557
                    ? c == 555
                    : (c <= 557 || c == 559))
                  : (c <= 561 || (c < 572
                    ? (c >= 563 && c <= 569)
                    : (c <= 572 || (c >= 575 && c <= 576)))))
                : (c <= 578 || (c < 589
                  ? (c < 585
                    ? c == 583
                    : (c <= 585 || c == 587))
                  : (c <= 589 || (c < 710
                    ? (c >= 591 && c <= 705)
                    : c <= 721)))))))
            : (c <= 740 || (c < 993
              ? (c < 940
                ? (c < 883
                  ? (c < 750
                    ? c == 748
                    : (c <= 750 || c == 881))
                  : (c <= 884 || (c < 890
                    ? c == 887
                    : (c <= 893 || c == 912))))
                : (c <= 974 || (c < 987
                  ? (c < 981
                    ? (c >= 976 && c <= 977)
                    : (c <= 983 || c == 985))
                  : (c <= 987 || (c < 991
                    ? c == 989
                    : c <= 991)))))
              : (c <= 993 || (c < 1013
                ? (c < 1001
                  ? (c < 997
                    ? c == 995
                    : (c <= 997 || c == 999))
                  : (c <= 1001 || (c < 1005
                    ? c == 1003
                    : (c <= 1005 || (c >= 1007 && c <= 1011)))))
                : (c <= 1013 || (c < 1121
                  ? (c < 1019
                    ? c == 1016
                    : (c <= 1020 || (c >= 1072 && c <= 1119)))
                  : (c <= 1121 || (c < 1125
                    ? c == 1123
                    : c <= 1125)))))))))
          : (c <= 1127 || (c < 1195
            ? (c < 1165
              ? (c < 1143
                ? (c < 1135
                  ? (c < 1131
                    ? c == 1129
                    : (c <= 1131 || c == 1133))
                  : (c <= 1135 || (c < 1139
                    ? c == 1137
                    : (c <= 1139 || c == 1141))))
                : (c <= 1143 || (c < 1151
                  ? (c < 1147
                    ? c == 1145
                    : (c <= 1147 || c == 1149))
                  : (c <= 1151 || (c < 1163
                    ? c == 1153
                    : c <= 1163)))))
              : (c <= 1165 || (c < 1181
                ? (c < 1173
                  ? (c < 1169
                    ? c == 1167
                    : (c <= 1169 || c == 1171))
                  : (c <= 1173 || (c < 1177
                    ? c == 1175
                    : (c <= 1177 || c == 1179))))
                : (c <= 1181 || (c < 1189
                  ? (c < 1185
                    ? c == 1183
                    : (c <= 1185 || c == 1187))
                  : (c <= 1189 || (c < 1193
                    ? c == 1191
                    : c <= 1193)))))))
            : (c <= 1195 || (c < 1226
              ? (c < 1211
                ? (c < 1203
                  ? (c < 1199
                    ? c == 1197
                    : (c <= 1199 || c == 1201))
                  : (c <= 1203 || (c < 1207
                    ? c == 1205
                    : (c <= 1207 || c == 1209))))
                : (c <= 1211 || (c < 1220
                  ? (c < 1215
                    ? c == 1213
                    : (c <= 1215 || c == 1218))
                  : (c <= 1220 || (c < 1224
                    ? c == 1222
                    : c <= 1224)))))
              : (c <= 1226 || (c < 1243
                ? (c < 1235
                  ? (c < 1230
                    ? c == 1228
                    : (c <= 1231 || c == 1233))
                  : (c <= 1235 || (c < 1239
                    ? c == 1237
                    : (c <= 1239 || c == 1241))))
                : (c <= 1243 || (c < 1251
                  ? (c < 1247
                    ? c == 1245
                    : (c <= 1247 || c == 1249))
                  : (c <= 1251 || (c < 1255
                    ? c == 1253
                    : c <= 1255)))))))))))))
      : (c <= 1257 || (c < 2990
        ? (c < 2144
          ? (c < 1317
            ? (c < 1287
              ? (c < 1273
                ? (c < 1265
                  ? (c < 1261
                    ? c == 1259
                    : (c <= 1261 || c == 1263))
                  : (c <= 1265 || (c < 1269
                    ? c == 1267
                    : (c <= 1269 || c == 1271))))
                : (c <= 1273 || (c < 1281
                  ? (c < 1277
                    ? c == 1275
                    : (c <= 1277 || c == 1279))
                  : (c <= 1281 || (c < 1285
                    ? c == 1283
                    : c <= 1285)))))
              : (c <= 1287 || (c < 1303
                ? (c < 1295
                  ? (c < 1291
                    ? c == 1289
                    : (c <= 1291 || c == 1293))
                  : (c <= 1295 || (c < 1299
                    ? c == 1297
                    : (c <= 1299 || c == 1301))))
                : (c <= 1303 || (c < 1311
                  ? (c < 1307
                    ? c == 1305
                    : (c <= 1307 || c == 1309))
                  : (c <= 1311 || (c < 1315
                    ? c == 1313
                    : c <= 1315)))))))
            : (c <= 1317 || (c < 1774
              ? (c < 1488
                ? (c < 1325
                  ? (c < 1321
                    ? c == 1319
                    : (c <= 1321 || c == 1323))
                  : (c <= 1325 || (c < 1369
                    ? c == 1327
                    : (c <= 1369 || (c >= 1376 && c <= 1416)))))
                : (c <= 1514 || (c < 1649
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : (c <= 1610 || (c >= 1646 && c <= 1647)))
                  : (c <= 1747 || (c < 1765
                    ? c == 1749
                    : c <= 1766)))))
              : (c <= 1775 || (c < 2036
                ? (c < 1810
                  ? (c < 1791
                    ? (c >= 1786 && c <= 1788)
                    : (c <= 1791 || c == 1808))
                  : (c <= 1839 || (c < 1969
                    ? (c >= 1869 && c <= 1957)
                    : (c <= 1969 || (c >= 1994 && c <= 2026)))))
                : (c <= 2037 || (c < 2084
                  ? (c < 2048
                    ? c == 2042
                    : (c <= 2069 || c == 2074))
                  : (c <= 2084 || (c < 2112
                    ? c == 2088
                    : c <= 2136)))))))))
          : (c <= 2154 || (c < 2674
            ? (c < 2493
              ? (c < 2417
                ? (c < 2308
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : (c <= 2190 || (c >= 2208 && c <= 2249)))
                  : (c <= 2361 || (c < 2384
                    ? c == 2365
                    : (c <= 2384 || (c >= 2392 && c <= 2401)))))
                : (c <= 2432 || (c < 2474
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : (c <= 2448 || (c >= 2451 && c <= 2472)))
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))))
              : (c <= 2493 || (c < 2579
                ? (c < 2544
                  ? (c < 2524
                    ? c == 2510
                    : (c <= 2525 || (c >= 2527 && c <= 2529)))
                  : (c <= 2545 || (c < 2565
                    ? c == 2556
                    : (c <= 2570 || (c >= 2575 && c <= 2576)))))
                : (c <= 2600 || (c < 2616
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : (c <= 2611 || (c >= 2613 && c <= 2614)))
                  : (c <= 2617 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))))))
            : (c <= 2676 || (c < 2866
              ? (c < 2768
                ? (c < 2730
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : (c <= 2705 || (c >= 2707 && c <= 2728)))
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : (c <= 2745 || c == 2749))))
                : (c <= 2768 || (c < 2831
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : (c <= 2809 || (c >= 2821 && c <= 2828)))
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2958
                ? (c < 2911
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : (c <= 2877 || (c >= 2908 && c <= 2909)))
                  : (c <= 2913 || (c < 2947
                    ? c == 2929
                    : (c <= 2947 || (c >= 2949 && c <= 2954)))))
                : (c <= 2960 || (c < 2974
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : (c <= 2970 || c == 2972))
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))))))))))
        : (c <= 3001 || (c < 4304
          ? (c < 3507
            ? (c < 3253
              ? (c < 3165
                ? (c < 3090
                  ? (c < 3077
                    ? c == 3024
                    : (c <= 3084 || (c >= 3086 && c <= 3088)))
                  : (c <= 3112 || (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : (c <= 3133 || (c >= 3160 && c <= 3162)))))
                : (c <= 3165 || (c < 3214
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : (c <= 3200 || (c >= 3205 && c <= 3212)))
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))))
              : (c <= 3257 || (c < 3389
                ? (c < 3313
                  ? (c < 3293
                    ? c == 3261
                    : (c <= 3294 || (c >= 3296 && c <= 3297)))
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : (c <= 3344 || (c >= 3346 && c <= 3386)))))
                : (c <= 3389 || (c < 3450
                  ? (c < 3412
                    ? c == 3406
                    : (c <= 3414 || (c >= 3423 && c <= 3425)))
                  : (c <= 3455 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))))))
            : (c <= 3515 || (c < 3782
              ? (c < 3718
                ? (c < 3634
                  ? (c < 3520
                    ? c == 3517
                    : (c <= 3526 || (c >= 3585 && c <= 3632)))
                  : (c <= 3635 || (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : (c <= 3714 || c == 3716))))
                : (c <= 3722 || (c < 3762
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : (c <= 3749 || (c >= 3751 && c <= 3760)))
                  : (c <= 3763 || (c < 3776
                    ? c == 3773
                    : c <= 3780)))))
              : (c <= 3782 || (c < 4176
                ? (c < 3913
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : (c <= 3840 || (c >= 3904 && c <= 3911)))
                  : (c <= 3948 || (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : (c <= 4138 || c == 4159))))
                : (c <= 4181 || (c < 4206
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : (c <= 4193 || (c >= 4197 && c <= 4198)))
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))))))))
          : (c <= 4346 || (c < 6103
            ? (c < 4882
              ? (c < 4752
                ? (c < 4696
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : (c <= 4685 || (c >= 4688 && c <= 4694)))
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : (c <= 4744 || (c >= 4746 && c <= 4749)))))
                : (c <= 4784 || (c < 4802
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : (c <= 4798 || c == 4800))
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5870
                ? (c < 5121
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : (c <= 5007 || (c >= 5112 && c <= 5117)))
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : (c <= 5786 || (c >= 5792 && c <= 5866)))))
                : (c <= 5880 || (c < 5984
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : (c <= 5937 || (c >= 5952 && c <= 5969)))
                  : (c <= 5996 || (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)))))))
            : (c <= 6103 || (c < 6981
              ? (c < 6512
                ? (c < 6314
                  ? (c < 6176
                    ? c == 6108
                    : (c <= 6264 || (c >= 6272 && c <= 6312)))
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : (c <= 6430 || (c >= 6480 && c <= 6509)))))
                : (c <= 6516 || (c < 6688
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : (c <= 6601 || (c >= 6656 && c <= 6678)))
                  : (c <= 6740 || (c < 6917
                    ? c == 6823
                    : c <= 6963)))))
              : (c <= 6988 || (c < 7296
                ? (c < 7168
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : (c <= 7087 || (c >= 7098 && c <= 7141)))
                  : (c <= 7203 || (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7418
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : (c <= 7411 || (c >= 7413 && c <= 7414)))
                  : (c <= 7418 || (c < 7681
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7681)))))))))))))))
    : (c <= 7683 || (c < 12540
      ? (c < 7931
        ? (c < 7803
          ? (c < 7743
            ? (c < 7713
              ? (c < 7699
                ? (c < 7691
                  ? (c < 7687
                    ? c == 7685
                    : (c <= 7687 || c == 7689))
                  : (c <= 7691 || (c < 7695
                    ? c == 7693
                    : (c <= 7695 || c == 7697))))
                : (c <= 7699 || (c < 7707
                  ? (c < 7703
                    ? c == 7701
                    : (c <= 7703 || c == 7705))
                  : (c <= 7707 || (c < 7711
                    ? c == 7709
                    : c <= 7711)))))
              : (c <= 7713 || (c < 7729
                ? (c < 7721
                  ? (c < 7717
                    ? c == 7715
                    : (c <= 7717 || c == 7719))
                  : (c <= 7721 || (c < 7725
                    ? c == 7723
                    : (c <= 7725 || c == 7727))))
                : (c <= 7729 || (c < 7737
                  ? (c < 7733
                    ? c == 7731
                    : (c <= 7733 || c == 7735))
                  : (c <= 7737 || (c < 7741
                    ? c == 7739
                    : c <= 7741)))))))
            : (c <= 7743 || (c < 7773
              ? (c < 7759
                ? (c < 7751
                  ? (c < 7747
                    ? c == 7745
                    : (c <= 7747 || c == 7749))
                  : (c <= 7751 || (c < 7755
                    ? c == 7753
                    : (c <= 7755 || c == 7757))))
                : (c <= 7759 || (c < 7767
                  ? (c < 7763
                    ? c == 7761
                    : (c <= 7763 || c == 7765))
                  : (c <= 7767 || (c < 7771
                    ? c == 7769
                    : c <= 7771)))))
              : (c <= 7773 || (c < 7789
                ? (c < 7781
                  ? (c < 7777
                    ? c == 7775
                    : (c <= 7777 || c == 7779))
                  : (c <= 7781 || (c < 7785
                    ? c == 7783
                    : (c <= 7785 || c == 7787))))
                : (c <= 7789 || (c < 7797
                  ? (c < 7793
                    ? c == 7791
                    : (c <= 7793 || c == 7795))
                  : (c <= 7797 || (c < 7801
                    ? c == 7799
                    : c <= 7801)))))))))
          : (c <= 7803 || (c < 7871
            ? (c < 7841
              ? (c < 7819
                ? (c < 7811
                  ? (c < 7807
                    ? c == 7805
                    : (c <= 7807 || c == 7809))
                  : (c <= 7811 || (c < 7815
                    ? c == 7813
                    : (c <= 7815 || c == 7817))))
                : (c <= 7819 || (c < 7827
                  ? (c < 7823
                    ? c == 7821
                    : (c <= 7823 || c == 7825))
                  : (c <= 7827 || (c < 7839
                    ? (c >= 7829 && c <= 7837)
                    : c <= 7839)))))
              : (c <= 7841 || (c < 7857
                ? (c < 7849
                  ? (c < 7845
                    ? c == 7843
                    : (c <= 7845 || c == 7847))
                  : (c <= 7849 || (c < 7853
                    ? c == 7851
                    : (c <= 7853 || c == 7855))))
                : (c <= 7857 || (c < 7865
                  ? (c < 7861
                    ? c == 7859
                    : (c <= 7861 || c == 7863))
                  : (c <= 7865 || (c < 7869
                    ? c == 7867
                    : c <= 7869)))))))
            : (c <= 7871 || (c < 7901
              ? (c < 7887
                ? (c < 7879
                  ? (c < 7875
                    ? c == 7873
                    : (c <= 7875 || c == 7877))
                  : (c <= 7879 || (c < 7883
                    ? c == 7881
                    : (c <= 7883 || c == 7885))))
                : (c <= 7887 || (c < 7895
                  ? (c < 7891
                    ? c == 7889
                    : (c <= 7891 || c == 7893))
                  : (c <= 7895 || (c < 7899
                    ? c == 7897
                    : c <= 7899)))))
              : (c <= 7901 || (c < 7917
                ? (c < 7909
                  ? (c < 7905
                    ? c == 7903
                    : (c <= 7905 || c == 7907))
                  : (c <= 7909 || (c < 7913
                    ? c == 7911
                    : (c <= 7913 || c == 7915))))
                : (c <= 7917 || (c < 7925
                  ? (c < 7921
                    ? c == 7919
                    : (c <= 7921 || c == 7923))
                  : (c <= 7925 || (c < 7929
                    ? c == 7927
                    : c <= 7929)))))))))))
        : (c <= 7931 || (c < 11421
          ? (c < 8494
            ? (c < 8126
              ? (c < 8032
                ? (c < 7968
                  ? (c < 7935
                    ? c == 7933
                    : (c <= 7943 || (c >= 7952 && c <= 7957)))
                  : (c <= 7975 || (c < 8000
                    ? (c >= 7984 && c <= 7991)
                    : (c <= 8005 || (c >= 8016 && c <= 8023)))))
                : (c <= 8039 || (c < 8096
                  ? (c < 8064
                    ? (c >= 8048 && c <= 8061)
                    : (c <= 8071 || (c >= 8080 && c <= 8087)))
                  : (c <= 8103 || (c < 8118
                    ? (c >= 8112 && c <= 8116)
                    : c <= 8119)))))
              : (c <= 8126 || (c < 8305
                ? (c < 8150
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : (c <= 8135 || (c >= 8144 && c <= 8147)))
                  : (c <= 8151 || (c < 8178
                    ? (c >= 8160 && c <= 8167)
                    : (c <= 8180 || (c >= 8182 && c <= 8183)))))
                : (c <= 8305 || (c < 8462
                  ? (c < 8336
                    ? c == 8319
                    : (c <= 8348 || c == 8458))
                  : (c <= 8463 || (c < 8472
                    ? c == 8467
                    : c <= 8472)))))))
            : (c <= 8495 || (c < 11382
              ? (c < 11361
                ? (c < 8526
                  ? (c < 8508
                    ? (c >= 8500 && c <= 8505)
                    : (c <= 8509 || (c >= 8518 && c <= 8521)))
                  : (c <= 8526 || (c < 8580
                    ? (c >= 8544 && c <= 8578)
                    : (c <= 8584 || (c >= 11312 && c <= 11359)))))
                : (c <= 11361 || (c < 11372
                  ? (c < 11368
                    ? (c >= 11365 && c <= 11366)
                    : (c <= 11368 || c == 11370))
                  : (c <= 11372 || (c < 11379
                    ? c == 11377
                    : c <= 11380)))))
              : (c <= 11389 || (c < 11407
                ? (c < 11399
                  ? (c < 11395
                    ? c == 11393
                    : (c <= 11395 || c == 11397))
                  : (c <= 11399 || (c < 11403
                    ? c == 11401
                    : (c <= 11403 || c == 11405))))
                : (c <= 11407 || (c < 11415
                  ? (c < 11411
                    ? c == 11409
                    : (c <= 11411 || c == 11413))
                  : (c <= 11415 || (c < 11419
                    ? c == 11417
                    : c <= 11419)))))))))
          : (c <= 11421 || (c < 11481
            ? (c < 11451
              ? (c < 11437
                ? (c < 11429
                  ? (c < 11425
                    ? c == 11423
                    : (c <= 11425 || c == 11427))
                  : (c <= 11429 || (c < 11433
                    ? c == 11431
                    : (c <= 11433 || c == 11435))))
                : (c <= 11437 || (c < 11445
                  ? (c < 11441
                    ? c == 11439
                    : (c <= 11441 || c == 11443))
                  : (c <= 11445 || (c < 11449
                    ? c == 11447
                    : c <= 11449)))))
              : (c <= 11451 || (c < 11467
                ? (c < 11459
                  ? (c < 11455
                    ? c == 11453
                    : (c <= 11455 || c == 11457))
                  : (c <= 11459 || (c < 11463
                    ? c == 11461
                    : (c <= 11463 || c == 11465))))
                : (c <= 11467 || (c < 11475
                  ? (c < 11471
                    ? c == 11469
                    : (c <= 11471 || c == 11473))
                  : (c <= 11475 || (c < 11479
                    ? c == 11477
                    : c <= 11479)))))))
            : (c <= 11481 || (c < 11680
              ? (c < 11507
                ? (c < 11489
                  ? (c < 11485
                    ? c == 11483
                    : (c <= 11485 || c == 11487))
                  : (c <= 11489 || (c < 11500
                    ? (c >= 11491 && c <= 11492)
                    : (c <= 11500 || c == 11502))))
                : (c <= 11507 || (c < 11568
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : (c <= 11559 || c == 11565))
                  : (c <= 11623 || (c < 11648
                    ? c == 11631
                    : c <= 11670)))))
              : (c <= 11686 || (c < 12293
                ? (c < 11712
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : (c <= 11702 || (c >= 11704 && c <= 11710)))
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : (c <= 11734 || (c >= 11736 && c <= 11742)))))
                : (c <= 12295 || (c < 12353
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : (c <= 12341 || (c >= 12344 && c <= 12348)))
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12443 && c <= 12447)
                    : c <= 12538)))))))))))))
      : (c <= 12543 || (c < 42947
        ? (c < 42803
          ? (c < 42595
            ? (c < 42565
              ? (c < 40959
                ? (c < 12784
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : (c <= 12686 || (c >= 12704 && c <= 12735)))
                  : (c <= 12799 || (c < 19903
                    ? c == 13312
                    : (c <= 19903 || c == 19968))))
                : (c <= 42124 || (c < 42538
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : (c <= 42508 || (c >= 42512 && c <= 42527)))
                  : (c <= 42539 || (c < 42563
                    ? c == 42561
                    : c <= 42563)))))
              : (c <= 42565 || (c < 42581
                ? (c < 42573
                  ? (c < 42569
                    ? c == 42567
                    : (c <= 42569 || c == 42571))
                  : (c <= 42573 || (c < 42577
                    ? c == 42575
                    : (c <= 42577 || c == 42579))))
                : (c <= 42581 || (c < 42589
                  ? (c < 42585
                    ? c == 42583
                    : (c <= 42585 || c == 42587))
                  : (c <= 42589 || (c < 42593
                    ? c == 42591
                    : c <= 42593)))))))
            : (c <= 42595 || (c < 42641
              ? (c < 42627
                ? (c < 42603
                  ? (c < 42599
                    ? c == 42597
                    : (c <= 42599 || c == 42601))
                  : (c <= 42603 || (c < 42623
                    ? (c >= 42605 && c <= 42606)
                    : (c <= 42623 || c == 42625))))
                : (c <= 42627 || (c < 42635
                  ? (c < 42631
                    ? c == 42629
                    : (c <= 42631 || c == 42633))
                  : (c <= 42635 || (c < 42639
                    ? c == 42637
                    : c <= 42639)))))
              : (c <= 42641 || (c < 42787
                ? (c < 42649
                  ? (c < 42645
                    ? c == 42643
                    : (c <= 42645 || c == 42647))
                  : (c <= 42649 || (c < 42656
                    ? (c >= 42651 && c <= 42653)
                    : (c <= 42735 || (c >= 42775 && c <= 42783)))))
                : (c <= 42787 || (c < 42795
                  ? (c < 42791
                    ? c == 42789
                    : (c <= 42791 || c == 42793))
                  : (c <= 42795 || (c < 42799
                    ? c == 42797
                    : c <= 42801)))))))))
          : (c <= 42803 || (c < 42863
            ? (c < 42833
              ? (c < 42819
                ? (c < 42811
                  ? (c < 42807
                    ? c == 42805
                    : (c <= 42807 || c == 42809))
                  : (c <= 42811 || (c < 42815
                    ? c == 42813
                    : (c <= 42815 || c == 42817))))
                : (c <= 42819 || (c < 42827
                  ? (c < 42823
                    ? c == 42821
                    : (c <= 42823 || c == 42825))
                  : (c <= 42827 || (c < 42831
                    ? c == 42829
                    : c <= 42831)))))
              : (c <= 42833 || (c < 42849
                ? (c < 42841
                  ? (c < 42837
                    ? c == 42835
                    : (c <= 42837 || c == 42839))
                  : (c <= 42841 || (c < 42845
                    ? c == 42843
                    : (c <= 42845 || c == 42847))))
                : (c <= 42849 || (c < 42857
                  ? (c < 42853
                    ? c == 42851
                    : (c <= 42853 || c == 42855))
                  : (c <= 42857 || (c < 42861
                    ? c == 42859
                    : c <= 42861)))))))
            : (c <= 42872 || (c < 42909
              ? (c < 42892
                ? (c < 42881
                  ? (c < 42876
                    ? c == 42874
                    : (c <= 42876 || c == 42879))
                  : (c <= 42881 || (c < 42885
                    ? c == 42883
                    : (c <= 42885 || (c >= 42887 && c <= 42888)))))
                : (c <= 42892 || (c < 42903
                  ? (c < 42897
                    ? (c >= 42894 && c <= 42895)
                    : (c <= 42897 || (c >= 42899 && c <= 42901)))
                  : (c <= 42903 || (c < 42907
                    ? c == 42905
                    : c <= 42907)))))
              : (c <= 42909 || (c < 42933
                ? (c < 42917
                  ? (c < 42913
                    ? c == 42911
                    : (c <= 42913 || c == 42915))
                  : (c <= 42917 || (c < 42921
                    ? c == 42919
                    : (c <= 42921 || c == 42927))))
                : (c <= 42933 || (c < 42941
                  ? (c < 42937
                    ? c == 42935
                    : (c <= 42937 || c == 42939))
                  : (c <= 42941 || (c < 42945
                    ? c == 42943
                    : c <= 42945)))))))))))
        : (c <= 42947 || (c < 64318
          ? (c < 43642
            ? (c < 43250
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42954
                    ? c == 42952
                    : (c <= 42954 || c == 42961))
                  : (c <= 42963 || (c < 42967
                    ? c == 42965
                    : (c <= 42967 || c == 42969))))
                : (c <= 42996 || (c < 43020
                  ? (c < 43011
                    ? (c >= 42998 && c <= 43009)
                    : (c <= 43013 || (c >= 43015 && c <= 43018)))
                  : (c <= 43042 || (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)))))
              : (c <= 43255 || (c < 43488
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : (c <= 43262 || (c >= 43274 && c <= 43301)))
                  : (c <= 43334 || (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : (c <= 43442 || c == 43471))))
                : (c <= 43492 || (c < 43584
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : (c <= 43518 || (c >= 43520 && c <= 43560)))
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))))))
            : (c <= 43642 || (c < 43824
              ? (c < 43744
                ? (c < 43705
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : (c <= 43697 || (c >= 43701 && c <= 43702)))
                  : (c <= 43709 || (c < 43714
                    ? c == 43712
                    : (c <= 43714 || (c >= 43739 && c <= 43741)))))
                : (c <= 43754 || (c < 43793
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : (c <= 43782 || (c >= 43785 && c <= 43790)))
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 64112
                ? (c < 55203
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : (c <= 44002 || c == 44032))
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : (c <= 55291 || (c >= 63744 && c <= 64109)))))
                : (c <= 64217 || (c < 64287
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : (c <= 64279 || c == 64285))
                  : (c <= 64296 || (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)))))))))
          : (c <= 64318 || (c < 66464
            ? (c < 65498
              ? (c < 65136
                ? (c < 64467
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : (c <= 64324 || (c >= 64326 && c <= 64433)))
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : (c <= 64967 || (c >= 65008 && c <= 65019)))))
                : (c <= 65140 || (c < 65474
                  ? (c < 65345
                    ? (c >= 65142 && c <= 65276)
                    : (c <= 65370 || (c >= 65382 && c <= 65470)))
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))))
              : (c <= 65500 || (c < 65856
                ? (c < 65596
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : (c <= 65574 || (c >= 65576 && c <= 65594)))
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : (c <= 65629 || (c >= 65664 && c <= 65786)))))
                : (c <= 65908 || (c < 66349
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : (c <= 66256 || (c >= 66304 && c <= 66335)))
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 67463
              ? (c < 66979
                ? (c < 66776
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : (c <= 66517 || (c >= 66600 && c <= 66717)))
                  : (c <= 66811 || (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : (c <= 66915 || (c >= 66967 && c <= 66977)))))
                : (c <= 66993 || (c < 67392
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : (c <= 67004 || (c >= 67072 && c <= 67382)))
                  : (c <= 67413 || (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)))))
              : (c <= 67504 || (c < 67647
                ? (c < 67594
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : (c <= 67589 || c == 67592))
                  : (c <= 67637 || (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)))
                : (c <= 67669 || (c < 67828
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : (c <= 67742 || (c >= 67808 && c <= 67826)))
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67883)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_3(int32_t c) {
  return (c < 7685
    ? (c < 1257
      ? (c < 523
        ? (c < 363
          ? (c < 301
            ? (c < 271
              ? (c < 257
                ? (c < 181
                  ? (c < 'b'
                    ? c == '_'
                    : (c <= 'z' || c == 170))
                  : (c <= 181 || (c < 223
                    ? c == 186
                    : (c <= 246 || (c >= 248 && c <= 255)))))
                : (c <= 257 || (c < 265
                  ? (c < 261
                    ? c == 259
                    : (c <= 261 || c == 263))
                  : (c <= 265 || (c < 269
                    ? c == 267
                    : c <= 269)))))
              : (c <= 271 || (c < 287
                ? (c < 279
                  ? (c < 275
                    ? c == 273
                    : (c <= 275 || c == 277))
                  : (c <= 279 || (c < 283
                    ? c == 281
                    : (c <= 283 || c == 285))))
                : (c <= 287 || (c < 295
                  ? (c < 291
                    ? c == 289
                    : (c <= 291 || c == 293))
                  : (c <= 295 || (c < 299
                    ? c == 297
                    : c <= 299)))))))
            : (c <= 301 || (c < 333
              ? (c < 318
                ? (c < 309
                  ? (c < 305
                    ? c == 303
                    : (c <= 305 || c == 307))
                  : (c <= 309 || (c < 314
                    ? (c >= 311 && c <= 312)
                    : (c <= 314 || c == 316))))
                : (c <= 318 || (c < 326
                  ? (c < 322
                    ? c == 320
                    : (c <= 322 || c == 324))
                  : (c <= 326 || (c < 331
                    ? (c >= 328 && c <= 329)
                    : c <= 331)))))
              : (c <= 333 || (c < 349
                ? (c < 341
                  ? (c < 337
                    ? c == 335
                    : (c <= 337 || c == 339))
                  : (c <= 341 || (c < 345
                    ? c == 343
                    : (c <= 345 || c == 347))))
                : (c <= 349 || (c < 357
                  ? (c < 353
                    ? c == 351
                    : (c <= 353 || c == 355))
                  : (c <= 357 || (c < 361
                    ? c == 359
                    : c <= 361)))))))))
          : (c <= 363 || (c < 457
            ? (c < 405
              ? (c < 380
                ? (c < 371
                  ? (c < 367
                    ? c == 365
                    : (c <= 367 || c == 369))
                  : (c <= 371 || (c < 375
                    ? c == 373
                    : (c <= 375 || c == 378))))
                : (c <= 380 || (c < 392
                  ? (c < 387
                    ? (c >= 382 && c <= 384)
                    : (c <= 387 || c == 389))
                  : (c <= 392 || (c < 402
                    ? (c >= 396 && c <= 397)
                    : c <= 402)))))
              : (c <= 405 || (c < 429
                ? (c < 419
                  ? (c < 414
                    ? (c >= 409 && c <= 411)
                    : (c <= 414 || c == 417))
                  : (c <= 419 || (c < 424
                    ? c == 421
                    : (c <= 424 || (c >= 426 && c <= 427)))))
                : (c <= 429 || (c < 441
                  ? (c < 436
                    ? c == 432
                    : (c <= 436 || c == 438))
                  : (c <= 443 || (c < 454
                    ? (c >= 445 && c <= 451)
                    : c <= 454)))))))
            : (c <= 457 || (c < 489
              ? (c < 474
                ? (c < 466
                  ? (c < 462
                    ? c == 460
                    : (c <= 462 || c == 464))
                  : (c <= 466 || (c < 470
                    ? c == 468
                    : (c <= 470 || c == 472))))
                : (c <= 474 || (c < 483
                  ? (c < 479
                    ? (c >= 476 && c <= 477)
                    : (c <= 479 || c == 481))
                  : (c <= 483 || (c < 487
                    ? c == 485
                    : c <= 487)))))
              : (c <= 489 || (c < 509
                ? (c < 499
                  ? (c < 493
                    ? c == 491
                    : (c <= 493 || (c >= 495 && c <= 496)))
                  : (c <= 499 || (c < 505
                    ? c == 501
                    : (c <= 505 || c == 507))))
                : (c <= 509 || (c < 517
                  ? (c < 513
                    ? c == 511
                    : (c <= 513 || c == 515))
                  : (c <= 517 || (c < 521
                    ? c == 519
                    : c <= 521)))))))))))
        : (c <= 523 || (c < 1127
          ? (c < 736
            ? (c < 553
              ? (c < 539
                ? (c < 531
                  ? (c < 527
                    ? c == 525
                    : (c <= 527 || c == 529))
                  : (c <= 531 || (c < 535
                    ? c == 533
                    : (c <= 535 || c == 537))))
                : (c <= 539 || (c < 547
                  ? (c < 543
                    ? c == 541
                    : (c <= 543 || c == 545))
                  : (c <= 547 || (c < 551
                    ? c == 549
                    : c <= 551)))))
              : (c <= 553 || (c < 578
                ? (c < 561
                  ? (c < 557
                    ? c == 555
                    : (c <= 557 || c == 559))
                  : (c <= 561 || (c < 572
                    ? (c >= 563 && c <= 569)
                    : (c <= 572 || (c >= 575 && c <= 576)))))
                : (c <= 578 || (c < 589
                  ? (c < 585
                    ? c == 583
                    : (c <= 585 || c == 587))
                  : (c <= 589 || (c < 710
                    ? (c >= 591 && c <= 705)
                    : c <= 721)))))))
            : (c <= 740 || (c < 993
              ? (c < 940
                ? (c < 883
                  ? (c < 750
                    ? c == 748
                    : (c <= 750 || c == 881))
                  : (c <= 884 || (c < 890
                    ? c == 887
                    : (c <= 893 || c == 912))))
                : (c <= 974 || (c < 987
                  ? (c < 981
                    ? (c >= 976 && c <= 977)
                    : (c <= 983 || c == 985))
                  : (c <= 987 || (c < 991
                    ? c == 989
                    : c <= 991)))))
              : (c <= 993 || (c < 1013
                ? (c < 1001
                  ? (c < 997
                    ? c == 995
                    : (c <= 997 || c == 999))
                  : (c <= 1001 || (c < 1005
                    ? c == 1003
                    : (c <= 1005 || (c >= 1007 && c <= 1011)))))
                : (c <= 1013 || (c < 1121
                  ? (c < 1019
                    ? c == 1016
                    : (c <= 1020 || (c >= 1072 && c <= 1119)))
                  : (c <= 1121 || (c < 1125
                    ? c == 1123
                    : c <= 1125)))))))))
          : (c <= 1127 || (c < 1195
            ? (c < 1165
              ? (c < 1143
                ? (c < 1135
                  ? (c < 1131
                    ? c == 1129
                    : (c <= 1131 || c == 1133))
                  : (c <= 1135 || (c < 1139
                    ? c == 1137
                    : (c <= 1139 || c == 1141))))
                : (c <= 1143 || (c < 1151
                  ? (c < 1147
                    ? c == 1145
                    : (c <= 1147 || c == 1149))
                  : (c <= 1151 || (c < 1163
                    ? c == 1153
                    : c <= 1163)))))
              : (c <= 1165 || (c < 1181
                ? (c < 1173
                  ? (c < 1169
                    ? c == 1167
                    : (c <= 1169 || c == 1171))
                  : (c <= 1173 || (c < 1177
                    ? c == 1175
                    : (c <= 1177 || c == 1179))))
                : (c <= 1181 || (c < 1189
                  ? (c < 1185
                    ? c == 1183
                    : (c <= 1185 || c == 1187))
                  : (c <= 1189 || (c < 1193
                    ? c == 1191
                    : c <= 1193)))))))
            : (c <= 1195 || (c < 1226
              ? (c < 1211
                ? (c < 1203
                  ? (c < 1199
                    ? c == 1197
                    : (c <= 1199 || c == 1201))
                  : (c <= 1203 || (c < 1207
                    ? c == 1205
                    : (c <= 1207 || c == 1209))))
                : (c <= 1211 || (c < 1220
                  ? (c < 1215
                    ? c == 1213
                    : (c <= 1215 || c == 1218))
                  : (c <= 1220 || (c < 1224
                    ? c == 1222
                    : c <= 1224)))))
              : (c <= 1226 || (c < 1243
                ? (c < 1235
                  ? (c < 1230
                    ? c == 1228
                    : (c <= 1231 || c == 1233))
                  : (c <= 1235 || (c < 1239
                    ? c == 1237
                    : (c <= 1239 || c == 1241))))
                : (c <= 1243 || (c < 1251
                  ? (c < 1247
                    ? c == 1245
                    : (c <= 1247 || c == 1249))
                  : (c <= 1251 || (c < 1255
                    ? c == 1253
                    : c <= 1255)))))))))))))
      : (c <= 1257 || (c < 2990
        ? (c < 2144
          ? (c < 1317
            ? (c < 1287
              ? (c < 1273
                ? (c < 1265
                  ? (c < 1261
                    ? c == 1259
                    : (c <= 1261 || c == 1263))
                  : (c <= 1265 || (c < 1269
                    ? c == 1267
                    : (c <= 1269 || c == 1271))))
                : (c <= 1273 || (c < 1281
                  ? (c < 1277
                    ? c == 1275
                    : (c <= 1277 || c == 1279))
                  : (c <= 1281 || (c < 1285
                    ? c == 1283
                    : c <= 1285)))))
              : (c <= 1287 || (c < 1303
                ? (c < 1295
                  ? (c < 1291
                    ? c == 1289
                    : (c <= 1291 || c == 1293))
                  : (c <= 1295 || (c < 1299
                    ? c == 1297
                    : (c <= 1299 || c == 1301))))
                : (c <= 1303 || (c < 1311
                  ? (c < 1307
                    ? c == 1305
                    : (c <= 1307 || c == 1309))
                  : (c <= 1311 || (c < 1315
                    ? c == 1313
                    : c <= 1315)))))))
            : (c <= 1317 || (c < 1774
              ? (c < 1488
                ? (c < 1325
                  ? (c < 1321
                    ? c == 1319
                    : (c <= 1321 || c == 1323))
                  : (c <= 1325 || (c < 1369
                    ? c == 1327
                    : (c <= 1369 || (c >= 1376 && c <= 1416)))))
                : (c <= 1514 || (c < 1649
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : (c <= 1610 || (c >= 1646 && c <= 1647)))
                  : (c <= 1747 || (c < 1765
                    ? c == 1749
                    : c <= 1766)))))
              : (c <= 1775 || (c < 2036
                ? (c < 1810
                  ? (c < 1791
                    ? (c >= 1786 && c <= 1788)
                    : (c <= 1791 || c == 1808))
                  : (c <= 1839 || (c < 1969
                    ? (c >= 1869 && c <= 1957)
                    : (c <= 1969 || (c >= 1994 && c <= 2026)))))
                : (c <= 2037 || (c < 2084
                  ? (c < 2048
                    ? c == 2042
                    : (c <= 2069 || c == 2074))
                  : (c <= 2084 || (c < 2112
                    ? c == 2088
                    : c <= 2136)))))))))
          : (c <= 2154 || (c < 2674
            ? (c < 2493
              ? (c < 2417
                ? (c < 2308
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : (c <= 2190 || (c >= 2208 && c <= 2249)))
                  : (c <= 2361 || (c < 2384
                    ? c == 2365
                    : (c <= 2384 || (c >= 2392 && c <= 2401)))))
                : (c <= 2432 || (c < 2474
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : (c <= 2448 || (c >= 2451 && c <= 2472)))
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))))
              : (c <= 2493 || (c < 2579
                ? (c < 2544
                  ? (c < 2524
                    ? c == 2510
                    : (c <= 2525 || (c >= 2527 && c <= 2529)))
                  : (c <= 2545 || (c < 2565
                    ? c == 2556
                    : (c <= 2570 || (c >= 2575 && c <= 2576)))))
                : (c <= 2600 || (c < 2616
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : (c <= 2611 || (c >= 2613 && c <= 2614)))
                  : (c <= 2617 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))))))
            : (c <= 2676 || (c < 2866
              ? (c < 2768
                ? (c < 2730
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : (c <= 2705 || (c >= 2707 && c <= 2728)))
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : (c <= 2745 || c == 2749))))
                : (c <= 2768 || (c < 2831
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : (c <= 2809 || (c >= 2821 && c <= 2828)))
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2958
                ? (c < 2911
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : (c <= 2877 || (c >= 2908 && c <= 2909)))
                  : (c <= 2913 || (c < 2947
                    ? c == 2929
                    : (c <= 2947 || (c >= 2949 && c <= 2954)))))
                : (c <= 2960 || (c < 2974
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : (c <= 2970 || c == 2972))
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))))))))))
        : (c <= 3001 || (c < 4304
          ? (c < 3507
            ? (c < 3253
              ? (c < 3165
                ? (c < 3090
                  ? (c < 3077
                    ? c == 3024
                    : (c <= 3084 || (c >= 3086 && c <= 3088)))
                  : (c <= 3112 || (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : (c <= 3133 || (c >= 3160 && c <= 3162)))))
                : (c <= 3165 || (c < 3214
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : (c <= 3200 || (c >= 3205 && c <= 3212)))
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))))
              : (c <= 3257 || (c < 3389
                ? (c < 3313
                  ? (c < 3293
                    ? c == 3261
                    : (c <= 3294 || (c >= 3296 && c <= 3297)))
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : (c <= 3344 || (c >= 3346 && c <= 3386)))))
                : (c <= 3389 || (c < 3450
                  ? (c < 3412
                    ? c == 3406
                    : (c <= 3414 || (c >= 3423 && c <= 3425)))
                  : (c <= 3455 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))))))
            : (c <= 3515 || (c < 3782
              ? (c < 3718
                ? (c < 3634
                  ? (c < 3520
                    ? c == 3517
                    : (c <= 3526 || (c >= 3585 && c <= 3632)))
                  : (c <= 3635 || (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : (c <= 3714 || c == 3716))))
                : (c <= 3722 || (c < 3762
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : (c <= 3749 || (c >= 3751 && c <= 3760)))
                  : (c <= 3763 || (c < 3776
                    ? c == 3773
                    : c <= 3780)))))
              : (c <= 3782 || (c < 4176
                ? (c < 3913
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : (c <= 3840 || (c >= 3904 && c <= 3911)))
                  : (c <= 3948 || (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : (c <= 4138 || c == 4159))))
                : (c <= 4181 || (c < 4206
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : (c <= 4193 || (c >= 4197 && c <= 4198)))
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))))))))
          : (c <= 4346 || (c < 6103
            ? (c < 4882
              ? (c < 4752
                ? (c < 4696
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : (c <= 4685 || (c >= 4688 && c <= 4694)))
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : (c <= 4744 || (c >= 4746 && c <= 4749)))))
                : (c <= 4784 || (c < 4802
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : (c <= 4798 || c == 4800))
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5870
                ? (c < 5121
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : (c <= 5007 || (c >= 5112 && c <= 5117)))
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : (c <= 5786 || (c >= 5792 && c <= 5866)))))
                : (c <= 5880 || (c < 5984
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : (c <= 5937 || (c >= 5952 && c <= 5969)))
                  : (c <= 5996 || (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)))))))
            : (c <= 6103 || (c < 6981
              ? (c < 6512
                ? (c < 6314
                  ? (c < 6176
                    ? c == 6108
                    : (c <= 6264 || (c >= 6272 && c <= 6312)))
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : (c <= 6430 || (c >= 6480 && c <= 6509)))))
                : (c <= 6516 || (c < 6688
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : (c <= 6601 || (c >= 6656 && c <= 6678)))
                  : (c <= 6740 || (c < 6917
                    ? c == 6823
                    : c <= 6963)))))
              : (c <= 6988 || (c < 7401
                ? (c < 7168
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : (c <= 7087 || (c >= 7098 && c <= 7141)))
                  : (c <= 7203 || (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : (c <= 7293 || (c >= 7296 && c <= 7304)))))
                : (c <= 7404 || (c < 7424
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : (c <= 7414 || c == 7418))
                  : (c <= 7615 || (c < 7683
                    ? c == 7681
                    : c <= 7683)))))))))))))))
    : (c <= 7685 || (c < 12540
      ? (c < 7933
        ? (c < 7805
          ? (c < 7745
            ? (c < 7715
              ? (c < 7701
                ? (c < 7693
                  ? (c < 7689
                    ? c == 7687
                    : (c <= 7689 || c == 7691))
                  : (c <= 7693 || (c < 7697
                    ? c == 7695
                    : (c <= 7697 || c == 7699))))
                : (c <= 7701 || (c < 7709
                  ? (c < 7705
                    ? c == 7703
                    : (c <= 7705 || c == 7707))
                  : (c <= 7709 || (c < 7713
                    ? c == 7711
                    : c <= 7713)))))
              : (c <= 7715 || (c < 7731
                ? (c < 7723
                  ? (c < 7719
                    ? c == 7717
                    : (c <= 7719 || c == 7721))
                  : (c <= 7723 || (c < 7727
                    ? c == 7725
                    : (c <= 7727 || c == 7729))))
                : (c <= 7731 || (c < 7739
                  ? (c < 7735
                    ? c == 7733
                    : (c <= 7735 || c == 7737))
                  : (c <= 7739 || (c < 7743
                    ? c == 7741
                    : c <= 7743)))))))
            : (c <= 7745 || (c < 7775
              ? (c < 7761
                ? (c < 7753
                  ? (c < 7749
                    ? c == 7747
                    : (c <= 7749 || c == 7751))
                  : (c <= 7753 || (c < 7757
                    ? c == 7755
                    : (c <= 7757 || c == 7759))))
                : (c <= 7761 || (c < 7769
                  ? (c < 7765
                    ? c == 7763
                    : (c <= 7765 || c == 7767))
                  : (c <= 7769 || (c < 7773
                    ? c == 7771
                    : c <= 7773)))))
              : (c <= 7775 || (c < 7791
                ? (c < 7783
                  ? (c < 7779
                    ? c == 7777
                    : (c <= 7779 || c == 7781))
                  : (c <= 7783 || (c < 7787
                    ? c == 7785
                    : (c <= 7787 || c == 7789))))
                : (c <= 7791 || (c < 7799
                  ? (c < 7795
                    ? c == 7793
                    : (c <= 7795 || c == 7797))
                  : (c <= 7799 || (c < 7803
                    ? c == 7801
                    : c <= 7803)))))))))
          : (c <= 7805 || (c < 7873
            ? (c < 7843
              ? (c < 7821
                ? (c < 7813
                  ? (c < 7809
                    ? c == 7807
                    : (c <= 7809 || c == 7811))
                  : (c <= 7813 || (c < 7817
                    ? c == 7815
                    : (c <= 7817 || c == 7819))))
                : (c <= 7821 || (c < 7829
                  ? (c < 7825
                    ? c == 7823
                    : (c <= 7825 || c == 7827))
                  : (c <= 7837 || (c < 7841
                    ? c == 7839
                    : c <= 7841)))))
              : (c <= 7843 || (c < 7859
                ? (c < 7851
                  ? (c < 7847
                    ? c == 7845
                    : (c <= 7847 || c == 7849))
                  : (c <= 7851 || (c < 7855
                    ? c == 7853
                    : (c <= 7855 || c == 7857))))
                : (c <= 7859 || (c < 7867
                  ? (c < 7863
                    ? c == 7861
                    : (c <= 7863 || c == 7865))
                  : (c <= 7867 || (c < 7871
                    ? c == 7869
                    : c <= 7871)))))))
            : (c <= 7873 || (c < 7903
              ? (c < 7889
                ? (c < 7881
                  ? (c < 7877
                    ? c == 7875
                    : (c <= 7877 || c == 7879))
                  : (c <= 7881 || (c < 7885
                    ? c == 7883
                    : (c <= 7885 || c == 7887))))
                : (c <= 7889 || (c < 7897
                  ? (c < 7893
                    ? c == 7891
                    : (c <= 7893 || c == 7895))
                  : (c <= 7897 || (c < 7901
                    ? c == 7899
                    : c <= 7901)))))
              : (c <= 7903 || (c < 7919
                ? (c < 7911
                  ? (c < 7907
                    ? c == 7905
                    : (c <= 7907 || c == 7909))
                  : (c <= 7911 || (c < 7915
                    ? c == 7913
                    : (c <= 7915 || c == 7917))))
                : (c <= 7919 || (c < 7927
                  ? (c < 7923
                    ? c == 7921
                    : (c <= 7923 || c == 7925))
                  : (c <= 7927 || (c < 7931
                    ? c == 7929
                    : c <= 7931)))))))))))
        : (c <= 7933 || (c < 11423
          ? (c < 8500
            ? (c < 8130
              ? (c < 8048
                ? (c < 7984
                  ? (c < 7952
                    ? (c >= 7935 && c <= 7943)
                    : (c <= 7957 || (c >= 7968 && c <= 7975)))
                  : (c <= 7991 || (c < 8016
                    ? (c >= 8000 && c <= 8005)
                    : (c <= 8023 || (c >= 8032 && c <= 8039)))))
                : (c <= 8061 || (c < 8112
                  ? (c < 8080
                    ? (c >= 8064 && c <= 8071)
                    : (c <= 8087 || (c >= 8096 && c <= 8103)))
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8119)
                    : c <= 8126)))))
              : (c <= 8132 || (c < 8319
                ? (c < 8160
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8135)
                    : (c <= 8147 || (c >= 8150 && c <= 8151)))
                  : (c <= 8167 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : (c <= 8183 || c == 8305))))
                : (c <= 8319 || (c < 8467
                  ? (c < 8458
                    ? (c >= 8336 && c <= 8348)
                    : (c <= 8458 || (c >= 8462 && c <= 8463)))
                  : (c <= 8467 || (c < 8494
                    ? c == 8472
                    : c <= 8495)))))))
            : (c <= 8505 || (c < 11393
              ? (c < 11365
                ? (c < 8544
                  ? (c < 8518
                    ? (c >= 8508 && c <= 8509)
                    : (c <= 8521 || c == 8526))
                  : (c <= 8578 || (c < 11312
                    ? (c >= 8580 && c <= 8584)
                    : (c <= 11359 || c == 11361))))
                : (c <= 11366 || (c < 11377
                  ? (c < 11370
                    ? c == 11368
                    : (c <= 11370 || c == 11372))
                  : (c <= 11377 || (c < 11382
                    ? (c >= 11379 && c <= 11380)
                    : c <= 11389)))))
              : (c <= 11393 || (c < 11409
                ? (c < 11401
                  ? (c < 11397
                    ? c == 11395
                    : (c <= 11397 || c == 11399))
                  : (c <= 11401 || (c < 11405
                    ? c == 11403
                    : (c <= 11405 || c == 11407))))
                : (c <= 11409 || (c < 11417
                  ? (c < 11413
                    ? c == 11411
                    : (c <= 11413 || c == 11415))
                  : (c <= 11417 || (c < 11421
                    ? c == 11419
                    : c <= 11421)))))))))
          : (c <= 11423 || (c < 11483
            ? (c < 11453
              ? (c < 11439
                ? (c < 11431
                  ? (c < 11427
                    ? c == 11425
                    : (c <= 11427 || c == 11429))
                  : (c <= 11431 || (c < 11435
                    ? c == 11433
                    : (c <= 11435 || c == 11437))))
                : (c <= 11439 || (c < 11447
                  ? (c < 11443
                    ? c == 11441
                    : (c <= 11443 || c == 11445))
                  : (c <= 11447 || (c < 11451
                    ? c == 11449
                    : c <= 11451)))))
              : (c <= 11453 || (c < 11469
                ? (c < 11461
                  ? (c < 11457
                    ? c == 11455
                    : (c <= 11457 || c == 11459))
                  : (c <= 11461 || (c < 11465
                    ? c == 11463
                    : (c <= 11465 || c == 11467))))
                : (c <= 11469 || (c < 11477
                  ? (c < 11473
                    ? c == 11471
                    : (c <= 11473 || c == 11475))
                  : (c <= 11477 || (c < 11481
                    ? c == 11479
                    : c <= 11481)))))))
            : (c <= 11483 || (c < 11688
              ? (c < 11520
                ? (c < 11491
                  ? (c < 11487
                    ? c == 11485
                    : (c <= 11487 || c == 11489))
                  : (c <= 11492 || (c < 11502
                    ? c == 11500
                    : (c <= 11502 || c == 11507))))
                : (c <= 11557 || (c < 11631
                  ? (c < 11565
                    ? c == 11559
                    : (c <= 11565 || (c >= 11568 && c <= 11623)))
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)))))
              : (c <= 11694 || (c < 12293
                ? (c < 11720
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : (c <= 11710 || (c >= 11712 && c <= 11718)))
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : (c <= 11742 || c == 11823))))
                : (c <= 12295 || (c < 12353
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : (c <= 12341 || (c >= 12344 && c <= 12348)))
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12443 && c <= 12447)
                    : c <= 12538)))))))))))))
      : (c <= 12543 || (c < 42947
        ? (c < 42803
          ? (c < 42595
            ? (c < 42565
              ? (c < 40959
                ? (c < 12784
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : (c <= 12686 || (c >= 12704 && c <= 12735)))
                  : (c <= 12799 || (c < 19903
                    ? c == 13312
                    : (c <= 19903 || c == 19968))))
                : (c <= 42124 || (c < 42538
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : (c <= 42508 || (c >= 42512 && c <= 42527)))
                  : (c <= 42539 || (c < 42563
                    ? c == 42561
                    : c <= 42563)))))
              : (c <= 42565 || (c < 42581
                ? (c < 42573
                  ? (c < 42569
                    ? c == 42567
                    : (c <= 42569 || c == 42571))
                  : (c <= 42573 || (c < 42577
                    ? c == 42575
                    : (c <= 42577 || c == 42579))))
                : (c <= 42581 || (c < 42589
                  ? (c < 42585
                    ? c == 42583
                    : (c <= 42585 || c == 42587))
                  : (c <= 42589 || (c < 42593
                    ? c == 42591
                    : c <= 42593)))))))
            : (c <= 42595 || (c < 42641
              ? (c < 42627
                ? (c < 42603
                  ? (c < 42599
                    ? c == 42597
                    : (c <= 42599 || c == 42601))
                  : (c <= 42603 || (c < 42623
                    ? (c >= 42605 && c <= 42606)
                    : (c <= 42623 || c == 42625))))
                : (c <= 42627 || (c < 42635
                  ? (c < 42631
                    ? c == 42629
                    : (c <= 42631 || c == 42633))
                  : (c <= 42635 || (c < 42639
                    ? c == 42637
                    : c <= 42639)))))
              : (c <= 42641 || (c < 42787
                ? (c < 42649
                  ? (c < 42645
                    ? c == 42643
                    : (c <= 42645 || c == 42647))
                  : (c <= 42649 || (c < 42656
                    ? (c >= 42651 && c <= 42653)
                    : (c <= 42735 || (c >= 42775 && c <= 42783)))))
                : (c <= 42787 || (c < 42795
                  ? (c < 42791
                    ? c == 42789
                    : (c <= 42791 || c == 42793))
                  : (c <= 42795 || (c < 42799
                    ? c == 42797
                    : c <= 42801)))))))))
          : (c <= 42803 || (c < 42863
            ? (c < 42833
              ? (c < 42819
                ? (c < 42811
                  ? (c < 42807
                    ? c == 42805
                    : (c <= 42807 || c == 42809))
                  : (c <= 42811 || (c < 42815
                    ? c == 42813
                    : (c <= 42815 || c == 42817))))
                : (c <= 42819 || (c < 42827
                  ? (c < 42823
                    ? c == 42821
                    : (c <= 42823 || c == 42825))
                  : (c <= 42827 || (c < 42831
                    ? c == 42829
                    : c <= 42831)))))
              : (c <= 42833 || (c < 42849
                ? (c < 42841
                  ? (c < 42837
                    ? c == 42835
                    : (c <= 42837 || c == 42839))
                  : (c <= 42841 || (c < 42845
                    ? c == 42843
                    : (c <= 42845 || c == 42847))))
                : (c <= 42849 || (c < 42857
                  ? (c < 42853
                    ? c == 42851
                    : (c <= 42853 || c == 42855))
                  : (c <= 42857 || (c < 42861
                    ? c == 42859
                    : c <= 42861)))))))
            : (c <= 42872 || (c < 42909
              ? (c < 42892
                ? (c < 42881
                  ? (c < 42876
                    ? c == 42874
                    : (c <= 42876 || c == 42879))
                  : (c <= 42881 || (c < 42885
                    ? c == 42883
                    : (c <= 42885 || (c >= 42887 && c <= 42888)))))
                : (c <= 42892 || (c < 42903
                  ? (c < 42897
                    ? (c >= 42894 && c <= 42895)
                    : (c <= 42897 || (c >= 42899 && c <= 42901)))
                  : (c <= 42903 || (c < 42907
                    ? c == 42905
                    : c <= 42907)))))
              : (c <= 42909 || (c < 42933
                ? (c < 42917
                  ? (c < 42913
                    ? c == 42911
                    : (c <= 42913 || c == 42915))
                  : (c <= 42917 || (c < 42921
                    ? c == 42919
                    : (c <= 42921 || c == 42927))))
                : (c <= 42933 || (c < 42941
                  ? (c < 42937
                    ? c == 42935
                    : (c <= 42937 || c == 42939))
                  : (c <= 42941 || (c < 42945
                    ? c == 42943
                    : c <= 42945)))))))))))
        : (c <= 42947 || (c < 64318
          ? (c < 43642
            ? (c < 43250
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42954
                    ? c == 42952
                    : (c <= 42954 || c == 42961))
                  : (c <= 42963 || (c < 42967
                    ? c == 42965
                    : (c <= 42967 || c == 42969))))
                : (c <= 42996 || (c < 43020
                  ? (c < 43011
                    ? (c >= 42998 && c <= 43009)
                    : (c <= 43013 || (c >= 43015 && c <= 43018)))
                  : (c <= 43042 || (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)))))
              : (c <= 43255 || (c < 43488
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : (c <= 43262 || (c >= 43274 && c <= 43301)))
                  : (c <= 43334 || (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : (c <= 43442 || c == 43471))))
                : (c <= 43492 || (c < 43584
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : (c <= 43518 || (c >= 43520 && c <= 43560)))
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))))))
            : (c <= 43642 || (c < 43824
              ? (c < 43744
                ? (c < 43705
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : (c <= 43697 || (c >= 43701 && c <= 43702)))
                  : (c <= 43709 || (c < 43714
                    ? c == 43712
                    : (c <= 43714 || (c >= 43739 && c <= 43741)))))
                : (c <= 43754 || (c < 43793
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : (c <= 43782 || (c >= 43785 && c <= 43790)))
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 64112
                ? (c < 55203
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : (c <= 44002 || c == 44032))
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : (c <= 55291 || (c >= 63744 && c <= 64109)))))
                : (c <= 64217 || (c < 64287
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : (c <= 64279 || c == 64285))
                  : (c <= 64296 || (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)))))))))
          : (c <= 64318 || (c < 66464
            ? (c < 65498
              ? (c < 65136
                ? (c < 64467
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : (c <= 64324 || (c >= 64326 && c <= 64433)))
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : (c <= 64967 || (c >= 65008 && c <= 65019)))))
                : (c <= 65140 || (c < 65474
                  ? (c < 65345
                    ? (c >= 65142 && c <= 65276)
                    : (c <= 65370 || (c >= 65382 && c <= 65470)))
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))))
              : (c <= 65500 || (c < 65856
                ? (c < 65596
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : (c <= 65574 || (c >= 65576 && c <= 65594)))
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : (c <= 65629 || (c >= 65664 && c <= 65786)))))
                : (c <= 65908 || (c < 66349
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : (c <= 66256 || (c >= 66304 && c <= 66335)))
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 67463
              ? (c < 66979
                ? (c < 66776
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : (c <= 66517 || (c >= 66600 && c <= 66717)))
                  : (c <= 66811 || (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : (c <= 66915 || (c >= 66967 && c <= 66977)))))
                : (c <= 66993 || (c < 67392
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : (c <= 67004 || (c >= 67072 && c <= 67382)))
                  : (c <= 67413 || (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)))))
              : (c <= 67504 || (c < 67647
                ? (c < 67594
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : (c <= 67589 || c == 67592))
                  : (c <= 67637 || (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)))
                : (c <= 67669 || (c < 67828
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : (c <= 67742 || (c >= 67808 && c <= 67826)))
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67883)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_4(int32_t c) {
  return (c < 43584
    ? (c < 3776
      ? (c < 2741
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'b' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 890
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8008
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))))))))
        : (c <= 8013 || (c < 11696
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))))))))
          : (c <= 11702 || (c < 42560
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c >= 43520 && c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71488
      ? (c < 67680
        ? (c < 65490
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65056
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64467 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65019)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65313
                ? (c < 65136
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65140 || (c < 65296
                    ? (c >= 65142 && c <= 65276)
                    : c <= 65305)))
                : (c <= 65338 || (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))))))))
          : (c <= 65495 || (c < 66776
            ? (c < 66208
              ? (c < 65599
                ? (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))
                : (c <= 65613 || (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))))
              : (c <= 66256 || (c < 66464
                ? (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))
                : (c <= 66499 || (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))))))
            : (c <= 66811 || (c < 67392
              ? (c < 66964
                ? (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))
                : (c <= 66965 || (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))))
              : (c <= 67413 || (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))))))
        : (c <= 67702 || (c < 70006
          ? (c < 68736
            ? (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68101
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)
                  : (c <= 68102 || (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)))))
              : (c <= 68149 || (c < 68297
                ? (c < 68192
                  ? (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)
                  : (c <= 68220 || (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)))
                : (c <= 68326 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)))))))
            : (c <= 68786 || (c < 69600
              ? (c < 69296
                ? (c < 68912
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)
                  : (c <= 68921 || (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)))
                : (c <= 69297 || (c < 69424
                  ? (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)
                  : (c <= 69456 || (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)))))
              : (c <= 69622 || (c < 69872
                ? (c < 69759
                  ? (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)
                  : (c <= 69818 || (c < 69840
                    ? c == 69826
                    : c <= 69864)))
                : (c <= 69881 || (c < 69956
                  ? (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)
                  : (c <= 69959 || (c >= 69968 && c <= 70003)))))))))
          : (c <= 70006 || (c < 70475
            ? (c < 70303
              ? (c < 70163
                ? (c < 70094
                  ? (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)
                  : (c <= 70106 || (c < 70144
                    ? c == 70108
                    : c <= 70161)))
                : (c <= 70199 || (c < 70280
                  ? (c < 70272
                    ? c == 70206
                    : c <= 70278)
                  : (c <= 70280 || (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)))))
              : (c <= 70312 || (c < 70419
                ? (c < 70400
                  ? (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)
                  : (c <= 70403 || (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)))))))
            : (c <= 70477 || (c < 71040
              ? (c < 70656
                ? (c < 70493
                  ? (c < 70487
                    ? c == 70480
                    : c <= 70487)
                  : (c <= 70499 || (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)))
                : (c <= 70730 || (c < 70784
                  ? (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)
                  : (c <= 70853 || (c < 70864
                    ? c == 70855
                    : c <= 70873)))))
              : (c <= 71093 || (c < 71296
                ? (c < 71168
                  ? (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)
                  : (c <= 71232 || (c < 71248
                    ? c == 71236
                    : c <= 71257)))
                : (c <= 71352 || (c < 71453
                  ? (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)
                  : (c <= 71467 || (c >= 71472 && c <= 71481)))))))))))))
      : (c <= 71494 || (c < 119977
        ? (c < 92160
          ? (c < 72818
            ? (c < 72106
              ? (c < 71957
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)
                  : (c <= 71942 || (c < 71948
                    ? c == 71945
                    : c <= 71955)))
                : (c <= 71958 || (c < 71995
                  ? (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)
                  : (c <= 72003 || (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)))))
              : (c <= 72151 || (c < 72349
                ? (c < 72192
                  ? (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)
                  : (c <= 72254 || (c < 72272
                    ? c == 72263
                    : c <= 72345)))
                : (c <= 72349 || (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72758 || (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)))))))
            : (c <= 72847 || (c < 73066
              ? (c < 73018
                ? (c < 72960
                  ? (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)
                  : (c <= 72966 || (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)))
                : (c <= 73018 || (c < 73040
                  ? (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)
                  : (c <= 73049 || (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)))))
              : (c <= 73102 || (c < 73728
                ? (c < 73120
                  ? (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)
                  : (c <= 73129 || (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)))))))))
          : (c <= 92728 || (c < 110589
            ? (c < 93760
              ? (c < 92912
                ? (c < 92784
                  ? (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)
                  : (c <= 92862 || (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)))
                : (c <= 92916 || (c < 93008
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)
                  : (c <= 93017 || (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)))))
              : (c <= 93823 || (c < 94192
                ? (c < 94095
                  ? (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)
                  : (c <= 94111 || (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)))
                : (c <= 94193 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))))))
            : (c <= 110590 || (c < 119141
              ? (c < 113776
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)))
                : (c <= 113788 || (c < 113821
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 113822 || (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)))))
              : (c <= 119145 || (c < 119808
                ? (c < 119173
                  ? (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)
                  : (c <= 119179 || (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)))
                : (c <= 119892 || (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c >= 119973 && c <= 119974)))))))))))
        : (c <= 119980 || (c < 124912
          ? (c < 120772
            ? (c < 120138
              ? (c < 120077
                ? (c < 119997
                  ? (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)
                  : (c <= 120003 || (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)))
                : (c <= 120084 || (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c < 120134
                    ? (c >= 120128 && c <= 120132)
                    : c <= 120134)))))
              : (c <= 120144 || (c < 120598
                ? (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)))
                : (c <= 120628 || (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c < 120746
                    ? (c >= 120714 && c <= 120744)
                    : c <= 120770)))))))
            : (c <= 120779 || (c < 122915
              ? (c < 121499
                ? (c < 121403
                  ? (c < 121344
                    ? (c >= 120782 && c <= 120831)
                    : c <= 121398)
                  : (c <= 121452 || (c < 121476
                    ? c == 121461
                    : c <= 121476)))
                : (c <= 121503 || (c < 122880
                  ? (c < 122624
                    ? (c >= 121505 && c <= 121519)
                    : c <= 122654)
                  : (c <= 122886 || (c < 122907
                    ? (c >= 122888 && c <= 122904)
                    : c <= 122913)))))
              : (c <= 122916 || (c < 123536
                ? (c < 123184
                  ? (c < 123136
                    ? (c >= 122918 && c <= 122922)
                    : c <= 123180)
                  : (c <= 123197 || (c < 123214
                    ? (c >= 123200 && c <= 123209)
                    : c <= 123214)))
                : (c <= 123566 || (c < 124904
                  ? (c < 124896
                    ? (c >= 123584 && c <= 123641)
                    : c <= 124902)
                  : (c <= 124907 || (c >= 124909 && c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool aux_sym_identifier_token1_character_set_5(int32_t c) {
  return (c < 43584
    ? (c < 3776
      ? (c < 2741
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 890
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8008
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))))))))
        : (c <= 8013 || (c < 11696
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))))))))
          : (c <= 11702 || (c < 42560
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c >= 43520 && c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71488
      ? (c < 67680
        ? (c < 65490
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65056
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64467 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65019)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65313
                ? (c < 65136
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65140 || (c < 65296
                    ? (c >= 65142 && c <= 65276)
                    : c <= 65305)))
                : (c <= 65338 || (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))))))))
          : (c <= 65495 || (c < 66776
            ? (c < 66208
              ? (c < 65599
                ? (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))
                : (c <= 65613 || (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))))
              : (c <= 66256 || (c < 66464
                ? (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))
                : (c <= 66499 || (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))))))
            : (c <= 66811 || (c < 67392
              ? (c < 66964
                ? (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))
                : (c <= 66965 || (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))))
              : (c <= 67413 || (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))))))
        : (c <= 67702 || (c < 70006
          ? (c < 68736
            ? (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68101
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)
                  : (c <= 68102 || (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)))))
              : (c <= 68149 || (c < 68297
                ? (c < 68192
                  ? (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)
                  : (c <= 68220 || (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)))
                : (c <= 68326 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)))))))
            : (c <= 68786 || (c < 69600
              ? (c < 69296
                ? (c < 68912
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)
                  : (c <= 68921 || (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)))
                : (c <= 69297 || (c < 69424
                  ? (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)
                  : (c <= 69456 || (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)))))
              : (c <= 69622 || (c < 69872
                ? (c < 69759
                  ? (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)
                  : (c <= 69818 || (c < 69840
                    ? c == 69826
                    : c <= 69864)))
                : (c <= 69881 || (c < 69956
                  ? (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)
                  : (c <= 69959 || (c >= 69968 && c <= 70003)))))))))
          : (c <= 70006 || (c < 70475
            ? (c < 70303
              ? (c < 70163
                ? (c < 70094
                  ? (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)
                  : (c <= 70106 || (c < 70144
                    ? c == 70108
                    : c <= 70161)))
                : (c <= 70199 || (c < 70280
                  ? (c < 70272
                    ? c == 70206
                    : c <= 70278)
                  : (c <= 70280 || (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)))))
              : (c <= 70312 || (c < 70419
                ? (c < 70400
                  ? (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)
                  : (c <= 70403 || (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)))))))
            : (c <= 70477 || (c < 71040
              ? (c < 70656
                ? (c < 70493
                  ? (c < 70487
                    ? c == 70480
                    : c <= 70487)
                  : (c <= 70499 || (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)))
                : (c <= 70730 || (c < 70784
                  ? (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)
                  : (c <= 70853 || (c < 70864
                    ? c == 70855
                    : c <= 70873)))))
              : (c <= 71093 || (c < 71296
                ? (c < 71168
                  ? (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)
                  : (c <= 71232 || (c < 71248
                    ? c == 71236
                    : c <= 71257)))
                : (c <= 71352 || (c < 71453
                  ? (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)
                  : (c <= 71467 || (c >= 71472 && c <= 71481)))))))))))))
      : (c <= 71494 || (c < 119977
        ? (c < 92160
          ? (c < 72818
            ? (c < 72106
              ? (c < 71957
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)
                  : (c <= 71942 || (c < 71948
                    ? c == 71945
                    : c <= 71955)))
                : (c <= 71958 || (c < 71995
                  ? (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)
                  : (c <= 72003 || (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)))))
              : (c <= 72151 || (c < 72349
                ? (c < 72192
                  ? (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)
                  : (c <= 72254 || (c < 72272
                    ? c == 72263
                    : c <= 72345)))
                : (c <= 72349 || (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72758 || (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)))))))
            : (c <= 72847 || (c < 73066
              ? (c < 73018
                ? (c < 72960
                  ? (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)
                  : (c <= 72966 || (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)))
                : (c <= 73018 || (c < 73040
                  ? (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)
                  : (c <= 73049 || (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)))))
              : (c <= 73102 || (c < 73728
                ? (c < 73120
                  ? (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)
                  : (c <= 73129 || (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)))))))))
          : (c <= 92728 || (c < 110589
            ? (c < 93760
              ? (c < 92912
                ? (c < 92784
                  ? (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)
                  : (c <= 92862 || (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)))
                : (c <= 92916 || (c < 93008
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)
                  : (c <= 93017 || (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)))))
              : (c <= 93823 || (c < 94192
                ? (c < 94095
                  ? (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)
                  : (c <= 94111 || (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)))
                : (c <= 94193 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))))))
            : (c <= 110590 || (c < 119141
              ? (c < 113776
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)))
                : (c <= 113788 || (c < 113821
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 113822 || (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)))))
              : (c <= 119145 || (c < 119808
                ? (c < 119173
                  ? (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)
                  : (c <= 119179 || (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)))
                : (c <= 119892 || (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c >= 119973 && c <= 119974)))))))))))
        : (c <= 119980 || (c < 124912
          ? (c < 120772
            ? (c < 120138
              ? (c < 120077
                ? (c < 119997
                  ? (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)
                  : (c <= 120003 || (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)))
                : (c <= 120084 || (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c < 120134
                    ? (c >= 120128 && c <= 120132)
                    : c <= 120134)))))
              : (c <= 120144 || (c < 120598
                ? (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)))
                : (c <= 120628 || (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c < 120746
                    ? (c >= 120714 && c <= 120744)
                    : c <= 120770)))))))
            : (c <= 120779 || (c < 122915
              ? (c < 121499
                ? (c < 121403
                  ? (c < 121344
                    ? (c >= 120782 && c <= 120831)
                    : c <= 121398)
                  : (c <= 121452 || (c < 121476
                    ? c == 121461
                    : c <= 121476)))
                : (c <= 121503 || (c < 122880
                  ? (c < 122624
                    ? (c >= 121505 && c <= 121519)
                    : c <= 122654)
                  : (c <= 122886 || (c < 122907
                    ? (c >= 122888 && c <= 122904)
                    : c <= 122913)))))
              : (c <= 122916 || (c < 123536
                ? (c < 123184
                  ? (c < 123136
                    ? (c >= 122918 && c <= 122922)
                    : c <= 123180)
                  : (c <= 123197 || (c < 123214
                    ? (c >= 123200 && c <= 123209)
                    : c <= 123214)))
                : (c <= 123566 || (c < 124904
                  ? (c < 124896
                    ? (c >= 123584 && c <= 123641)
                    : c <= 124902)
                  : (c <= 124907 || (c >= 124909 && c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_keyword_character_set_1(int32_t c) {
  return (c < 71960
    ? (c < 68121
      ? (c < 8459
        ? (c < 7312
          ? (c < 910
            ? (c < 886
              ? (c < 256
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : c <= 222)
                : (c <= 590 || (c >= 880 && c <= 882)))
              : (c <= 886 || (c < 904
                ? (c < 902
                  ? c == 895
                  : c <= 902)
                : (c <= 906 || c == 908))))
            : (c <= 929 || (c < 4256
              ? (c < 1162
                ? (c < 1015
                  ? (c >= 931 && c <= 1012)
                  : c <= 1152)
                : (c <= 1326 || (c >= 1329 && c <= 1366)))
              : (c <= 4293 || (c < 4301
                ? c == 4295
                : (c <= 4301 || (c >= 5024 && c <= 5109)))))))
          : (c <= 7354 || (c < 8031
            ? (c < 8008
              ? (c < 7960
                ? (c < 7680
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7951)
                : (c <= 7965 || (c >= 7976 && c <= 7999)))
              : (c <= 8013 || (c < 8027
                ? c == 8025
                : (c <= 8027 || c == 8029))))
            : (c <= 8047 || (c < 8168
              ? (c < 8136
                ? (c < 8120
                  ? (c >= 8072 && c <= 8111)
                  : c <= 8124)
                : (c <= 8140 || (c >= 8152 && c <= 8155)))
              : (c <= 8172 || (c < 8450
                ? (c >= 8184 && c <= 8188)
                : (c <= 8450 || c == 8455))))))))
        : (c <= 8466 || (c < 42891
          ? (c < 8579
            ? (c < 8488
              ? (c < 8484
                ? (c < 8473
                  ? c == 8469
                  : c <= 8477)
                : (c <= 8484 || c == 8486))
              : (c <= 8488 || (c < 8510
                ? (c >= 8490 && c <= 8499)
                : (c <= 8511 || c == 8517))))
            : (c <= 8579 || (c < 19969
              ? (c < 11506
                ? (c < 11499
                  ? (c >= 11264 && c <= 11490)
                  : c <= 11501)
                : (c <= 11506 || (c >= 13313 && c <= 19902)))
              : (c <= 40958 || (c < 42624
                ? (c >= 42560 && c <= 42604)
                : (c <= 42650 || (c >= 42786 && c <= 42886)))))))
          : (c <= 42953 || (c < 66940
            ? (c < 65313
              ? (c < 42997
                ? (c < 42966
                  ? c == 42960
                  : c <= 42968)
                : (c <= 42997 || (c >= 44033 && c <= 55202)))
              : (c <= 65338 || (c < 66736
                ? (c >= 66560 && c <= 66599)
                : (c <= 66771 || (c >= 66928 && c <= 66938)))))
            : (c <= 66954 || (c < 68030
              ? (c < 67884
                ? (c < 66964
                  ? (c >= 66956 && c <= 66962)
                  : c <= 66965)
                : (c <= 67897 || (c >= 67968 && c <= 68023)))
              : (c <= 68031 || (c < 68112
                ? c == 68096
                : (c <= 68115 || (c >= 68117 && c <= 68119)))))))))))
      : (c <= 68149 || (c < 70163
        ? (c < 69488
          ? (c < 68608
            ? (c < 68352
              ? (c < 68288
                ? (c < 68224
                  ? (c >= 68192 && c <= 68220)
                  : c <= 68252)
                : (c <= 68295 || (c >= 68297 && c <= 68324)))
              : (c <= 68405 || (c < 68448
                ? (c >= 68416 && c <= 68437)
                : (c <= 68466 || (c >= 68480 && c <= 68497)))))
            : (c <= 68680 || (c < 69296
              ? (c < 68864
                ? (c < 68800
                  ? (c >= 68736 && c <= 68786)
                  : c <= 68850)
                : (c <= 68899 || (c >= 69248 && c <= 69289)))
              : (c <= 69297 || (c < 69415
                ? (c >= 69376 && c <= 69404)
                : (c <= 69415 || (c >= 69424 && c <= 69445)))))))
          : (c <= 69505 || (c < 69956
            ? (c < 69749
              ? (c < 69635
                ? (c < 69600
                  ? (c >= 69552 && c <= 69572)
                  : c <= 69622)
                : (c <= 69687 || (c >= 69745 && c <= 69746)))
              : (c <= 69749 || (c < 69840
                ? (c >= 69763 && c <= 69807)
                : (c <= 69864 || (c >= 69891 && c <= 69926)))))
            : (c <= 69956 || (c < 70081
              ? (c < 70006
                ? (c < 69968
                  ? c == 69959
                  : c <= 70002)
                : (c <= 70006 || (c >= 70019 && c <= 70066)))
              : (c <= 70084 || (c < 70108
                ? c == 70106
                : (c <= 70108 || (c >= 70144 && c <= 70161)))))))))
        : (c <= 70187 || (c < 70751
          ? (c < 70419
            ? (c < 70303
              ? (c < 70282
                ? (c < 70280
                  ? (c >= 70272 && c <= 70278)
                  : c <= 70280)
                : (c <= 70285 || (c >= 70287 && c <= 70301)))
              : (c <= 70312 || (c < 70405
                ? (c >= 70320 && c <= 70366)
                : (c <= 70412 || (c >= 70415 && c <= 70416)))))
            : (c <= 70440 || (c < 70480
              ? (c < 70453
                ? (c < 70450
                  ? (c >= 70442 && c <= 70448)
                  : c <= 70451)
                : (c <= 70457 || c == 70461))
              : (c <= 70480 || (c < 70656
                ? (c >= 70493 && c <= 70497)
                : (c <= 70708 || (c >= 70727 && c <= 70730)))))))
          : (c <= 70753 || (c < 71352
            ? (c < 71128
              ? (c < 70855
                ? (c < 70852
                  ? (c >= 70784 && c <= 70831)
                  : c <= 70853)
                : (c <= 70855 || (c >= 71040 && c <= 71086)))
              : (c <= 71131 || (c < 71236
                ? (c >= 71168 && c <= 71215)
                : (c <= 71236 || (c >= 71296 && c <= 71338)))))
            : (c <= 71352 || (c < 71935
              ? (c < 71680
                ? (c < 71488
                  ? (c >= 71424 && c <= 71450)
                  : c <= 71494)
                : (c <= 71723 || (c >= 71840 && c <= 71903)))
              : (c <= 71942 || (c < 71948
                ? c == 71945
                : (c <= 71955 || (c >= 71957 && c <= 71958)))))))))))))
    : (c <= 71983 || (c < 120077
      ? (c < 92880
        ? (c < 72968
          ? (c < 72272
            ? (c < 72161
              ? (c < 72096
                ? (c < 72001
                  ? c == 71999
                  : c <= 72001)
                : (c <= 72103 || (c >= 72106 && c <= 72144)))
              : (c <= 72161 || (c < 72203
                ? (c < 72192
                  ? c == 72163
                  : c <= 72192)
                : (c <= 72242 || c == 72250))))
            : (c <= 72272 || (c < 72714
              ? (c < 72368
                ? (c < 72349
                  ? (c >= 72284 && c <= 72329)
                  : c <= 72349)
                : (c <= 72440 || (c >= 72704 && c <= 72712)))
              : (c <= 72750 || (c < 72818
                ? c == 72768
                : (c <= 72847 || (c >= 72960 && c <= 72966)))))))
          : (c <= 72969 || (c < 73728
            ? (c < 73066
              ? (c < 73056
                ? (c < 73030
                  ? (c >= 72971 && c <= 73008)
                  : c <= 73030)
                : (c <= 73061 || (c >= 73063 && c <= 73064)))
              : (c <= 73097 || (c < 73440
                ? c == 73112
                : (c <= 73458 || c == 73648))))
            : (c <= 74649 || (c < 82944
              ? (c < 77712
                ? (c < 74880
                  ? (c >= 74752 && c <= 74862)
                  : c <= 75075)
                : (c <= 77808 || (c >= 77824 && c <= 78894)))
              : (c <= 83526 || (c < 92736
                ? (c >= 92160 && c <= 92728)
                : (c <= 92766 || (c >= 92784 && c <= 92862)))))))))
        : (c <= 92909 || (c < 110928
          ? (c < 94176
            ? (c < 93760
              ? (c < 93027
                ? (c < 92992
                  ? (c >= 92928 && c <= 92975)
                  : c <= 92995)
                : (c <= 93047 || (c >= 93053 && c <= 93071)))
              : (c <= 93823 || (c < 94032
                ? (c >= 93952 && c <= 94026)
                : (c <= 94032 || (c >= 94099 && c <= 94111)))))
            : (c <= 94177 || (c < 110576
              ? (c < 100352
                ? (c < 94208
                  ? c == 94179
                  : c <= 100343)
                : (c <= 101589 || (c >= 101632 && c <= 101640)))
              : (c <= 110579 || (c < 110589
                ? (c >= 110581 && c <= 110587)
                : (c <= 110590 || (c >= 110592 && c <= 110882)))))))
          : (c <= 110930 || (c < 119966
            ? (c < 113792
              ? (c < 113664
                ? (c < 110960
                  ? (c >= 110948 && c <= 110951)
                  : c <= 111355)
                : (c <= 113770 || (c >= 113776 && c <= 113788)))
              : (c <= 113800 || (c < 119808
                ? (c >= 113808 && c <= 113817)
                : (c <= 119892 || (c >= 119894 && c <= 119964)))))
            : (c <= 119967 || (c < 119995
              ? (c < 119977
                ? (c < 119973
                  ? c == 119970
                  : c <= 119974)
                : (c <= 119980 || (c >= 119982 && c <= 119993)))
              : (c <= 119995 || (c < 120005
                ? (c >= 119997 && c <= 120003)
                : (c <= 120069 || (c >= 120071 && c <= 120074)))))))))))
      : (c <= 120084 || (c < 126503
        ? (c < 120772
          ? (c < 120514
            ? (c < 120134
              ? (c < 120123
                ? (c < 120094
                  ? (c >= 120086 && c <= 120092)
                  : c <= 120121)
                : (c <= 120126 || (c >= 120128 && c <= 120132)))
              : (c <= 120134 || (c < 120146
                ? (c >= 120138 && c <= 120144)
                : (c <= 120485 || (c >= 120488 && c <= 120512)))))
            : (c <= 120538 || (c < 120656
              ? (c < 120598
                ? (c < 120572
                  ? (c >= 120540 && c <= 120570)
                  : c <= 120596)
                : (c <= 120628 || (c >= 120630 && c <= 120654)))
              : (c <= 120686 || (c < 120714
                ? (c >= 120688 && c <= 120712)
                : (c <= 120744 || (c >= 120746 && c <= 120770)))))))
          : (c <= 120779 || (c < 124909
            ? (c < 123536
              ? (c < 123191
                ? (c < 123136
                  ? (c >= 122624 && c <= 122654)
                  : c <= 123180)
                : (c <= 123197 || c == 123214))
              : (c <= 123565 || (c < 124896
                ? (c >= 123584 && c <= 123627)
                : (c <= 124902 || (c >= 124904 && c <= 124907)))))
            : (c <= 124910 || (c < 126464
              ? (c < 125184
                ? (c < 124928
                  ? (c >= 124912 && c <= 124926)
                  : c <= 125124)
                : (c <= 125251 || c == 125259))
              : (c <= 126467 || (c < 126497
                ? (c >= 126469 && c <= 126495)
                : (c <= 126498 || c == 126500))))))))
        : (c <= 126503 || (c < 126564
          ? (c < 126541
            ? (c < 126530
              ? (c < 126521
                ? (c < 126516
                  ? (c >= 126505 && c <= 126514)
                  : c <= 126519)
                : (c <= 126521 || c == 126523))
              : (c <= 126530 || (c < 126537
                ? c == 126535
                : (c <= 126537 || c == 126539))))
            : (c <= 126543 || (c < 126555
              ? (c < 126551
                ? (c < 126548
                  ? (c >= 126545 && c <= 126546)
                  : c <= 126548)
                : (c <= 126551 || c == 126553))
              : (c <= 126555 || (c < 126559
                ? c == 126557
                : (c <= 126559 || (c >= 126561 && c <= 126562)))))))
          : (c <= 126564 || (c < 126629
            ? (c < 126590
              ? (c < 126580
                ? (c < 126572
                  ? (c >= 126567 && c <= 126570)
                  : c <= 126578)
                : (c <= 126583 || (c >= 126585 && c <= 126588)))
              : (c <= 126590 || (c < 126603
                ? (c >= 126592 && c <= 126601)
                : (c <= 126619 || (c >= 126625 && c <= 126627)))))
            : (c <= 126633 || (c < 178208
              ? (c < 173824
                ? (c < 131072
                  ? (c >= 126635 && c <= 126651)
                  : c <= 173791)
                : (c <= 177976 || (c >= 177984 && c <= 178205)))
              : (c <= 183969 || (c < 194560
                ? (c >= 183984 && c <= 191456)
                : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))));
}

static inline bool sym_keyword_character_set_2(int32_t c) {
  return (c < 71960
    ? (c < 68117
      ? (c < 8455
        ? (c < 5024
          ? (c < 908
            ? (c < 880
              ? (c < 216
                ? (c < 192
                  ? (c >= 'A' && c <= 'Z')
                  : c <= 214)
                : (c <= 222 || (c >= 256 && c <= 590)))
              : (c <= 882 || (c < 902
                ? (c < 895
                  ? c == 886
                  : c <= 895)
                : (c <= 902 || (c >= 904 && c <= 906)))))
            : (c <= 908 || (c < 1329
              ? (c < 1015
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : c <= 1012)
                : (c <= 1152 || (c >= 1162 && c <= 1326)))
              : (c <= 1366 || (c < 4295
                ? (c >= 4256 && c <= 4293)
                : (c <= 4295 || c == 4301))))))
          : (c <= 5109 || (c < 8029
            ? (c < 7976
              ? (c < 7680
                ? (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)
                : (c <= 7951 || (c >= 7960 && c <= 7965)))
              : (c <= 7999 || (c < 8025
                ? (c >= 8008 && c <= 8013)
                : (c <= 8025 || c == 8027))))
            : (c <= 8029 || (c < 8152
              ? (c < 8120
                ? (c < 8072
                  ? (c >= 8031 && c <= 8047)
                  : c <= 8111)
                : (c <= 8124 || (c >= 8136 && c <= 8140)))
              : (c <= 8155 || (c < 8184
                ? (c >= 8168 && c <= 8172)
                : (c <= 8188 || c == 8450))))))))
        : (c <= 8455 || (c < 42786
          ? (c < 8517
            ? (c < 8486
              ? (c < 8473
                ? (c < 8469
                  ? (c >= 8459 && c <= 8466)
                  : c <= 8469)
                : (c <= 8477 || c == 8484))
              : (c <= 8486 || (c < 8490
                ? c == 8488
                : (c <= 8499 || (c >= 8510 && c <= 8511)))))
            : (c <= 8517 || (c < 13313
              ? (c < 11499
                ? (c < 11264
                  ? c == 8579
                  : c <= 11490)
                : (c <= 11501 || c == 11506))
              : (c <= 19902 || (c < 42560
                ? (c >= 19969 && c <= 40958)
                : (c <= 42604 || (c >= 42624 && c <= 42650)))))))
          : (c <= 42886 || (c < 66928
            ? (c < 44033
              ? (c < 42966
                ? (c < 42960
                  ? (c >= 42891 && c <= 42953)
                  : c <= 42960)
                : (c <= 42968 || c == 42997))
              : (c <= 55202 || (c < 66560
                ? (c >= 65313 && c <= 65338)
                : (c <= 66599 || (c >= 66736 && c <= 66771)))))
            : (c <= 66938 || (c < 67968
              ? (c < 66964
                ? (c < 66956
                  ? (c >= 66940 && c <= 66954)
                  : c <= 66962)
                : (c <= 66965 || (c >= 67884 && c <= 67897)))
              : (c <= 68023 || (c < 68096
                ? (c >= 68030 && c <= 68031)
                : (c <= 68096 || (c >= 68112 && c <= 68115)))))))))))
      : (c <= 68119 || (c < 70163
        ? (c < 69488
          ? (c < 68608
            ? (c < 68297
              ? (c < 68224
                ? (c < 68192
                  ? (c >= 68121 && c <= 68149)
                  : c <= 68220)
                : (c <= 68252 || (c >= 68288 && c <= 68295)))
              : (c <= 68324 || (c < 68448
                ? (c < 68416
                  ? (c >= 68352 && c <= 68405)
                  : c <= 68437)
                : (c <= 68466 || (c >= 68480 && c <= 68497)))))
            : (c <= 68680 || (c < 69296
              ? (c < 68864
                ? (c < 68800
                  ? (c >= 68736 && c <= 68786)
                  : c <= 68850)
                : (c <= 68899 || (c >= 69248 && c <= 69289)))
              : (c <= 69297 || (c < 69415
                ? (c >= 69376 && c <= 69404)
                : (c <= 69415 || (c >= 69424 && c <= 69445)))))))
          : (c <= 69505 || (c < 69956
            ? (c < 69749
              ? (c < 69635
                ? (c < 69600
                  ? (c >= 69552 && c <= 69572)
                  : c <= 69622)
                : (c <= 69687 || (c >= 69745 && c <= 69746)))
              : (c <= 69749 || (c < 69840
                ? (c >= 69763 && c <= 69807)
                : (c <= 69864 || (c >= 69891 && c <= 69926)))))
            : (c <= 69956 || (c < 70081
              ? (c < 70006
                ? (c < 69968
                  ? c == 69959
                  : c <= 70002)
                : (c <= 70006 || (c >= 70019 && c <= 70066)))
              : (c <= 70084 || (c < 70108
                ? c == 70106
                : (c <= 70108 || (c >= 70144 && c <= 70161)))))))))
        : (c <= 70187 || (c < 70751
          ? (c < 70419
            ? (c < 70303
              ? (c < 70282
                ? (c < 70280
                  ? (c >= 70272 && c <= 70278)
                  : c <= 70280)
                : (c <= 70285 || (c >= 70287 && c <= 70301)))
              : (c <= 70312 || (c < 70405
                ? (c >= 70320 && c <= 70366)
                : (c <= 70412 || (c >= 70415 && c <= 70416)))))
            : (c <= 70440 || (c < 70480
              ? (c < 70453
                ? (c < 70450
                  ? (c >= 70442 && c <= 70448)
                  : c <= 70451)
                : (c <= 70457 || c == 70461))
              : (c <= 70480 || (c < 70656
                ? (c >= 70493 && c <= 70497)
                : (c <= 70708 || (c >= 70727 && c <= 70730)))))))
          : (c <= 70753 || (c < 71352
            ? (c < 71128
              ? (c < 70855
                ? (c < 70852
                  ? (c >= 70784 && c <= 70831)
                  : c <= 70853)
                : (c <= 70855 || (c >= 71040 && c <= 71086)))
              : (c <= 71131 || (c < 71236
                ? (c >= 71168 && c <= 71215)
                : (c <= 71236 || (c >= 71296 && c <= 71338)))))
            : (c <= 71352 || (c < 71935
              ? (c < 71680
                ? (c < 71488
                  ? (c >= 71424 && c <= 71450)
                  : c <= 71494)
                : (c <= 71723 || (c >= 71840 && c <= 71903)))
              : (c <= 71942 || (c < 71948
                ? c == 71945
                : (c <= 71955 || (c >= 71957 && c <= 71958)))))))))))))
    : (c <= 71983 || (c < 120077
      ? (c < 92880
        ? (c < 72968
          ? (c < 72272
            ? (c < 72161
              ? (c < 72096
                ? (c < 72001
                  ? c == 71999
                  : c <= 72001)
                : (c <= 72103 || (c >= 72106 && c <= 72144)))
              : (c <= 72161 || (c < 72203
                ? (c < 72192
                  ? c == 72163
                  : c <= 72192)
                : (c <= 72242 || c == 72250))))
            : (c <= 72272 || (c < 72714
              ? (c < 72368
                ? (c < 72349
                  ? (c >= 72284 && c <= 72329)
                  : c <= 72349)
                : (c <= 72440 || (c >= 72704 && c <= 72712)))
              : (c <= 72750 || (c < 72818
                ? c == 72768
                : (c <= 72847 || (c >= 72960 && c <= 72966)))))))
          : (c <= 72969 || (c < 73728
            ? (c < 73066
              ? (c < 73056
                ? (c < 73030
                  ? (c >= 72971 && c <= 73008)
                  : c <= 73030)
                : (c <= 73061 || (c >= 73063 && c <= 73064)))
              : (c <= 73097 || (c < 73440
                ? c == 73112
                : (c <= 73458 || c == 73648))))
            : (c <= 74649 || (c < 82944
              ? (c < 77712
                ? (c < 74880
                  ? (c >= 74752 && c <= 74862)
                  : c <= 75075)
                : (c <= 77808 || (c >= 77824 && c <= 78894)))
              : (c <= 83526 || (c < 92736
                ? (c >= 92160 && c <= 92728)
                : (c <= 92766 || (c >= 92784 && c <= 92862)))))))))
        : (c <= 92909 || (c < 110928
          ? (c < 94176
            ? (c < 93760
              ? (c < 93027
                ? (c < 92992
                  ? (c >= 92928 && c <= 92975)
                  : c <= 92995)
                : (c <= 93047 || (c >= 93053 && c <= 93071)))
              : (c <= 93823 || (c < 94032
                ? (c >= 93952 && c <= 94026)
                : (c <= 94032 || (c >= 94099 && c <= 94111)))))
            : (c <= 94177 || (c < 110576
              ? (c < 100352
                ? (c < 94208
                  ? c == 94179
                  : c <= 100343)
                : (c <= 101589 || (c >= 101632 && c <= 101640)))
              : (c <= 110579 || (c < 110589
                ? (c >= 110581 && c <= 110587)
                : (c <= 110590 || (c >= 110592 && c <= 110882)))))))
          : (c <= 110930 || (c < 119966
            ? (c < 113792
              ? (c < 113664
                ? (c < 110960
                  ? (c >= 110948 && c <= 110951)
                  : c <= 111355)
                : (c <= 113770 || (c >= 113776 && c <= 113788)))
              : (c <= 113800 || (c < 119808
                ? (c >= 113808 && c <= 113817)
                : (c <= 119892 || (c >= 119894 && c <= 119964)))))
            : (c <= 119967 || (c < 119995
              ? (c < 119977
                ? (c < 119973
                  ? c == 119970
                  : c <= 119974)
                : (c <= 119980 || (c >= 119982 && c <= 119993)))
              : (c <= 119995 || (c < 120005
                ? (c >= 119997 && c <= 120003)
                : (c <= 120069 || (c >= 120071 && c <= 120074)))))))))))
      : (c <= 120084 || (c < 126503
        ? (c < 120772
          ? (c < 120514
            ? (c < 120134
              ? (c < 120123
                ? (c < 120094
                  ? (c >= 120086 && c <= 120092)
                  : c <= 120121)
                : (c <= 120126 || (c >= 120128 && c <= 120132)))
              : (c <= 120134 || (c < 120146
                ? (c >= 120138 && c <= 120144)
                : (c <= 120485 || (c >= 120488 && c <= 120512)))))
            : (c <= 120538 || (c < 120656
              ? (c < 120598
                ? (c < 120572
                  ? (c >= 120540 && c <= 120570)
                  : c <= 120596)
                : (c <= 120628 || (c >= 120630 && c <= 120654)))
              : (c <= 120686 || (c < 120714
                ? (c >= 120688 && c <= 120712)
                : (c <= 120744 || (c >= 120746 && c <= 120770)))))))
          : (c <= 120779 || (c < 124909
            ? (c < 123536
              ? (c < 123191
                ? (c < 123136
                  ? (c >= 122624 && c <= 122654)
                  : c <= 123180)
                : (c <= 123197 || c == 123214))
              : (c <= 123565 || (c < 124896
                ? (c >= 123584 && c <= 123627)
                : (c <= 124902 || (c >= 124904 && c <= 124907)))))
            : (c <= 124910 || (c < 126464
              ? (c < 125184
                ? (c < 124928
                  ? (c >= 124912 && c <= 124926)
                  : c <= 125124)
                : (c <= 125251 || c == 125259))
              : (c <= 126467 || (c < 126497
                ? (c >= 126469 && c <= 126495)
                : (c <= 126498 || c == 126500))))))))
        : (c <= 126503 || (c < 126564
          ? (c < 126541
            ? (c < 126530
              ? (c < 126521
                ? (c < 126516
                  ? (c >= 126505 && c <= 126514)
                  : c <= 126519)
                : (c <= 126521 || c == 126523))
              : (c <= 126530 || (c < 126537
                ? c == 126535
                : (c <= 126537 || c == 126539))))
            : (c <= 126543 || (c < 126555
              ? (c < 126551
                ? (c < 126548
                  ? (c >= 126545 && c <= 126546)
                  : c <= 126548)
                : (c <= 126551 || c == 126553))
              : (c <= 126555 || (c < 126559
                ? c == 126557
                : (c <= 126559 || (c >= 126561 && c <= 126562)))))))
          : (c <= 126564 || (c < 126629
            ? (c < 126590
              ? (c < 126580
                ? (c < 126572
                  ? (c >= 126567 && c <= 126570)
                  : c <= 126578)
                : (c <= 126583 || (c >= 126585 && c <= 126588)))
              : (c <= 126590 || (c < 126603
                ? (c >= 126592 && c <= 126601)
                : (c <= 126619 || (c >= 126625 && c <= 126627)))))
            : (c <= 126633 || (c < 178208
              ? (c < 173824
                ? (c < 131072
                  ? (c >= 126635 && c <= 126651)
                  : c <= 173791)
                : (c <= 177976 || (c >= 177984 && c <= 178205)))
              : (c <= 183969 || (c < 194560
                ? (c >= 183984 && c <= 191456)
                : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))));
}

static inline bool sym_keyword_character_set_3(int32_t c) {
  return (c < 43396
    ? (c < 4176
      ? (c < 2703
        ? (c < 1969
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 890
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1646
              ? (c < 1369
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c >= 1329 && c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3585
            ? (c < 3389
              ? (c < 3296
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c >= 3293 && c <= 3294)))
                : (c <= 3297 || (c < 3342
                  ? (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)
                  : (c <= 3344 || (c >= 3346 && c <= 3386)))))
              : (c <= 3389 || (c < 3461
                ? (c < 3423
                  ? (c < 3412
                    ? c == 3406
                    : c <= 3414)
                  : (c <= 3425 || (c >= 3450 && c <= 3455)))
                : (c <= 3478 || (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c >= 3520 && c <= 3526)))))))
            : (c <= 3632 || (c < 3773
              ? (c < 3718
                ? (c < 3713
                  ? (c < 3648
                    ? (c >= 3634 && c <= 3635)
                    : c <= 3654)
                  : (c <= 3714 || c == 3716))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))))
              : (c <= 3773 || (c < 3904
                ? (c < 3804
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3807 || c == 3840))
                : (c <= 3911 || (c < 4096
                  ? (c < 3976
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3980)
                  : (c <= 4138 || c == 4159))))))))))))
      : (c <= 4181 || (c < 8118
        ? (c < 6103
          ? (c < 4800
            ? (c < 4348
              ? (c < 4238
                ? (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)))
                : (c <= 4238 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))))
              : (c <= 4680 || (c < 4704
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c >= 4698 && c <= 4701)))
                : (c <= 4744 || (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c >= 4792 && c <= 4798)))))))
            : (c <= 4800 || (c < 5743
              ? (c < 4888
                ? (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42623
            ? (c < 12593
              ? (c < 12353
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c >= 12344 && c <= 12348)))
                : (c <= 12438 || (c < 12540
                  ? (c < 12449
                    ? (c >= 12443 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c >= 12549 && c <= 12591)))))
              : (c <= 12686 || (c < 42192
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))))
            : (c <= 42653 || (c < 43015
              ? (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))
              : (c <= 43018 || (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))))))))))))
    : (c <= 43442 || (c < 70784
      ? (c < 66979
        ? (c < 64326
          ? (c < 43793
            ? (c < 43697
              ? (c < 43584
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)))
                : (c <= 43586 || (c < 43642
                  ? (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)
                  : (c <= 43642 || (c >= 43646 && c <= 43695)))))
              : (c <= 43697 || (c < 43739
                ? (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))))
            : (c <= 43798 || (c < 64112
              ? (c < 43888
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))
              : (c <= 64217 || (c < 64298
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))))))
          : (c <= 64433 || (c < 65856
            ? (c < 65482
              ? (c < 65142
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64467 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65136
                    ? (c >= 65008 && c <= 65019)
                    : c <= 65140)))
                : (c <= 65276 || (c < 65382
                  ? (c < 65345
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))))
              : (c <= 65487 || (c < 65576
                ? (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))
                : (c <= 65594 || (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))))))
            : (c <= 65908 || (c < 66560
              ? (c < 66384
                ? (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))
                : (c <= 66421 || (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))))
              : (c <= 66717 || (c < 66928
                ? (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))
                : (c <= 66938 || (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c >= 66967 && c <= 66977)))))))))))
        : (c <= 66993 || (c < 69376
          ? (c < 67968
            ? (c < 67594
              ? (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))))
              : (c <= 67637 || (c < 67712
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c >= 67872 && c <= 67897)))))))
            : (c <= 68023 || (c < 68352
              ? (c < 68121
                ? (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))
                : (c <= 68149 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))))
              : (c <= 68405 || (c < 68736
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))
                : (c <= 68786 || (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c >= 69296 && c <= 69297)))))))))
          : (c <= 69404 || (c < 70144
            ? (c < 69840
              ? (c < 69600
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))
                : (c <= 69622 || (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c >= 69763 && c <= 69807)))))
              : (c <= 69864 || (c < 70006
                ? (c < 69959
                  ? (c < 69956
                    ? (c >= 69891 && c <= 69926)
                    : c <= 69956)
                  : (c <= 69959 || (c >= 69968 && c <= 70002)))
                : (c <= 70006 || (c < 70106
                  ? (c < 70081
                    ? (c >= 70019 && c <= 70066)
                    : c <= 70084)
                  : (c <= 70106 || c == 70108))))))
            : (c <= 70161 || (c < 70419
              ? (c < 70287
                ? (c < 70280
                  ? (c < 70272
                    ? (c >= 70163 && c <= 70187)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))
                : (c <= 70301 || (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))))
              : (c <= 70440 || (c < 70480
                ? (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))
                : (c <= 70480 || (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c >= 70751 && c <= 70753)))))))))))))
      : (c <= 70831 || (c < 119966
        ? (c < 73066
          ? (c < 72106
            ? (c < 71680
              ? (c < 71236
                ? (c < 71040
                  ? (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)
                  : (c <= 71086 || (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)))
                : (c <= 71236 || (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c >= 71488 && c <= 71494)))))
              : (c <= 71723 || (c < 71957
                ? (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))
                : (c <= 71958 || (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c >= 72096 && c <= 72103)))))))
            : (c <= 72144 || (c < 72704
              ? (c < 72250
                ? (c < 72192
                  ? (c < 72163
                    ? c == 72161
                    : c <= 72163)
                  : (c <= 72192 || (c >= 72203 && c <= 72242)))
                : (c <= 72250 || (c < 72349
                  ? (c < 72284
                    ? c == 72272
                    : c <= 72329)
                  : (c <= 72349 || (c >= 72368 && c <= 72440)))))
              : (c <= 72712 || (c < 72968
                ? (c < 72818
                  ? (c < 72768
                    ? (c >= 72714 && c <= 72750)
                    : c <= 72768)
                  : (c <= 72847 || (c >= 72960 && c <= 72966)))
                : (c <= 72969 || (c < 73056
                  ? (c < 73030
                    ? (c >= 72971 && c <= 73008)
                    : c <= 73030)
                  : (c <= 73061 || (c >= 73063 && c <= 73064)))))))))
          : (c <= 73097 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73648
                  ? (c < 73440
                    ? c == 73112
                    : c <= 73458)
                  : (c <= 73648 || (c >= 73728 && c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_keyword_character_set_4(int32_t c) {
  return (c < 43584
    ? (c < 3776
      ? (c < 2741
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < '@'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 890
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8008
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))))))))
        : (c <= 8013 || (c < 11696
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))))))))
          : (c <= 11702 || (c < 42560
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c >= 43520 && c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71488
      ? (c < 67680
        ? (c < 65490
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65056
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64467 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65019)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65313
                ? (c < 65136
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65140 || (c < 65296
                    ? (c >= 65142 && c <= 65276)
                    : c <= 65305)))
                : (c <= 65338 || (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))))))))
          : (c <= 65495 || (c < 66776
            ? (c < 66208
              ? (c < 65599
                ? (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))
                : (c <= 65613 || (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))))
              : (c <= 66256 || (c < 66464
                ? (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))
                : (c <= 66499 || (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))))))
            : (c <= 66811 || (c < 67392
              ? (c < 66964
                ? (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))
                : (c <= 66965 || (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))))
              : (c <= 67413 || (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))))))
        : (c <= 67702 || (c < 70006
          ? (c < 68736
            ? (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68101
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)
                  : (c <= 68102 || (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)))))
              : (c <= 68149 || (c < 68297
                ? (c < 68192
                  ? (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)
                  : (c <= 68220 || (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)))
                : (c <= 68326 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)))))))
            : (c <= 68786 || (c < 69600
              ? (c < 69296
                ? (c < 68912
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)
                  : (c <= 68921 || (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)))
                : (c <= 69297 || (c < 69424
                  ? (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)
                  : (c <= 69456 || (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)))))
              : (c <= 69622 || (c < 69872
                ? (c < 69759
                  ? (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)
                  : (c <= 69818 || (c < 69840
                    ? c == 69826
                    : c <= 69864)))
                : (c <= 69881 || (c < 69956
                  ? (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)
                  : (c <= 69959 || (c >= 69968 && c <= 70003)))))))))
          : (c <= 70006 || (c < 70475
            ? (c < 70303
              ? (c < 70163
                ? (c < 70094
                  ? (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)
                  : (c <= 70106 || (c < 70144
                    ? c == 70108
                    : c <= 70161)))
                : (c <= 70199 || (c < 70280
                  ? (c < 70272
                    ? c == 70206
                    : c <= 70278)
                  : (c <= 70280 || (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)))))
              : (c <= 70312 || (c < 70419
                ? (c < 70400
                  ? (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)
                  : (c <= 70403 || (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)))))))
            : (c <= 70477 || (c < 71040
              ? (c < 70656
                ? (c < 70493
                  ? (c < 70487
                    ? c == 70480
                    : c <= 70487)
                  : (c <= 70499 || (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)))
                : (c <= 70730 || (c < 70784
                  ? (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)
                  : (c <= 70853 || (c < 70864
                    ? c == 70855
                    : c <= 70873)))))
              : (c <= 71093 || (c < 71296
                ? (c < 71168
                  ? (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)
                  : (c <= 71232 || (c < 71248
                    ? c == 71236
                    : c <= 71257)))
                : (c <= 71352 || (c < 71453
                  ? (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)
                  : (c <= 71467 || (c >= 71472 && c <= 71481)))))))))))))
      : (c <= 71494 || (c < 119977
        ? (c < 92160
          ? (c < 72818
            ? (c < 72106
              ? (c < 71957
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)
                  : (c <= 71942 || (c < 71948
                    ? c == 71945
                    : c <= 71955)))
                : (c <= 71958 || (c < 71995
                  ? (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)
                  : (c <= 72003 || (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)))))
              : (c <= 72151 || (c < 72349
                ? (c < 72192
                  ? (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)
                  : (c <= 72254 || (c < 72272
                    ? c == 72263
                    : c <= 72345)))
                : (c <= 72349 || (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72758 || (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)))))))
            : (c <= 72847 || (c < 73066
              ? (c < 73018
                ? (c < 72960
                  ? (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)
                  : (c <= 72966 || (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)))
                : (c <= 73018 || (c < 73040
                  ? (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)
                  : (c <= 73049 || (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)))))
              : (c <= 73102 || (c < 73728
                ? (c < 73120
                  ? (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)
                  : (c <= 73129 || (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)))))))))
          : (c <= 92728 || (c < 110589
            ? (c < 93760
              ? (c < 92912
                ? (c < 92784
                  ? (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)
                  : (c <= 92862 || (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)))
                : (c <= 92916 || (c < 93008
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)
                  : (c <= 93017 || (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)))))
              : (c <= 93823 || (c < 94192
                ? (c < 94095
                  ? (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)
                  : (c <= 94111 || (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)))
                : (c <= 94193 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))))))
            : (c <= 110590 || (c < 119141
              ? (c < 113776
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)))
                : (c <= 113788 || (c < 113821
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 113822 || (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)))))
              : (c <= 119145 || (c < 119808
                ? (c < 119173
                  ? (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)
                  : (c <= 119179 || (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)))
                : (c <= 119892 || (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c >= 119973 && c <= 119974)))))))))))
        : (c <= 119980 || (c < 124912
          ? (c < 120772
            ? (c < 120138
              ? (c < 120077
                ? (c < 119997
                  ? (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)
                  : (c <= 120003 || (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)))
                : (c <= 120084 || (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c < 120134
                    ? (c >= 120128 && c <= 120132)
                    : c <= 120134)))))
              : (c <= 120144 || (c < 120598
                ? (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)))
                : (c <= 120628 || (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c < 120746
                    ? (c >= 120714 && c <= 120744)
                    : c <= 120770)))))))
            : (c <= 120779 || (c < 122915
              ? (c < 121499
                ? (c < 121403
                  ? (c < 121344
                    ? (c >= 120782 && c <= 120831)
                    : c <= 121398)
                  : (c <= 121452 || (c < 121476
                    ? c == 121461
                    : c <= 121476)))
                : (c <= 121503 || (c < 122880
                  ? (c < 122624
                    ? (c >= 121505 && c <= 121519)
                    : c <= 122654)
                  : (c <= 122886 || (c < 122907
                    ? (c >= 122888 && c <= 122904)
                    : c <= 122913)))))
              : (c <= 122916 || (c < 123536
                ? (c < 123184
                  ? (c < 123136
                    ? (c >= 122918 && c <= 122922)
                    : c <= 123180)
                  : (c <= 123197 || (c < 123214
                    ? (c >= 123200 && c <= 123209)
                    : c <= 123214)))
                : (c <= 123566 || (c < 124904
                  ? (c < 124896
                    ? (c >= 123584 && c <= 123641)
                    : c <= 124902)
                  : (c <= 124907 || (c >= 124909 && c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_keyword_character_set_5(int32_t c) {
  return (c < 43600
    ? (c < 3784
      ? (c < 2763
        ? (c < 2144
          ? (c < 1329
            ? (c < 750
              ? (c < 192
                ? (c < 181
                  ? (c < 170
                    ? c == '@'
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))))
              : (c <= 750 || (c < 908
                ? (c < 890
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))
                : (c <= 908 || (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))))))
            : (c <= 1366 || (c < 1646
              ? (c < 1476
                ? (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))
                : (c <= 1477 || (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))))
              : (c <= 1747 || (c < 1869
                ? (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))
                : (c <= 1969 || (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))))))))
          : (c <= 2154 || (c < 2575
            ? (c < 2486
              ? (c < 2417
                ? (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))
                : (c <= 2435 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))))
              : (c <= 2489 || (c < 2527
                ? (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))
                : (c <= 2531 || (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))))))
            : (c <= 2576 || (c < 2654
              ? (c < 2620
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))
                : (c <= 2620 || (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))))
              : (c <= 2654 || (c < 2730
                ? (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c >= 2759 && c <= 2761)))))))))))
        : (c <= 2765 || (c < 3174
          ? (c < 2969
            ? (c < 2876
              ? (c < 2821
                ? (c < 2790
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2787)
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))
                : (c <= 2828 || (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))))
              : (c <= 2884 || (c < 2918
                ? (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))
                : (c <= 2927 || (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))))))
            : (c <= 2970 || (c < 3072
              ? (c < 3006
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))
                : (c <= 3010 || (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))))
              : (c <= 3084 || (c < 3146
                ? (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))
                : (c <= 3149 || (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3171)))))))))
          : (c <= 3183 || (c < 3457
            ? (c < 3296
              ? (c < 3253
                ? (c < 3214
                  ? (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))
                : (c <= 3257 || (c < 3274
                  ? (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)
                  : (c <= 3277 || (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)))))
              : (c <= 3299 || (c < 3398
                ? (c < 3328
                  ? (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)))
                : (c <= 3400 || (c < 3423
                  ? (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)
                  : (c <= 3427 || (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)))))))
            : (c <= 3459 || (c < 3585
              ? (c < 3530
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || (c < 3520
                    ? c == 3517
                    : c <= 3526)))
                : (c <= 3530 || (c < 3544
                  ? (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)
                  : (c <= 3551 || (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)))))
              : (c <= 3642 || (c < 3724
                ? (c < 3713
                  ? (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)
                  : (c <= 3714 || (c < 3718
                    ? c == 3716
                    : c <= 3722)))
                : (c <= 3747 || (c < 3776
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))))))))))
      : (c <= 3789 || (c < 8016
        ? (c < 5888
          ? (c < 4696
            ? (c < 3974
              ? (c < 3893
                ? (c < 3840
                  ? (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)
                  : (c <= 3840 || (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)))
                : (c <= 3893 || (c < 3902
                  ? (c < 3897
                    ? c == 3895
                    : c <= 3897)
                  : (c <= 3911 || (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)))))
              : (c <= 3991 || (c < 4295
                ? (c < 4096
                  ? (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)
                  : (c <= 4169 || (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)))))))
            : (c <= 4696 || (c < 4888
              ? (c < 4792
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))))
              : (c <= 4954 || (c < 5121
                ? (c < 4992
                  ? (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)
                  : (c <= 5007 || (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)))
                : (c <= 5740 || (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))))))))
        : (c <= 8023 || (c < 11704
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))))))))
          : (c <= 11710 || (c < 42612
            ? (c < 12449
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71680
      ? (c < 67712
        ? (c < 65498
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65075
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65019 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65343
                ? (c < 65142
                  ? (c < 65136
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65140)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))
                : (c <= 65343 || (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))))))))
          : (c <= 65500 || (c < 66816
            ? (c < 66272
              ? (c < 65616
                ? (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))
                : (c <= 65629 || (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))))
              : (c <= 66272 || (c < 66504
                ? (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))
                : (c <= 66511 || (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))))))
            : (c <= 66855 || (c < 67424
              ? (c < 66967
                ? (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))))
              : (c <= 67431 || (c < 67594
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))))))
        : (c <= 67742 || (c < 70016
          ? (c < 68800
            ? (c < 68152
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))))
              : (c <= 68154 || (c < 68352
                ? (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))))))
            : (c <= 68850 || (c < 69632
              ? (c < 69376
                ? (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))))
              : (c <= 69702 || (c < 69888
                ? (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))
                : (c <= 69940 || (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || c == 70006))))))))
          : (c <= 70084 || (c < 70480
            ? (c < 70320
              ? (c < 70206
                ? (c < 70108
                  ? (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)
                  : (c <= 70108 || (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)))
                : (c <= 70206 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)))))
              : (c <= 70378 || (c < 70442
                ? (c < 70405
                  ? (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)
                  : (c <= 70412 || (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)))
                : (c <= 70448 || (c < 70459
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70468 || (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)))))))
            : (c <= 70480 || (c < 71096
              ? (c < 70736
                ? (c < 70502
                  ? (c < 70493
                    ? c == 70487
                    : c <= 70499)
                  : (c <= 70508 || (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)))
                : (c <= 70745 || (c < 70855
                  ? (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)))))
              : (c <= 71104 || (c < 71360
                ? (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)
                  : (c <= 71236 || (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)))
                : (c <= 71369 || (c < 71472
                  ? (c < 71453
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71467)
                  : (c <= 71481 || (c >= 71488 && c <= 71494)))))))))))))
      : (c <= 71738 || (c < 119977
        ? (c < 92160
          ? (c < 72850
            ? (c < 72154
              ? (c < 71960
                ? (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)
                  : (c <= 71945 || (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)))
                : (c <= 71989 || (c < 72016
                  ? (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)
                  : (c <= 72025 || (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)))))
              : (c <= 72161 || (c < 72368
                ? (c < 72263
                  ? (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)
                  : (c <= 72263 || (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)))
                : (c <= 72440 || (c < 72760
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)
                  : (c <= 72768 || (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)))))))
            : (c <= 72871 || (c < 73104
              ? (c < 73020
                ? (c < 72968
                  ? (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)
                  : (c <= 72969 || (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)))
                : (c <= 73021 || (c < 73056
                  ? (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)
                  : (c <= 73061 || (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)))))
              : (c <= 73105 || (c < 74752
                ? (c < 73440
                  ? (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)
                  : (c <= 73462 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))))))
          : (c <= 92728 || (c < 110589
            ? (c < 93760
              ? (c < 92912
                ? (c < 92784
                  ? (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)
                  : (c <= 92862 || (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)))
                : (c <= 92916 || (c < 93008
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)
                  : (c <= 93017 || (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)))))
              : (c <= 93823 || (c < 94192
                ? (c < 94095
                  ? (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)
                  : (c <= 94111 || (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)))
                : (c <= 94193 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))))))
            : (c <= 110590 || (c < 119141
              ? (c < 113776
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)))
                : (c <= 113788 || (c < 113821
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 113822 || (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)))))
              : (c <= 119145 || (c < 119808
                ? (c < 119173
                  ? (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)
                  : (c <= 119179 || (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)))
                : (c <= 119892 || (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c >= 119973 && c <= 119974)))))))))))
        : (c <= 119980 || (c < 124912
          ? (c < 120772
            ? (c < 120138
              ? (c < 120077
                ? (c < 119997
                  ? (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)
                  : (c <= 120003 || (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)))
                : (c <= 120084 || (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c < 120134
                    ? (c >= 120128 && c <= 120132)
                    : c <= 120134)))))
              : (c <= 120144 || (c < 120598
                ? (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)))
                : (c <= 120628 || (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c < 120746
                    ? (c >= 120714 && c <= 120744)
                    : c <= 120770)))))))
            : (c <= 120779 || (c < 122915
              ? (c < 121499
                ? (c < 121403
                  ? (c < 121344
                    ? (c >= 120782 && c <= 120831)
                    : c <= 121398)
                  : (c <= 121452 || (c < 121476
                    ? c == 121461
                    : c <= 121476)))
                : (c <= 121503 || (c < 122880
                  ? (c < 122624
                    ? (c >= 121505 && c <= 121519)
                    : c <= 122654)
                  : (c <= 122886 || (c < 122907
                    ? (c >= 122888 && c <= 122904)
                    : c <= 122913)))))
              : (c <= 122916 || (c < 123536
                ? (c < 123184
                  ? (c < 123136
                    ? (c >= 122918 && c <= 122922)
                    : c <= 123180)
                  : (c <= 123197 || (c < 123214
                    ? (c >= 123200 && c <= 123209)
                    : c <= 123214)))
                : (c <= 123566 || (c < 124904
                  ? (c < 124896
                    ? (c >= 123584 && c <= 123641)
                    : c <= 124902)
                  : (c <= 124907 || (c >= 124909 && c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_keyword_character_set_6(int32_t c) {
  return (c < 43584
    ? (c < 3776
      ? (c < 2741
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < '@'
                    ? (c >= '0' && c <= '9')
                    : c <= '@')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 890
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8008
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))))))))
        : (c <= 8013 || (c < 11696
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))))))))
          : (c <= 11702 || (c < 42560
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c >= 43520 && c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71488
      ? (c < 67680
        ? (c < 65490
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65056
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64467 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65019)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65313
                ? (c < 65136
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65140 || (c < 65296
                    ? (c >= 65142 && c <= 65276)
                    : c <= 65305)))
                : (c <= 65338 || (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))))))))
          : (c <= 65495 || (c < 66776
            ? (c < 66208
              ? (c < 65599
                ? (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))
                : (c <= 65613 || (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))))
              : (c <= 66256 || (c < 66464
                ? (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))
                : (c <= 66499 || (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))))))
            : (c <= 66811 || (c < 67392
              ? (c < 66964
                ? (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))
                : (c <= 66965 || (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))))
              : (c <= 67413 || (c < 67592
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))))))
        : (c <= 67702 || (c < 70006
          ? (c < 68736
            ? (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68101
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)
                  : (c <= 68102 || (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)))))
              : (c <= 68149 || (c < 68297
                ? (c < 68192
                  ? (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)
                  : (c <= 68220 || (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)))
                : (c <= 68326 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)))))))
            : (c <= 68786 || (c < 69600
              ? (c < 69296
                ? (c < 68912
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)
                  : (c <= 68921 || (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)))
                : (c <= 69297 || (c < 69424
                  ? (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)
                  : (c <= 69456 || (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)))))
              : (c <= 69622 || (c < 69872
                ? (c < 69759
                  ? (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)
                  : (c <= 69818 || (c < 69840
                    ? c == 69826
                    : c <= 69864)))
                : (c <= 69881 || (c < 69956
                  ? (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)
                  : (c <= 69959 || (c >= 69968 && c <= 70003)))))))))
          : (c <= 70006 || (c < 70475
            ? (c < 70303
              ? (c < 70163
                ? (c < 70094
                  ? (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)
                  : (c <= 70106 || (c < 70144
                    ? c == 70108
                    : c <= 70161)))
                : (c <= 70199 || (c < 70280
                  ? (c < 70272
                    ? c == 70206
                    : c <= 70278)
                  : (c <= 70280 || (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)))))
              : (c <= 70312 || (c < 70419
                ? (c < 70400
                  ? (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)
                  : (c <= 70403 || (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)))))))
            : (c <= 70477 || (c < 71040
              ? (c < 70656
                ? (c < 70493
                  ? (c < 70487
                    ? c == 70480
                    : c <= 70487)
                  : (c <= 70499 || (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)))
                : (c <= 70730 || (c < 70784
                  ? (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)
                  : (c <= 70853 || (c < 70864
                    ? c == 70855
                    : c <= 70873)))))
              : (c <= 71093 || (c < 71296
                ? (c < 71168
                  ? (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)
                  : (c <= 71232 || (c < 71248
                    ? c == 71236
                    : c <= 71257)))
                : (c <= 71352 || (c < 71453
                  ? (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)
                  : (c <= 71467 || (c >= 71472 && c <= 71481)))))))))))))
      : (c <= 71494 || (c < 119977
        ? (c < 92160
          ? (c < 72818
            ? (c < 72106
              ? (c < 71957
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)
                  : (c <= 71942 || (c < 71948
                    ? c == 71945
                    : c <= 71955)))
                : (c <= 71958 || (c < 71995
                  ? (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)
                  : (c <= 72003 || (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)))))
              : (c <= 72151 || (c < 72349
                ? (c < 72192
                  ? (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)
                  : (c <= 72254 || (c < 72272
                    ? c == 72263
                    : c <= 72345)))
                : (c <= 72349 || (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72758 || (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)))))))
            : (c <= 72847 || (c < 73066
              ? (c < 73018
                ? (c < 72960
                  ? (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)
                  : (c <= 72966 || (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)))
                : (c <= 73018 || (c < 73040
                  ? (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)
                  : (c <= 73049 || (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)))))
              : (c <= 73102 || (c < 73728
                ? (c < 73120
                  ? (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)
                  : (c <= 73129 || (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)))))))))
          : (c <= 92728 || (c < 110589
            ? (c < 93760
              ? (c < 92912
                ? (c < 92784
                  ? (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)
                  : (c <= 92862 || (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)))
                : (c <= 92916 || (c < 93008
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)
                  : (c <= 93017 || (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)))))
              : (c <= 93823 || (c < 94192
                ? (c < 94095
                  ? (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)
                  : (c <= 94111 || (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)))
                : (c <= 94193 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)))))))
            : (c <= 110590 || (c < 119141
              ? (c < 113776
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)))
                : (c <= 113788 || (c < 113821
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 113822 || (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)))))
              : (c <= 119145 || (c < 119808
                ? (c < 119173
                  ? (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)
                  : (c <= 119179 || (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)))
                : (c <= 119892 || (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c >= 119973 && c <= 119974)))))))))))
        : (c <= 119980 || (c < 124912
          ? (c < 120772
            ? (c < 120138
              ? (c < 120077
                ? (c < 119997
                  ? (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)
                  : (c <= 120003 || (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)))
                : (c <= 120084 || (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c < 120134
                    ? (c >= 120128 && c <= 120132)
                    : c <= 120134)))))
              : (c <= 120144 || (c < 120598
                ? (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c < 120572
                    ? (c >= 120540 && c <= 120570)
                    : c <= 120596)))
                : (c <= 120628 || (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c < 120746
                    ? (c >= 120714 && c <= 120744)
                    : c <= 120770)))))))
            : (c <= 120779 || (c < 122915
              ? (c < 121499
                ? (c < 121403
                  ? (c < 121344
                    ? (c >= 120782 && c <= 120831)
                    : c <= 121398)
                  : (c <= 121452 || (c < 121476
                    ? c == 121461
                    : c <= 121476)))
                : (c <= 121503 || (c < 122880
                  ? (c < 122624
                    ? (c >= 121505 && c <= 121519)
                    : c <= 122654)
                  : (c <= 122886 || (c < 122907
                    ? (c >= 122888 && c <= 122904)
                    : c <= 122913)))))
              : (c <= 122916 || (c < 123536
                ? (c < 123184
                  ? (c < 123136
                    ? (c >= 122918 && c <= 122922)
                    : c <= 123180)
                  : (c <= 123197 || (c < 123214
                    ? (c >= 123200 && c <= 123209)
                    : c <= 123214)))
                : (c <= 123566 || (c < 124904
                  ? (c < 124896
                    ? (c >= 123584 && c <= 123641)
                    : c <= 124902)
                  : (c <= 124907 || (c >= 124909 && c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(274);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(659);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(657);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(446);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(467);
      if (lookahead == 'c') ADVANCE(465);
      if (lookahead == 'd') ADVANCE(472);
      if (lookahead == 'e') ADVANCE(470);
      if (lookahead == 'f') ADVANCE(464);
      if (lookahead == 'i') ADVANCE(471);
      if (lookahead == 'n') ADVANCE(469);
      if (lookahead == 'o') ADVANCE(473);
      if (lookahead == 'r') ADVANCE(466);
      if (lookahead == 't') ADVANCE(474);
      if (lookahead == 'w') ADVANCE(468);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(262)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(475);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(476);
      if (aux_sym_identifier_token1_character_set_1(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(274);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(274);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(659);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(446);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(322);
      if (lookahead == 'c') ADVANCE(310);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'e') ADVANCE(326);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 'r') ADVANCE(319);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_2(lookahead)) ADVANCE(180);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(2)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(2)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(77)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(77)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(79)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(79)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(84)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(84)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(92)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(92)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(94)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(94)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(96)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(96)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(98)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(98)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(100)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(100)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(103)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(103)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(105)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(105)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(108)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(108)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(114)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(114)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(119)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(119)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(122)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(122)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(125)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(125)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(127)
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(127)
      if (lookahead == '\r') SKIP(35)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(130)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(130)
      if (lookahead == '\r') SKIP(37)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(133)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(133)
      if (lookahead == '\r') SKIP(39)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(136)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(136)
      if (lookahead == '\r') SKIP(41)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(139)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(139)
      if (lookahead == '\r') SKIP(43)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(142)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(142)
      if (lookahead == '\r') SKIP(45)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(50)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(50)
      if (lookahead == '\r') SKIP(47)
      END_STATE();
    case 49:
      if (lookahead == '\n') ADVANCE(275);
      END_STATE();
    case 50:
      if (lookahead == '\n') ADVANCE(275);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(529);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(519);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '+') ADVANCE(522);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(525);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '<') ADVANCE(441);
      if (lookahead == '>') ADVANCE(195);
      if (lookahead == '@') ADVANCE(540);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') SKIP(48)
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(532);
      if (lookahead == 'n') ADVANCE(223);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(450);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(241);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(50)
      END_STATE();
    case 51:
      if (lookahead == '\n') ADVANCE(275);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(190);
      if (lookahead == '>') ADVANCE(195);
      if (lookahead == '\\') SKIP(57)
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(51)
      END_STATE();
    case 52:
      if (lookahead == '\n') ADVANCE(275);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '\\') SKIP(60)
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(52)
      END_STATE();
    case 53:
      if (lookahead == '\n') ADVANCE(275);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '\\') SKIP(60)
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(52)
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(477);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(463);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(144)
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(144)
      if (lookahead == '\r') SKIP(54)
      if (lookahead == '\\') ADVANCE(170);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(51)
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(51)
      if (lookahead == '\r') SKIP(56)
      END_STATE();
    case 58:
      if (lookahead == '\n') ADVANCE(459);
      if (lookahead == '\r') ADVANCE(458);
      if (lookahead == 'u') ADVANCE(233);
      if (lookahead == 'x') ADVANCE(232);
      if (lookahead != 0) ADVANCE(458);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(52)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(52)
      if (lookahead == '\r') SKIP(59)
      END_STATE();
    case 61:
      if (lookahead == '\n') ADVANCE(276);
      END_STATE();
    case 62:
      if (lookahead == '\n') ADVANCE(276);
      if (lookahead == '\r') ADVANCE(61);
      if (lookahead == '"') ADVANCE(430);
      if (lookahead == '#') ADVANCE(659);
      if (lookahead == '\'') ADVANCE(152);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '>') ADVANCE(445);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '|') ADVANCE(450);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(62)
      END_STATE();
    case 63:
      if (lookahead == '\n') ADVANCE(276);
      if (lookahead == '\r') ADVANCE(61);
      if (lookahead == '"') ADVANCE(430);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '\'') ADVANCE(432);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(63)
      END_STATE();
    case 64:
      if (lookahead == '\n') ADVANCE(276);
      if (lookahead == '\r') ADVANCE(61);
      if (lookahead == '"') ADVANCE(147);
      if (lookahead == '#') ADVANCE(659);
      if (lookahead == '\'') ADVANCE(432);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(64)
      END_STATE();
    case 65:
      if (lookahead == '\n') ADVANCE(276);
      if (lookahead == '\r') ADVANCE(61);
      if (lookahead == '"') ADVANCE(147);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '\'') ADVANCE(152);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '>') ADVANCE(445);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '|') ADVANCE(450);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(65)
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(82)
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(82)
      if (lookahead == '\r') SKIP(66)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(87)
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(87)
      if (lookahead == '\r') SKIP(68)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(90)
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(90)
      if (lookahead == '\r') SKIP(70)
      if (lookahead == '\\') ADVANCE(545);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(111)
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(111)
      if (lookahead == '\r') SKIP(72)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(117)
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(117)
      if (lookahead == '\r') SKIP(74)
      if (lookahead == '\\') ADVANCE(544);
      END_STATE();
    case 76:
      if (lookahead == '\n') ADVANCE(277);
      END_STATE();
    case 77:
      if (lookahead == '\n') ADVANCE(277);
      if (lookahead == '\r') ADVANCE(76);
      if (lookahead == '!') ADVANCE(531);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(514);
      if (lookahead == '&') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(161);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(443);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(540);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(534);
      if (lookahead == 'a') ADVANCE(366);
      if (lookahead == 'f') ADVANCE(346);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'n') ADVANCE(362);
      if (lookahead == 'o') ADVANCE(371);
      if (lookahead == 't') ADVANCE(372);
      if (lookahead == 'w') ADVANCE(360);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(462);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(77)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(386);
      if (aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(382);
      END_STATE();
    case 78:
      if (lookahead == '\n') ADVANCE(278);
      END_STATE();
    case 79:
      if (lookahead == '\n') ADVANCE(278);
      if (lookahead == '\r') ADVANCE(78);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(159);
      if (lookahead == '/') ADVANCE(455);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(554);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(322);
      if (lookahead == 'c') ADVANCE(310);
      if (lookahead == 'e') ADVANCE(326);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 'r') ADVANCE(319);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(79)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 80:
      if (lookahead == '\n') ADVANCE(279);
      END_STATE();
    case 81:
      if (lookahead == '\n') ADVANCE(279);
      if (lookahead == '\r') ADVANCE(80);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(657);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(322);
      if (lookahead == 'c') ADVANCE(310);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'e') ADVANCE(326);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 'r') ADVANCE(319);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(82)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 82:
      if (lookahead == '\n') ADVANCE(279);
      if (lookahead == '\r') ADVANCE(80);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(322);
      if (lookahead == 'c') ADVANCE(310);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'e') ADVANCE(326);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 'r') ADVANCE(319);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(82)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 83:
      if (lookahead == '\n') ADVANCE(280);
      END_STATE();
    case 84:
      if (lookahead == '\n') ADVANCE(280);
      if (lookahead == '\r') ADVANCE(83);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(84)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 85:
      if (lookahead == '\n') ADVANCE(281);
      END_STATE();
    case 86:
      if (lookahead == '\n') ADVANCE(281);
      if (lookahead == '\r') ADVANCE(85);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(657);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'e') ADVANCE(332);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(87)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 87:
      if (lookahead == '\n') ADVANCE(281);
      if (lookahead == '\r') ADVANCE(85);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'e') ADVANCE(332);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(87)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 88:
      if (lookahead == '\n') ADVANCE(282);
      END_STATE();
    case 89:
      if (lookahead == '\n') ADVANCE(282);
      if (lookahead == '\r') ADVANCE(88);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(657);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(446);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(90)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 90:
      if (lookahead == '\n') ADVANCE(282);
      if (lookahead == '\r') ADVANCE(88);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(446);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(90)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 91:
      if (lookahead == '\n') ADVANCE(283);
      END_STATE();
    case 92:
      if (lookahead == '\n') ADVANCE(283);
      if (lookahead == '\r') ADVANCE(91);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(159);
      if (lookahead == '/') ADVANCE(455);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(554);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(92)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 93:
      if (lookahead == '\n') ADVANCE(284);
      END_STATE();
    case 94:
      if (lookahead == '\n') ADVANCE(284);
      if (lookahead == '\r') ADVANCE(93);
      if (lookahead == '!') ADVANCE(531);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(514);
      if (lookahead == '&') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(161);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(443);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(540);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(534);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'c') ADVANCE(347);
      if (lookahead == 'e') ADVANCE(365);
      if (lookahead == 'f') ADVANCE(346);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'n') ADVANCE(362);
      if (lookahead == 'o') ADVANCE(371);
      if (lookahead == 'r') ADVANCE(356);
      if (lookahead == 't') ADVANCE(372);
      if (lookahead == 'w') ADVANCE(360);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(462);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(94)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(386);
      if (aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(382);
      END_STATE();
    case 95:
      if (lookahead == '\n') ADVANCE(285);
      END_STATE();
    case 96:
      if (lookahead == '\n') ADVANCE(285);
      if (lookahead == '\r') ADVANCE(95);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(159);
      if (lookahead == '/') ADVANCE(455);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(554);
      if (lookahead == '>') ADVANCE(446);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(96)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 97:
      if (lookahead == '\n') ADVANCE(286);
      END_STATE();
    case 98:
      if (lookahead == '\n') ADVANCE(286);
      if (lookahead == '\r') ADVANCE(97);
      if (lookahead == '!') ADVANCE(531);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(514);
      if (lookahead == '&') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(161);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(443);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(540);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '^') ADVANCE(534);
      if (lookahead == 'a') ADVANCE(366);
      if (lookahead == 'e') ADVANCE(369);
      if (lookahead == 'f') ADVANCE(346);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'n') ADVANCE(362);
      if (lookahead == 'o') ADVANCE(371);
      if (lookahead == 't') ADVANCE(372);
      if (lookahead == 'w') ADVANCE(360);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(462);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(98)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(386);
      if (aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(382);
      END_STATE();
    case 99:
      if (lookahead == '\n') ADVANCE(287);
      END_STATE();
    case 100:
      if (lookahead == '\n') ADVANCE(287);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '!') ADVANCE(531);
      if (lookahead == '"') ADVANCE(430);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(432);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(165);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '0') ADVANCE(392);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '@') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == '^') ADVANCE(534);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'c') ADVANCE(347);
      if (lookahead == 'd') ADVANCE(370);
      if (lookahead == 'e') ADVANCE(365);
      if (lookahead == 'f') ADVANCE(346);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'n') ADVANCE(362);
      if (lookahead == 'o') ADVANCE(371);
      if (lookahead == 'r') ADVANCE(356);
      if (lookahead == 't') ADVANCE(372);
      if (lookahead == 'w') ADVANCE(360);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(192);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(100)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(393);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(386);
      if (aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(382);
      END_STATE();
    case 101:
      if (lookahead == '\n') ADVANCE(288);
      END_STATE();
    case 102:
      if (lookahead == '\n') ADVANCE(288);
      if (lookahead == '\r') ADVANCE(101);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(182);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(103)
      END_STATE();
    case 103:
      if (lookahead == '\n') ADVANCE(288);
      if (lookahead == '\r') ADVANCE(101);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(103)
      END_STATE();
    case 104:
      if (lookahead == '\n') ADVANCE(289);
      END_STATE();
    case 105:
      if (lookahead == '\n') ADVANCE(289);
      if (lookahead == '\r') ADVANCE(104);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(105)
      END_STATE();
    case 106:
      if (lookahead == '\n') ADVANCE(290);
      END_STATE();
    case 107:
      if (lookahead == '\n') ADVANCE(290);
      if (lookahead == '\r') ADVANCE(106);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(488);
      if (lookahead == 'c') ADVANCE(478);
      if (lookahead == 'd') ADVANCE(496);
      if (lookahead == 'e') ADVANCE(491);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'r') ADVANCE(487);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(108)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 108:
      if (lookahead == '\n') ADVANCE(290);
      if (lookahead == '\r') ADVANCE(106);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(108)
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(291);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(291);
      if (lookahead == '\r') ADVANCE(109);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(488);
      if (lookahead == 'c') ADVANCE(478);
      if (lookahead == 'd') ADVANCE(496);
      if (lookahead == 'e') ADVANCE(491);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'r') ADVANCE(487);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(111)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(291);
      if (lookahead == '\r') ADVANCE(109);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(111)
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(292);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(292);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(488);
      if (lookahead == 'c') ADVANCE(478);
      if (lookahead == 'e') ADVANCE(491);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'r') ADVANCE(487);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(114)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(292);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(114)
      END_STATE();
    case 115:
      if (lookahead == '\n') ADVANCE(293);
      END_STATE();
    case 116:
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(488);
      if (lookahead == 'c') ADVANCE(478);
      if (lookahead == 'e') ADVANCE(491);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'r') ADVANCE(487);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(117)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 117:
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(117)
      END_STATE();
    case 118:
      if (lookahead == '\n') ADVANCE(294);
      END_STATE();
    case 119:
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '\r') ADVANCE(118);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(119)
      END_STATE();
    case 120:
      if (lookahead == '\n') ADVANCE(295);
      END_STATE();
    case 121:
      if (lookahead == '\n') ADVANCE(295);
      if (lookahead == '\r') ADVANCE(120);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'd') ADVANCE(496);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(122)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 122:
      if (lookahead == '\n') ADVANCE(295);
      if (lookahead == '\r') ADVANCE(120);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(122)
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(296);
      END_STATE();
    case 124:
      if (lookahead == '\n') ADVANCE(296);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'd') ADVANCE(496);
      if (lookahead == 'e') ADVANCE(495);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(125)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 125:
      if (lookahead == '\n') ADVANCE(296);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(125)
      END_STATE();
    case 126:
      if (lookahead == '\n') ADVANCE(297);
      END_STATE();
    case 127:
      if (lookahead == '\n') ADVANCE(297);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(127)
      END_STATE();
    case 128:
      if (lookahead == '\n') ADVANCE(298);
      END_STATE();
    case 129:
      if (lookahead == '\n') ADVANCE(298);
      if (lookahead == '\r') ADVANCE(128);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(182);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(130)
      END_STATE();
    case 130:
      if (lookahead == '\n') ADVANCE(298);
      if (lookahead == '\r') ADVANCE(128);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(130)
      END_STATE();
    case 131:
      if (lookahead == '\n') ADVANCE(299);
      END_STATE();
    case 132:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(131);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'd') ADVANCE(496);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(133)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 133:
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(131);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(133)
      END_STATE();
    case 134:
      if (lookahead == '\n') ADVANCE(300);
      END_STATE();
    case 135:
      if (lookahead == '\n') ADVANCE(300);
      if (lookahead == '\r') ADVANCE(134);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(136)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 136:
      if (lookahead == '\n') ADVANCE(300);
      if (lookahead == '\r') ADVANCE(134);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(136)
      END_STATE();
    case 137:
      if (lookahead == '\n') ADVANCE(301);
      END_STATE();
    case 138:
      if (lookahead == '\n') ADVANCE(301);
      if (lookahead == '\r') ADVANCE(137);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'e') ADVANCE(495);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(139)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 139:
      if (lookahead == '\n') ADVANCE(301);
      if (lookahead == '\r') ADVANCE(137);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(139)
      END_STATE();
    case 140:
      if (lookahead == '\n') ADVANCE(302);
      END_STATE();
    case 141:
      if (lookahead == '\n') ADVANCE(302);
      if (lookahead == '\r') ADVANCE(140);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(142)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 142:
      if (lookahead == '\n') ADVANCE(302);
      if (lookahead == '\r') ADVANCE(140);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(448);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(142)
      END_STATE();
    case 143:
      if (lookahead == '\n') ADVANCE(303);
      END_STATE();
    case 144:
      if (lookahead == '\n') ADVANCE(303);
      if (lookahead == '\r') ADVANCE(143);
      if (lookahead == '!') ADVANCE(173);
      if (lookahead == '"') ADVANCE(430);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(178);
      if (lookahead == '&') ADVANCE(151);
      if (lookahead == '\'') ADVANCE(432);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(164);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '<') ADVANCE(247);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(172);
      if (lookahead == '@') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(55);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(177);
      if (lookahead == '{') ADVANCE(235);
      if (lookahead == '|') ADVANCE(176);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(144)
      if (sym_keyword_character_set_3(lookahead)) ADVANCE(180);
      END_STATE();
    case 145:
      if (lookahead == '!') ADVANCE(421);
      if (lookahead == '%') ADVANCE(426);
      if (lookahead == '&') ADVANCE(410);
      if (lookahead == '*') ADVANCE(411);
      if (lookahead == '+') ADVANCE(413);
      if (lookahead == '-') ADVANCE(415);
      if (lookahead == '.') ADVANCE(417);
      if (lookahead == '/') ADVANCE(418);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '<') ADVANCE(429);
      if (lookahead == '=') ADVANCE(422);
      if (lookahead == '>') ADVANCE(420);
      if (lookahead == '@') ADVANCE(408);
      if (lookahead == '\\') ADVANCE(197);
      if (lookahead == '^') ADVANCE(425);
      if (lookahead == '{') ADVANCE(234);
      if (lookahead == '|') ADVANCE(424);
      if (lookahead == '~') ADVANCE(187);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(507);
      if (sym_keyword_character_set_3(lookahead)) ADVANCE(428);
      END_STATE();
    case 146:
      if (lookahead == '!') ADVANCE(421);
      if (lookahead == '%') ADVANCE(426);
      if (lookahead == '&') ADVANCE(410);
      if (lookahead == '*') ADVANCE(411);
      if (lookahead == '+') ADVANCE(413);
      if (lookahead == '-') ADVANCE(415);
      if (lookahead == '.') ADVANCE(417);
      if (lookahead == '/') ADVANCE(418);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '<') ADVANCE(429);
      if (lookahead == '=') ADVANCE(422);
      if (lookahead == '>') ADVANCE(420);
      if (lookahead == '@') ADVANCE(408);
      if (lookahead == '\\') ADVANCE(197);
      if (lookahead == '^') ADVANCE(425);
      if (lookahead == '{') ADVANCE(234);
      if (lookahead == '|') ADVANCE(424);
      if (lookahead == '~') ADVANCE(187);
      if (sym_keyword_character_set_3(lookahead)) ADVANCE(428);
      END_STATE();
    case 147:
      if (lookahead == '"') ADVANCE(148);
      END_STATE();
    case 148:
      if (lookahead == '"') ADVANCE(435);
      END_STATE();
    case 149:
      if (lookahead == '&') ADVANCE(170);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 150:
      if (lookahead == '&') ADVANCE(566);
      END_STATE();
    case 151:
      if (lookahead == '&') ADVANCE(149);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 152:
      if (lookahead == '\'') ADVANCE(153);
      END_STATE();
    case 153:
      if (lookahead == '\'') ADVANCE(434);
      END_STATE();
    case 154:
      if (lookahead == '*') ADVANCE(170);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 155:
      if (lookahead == '+') ADVANCE(170);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 156:
      if (lookahead == '+') ADVANCE(155);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == '-') ADVANCE(170);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 158:
      if (lookahead == '-') ADVANCE(157);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 159:
      if (lookahead == '.') ADVANCE(517);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 160:
      if (lookahead == '.') ADVANCE(170);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 161:
      if (lookahead == '.') ADVANCE(518);
      END_STATE();
    case 162:
      if (lookahead == '.') ADVANCE(249);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(162);
      END_STATE();
    case 163:
      if (lookahead == '.') ADVANCE(383);
      END_STATE();
    case 164:
      if (lookahead == '.') ADVANCE(160);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 165:
      if (lookahead == '.') ADVANCE(163);
      END_STATE();
    case 166:
      if (lookahead == '/') ADVANCE(408);
      END_STATE();
    case 167:
      if (lookahead == '/') ADVANCE(170);
      END_STATE();
    case 168:
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 169:
      if (lookahead == '0') ADVANCE(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(399);
      END_STATE();
    case 170:
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 171:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(170);
      END_STATE();
    case 172:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(170);
      if (lookahead == '>') ADVANCE(511);
      END_STATE();
    case 173:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(171);
      END_STATE();
    case 174:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '~') ADVANCE(170);
      END_STATE();
    case 175:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 176:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '>') ADVANCE(170);
      if (lookahead == '|') ADVANCE(179);
      END_STATE();
    case 177:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '^') ADVANCE(200);
      END_STATE();
    case 178:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '{') ADVANCE(235);
      END_STATE();
    case 179:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '|') ADVANCE(170);
      END_STATE();
    case 180:
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(170);
      if (sym_keyword_character_set_4(lookahead)) ADVANCE(180);
      END_STATE();
    case 181:
      if (lookahead == ':') ADVANCE(550);
      END_STATE();
    case 182:
      if (lookahead == ':') ADVANCE(550);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(507);
      END_STATE();
    case 183:
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '~') ADVANCE(593);
      END_STATE();
    case 184:
      if (lookahead == '=') ADVANCE(576);
      END_STATE();
    case 185:
      if (lookahead == '>') ADVANCE(408);
      END_STATE();
    case 186:
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 187:
      if (lookahead == '>') ADVANCE(423);
      if (lookahead == '~') ADVANCE(237);
      END_STATE();
    case 188:
      if (lookahead == '>') ADVANCE(604);
      END_STATE();
    case 189:
      if (lookahead == '>') ADVANCE(592);
      END_STATE();
    case 190:
      if (lookahead == '>') ADVANCE(627);
      END_STATE();
    case 191:
      if (lookahead == '>') ADVANCE(600);
      END_STATE();
    case 192:
      if (lookahead == '>') ADVANCE(600);
      if (lookahead == '~') ADVANCE(240);
      END_STATE();
    case 193:
      if (lookahead == '>') ADVANCE(603);
      END_STATE();
    case 194:
      if (lookahead == '>') ADVANCE(591);
      END_STATE();
    case 195:
      if (lookahead == '>') ADVANCE(510);
      END_STATE();
    case 196:
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '~') ADVANCE(238);
      END_STATE();
    case 197:
      if (lookahead == '\\') ADVANCE(408);
      END_STATE();
    case 198:
      if (lookahead == '\\') ADVANCE(401);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(400);
      END_STATE();
    case 199:
      if (lookahead == '^') ADVANCE(408);
      END_STATE();
    case 200:
      if (lookahead == '^') ADVANCE(170);
      END_STATE();
    case 201:
      if (lookahead == '^') ADVANCE(610);
      END_STATE();
    case 202:
      if (lookahead == '^') ADVANCE(609);
      END_STATE();
    case 203:
      if (lookahead == '^') ADVANCE(202);
      END_STATE();
    case 204:
      if (lookahead == 'a') ADVANCE(228);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(231);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(215);
      END_STATE();
    case 207:
      if (lookahead == 'd') ADVANCE(569);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(647);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(643);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(653);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 213:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 214:
      if (lookahead == 'f') ADVANCE(230);
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 215:
      if (lookahead == 'h') ADVANCE(635);
      END_STATE();
    case 216:
      if (lookahead == 'h') ADVANCE(211);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(227);
      if (lookahead == 'n') ADVANCE(208);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(605);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(546);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(208);
      END_STATE();
    case 222:
      if (lookahead == 'o') ADVANCE(639);
      END_STATE();
    case 223:
      if (lookahead == 'o') ADVANCE(229);
      END_STATE();
    case 224:
      if (lookahead == 'r') ADVANCE(561);
      END_STATE();
    case 225:
      if (lookahead == 'r') ADVANCE(631);
      END_STATE();
    case 226:
      if (lookahead == 's') ADVANCE(205);
      END_STATE();
    case 227:
      if (lookahead == 's') ADVANCE(209);
      END_STATE();
    case 228:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(537);
      END_STATE();
    case 230:
      if (lookahead == 't') ADVANCE(212);
      END_STATE();
    case 231:
      if (lookahead == 'u') ADVANCE(210);
      END_STATE();
    case 232:
      if (lookahead == '{') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(460);
      END_STATE();
    case 233:
      if (lookahead == '{') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(261);
      END_STATE();
    case 234:
      if (lookahead == '}') ADVANCE(408);
      END_STATE();
    case 235:
      if (lookahead == '}') ADVANCE(170);
      END_STATE();
    case 236:
      if (lookahead == '}') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(236);
      END_STATE();
    case 237:
      if (lookahead == '~') ADVANCE(408);
      END_STATE();
    case 238:
      if (lookahead == '~') ADVANCE(170);
      END_STATE();
    case 239:
      if (lookahead == '~') ADVANCE(536);
      END_STATE();
    case 240:
      if (lookahead == '~') ADVANCE(535);
      END_STATE();
    case 241:
      if (lookahead == '~') ADVANCE(240);
      END_STATE();
    case 242:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(169);
      if (lookahead == '0') ADVANCE(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(399);
      END_STATE();
    case 243:
      if (lookahead == '<' ||
          lookahead == '~') ADVANCE(408);
      if (lookahead == '>') ADVANCE(185);
      END_STATE();
    case 244:
      if (lookahead == '<' ||
          lookahead == '~') ADVANCE(170);
      if (lookahead == '>') ADVANCE(186);
      END_STATE();
    case 245:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(389);
      END_STATE();
    case 246:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(395);
      END_STATE();
    case 247:
      if (lookahead == '-' ||
          lookahead == '=' ||
          lookahead == '>') ADVANCE(170);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '<') ADVANCE(244);
      if (lookahead == '|') ADVANCE(186);
      if (lookahead == '~') ADVANCE(175);
      END_STATE();
    case 248:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(506);
      END_STATE();
    case 249:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(249);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(386);
      END_STATE();
    case 250:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(390);
      END_STATE();
    case 251:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(396);
      END_STATE();
    case 252:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(388);
      END_STATE();
    case 253:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 254:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(399);
      END_STATE();
    case 255:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(393);
      END_STATE();
    case 256:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(391);
      END_STATE();
    case 257:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(397);
      END_STATE();
    case 258:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(458);
      END_STATE();
    case 259:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(236);
      END_STATE();
    case 260:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(258);
      END_STATE();
    case 261:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(260);
      END_STATE();
    case 262:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(274);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(659);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(446);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(322);
      if (lookahead == 'c') ADVANCE(310);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'e') ADVANCE(326);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 'r') ADVANCE(319);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(262)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_2(lookahead)) ADVANCE(180);
      END_STATE();
    case 263:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(277);
      if (lookahead == '\r') ADVANCE(76);
      if (lookahead == '!') ADVANCE(531);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(514);
      if (lookahead == '&') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(161);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(443);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(540);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(534);
      if (lookahead == 'a') ADVANCE(366);
      if (lookahead == 'f') ADVANCE(346);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'n') ADVANCE(362);
      if (lookahead == 'o') ADVANCE(371);
      if (lookahead == 't') ADVANCE(372);
      if (lookahead == 'w') ADVANCE(360);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(462);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(264)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(386);
      if (aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(382);
      END_STATE();
    case 264:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(277);
      if (lookahead == '\r') ADVANCE(76);
      if (lookahead == '!') ADVANCE(531);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(514);
      if (lookahead == '&') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(528);
      if (lookahead == '.') ADVANCE(161);
      if (lookahead == '/') ADVANCE(453);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(443);
      if (lookahead == '=') ADVANCE(556);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(540);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(534);
      if (lookahead == 'a') ADVANCE(366);
      if (lookahead == 'f') ADVANCE(346);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'n') ADVANCE(362);
      if (lookahead == 'o') ADVANCE(371);
      if (lookahead == 't') ADVANCE(372);
      if (lookahead == 'w') ADVANCE(360);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(462);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(264)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(386);
      if (aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(382);
      END_STATE();
    case 265:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(280);
      if (lookahead == '\r') ADVANCE(83);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(657);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(266)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 266:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(280);
      if (lookahead == '\r') ADVANCE(83);
      if (lookahead == '!') ADVANCE(530);
      if (lookahead == '"') ADVANCE(431);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '%') ADVANCE(515);
      if (lookahead == '&') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(433);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(623);
      if (lookahead == '+') ADVANCE(523);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(526);
      if (lookahead == '.') ADVANCE(629);
      if (lookahead == '/') ADVANCE(454);
      if (lookahead == '0') ADVANCE(387);
      if (lookahead == ':') ADVANCE(146);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(442);
      if (lookahead == '=') ADVANCE(553);
      if (lookahead == '>') ADVANCE(447);
      if (lookahead == '?') ADVANCE(198);
      if (lookahead == '@') ADVANCE(541);
      if (lookahead == '[') ADVANCE(439);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(329);
      if (lookahead == 'd') ADVANCE(333);
      if (lookahead == 'f') ADVANCE(309);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(334);
      if (lookahead == 't') ADVANCE(335);
      if (lookahead == 'w') ADVANCE(323);
      if (lookahead == '{') ADVANCE(437);
      if (lookahead == '|') ADVANCE(451);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(461);
      if (lookahead == 11823) ADVANCE(382);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(266)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(385);
      if (aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(345);
      if (sym_keyword_character_set_1(lookahead)) ADVANCE(180);
      END_STATE();
    case 267:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(289);
      if (lookahead == '\r') ADVANCE(104);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(182);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 268:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(289);
      if (lookahead == '\r') ADVANCE(104);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '(') ADVANCE(305);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(213);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 269:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '\r') ADVANCE(118);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'd') ADVANCE(496);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(270)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 270:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '\r') ADVANCE(118);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(270)
      END_STATE();
    case 271:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(297);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '[') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(492);
      if (lookahead == 'i') ADVANCE(493);
      if (lookahead == 'o') ADVANCE(497);
      if (lookahead == 'w') ADVANCE(490);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(272)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 272:
      if (eof) ADVANCE(273);
      if (lookahead == '\n') ADVANCE(297);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '!') ADVANCE(184);
      if (lookahead == '#') ADVANCE(660);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == ')') ADVANCE(306);
      if (lookahead == '*') ADVANCE(624);
      if (lookahead == '+') ADVANCE(524);
      if (lookahead == ',') ADVANCE(505);
      if (lookahead == '-') ADVANCE(527);
      if (lookahead == '.') ADVANCE(630);
      if (lookahead == '/') ADVANCE(456);
      if (lookahead == ':') ADVANCE(181);
      if (lookahead == ';') ADVANCE(304);
      if (lookahead == '<') ADVANCE(444);
      if (lookahead == '=') ADVANCE(555);
      if (lookahead == '>') ADVANCE(449);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == ']') ADVANCE(440);
      if (lookahead == '^') ADVANCE(203);
      if (lookahead == 'a') ADVANCE(218);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(224);
      if (lookahead == 'w') ADVANCE(216);
      if (lookahead == '{') ADVANCE(436);
      if (lookahead == '|') ADVANCE(452);
      if (lookahead == '}') ADVANCE(438);
      if (lookahead == '~') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(272)
      END_STATE();
    case 273:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(274);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '\\') ADVANCE(4);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(275);
      if (lookahead == '\r') ADVANCE(49);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(276);
      if (lookahead == '\r') ADVANCE(61);
      if (lookahead == '\\') ADVANCE(58);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(277);
      if (lookahead == '\r') ADVANCE(76);
      if (lookahead == '\\') ADVANCE(6);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(278);
      if (lookahead == '\r') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(8);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(279);
      if (lookahead == '\r') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(67);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(280);
      if (lookahead == '\r') ADVANCE(83);
      if (lookahead == '\\') ADVANCE(10);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(281);
      if (lookahead == '\r') ADVANCE(85);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(282);
      if (lookahead == '\r') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(71);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(283);
      if (lookahead == '\r') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(12);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(284);
      if (lookahead == '\r') ADVANCE(93);
      if (lookahead == '\\') ADVANCE(14);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(285);
      if (lookahead == '\r') ADVANCE(95);
      if (lookahead == '\\') ADVANCE(16);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(286);
      if (lookahead == '\r') ADVANCE(97);
      if (lookahead == '\\') ADVANCE(18);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(287);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '\\') ADVANCE(20);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(288);
      if (lookahead == '\r') ADVANCE(101);
      if (lookahead == '\\') ADVANCE(22);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(289);
      if (lookahead == '\r') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(24);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(290);
      if (lookahead == '\r') ADVANCE(106);
      if (lookahead == '\\') ADVANCE(26);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(291);
      if (lookahead == '\r') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(73);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(292);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == '\\') ADVANCE(28);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(115);
      if (lookahead == '\\') ADVANCE(75);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '\r') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(30);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(295);
      if (lookahead == '\r') ADVANCE(120);
      if (lookahead == '\\') ADVANCE(32);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(296);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(34);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(297);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(36);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(298);
      if (lookahead == '\r') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(38);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(299);
      if (lookahead == '\r') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(40);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(300);
      if (lookahead == '\r') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(42);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(301);
      if (lookahead == '\r') ADVANCE(137);
      if (lookahead == '\\') ADVANCE(44);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(302);
      if (lookahead == '\r') ADVANCE(140);
      if (lookahead == '\\') ADVANCE(46);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(303);
      if (lookahead == '\r') ADVANCE(143);
      if (lookahead == '\\') ADVANCE(55);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'a') ADVANCE(328);
      if (lookahead == 'n') ADVANCE(651);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(345);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'a') ADVANCE(340);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(345);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'c') ADVANCE(324);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'c') ADVANCE(344);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'd') ADVANCE(570);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'd') ADVANCE(648);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(644);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(402);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(404);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(654);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(331);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(336);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'f') ADVANCE(342);
      if (lookahead == 'n') ADVANCE(313);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'h') ADVANCE(320);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'h') ADVANCE(636);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'i') ADVANCE(327);
      if (lookahead == 'o') ADVANCE(341);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'l') ADVANCE(406);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'l') ADVANCE(339);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'n') ADVANCE(313);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'n') ADVANCE(606);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'n') ADVANCE(547);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'o') ADVANCE(640);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'r') ADVANCE(562);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'r') ADVANCE(343);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'r') ADVANCE(632);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 's') ADVANCE(312);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 's') ADVANCE(315);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 's') ADVANCE(317);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 't') ADVANCE(311);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 't') ADVANCE(538);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 't') ADVANCE(321);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'u') ADVANCE(316);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'u') ADVANCE(318);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'a') ADVANCE(363);
      if (lookahead == 'n') ADVANCE(652);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(382);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'a') ADVANCE(378);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(382);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'c') ADVANCE(361);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'c') ADVANCE(381);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'd') ADVANCE(571);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'd') ADVANCE(649);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(403);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(405);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(645);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(655);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(374);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(368);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(373);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'f') ADVANCE(379);
      if (lookahead == 'n') ADVANCE(350);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'h') ADVANCE(357);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'h') ADVANCE(637);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(364);
      if (lookahead == 'o') ADVANCE(377);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'l') ADVANCE(375);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'l') ADVANCE(407);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'l') ADVANCE(376);
      if (lookahead == 'n') ADVANCE(351);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(350);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(607);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(548);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(351);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'o') ADVANCE(641);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(563);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(380);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'r') ADVANCE(633);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 's') ADVANCE(349);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 's') ADVANCE(353);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 's') ADVANCE(354);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(539);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(348);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 't') ADVANCE(358);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'u') ADVANCE(352);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'u') ADVANCE(355);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_alias);
      if (lookahead == '.') ADVANCE(249);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(170);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(385);
      if (sym_keyword_character_set_5(lookahead)) ADVANCE(180);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_alias);
      if (lookahead == '.') ADVANCE(249);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(386);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(253);
      if (lookahead == '_') ADVANCE(252);
      if (lookahead == 'b') ADVANCE(245);
      if (lookahead == 'o') ADVANCE(250);
      if (lookahead == 'x') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(388);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(253);
      if (lookahead == '_') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(388);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(245);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(389);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(390);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(391);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(255);
      if (lookahead == 'b') ADVANCE(245);
      if (lookahead == 'o') ADVANCE(250);
      if (lookahead == 'x') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(393);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(255);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(393);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(253);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(246);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(395);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(396);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(254);
      if (lookahead == 'b') ADVANCE(246);
      if (lookahead == 'o') ADVANCE(251);
      if (lookahead == 'x') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(399);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(399);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_char);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_char);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(400);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_true);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_true);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_false);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_false);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_nil);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_nil);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_atom);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '&') ADVANCE(408);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '&') ADVANCE(409);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '*') ADVANCE(408);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '+') ADVANCE(408);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '+') ADVANCE(412);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '-') ADVANCE(408);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '-') ADVANCE(414);
      if (lookahead == '>') ADVANCE(408);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '.') ADVANCE(408);
      if (lookahead == '/') ADVANCE(166);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '.') ADVANCE(416);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '/') ADVANCE(408);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '=') ADVANCE(408);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '=') ADVANCE(408);
      if (lookahead == '>') ADVANCE(185);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '=') ADVANCE(419);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '=') ADVANCE(419);
      if (lookahead == '~') ADVANCE(408);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '>') ADVANCE(408);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '>') ADVANCE(408);
      if (lookahead == '|') ADVANCE(427);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '^') ADVANCE(199);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '{') ADVANCE(234);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '|') ADVANCE(408);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(408);
      if (sym_keyword_character_set_4(lookahead)) ADVANCE(428);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_atom);
      if (lookahead == '-' ||
          lookahead == '=' ||
          lookahead == '>') ADVANCE(408);
      if (lookahead == '<') ADVANCE(243);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(423);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(148);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(153);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '}') ADVANCE(170);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(543);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(584);
      if (lookahead == '>') ADVANCE(622);
      if (lookahead == '|') ADVANCE(188);
      if (lookahead == '~') ADVANCE(597);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(542);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(583);
      if (lookahead == '>') ADVANCE(621);
      if (lookahead == '|') ADVANCE(193);
      if (lookahead == '~') ADVANCE(598);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(542);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(583);
      if (lookahead == '>') ADVANCE(621);
      if (lookahead == '|') ADVANCE(193);
      if (lookahead == '~') ADVANCE(598);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(586);
      if (lookahead == '>') ADVANCE(512);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(586);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(585);
      if (lookahead == '>') ADVANCE(513);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(585);
      if (lookahead == '>') ADVANCE(194);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '>') ADVANCE(588);
      if (lookahead == '|') ADVANCE(557);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(587);
      if (lookahead == '|') ADVANCE(558);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(612);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(611);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACE);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(276);
      if (lookahead == '\r') ADVANCE(61);
      if (lookahead == '\\') ADVANCE(58);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(458);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '>') ADVANCE(599);
      if (lookahead == '~') ADVANCE(239);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '>') ADVANCE(600);
      if (lookahead == '~') ADVANCE(240);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'a') ADVANCE(328);
      if (lookahead == 'n') ADVANCE(651);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(345);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'a') ADVANCE(340);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(345);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'f') ADVANCE(342);
      if (lookahead == 'n') ADVANCE(313);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'h') ADVANCE(320);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'i') ADVANCE(327);
      if (lookahead == 'o') ADVANCE(341);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'n') ADVANCE(606);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'o') ADVANCE(640);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'r') ADVANCE(562);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == 'r') ADVANCE(343);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(aux_sym_sigil_token1);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(aux_sym_sigil_token2);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(170);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(476);
      if (sym_keyword_character_set_6(lookahead)) ADVANCE(180);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(aux_sym_sigil_token2);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(477);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'a') ADVANCE(501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'c') ADVANCE(503);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'c') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'd') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'd') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'e') ADVANCE(646);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'e') ADVANCE(656);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'e') ADVANCE(494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'e') ADVANCE(498);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'e') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'f') ADVANCE(502);
      if (lookahead == 'n') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'h') ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'h') ADVANCE(485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'l') ADVANCE(500);
      if (lookahead == 'n') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'n') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'n') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'n') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'n') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'o') ADVANCE(642);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'r') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'r') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 's') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 's') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 't') ADVANCE(480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 't') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (lookahead == 'u') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(aux_sym_sigil_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_keyword);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(aux_sym_quoted_keyword_token1);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(590);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '~') ADVANCE(594);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(589);
      if (lookahead == '~') ADVANCE(593);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(592);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(591);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '{') ADVANCE(235);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(384);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(383);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(566);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(613);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(614);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(615);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '>') ADVANCE(628);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(616);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(616);
      if (lookahead == '>') ADVANCE(627);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(575);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(576);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '^') ADVANCE(201);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '^') ADVANCE(202);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_TILDE_TILDE_TILDE);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_TILDE_TILDE_TILDE);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_BSLASH_BSLASH);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_BSLASH_BSLASH);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_when);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      if (lookahead == ':') ADVANCE(408);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(573);
      if (lookahead == '>') ADVANCE(552);
      if (lookahead == '~') ADVANCE(578);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(573);
      if (lookahead == '~') ADVANCE(578);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(574);
      if (lookahead == '>') ADVANCE(552);
      if (lookahead == '~') ADVANCE(577);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(574);
      if (lookahead == '~') ADVANCE(577);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '|') ADVANCE(560);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '|') ADVANCE(559);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_PIPE);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_PIPE);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_or);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '&') ADVANCE(568);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '&') ADVANCE(567);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_AMP);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_AMP);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_and);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(580);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(579);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '=') ADVANCE(582);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(581);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_LT_LT_TILDE);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_LT_LT_TILDE);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_TILDE_GT_GT);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_TILDE_GT_GT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_LT_TILDE);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '>') ADVANCE(602);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_LT_TILDE);
      if (lookahead == '>') ADVANCE(601);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_TILDE_GT);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '>') ADVANCE(596);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_TILDE_GT);
      if (lookahead == '>') ADVANCE(595);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_LT_TILDE_GT);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_LT_TILDE_GT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_LT_PIPE_GT);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_LT_PIPE_GT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_CARET_CARET_CARET);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_CARET_CARET_CARET);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '+') ADVANCE(618);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '+') ADVANCE(617);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '-') ADVANCE(620);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '-') ADVANCE(619);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS_PLUS);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS_PLUS);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_DASH);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_DASH);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(626);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(625);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(517);
      if (lookahead == ':') ADVANCE(248);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(516);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_after);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_after);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_after);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_catch);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_do);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_end);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_end);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_end);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_fn);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_fn);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym_rescue);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_rescue);
      if (lookahead == ':') ADVANCE(248);
      if (lookahead == '@') ADVANCE(180);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(308);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(345);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_rescue);
      if (lookahead == '!' ||
          lookahead == '?') ADVANCE(307);
      if (aux_sym_identifier_token1_character_set_5(lookahead)) ADVANCE(382);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(anon_sym_rescue);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(504);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '{') ADVANCE(457);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(660);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(660);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 263, .external_lex_state = 2},
  [2] = {.lex_state = 79, .external_lex_state = 2},
  [3] = {.lex_state = 79, .external_lex_state = 2},
  [4] = {.lex_state = 79, .external_lex_state = 2},
  [5] = {.lex_state = 79, .external_lex_state = 2},
  [6] = {.lex_state = 79, .external_lex_state = 2},
  [7] = {.lex_state = 79, .external_lex_state = 2},
  [8] = {.lex_state = 79, .external_lex_state = 2},
  [9] = {.lex_state = 79, .external_lex_state = 2},
  [10] = {.lex_state = 79, .external_lex_state = 2},
  [11] = {.lex_state = 79, .external_lex_state = 2},
  [12] = {.lex_state = 79, .external_lex_state = 2},
  [13] = {.lex_state = 79, .external_lex_state = 2},
  [14] = {.lex_state = 81, .external_lex_state = 3},
  [15] = {.lex_state = 81, .external_lex_state = 3},
  [16] = {.lex_state = 81, .external_lex_state = 3},
  [17] = {.lex_state = 81, .external_lex_state = 3},
  [18] = {.lex_state = 81, .external_lex_state = 3},
  [19] = {.lex_state = 81, .external_lex_state = 3},
  [20] = {.lex_state = 81, .external_lex_state = 2},
  [21] = {.lex_state = 79, .external_lex_state = 2},
  [22] = {.lex_state = 79, .external_lex_state = 2},
  [23] = {.lex_state = 79, .external_lex_state = 2},
  [24] = {.lex_state = 79, .external_lex_state = 2},
  [25] = {.lex_state = 79, .external_lex_state = 2},
  [26] = {.lex_state = 79, .external_lex_state = 2},
  [27] = {.lex_state = 79, .external_lex_state = 2},
  [28] = {.lex_state = 79, .external_lex_state = 2},
  [29] = {.lex_state = 81, .external_lex_state = 2},
  [30] = {.lex_state = 79, .external_lex_state = 2},
  [31] = {.lex_state = 79, .external_lex_state = 2},
  [32] = {.lex_state = 79, .external_lex_state = 2},
  [33] = {.lex_state = 79, .external_lex_state = 2},
  [34] = {.lex_state = 79, .external_lex_state = 2},
  [35] = {.lex_state = 265, .external_lex_state = 3},
  [36] = {.lex_state = 79, .external_lex_state = 2},
  [37] = {.lex_state = 79, .external_lex_state = 2},
  [38] = {.lex_state = 265, .external_lex_state = 3},
  [39] = {.lex_state = 79, .external_lex_state = 2},
  [40] = {.lex_state = 265, .external_lex_state = 3},
  [41] = {.lex_state = 265, .external_lex_state = 3},
  [42] = {.lex_state = 86, .external_lex_state = 3},
  [43] = {.lex_state = 265, .external_lex_state = 3},
  [44] = {.lex_state = 265, .external_lex_state = 3},
  [45] = {.lex_state = 265, .external_lex_state = 3},
  [46] = {.lex_state = 265, .external_lex_state = 3},
  [47] = {.lex_state = 265, .external_lex_state = 2},
  [48] = {.lex_state = 265, .external_lex_state = 3},
  [49] = {.lex_state = 86, .external_lex_state = 3},
  [50] = {.lex_state = 265, .external_lex_state = 3},
  [51] = {.lex_state = 86, .external_lex_state = 3},
  [52] = {.lex_state = 265, .external_lex_state = 3},
  [53] = {.lex_state = 265, .external_lex_state = 3},
  [54] = {.lex_state = 86, .external_lex_state = 2},
  [55] = {.lex_state = 265, .external_lex_state = 2},
  [56] = {.lex_state = 265, .external_lex_state = 3},
  [57] = {.lex_state = 265, .external_lex_state = 2},
  [58] = {.lex_state = 265, .external_lex_state = 3},
  [59] = {.lex_state = 89, .external_lex_state = 3},
  [60] = {.lex_state = 265, .external_lex_state = 2},
  [61] = {.lex_state = 265, .external_lex_state = 3},
  [62] = {.lex_state = 89, .external_lex_state = 3},
  [63] = {.lex_state = 89, .external_lex_state = 3},
  [64] = {.lex_state = 265, .external_lex_state = 3},
  [65] = {.lex_state = 265, .external_lex_state = 3},
  [66] = {.lex_state = 79, .external_lex_state = 2},
  [67] = {.lex_state = 79, .external_lex_state = 2},
  [68] = {.lex_state = 89, .external_lex_state = 2},
  [69] = {.lex_state = 265, .external_lex_state = 3},
  [70] = {.lex_state = 79, .external_lex_state = 2},
  [71] = {.lex_state = 265, .external_lex_state = 2},
  [72] = {.lex_state = 79, .external_lex_state = 2},
  [73] = {.lex_state = 92, .external_lex_state = 2},
  [74] = {.lex_state = 92, .external_lex_state = 2},
  [75] = {.lex_state = 92, .external_lex_state = 2},
  [76] = {.lex_state = 92, .external_lex_state = 2},
  [77] = {.lex_state = 92, .external_lex_state = 2},
  [78] = {.lex_state = 92, .external_lex_state = 2},
  [79] = {.lex_state = 92, .external_lex_state = 2},
  [80] = {.lex_state = 92, .external_lex_state = 2},
  [81] = {.lex_state = 265, .external_lex_state = 2},
  [82] = {.lex_state = 92, .external_lex_state = 2},
  [83] = {.lex_state = 92, .external_lex_state = 2},
  [84] = {.lex_state = 92, .external_lex_state = 2},
  [85] = {.lex_state = 92, .external_lex_state = 2},
  [86] = {.lex_state = 92, .external_lex_state = 2},
  [87] = {.lex_state = 92, .external_lex_state = 2},
  [88] = {.lex_state = 92, .external_lex_state = 2},
  [89] = {.lex_state = 92, .external_lex_state = 2},
  [90] = {.lex_state = 92, .external_lex_state = 2},
  [91] = {.lex_state = 92, .external_lex_state = 2},
  [92] = {.lex_state = 92, .external_lex_state = 2},
  [93] = {.lex_state = 92, .external_lex_state = 2},
  [94] = {.lex_state = 92, .external_lex_state = 2},
  [95] = {.lex_state = 92, .external_lex_state = 2},
  [96] = {.lex_state = 92, .external_lex_state = 2},
  [97] = {.lex_state = 92, .external_lex_state = 2},
  [98] = {.lex_state = 92, .external_lex_state = 2},
  [99] = {.lex_state = 92, .external_lex_state = 2},
  [100] = {.lex_state = 92, .external_lex_state = 2},
  [101] = {.lex_state = 92, .external_lex_state = 2},
  [102] = {.lex_state = 92, .external_lex_state = 2},
  [103] = {.lex_state = 92, .external_lex_state = 2},
  [104] = {.lex_state = 92, .external_lex_state = 2},
  [105] = {.lex_state = 92, .external_lex_state = 2},
  [106] = {.lex_state = 92, .external_lex_state = 2},
  [107] = {.lex_state = 92, .external_lex_state = 2},
  [108] = {.lex_state = 92, .external_lex_state = 2},
  [109] = {.lex_state = 92, .external_lex_state = 2},
  [110] = {.lex_state = 265, .external_lex_state = 2},
  [111] = {.lex_state = 92, .external_lex_state = 2},
  [112] = {.lex_state = 92, .external_lex_state = 2},
  [113] = {.lex_state = 92, .external_lex_state = 2},
  [114] = {.lex_state = 92, .external_lex_state = 2},
  [115] = {.lex_state = 92, .external_lex_state = 2},
  [116] = {.lex_state = 92, .external_lex_state = 2},
  [117] = {.lex_state = 92, .external_lex_state = 2},
  [118] = {.lex_state = 92, .external_lex_state = 2},
  [119] = {.lex_state = 92, .external_lex_state = 2},
  [120] = {.lex_state = 92, .external_lex_state = 2},
  [121] = {.lex_state = 92, .external_lex_state = 2},
  [122] = {.lex_state = 92, .external_lex_state = 2},
  [123] = {.lex_state = 92, .external_lex_state = 2},
  [124] = {.lex_state = 92, .external_lex_state = 2},
  [125] = {.lex_state = 92, .external_lex_state = 2},
  [126] = {.lex_state = 92, .external_lex_state = 2},
  [127] = {.lex_state = 92, .external_lex_state = 2},
  [128] = {.lex_state = 92, .external_lex_state = 2},
  [129] = {.lex_state = 92, .external_lex_state = 2},
  [130] = {.lex_state = 92, .external_lex_state = 2},
  [131] = {.lex_state = 92, .external_lex_state = 2},
  [132] = {.lex_state = 92, .external_lex_state = 2},
  [133] = {.lex_state = 92, .external_lex_state = 2},
  [134] = {.lex_state = 92, .external_lex_state = 2},
  [135] = {.lex_state = 92, .external_lex_state = 2},
  [136] = {.lex_state = 92, .external_lex_state = 2},
  [137] = {.lex_state = 92, .external_lex_state = 2},
  [138] = {.lex_state = 92, .external_lex_state = 2},
  [139] = {.lex_state = 92, .external_lex_state = 2},
  [140] = {.lex_state = 94, .external_lex_state = 2},
  [141] = {.lex_state = 94, .external_lex_state = 2},
  [142] = {.lex_state = 94, .external_lex_state = 2},
  [143] = {.lex_state = 94, .external_lex_state = 2},
  [144] = {.lex_state = 94, .external_lex_state = 2},
  [145] = {.lex_state = 94, .external_lex_state = 2},
  [146] = {.lex_state = 94, .external_lex_state = 2},
  [147] = {.lex_state = 94, .external_lex_state = 2},
  [148] = {.lex_state = 94, .external_lex_state = 2},
  [149] = {.lex_state = 94, .external_lex_state = 2},
  [150] = {.lex_state = 94, .external_lex_state = 2},
  [151] = {.lex_state = 94, .external_lex_state = 2},
  [152] = {.lex_state = 94, .external_lex_state = 2},
  [153] = {.lex_state = 94, .external_lex_state = 2},
  [154] = {.lex_state = 94, .external_lex_state = 2},
  [155] = {.lex_state = 94, .external_lex_state = 2},
  [156] = {.lex_state = 94, .external_lex_state = 2},
  [157] = {.lex_state = 94, .external_lex_state = 2},
  [158] = {.lex_state = 94, .external_lex_state = 2},
  [159] = {.lex_state = 94, .external_lex_state = 2},
  [160] = {.lex_state = 94, .external_lex_state = 2},
  [161] = {.lex_state = 94, .external_lex_state = 2},
  [162] = {.lex_state = 94, .external_lex_state = 2},
  [163] = {.lex_state = 94, .external_lex_state = 2},
  [164] = {.lex_state = 94, .external_lex_state = 2},
  [165] = {.lex_state = 94, .external_lex_state = 2},
  [166] = {.lex_state = 94, .external_lex_state = 2},
  [167] = {.lex_state = 94, .external_lex_state = 2},
  [168] = {.lex_state = 94, .external_lex_state = 2},
  [169] = {.lex_state = 94, .external_lex_state = 2},
  [170] = {.lex_state = 94, .external_lex_state = 2},
  [171] = {.lex_state = 94, .external_lex_state = 2},
  [172] = {.lex_state = 94, .external_lex_state = 2},
  [173] = {.lex_state = 94, .external_lex_state = 2},
  [174] = {.lex_state = 94, .external_lex_state = 2},
  [175] = {.lex_state = 94, .external_lex_state = 2},
  [176] = {.lex_state = 94, .external_lex_state = 2},
  [177] = {.lex_state = 94, .external_lex_state = 2},
  [178] = {.lex_state = 92, .external_lex_state = 2},
  [179] = {.lex_state = 92, .external_lex_state = 2},
  [180] = {.lex_state = 92, .external_lex_state = 2},
  [181] = {.lex_state = 96, .external_lex_state = 2},
  [182] = {.lex_state = 92, .external_lex_state = 2},
  [183] = {.lex_state = 92, .external_lex_state = 2},
  [184] = {.lex_state = 92, .external_lex_state = 2},
  [185] = {.lex_state = 92, .external_lex_state = 2},
  [186] = {.lex_state = 92, .external_lex_state = 2},
  [187] = {.lex_state = 96, .external_lex_state = 2},
  [188] = {.lex_state = 92, .external_lex_state = 2},
  [189] = {.lex_state = 92, .external_lex_state = 2},
  [190] = {.lex_state = 92, .external_lex_state = 2},
  [191] = {.lex_state = 92, .external_lex_state = 2},
  [192] = {.lex_state = 92, .external_lex_state = 2},
  [193] = {.lex_state = 92, .external_lex_state = 2},
  [194] = {.lex_state = 92, .external_lex_state = 2},
  [195] = {.lex_state = 96, .external_lex_state = 2},
  [196] = {.lex_state = 92, .external_lex_state = 2},
  [197] = {.lex_state = 92, .external_lex_state = 2},
  [198] = {.lex_state = 92, .external_lex_state = 2},
  [199] = {.lex_state = 92, .external_lex_state = 2},
  [200] = {.lex_state = 92, .external_lex_state = 2},
  [201] = {.lex_state = 92, .external_lex_state = 2},
  [202] = {.lex_state = 92, .external_lex_state = 2},
  [203] = {.lex_state = 92, .external_lex_state = 2},
  [204] = {.lex_state = 96, .external_lex_state = 2},
  [205] = {.lex_state = 92, .external_lex_state = 2},
  [206] = {.lex_state = 92, .external_lex_state = 2},
  [207] = {.lex_state = 92, .external_lex_state = 2},
  [208] = {.lex_state = 92, .external_lex_state = 2},
  [209] = {.lex_state = 92, .external_lex_state = 2},
  [210] = {.lex_state = 92, .external_lex_state = 2},
  [211] = {.lex_state = 92, .external_lex_state = 2},
  [212] = {.lex_state = 92, .external_lex_state = 2},
  [213] = {.lex_state = 92, .external_lex_state = 2},
  [214] = {.lex_state = 92, .external_lex_state = 2},
  [215] = {.lex_state = 96, .external_lex_state = 2},
  [216] = {.lex_state = 96, .external_lex_state = 2},
  [217] = {.lex_state = 92, .external_lex_state = 2},
  [218] = {.lex_state = 92, .external_lex_state = 2},
  [219] = {.lex_state = 96, .external_lex_state = 2},
  [220] = {.lex_state = 92, .external_lex_state = 2},
  [221] = {.lex_state = 92, .external_lex_state = 2},
  [222] = {.lex_state = 92, .external_lex_state = 2},
  [223] = {.lex_state = 92, .external_lex_state = 2},
  [224] = {.lex_state = 96, .external_lex_state = 2},
  [225] = {.lex_state = 92, .external_lex_state = 2},
  [226] = {.lex_state = 92, .external_lex_state = 2},
  [227] = {.lex_state = 92, .external_lex_state = 2},
  [228] = {.lex_state = 92, .external_lex_state = 2},
  [229] = {.lex_state = 92, .external_lex_state = 2},
  [230] = {.lex_state = 92, .external_lex_state = 2},
  [231] = {.lex_state = 92, .external_lex_state = 2},
  [232] = {.lex_state = 92, .external_lex_state = 2},
  [233] = {.lex_state = 96, .external_lex_state = 2},
  [234] = {.lex_state = 92, .external_lex_state = 2},
  [235] = {.lex_state = 92, .external_lex_state = 2},
  [236] = {.lex_state = 92, .external_lex_state = 2},
  [237] = {.lex_state = 96, .external_lex_state = 2},
  [238] = {.lex_state = 92, .external_lex_state = 2},
  [239] = {.lex_state = 92, .external_lex_state = 2},
  [240] = {.lex_state = 92, .external_lex_state = 2},
  [241] = {.lex_state = 92, .external_lex_state = 2},
  [242] = {.lex_state = 92, .external_lex_state = 2},
  [243] = {.lex_state = 92, .external_lex_state = 2},
  [244] = {.lex_state = 92, .external_lex_state = 2},
  [245] = {.lex_state = 92, .external_lex_state = 2},
  [246] = {.lex_state = 92, .external_lex_state = 2},
  [247] = {.lex_state = 92, .external_lex_state = 2},
  [248] = {.lex_state = 96, .external_lex_state = 2},
  [249] = {.lex_state = 92, .external_lex_state = 2},
  [250] = {.lex_state = 92, .external_lex_state = 2},
  [251] = {.lex_state = 92, .external_lex_state = 2},
  [252] = {.lex_state = 92, .external_lex_state = 2},
  [253] = {.lex_state = 92, .external_lex_state = 2},
  [254] = {.lex_state = 96, .external_lex_state = 2},
  [255] = {.lex_state = 92, .external_lex_state = 2},
  [256] = {.lex_state = 92, .external_lex_state = 2},
  [257] = {.lex_state = 92, .external_lex_state = 2},
  [258] = {.lex_state = 94, .external_lex_state = 2},
  [259] = {.lex_state = 96, .external_lex_state = 2},
  [260] = {.lex_state = 94, .external_lex_state = 2},
  [261] = {.lex_state = 94, .external_lex_state = 2},
  [262] = {.lex_state = 96, .external_lex_state = 2},
  [263] = {.lex_state = 94, .external_lex_state = 2},
  [264] = {.lex_state = 92, .external_lex_state = 2},
  [265] = {.lex_state = 92, .external_lex_state = 2},
  [266] = {.lex_state = 92, .external_lex_state = 2},
  [267] = {.lex_state = 92, .external_lex_state = 2},
  [268] = {.lex_state = 92, .external_lex_state = 2},
  [269] = {.lex_state = 92, .external_lex_state = 2},
  [270] = {.lex_state = 92, .external_lex_state = 2},
  [271] = {.lex_state = 92, .external_lex_state = 2},
  [272] = {.lex_state = 92, .external_lex_state = 2},
  [273] = {.lex_state = 92, .external_lex_state = 2},
  [274] = {.lex_state = 92, .external_lex_state = 2},
  [275] = {.lex_state = 92, .external_lex_state = 2},
  [276] = {.lex_state = 263, .external_lex_state = 2},
  [277] = {.lex_state = 92, .external_lex_state = 2},
  [278] = {.lex_state = 92, .external_lex_state = 2},
  [279] = {.lex_state = 92, .external_lex_state = 2},
  [280] = {.lex_state = 92, .external_lex_state = 2},
  [281] = {.lex_state = 92, .external_lex_state = 2},
  [282] = {.lex_state = 94, .external_lex_state = 2},
  [283] = {.lex_state = 92, .external_lex_state = 2},
  [284] = {.lex_state = 92, .external_lex_state = 2},
  [285] = {.lex_state = 98, .external_lex_state = 2},
  [286] = {.lex_state = 92, .external_lex_state = 2},
  [287] = {.lex_state = 94, .external_lex_state = 2},
  [288] = {.lex_state = 92, .external_lex_state = 2},
  [289] = {.lex_state = 94, .external_lex_state = 2},
  [290] = {.lex_state = 92, .external_lex_state = 2},
  [291] = {.lex_state = 92, .external_lex_state = 2},
  [292] = {.lex_state = 92, .external_lex_state = 2},
  [293] = {.lex_state = 92, .external_lex_state = 2},
  [294] = {.lex_state = 94, .external_lex_state = 2},
  [295] = {.lex_state = 92, .external_lex_state = 2},
  [296] = {.lex_state = 92, .external_lex_state = 2},
  [297] = {.lex_state = 92, .external_lex_state = 2},
  [298] = {.lex_state = 94, .external_lex_state = 2},
  [299] = {.lex_state = 94, .external_lex_state = 2},
  [300] = {.lex_state = 92, .external_lex_state = 2},
  [301] = {.lex_state = 92, .external_lex_state = 2},
  [302] = {.lex_state = 92, .external_lex_state = 2},
  [303] = {.lex_state = 94, .external_lex_state = 2},
  [304] = {.lex_state = 98, .external_lex_state = 2},
  [305] = {.lex_state = 92, .external_lex_state = 2},
  [306] = {.lex_state = 92, .external_lex_state = 2},
  [307] = {.lex_state = 92, .external_lex_state = 2},
  [308] = {.lex_state = 92, .external_lex_state = 2},
  [309] = {.lex_state = 94, .external_lex_state = 2},
  [310] = {.lex_state = 92, .external_lex_state = 2},
  [311] = {.lex_state = 92, .external_lex_state = 2},
  [312] = {.lex_state = 92, .external_lex_state = 2},
  [313] = {.lex_state = 92, .external_lex_state = 2},
  [314] = {.lex_state = 92, .external_lex_state = 2},
  [315] = {.lex_state = 92, .external_lex_state = 2},
  [316] = {.lex_state = 92, .external_lex_state = 2},
  [317] = {.lex_state = 94, .external_lex_state = 2},
  [318] = {.lex_state = 92, .external_lex_state = 2},
  [319] = {.lex_state = 92, .external_lex_state = 2},
  [320] = {.lex_state = 92, .external_lex_state = 2},
  [321] = {.lex_state = 92, .external_lex_state = 2},
  [322] = {.lex_state = 92, .external_lex_state = 2},
  [323] = {.lex_state = 92, .external_lex_state = 2},
  [324] = {.lex_state = 94, .external_lex_state = 2},
  [325] = {.lex_state = 92, .external_lex_state = 2},
  [326] = {.lex_state = 92, .external_lex_state = 2},
  [327] = {.lex_state = 92, .external_lex_state = 2},
  [328] = {.lex_state = 92, .external_lex_state = 2},
  [329] = {.lex_state = 92, .external_lex_state = 2},
  [330] = {.lex_state = 92, .external_lex_state = 2},
  [331] = {.lex_state = 92, .external_lex_state = 2},
  [332] = {.lex_state = 92, .external_lex_state = 2},
  [333] = {.lex_state = 94, .external_lex_state = 2},
  [334] = {.lex_state = 94, .external_lex_state = 2},
  [335] = {.lex_state = 92, .external_lex_state = 2},
  [336] = {.lex_state = 92, .external_lex_state = 2},
  [337] = {.lex_state = 92, .external_lex_state = 2},
  [338] = {.lex_state = 92, .external_lex_state = 2},
  [339] = {.lex_state = 92, .external_lex_state = 2},
  [340] = {.lex_state = 92, .external_lex_state = 2},
  [341] = {.lex_state = 92, .external_lex_state = 2},
  [342] = {.lex_state = 263, .external_lex_state = 2},
  [343] = {.lex_state = 92, .external_lex_state = 2},
  [344] = {.lex_state = 92, .external_lex_state = 2},
  [345] = {.lex_state = 92, .external_lex_state = 2},
  [346] = {.lex_state = 263, .external_lex_state = 2},
  [347] = {.lex_state = 98, .external_lex_state = 2},
  [348] = {.lex_state = 98, .external_lex_state = 2},
  [349] = {.lex_state = 98, .external_lex_state = 2},
  [350] = {.lex_state = 98, .external_lex_state = 2},
  [351] = {.lex_state = 263, .external_lex_state = 2},
  [352] = {.lex_state = 263, .external_lex_state = 2},
  [353] = {.lex_state = 263, .external_lex_state = 2},
  [354] = {.lex_state = 263, .external_lex_state = 2},
  [355] = {.lex_state = 263, .external_lex_state = 2},
  [356] = {.lex_state = 263, .external_lex_state = 2},
  [357] = {.lex_state = 263, .external_lex_state = 2},
  [358] = {.lex_state = 263, .external_lex_state = 2},
  [359] = {.lex_state = 263, .external_lex_state = 2},
  [360] = {.lex_state = 263, .external_lex_state = 2},
  [361] = {.lex_state = 263, .external_lex_state = 2},
  [362] = {.lex_state = 263, .external_lex_state = 2},
  [363] = {.lex_state = 263, .external_lex_state = 2},
  [364] = {.lex_state = 263, .external_lex_state = 2},
  [365] = {.lex_state = 263, .external_lex_state = 2},
  [366] = {.lex_state = 263, .external_lex_state = 2},
  [367] = {.lex_state = 263, .external_lex_state = 2},
  [368] = {.lex_state = 263, .external_lex_state = 2},
  [369] = {.lex_state = 263, .external_lex_state = 2},
  [370] = {.lex_state = 263, .external_lex_state = 2},
  [371] = {.lex_state = 263, .external_lex_state = 2},
  [372] = {.lex_state = 263, .external_lex_state = 2},
  [373] = {.lex_state = 263, .external_lex_state = 2},
  [374] = {.lex_state = 263, .external_lex_state = 2},
  [375] = {.lex_state = 263, .external_lex_state = 2},
  [376] = {.lex_state = 263, .external_lex_state = 2},
  [377] = {.lex_state = 263, .external_lex_state = 2},
  [378] = {.lex_state = 263, .external_lex_state = 2},
  [379] = {.lex_state = 263, .external_lex_state = 2},
  [380] = {.lex_state = 263, .external_lex_state = 2},
  [381] = {.lex_state = 263, .external_lex_state = 2},
  [382] = {.lex_state = 263, .external_lex_state = 2},
  [383] = {.lex_state = 263, .external_lex_state = 2},
  [384] = {.lex_state = 263, .external_lex_state = 2},
  [385] = {.lex_state = 263, .external_lex_state = 2},
  [386] = {.lex_state = 263, .external_lex_state = 2},
  [387] = {.lex_state = 263, .external_lex_state = 2},
  [388] = {.lex_state = 263, .external_lex_state = 2},
  [389] = {.lex_state = 263, .external_lex_state = 2},
  [390] = {.lex_state = 263, .external_lex_state = 2},
  [391] = {.lex_state = 263, .external_lex_state = 2},
  [392] = {.lex_state = 263, .external_lex_state = 2},
  [393] = {.lex_state = 263, .external_lex_state = 2},
  [394] = {.lex_state = 263, .external_lex_state = 2},
  [395] = {.lex_state = 263, .external_lex_state = 2},
  [396] = {.lex_state = 263, .external_lex_state = 2},
  [397] = {.lex_state = 263, .external_lex_state = 2},
  [398] = {.lex_state = 263, .external_lex_state = 2},
  [399] = {.lex_state = 263, .external_lex_state = 2},
  [400] = {.lex_state = 263, .external_lex_state = 2},
  [401] = {.lex_state = 263, .external_lex_state = 2},
  [402] = {.lex_state = 263, .external_lex_state = 2},
  [403] = {.lex_state = 263, .external_lex_state = 2},
  [404] = {.lex_state = 263, .external_lex_state = 2},
  [405] = {.lex_state = 263, .external_lex_state = 2},
  [406] = {.lex_state = 263, .external_lex_state = 2},
  [407] = {.lex_state = 263, .external_lex_state = 2},
  [408] = {.lex_state = 263, .external_lex_state = 2},
  [409] = {.lex_state = 263, .external_lex_state = 2},
  [410] = {.lex_state = 263, .external_lex_state = 2},
  [411] = {.lex_state = 263, .external_lex_state = 2},
  [412] = {.lex_state = 263, .external_lex_state = 2},
  [413] = {.lex_state = 263, .external_lex_state = 2},
  [414] = {.lex_state = 263, .external_lex_state = 2},
  [415] = {.lex_state = 263, .external_lex_state = 2},
  [416] = {.lex_state = 263, .external_lex_state = 2},
  [417] = {.lex_state = 263, .external_lex_state = 2},
  [418] = {.lex_state = 263, .external_lex_state = 2},
  [419] = {.lex_state = 263, .external_lex_state = 2},
  [420] = {.lex_state = 263, .external_lex_state = 2},
  [421] = {.lex_state = 263, .external_lex_state = 2},
  [422] = {.lex_state = 263, .external_lex_state = 2},
  [423] = {.lex_state = 263, .external_lex_state = 2},
  [424] = {.lex_state = 263, .external_lex_state = 2},
  [425] = {.lex_state = 263, .external_lex_state = 2},
  [426] = {.lex_state = 263, .external_lex_state = 2},
  [427] = {.lex_state = 263, .external_lex_state = 2},
  [428] = {.lex_state = 263, .external_lex_state = 2},
  [429] = {.lex_state = 263, .external_lex_state = 2},
  [430] = {.lex_state = 263, .external_lex_state = 2},
  [431] = {.lex_state = 263, .external_lex_state = 2},
  [432] = {.lex_state = 263, .external_lex_state = 2},
  [433] = {.lex_state = 263, .external_lex_state = 2},
  [434] = {.lex_state = 263, .external_lex_state = 2},
  [435] = {.lex_state = 263, .external_lex_state = 2},
  [436] = {.lex_state = 263, .external_lex_state = 2},
  [437] = {.lex_state = 263, .external_lex_state = 2},
  [438] = {.lex_state = 263, .external_lex_state = 2},
  [439] = {.lex_state = 263, .external_lex_state = 2},
  [440] = {.lex_state = 263, .external_lex_state = 2},
  [441] = {.lex_state = 263, .external_lex_state = 2},
  [442] = {.lex_state = 263, .external_lex_state = 2},
  [443] = {.lex_state = 263, .external_lex_state = 2},
  [444] = {.lex_state = 263, .external_lex_state = 2},
  [445] = {.lex_state = 263, .external_lex_state = 2},
  [446] = {.lex_state = 263, .external_lex_state = 2},
  [447] = {.lex_state = 263, .external_lex_state = 2},
  [448] = {.lex_state = 263, .external_lex_state = 2},
  [449] = {.lex_state = 263, .external_lex_state = 2},
  [450] = {.lex_state = 263, .external_lex_state = 2},
  [451] = {.lex_state = 263, .external_lex_state = 2},
  [452] = {.lex_state = 263, .external_lex_state = 2},
  [453] = {.lex_state = 263, .external_lex_state = 2},
  [454] = {.lex_state = 263, .external_lex_state = 2},
  [455] = {.lex_state = 263, .external_lex_state = 2},
  [456] = {.lex_state = 263, .external_lex_state = 2},
  [457] = {.lex_state = 263, .external_lex_state = 2},
  [458] = {.lex_state = 263, .external_lex_state = 2},
  [459] = {.lex_state = 263, .external_lex_state = 2},
  [460] = {.lex_state = 263, .external_lex_state = 2},
  [461] = {.lex_state = 263, .external_lex_state = 2},
  [462] = {.lex_state = 263, .external_lex_state = 2},
  [463] = {.lex_state = 263, .external_lex_state = 2},
  [464] = {.lex_state = 263, .external_lex_state = 2},
  [465] = {.lex_state = 263, .external_lex_state = 2},
  [466] = {.lex_state = 263, .external_lex_state = 2},
  [467] = {.lex_state = 263, .external_lex_state = 2},
  [468] = {.lex_state = 263, .external_lex_state = 2},
  [469] = {.lex_state = 263, .external_lex_state = 2},
  [470] = {.lex_state = 263, .external_lex_state = 2},
  [471] = {.lex_state = 263, .external_lex_state = 2},
  [472] = {.lex_state = 263, .external_lex_state = 2},
  [473] = {.lex_state = 263, .external_lex_state = 2},
  [474] = {.lex_state = 263, .external_lex_state = 2},
  [475] = {.lex_state = 263, .external_lex_state = 2},
  [476] = {.lex_state = 263, .external_lex_state = 2},
  [477] = {.lex_state = 263, .external_lex_state = 2},
  [478] = {.lex_state = 263, .external_lex_state = 2},
  [479] = {.lex_state = 263, .external_lex_state = 2},
  [480] = {.lex_state = 263, .external_lex_state = 2},
  [481] = {.lex_state = 263, .external_lex_state = 2},
  [482] = {.lex_state = 263, .external_lex_state = 2},
  [483] = {.lex_state = 263, .external_lex_state = 2},
  [484] = {.lex_state = 263, .external_lex_state = 2},
  [485] = {.lex_state = 263, .external_lex_state = 2},
  [486] = {.lex_state = 263, .external_lex_state = 2},
  [487] = {.lex_state = 263, .external_lex_state = 2},
  [488] = {.lex_state = 263, .external_lex_state = 2},
  [489] = {.lex_state = 263, .external_lex_state = 2},
  [490] = {.lex_state = 263, .external_lex_state = 2},
  [491] = {.lex_state = 263, .external_lex_state = 2},
  [492] = {.lex_state = 263, .external_lex_state = 2},
  [493] = {.lex_state = 263, .external_lex_state = 2},
  [494] = {.lex_state = 263, .external_lex_state = 2},
  [495] = {.lex_state = 263, .external_lex_state = 2},
  [496] = {.lex_state = 263, .external_lex_state = 2},
  [497] = {.lex_state = 263, .external_lex_state = 2},
  [498] = {.lex_state = 263, .external_lex_state = 2},
  [499] = {.lex_state = 263, .external_lex_state = 2},
  [500] = {.lex_state = 263, .external_lex_state = 2},
  [501] = {.lex_state = 263, .external_lex_state = 2},
  [502] = {.lex_state = 263, .external_lex_state = 2},
  [503] = {.lex_state = 263, .external_lex_state = 2},
  [504] = {.lex_state = 263, .external_lex_state = 2},
  [505] = {.lex_state = 263, .external_lex_state = 2},
  [506] = {.lex_state = 263, .external_lex_state = 2},
  [507] = {.lex_state = 263, .external_lex_state = 2},
  [508] = {.lex_state = 263, .external_lex_state = 2},
  [509] = {.lex_state = 263, .external_lex_state = 2},
  [510] = {.lex_state = 263, .external_lex_state = 2},
  [511] = {.lex_state = 263, .external_lex_state = 2},
  [512] = {.lex_state = 263, .external_lex_state = 2},
  [513] = {.lex_state = 263, .external_lex_state = 2},
  [514] = {.lex_state = 263, .external_lex_state = 2},
  [515] = {.lex_state = 263, .external_lex_state = 2},
  [516] = {.lex_state = 263, .external_lex_state = 2},
  [517] = {.lex_state = 263, .external_lex_state = 2},
  [518] = {.lex_state = 263, .external_lex_state = 2},
  [519] = {.lex_state = 263, .external_lex_state = 2},
  [520] = {.lex_state = 263, .external_lex_state = 2},
  [521] = {.lex_state = 263, .external_lex_state = 2},
  [522] = {.lex_state = 263, .external_lex_state = 2},
  [523] = {.lex_state = 263, .external_lex_state = 2},
  [524] = {.lex_state = 263, .external_lex_state = 2},
  [525] = {.lex_state = 263, .external_lex_state = 2},
  [526] = {.lex_state = 263, .external_lex_state = 2},
  [527] = {.lex_state = 263, .external_lex_state = 2},
  [528] = {.lex_state = 263, .external_lex_state = 2},
  [529] = {.lex_state = 263, .external_lex_state = 2},
  [530] = {.lex_state = 263, .external_lex_state = 2},
  [531] = {.lex_state = 263, .external_lex_state = 2},
  [532] = {.lex_state = 263, .external_lex_state = 2},
  [533] = {.lex_state = 263, .external_lex_state = 2},
  [534] = {.lex_state = 263, .external_lex_state = 2},
  [535] = {.lex_state = 263, .external_lex_state = 2},
  [536] = {.lex_state = 263, .external_lex_state = 2},
  [537] = {.lex_state = 263, .external_lex_state = 2},
  [538] = {.lex_state = 263, .external_lex_state = 2},
  [539] = {.lex_state = 263, .external_lex_state = 2},
  [540] = {.lex_state = 263, .external_lex_state = 2},
  [541] = {.lex_state = 263, .external_lex_state = 2},
  [542] = {.lex_state = 263, .external_lex_state = 2},
  [543] = {.lex_state = 263, .external_lex_state = 2},
  [544] = {.lex_state = 263, .external_lex_state = 2},
  [545] = {.lex_state = 263, .external_lex_state = 2},
  [546] = {.lex_state = 263, .external_lex_state = 2},
  [547] = {.lex_state = 263, .external_lex_state = 2},
  [548] = {.lex_state = 263, .external_lex_state = 2},
  [549] = {.lex_state = 263, .external_lex_state = 2},
  [550] = {.lex_state = 263, .external_lex_state = 2},
  [551] = {.lex_state = 263, .external_lex_state = 2},
  [552] = {.lex_state = 263, .external_lex_state = 2},
  [553] = {.lex_state = 263, .external_lex_state = 2},
  [554] = {.lex_state = 263, .external_lex_state = 2},
  [555] = {.lex_state = 263, .external_lex_state = 2},
  [556] = {.lex_state = 263, .external_lex_state = 2},
  [557] = {.lex_state = 263, .external_lex_state = 2},
  [558] = {.lex_state = 263, .external_lex_state = 2},
  [559] = {.lex_state = 263, .external_lex_state = 2},
  [560] = {.lex_state = 263, .external_lex_state = 2},
  [561] = {.lex_state = 263, .external_lex_state = 2},
  [562] = {.lex_state = 263, .external_lex_state = 2},
  [563] = {.lex_state = 263, .external_lex_state = 2},
  [564] = {.lex_state = 263, .external_lex_state = 2},
  [565] = {.lex_state = 263, .external_lex_state = 2},
  [566] = {.lex_state = 263, .external_lex_state = 2},
  [567] = {.lex_state = 263, .external_lex_state = 2},
  [568] = {.lex_state = 263, .external_lex_state = 2},
  [569] = {.lex_state = 263, .external_lex_state = 2},
  [570] = {.lex_state = 263, .external_lex_state = 2},
  [571] = {.lex_state = 263, .external_lex_state = 2},
  [572] = {.lex_state = 263, .external_lex_state = 2},
  [573] = {.lex_state = 263, .external_lex_state = 2},
  [574] = {.lex_state = 263, .external_lex_state = 2},
  [575] = {.lex_state = 263, .external_lex_state = 2},
  [576] = {.lex_state = 263, .external_lex_state = 2},
  [577] = {.lex_state = 263, .external_lex_state = 2},
  [578] = {.lex_state = 263, .external_lex_state = 2},
  [579] = {.lex_state = 263, .external_lex_state = 2},
  [580] = {.lex_state = 263, .external_lex_state = 2},
  [581] = {.lex_state = 263, .external_lex_state = 2},
  [582] = {.lex_state = 263, .external_lex_state = 2},
  [583] = {.lex_state = 263, .external_lex_state = 2},
  [584] = {.lex_state = 263, .external_lex_state = 2},
  [585] = {.lex_state = 263, .external_lex_state = 2},
  [586] = {.lex_state = 263, .external_lex_state = 2},
  [587] = {.lex_state = 263, .external_lex_state = 2},
  [588] = {.lex_state = 263, .external_lex_state = 2},
  [589] = {.lex_state = 263, .external_lex_state = 2},
  [590] = {.lex_state = 263, .external_lex_state = 2},
  [591] = {.lex_state = 263, .external_lex_state = 2},
  [592] = {.lex_state = 263, .external_lex_state = 2},
  [593] = {.lex_state = 263, .external_lex_state = 2},
  [594] = {.lex_state = 263, .external_lex_state = 2},
  [595] = {.lex_state = 263, .external_lex_state = 2},
  [596] = {.lex_state = 263, .external_lex_state = 2},
  [597] = {.lex_state = 263, .external_lex_state = 2},
  [598] = {.lex_state = 263, .external_lex_state = 2},
  [599] = {.lex_state = 263, .external_lex_state = 2},
  [600] = {.lex_state = 263, .external_lex_state = 2},
  [601] = {.lex_state = 263, .external_lex_state = 2},
  [602] = {.lex_state = 263, .external_lex_state = 2},
  [603] = {.lex_state = 263, .external_lex_state = 2},
  [604] = {.lex_state = 263, .external_lex_state = 2},
  [605] = {.lex_state = 263, .external_lex_state = 2},
  [606] = {.lex_state = 263, .external_lex_state = 2},
  [607] = {.lex_state = 263, .external_lex_state = 2},
  [608] = {.lex_state = 263, .external_lex_state = 2},
  [609] = {.lex_state = 263, .external_lex_state = 2},
  [610] = {.lex_state = 263, .external_lex_state = 2},
  [611] = {.lex_state = 263, .external_lex_state = 2},
  [612] = {.lex_state = 263, .external_lex_state = 2},
  [613] = {.lex_state = 263, .external_lex_state = 2},
  [614] = {.lex_state = 263, .external_lex_state = 2},
  [615] = {.lex_state = 263, .external_lex_state = 2},
  [616] = {.lex_state = 263, .external_lex_state = 2},
  [617] = {.lex_state = 263, .external_lex_state = 2},
  [618] = {.lex_state = 263, .external_lex_state = 2},
  [619] = {.lex_state = 263, .external_lex_state = 2},
  [620] = {.lex_state = 263, .external_lex_state = 2},
  [621] = {.lex_state = 263, .external_lex_state = 2},
  [622] = {.lex_state = 263, .external_lex_state = 2},
  [623] = {.lex_state = 263, .external_lex_state = 2},
  [624] = {.lex_state = 263, .external_lex_state = 2},
  [625] = {.lex_state = 263, .external_lex_state = 2},
  [626] = {.lex_state = 263, .external_lex_state = 2},
  [627] = {.lex_state = 263, .external_lex_state = 2},
  [628] = {.lex_state = 263, .external_lex_state = 2},
  [629] = {.lex_state = 263, .external_lex_state = 2},
  [630] = {.lex_state = 263, .external_lex_state = 2},
  [631] = {.lex_state = 263, .external_lex_state = 2},
  [632] = {.lex_state = 263, .external_lex_state = 2},
  [633] = {.lex_state = 263, .external_lex_state = 2},
  [634] = {.lex_state = 263, .external_lex_state = 2},
  [635] = {.lex_state = 263, .external_lex_state = 2},
  [636] = {.lex_state = 263, .external_lex_state = 2},
  [637] = {.lex_state = 263, .external_lex_state = 2},
  [638] = {.lex_state = 263, .external_lex_state = 2},
  [639] = {.lex_state = 263, .external_lex_state = 2},
  [640] = {.lex_state = 263, .external_lex_state = 2},
  [641] = {.lex_state = 263, .external_lex_state = 2},
  [642] = {.lex_state = 263, .external_lex_state = 2},
  [643] = {.lex_state = 263, .external_lex_state = 2},
  [644] = {.lex_state = 263, .external_lex_state = 2},
  [645] = {.lex_state = 263, .external_lex_state = 2},
  [646] = {.lex_state = 263, .external_lex_state = 2},
  [647] = {.lex_state = 263, .external_lex_state = 2},
  [648] = {.lex_state = 263, .external_lex_state = 2},
  [649] = {.lex_state = 263, .external_lex_state = 2},
  [650] = {.lex_state = 263, .external_lex_state = 2},
  [651] = {.lex_state = 263, .external_lex_state = 2},
  [652] = {.lex_state = 263, .external_lex_state = 2},
  [653] = {.lex_state = 263, .external_lex_state = 2},
  [654] = {.lex_state = 263, .external_lex_state = 2},
  [655] = {.lex_state = 263, .external_lex_state = 2},
  [656] = {.lex_state = 263, .external_lex_state = 2},
  [657] = {.lex_state = 263, .external_lex_state = 2},
  [658] = {.lex_state = 263, .external_lex_state = 2},
  [659] = {.lex_state = 263, .external_lex_state = 2},
  [660] = {.lex_state = 263, .external_lex_state = 2},
  [661] = {.lex_state = 263, .external_lex_state = 2},
  [662] = {.lex_state = 263, .external_lex_state = 2},
  [663] = {.lex_state = 263, .external_lex_state = 2},
  [664] = {.lex_state = 263, .external_lex_state = 2},
  [665] = {.lex_state = 263, .external_lex_state = 2},
  [666] = {.lex_state = 263, .external_lex_state = 2},
  [667] = {.lex_state = 263, .external_lex_state = 2},
  [668] = {.lex_state = 263, .external_lex_state = 2},
  [669] = {.lex_state = 263, .external_lex_state = 2},
  [670] = {.lex_state = 263, .external_lex_state = 2},
  [671] = {.lex_state = 263, .external_lex_state = 2},
  [672] = {.lex_state = 263, .external_lex_state = 2},
  [673] = {.lex_state = 263, .external_lex_state = 2},
  [674] = {.lex_state = 263, .external_lex_state = 2},
  [675] = {.lex_state = 263, .external_lex_state = 2},
  [676] = {.lex_state = 263, .external_lex_state = 2},
  [677] = {.lex_state = 263, .external_lex_state = 2},
  [678] = {.lex_state = 263, .external_lex_state = 2},
  [679] = {.lex_state = 263, .external_lex_state = 2},
  [680] = {.lex_state = 263, .external_lex_state = 2},
  [681] = {.lex_state = 263, .external_lex_state = 2},
  [682] = {.lex_state = 263, .external_lex_state = 2},
  [683] = {.lex_state = 263, .external_lex_state = 2},
  [684] = {.lex_state = 263, .external_lex_state = 2},
  [685] = {.lex_state = 263, .external_lex_state = 2},
  [686] = {.lex_state = 263, .external_lex_state = 2},
  [687] = {.lex_state = 263, .external_lex_state = 2},
  [688] = {.lex_state = 263, .external_lex_state = 2},
  [689] = {.lex_state = 263, .external_lex_state = 2},
  [690] = {.lex_state = 263, .external_lex_state = 2},
  [691] = {.lex_state = 263, .external_lex_state = 2},
  [692] = {.lex_state = 263, .external_lex_state = 2},
  [693] = {.lex_state = 263, .external_lex_state = 2},
  [694] = {.lex_state = 263, .external_lex_state = 2},
  [695] = {.lex_state = 263, .external_lex_state = 2},
  [696] = {.lex_state = 263, .external_lex_state = 2},
  [697] = {.lex_state = 263, .external_lex_state = 2},
  [698] = {.lex_state = 263, .external_lex_state = 2},
  [699] = {.lex_state = 263, .external_lex_state = 2},
  [700] = {.lex_state = 263, .external_lex_state = 2},
  [701] = {.lex_state = 263, .external_lex_state = 2},
  [702] = {.lex_state = 263, .external_lex_state = 2},
  [703] = {.lex_state = 263, .external_lex_state = 2},
  [704] = {.lex_state = 263, .external_lex_state = 2},
  [705] = {.lex_state = 263, .external_lex_state = 2},
  [706] = {.lex_state = 263, .external_lex_state = 2},
  [707] = {.lex_state = 263, .external_lex_state = 2},
  [708] = {.lex_state = 263, .external_lex_state = 2},
  [709] = {.lex_state = 263, .external_lex_state = 2},
  [710] = {.lex_state = 263, .external_lex_state = 2},
  [711] = {.lex_state = 263, .external_lex_state = 2},
  [712] = {.lex_state = 263, .external_lex_state = 2},
  [713] = {.lex_state = 263, .external_lex_state = 2},
  [714] = {.lex_state = 263, .external_lex_state = 2},
  [715] = {.lex_state = 263, .external_lex_state = 2},
  [716] = {.lex_state = 263, .external_lex_state = 2},
  [717] = {.lex_state = 263, .external_lex_state = 2},
  [718] = {.lex_state = 263, .external_lex_state = 2},
  [719] = {.lex_state = 263, .external_lex_state = 2},
  [720] = {.lex_state = 263, .external_lex_state = 2},
  [721] = {.lex_state = 263, .external_lex_state = 2},
  [722] = {.lex_state = 263, .external_lex_state = 2},
  [723] = {.lex_state = 263, .external_lex_state = 2},
  [724] = {.lex_state = 263, .external_lex_state = 2},
  [725] = {.lex_state = 263, .external_lex_state = 2},
  [726] = {.lex_state = 263, .external_lex_state = 2},
  [727] = {.lex_state = 263, .external_lex_state = 2},
  [728] = {.lex_state = 263, .external_lex_state = 2},
  [729] = {.lex_state = 263, .external_lex_state = 2},
  [730] = {.lex_state = 263, .external_lex_state = 2},
  [731] = {.lex_state = 263, .external_lex_state = 2},
  [732] = {.lex_state = 263, .external_lex_state = 2},
  [733] = {.lex_state = 263, .external_lex_state = 2},
  [734] = {.lex_state = 263, .external_lex_state = 2},
  [735] = {.lex_state = 263, .external_lex_state = 2},
  [736] = {.lex_state = 263, .external_lex_state = 2},
  [737] = {.lex_state = 263, .external_lex_state = 2},
  [738] = {.lex_state = 263, .external_lex_state = 2},
  [739] = {.lex_state = 263, .external_lex_state = 2},
  [740] = {.lex_state = 263, .external_lex_state = 2},
  [741] = {.lex_state = 263, .external_lex_state = 2},
  [742] = {.lex_state = 263, .external_lex_state = 2},
  [743] = {.lex_state = 263, .external_lex_state = 2},
  [744] = {.lex_state = 263, .external_lex_state = 2},
  [745] = {.lex_state = 263, .external_lex_state = 2},
  [746] = {.lex_state = 263, .external_lex_state = 2},
  [747] = {.lex_state = 263, .external_lex_state = 2},
  [748] = {.lex_state = 263, .external_lex_state = 2},
  [749] = {.lex_state = 263, .external_lex_state = 2},
  [750] = {.lex_state = 263, .external_lex_state = 2},
  [751] = {.lex_state = 263, .external_lex_state = 2},
  [752] = {.lex_state = 263, .external_lex_state = 2},
  [753] = {.lex_state = 263, .external_lex_state = 2},
  [754] = {.lex_state = 263, .external_lex_state = 2},
  [755] = {.lex_state = 263, .external_lex_state = 2},
  [756] = {.lex_state = 263, .external_lex_state = 2},
  [757] = {.lex_state = 263, .external_lex_state = 2},
  [758] = {.lex_state = 263, .external_lex_state = 2},
  [759] = {.lex_state = 263, .external_lex_state = 2},
  [760] = {.lex_state = 263, .external_lex_state = 2},
  [761] = {.lex_state = 263, .external_lex_state = 2},
  [762] = {.lex_state = 263, .external_lex_state = 2},
  [763] = {.lex_state = 263, .external_lex_state = 2},
  [764] = {.lex_state = 263, .external_lex_state = 2},
  [765] = {.lex_state = 263, .external_lex_state = 2},
  [766] = {.lex_state = 263, .external_lex_state = 2},
  [767] = {.lex_state = 263, .external_lex_state = 2},
  [768] = {.lex_state = 263, .external_lex_state = 2},
  [769] = {.lex_state = 263, .external_lex_state = 2},
  [770] = {.lex_state = 263, .external_lex_state = 2},
  [771] = {.lex_state = 263, .external_lex_state = 2},
  [772] = {.lex_state = 263, .external_lex_state = 2},
  [773] = {.lex_state = 263, .external_lex_state = 2},
  [774] = {.lex_state = 263, .external_lex_state = 2},
  [775] = {.lex_state = 263, .external_lex_state = 2},
  [776] = {.lex_state = 263, .external_lex_state = 2},
  [777] = {.lex_state = 263, .external_lex_state = 2},
  [778] = {.lex_state = 263, .external_lex_state = 2},
  [779] = {.lex_state = 263, .external_lex_state = 2},
  [780] = {.lex_state = 263, .external_lex_state = 2},
  [781] = {.lex_state = 263, .external_lex_state = 2},
  [782] = {.lex_state = 263, .external_lex_state = 2},
  [783] = {.lex_state = 263, .external_lex_state = 2},
  [784] = {.lex_state = 263, .external_lex_state = 2},
  [785] = {.lex_state = 263, .external_lex_state = 2},
  [786] = {.lex_state = 263, .external_lex_state = 2},
  [787] = {.lex_state = 263, .external_lex_state = 2},
  [788] = {.lex_state = 263, .external_lex_state = 2},
  [789] = {.lex_state = 263, .external_lex_state = 2},
  [790] = {.lex_state = 263, .external_lex_state = 2},
  [791] = {.lex_state = 263, .external_lex_state = 2},
  [792] = {.lex_state = 263, .external_lex_state = 2},
  [793] = {.lex_state = 263, .external_lex_state = 2},
  [794] = {.lex_state = 263, .external_lex_state = 2},
  [795] = {.lex_state = 263, .external_lex_state = 2},
  [796] = {.lex_state = 263, .external_lex_state = 2},
  [797] = {.lex_state = 263, .external_lex_state = 2},
  [798] = {.lex_state = 263, .external_lex_state = 2},
  [799] = {.lex_state = 263, .external_lex_state = 2},
  [800] = {.lex_state = 263, .external_lex_state = 2},
  [801] = {.lex_state = 263, .external_lex_state = 2},
  [802] = {.lex_state = 263, .external_lex_state = 2},
  [803] = {.lex_state = 263, .external_lex_state = 2},
  [804] = {.lex_state = 263, .external_lex_state = 2},
  [805] = {.lex_state = 263, .external_lex_state = 2},
  [806] = {.lex_state = 263, .external_lex_state = 2},
  [807] = {.lex_state = 263, .external_lex_state = 2},
  [808] = {.lex_state = 263, .external_lex_state = 2},
  [809] = {.lex_state = 263, .external_lex_state = 2},
  [810] = {.lex_state = 263, .external_lex_state = 2},
  [811] = {.lex_state = 263, .external_lex_state = 2},
  [812] = {.lex_state = 263, .external_lex_state = 2},
  [813] = {.lex_state = 263, .external_lex_state = 2},
  [814] = {.lex_state = 263, .external_lex_state = 2},
  [815] = {.lex_state = 263, .external_lex_state = 2},
  [816] = {.lex_state = 263, .external_lex_state = 2},
  [817] = {.lex_state = 263, .external_lex_state = 2},
  [818] = {.lex_state = 263, .external_lex_state = 2},
  [819] = {.lex_state = 263, .external_lex_state = 2},
  [820] = {.lex_state = 263, .external_lex_state = 2},
  [821] = {.lex_state = 263, .external_lex_state = 2},
  [822] = {.lex_state = 263, .external_lex_state = 2},
  [823] = {.lex_state = 263, .external_lex_state = 2},
  [824] = {.lex_state = 263, .external_lex_state = 2},
  [825] = {.lex_state = 263, .external_lex_state = 2},
  [826] = {.lex_state = 263, .external_lex_state = 2},
  [827] = {.lex_state = 263, .external_lex_state = 2},
  [828] = {.lex_state = 263, .external_lex_state = 2},
  [829] = {.lex_state = 263, .external_lex_state = 2},
  [830] = {.lex_state = 263, .external_lex_state = 2},
  [831] = {.lex_state = 263, .external_lex_state = 2},
  [832] = {.lex_state = 263, .external_lex_state = 2},
  [833] = {.lex_state = 263, .external_lex_state = 2},
  [834] = {.lex_state = 263, .external_lex_state = 2},
  [835] = {.lex_state = 263, .external_lex_state = 2},
  [836] = {.lex_state = 263, .external_lex_state = 2},
  [837] = {.lex_state = 263, .external_lex_state = 2},
  [838] = {.lex_state = 263, .external_lex_state = 2},
  [839] = {.lex_state = 263, .external_lex_state = 2},
  [840] = {.lex_state = 263, .external_lex_state = 2},
  [841] = {.lex_state = 263, .external_lex_state = 2},
  [842] = {.lex_state = 263, .external_lex_state = 2},
  [843] = {.lex_state = 263, .external_lex_state = 2},
  [844] = {.lex_state = 263, .external_lex_state = 2},
  [845] = {.lex_state = 263, .external_lex_state = 2},
  [846] = {.lex_state = 263, .external_lex_state = 2},
  [847] = {.lex_state = 263, .external_lex_state = 2},
  [848] = {.lex_state = 263, .external_lex_state = 2},
  [849] = {.lex_state = 263, .external_lex_state = 2},
  [850] = {.lex_state = 263, .external_lex_state = 2},
  [851] = {.lex_state = 263, .external_lex_state = 2},
  [852] = {.lex_state = 263, .external_lex_state = 2},
  [853] = {.lex_state = 263, .external_lex_state = 2},
  [854] = {.lex_state = 263, .external_lex_state = 2},
  [855] = {.lex_state = 263, .external_lex_state = 2},
  [856] = {.lex_state = 263, .external_lex_state = 2},
  [857] = {.lex_state = 263, .external_lex_state = 2},
  [858] = {.lex_state = 263, .external_lex_state = 2},
  [859] = {.lex_state = 263, .external_lex_state = 2},
  [860] = {.lex_state = 263, .external_lex_state = 2},
  [861] = {.lex_state = 263, .external_lex_state = 2},
  [862] = {.lex_state = 263, .external_lex_state = 2},
  [863] = {.lex_state = 263, .external_lex_state = 2},
  [864] = {.lex_state = 263, .external_lex_state = 2},
  [865] = {.lex_state = 263, .external_lex_state = 2},
  [866] = {.lex_state = 263, .external_lex_state = 2},
  [867] = {.lex_state = 263, .external_lex_state = 2},
  [868] = {.lex_state = 263, .external_lex_state = 2},
  [869] = {.lex_state = 263, .external_lex_state = 2},
  [870] = {.lex_state = 263, .external_lex_state = 2},
  [871] = {.lex_state = 263, .external_lex_state = 2},
  [872] = {.lex_state = 263, .external_lex_state = 2},
  [873] = {.lex_state = 263, .external_lex_state = 2},
  [874] = {.lex_state = 263, .external_lex_state = 2},
  [875] = {.lex_state = 263, .external_lex_state = 2},
  [876] = {.lex_state = 263, .external_lex_state = 2},
  [877] = {.lex_state = 263, .external_lex_state = 2},
  [878] = {.lex_state = 263, .external_lex_state = 2},
  [879] = {.lex_state = 263, .external_lex_state = 2},
  [880] = {.lex_state = 263, .external_lex_state = 2},
  [881] = {.lex_state = 263, .external_lex_state = 2},
  [882] = {.lex_state = 263, .external_lex_state = 2},
  [883] = {.lex_state = 263, .external_lex_state = 2},
  [884] = {.lex_state = 263, .external_lex_state = 2},
  [885] = {.lex_state = 263, .external_lex_state = 2},
  [886] = {.lex_state = 263, .external_lex_state = 2},
  [887] = {.lex_state = 263, .external_lex_state = 2},
  [888] = {.lex_state = 263, .external_lex_state = 2},
  [889] = {.lex_state = 263, .external_lex_state = 2},
  [890] = {.lex_state = 263, .external_lex_state = 2},
  [891] = {.lex_state = 263, .external_lex_state = 2},
  [892] = {.lex_state = 263, .external_lex_state = 2},
  [893] = {.lex_state = 263, .external_lex_state = 2},
  [894] = {.lex_state = 263, .external_lex_state = 2},
  [895] = {.lex_state = 263, .external_lex_state = 2},
  [896] = {.lex_state = 263, .external_lex_state = 2},
  [897] = {.lex_state = 263, .external_lex_state = 2},
  [898] = {.lex_state = 263, .external_lex_state = 2},
  [899] = {.lex_state = 263, .external_lex_state = 2},
  [900] = {.lex_state = 263, .external_lex_state = 2},
  [901] = {.lex_state = 263, .external_lex_state = 2},
  [902] = {.lex_state = 263, .external_lex_state = 2},
  [903] = {.lex_state = 263, .external_lex_state = 2},
  [904] = {.lex_state = 263, .external_lex_state = 2},
  [905] = {.lex_state = 263, .external_lex_state = 2},
  [906] = {.lex_state = 263, .external_lex_state = 2},
  [907] = {.lex_state = 263, .external_lex_state = 2},
  [908] = {.lex_state = 263, .external_lex_state = 2},
  [909] = {.lex_state = 263, .external_lex_state = 2},
  [910] = {.lex_state = 81, .external_lex_state = 3},
  [911] = {.lex_state = 81, .external_lex_state = 3},
  [912] = {.lex_state = 81, .external_lex_state = 3},
  [913] = {.lex_state = 81, .external_lex_state = 3},
  [914] = {.lex_state = 81, .external_lex_state = 3},
  [915] = {.lex_state = 81, .external_lex_state = 3},
  [916] = {.lex_state = 81, .external_lex_state = 3},
  [917] = {.lex_state = 81, .external_lex_state = 3},
  [918] = {.lex_state = 81, .external_lex_state = 3},
  [919] = {.lex_state = 81, .external_lex_state = 3},
  [920] = {.lex_state = 81, .external_lex_state = 3},
  [921] = {.lex_state = 81, .external_lex_state = 3},
  [922] = {.lex_state = 81, .external_lex_state = 3},
  [923] = {.lex_state = 81, .external_lex_state = 3},
  [924] = {.lex_state = 81, .external_lex_state = 3},
  [925] = {.lex_state = 81, .external_lex_state = 3},
  [926] = {.lex_state = 81, .external_lex_state = 3},
  [927] = {.lex_state = 81, .external_lex_state = 2},
  [928] = {.lex_state = 265, .external_lex_state = 3},
  [929] = {.lex_state = 265, .external_lex_state = 3},
  [930] = {.lex_state = 265, .external_lex_state = 3},
  [931] = {.lex_state = 265, .external_lex_state = 3},
  [932] = {.lex_state = 265, .external_lex_state = 3},
  [933] = {.lex_state = 265, .external_lex_state = 3},
  [934] = {.lex_state = 265, .external_lex_state = 3},
  [935] = {.lex_state = 265, .external_lex_state = 3},
  [936] = {.lex_state = 265, .external_lex_state = 3},
  [937] = {.lex_state = 265, .external_lex_state = 3},
  [938] = {.lex_state = 265, .external_lex_state = 3},
  [939] = {.lex_state = 265, .external_lex_state = 3},
  [940] = {.lex_state = 265, .external_lex_state = 3},
  [941] = {.lex_state = 265, .external_lex_state = 3},
  [942] = {.lex_state = 265, .external_lex_state = 3},
  [943] = {.lex_state = 265, .external_lex_state = 3},
  [944] = {.lex_state = 265, .external_lex_state = 3},
  [945] = {.lex_state = 86, .external_lex_state = 3},
  [946] = {.lex_state = 265, .external_lex_state = 3},
  [947] = {.lex_state = 265, .external_lex_state = 3},
  [948] = {.lex_state = 265, .external_lex_state = 3},
  [949] = {.lex_state = 265, .external_lex_state = 3},
  [950] = {.lex_state = 86, .external_lex_state = 3},
  [951] = {.lex_state = 86, .external_lex_state = 3},
  [952] = {.lex_state = 265, .external_lex_state = 3},
  [953] = {.lex_state = 86, .external_lex_state = 3},
  [954] = {.lex_state = 265, .external_lex_state = 3},
  [955] = {.lex_state = 86, .external_lex_state = 3},
  [956] = {.lex_state = 86, .external_lex_state = 3},
  [957] = {.lex_state = 86, .external_lex_state = 3},
  [958] = {.lex_state = 265, .external_lex_state = 3},
  [959] = {.lex_state = 265, .external_lex_state = 3},
  [960] = {.lex_state = 86, .external_lex_state = 3},
  [961] = {.lex_state = 265, .external_lex_state = 3},
  [962] = {.lex_state = 265, .external_lex_state = 3},
  [963] = {.lex_state = 265, .external_lex_state = 3},
  [964] = {.lex_state = 265, .external_lex_state = 3},
  [965] = {.lex_state = 265, .external_lex_state = 3},
  [966] = {.lex_state = 265, .external_lex_state = 3},
  [967] = {.lex_state = 265, .external_lex_state = 3},
  [968] = {.lex_state = 265, .external_lex_state = 3},
  [969] = {.lex_state = 265, .external_lex_state = 3},
  [970] = {.lex_state = 86, .external_lex_state = 3},
  [971] = {.lex_state = 265, .external_lex_state = 3},
  [972] = {.lex_state = 86, .external_lex_state = 3},
  [973] = {.lex_state = 265, .external_lex_state = 3},
  [974] = {.lex_state = 265, .external_lex_state = 3},
  [975] = {.lex_state = 265, .external_lex_state = 3},
  [976] = {.lex_state = 265, .external_lex_state = 3},
  [977] = {.lex_state = 86, .external_lex_state = 3},
  [978] = {.lex_state = 265, .external_lex_state = 3},
  [979] = {.lex_state = 265, .external_lex_state = 3},
  [980] = {.lex_state = 86, .external_lex_state = 3},
  [981] = {.lex_state = 86, .external_lex_state = 3},
  [982] = {.lex_state = 86, .external_lex_state = 3},
  [983] = {.lex_state = 86, .external_lex_state = 3},
  [984] = {.lex_state = 86, .external_lex_state = 3},
  [985] = {.lex_state = 265, .external_lex_state = 3},
  [986] = {.lex_state = 265, .external_lex_state = 3},
  [987] = {.lex_state = 265, .external_lex_state = 3},
  [988] = {.lex_state = 265, .external_lex_state = 3},
  [989] = {.lex_state = 265, .external_lex_state = 3},
  [990] = {.lex_state = 265, .external_lex_state = 3},
  [991] = {.lex_state = 265, .external_lex_state = 3},
  [992] = {.lex_state = 265, .external_lex_state = 3},
  [993] = {.lex_state = 265, .external_lex_state = 3},
  [994] = {.lex_state = 86, .external_lex_state = 3},
  [995] = {.lex_state = 265, .external_lex_state = 2},
  [996] = {.lex_state = 265, .external_lex_state = 3},
  [997] = {.lex_state = 89, .external_lex_state = 3},
  [998] = {.lex_state = 89, .external_lex_state = 3},
  [999] = {.lex_state = 89, .external_lex_state = 3},
  [1000] = {.lex_state = 89, .external_lex_state = 3},
  [1001] = {.lex_state = 89, .external_lex_state = 3},
  [1002] = {.lex_state = 89, .external_lex_state = 3},
  [1003] = {.lex_state = 89, .external_lex_state = 3},
  [1004] = {.lex_state = 89, .external_lex_state = 3},
  [1005] = {.lex_state = 89, .external_lex_state = 3},
  [1006] = {.lex_state = 89, .external_lex_state = 3},
  [1007] = {.lex_state = 89, .external_lex_state = 3},
  [1008] = {.lex_state = 265, .external_lex_state = 2},
  [1009] = {.lex_state = 89, .external_lex_state = 3},
  [1010] = {.lex_state = 89, .external_lex_state = 3},
  [1011] = {.lex_state = 265, .external_lex_state = 2},
  [1012] = {.lex_state = 89, .external_lex_state = 3},
  [1013] = {.lex_state = 86, .external_lex_state = 2},
  [1014] = {.lex_state = 89, .external_lex_state = 3},
  [1015] = {.lex_state = 89, .external_lex_state = 3},
  [1016] = {.lex_state = 89, .external_lex_state = 3},
  [1017] = {.lex_state = 89, .external_lex_state = 2},
  [1018] = {.lex_state = 79, .external_lex_state = 2},
  [1019] = {.lex_state = 79, .external_lex_state = 2},
  [1020] = {.lex_state = 94, .external_lex_state = 2},
  [1021] = {.lex_state = 94, .external_lex_state = 2},
  [1022] = {.lex_state = 94, .external_lex_state = 2},
  [1023] = {.lex_state = 94, .external_lex_state = 2},
  [1024] = {.lex_state = 79, .external_lex_state = 2},
  [1025] = {.lex_state = 94, .external_lex_state = 2},
  [1026] = {.lex_state = 92, .external_lex_state = 2},
  [1027] = {.lex_state = 92, .external_lex_state = 2},
  [1028] = {.lex_state = 263, .external_lex_state = 2},
  [1029] = {.lex_state = 98, .external_lex_state = 2},
  [1030] = {.lex_state = 263, .external_lex_state = 2},
  [1031] = {.lex_state = 263, .external_lex_state = 2},
  [1032] = {.lex_state = 263, .external_lex_state = 2},
  [1033] = {.lex_state = 98, .external_lex_state = 2},
  [1034] = {.lex_state = 263, .external_lex_state = 2},
  [1035] = {.lex_state = 98, .external_lex_state = 2},
  [1036] = {.lex_state = 92, .external_lex_state = 2},
  [1037] = {.lex_state = 263, .external_lex_state = 2},
  [1038] = {.lex_state = 263, .external_lex_state = 2},
  [1039] = {.lex_state = 263, .external_lex_state = 2},
  [1040] = {.lex_state = 263, .external_lex_state = 2},
  [1041] = {.lex_state = 263, .external_lex_state = 2},
  [1042] = {.lex_state = 100, .external_lex_state = 4},
  [1043] = {.lex_state = 100, .external_lex_state = 4},
  [1044] = {.lex_state = 100, .external_lex_state = 4},
  [1045] = {.lex_state = 100, .external_lex_state = 4},
  [1046] = {.lex_state = 100, .external_lex_state = 4},
  [1047] = {.lex_state = 100, .external_lex_state = 4},
  [1048] = {.lex_state = 100, .external_lex_state = 4},
  [1049] = {.lex_state = 100, .external_lex_state = 4},
  [1050] = {.lex_state = 100, .external_lex_state = 4},
  [1051] = {.lex_state = 100, .external_lex_state = 4},
  [1052] = {.lex_state = 100, .external_lex_state = 4},
  [1053] = {.lex_state = 100, .external_lex_state = 4},
  [1054] = {.lex_state = 100, .external_lex_state = 4},
  [1055] = {.lex_state = 100, .external_lex_state = 4},
  [1056] = {.lex_state = 100, .external_lex_state = 4},
  [1057] = {.lex_state = 100, .external_lex_state = 4},
  [1058] = {.lex_state = 100, .external_lex_state = 4},
  [1059] = {.lex_state = 100, .external_lex_state = 4},
  [1060] = {.lex_state = 102, .external_lex_state = 4},
  [1061] = {.lex_state = 102, .external_lex_state = 4},
  [1062] = {.lex_state = 102, .external_lex_state = 4},
  [1063] = {.lex_state = 102, .external_lex_state = 4},
  [1064] = {.lex_state = 102, .external_lex_state = 4},
  [1065] = {.lex_state = 102, .external_lex_state = 4},
  [1066] = {.lex_state = 102, .external_lex_state = 4},
  [1067] = {.lex_state = 102, .external_lex_state = 4},
  [1068] = {.lex_state = 102, .external_lex_state = 4},
  [1069] = {.lex_state = 102, .external_lex_state = 4},
  [1070] = {.lex_state = 102, .external_lex_state = 4},
  [1071] = {.lex_state = 102, .external_lex_state = 4},
  [1072] = {.lex_state = 102, .external_lex_state = 4},
  [1073] = {.lex_state = 102, .external_lex_state = 4},
  [1074] = {.lex_state = 102, .external_lex_state = 4},
  [1075] = {.lex_state = 102, .external_lex_state = 4},
  [1076] = {.lex_state = 102, .external_lex_state = 4},
  [1077] = {.lex_state = 102, .external_lex_state = 4},
  [1078] = {.lex_state = 102, .external_lex_state = 4},
  [1079] = {.lex_state = 102, .external_lex_state = 4},
  [1080] = {.lex_state = 102, .external_lex_state = 4},
  [1081] = {.lex_state = 102, .external_lex_state = 4},
  [1082] = {.lex_state = 102, .external_lex_state = 4},
  [1083] = {.lex_state = 102, .external_lex_state = 4},
  [1084] = {.lex_state = 102, .external_lex_state = 5},
  [1085] = {.lex_state = 102, .external_lex_state = 5},
  [1086] = {.lex_state = 102, .external_lex_state = 5},
  [1087] = {.lex_state = 102, .external_lex_state = 5},
  [1088] = {.lex_state = 102, .external_lex_state = 5},
  [1089] = {.lex_state = 102, .external_lex_state = 5},
  [1090] = {.lex_state = 102, .external_lex_state = 5},
  [1091] = {.lex_state = 102, .external_lex_state = 5},
  [1092] = {.lex_state = 102, .external_lex_state = 5},
  [1093] = {.lex_state = 102, .external_lex_state = 4},
  [1094] = {.lex_state = 102, .external_lex_state = 4},
  [1095] = {.lex_state = 102, .external_lex_state = 5},
  [1096] = {.lex_state = 102, .external_lex_state = 5},
  [1097] = {.lex_state = 102, .external_lex_state = 5},
  [1098] = {.lex_state = 102, .external_lex_state = 5},
  [1099] = {.lex_state = 102, .external_lex_state = 5},
  [1100] = {.lex_state = 102, .external_lex_state = 5},
  [1101] = {.lex_state = 102, .external_lex_state = 5},
  [1102] = {.lex_state = 267, .external_lex_state = 5},
  [1103] = {.lex_state = 267, .external_lex_state = 5},
  [1104] = {.lex_state = 102, .external_lex_state = 5},
  [1105] = {.lex_state = 102, .external_lex_state = 5},
  [1106] = {.lex_state = 102, .external_lex_state = 5},
  [1107] = {.lex_state = 267, .external_lex_state = 5},
  [1108] = {.lex_state = 267, .external_lex_state = 5},
  [1109] = {.lex_state = 267, .external_lex_state = 5},
  [1110] = {.lex_state = 102, .external_lex_state = 4},
  [1111] = {.lex_state = 102, .external_lex_state = 5},
  [1112] = {.lex_state = 102, .external_lex_state = 5},
  [1113] = {.lex_state = 102, .external_lex_state = 4},
  [1114] = {.lex_state = 102, .external_lex_state = 4},
  [1115] = {.lex_state = 102, .external_lex_state = 4},
  [1116] = {.lex_state = 102, .external_lex_state = 4},
  [1117] = {.lex_state = 102, .external_lex_state = 5},
  [1118] = {.lex_state = 102, .external_lex_state = 4},
  [1119] = {.lex_state = 102, .external_lex_state = 5},
  [1120] = {.lex_state = 102, .external_lex_state = 5},
  [1121] = {.lex_state = 102, .external_lex_state = 5},
  [1122] = {.lex_state = 102, .external_lex_state = 5},
  [1123] = {.lex_state = 102, .external_lex_state = 5},
  [1124] = {.lex_state = 267, .external_lex_state = 5},
  [1125] = {.lex_state = 102, .external_lex_state = 5},
  [1126] = {.lex_state = 102, .external_lex_state = 5},
  [1127] = {.lex_state = 102, .external_lex_state = 5},
  [1128] = {.lex_state = 102, .external_lex_state = 5},
  [1129] = {.lex_state = 102, .external_lex_state = 5},
  [1130] = {.lex_state = 102, .external_lex_state = 5},
  [1131] = {.lex_state = 102, .external_lex_state = 5},
  [1132] = {.lex_state = 267, .external_lex_state = 5},
  [1133] = {.lex_state = 102, .external_lex_state = 5},
  [1134] = {.lex_state = 102, .external_lex_state = 5},
  [1135] = {.lex_state = 102, .external_lex_state = 5},
  [1136] = {.lex_state = 102, .external_lex_state = 5},
  [1137] = {.lex_state = 102, .external_lex_state = 5},
  [1138] = {.lex_state = 102, .external_lex_state = 5},
  [1139] = {.lex_state = 102, .external_lex_state = 5},
  [1140] = {.lex_state = 102, .external_lex_state = 5},
  [1141] = {.lex_state = 102, .external_lex_state = 5},
  [1142] = {.lex_state = 102, .external_lex_state = 5},
  [1143] = {.lex_state = 102, .external_lex_state = 5},
  [1144] = {.lex_state = 102, .external_lex_state = 5},
  [1145] = {.lex_state = 102, .external_lex_state = 5},
  [1146] = {.lex_state = 107, .external_lex_state = 5},
  [1147] = {.lex_state = 107, .external_lex_state = 5},
  [1148] = {.lex_state = 107, .external_lex_state = 5},
  [1149] = {.lex_state = 107, .external_lex_state = 5},
  [1150] = {.lex_state = 107, .external_lex_state = 5},
  [1151] = {.lex_state = 107, .external_lex_state = 5},
  [1152] = {.lex_state = 107, .external_lex_state = 5},
  [1153] = {.lex_state = 102, .external_lex_state = 5},
  [1154] = {.lex_state = 107, .external_lex_state = 5},
  [1155] = {.lex_state = 107, .external_lex_state = 5},
  [1156] = {.lex_state = 102, .external_lex_state = 5},
  [1157] = {.lex_state = 107, .external_lex_state = 5},
  [1158] = {.lex_state = 102, .external_lex_state = 5},
  [1159] = {.lex_state = 102, .external_lex_state = 5},
  [1160] = {.lex_state = 107, .external_lex_state = 5},
  [1161] = {.lex_state = 102, .external_lex_state = 5},
  [1162] = {.lex_state = 267, .external_lex_state = 5},
  [1163] = {.lex_state = 267, .external_lex_state = 5},
  [1164] = {.lex_state = 267, .external_lex_state = 5},
  [1165] = {.lex_state = 267, .external_lex_state = 5},
  [1166] = {.lex_state = 107, .external_lex_state = 5},
  [1167] = {.lex_state = 107, .external_lex_state = 5},
  [1168] = {.lex_state = 107, .external_lex_state = 5},
  [1169] = {.lex_state = 107, .external_lex_state = 5},
  [1170] = {.lex_state = 107, .external_lex_state = 5},
  [1171] = {.lex_state = 107, .external_lex_state = 5},
  [1172] = {.lex_state = 107, .external_lex_state = 5},
  [1173] = {.lex_state = 107, .external_lex_state = 5},
  [1174] = {.lex_state = 107, .external_lex_state = 5},
  [1175] = {.lex_state = 102, .external_lex_state = 5},
  [1176] = {.lex_state = 107, .external_lex_state = 5},
  [1177] = {.lex_state = 107, .external_lex_state = 5},
  [1178] = {.lex_state = 107, .external_lex_state = 5},
  [1179] = {.lex_state = 102, .external_lex_state = 5},
  [1180] = {.lex_state = 107, .external_lex_state = 5},
  [1181] = {.lex_state = 107, .external_lex_state = 5},
  [1182] = {.lex_state = 102, .external_lex_state = 5},
  [1183] = {.lex_state = 107, .external_lex_state = 5},
  [1184] = {.lex_state = 267, .external_lex_state = 5},
  [1185] = {.lex_state = 267, .external_lex_state = 5},
  [1186] = {.lex_state = 107, .external_lex_state = 5},
  [1187] = {.lex_state = 102, .external_lex_state = 5},
  [1188] = {.lex_state = 102, .external_lex_state = 5},
  [1189] = {.lex_state = 102, .external_lex_state = 5},
  [1190] = {.lex_state = 107, .external_lex_state = 5},
  [1191] = {.lex_state = 107, .external_lex_state = 5},
  [1192] = {.lex_state = 267, .external_lex_state = 5},
  [1193] = {.lex_state = 267, .external_lex_state = 5},
  [1194] = {.lex_state = 107, .external_lex_state = 5},
  [1195] = {.lex_state = 107, .external_lex_state = 5},
  [1196] = {.lex_state = 107, .external_lex_state = 5},
  [1197] = {.lex_state = 107, .external_lex_state = 5},
  [1198] = {.lex_state = 107, .external_lex_state = 5},
  [1199] = {.lex_state = 107, .external_lex_state = 5},
  [1200] = {.lex_state = 107, .external_lex_state = 5},
  [1201] = {.lex_state = 107, .external_lex_state = 5},
  [1202] = {.lex_state = 107, .external_lex_state = 5},
  [1203] = {.lex_state = 107, .external_lex_state = 5},
  [1204] = {.lex_state = 102, .external_lex_state = 5},
  [1205] = {.lex_state = 107, .external_lex_state = 5},
  [1206] = {.lex_state = 107, .external_lex_state = 5},
  [1207] = {.lex_state = 107, .external_lex_state = 5},
  [1208] = {.lex_state = 267, .external_lex_state = 5},
  [1209] = {.lex_state = 107, .external_lex_state = 5},
  [1210] = {.lex_state = 267, .external_lex_state = 5},
  [1211] = {.lex_state = 267, .external_lex_state = 5},
  [1212] = {.lex_state = 102, .external_lex_state = 5},
  [1213] = {.lex_state = 107, .external_lex_state = 5},
  [1214] = {.lex_state = 267, .external_lex_state = 5},
  [1215] = {.lex_state = 267, .external_lex_state = 5},
  [1216] = {.lex_state = 107, .external_lex_state = 5},
  [1217] = {.lex_state = 107, .external_lex_state = 5},
  [1218] = {.lex_state = 102, .external_lex_state = 5},
  [1219] = {.lex_state = 267, .external_lex_state = 5},
  [1220] = {.lex_state = 102, .external_lex_state = 5},
  [1221] = {.lex_state = 102, .external_lex_state = 5},
  [1222] = {.lex_state = 107, .external_lex_state = 5},
  [1223] = {.lex_state = 102, .external_lex_state = 5},
  [1224] = {.lex_state = 107, .external_lex_state = 5},
  [1225] = {.lex_state = 107, .external_lex_state = 5},
  [1226] = {.lex_state = 107, .external_lex_state = 5},
  [1227] = {.lex_state = 102, .external_lex_state = 4},
  [1228] = {.lex_state = 102, .external_lex_state = 4},
  [1229] = {.lex_state = 102, .external_lex_state = 4},
  [1230] = {.lex_state = 107, .external_lex_state = 5},
  [1231] = {.lex_state = 107, .external_lex_state = 5},
  [1232] = {.lex_state = 107, .external_lex_state = 5},
  [1233] = {.lex_state = 107, .external_lex_state = 5},
  [1234] = {.lex_state = 107, .external_lex_state = 5},
  [1235] = {.lex_state = 102, .external_lex_state = 5},
  [1236] = {.lex_state = 102, .external_lex_state = 5},
  [1237] = {.lex_state = 102, .external_lex_state = 5},
  [1238] = {.lex_state = 102, .external_lex_state = 5},
  [1239] = {.lex_state = 102, .external_lex_state = 5},
  [1240] = {.lex_state = 102, .external_lex_state = 5},
  [1241] = {.lex_state = 102, .external_lex_state = 5},
  [1242] = {.lex_state = 102, .external_lex_state = 5},
  [1243] = {.lex_state = 102, .external_lex_state = 5},
  [1244] = {.lex_state = 107, .external_lex_state = 5},
  [1245] = {.lex_state = 102, .external_lex_state = 5},
  [1246] = {.lex_state = 107, .external_lex_state = 5},
  [1247] = {.lex_state = 107, .external_lex_state = 5},
  [1248] = {.lex_state = 102, .external_lex_state = 5},
  [1249] = {.lex_state = 102, .external_lex_state = 5},
  [1250] = {.lex_state = 102, .external_lex_state = 5},
  [1251] = {.lex_state = 102, .external_lex_state = 5},
  [1252] = {.lex_state = 102, .external_lex_state = 5},
  [1253] = {.lex_state = 102, .external_lex_state = 5},
  [1254] = {.lex_state = 102, .external_lex_state = 5},
  [1255] = {.lex_state = 107, .external_lex_state = 5},
  [1256] = {.lex_state = 102, .external_lex_state = 5},
  [1257] = {.lex_state = 102, .external_lex_state = 5},
  [1258] = {.lex_state = 102, .external_lex_state = 5},
  [1259] = {.lex_state = 107, .external_lex_state = 5},
  [1260] = {.lex_state = 102, .external_lex_state = 5},
  [1261] = {.lex_state = 102, .external_lex_state = 5},
  [1262] = {.lex_state = 107, .external_lex_state = 5},
  [1263] = {.lex_state = 267, .external_lex_state = 5},
  [1264] = {.lex_state = 267, .external_lex_state = 5},
  [1265] = {.lex_state = 107, .external_lex_state = 5},
  [1266] = {.lex_state = 107, .external_lex_state = 5},
  [1267] = {.lex_state = 102, .external_lex_state = 5},
  [1268] = {.lex_state = 102, .external_lex_state = 5},
  [1269] = {.lex_state = 102, .external_lex_state = 5},
  [1270] = {.lex_state = 102, .external_lex_state = 5},
  [1271] = {.lex_state = 102, .external_lex_state = 5},
  [1272] = {.lex_state = 107, .external_lex_state = 5},
  [1273] = {.lex_state = 107, .external_lex_state = 5},
  [1274] = {.lex_state = 107, .external_lex_state = 5},
  [1275] = {.lex_state = 107, .external_lex_state = 5},
  [1276] = {.lex_state = 102, .external_lex_state = 5},
  [1277] = {.lex_state = 102, .external_lex_state = 5},
  [1278] = {.lex_state = 102, .external_lex_state = 5},
  [1279] = {.lex_state = 107, .external_lex_state = 5},
  [1280] = {.lex_state = 107, .external_lex_state = 5},
  [1281] = {.lex_state = 102, .external_lex_state = 5},
  [1282] = {.lex_state = 102, .external_lex_state = 5},
  [1283] = {.lex_state = 102, .external_lex_state = 5},
  [1284] = {.lex_state = 102, .external_lex_state = 5},
  [1285] = {.lex_state = 102, .external_lex_state = 5},
  [1286] = {.lex_state = 102, .external_lex_state = 5},
  [1287] = {.lex_state = 102, .external_lex_state = 5},
  [1288] = {.lex_state = 102, .external_lex_state = 5},
  [1289] = {.lex_state = 102, .external_lex_state = 5},
  [1290] = {.lex_state = 102, .external_lex_state = 5},
  [1291] = {.lex_state = 102, .external_lex_state = 5},
  [1292] = {.lex_state = 102, .external_lex_state = 5},
  [1293] = {.lex_state = 102, .external_lex_state = 5},
  [1294] = {.lex_state = 102, .external_lex_state = 5},
  [1295] = {.lex_state = 102, .external_lex_state = 5},
  [1296] = {.lex_state = 102, .external_lex_state = 5},
  [1297] = {.lex_state = 102, .external_lex_state = 5},
  [1298] = {.lex_state = 102, .external_lex_state = 5},
  [1299] = {.lex_state = 107, .external_lex_state = 5},
  [1300] = {.lex_state = 267, .external_lex_state = 5},
  [1301] = {.lex_state = 267, .external_lex_state = 5},
  [1302] = {.lex_state = 267, .external_lex_state = 5},
  [1303] = {.lex_state = 107, .external_lex_state = 5},
  [1304] = {.lex_state = 267, .external_lex_state = 5},
  [1305] = {.lex_state = 102, .external_lex_state = 5},
  [1306] = {.lex_state = 102, .external_lex_state = 5},
  [1307] = {.lex_state = 102, .external_lex_state = 5},
  [1308] = {.lex_state = 102, .external_lex_state = 5},
  [1309] = {.lex_state = 102, .external_lex_state = 5},
  [1310] = {.lex_state = 267, .external_lex_state = 5},
  [1311] = {.lex_state = 102, .external_lex_state = 5},
  [1312] = {.lex_state = 107, .external_lex_state = 5},
  [1313] = {.lex_state = 107, .external_lex_state = 5},
  [1314] = {.lex_state = 107, .external_lex_state = 5},
  [1315] = {.lex_state = 102, .external_lex_state = 5},
  [1316] = {.lex_state = 107, .external_lex_state = 5},
  [1317] = {.lex_state = 102, .external_lex_state = 5},
  [1318] = {.lex_state = 102, .external_lex_state = 5},
  [1319] = {.lex_state = 102, .external_lex_state = 5},
  [1320] = {.lex_state = 102, .external_lex_state = 5},
  [1321] = {.lex_state = 102, .external_lex_state = 5},
  [1322] = {.lex_state = 102, .external_lex_state = 5},
  [1323] = {.lex_state = 102, .external_lex_state = 5},
  [1324] = {.lex_state = 102, .external_lex_state = 5},
  [1325] = {.lex_state = 102, .external_lex_state = 5},
  [1326] = {.lex_state = 267, .external_lex_state = 5},
  [1327] = {.lex_state = 102, .external_lex_state = 5},
  [1328] = {.lex_state = 107, .external_lex_state = 5},
  [1329] = {.lex_state = 267, .external_lex_state = 5},
  [1330] = {.lex_state = 102, .external_lex_state = 5},
  [1331] = {.lex_state = 102, .external_lex_state = 5},
  [1332] = {.lex_state = 102, .external_lex_state = 5},
  [1333] = {.lex_state = 107, .external_lex_state = 5},
  [1334] = {.lex_state = 107, .external_lex_state = 5},
  [1335] = {.lex_state = 102, .external_lex_state = 5},
  [1336] = {.lex_state = 107, .external_lex_state = 5},
  [1337] = {.lex_state = 102, .external_lex_state = 5},
  [1338] = {.lex_state = 107, .external_lex_state = 5},
  [1339] = {.lex_state = 267, .external_lex_state = 5},
  [1340] = {.lex_state = 267, .external_lex_state = 5},
  [1341] = {.lex_state = 267, .external_lex_state = 5},
  [1342] = {.lex_state = 267, .external_lex_state = 5},
  [1343] = {.lex_state = 267, .external_lex_state = 5},
  [1344] = {.lex_state = 267, .external_lex_state = 5},
  [1345] = {.lex_state = 267, .external_lex_state = 5},
  [1346] = {.lex_state = 267, .external_lex_state = 5},
  [1347] = {.lex_state = 267, .external_lex_state = 5},
  [1348] = {.lex_state = 267, .external_lex_state = 5},
  [1349] = {.lex_state = 267, .external_lex_state = 5},
  [1350] = {.lex_state = 102, .external_lex_state = 4},
  [1351] = {.lex_state = 267, .external_lex_state = 5},
  [1352] = {.lex_state = 267, .external_lex_state = 5},
  [1353] = {.lex_state = 267, .external_lex_state = 5},
  [1354] = {.lex_state = 267, .external_lex_state = 5},
  [1355] = {.lex_state = 267, .external_lex_state = 5},
  [1356] = {.lex_state = 267, .external_lex_state = 5},
  [1357] = {.lex_state = 267, .external_lex_state = 5},
  [1358] = {.lex_state = 267, .external_lex_state = 5},
  [1359] = {.lex_state = 267, .external_lex_state = 5},
  [1360] = {.lex_state = 267, .external_lex_state = 5},
  [1361] = {.lex_state = 267, .external_lex_state = 5},
  [1362] = {.lex_state = 267, .external_lex_state = 5},
  [1363] = {.lex_state = 267, .external_lex_state = 5},
  [1364] = {.lex_state = 267, .external_lex_state = 5},
  [1365] = {.lex_state = 267, .external_lex_state = 5},
  [1366] = {.lex_state = 267, .external_lex_state = 5},
  [1367] = {.lex_state = 267, .external_lex_state = 5},
  [1368] = {.lex_state = 267, .external_lex_state = 5},
  [1369] = {.lex_state = 267, .external_lex_state = 5},
  [1370] = {.lex_state = 267, .external_lex_state = 5},
  [1371] = {.lex_state = 267, .external_lex_state = 5},
  [1372] = {.lex_state = 267, .external_lex_state = 5},
  [1373] = {.lex_state = 267, .external_lex_state = 5},
  [1374] = {.lex_state = 267, .external_lex_state = 5},
  [1375] = {.lex_state = 267, .external_lex_state = 5},
  [1376] = {.lex_state = 267, .external_lex_state = 5},
  [1377] = {.lex_state = 267, .external_lex_state = 5},
  [1378] = {.lex_state = 267, .external_lex_state = 5},
  [1379] = {.lex_state = 267, .external_lex_state = 5},
  [1380] = {.lex_state = 267, .external_lex_state = 5},
  [1381] = {.lex_state = 267, .external_lex_state = 5},
  [1382] = {.lex_state = 267, .external_lex_state = 5},
  [1383] = {.lex_state = 267, .external_lex_state = 5},
  [1384] = {.lex_state = 267, .external_lex_state = 5},
  [1385] = {.lex_state = 267, .external_lex_state = 5},
  [1386] = {.lex_state = 267, .external_lex_state = 5},
  [1387] = {.lex_state = 267, .external_lex_state = 5},
  [1388] = {.lex_state = 267, .external_lex_state = 5},
  [1389] = {.lex_state = 102, .external_lex_state = 4},
  [1390] = {.lex_state = 267, .external_lex_state = 5},
  [1391] = {.lex_state = 267, .external_lex_state = 5},
  [1392] = {.lex_state = 267, .external_lex_state = 5},
  [1393] = {.lex_state = 267, .external_lex_state = 5},
  [1394] = {.lex_state = 267, .external_lex_state = 5},
  [1395] = {.lex_state = 267, .external_lex_state = 5},
  [1396] = {.lex_state = 267, .external_lex_state = 5},
  [1397] = {.lex_state = 267, .external_lex_state = 5},
  [1398] = {.lex_state = 267, .external_lex_state = 5},
  [1399] = {.lex_state = 267, .external_lex_state = 5},
  [1400] = {.lex_state = 267, .external_lex_state = 5},
  [1401] = {.lex_state = 267, .external_lex_state = 5},
  [1402] = {.lex_state = 267, .external_lex_state = 5},
  [1403] = {.lex_state = 267, .external_lex_state = 5},
  [1404] = {.lex_state = 267, .external_lex_state = 5},
  [1405] = {.lex_state = 267, .external_lex_state = 5},
  [1406] = {.lex_state = 267, .external_lex_state = 5},
  [1407] = {.lex_state = 267, .external_lex_state = 5},
  [1408] = {.lex_state = 267, .external_lex_state = 5},
  [1409] = {.lex_state = 102, .external_lex_state = 4},
  [1410] = {.lex_state = 267, .external_lex_state = 5},
  [1411] = {.lex_state = 267, .external_lex_state = 5},
  [1412] = {.lex_state = 267, .external_lex_state = 5},
  [1413] = {.lex_state = 267, .external_lex_state = 5},
  [1414] = {.lex_state = 102, .external_lex_state = 5},
  [1415] = {.lex_state = 102, .external_lex_state = 5},
  [1416] = {.lex_state = 102, .external_lex_state = 5},
  [1417] = {.lex_state = 102, .external_lex_state = 4},
  [1418] = {.lex_state = 267, .external_lex_state = 4},
  [1419] = {.lex_state = 267, .external_lex_state = 4},
  [1420] = {.lex_state = 267, .external_lex_state = 4},
  [1421] = {.lex_state = 102, .external_lex_state = 4},
  [1422] = {.lex_state = 267, .external_lex_state = 5},
  [1423] = {.lex_state = 267, .external_lex_state = 5},
  [1424] = {.lex_state = 102, .external_lex_state = 5},
  [1425] = {.lex_state = 102, .external_lex_state = 5},
  [1426] = {.lex_state = 102, .external_lex_state = 5},
  [1427] = {.lex_state = 267, .external_lex_state = 5},
  [1428] = {.lex_state = 102, .external_lex_state = 4},
  [1429] = {.lex_state = 102, .external_lex_state = 4},
  [1430] = {.lex_state = 102, .external_lex_state = 4},
  [1431] = {.lex_state = 102, .external_lex_state = 4},
  [1432] = {.lex_state = 267, .external_lex_state = 5},
  [1433] = {.lex_state = 267, .external_lex_state = 5},
  [1434] = {.lex_state = 267, .external_lex_state = 5},
  [1435] = {.lex_state = 267, .external_lex_state = 5},
  [1436] = {.lex_state = 102, .external_lex_state = 4},
  [1437] = {.lex_state = 110, .external_lex_state = 5},
  [1438] = {.lex_state = 267, .external_lex_state = 5},
  [1439] = {.lex_state = 267, .external_lex_state = 5},
  [1440] = {.lex_state = 110, .external_lex_state = 5},
  [1441] = {.lex_state = 110, .external_lex_state = 5},
  [1442] = {.lex_state = 110, .external_lex_state = 5},
  [1443] = {.lex_state = 110, .external_lex_state = 5},
  [1444] = {.lex_state = 267, .external_lex_state = 5},
  [1445] = {.lex_state = 267, .external_lex_state = 5},
  [1446] = {.lex_state = 267, .external_lex_state = 5},
  [1447] = {.lex_state = 110, .external_lex_state = 5},
  [1448] = {.lex_state = 110, .external_lex_state = 5},
  [1449] = {.lex_state = 267, .external_lex_state = 5},
  [1450] = {.lex_state = 110, .external_lex_state = 5},
  [1451] = {.lex_state = 110, .external_lex_state = 5},
  [1452] = {.lex_state = 267, .external_lex_state = 5},
  [1453] = {.lex_state = 267, .external_lex_state = 5},
  [1454] = {.lex_state = 110, .external_lex_state = 5},
  [1455] = {.lex_state = 267, .external_lex_state = 5},
  [1456] = {.lex_state = 267, .external_lex_state = 5},
  [1457] = {.lex_state = 267, .external_lex_state = 5},
  [1458] = {.lex_state = 102, .external_lex_state = 4},
  [1459] = {.lex_state = 110, .external_lex_state = 5},
  [1460] = {.lex_state = 267, .external_lex_state = 5},
  [1461] = {.lex_state = 102, .external_lex_state = 4},
  [1462] = {.lex_state = 110, .external_lex_state = 5},
  [1463] = {.lex_state = 267, .external_lex_state = 5},
  [1464] = {.lex_state = 267, .external_lex_state = 5},
  [1465] = {.lex_state = 102, .external_lex_state = 4},
  [1466] = {.lex_state = 102, .external_lex_state = 4},
  [1467] = {.lex_state = 102, .external_lex_state = 4},
  [1468] = {.lex_state = 267, .external_lex_state = 5},
  [1469] = {.lex_state = 267, .external_lex_state = 5},
  [1470] = {.lex_state = 267, .external_lex_state = 5},
  [1471] = {.lex_state = 102, .external_lex_state = 4},
  [1472] = {.lex_state = 102, .external_lex_state = 4},
  [1473] = {.lex_state = 102, .external_lex_state = 4},
  [1474] = {.lex_state = 110, .external_lex_state = 5},
  [1475] = {.lex_state = 110, .external_lex_state = 5},
  [1476] = {.lex_state = 110, .external_lex_state = 5},
  [1477] = {.lex_state = 110, .external_lex_state = 5},
  [1478] = {.lex_state = 110, .external_lex_state = 5},
  [1479] = {.lex_state = 110, .external_lex_state = 5},
  [1480] = {.lex_state = 110, .external_lex_state = 5},
  [1481] = {.lex_state = 110, .external_lex_state = 5},
  [1482] = {.lex_state = 110, .external_lex_state = 5},
  [1483] = {.lex_state = 110, .external_lex_state = 5},
  [1484] = {.lex_state = 110, .external_lex_state = 5},
  [1485] = {.lex_state = 110, .external_lex_state = 5},
  [1486] = {.lex_state = 267, .external_lex_state = 5},
  [1487] = {.lex_state = 102, .external_lex_state = 4},
  [1488] = {.lex_state = 110, .external_lex_state = 5},
  [1489] = {.lex_state = 110, .external_lex_state = 5},
  [1490] = {.lex_state = 110, .external_lex_state = 5},
  [1491] = {.lex_state = 110, .external_lex_state = 5},
  [1492] = {.lex_state = 110, .external_lex_state = 5},
  [1493] = {.lex_state = 110, .external_lex_state = 5},
  [1494] = {.lex_state = 110, .external_lex_state = 5},
  [1495] = {.lex_state = 110, .external_lex_state = 5},
  [1496] = {.lex_state = 110, .external_lex_state = 5},
  [1497] = {.lex_state = 110, .external_lex_state = 5},
  [1498] = {.lex_state = 110, .external_lex_state = 5},
  [1499] = {.lex_state = 110, .external_lex_state = 5},
  [1500] = {.lex_state = 110, .external_lex_state = 5},
  [1501] = {.lex_state = 110, .external_lex_state = 5},
  [1502] = {.lex_state = 110, .external_lex_state = 5},
  [1503] = {.lex_state = 267, .external_lex_state = 5},
  [1504] = {.lex_state = 267, .external_lex_state = 5},
  [1505] = {.lex_state = 267, .external_lex_state = 5},
  [1506] = {.lex_state = 267, .external_lex_state = 5},
  [1507] = {.lex_state = 267, .external_lex_state = 5},
  [1508] = {.lex_state = 267, .external_lex_state = 5},
  [1509] = {.lex_state = 102, .external_lex_state = 4},
  [1510] = {.lex_state = 110, .external_lex_state = 5},
  [1511] = {.lex_state = 102, .external_lex_state = 5},
  [1512] = {.lex_state = 102, .external_lex_state = 5},
  [1513] = {.lex_state = 102, .external_lex_state = 5},
  [1514] = {.lex_state = 102, .external_lex_state = 5},
  [1515] = {.lex_state = 102, .external_lex_state = 5},
  [1516] = {.lex_state = 102, .external_lex_state = 5},
  [1517] = {.lex_state = 102, .external_lex_state = 5},
  [1518] = {.lex_state = 102, .external_lex_state = 5},
  [1519] = {.lex_state = 102, .external_lex_state = 5},
  [1520] = {.lex_state = 102, .external_lex_state = 5},
  [1521] = {.lex_state = 102, .external_lex_state = 5},
  [1522] = {.lex_state = 102, .external_lex_state = 5},
  [1523] = {.lex_state = 102, .external_lex_state = 5},
  [1524] = {.lex_state = 102, .external_lex_state = 5},
  [1525] = {.lex_state = 102, .external_lex_state = 5},
  [1526] = {.lex_state = 102, .external_lex_state = 5},
  [1527] = {.lex_state = 102, .external_lex_state = 5},
  [1528] = {.lex_state = 110, .external_lex_state = 5},
  [1529] = {.lex_state = 110, .external_lex_state = 5},
  [1530] = {.lex_state = 110, .external_lex_state = 5},
  [1531] = {.lex_state = 110, .external_lex_state = 5},
  [1532] = {.lex_state = 110, .external_lex_state = 5},
  [1533] = {.lex_state = 110, .external_lex_state = 5},
  [1534] = {.lex_state = 110, .external_lex_state = 5},
  [1535] = {.lex_state = 110, .external_lex_state = 5},
  [1536] = {.lex_state = 110, .external_lex_state = 5},
  [1537] = {.lex_state = 102, .external_lex_state = 4},
  [1538] = {.lex_state = 110, .external_lex_state = 5},
  [1539] = {.lex_state = 110, .external_lex_state = 5},
  [1540] = {.lex_state = 110, .external_lex_state = 5},
  [1541] = {.lex_state = 110, .external_lex_state = 5},
  [1542] = {.lex_state = 110, .external_lex_state = 5},
  [1543] = {.lex_state = 110, .external_lex_state = 5},
  [1544] = {.lex_state = 110, .external_lex_state = 5},
  [1545] = {.lex_state = 110, .external_lex_state = 5},
  [1546] = {.lex_state = 110, .external_lex_state = 5},
  [1547] = {.lex_state = 110, .external_lex_state = 5},
  [1548] = {.lex_state = 110, .external_lex_state = 5},
  [1549] = {.lex_state = 110, .external_lex_state = 5},
  [1550] = {.lex_state = 110, .external_lex_state = 5},
  [1551] = {.lex_state = 267, .external_lex_state = 5},
  [1552] = {.lex_state = 110, .external_lex_state = 5},
  [1553] = {.lex_state = 110, .external_lex_state = 5},
  [1554] = {.lex_state = 110, .external_lex_state = 5},
  [1555] = {.lex_state = 110, .external_lex_state = 5},
  [1556] = {.lex_state = 110, .external_lex_state = 5},
  [1557] = {.lex_state = 110, .external_lex_state = 5},
  [1558] = {.lex_state = 110, .external_lex_state = 5},
  [1559] = {.lex_state = 110, .external_lex_state = 5},
  [1560] = {.lex_state = 110, .external_lex_state = 5},
  [1561] = {.lex_state = 110, .external_lex_state = 5},
  [1562] = {.lex_state = 110, .external_lex_state = 5},
  [1563] = {.lex_state = 110, .external_lex_state = 5},
  [1564] = {.lex_state = 110, .external_lex_state = 5},
  [1565] = {.lex_state = 110, .external_lex_state = 5},
  [1566] = {.lex_state = 110, .external_lex_state = 5},
  [1567] = {.lex_state = 110, .external_lex_state = 5},
  [1568] = {.lex_state = 110, .external_lex_state = 5},
  [1569] = {.lex_state = 110, .external_lex_state = 5},
  [1570] = {.lex_state = 267, .external_lex_state = 5},
  [1571] = {.lex_state = 102, .external_lex_state = 4},
  [1572] = {.lex_state = 267, .external_lex_state = 5},
  [1573] = {.lex_state = 267, .external_lex_state = 5},
  [1574] = {.lex_state = 267, .external_lex_state = 5},
  [1575] = {.lex_state = 267, .external_lex_state = 5},
  [1576] = {.lex_state = 267, .external_lex_state = 5},
  [1577] = {.lex_state = 267, .external_lex_state = 5},
  [1578] = {.lex_state = 267, .external_lex_state = 5},
  [1579] = {.lex_state = 267, .external_lex_state = 5},
  [1580] = {.lex_state = 267, .external_lex_state = 5},
  [1581] = {.lex_state = 267, .external_lex_state = 5},
  [1582] = {.lex_state = 267, .external_lex_state = 5},
  [1583] = {.lex_state = 267, .external_lex_state = 5},
  [1584] = {.lex_state = 267, .external_lex_state = 5},
  [1585] = {.lex_state = 267, .external_lex_state = 5},
  [1586] = {.lex_state = 102, .external_lex_state = 4},
  [1587] = {.lex_state = 102, .external_lex_state = 4},
  [1588] = {.lex_state = 267, .external_lex_state = 5},
  [1589] = {.lex_state = 267, .external_lex_state = 5},
  [1590] = {.lex_state = 267, .external_lex_state = 5},
  [1591] = {.lex_state = 267, .external_lex_state = 5},
  [1592] = {.lex_state = 267, .external_lex_state = 5},
  [1593] = {.lex_state = 267, .external_lex_state = 5},
  [1594] = {.lex_state = 113, .external_lex_state = 4},
  [1595] = {.lex_state = 267, .external_lex_state = 5},
  [1596] = {.lex_state = 267, .external_lex_state = 5},
  [1597] = {.lex_state = 102, .external_lex_state = 4},
  [1598] = {.lex_state = 267, .external_lex_state = 5},
  [1599] = {.lex_state = 113, .external_lex_state = 4},
  [1600] = {.lex_state = 113, .external_lex_state = 4},
  [1601] = {.lex_state = 113, .external_lex_state = 4},
  [1602] = {.lex_state = 113, .external_lex_state = 4},
  [1603] = {.lex_state = 113, .external_lex_state = 4},
  [1604] = {.lex_state = 102, .external_lex_state = 4},
  [1605] = {.lex_state = 113, .external_lex_state = 4},
  [1606] = {.lex_state = 113, .external_lex_state = 4},
  [1607] = {.lex_state = 113, .external_lex_state = 4},
  [1608] = {.lex_state = 113, .external_lex_state = 4},
  [1609] = {.lex_state = 113, .external_lex_state = 4},
  [1610] = {.lex_state = 113, .external_lex_state = 4},
  [1611] = {.lex_state = 113, .external_lex_state = 4},
  [1612] = {.lex_state = 102, .external_lex_state = 4},
  [1613] = {.lex_state = 113, .external_lex_state = 4},
  [1614] = {.lex_state = 113, .external_lex_state = 4},
  [1615] = {.lex_state = 102, .external_lex_state = 4},
  [1616] = {.lex_state = 102, .external_lex_state = 4},
  [1617] = {.lex_state = 113, .external_lex_state = 4},
  [1618] = {.lex_state = 113, .external_lex_state = 4},
  [1619] = {.lex_state = 113, .external_lex_state = 4},
  [1620] = {.lex_state = 113, .external_lex_state = 4},
  [1621] = {.lex_state = 113, .external_lex_state = 4},
  [1622] = {.lex_state = 113, .external_lex_state = 4},
  [1623] = {.lex_state = 113, .external_lex_state = 4},
  [1624] = {.lex_state = 113, .external_lex_state = 4},
  [1625] = {.lex_state = 113, .external_lex_state = 4},
  [1626] = {.lex_state = 113, .external_lex_state = 4},
  [1627] = {.lex_state = 113, .external_lex_state = 4},
  [1628] = {.lex_state = 113, .external_lex_state = 4},
  [1629] = {.lex_state = 113, .external_lex_state = 4},
  [1630] = {.lex_state = 102, .external_lex_state = 4},
  [1631] = {.lex_state = 102, .external_lex_state = 4},
  [1632] = {.lex_state = 102, .external_lex_state = 4},
  [1633] = {.lex_state = 113, .external_lex_state = 4},
  [1634] = {.lex_state = 102, .external_lex_state = 4},
  [1635] = {.lex_state = 102, .external_lex_state = 4},
  [1636] = {.lex_state = 102, .external_lex_state = 4},
  [1637] = {.lex_state = 113, .external_lex_state = 4},
  [1638] = {.lex_state = 113, .external_lex_state = 4},
  [1639] = {.lex_state = 102, .external_lex_state = 4},
  [1640] = {.lex_state = 102, .external_lex_state = 4},
  [1641] = {.lex_state = 102, .external_lex_state = 4},
  [1642] = {.lex_state = 102, .external_lex_state = 4},
  [1643] = {.lex_state = 102, .external_lex_state = 4},
  [1644] = {.lex_state = 102, .external_lex_state = 4},
  [1645] = {.lex_state = 102, .external_lex_state = 4},
  [1646] = {.lex_state = 102, .external_lex_state = 4},
  [1647] = {.lex_state = 102, .external_lex_state = 4},
  [1648] = {.lex_state = 102, .external_lex_state = 4},
  [1649] = {.lex_state = 102, .external_lex_state = 4},
  [1650] = {.lex_state = 102, .external_lex_state = 4},
  [1651] = {.lex_state = 102, .external_lex_state = 4},
  [1652] = {.lex_state = 102, .external_lex_state = 4},
  [1653] = {.lex_state = 102, .external_lex_state = 4},
  [1654] = {.lex_state = 113, .external_lex_state = 4},
  [1655] = {.lex_state = 113, .external_lex_state = 4},
  [1656] = {.lex_state = 113, .external_lex_state = 4},
  [1657] = {.lex_state = 113, .external_lex_state = 4},
  [1658] = {.lex_state = 102, .external_lex_state = 4},
  [1659] = {.lex_state = 102, .external_lex_state = 4},
  [1660] = {.lex_state = 102, .external_lex_state = 4},
  [1661] = {.lex_state = 102, .external_lex_state = 4},
  [1662] = {.lex_state = 102, .external_lex_state = 4},
  [1663] = {.lex_state = 102, .external_lex_state = 4},
  [1664] = {.lex_state = 102, .external_lex_state = 4},
  [1665] = {.lex_state = 102, .external_lex_state = 4},
  [1666] = {.lex_state = 102, .external_lex_state = 4},
  [1667] = {.lex_state = 102, .external_lex_state = 4},
  [1668] = {.lex_state = 113, .external_lex_state = 4},
  [1669] = {.lex_state = 113, .external_lex_state = 4},
  [1670] = {.lex_state = 102, .external_lex_state = 4},
  [1671] = {.lex_state = 102, .external_lex_state = 4},
  [1672] = {.lex_state = 267, .external_lex_state = 4},
  [1673] = {.lex_state = 113, .external_lex_state = 4},
  [1674] = {.lex_state = 102, .external_lex_state = 4},
  [1675] = {.lex_state = 102, .external_lex_state = 4},
  [1676] = {.lex_state = 102, .external_lex_state = 4},
  [1677] = {.lex_state = 113, .external_lex_state = 4},
  [1678] = {.lex_state = 102, .external_lex_state = 4},
  [1679] = {.lex_state = 102, .external_lex_state = 4},
  [1680] = {.lex_state = 102, .external_lex_state = 4},
  [1681] = {.lex_state = 102, .external_lex_state = 4},
  [1682] = {.lex_state = 102, .external_lex_state = 4},
  [1683] = {.lex_state = 102, .external_lex_state = 4},
  [1684] = {.lex_state = 113, .external_lex_state = 4},
  [1685] = {.lex_state = 113, .external_lex_state = 4},
  [1686] = {.lex_state = 113, .external_lex_state = 4},
  [1687] = {.lex_state = 113, .external_lex_state = 4},
  [1688] = {.lex_state = 113, .external_lex_state = 4},
  [1689] = {.lex_state = 102, .external_lex_state = 4},
  [1690] = {.lex_state = 113, .external_lex_state = 4},
  [1691] = {.lex_state = 113, .external_lex_state = 4},
  [1692] = {.lex_state = 113, .external_lex_state = 4},
  [1693] = {.lex_state = 113, .external_lex_state = 4},
  [1694] = {.lex_state = 113, .external_lex_state = 4},
  [1695] = {.lex_state = 113, .external_lex_state = 4},
  [1696] = {.lex_state = 113, .external_lex_state = 4},
  [1697] = {.lex_state = 113, .external_lex_state = 4},
  [1698] = {.lex_state = 102, .external_lex_state = 4},
  [1699] = {.lex_state = 102, .external_lex_state = 4},
  [1700] = {.lex_state = 102, .external_lex_state = 4},
  [1701] = {.lex_state = 102, .external_lex_state = 4},
  [1702] = {.lex_state = 102, .external_lex_state = 4},
  [1703] = {.lex_state = 113, .external_lex_state = 4},
  [1704] = {.lex_state = 113, .external_lex_state = 4},
  [1705] = {.lex_state = 113, .external_lex_state = 4},
  [1706] = {.lex_state = 113, .external_lex_state = 4},
  [1707] = {.lex_state = 267, .external_lex_state = 4},
  [1708] = {.lex_state = 267, .external_lex_state = 4},
  [1709] = {.lex_state = 267, .external_lex_state = 4},
  [1710] = {.lex_state = 267, .external_lex_state = 4},
  [1711] = {.lex_state = 267, .external_lex_state = 4},
  [1712] = {.lex_state = 267, .external_lex_state = 4},
  [1713] = {.lex_state = 267, .external_lex_state = 4},
  [1714] = {.lex_state = 267, .external_lex_state = 4},
  [1715] = {.lex_state = 267, .external_lex_state = 4},
  [1716] = {.lex_state = 267, .external_lex_state = 4},
  [1717] = {.lex_state = 267, .external_lex_state = 4},
  [1718] = {.lex_state = 267, .external_lex_state = 4},
  [1719] = {.lex_state = 102, .external_lex_state = 4},
  [1720] = {.lex_state = 267, .external_lex_state = 4},
  [1721] = {.lex_state = 102, .external_lex_state = 4},
  [1722] = {.lex_state = 102, .external_lex_state = 4},
  [1723] = {.lex_state = 267, .external_lex_state = 4},
  [1724] = {.lex_state = 267, .external_lex_state = 4},
  [1725] = {.lex_state = 267, .external_lex_state = 4},
  [1726] = {.lex_state = 102, .external_lex_state = 4},
  [1727] = {.lex_state = 102, .external_lex_state = 4},
  [1728] = {.lex_state = 113, .external_lex_state = 4},
  [1729] = {.lex_state = 267, .external_lex_state = 4},
  [1730] = {.lex_state = 113, .external_lex_state = 4},
  [1731] = {.lex_state = 102, .external_lex_state = 4},
  [1732] = {.lex_state = 267, .external_lex_state = 5},
  [1733] = {.lex_state = 102, .external_lex_state = 4},
  [1734] = {.lex_state = 102, .external_lex_state = 4},
  [1735] = {.lex_state = 113, .external_lex_state = 4},
  [1736] = {.lex_state = 102, .external_lex_state = 4},
  [1737] = {.lex_state = 102, .external_lex_state = 4},
  [1738] = {.lex_state = 102, .external_lex_state = 4},
  [1739] = {.lex_state = 102, .external_lex_state = 4},
  [1740] = {.lex_state = 102, .external_lex_state = 4},
  [1741] = {.lex_state = 102, .external_lex_state = 4},
  [1742] = {.lex_state = 102, .external_lex_state = 4},
  [1743] = {.lex_state = 102, .external_lex_state = 4},
  [1744] = {.lex_state = 102, .external_lex_state = 4},
  [1745] = {.lex_state = 102, .external_lex_state = 4},
  [1746] = {.lex_state = 113, .external_lex_state = 4},
  [1747] = {.lex_state = 113, .external_lex_state = 4},
  [1748] = {.lex_state = 102, .external_lex_state = 4},
  [1749] = {.lex_state = 102, .external_lex_state = 4},
  [1750] = {.lex_state = 102, .external_lex_state = 4},
  [1751] = {.lex_state = 102, .external_lex_state = 4},
  [1752] = {.lex_state = 102, .external_lex_state = 4},
  [1753] = {.lex_state = 102, .external_lex_state = 4},
  [1754] = {.lex_state = 102, .external_lex_state = 4},
  [1755] = {.lex_state = 102, .external_lex_state = 4},
  [1756] = {.lex_state = 102, .external_lex_state = 4},
  [1757] = {.lex_state = 102, .external_lex_state = 4},
  [1758] = {.lex_state = 102, .external_lex_state = 4},
  [1759] = {.lex_state = 102, .external_lex_state = 4},
  [1760] = {.lex_state = 113, .external_lex_state = 4},
  [1761] = {.lex_state = 102, .external_lex_state = 4},
  [1762] = {.lex_state = 113, .external_lex_state = 4},
  [1763] = {.lex_state = 113, .external_lex_state = 4},
  [1764] = {.lex_state = 113, .external_lex_state = 4},
  [1765] = {.lex_state = 267, .external_lex_state = 4},
  [1766] = {.lex_state = 267, .external_lex_state = 4},
  [1767] = {.lex_state = 113, .external_lex_state = 4},
  [1768] = {.lex_state = 267, .external_lex_state = 5},
  [1769] = {.lex_state = 267, .external_lex_state = 4},
  [1770] = {.lex_state = 267, .external_lex_state = 4},
  [1771] = {.lex_state = 267, .external_lex_state = 5},
  [1772] = {.lex_state = 113, .external_lex_state = 4},
  [1773] = {.lex_state = 102, .external_lex_state = 4},
  [1774] = {.lex_state = 102, .external_lex_state = 4},
  [1775] = {.lex_state = 113, .external_lex_state = 4},
  [1776] = {.lex_state = 113, .external_lex_state = 4},
  [1777] = {.lex_state = 113, .external_lex_state = 4},
  [1778] = {.lex_state = 113, .external_lex_state = 4},
  [1779] = {.lex_state = 113, .external_lex_state = 4},
  [1780] = {.lex_state = 113, .external_lex_state = 4},
  [1781] = {.lex_state = 113, .external_lex_state = 4},
  [1782] = {.lex_state = 113, .external_lex_state = 4},
  [1783] = {.lex_state = 113, .external_lex_state = 4},
  [1784] = {.lex_state = 113, .external_lex_state = 4},
  [1785] = {.lex_state = 113, .external_lex_state = 4},
  [1786] = {.lex_state = 113, .external_lex_state = 4},
  [1787] = {.lex_state = 267, .external_lex_state = 5},
  [1788] = {.lex_state = 267, .external_lex_state = 5},
  [1789] = {.lex_state = 267, .external_lex_state = 5},
  [1790] = {.lex_state = 102, .external_lex_state = 4},
  [1791] = {.lex_state = 102, .external_lex_state = 4},
  [1792] = {.lex_state = 102, .external_lex_state = 4},
  [1793] = {.lex_state = 267, .external_lex_state = 4},
  [1794] = {.lex_state = 113, .external_lex_state = 4},
  [1795] = {.lex_state = 267, .external_lex_state = 4},
  [1796] = {.lex_state = 267, .external_lex_state = 4},
  [1797] = {.lex_state = 102, .external_lex_state = 4},
  [1798] = {.lex_state = 102, .external_lex_state = 4},
  [1799] = {.lex_state = 102, .external_lex_state = 4},
  [1800] = {.lex_state = 102, .external_lex_state = 4},
  [1801] = {.lex_state = 102, .external_lex_state = 4},
  [1802] = {.lex_state = 102, .external_lex_state = 4},
  [1803] = {.lex_state = 102, .external_lex_state = 4},
  [1804] = {.lex_state = 102, .external_lex_state = 4},
  [1805] = {.lex_state = 102, .external_lex_state = 4},
  [1806] = {.lex_state = 102, .external_lex_state = 4},
  [1807] = {.lex_state = 102, .external_lex_state = 4},
  [1808] = {.lex_state = 102, .external_lex_state = 4},
  [1809] = {.lex_state = 102, .external_lex_state = 4},
  [1810] = {.lex_state = 102, .external_lex_state = 4},
  [1811] = {.lex_state = 102, .external_lex_state = 4},
  [1812] = {.lex_state = 102, .external_lex_state = 4},
  [1813] = {.lex_state = 102, .external_lex_state = 4},
  [1814] = {.lex_state = 102, .external_lex_state = 4},
  [1815] = {.lex_state = 102, .external_lex_state = 4},
  [1816] = {.lex_state = 102, .external_lex_state = 4},
  [1817] = {.lex_state = 102, .external_lex_state = 4},
  [1818] = {.lex_state = 102, .external_lex_state = 4},
  [1819] = {.lex_state = 102, .external_lex_state = 4},
  [1820] = {.lex_state = 102, .external_lex_state = 4},
  [1821] = {.lex_state = 102, .external_lex_state = 4},
  [1822] = {.lex_state = 102, .external_lex_state = 4},
  [1823] = {.lex_state = 102, .external_lex_state = 4},
  [1824] = {.lex_state = 102, .external_lex_state = 4},
  [1825] = {.lex_state = 102, .external_lex_state = 4},
  [1826] = {.lex_state = 102, .external_lex_state = 4},
  [1827] = {.lex_state = 102, .external_lex_state = 4},
  [1828] = {.lex_state = 102, .external_lex_state = 4},
  [1829] = {.lex_state = 102, .external_lex_state = 4},
  [1830] = {.lex_state = 102, .external_lex_state = 4},
  [1831] = {.lex_state = 102, .external_lex_state = 4},
  [1832] = {.lex_state = 102, .external_lex_state = 4},
  [1833] = {.lex_state = 102, .external_lex_state = 4},
  [1834] = {.lex_state = 116, .external_lex_state = 4},
  [1835] = {.lex_state = 116, .external_lex_state = 4},
  [1836] = {.lex_state = 116, .external_lex_state = 4},
  [1837] = {.lex_state = 116, .external_lex_state = 4},
  [1838] = {.lex_state = 116, .external_lex_state = 4},
  [1839] = {.lex_state = 116, .external_lex_state = 4},
  [1840] = {.lex_state = 116, .external_lex_state = 4},
  [1841] = {.lex_state = 116, .external_lex_state = 4},
  [1842] = {.lex_state = 116, .external_lex_state = 4},
  [1843] = {.lex_state = 116, .external_lex_state = 4},
  [1844] = {.lex_state = 116, .external_lex_state = 4},
  [1845] = {.lex_state = 116, .external_lex_state = 4},
  [1846] = {.lex_state = 269, .external_lex_state = 5},
  [1847] = {.lex_state = 269, .external_lex_state = 5},
  [1848] = {.lex_state = 269, .external_lex_state = 5},
  [1849] = {.lex_state = 269, .external_lex_state = 5},
  [1850] = {.lex_state = 269, .external_lex_state = 5},
  [1851] = {.lex_state = 269, .external_lex_state = 5},
  [1852] = {.lex_state = 269, .external_lex_state = 5},
  [1853] = {.lex_state = 269, .external_lex_state = 5},
  [1854] = {.lex_state = 269, .external_lex_state = 5},
  [1855] = {.lex_state = 269, .external_lex_state = 5},
  [1856] = {.lex_state = 269, .external_lex_state = 5},
  [1857] = {.lex_state = 269, .external_lex_state = 5},
  [1858] = {.lex_state = 102, .external_lex_state = 4},
  [1859] = {.lex_state = 102, .external_lex_state = 4},
  [1860] = {.lex_state = 102, .external_lex_state = 4},
  [1861] = {.lex_state = 267, .external_lex_state = 5},
  [1862] = {.lex_state = 267, .external_lex_state = 5},
  [1863] = {.lex_state = 267, .external_lex_state = 5},
  [1864] = {.lex_state = 267, .external_lex_state = 5},
  [1865] = {.lex_state = 267, .external_lex_state = 5},
  [1866] = {.lex_state = 267, .external_lex_state = 5},
  [1867] = {.lex_state = 267, .external_lex_state = 5},
  [1868] = {.lex_state = 116, .external_lex_state = 4},
  [1869] = {.lex_state = 116, .external_lex_state = 4},
  [1870] = {.lex_state = 116, .external_lex_state = 4},
  [1871] = {.lex_state = 116, .external_lex_state = 4},
  [1872] = {.lex_state = 116, .external_lex_state = 4},
  [1873] = {.lex_state = 116, .external_lex_state = 4},
  [1874] = {.lex_state = 116, .external_lex_state = 4},
  [1875] = {.lex_state = 116, .external_lex_state = 4},
  [1876] = {.lex_state = 116, .external_lex_state = 4},
  [1877] = {.lex_state = 116, .external_lex_state = 4},
  [1878] = {.lex_state = 116, .external_lex_state = 4},
  [1879] = {.lex_state = 116, .external_lex_state = 4},
  [1880] = {.lex_state = 116, .external_lex_state = 4},
  [1881] = {.lex_state = 116, .external_lex_state = 4},
  [1882] = {.lex_state = 116, .external_lex_state = 4},
  [1883] = {.lex_state = 116, .external_lex_state = 4},
  [1884] = {.lex_state = 116, .external_lex_state = 4},
  [1885] = {.lex_state = 116, .external_lex_state = 4},
  [1886] = {.lex_state = 116, .external_lex_state = 4},
  [1887] = {.lex_state = 116, .external_lex_state = 4},
  [1888] = {.lex_state = 116, .external_lex_state = 4},
  [1889] = {.lex_state = 116, .external_lex_state = 4},
  [1890] = {.lex_state = 116, .external_lex_state = 4},
  [1891] = {.lex_state = 116, .external_lex_state = 4},
  [1892] = {.lex_state = 116, .external_lex_state = 4},
  [1893] = {.lex_state = 116, .external_lex_state = 4},
  [1894] = {.lex_state = 116, .external_lex_state = 4},
  [1895] = {.lex_state = 116, .external_lex_state = 4},
  [1896] = {.lex_state = 116, .external_lex_state = 4},
  [1897] = {.lex_state = 116, .external_lex_state = 4},
  [1898] = {.lex_state = 116, .external_lex_state = 4},
  [1899] = {.lex_state = 116, .external_lex_state = 4},
  [1900] = {.lex_state = 116, .external_lex_state = 4},
  [1901] = {.lex_state = 116, .external_lex_state = 4},
  [1902] = {.lex_state = 116, .external_lex_state = 4},
  [1903] = {.lex_state = 116, .external_lex_state = 4},
  [1904] = {.lex_state = 116, .external_lex_state = 4},
  [1905] = {.lex_state = 116, .external_lex_state = 4},
  [1906] = {.lex_state = 116, .external_lex_state = 4},
  [1907] = {.lex_state = 116, .external_lex_state = 4},
  [1908] = {.lex_state = 116, .external_lex_state = 4},
  [1909] = {.lex_state = 116, .external_lex_state = 4},
  [1910] = {.lex_state = 116, .external_lex_state = 4},
  [1911] = {.lex_state = 116, .external_lex_state = 4},
  [1912] = {.lex_state = 116, .external_lex_state = 4},
  [1913] = {.lex_state = 116, .external_lex_state = 4},
  [1914] = {.lex_state = 116, .external_lex_state = 4},
  [1915] = {.lex_state = 116, .external_lex_state = 4},
  [1916] = {.lex_state = 116, .external_lex_state = 4},
  [1917] = {.lex_state = 116, .external_lex_state = 4},
  [1918] = {.lex_state = 116, .external_lex_state = 4},
  [1919] = {.lex_state = 116, .external_lex_state = 4},
  [1920] = {.lex_state = 116, .external_lex_state = 4},
  [1921] = {.lex_state = 116, .external_lex_state = 4},
  [1922] = {.lex_state = 116, .external_lex_state = 4},
  [1923] = {.lex_state = 116, .external_lex_state = 4},
  [1924] = {.lex_state = 116, .external_lex_state = 4},
  [1925] = {.lex_state = 116, .external_lex_state = 4},
  [1926] = {.lex_state = 116, .external_lex_state = 4},
  [1927] = {.lex_state = 116, .external_lex_state = 4},
  [1928] = {.lex_state = 116, .external_lex_state = 4},
  [1929] = {.lex_state = 116, .external_lex_state = 4},
  [1930] = {.lex_state = 116, .external_lex_state = 4},
  [1931] = {.lex_state = 116, .external_lex_state = 4},
  [1932] = {.lex_state = 116, .external_lex_state = 4},
  [1933] = {.lex_state = 116, .external_lex_state = 4},
  [1934] = {.lex_state = 116, .external_lex_state = 4},
  [1935] = {.lex_state = 116, .external_lex_state = 4},
  [1936] = {.lex_state = 267, .external_lex_state = 4},
  [1937] = {.lex_state = 267, .external_lex_state = 4},
  [1938] = {.lex_state = 102, .external_lex_state = 4},
  [1939] = {.lex_state = 267, .external_lex_state = 4},
  [1940] = {.lex_state = 267, .external_lex_state = 4},
  [1941] = {.lex_state = 267, .external_lex_state = 4},
  [1942] = {.lex_state = 267, .external_lex_state = 4},
  [1943] = {.lex_state = 102, .external_lex_state = 4},
  [1944] = {.lex_state = 102, .external_lex_state = 4},
  [1945] = {.lex_state = 102, .external_lex_state = 4},
  [1946] = {.lex_state = 102, .external_lex_state = 4},
  [1947] = {.lex_state = 102, .external_lex_state = 4},
  [1948] = {.lex_state = 102, .external_lex_state = 4},
  [1949] = {.lex_state = 102, .external_lex_state = 4},
  [1950] = {.lex_state = 102, .external_lex_state = 4},
  [1951] = {.lex_state = 102, .external_lex_state = 4},
  [1952] = {.lex_state = 102, .external_lex_state = 4},
  [1953] = {.lex_state = 102, .external_lex_state = 4},
  [1954] = {.lex_state = 102, .external_lex_state = 4},
  [1955] = {.lex_state = 102, .external_lex_state = 4},
  [1956] = {.lex_state = 102, .external_lex_state = 4},
  [1957] = {.lex_state = 102, .external_lex_state = 4},
  [1958] = {.lex_state = 267, .external_lex_state = 4},
  [1959] = {.lex_state = 267, .external_lex_state = 4},
  [1960] = {.lex_state = 267, .external_lex_state = 4},
  [1961] = {.lex_state = 102, .external_lex_state = 4},
  [1962] = {.lex_state = 102, .external_lex_state = 4},
  [1963] = {.lex_state = 267, .external_lex_state = 5},
  [1964] = {.lex_state = 267, .external_lex_state = 5},
  [1965] = {.lex_state = 267, .external_lex_state = 5},
  [1966] = {.lex_state = 269, .external_lex_state = 5},
  [1967] = {.lex_state = 267, .external_lex_state = 4},
  [1968] = {.lex_state = 267, .external_lex_state = 4},
  [1969] = {.lex_state = 267, .external_lex_state = 4},
  [1970] = {.lex_state = 267, .external_lex_state = 4},
  [1971] = {.lex_state = 267, .external_lex_state = 4},
  [1972] = {.lex_state = 269, .external_lex_state = 5},
  [1973] = {.lex_state = 267, .external_lex_state = 4},
  [1974] = {.lex_state = 267, .external_lex_state = 4},
  [1975] = {.lex_state = 269, .external_lex_state = 5},
  [1976] = {.lex_state = 269, .external_lex_state = 5},
  [1977] = {.lex_state = 269, .external_lex_state = 5},
  [1978] = {.lex_state = 267, .external_lex_state = 4},
  [1979] = {.lex_state = 269, .external_lex_state = 5},
  [1980] = {.lex_state = 269, .external_lex_state = 5},
  [1981] = {.lex_state = 269, .external_lex_state = 5},
  [1982] = {.lex_state = 267, .external_lex_state = 4},
  [1983] = {.lex_state = 267, .external_lex_state = 4},
  [1984] = {.lex_state = 269, .external_lex_state = 5},
  [1985] = {.lex_state = 267, .external_lex_state = 5},
  [1986] = {.lex_state = 267, .external_lex_state = 5},
  [1987] = {.lex_state = 269, .external_lex_state = 5},
  [1988] = {.lex_state = 269, .external_lex_state = 5},
  [1989] = {.lex_state = 269, .external_lex_state = 5},
  [1990] = {.lex_state = 267, .external_lex_state = 4},
  [1991] = {.lex_state = 267, .external_lex_state = 4},
  [1992] = {.lex_state = 267, .external_lex_state = 4},
  [1993] = {.lex_state = 267, .external_lex_state = 4},
  [1994] = {.lex_state = 267, .external_lex_state = 4},
  [1995] = {.lex_state = 267, .external_lex_state = 4},
  [1996] = {.lex_state = 269, .external_lex_state = 5},
  [1997] = {.lex_state = 267, .external_lex_state = 4},
  [1998] = {.lex_state = 269, .external_lex_state = 5},
  [1999] = {.lex_state = 267, .external_lex_state = 4},
  [2000] = {.lex_state = 269, .external_lex_state = 5},
  [2001] = {.lex_state = 269, .external_lex_state = 5},
  [2002] = {.lex_state = 267, .external_lex_state = 5},
  [2003] = {.lex_state = 269, .external_lex_state = 5},
  [2004] = {.lex_state = 269, .external_lex_state = 5},
  [2005] = {.lex_state = 269, .external_lex_state = 5},
  [2006] = {.lex_state = 269, .external_lex_state = 5},
  [2007] = {.lex_state = 269, .external_lex_state = 5},
  [2008] = {.lex_state = 269, .external_lex_state = 5},
  [2009] = {.lex_state = 269, .external_lex_state = 5},
  [2010] = {.lex_state = 269, .external_lex_state = 5},
  [2011] = {.lex_state = 269, .external_lex_state = 5},
  [2012] = {.lex_state = 269, .external_lex_state = 5},
  [2013] = {.lex_state = 269, .external_lex_state = 5},
  [2014] = {.lex_state = 269, .external_lex_state = 5},
  [2015] = {.lex_state = 269, .external_lex_state = 5},
  [2016] = {.lex_state = 269, .external_lex_state = 5},
  [2017] = {.lex_state = 269, .external_lex_state = 5},
  [2018] = {.lex_state = 269, .external_lex_state = 5},
  [2019] = {.lex_state = 267, .external_lex_state = 5},
  [2020] = {.lex_state = 267, .external_lex_state = 4},
  [2021] = {.lex_state = 267, .external_lex_state = 5},
  [2022] = {.lex_state = 267, .external_lex_state = 5},
  [2023] = {.lex_state = 269, .external_lex_state = 5},
  [2024] = {.lex_state = 269, .external_lex_state = 5},
  [2025] = {.lex_state = 267, .external_lex_state = 4},
  [2026] = {.lex_state = 269, .external_lex_state = 5},
  [2027] = {.lex_state = 269, .external_lex_state = 5},
  [2028] = {.lex_state = 269, .external_lex_state = 5},
  [2029] = {.lex_state = 267, .external_lex_state = 4},
  [2030] = {.lex_state = 267, .external_lex_state = 4},
  [2031] = {.lex_state = 269, .external_lex_state = 5},
  [2032] = {.lex_state = 267, .external_lex_state = 4},
  [2033] = {.lex_state = 267, .external_lex_state = 4},
  [2034] = {.lex_state = 269, .external_lex_state = 5},
  [2035] = {.lex_state = 269, .external_lex_state = 5},
  [2036] = {.lex_state = 269, .external_lex_state = 5},
  [2037] = {.lex_state = 269, .external_lex_state = 5},
  [2038] = {.lex_state = 267, .external_lex_state = 4},
  [2039] = {.lex_state = 267, .external_lex_state = 4},
  [2040] = {.lex_state = 267, .external_lex_state = 4},
  [2041] = {.lex_state = 267, .external_lex_state = 4},
  [2042] = {.lex_state = 267, .external_lex_state = 4},
  [2043] = {.lex_state = 269, .external_lex_state = 5},
  [2044] = {.lex_state = 269, .external_lex_state = 5},
  [2045] = {.lex_state = 269, .external_lex_state = 5},
  [2046] = {.lex_state = 269, .external_lex_state = 5},
  [2047] = {.lex_state = 269, .external_lex_state = 5},
  [2048] = {.lex_state = 269, .external_lex_state = 5},
  [2049] = {.lex_state = 267, .external_lex_state = 5},
  [2050] = {.lex_state = 267, .external_lex_state = 5},
  [2051] = {.lex_state = 267, .external_lex_state = 5},
  [2052] = {.lex_state = 267, .external_lex_state = 5},
  [2053] = {.lex_state = 267, .external_lex_state = 5},
  [2054] = {.lex_state = 269, .external_lex_state = 5},
  [2055] = {.lex_state = 269, .external_lex_state = 5},
  [2056] = {.lex_state = 269, .external_lex_state = 5},
  [2057] = {.lex_state = 269, .external_lex_state = 5},
  [2058] = {.lex_state = 269, .external_lex_state = 5},
  [2059] = {.lex_state = 269, .external_lex_state = 5},
  [2060] = {.lex_state = 269, .external_lex_state = 5},
  [2061] = {.lex_state = 269, .external_lex_state = 5},
  [2062] = {.lex_state = 269, .external_lex_state = 5},
  [2063] = {.lex_state = 267, .external_lex_state = 4},
  [2064] = {.lex_state = 267, .external_lex_state = 4},
  [2065] = {.lex_state = 267, .external_lex_state = 4},
  [2066] = {.lex_state = 269, .external_lex_state = 5},
  [2067] = {.lex_state = 269, .external_lex_state = 5},
  [2068] = {.lex_state = 269, .external_lex_state = 5},
  [2069] = {.lex_state = 267, .external_lex_state = 4},
  [2070] = {.lex_state = 269, .external_lex_state = 5},
  [2071] = {.lex_state = 269, .external_lex_state = 5},
  [2072] = {.lex_state = 269, .external_lex_state = 5},
  [2073] = {.lex_state = 269, .external_lex_state = 5},
  [2074] = {.lex_state = 269, .external_lex_state = 5},
  [2075] = {.lex_state = 267, .external_lex_state = 4},
  [2076] = {.lex_state = 269, .external_lex_state = 5},
  [2077] = {.lex_state = 269, .external_lex_state = 5},
  [2078] = {.lex_state = 269, .external_lex_state = 5},
  [2079] = {.lex_state = 267, .external_lex_state = 5},
  [2080] = {.lex_state = 267, .external_lex_state = 5},
  [2081] = {.lex_state = 267, .external_lex_state = 5},
  [2082] = {.lex_state = 267, .external_lex_state = 5},
  [2083] = {.lex_state = 267, .external_lex_state = 5},
  [2084] = {.lex_state = 267, .external_lex_state = 5},
  [2085] = {.lex_state = 267, .external_lex_state = 5},
  [2086] = {.lex_state = 267, .external_lex_state = 4},
  [2087] = {.lex_state = 267, .external_lex_state = 5},
  [2088] = {.lex_state = 267, .external_lex_state = 5},
  [2089] = {.lex_state = 267, .external_lex_state = 5},
  [2090] = {.lex_state = 267, .external_lex_state = 4},
  [2091] = {.lex_state = 267, .external_lex_state = 5},
  [2092] = {.lex_state = 267, .external_lex_state = 4},
  [2093] = {.lex_state = 267, .external_lex_state = 4},
  [2094] = {.lex_state = 267, .external_lex_state = 4},
  [2095] = {.lex_state = 267, .external_lex_state = 5},
  [2096] = {.lex_state = 267, .external_lex_state = 4},
  [2097] = {.lex_state = 267, .external_lex_state = 4},
  [2098] = {.lex_state = 267, .external_lex_state = 4},
  [2099] = {.lex_state = 267, .external_lex_state = 4},
  [2100] = {.lex_state = 267, .external_lex_state = 4},
  [2101] = {.lex_state = 267, .external_lex_state = 4},
  [2102] = {.lex_state = 267, .external_lex_state = 4},
  [2103] = {.lex_state = 267, .external_lex_state = 4},
  [2104] = {.lex_state = 267, .external_lex_state = 4},
  [2105] = {.lex_state = 267, .external_lex_state = 4},
  [2106] = {.lex_state = 267, .external_lex_state = 4},
  [2107] = {.lex_state = 267, .external_lex_state = 4},
  [2108] = {.lex_state = 267, .external_lex_state = 4},
  [2109] = {.lex_state = 267, .external_lex_state = 4},
  [2110] = {.lex_state = 267, .external_lex_state = 4},
  [2111] = {.lex_state = 267, .external_lex_state = 4},
  [2112] = {.lex_state = 267, .external_lex_state = 4},
  [2113] = {.lex_state = 267, .external_lex_state = 4},
  [2114] = {.lex_state = 267, .external_lex_state = 4},
  [2115] = {.lex_state = 267, .external_lex_state = 4},
  [2116] = {.lex_state = 267, .external_lex_state = 4},
  [2117] = {.lex_state = 267, .external_lex_state = 4},
  [2118] = {.lex_state = 267, .external_lex_state = 4},
  [2119] = {.lex_state = 267, .external_lex_state = 4},
  [2120] = {.lex_state = 267, .external_lex_state = 4},
  [2121] = {.lex_state = 267, .external_lex_state = 4},
  [2122] = {.lex_state = 267, .external_lex_state = 4},
  [2123] = {.lex_state = 267, .external_lex_state = 4},
  [2124] = {.lex_state = 267, .external_lex_state = 4},
  [2125] = {.lex_state = 267, .external_lex_state = 4},
  [2126] = {.lex_state = 267, .external_lex_state = 4},
  [2127] = {.lex_state = 267, .external_lex_state = 4},
  [2128] = {.lex_state = 267, .external_lex_state = 4},
  [2129] = {.lex_state = 267, .external_lex_state = 4},
  [2130] = {.lex_state = 267, .external_lex_state = 4},
  [2131] = {.lex_state = 267, .external_lex_state = 4},
  [2132] = {.lex_state = 267, .external_lex_state = 4},
  [2133] = {.lex_state = 267, .external_lex_state = 4},
  [2134] = {.lex_state = 267, .external_lex_state = 5},
  [2135] = {.lex_state = 121, .external_lex_state = 5},
  [2136] = {.lex_state = 267, .external_lex_state = 5},
  [2137] = {.lex_state = 267, .external_lex_state = 5},
  [2138] = {.lex_state = 267, .external_lex_state = 4},
  [2139] = {.lex_state = 267, .external_lex_state = 5},
  [2140] = {.lex_state = 267, .external_lex_state = 5},
  [2141] = {.lex_state = 267, .external_lex_state = 5},
  [2142] = {.lex_state = 267, .external_lex_state = 5},
  [2143] = {.lex_state = 267, .external_lex_state = 5},
  [2144] = {.lex_state = 267, .external_lex_state = 4},
  [2145] = {.lex_state = 267, .external_lex_state = 4},
  [2146] = {.lex_state = 267, .external_lex_state = 4},
  [2147] = {.lex_state = 267, .external_lex_state = 5},
  [2148] = {.lex_state = 267, .external_lex_state = 4},
  [2149] = {.lex_state = 267, .external_lex_state = 4},
  [2150] = {.lex_state = 267, .external_lex_state = 4},
  [2151] = {.lex_state = 267, .external_lex_state = 4},
  [2152] = {.lex_state = 267, .external_lex_state = 4},
  [2153] = {.lex_state = 267, .external_lex_state = 4},
  [2154] = {.lex_state = 267, .external_lex_state = 4},
  [2155] = {.lex_state = 267, .external_lex_state = 4},
  [2156] = {.lex_state = 267, .external_lex_state = 4},
  [2157] = {.lex_state = 267, .external_lex_state = 4},
  [2158] = {.lex_state = 267, .external_lex_state = 5},
  [2159] = {.lex_state = 267, .external_lex_state = 5},
  [2160] = {.lex_state = 267, .external_lex_state = 4},
  [2161] = {.lex_state = 267, .external_lex_state = 4},
  [2162] = {.lex_state = 267, .external_lex_state = 4},
  [2163] = {.lex_state = 267, .external_lex_state = 4},
  [2164] = {.lex_state = 267, .external_lex_state = 4},
  [2165] = {.lex_state = 267, .external_lex_state = 4},
  [2166] = {.lex_state = 267, .external_lex_state = 4},
  [2167] = {.lex_state = 267, .external_lex_state = 5},
  [2168] = {.lex_state = 102, .external_lex_state = 5},
  [2169] = {.lex_state = 102, .external_lex_state = 5},
  [2170] = {.lex_state = 102, .external_lex_state = 5},
  [2171] = {.lex_state = 102, .external_lex_state = 5},
  [2172] = {.lex_state = 102, .external_lex_state = 5},
  [2173] = {.lex_state = 102, .external_lex_state = 5},
  [2174] = {.lex_state = 102, .external_lex_state = 5},
  [2175] = {.lex_state = 267, .external_lex_state = 5},
  [2176] = {.lex_state = 102, .external_lex_state = 5},
  [2177] = {.lex_state = 102, .external_lex_state = 5},
  [2178] = {.lex_state = 267, .external_lex_state = 5},
  [2179] = {.lex_state = 102, .external_lex_state = 5},
  [2180] = {.lex_state = 267, .external_lex_state = 5},
  [2181] = {.lex_state = 267, .external_lex_state = 5},
  [2182] = {.lex_state = 102, .external_lex_state = 5},
  [2183] = {.lex_state = 267, .external_lex_state = 4},
  [2184] = {.lex_state = 267, .external_lex_state = 5},
  [2185] = {.lex_state = 267, .external_lex_state = 5},
  [2186] = {.lex_state = 267, .external_lex_state = 5},
  [2187] = {.lex_state = 267, .external_lex_state = 5},
  [2188] = {.lex_state = 267, .external_lex_state = 5},
  [2189] = {.lex_state = 267, .external_lex_state = 5},
  [2190] = {.lex_state = 267, .external_lex_state = 5},
  [2191] = {.lex_state = 267, .external_lex_state = 5},
  [2192] = {.lex_state = 267, .external_lex_state = 5},
  [2193] = {.lex_state = 267, .external_lex_state = 5},
  [2194] = {.lex_state = 267, .external_lex_state = 5},
  [2195] = {.lex_state = 267, .external_lex_state = 5},
  [2196] = {.lex_state = 267, .external_lex_state = 5},
  [2197] = {.lex_state = 267, .external_lex_state = 5},
  [2198] = {.lex_state = 267, .external_lex_state = 5},
  [2199] = {.lex_state = 267, .external_lex_state = 5},
  [2200] = {.lex_state = 267, .external_lex_state = 5},
  [2201] = {.lex_state = 267, .external_lex_state = 5},
  [2202] = {.lex_state = 267, .external_lex_state = 5},
  [2203] = {.lex_state = 267, .external_lex_state = 5},
  [2204] = {.lex_state = 267, .external_lex_state = 5},
  [2205] = {.lex_state = 267, .external_lex_state = 5},
  [2206] = {.lex_state = 267, .external_lex_state = 5},
  [2207] = {.lex_state = 267, .external_lex_state = 5},
  [2208] = {.lex_state = 267, .external_lex_state = 5},
  [2209] = {.lex_state = 267, .external_lex_state = 5},
  [2210] = {.lex_state = 267, .external_lex_state = 4},
  [2211] = {.lex_state = 267, .external_lex_state = 4},
  [2212] = {.lex_state = 267, .external_lex_state = 5},
  [2213] = {.lex_state = 267, .external_lex_state = 5},
  [2214] = {.lex_state = 267, .external_lex_state = 5},
  [2215] = {.lex_state = 267, .external_lex_state = 5},
  [2216] = {.lex_state = 102, .external_lex_state = 5},
  [2217] = {.lex_state = 267, .external_lex_state = 5},
  [2218] = {.lex_state = 267, .external_lex_state = 5},
  [2219] = {.lex_state = 267, .external_lex_state = 5},
  [2220] = {.lex_state = 267, .external_lex_state = 5},
  [2221] = {.lex_state = 267, .external_lex_state = 5},
  [2222] = {.lex_state = 267, .external_lex_state = 4},
  [2223] = {.lex_state = 267, .external_lex_state = 5},
  [2224] = {.lex_state = 267, .external_lex_state = 5},
  [2225] = {.lex_state = 267, .external_lex_state = 5},
  [2226] = {.lex_state = 267, .external_lex_state = 5},
  [2227] = {.lex_state = 267, .external_lex_state = 5},
  [2228] = {.lex_state = 267, .external_lex_state = 5},
  [2229] = {.lex_state = 267, .external_lex_state = 5},
  [2230] = {.lex_state = 267, .external_lex_state = 5},
  [2231] = {.lex_state = 267, .external_lex_state = 5},
  [2232] = {.lex_state = 267, .external_lex_state = 5},
  [2233] = {.lex_state = 267, .external_lex_state = 5},
  [2234] = {.lex_state = 267, .external_lex_state = 5},
  [2235] = {.lex_state = 267, .external_lex_state = 5},
  [2236] = {.lex_state = 267, .external_lex_state = 5},
  [2237] = {.lex_state = 267, .external_lex_state = 5},
  [2238] = {.lex_state = 267, .external_lex_state = 5},
  [2239] = {.lex_state = 267, .external_lex_state = 5},
  [2240] = {.lex_state = 267, .external_lex_state = 5},
  [2241] = {.lex_state = 267, .external_lex_state = 5},
  [2242] = {.lex_state = 267, .external_lex_state = 5},
  [2243] = {.lex_state = 267, .external_lex_state = 5},
  [2244] = {.lex_state = 267, .external_lex_state = 5},
  [2245] = {.lex_state = 267, .external_lex_state = 5},
  [2246] = {.lex_state = 267, .external_lex_state = 5},
  [2247] = {.lex_state = 267, .external_lex_state = 5},
  [2248] = {.lex_state = 267, .external_lex_state = 5},
  [2249] = {.lex_state = 267, .external_lex_state = 5},
  [2250] = {.lex_state = 267, .external_lex_state = 5},
  [2251] = {.lex_state = 121, .external_lex_state = 5},
  [2252] = {.lex_state = 121, .external_lex_state = 5},
  [2253] = {.lex_state = 121, .external_lex_state = 5},
  [2254] = {.lex_state = 121, .external_lex_state = 5},
  [2255] = {.lex_state = 121, .external_lex_state = 5},
  [2256] = {.lex_state = 121, .external_lex_state = 5},
  [2257] = {.lex_state = 267, .external_lex_state = 5},
  [2258] = {.lex_state = 267, .external_lex_state = 5},
  [2259] = {.lex_state = 267, .external_lex_state = 5},
  [2260] = {.lex_state = 267, .external_lex_state = 5},
  [2261] = {.lex_state = 267, .external_lex_state = 5},
  [2262] = {.lex_state = 267, .external_lex_state = 5},
  [2263] = {.lex_state = 267, .external_lex_state = 5},
  [2264] = {.lex_state = 267, .external_lex_state = 5},
  [2265] = {.lex_state = 267, .external_lex_state = 5},
  [2266] = {.lex_state = 267, .external_lex_state = 5},
  [2267] = {.lex_state = 267, .external_lex_state = 5},
  [2268] = {.lex_state = 267, .external_lex_state = 5},
  [2269] = {.lex_state = 267, .external_lex_state = 5},
  [2270] = {.lex_state = 267, .external_lex_state = 5},
  [2271] = {.lex_state = 267, .external_lex_state = 5},
  [2272] = {.lex_state = 267, .external_lex_state = 5},
  [2273] = {.lex_state = 267, .external_lex_state = 5},
  [2274] = {.lex_state = 267, .external_lex_state = 5},
  [2275] = {.lex_state = 267, .external_lex_state = 5},
  [2276] = {.lex_state = 267, .external_lex_state = 5},
  [2277] = {.lex_state = 267, .external_lex_state = 5},
  [2278] = {.lex_state = 267, .external_lex_state = 5},
  [2279] = {.lex_state = 267, .external_lex_state = 5},
  [2280] = {.lex_state = 267, .external_lex_state = 5},
  [2281] = {.lex_state = 102, .external_lex_state = 5},
  [2282] = {.lex_state = 267, .external_lex_state = 5},
  [2283] = {.lex_state = 121, .external_lex_state = 5},
  [2284] = {.lex_state = 121, .external_lex_state = 5},
  [2285] = {.lex_state = 121, .external_lex_state = 5},
  [2286] = {.lex_state = 121, .external_lex_state = 5},
  [2287] = {.lex_state = 121, .external_lex_state = 5},
  [2288] = {.lex_state = 121, .external_lex_state = 5},
  [2289] = {.lex_state = 121, .external_lex_state = 5},
  [2290] = {.lex_state = 121, .external_lex_state = 5},
  [2291] = {.lex_state = 121, .external_lex_state = 5},
  [2292] = {.lex_state = 121, .external_lex_state = 5},
  [2293] = {.lex_state = 121, .external_lex_state = 5},
  [2294] = {.lex_state = 121, .external_lex_state = 5},
  [2295] = {.lex_state = 121, .external_lex_state = 5},
  [2296] = {.lex_state = 121, .external_lex_state = 5},
  [2297] = {.lex_state = 121, .external_lex_state = 5},
  [2298] = {.lex_state = 121, .external_lex_state = 5},
  [2299] = {.lex_state = 121, .external_lex_state = 5},
  [2300] = {.lex_state = 121, .external_lex_state = 5},
  [2301] = {.lex_state = 121, .external_lex_state = 5},
  [2302] = {.lex_state = 121, .external_lex_state = 5},
  [2303] = {.lex_state = 121, .external_lex_state = 5},
  [2304] = {.lex_state = 121, .external_lex_state = 5},
  [2305] = {.lex_state = 121, .external_lex_state = 5},
  [2306] = {.lex_state = 121, .external_lex_state = 5},
  [2307] = {.lex_state = 121, .external_lex_state = 5},
  [2308] = {.lex_state = 121, .external_lex_state = 5},
  [2309] = {.lex_state = 121, .external_lex_state = 5},
  [2310] = {.lex_state = 121, .external_lex_state = 5},
  [2311] = {.lex_state = 121, .external_lex_state = 5},
  [2312] = {.lex_state = 121, .external_lex_state = 5},
  [2313] = {.lex_state = 121, .external_lex_state = 5},
  [2314] = {.lex_state = 121, .external_lex_state = 5},
  [2315] = {.lex_state = 121, .external_lex_state = 5},
  [2316] = {.lex_state = 121, .external_lex_state = 5},
  [2317] = {.lex_state = 121, .external_lex_state = 5},
  [2318] = {.lex_state = 121, .external_lex_state = 5},
  [2319] = {.lex_state = 121, .external_lex_state = 5},
  [2320] = {.lex_state = 121, .external_lex_state = 5},
  [2321] = {.lex_state = 121, .external_lex_state = 5},
  [2322] = {.lex_state = 121, .external_lex_state = 5},
  [2323] = {.lex_state = 121, .external_lex_state = 5},
  [2324] = {.lex_state = 121, .external_lex_state = 5},
  [2325] = {.lex_state = 121, .external_lex_state = 5},
  [2326] = {.lex_state = 121, .external_lex_state = 5},
  [2327] = {.lex_state = 121, .external_lex_state = 5},
  [2328] = {.lex_state = 121, .external_lex_state = 5},
  [2329] = {.lex_state = 121, .external_lex_state = 5},
  [2330] = {.lex_state = 121, .external_lex_state = 5},
  [2331] = {.lex_state = 121, .external_lex_state = 5},
  [2332] = {.lex_state = 121, .external_lex_state = 5},
  [2333] = {.lex_state = 121, .external_lex_state = 5},
  [2334] = {.lex_state = 121, .external_lex_state = 5},
  [2335] = {.lex_state = 121, .external_lex_state = 5},
  [2336] = {.lex_state = 121, .external_lex_state = 5},
  [2337] = {.lex_state = 121, .external_lex_state = 5},
  [2338] = {.lex_state = 121, .external_lex_state = 5},
  [2339] = {.lex_state = 121, .external_lex_state = 5},
  [2340] = {.lex_state = 121, .external_lex_state = 5},
  [2341] = {.lex_state = 121, .external_lex_state = 5},
  [2342] = {.lex_state = 121, .external_lex_state = 5},
  [2343] = {.lex_state = 121, .external_lex_state = 5},
  [2344] = {.lex_state = 121, .external_lex_state = 5},
  [2345] = {.lex_state = 121, .external_lex_state = 5},
  [2346] = {.lex_state = 121, .external_lex_state = 5},
  [2347] = {.lex_state = 121, .external_lex_state = 5},
  [2348] = {.lex_state = 121, .external_lex_state = 5},
  [2349] = {.lex_state = 121, .external_lex_state = 5},
  [2350] = {.lex_state = 121, .external_lex_state = 5},
  [2351] = {.lex_state = 121, .external_lex_state = 5},
  [2352] = {.lex_state = 121, .external_lex_state = 5},
  [2353] = {.lex_state = 121, .external_lex_state = 5},
  [2354] = {.lex_state = 121, .external_lex_state = 5},
  [2355] = {.lex_state = 121, .external_lex_state = 5},
  [2356] = {.lex_state = 267, .external_lex_state = 5},
  [2357] = {.lex_state = 269, .external_lex_state = 5},
  [2358] = {.lex_state = 124, .external_lex_state = 5},
  [2359] = {.lex_state = 124, .external_lex_state = 5},
  [2360] = {.lex_state = 271, .external_lex_state = 4},
  [2361] = {.lex_state = 267, .external_lex_state = 5},
  [2362] = {.lex_state = 269, .external_lex_state = 5},
  [2363] = {.lex_state = 267, .external_lex_state = 5},
  [2364] = {.lex_state = 124, .external_lex_state = 5},
  [2365] = {.lex_state = 124, .external_lex_state = 5},
  [2366] = {.lex_state = 269, .external_lex_state = 5},
  [2367] = {.lex_state = 129, .external_lex_state = 5},
  [2368] = {.lex_state = 269, .external_lex_state = 5},
  [2369] = {.lex_state = 124, .external_lex_state = 5},
  [2370] = {.lex_state = 124, .external_lex_state = 5},
  [2371] = {.lex_state = 129, .external_lex_state = 5},
  [2372] = {.lex_state = 269, .external_lex_state = 5},
  [2373] = {.lex_state = 269, .external_lex_state = 5},
  [2374] = {.lex_state = 269, .external_lex_state = 5},
  [2375] = {.lex_state = 269, .external_lex_state = 5},
  [2376] = {.lex_state = 269, .external_lex_state = 5},
  [2377] = {.lex_state = 269, .external_lex_state = 5},
  [2378] = {.lex_state = 269, .external_lex_state = 5},
  [2379] = {.lex_state = 269, .external_lex_state = 5},
  [2380] = {.lex_state = 267, .external_lex_state = 5},
  [2381] = {.lex_state = 269, .external_lex_state = 5},
  [2382] = {.lex_state = 267, .external_lex_state = 5},
  [2383] = {.lex_state = 269, .external_lex_state = 5},
  [2384] = {.lex_state = 269, .external_lex_state = 5},
  [2385] = {.lex_state = 269, .external_lex_state = 5},
  [2386] = {.lex_state = 269, .external_lex_state = 5},
  [2387] = {.lex_state = 269, .external_lex_state = 5},
  [2388] = {.lex_state = 269, .external_lex_state = 5},
  [2389] = {.lex_state = 269, .external_lex_state = 5},
  [2390] = {.lex_state = 269, .external_lex_state = 5},
  [2391] = {.lex_state = 269, .external_lex_state = 5},
  [2392] = {.lex_state = 269, .external_lex_state = 5},
  [2393] = {.lex_state = 124, .external_lex_state = 5},
  [2394] = {.lex_state = 269, .external_lex_state = 5},
  [2395] = {.lex_state = 121, .external_lex_state = 5},
  [2396] = {.lex_state = 102, .external_lex_state = 5},
  [2397] = {.lex_state = 102, .external_lex_state = 5},
  [2398] = {.lex_state = 121, .external_lex_state = 5},
  [2399] = {.lex_state = 269, .external_lex_state = 5},
  [2400] = {.lex_state = 267, .external_lex_state = 5},
  [2401] = {.lex_state = 267, .external_lex_state = 5},
  [2402] = {.lex_state = 267, .external_lex_state = 5},
  [2403] = {.lex_state = 269, .external_lex_state = 5},
  [2404] = {.lex_state = 269, .external_lex_state = 5},
  [2405] = {.lex_state = 269, .external_lex_state = 5},
  [2406] = {.lex_state = 269, .external_lex_state = 5},
  [2407] = {.lex_state = 269, .external_lex_state = 5},
  [2408] = {.lex_state = 102, .external_lex_state = 5},
  [2409] = {.lex_state = 102, .external_lex_state = 5},
  [2410] = {.lex_state = 102, .external_lex_state = 5},
  [2411] = {.lex_state = 102, .external_lex_state = 5},
  [2412] = {.lex_state = 102, .external_lex_state = 5},
  [2413] = {.lex_state = 102, .external_lex_state = 5},
  [2414] = {.lex_state = 102, .external_lex_state = 5},
  [2415] = {.lex_state = 121, .external_lex_state = 5},
  [2416] = {.lex_state = 121, .external_lex_state = 5},
  [2417] = {.lex_state = 121, .external_lex_state = 5},
  [2418] = {.lex_state = 121, .external_lex_state = 5},
  [2419] = {.lex_state = 102, .external_lex_state = 5},
  [2420] = {.lex_state = 102, .external_lex_state = 5},
  [2421] = {.lex_state = 102, .external_lex_state = 5},
  [2422] = {.lex_state = 267, .external_lex_state = 5},
  [2423] = {.lex_state = 102, .external_lex_state = 5},
  [2424] = {.lex_state = 102, .external_lex_state = 5},
  [2425] = {.lex_state = 102, .external_lex_state = 5},
  [2426] = {.lex_state = 102, .external_lex_state = 5},
  [2427] = {.lex_state = 102, .external_lex_state = 5},
  [2428] = {.lex_state = 267, .external_lex_state = 5},
  [2429] = {.lex_state = 102, .external_lex_state = 5},
  [2430] = {.lex_state = 102, .external_lex_state = 5},
  [2431] = {.lex_state = 102, .external_lex_state = 5},
  [2432] = {.lex_state = 269, .external_lex_state = 5},
  [2433] = {.lex_state = 121, .external_lex_state = 5},
  [2434] = {.lex_state = 121, .external_lex_state = 5},
  [2435] = {.lex_state = 269, .external_lex_state = 5},
  [2436] = {.lex_state = 269, .external_lex_state = 5},
  [2437] = {.lex_state = 269, .external_lex_state = 5},
  [2438] = {.lex_state = 269, .external_lex_state = 5},
  [2439] = {.lex_state = 121, .external_lex_state = 5},
  [2440] = {.lex_state = 121, .external_lex_state = 5},
  [2441] = {.lex_state = 121, .external_lex_state = 5},
  [2442] = {.lex_state = 269, .external_lex_state = 5},
  [2443] = {.lex_state = 269, .external_lex_state = 5},
  [2444] = {.lex_state = 269, .external_lex_state = 5},
  [2445] = {.lex_state = 267, .external_lex_state = 5},
  [2446] = {.lex_state = 121, .external_lex_state = 5},
  [2447] = {.lex_state = 269, .external_lex_state = 5},
  [2448] = {.lex_state = 269, .external_lex_state = 5},
  [2449] = {.lex_state = 269, .external_lex_state = 5},
  [2450] = {.lex_state = 267, .external_lex_state = 5},
  [2451] = {.lex_state = 269, .external_lex_state = 5},
  [2452] = {.lex_state = 269, .external_lex_state = 5},
  [2453] = {.lex_state = 267, .external_lex_state = 5},
  [2454] = {.lex_state = 102, .external_lex_state = 5},
  [2455] = {.lex_state = 269, .external_lex_state = 5},
  [2456] = {.lex_state = 267, .external_lex_state = 5},
  [2457] = {.lex_state = 267, .external_lex_state = 5},
  [2458] = {.lex_state = 267, .external_lex_state = 5},
  [2459] = {.lex_state = 102, .external_lex_state = 5},
  [2460] = {.lex_state = 269, .external_lex_state = 5},
  [2461] = {.lex_state = 269, .external_lex_state = 5},
  [2462] = {.lex_state = 269, .external_lex_state = 5},
  [2463] = {.lex_state = 269, .external_lex_state = 5},
  [2464] = {.lex_state = 269, .external_lex_state = 5},
  [2465] = {.lex_state = 269, .external_lex_state = 5},
  [2466] = {.lex_state = 102, .external_lex_state = 5},
  [2467] = {.lex_state = 102, .external_lex_state = 5},
  [2468] = {.lex_state = 269, .external_lex_state = 5},
  [2469] = {.lex_state = 269, .external_lex_state = 5},
  [2470] = {.lex_state = 269, .external_lex_state = 5},
  [2471] = {.lex_state = 124, .external_lex_state = 5},
  [2472] = {.lex_state = 124, .external_lex_state = 5},
  [2473] = {.lex_state = 267, .external_lex_state = 5},
  [2474] = {.lex_state = 124, .external_lex_state = 5},
  [2475] = {.lex_state = 124, .external_lex_state = 5},
  [2476] = {.lex_state = 124, .external_lex_state = 5},
  [2477] = {.lex_state = 267, .external_lex_state = 5},
  [2478] = {.lex_state = 269, .external_lex_state = 5},
  [2479] = {.lex_state = 269, .external_lex_state = 5},
  [2480] = {.lex_state = 269, .external_lex_state = 5},
  [2481] = {.lex_state = 269, .external_lex_state = 5},
  [2482] = {.lex_state = 269, .external_lex_state = 5},
  [2483] = {.lex_state = 102, .external_lex_state = 5},
  [2484] = {.lex_state = 267, .external_lex_state = 5},
  [2485] = {.lex_state = 269, .external_lex_state = 5},
  [2486] = {.lex_state = 269, .external_lex_state = 5},
  [2487] = {.lex_state = 267, .external_lex_state = 5},
  [2488] = {.lex_state = 269, .external_lex_state = 5},
  [2489] = {.lex_state = 269, .external_lex_state = 5},
  [2490] = {.lex_state = 269, .external_lex_state = 5},
  [2491] = {.lex_state = 269, .external_lex_state = 5},
  [2492] = {.lex_state = 269, .external_lex_state = 5},
  [2493] = {.lex_state = 269, .external_lex_state = 5},
  [2494] = {.lex_state = 267, .external_lex_state = 5},
  [2495] = {.lex_state = 269, .external_lex_state = 5},
  [2496] = {.lex_state = 269, .external_lex_state = 5},
  [2497] = {.lex_state = 269, .external_lex_state = 5},
  [2498] = {.lex_state = 269, .external_lex_state = 5},
  [2499] = {.lex_state = 269, .external_lex_state = 5},
  [2500] = {.lex_state = 269, .external_lex_state = 5},
  [2501] = {.lex_state = 269, .external_lex_state = 5},
  [2502] = {.lex_state = 269, .external_lex_state = 5},
  [2503] = {.lex_state = 269, .external_lex_state = 5},
  [2504] = {.lex_state = 269, .external_lex_state = 5},
  [2505] = {.lex_state = 269, .external_lex_state = 5},
  [2506] = {.lex_state = 269, .external_lex_state = 5},
  [2507] = {.lex_state = 269, .external_lex_state = 5},
  [2508] = {.lex_state = 269, .external_lex_state = 5},
  [2509] = {.lex_state = 102, .external_lex_state = 5},
  [2510] = {.lex_state = 269, .external_lex_state = 5},
  [2511] = {.lex_state = 121, .external_lex_state = 5},
  [2512] = {.lex_state = 121, .external_lex_state = 5},
  [2513] = {.lex_state = 267, .external_lex_state = 5},
  [2514] = {.lex_state = 121, .external_lex_state = 5},
  [2515] = {.lex_state = 121, .external_lex_state = 5},
  [2516] = {.lex_state = 121, .external_lex_state = 5},
  [2517] = {.lex_state = 121, .external_lex_state = 5},
  [2518] = {.lex_state = 121, .external_lex_state = 5},
  [2519] = {.lex_state = 121, .external_lex_state = 5},
  [2520] = {.lex_state = 121, .external_lex_state = 5},
  [2521] = {.lex_state = 267, .external_lex_state = 5},
  [2522] = {.lex_state = 121, .external_lex_state = 5},
  [2523] = {.lex_state = 121, .external_lex_state = 5},
  [2524] = {.lex_state = 121, .external_lex_state = 5},
  [2525] = {.lex_state = 121, .external_lex_state = 5},
  [2526] = {.lex_state = 121, .external_lex_state = 5},
  [2527] = {.lex_state = 121, .external_lex_state = 5},
  [2528] = {.lex_state = 121, .external_lex_state = 5},
  [2529] = {.lex_state = 269, .external_lex_state = 5},
  [2530] = {.lex_state = 269, .external_lex_state = 5},
  [2531] = {.lex_state = 269, .external_lex_state = 5},
  [2532] = {.lex_state = 269, .external_lex_state = 5},
  [2533] = {.lex_state = 121, .external_lex_state = 5},
  [2534] = {.lex_state = 121, .external_lex_state = 5},
  [2535] = {.lex_state = 121, .external_lex_state = 5},
  [2536] = {.lex_state = 121, .external_lex_state = 5},
  [2537] = {.lex_state = 121, .external_lex_state = 5},
  [2538] = {.lex_state = 121, .external_lex_state = 5},
  [2539] = {.lex_state = 121, .external_lex_state = 5},
  [2540] = {.lex_state = 121, .external_lex_state = 5},
  [2541] = {.lex_state = 121, .external_lex_state = 5},
  [2542] = {.lex_state = 121, .external_lex_state = 5},
  [2543] = {.lex_state = 267, .external_lex_state = 5},
  [2544] = {.lex_state = 102, .external_lex_state = 5},
  [2545] = {.lex_state = 121, .external_lex_state = 5},
  [2546] = {.lex_state = 267, .external_lex_state = 5},
  [2547] = {.lex_state = 267, .external_lex_state = 5},
  [2548] = {.lex_state = 267, .external_lex_state = 5},
  [2549] = {.lex_state = 102, .external_lex_state = 5},
  [2550] = {.lex_state = 267, .external_lex_state = 5},
  [2551] = {.lex_state = 267, .external_lex_state = 5},
  [2552] = {.lex_state = 267, .external_lex_state = 5},
  [2553] = {.lex_state = 267, .external_lex_state = 5},
  [2554] = {.lex_state = 267, .external_lex_state = 5},
  [2555] = {.lex_state = 121, .external_lex_state = 5},
  [2556] = {.lex_state = 267, .external_lex_state = 5},
  [2557] = {.lex_state = 267, .external_lex_state = 5},
  [2558] = {.lex_state = 267, .external_lex_state = 5},
  [2559] = {.lex_state = 267, .external_lex_state = 5},
  [2560] = {.lex_state = 267, .external_lex_state = 5},
  [2561] = {.lex_state = 267, .external_lex_state = 5},
  [2562] = {.lex_state = 267, .external_lex_state = 5},
  [2563] = {.lex_state = 267, .external_lex_state = 5},
  [2564] = {.lex_state = 267, .external_lex_state = 5},
  [2565] = {.lex_state = 121, .external_lex_state = 5},
  [2566] = {.lex_state = 121, .external_lex_state = 5},
  [2567] = {.lex_state = 121, .external_lex_state = 5},
  [2568] = {.lex_state = 121, .external_lex_state = 5},
  [2569] = {.lex_state = 269, .external_lex_state = 5},
  [2570] = {.lex_state = 269, .external_lex_state = 5},
  [2571] = {.lex_state = 102, .external_lex_state = 5},
  [2572] = {.lex_state = 269, .external_lex_state = 5},
  [2573] = {.lex_state = 269, .external_lex_state = 5},
  [2574] = {.lex_state = 269, .external_lex_state = 5},
  [2575] = {.lex_state = 124, .external_lex_state = 5},
  [2576] = {.lex_state = 267, .external_lex_state = 5},
  [2577] = {.lex_state = 269, .external_lex_state = 5},
  [2578] = {.lex_state = 269, .external_lex_state = 5},
  [2579] = {.lex_state = 269, .external_lex_state = 5},
  [2580] = {.lex_state = 269, .external_lex_state = 5},
  [2581] = {.lex_state = 269, .external_lex_state = 5},
  [2582] = {.lex_state = 269, .external_lex_state = 5},
  [2583] = {.lex_state = 269, .external_lex_state = 5},
  [2584] = {.lex_state = 267, .external_lex_state = 4},
  [2585] = {.lex_state = 269, .external_lex_state = 5},
  [2586] = {.lex_state = 269, .external_lex_state = 5},
  [2587] = {.lex_state = 269, .external_lex_state = 5},
  [2588] = {.lex_state = 269, .external_lex_state = 5},
  [2589] = {.lex_state = 269, .external_lex_state = 5},
  [2590] = {.lex_state = 269, .external_lex_state = 5},
  [2591] = {.lex_state = 269, .external_lex_state = 5},
  [2592] = {.lex_state = 269, .external_lex_state = 5},
  [2593] = {.lex_state = 269, .external_lex_state = 5},
  [2594] = {.lex_state = 271, .external_lex_state = 4},
  [2595] = {.lex_state = 269, .external_lex_state = 5},
  [2596] = {.lex_state = 271, .external_lex_state = 4},
  [2597] = {.lex_state = 267, .external_lex_state = 4},
  [2598] = {.lex_state = 121, .external_lex_state = 5},
  [2599] = {.lex_state = 267, .external_lex_state = 5},
  [2600] = {.lex_state = 267, .external_lex_state = 4},
  [2601] = {.lex_state = 267, .external_lex_state = 4},
  [2602] = {.lex_state = 121, .external_lex_state = 5},
  [2603] = {.lex_state = 121, .external_lex_state = 5},
  [2604] = {.lex_state = 102, .external_lex_state = 5},
  [2605] = {.lex_state = 121, .external_lex_state = 5},
  [2606] = {.lex_state = 121, .external_lex_state = 5},
  [2607] = {.lex_state = 121, .external_lex_state = 5},
  [2608] = {.lex_state = 267, .external_lex_state = 5},
  [2609] = {.lex_state = 267, .external_lex_state = 5},
  [2610] = {.lex_state = 121, .external_lex_state = 5},
  [2611] = {.lex_state = 121, .external_lex_state = 5},
  [2612] = {.lex_state = 121, .external_lex_state = 5},
  [2613] = {.lex_state = 121, .external_lex_state = 5},
  [2614] = {.lex_state = 267, .external_lex_state = 4},
  [2615] = {.lex_state = 267, .external_lex_state = 4},
  [2616] = {.lex_state = 271, .external_lex_state = 4},
  [2617] = {.lex_state = 267, .external_lex_state = 5},
  [2618] = {.lex_state = 267, .external_lex_state = 5},
  [2619] = {.lex_state = 271, .external_lex_state = 4},
  [2620] = {.lex_state = 271, .external_lex_state = 4},
  [2621] = {.lex_state = 267, .external_lex_state = 5},
  [2622] = {.lex_state = 271, .external_lex_state = 4},
  [2623] = {.lex_state = 271, .external_lex_state = 4},
  [2624] = {.lex_state = 271, .external_lex_state = 4},
  [2625] = {.lex_state = 271, .external_lex_state = 4},
  [2626] = {.lex_state = 271, .external_lex_state = 4},
  [2627] = {.lex_state = 121, .external_lex_state = 5},
  [2628] = {.lex_state = 121, .external_lex_state = 5},
  [2629] = {.lex_state = 121, .external_lex_state = 5},
  [2630] = {.lex_state = 102, .external_lex_state = 5},
  [2631] = {.lex_state = 121, .external_lex_state = 5},
  [2632] = {.lex_state = 121, .external_lex_state = 5},
  [2633] = {.lex_state = 121, .external_lex_state = 5},
  [2634] = {.lex_state = 102, .external_lex_state = 5},
  [2635] = {.lex_state = 102, .external_lex_state = 5},
  [2636] = {.lex_state = 271, .external_lex_state = 4},
  [2637] = {.lex_state = 267, .external_lex_state = 5},
  [2638] = {.lex_state = 271, .external_lex_state = 4},
  [2639] = {.lex_state = 269, .external_lex_state = 5},
  [2640] = {.lex_state = 269, .external_lex_state = 5},
  [2641] = {.lex_state = 271, .external_lex_state = 4},
  [2642] = {.lex_state = 269, .external_lex_state = 5},
  [2643] = {.lex_state = 271, .external_lex_state = 4},
  [2644] = {.lex_state = 271, .external_lex_state = 4},
  [2645] = {.lex_state = 267, .external_lex_state = 5},
  [2646] = {.lex_state = 269, .external_lex_state = 5},
  [2647] = {.lex_state = 267, .external_lex_state = 5},
  [2648] = {.lex_state = 271, .external_lex_state = 4},
  [2649] = {.lex_state = 271, .external_lex_state = 4},
  [2650] = {.lex_state = 267, .external_lex_state = 5},
  [2651] = {.lex_state = 267, .external_lex_state = 5},
  [2652] = {.lex_state = 271, .external_lex_state = 4},
  [2653] = {.lex_state = 124, .external_lex_state = 5},
  [2654] = {.lex_state = 124, .external_lex_state = 5},
  [2655] = {.lex_state = 267, .external_lex_state = 5},
  [2656] = {.lex_state = 124, .external_lex_state = 5},
  [2657] = {.lex_state = 124, .external_lex_state = 5},
  [2658] = {.lex_state = 124, .external_lex_state = 5},
  [2659] = {.lex_state = 124, .external_lex_state = 5},
  [2660] = {.lex_state = 267, .external_lex_state = 4},
  [2661] = {.lex_state = 267, .external_lex_state = 4},
  [2662] = {.lex_state = 267, .external_lex_state = 5},
  [2663] = {.lex_state = 124, .external_lex_state = 5},
  [2664] = {.lex_state = 267, .external_lex_state = 4},
  [2665] = {.lex_state = 124, .external_lex_state = 5},
  [2666] = {.lex_state = 124, .external_lex_state = 5},
  [2667] = {.lex_state = 124, .external_lex_state = 5},
  [2668] = {.lex_state = 124, .external_lex_state = 5},
  [2669] = {.lex_state = 124, .external_lex_state = 5},
  [2670] = {.lex_state = 121, .external_lex_state = 5},
  [2671] = {.lex_state = 102, .external_lex_state = 5},
  [2672] = {.lex_state = 267, .external_lex_state = 5},
  [2673] = {.lex_state = 121, .external_lex_state = 5},
  [2674] = {.lex_state = 121, .external_lex_state = 5},
  [2675] = {.lex_state = 121, .external_lex_state = 5},
  [2676] = {.lex_state = 121, .external_lex_state = 5},
  [2677] = {.lex_state = 121, .external_lex_state = 5},
  [2678] = {.lex_state = 121, .external_lex_state = 5},
  [2679] = {.lex_state = 121, .external_lex_state = 5},
  [2680] = {.lex_state = 121, .external_lex_state = 5},
  [2681] = {.lex_state = 121, .external_lex_state = 5},
  [2682] = {.lex_state = 121, .external_lex_state = 5},
  [2683] = {.lex_state = 267, .external_lex_state = 5},
  [2684] = {.lex_state = 121, .external_lex_state = 5},
  [2685] = {.lex_state = 121, .external_lex_state = 5},
  [2686] = {.lex_state = 102, .external_lex_state = 5},
  [2687] = {.lex_state = 121, .external_lex_state = 5},
  [2688] = {.lex_state = 269, .external_lex_state = 5},
  [2689] = {.lex_state = 269, .external_lex_state = 5},
  [2690] = {.lex_state = 269, .external_lex_state = 5},
  [2691] = {.lex_state = 129, .external_lex_state = 5},
  [2692] = {.lex_state = 121, .external_lex_state = 5},
  [2693] = {.lex_state = 121, .external_lex_state = 5},
  [2694] = {.lex_state = 129, .external_lex_state = 5},
  [2695] = {.lex_state = 267, .external_lex_state = 4},
  [2696] = {.lex_state = 129, .external_lex_state = 5},
  [2697] = {.lex_state = 121, .external_lex_state = 5},
  [2698] = {.lex_state = 121, .external_lex_state = 5},
  [2699] = {.lex_state = 121, .external_lex_state = 5},
  [2700] = {.lex_state = 121, .external_lex_state = 5},
  [2701] = {.lex_state = 124, .external_lex_state = 5},
  [2702] = {.lex_state = 269, .external_lex_state = 5},
  [2703] = {.lex_state = 269, .external_lex_state = 5},
  [2704] = {.lex_state = 271, .external_lex_state = 4},
  [2705] = {.lex_state = 271, .external_lex_state = 4},
  [2706] = {.lex_state = 124, .external_lex_state = 5},
  [2707] = {.lex_state = 124, .external_lex_state = 5},
  [2708] = {.lex_state = 102, .external_lex_state = 5},
  [2709] = {.lex_state = 267, .external_lex_state = 4},
  [2710] = {.lex_state = 267, .external_lex_state = 4},
  [2711] = {.lex_state = 102, .external_lex_state = 5},
  [2712] = {.lex_state = 124, .external_lex_state = 5},
  [2713] = {.lex_state = 124, .external_lex_state = 5},
  [2714] = {.lex_state = 124, .external_lex_state = 5},
  [2715] = {.lex_state = 271, .external_lex_state = 4},
  [2716] = {.lex_state = 271, .external_lex_state = 4},
  [2717] = {.lex_state = 271, .external_lex_state = 4},
  [2718] = {.lex_state = 267, .external_lex_state = 5},
  [2719] = {.lex_state = 271, .external_lex_state = 4},
  [2720] = {.lex_state = 271, .external_lex_state = 4},
  [2721] = {.lex_state = 269, .external_lex_state = 5},
  [2722] = {.lex_state = 269, .external_lex_state = 5},
  [2723] = {.lex_state = 271, .external_lex_state = 4},
  [2724] = {.lex_state = 271, .external_lex_state = 4},
  [2725] = {.lex_state = 271, .external_lex_state = 4},
  [2726] = {.lex_state = 271, .external_lex_state = 4},
  [2727] = {.lex_state = 271, .external_lex_state = 4},
  [2728] = {.lex_state = 271, .external_lex_state = 4},
  [2729] = {.lex_state = 271, .external_lex_state = 4},
  [2730] = {.lex_state = 271, .external_lex_state = 4},
  [2731] = {.lex_state = 271, .external_lex_state = 4},
  [2732] = {.lex_state = 271, .external_lex_state = 4},
  [2733] = {.lex_state = 102, .external_lex_state = 5},
  [2734] = {.lex_state = 124, .external_lex_state = 5},
  [2735] = {.lex_state = 271, .external_lex_state = 4},
  [2736] = {.lex_state = 271, .external_lex_state = 4},
  [2737] = {.lex_state = 129, .external_lex_state = 5},
  [2738] = {.lex_state = 124, .external_lex_state = 5},
  [2739] = {.lex_state = 271, .external_lex_state = 4},
  [2740] = {.lex_state = 124, .external_lex_state = 5},
  [2741] = {.lex_state = 271, .external_lex_state = 4},
  [2742] = {.lex_state = 129, .external_lex_state = 5},
  [2743] = {.lex_state = 271, .external_lex_state = 4},
  [2744] = {.lex_state = 271, .external_lex_state = 4},
  [2745] = {.lex_state = 271, .external_lex_state = 4},
  [2746] = {.lex_state = 271, .external_lex_state = 4},
  [2747] = {.lex_state = 271, .external_lex_state = 4},
  [2748] = {.lex_state = 271, .external_lex_state = 4},
  [2749] = {.lex_state = 271, .external_lex_state = 4},
  [2750] = {.lex_state = 124, .external_lex_state = 5},
  [2751] = {.lex_state = 124, .external_lex_state = 5},
  [2752] = {.lex_state = 124, .external_lex_state = 5},
  [2753] = {.lex_state = 124, .external_lex_state = 5},
  [2754] = {.lex_state = 124, .external_lex_state = 5},
  [2755] = {.lex_state = 124, .external_lex_state = 5},
  [2756] = {.lex_state = 271, .external_lex_state = 4},
  [2757] = {.lex_state = 271, .external_lex_state = 4},
  [2758] = {.lex_state = 124, .external_lex_state = 5},
  [2759] = {.lex_state = 267, .external_lex_state = 4},
  [2760] = {.lex_state = 269, .external_lex_state = 5},
  [2761] = {.lex_state = 124, .external_lex_state = 5},
  [2762] = {.lex_state = 124, .external_lex_state = 5},
  [2763] = {.lex_state = 124, .external_lex_state = 5},
  [2764] = {.lex_state = 124, .external_lex_state = 5},
  [2765] = {.lex_state = 102, .external_lex_state = 5},
  [2766] = {.lex_state = 102, .external_lex_state = 5},
  [2767] = {.lex_state = 124, .external_lex_state = 5},
  [2768] = {.lex_state = 124, .external_lex_state = 5},
  [2769] = {.lex_state = 124, .external_lex_state = 5},
  [2770] = {.lex_state = 124, .external_lex_state = 5},
  [2771] = {.lex_state = 124, .external_lex_state = 5},
  [2772] = {.lex_state = 124, .external_lex_state = 5},
  [2773] = {.lex_state = 124, .external_lex_state = 5},
  [2774] = {.lex_state = 124, .external_lex_state = 5},
  [2775] = {.lex_state = 124, .external_lex_state = 5},
  [2776] = {.lex_state = 124, .external_lex_state = 5},
  [2777] = {.lex_state = 124, .external_lex_state = 5},
  [2778] = {.lex_state = 124, .external_lex_state = 5},
  [2779] = {.lex_state = 124, .external_lex_state = 5},
  [2780] = {.lex_state = 124, .external_lex_state = 5},
  [2781] = {.lex_state = 269, .external_lex_state = 5},
  [2782] = {.lex_state = 267, .external_lex_state = 4},
  [2783] = {.lex_state = 124, .external_lex_state = 5},
  [2784] = {.lex_state = 124, .external_lex_state = 5},
  [2785] = {.lex_state = 124, .external_lex_state = 5},
  [2786] = {.lex_state = 124, .external_lex_state = 5},
  [2787] = {.lex_state = 267, .external_lex_state = 5},
  [2788] = {.lex_state = 267, .external_lex_state = 4},
  [2789] = {.lex_state = 124, .external_lex_state = 5},
  [2790] = {.lex_state = 124, .external_lex_state = 5},
  [2791] = {.lex_state = 267, .external_lex_state = 5},
  [2792] = {.lex_state = 124, .external_lex_state = 5},
  [2793] = {.lex_state = 124, .external_lex_state = 5},
  [2794] = {.lex_state = 267, .external_lex_state = 4},
  [2795] = {.lex_state = 267, .external_lex_state = 4},
  [2796] = {.lex_state = 124, .external_lex_state = 5},
  [2797] = {.lex_state = 124, .external_lex_state = 5},
  [2798] = {.lex_state = 102, .external_lex_state = 5},
  [2799] = {.lex_state = 102, .external_lex_state = 5},
  [2800] = {.lex_state = 271, .external_lex_state = 4},
  [2801] = {.lex_state = 271, .external_lex_state = 4},
  [2802] = {.lex_state = 271, .external_lex_state = 4},
  [2803] = {.lex_state = 271, .external_lex_state = 4},
  [2804] = {.lex_state = 271, .external_lex_state = 4},
  [2805] = {.lex_state = 102, .external_lex_state = 5},
  [2806] = {.lex_state = 124, .external_lex_state = 5},
  [2807] = {.lex_state = 271, .external_lex_state = 4},
  [2808] = {.lex_state = 124, .external_lex_state = 5},
  [2809] = {.lex_state = 124, .external_lex_state = 5},
  [2810] = {.lex_state = 124, .external_lex_state = 5},
  [2811] = {.lex_state = 124, .external_lex_state = 5},
  [2812] = {.lex_state = 124, .external_lex_state = 5},
  [2813] = {.lex_state = 124, .external_lex_state = 5},
  [2814] = {.lex_state = 124, .external_lex_state = 5},
  [2815] = {.lex_state = 124, .external_lex_state = 5},
  [2816] = {.lex_state = 124, .external_lex_state = 5},
  [2817] = {.lex_state = 124, .external_lex_state = 5},
  [2818] = {.lex_state = 267, .external_lex_state = 4},
  [2819] = {.lex_state = 271, .external_lex_state = 4},
  [2820] = {.lex_state = 102, .external_lex_state = 5},
  [2821] = {.lex_state = 271, .external_lex_state = 4},
  [2822] = {.lex_state = 271, .external_lex_state = 4},
  [2823] = {.lex_state = 271, .external_lex_state = 4},
  [2824] = {.lex_state = 271, .external_lex_state = 4},
  [2825] = {.lex_state = 271, .external_lex_state = 4},
  [2826] = {.lex_state = 271, .external_lex_state = 4},
  [2827] = {.lex_state = 271, .external_lex_state = 4},
  [2828] = {.lex_state = 271, .external_lex_state = 4},
  [2829] = {.lex_state = 271, .external_lex_state = 4},
  [2830] = {.lex_state = 271, .external_lex_state = 4},
  [2831] = {.lex_state = 271, .external_lex_state = 4},
  [2832] = {.lex_state = 271, .external_lex_state = 4},
  [2833] = {.lex_state = 271, .external_lex_state = 4},
  [2834] = {.lex_state = 271, .external_lex_state = 4},
  [2835] = {.lex_state = 271, .external_lex_state = 4},
  [2836] = {.lex_state = 271, .external_lex_state = 4},
  [2837] = {.lex_state = 271, .external_lex_state = 4},
  [2838] = {.lex_state = 271, .external_lex_state = 4},
  [2839] = {.lex_state = 271, .external_lex_state = 4},
  [2840] = {.lex_state = 271, .external_lex_state = 4},
  [2841] = {.lex_state = 271, .external_lex_state = 4},
  [2842] = {.lex_state = 271, .external_lex_state = 4},
  [2843] = {.lex_state = 271, .external_lex_state = 4},
  [2844] = {.lex_state = 271, .external_lex_state = 4},
  [2845] = {.lex_state = 102, .external_lex_state = 5},
  [2846] = {.lex_state = 269, .external_lex_state = 5},
  [2847] = {.lex_state = 102, .external_lex_state = 5},
  [2848] = {.lex_state = 102, .external_lex_state = 5},
  [2849] = {.lex_state = 267, .external_lex_state = 5},
  [2850] = {.lex_state = 269, .external_lex_state = 5},
  [2851] = {.lex_state = 269, .external_lex_state = 5},
  [2852] = {.lex_state = 269, .external_lex_state = 5},
  [2853] = {.lex_state = 269, .external_lex_state = 5},
  [2854] = {.lex_state = 269, .external_lex_state = 5},
  [2855] = {.lex_state = 269, .external_lex_state = 5},
  [2856] = {.lex_state = 269, .external_lex_state = 5},
  [2857] = {.lex_state = 269, .external_lex_state = 5},
  [2858] = {.lex_state = 269, .external_lex_state = 5},
  [2859] = {.lex_state = 269, .external_lex_state = 5},
  [2860] = {.lex_state = 269, .external_lex_state = 5},
  [2861] = {.lex_state = 267, .external_lex_state = 4},
  [2862] = {.lex_state = 269, .external_lex_state = 5},
  [2863] = {.lex_state = 269, .external_lex_state = 5},
  [2864] = {.lex_state = 267, .external_lex_state = 4},
  [2865] = {.lex_state = 269, .external_lex_state = 5},
  [2866] = {.lex_state = 269, .external_lex_state = 5},
  [2867] = {.lex_state = 269, .external_lex_state = 5},
  [2868] = {.lex_state = 102, .external_lex_state = 5},
  [2869] = {.lex_state = 267, .external_lex_state = 5},
  [2870] = {.lex_state = 102, .external_lex_state = 5},
  [2871] = {.lex_state = 102, .external_lex_state = 5},
  [2872] = {.lex_state = 269, .external_lex_state = 5},
  [2873] = {.lex_state = 269, .external_lex_state = 5},
  [2874] = {.lex_state = 269, .external_lex_state = 5},
  [2875] = {.lex_state = 267, .external_lex_state = 5},
  [2876] = {.lex_state = 267, .external_lex_state = 5},
  [2877] = {.lex_state = 269, .external_lex_state = 5},
  [2878] = {.lex_state = 269, .external_lex_state = 5},
  [2879] = {.lex_state = 269, .external_lex_state = 5},
  [2880] = {.lex_state = 267, .external_lex_state = 5},
  [2881] = {.lex_state = 269, .external_lex_state = 5},
  [2882] = {.lex_state = 267, .external_lex_state = 5},
  [2883] = {.lex_state = 269, .external_lex_state = 5},
  [2884] = {.lex_state = 269, .external_lex_state = 5},
  [2885] = {.lex_state = 267, .external_lex_state = 5},
  [2886] = {.lex_state = 267, .external_lex_state = 4},
  [2887] = {.lex_state = 267, .external_lex_state = 5},
  [2888] = {.lex_state = 267, .external_lex_state = 5},
  [2889] = {.lex_state = 267, .external_lex_state = 5},
  [2890] = {.lex_state = 269, .external_lex_state = 5},
  [2891] = {.lex_state = 267, .external_lex_state = 4},
  [2892] = {.lex_state = 102, .external_lex_state = 5},
  [2893] = {.lex_state = 267, .external_lex_state = 5},
  [2894] = {.lex_state = 102, .external_lex_state = 5},
  [2895] = {.lex_state = 102, .external_lex_state = 5},
  [2896] = {.lex_state = 269, .external_lex_state = 5},
  [2897] = {.lex_state = 102, .external_lex_state = 5},
  [2898] = {.lex_state = 267, .external_lex_state = 4},
  [2899] = {.lex_state = 102, .external_lex_state = 5},
  [2900] = {.lex_state = 269, .external_lex_state = 5},
  [2901] = {.lex_state = 269, .external_lex_state = 5},
  [2902] = {.lex_state = 102, .external_lex_state = 5},
  [2903] = {.lex_state = 269, .external_lex_state = 5},
  [2904] = {.lex_state = 269, .external_lex_state = 5},
  [2905] = {.lex_state = 102, .external_lex_state = 5},
  [2906] = {.lex_state = 269, .external_lex_state = 5},
  [2907] = {.lex_state = 102, .external_lex_state = 5},
  [2908] = {.lex_state = 269, .external_lex_state = 5},
  [2909] = {.lex_state = 102, .external_lex_state = 5},
  [2910] = {.lex_state = 269, .external_lex_state = 5},
  [2911] = {.lex_state = 102, .external_lex_state = 5},
  [2912] = {.lex_state = 102, .external_lex_state = 5},
  [2913] = {.lex_state = 269, .external_lex_state = 5},
  [2914] = {.lex_state = 102, .external_lex_state = 5},
  [2915] = {.lex_state = 269, .external_lex_state = 5},
  [2916] = {.lex_state = 269, .external_lex_state = 5},
  [2917] = {.lex_state = 269, .external_lex_state = 5},
  [2918] = {.lex_state = 269, .external_lex_state = 5},
  [2919] = {.lex_state = 102, .external_lex_state = 5},
  [2920] = {.lex_state = 267, .external_lex_state = 5},
  [2921] = {.lex_state = 267, .external_lex_state = 5},
  [2922] = {.lex_state = 129, .external_lex_state = 5},
  [2923] = {.lex_state = 267, .external_lex_state = 5},
  [2924] = {.lex_state = 132, .external_lex_state = 5},
  [2925] = {.lex_state = 132, .external_lex_state = 5},
  [2926] = {.lex_state = 132, .external_lex_state = 5},
  [2927] = {.lex_state = 132, .external_lex_state = 5},
  [2928] = {.lex_state = 132, .external_lex_state = 5},
  [2929] = {.lex_state = 132, .external_lex_state = 5},
  [2930] = {.lex_state = 132, .external_lex_state = 5},
  [2931] = {.lex_state = 132, .external_lex_state = 5},
  [2932] = {.lex_state = 132, .external_lex_state = 5},
  [2933] = {.lex_state = 132, .external_lex_state = 5},
  [2934] = {.lex_state = 132, .external_lex_state = 5},
  [2935] = {.lex_state = 132, .external_lex_state = 5},
  [2936] = {.lex_state = 132, .external_lex_state = 5},
  [2937] = {.lex_state = 132, .external_lex_state = 5},
  [2938] = {.lex_state = 132, .external_lex_state = 5},
  [2939] = {.lex_state = 132, .external_lex_state = 5},
  [2940] = {.lex_state = 129, .external_lex_state = 5},
  [2941] = {.lex_state = 129, .external_lex_state = 5},
  [2942] = {.lex_state = 129, .external_lex_state = 5},
  [2943] = {.lex_state = 267, .external_lex_state = 5},
  [2944] = {.lex_state = 102, .external_lex_state = 5},
  [2945] = {.lex_state = 102, .external_lex_state = 5},
  [2946] = {.lex_state = 102, .external_lex_state = 5},
  [2947] = {.lex_state = 267, .external_lex_state = 5},
  [2948] = {.lex_state = 267, .external_lex_state = 5},
  [2949] = {.lex_state = 267, .external_lex_state = 5},
  [2950] = {.lex_state = 267, .external_lex_state = 4},
  [2951] = {.lex_state = 102, .external_lex_state = 5},
  [2952] = {.lex_state = 102, .external_lex_state = 5},
  [2953] = {.lex_state = 102, .external_lex_state = 5},
  [2954] = {.lex_state = 102, .external_lex_state = 5},
  [2955] = {.lex_state = 102, .external_lex_state = 5},
  [2956] = {.lex_state = 102, .external_lex_state = 5},
  [2957] = {.lex_state = 102, .external_lex_state = 5},
  [2958] = {.lex_state = 102, .external_lex_state = 5},
  [2959] = {.lex_state = 267, .external_lex_state = 5},
  [2960] = {.lex_state = 267, .external_lex_state = 4},
  [2961] = {.lex_state = 102, .external_lex_state = 5},
  [2962] = {.lex_state = 267, .external_lex_state = 5},
  [2963] = {.lex_state = 267, .external_lex_state = 5},
  [2964] = {.lex_state = 102, .external_lex_state = 5},
  [2965] = {.lex_state = 102, .external_lex_state = 5},
  [2966] = {.lex_state = 102, .external_lex_state = 5},
  [2967] = {.lex_state = 267, .external_lex_state = 5},
  [2968] = {.lex_state = 129, .external_lex_state = 5},
  [2969] = {.lex_state = 129, .external_lex_state = 5},
  [2970] = {.lex_state = 102, .external_lex_state = 5},
  [2971] = {.lex_state = 102, .external_lex_state = 5},
  [2972] = {.lex_state = 102, .external_lex_state = 5},
  [2973] = {.lex_state = 102, .external_lex_state = 5},
  [2974] = {.lex_state = 102, .external_lex_state = 5},
  [2975] = {.lex_state = 102, .external_lex_state = 5},
  [2976] = {.lex_state = 102, .external_lex_state = 5},
  [2977] = {.lex_state = 102, .external_lex_state = 5},
  [2978] = {.lex_state = 102, .external_lex_state = 5},
  [2979] = {.lex_state = 267, .external_lex_state = 5},
  [2980] = {.lex_state = 267, .external_lex_state = 5},
  [2981] = {.lex_state = 267, .external_lex_state = 5},
  [2982] = {.lex_state = 267, .external_lex_state = 5},
  [2983] = {.lex_state = 102, .external_lex_state = 5},
  [2984] = {.lex_state = 102, .external_lex_state = 5},
  [2985] = {.lex_state = 102, .external_lex_state = 5},
  [2986] = {.lex_state = 102, .external_lex_state = 5},
  [2987] = {.lex_state = 102, .external_lex_state = 5},
  [2988] = {.lex_state = 102, .external_lex_state = 5},
  [2989] = {.lex_state = 102, .external_lex_state = 5},
  [2990] = {.lex_state = 267, .external_lex_state = 5},
  [2991] = {.lex_state = 267, .external_lex_state = 5},
  [2992] = {.lex_state = 129, .external_lex_state = 5},
  [2993] = {.lex_state = 129, .external_lex_state = 5},
  [2994] = {.lex_state = 267, .external_lex_state = 5},
  [2995] = {.lex_state = 267, .external_lex_state = 5},
  [2996] = {.lex_state = 102, .external_lex_state = 5},
  [2997] = {.lex_state = 102, .external_lex_state = 5},
  [2998] = {.lex_state = 267, .external_lex_state = 5},
  [2999] = {.lex_state = 267, .external_lex_state = 5},
  [3000] = {.lex_state = 267, .external_lex_state = 5},
  [3001] = {.lex_state = 267, .external_lex_state = 5},
  [3002] = {.lex_state = 267, .external_lex_state = 5},
  [3003] = {.lex_state = 267, .external_lex_state = 5},
  [3004] = {.lex_state = 267, .external_lex_state = 5},
  [3005] = {.lex_state = 267, .external_lex_state = 5},
  [3006] = {.lex_state = 132, .external_lex_state = 5},
  [3007] = {.lex_state = 267, .external_lex_state = 5},
  [3008] = {.lex_state = 132, .external_lex_state = 5},
  [3009] = {.lex_state = 267, .external_lex_state = 5},
  [3010] = {.lex_state = 132, .external_lex_state = 5},
  [3011] = {.lex_state = 267, .external_lex_state = 5},
  [3012] = {.lex_state = 267, .external_lex_state = 5},
  [3013] = {.lex_state = 132, .external_lex_state = 5},
  [3014] = {.lex_state = 267, .external_lex_state = 5},
  [3015] = {.lex_state = 267, .external_lex_state = 5},
  [3016] = {.lex_state = 267, .external_lex_state = 5},
  [3017] = {.lex_state = 132, .external_lex_state = 5},
  [3018] = {.lex_state = 102, .external_lex_state = 5},
  [3019] = {.lex_state = 102, .external_lex_state = 5},
  [3020] = {.lex_state = 102, .external_lex_state = 5},
  [3021] = {.lex_state = 267, .external_lex_state = 4},
  [3022] = {.lex_state = 267, .external_lex_state = 4},
  [3023] = {.lex_state = 132, .external_lex_state = 5},
  [3024] = {.lex_state = 102, .external_lex_state = 5},
  [3025] = {.lex_state = 132, .external_lex_state = 5},
  [3026] = {.lex_state = 132, .external_lex_state = 5},
  [3027] = {.lex_state = 132, .external_lex_state = 5},
  [3028] = {.lex_state = 132, .external_lex_state = 5},
  [3029] = {.lex_state = 132, .external_lex_state = 5},
  [3030] = {.lex_state = 102, .external_lex_state = 5},
  [3031] = {.lex_state = 267, .external_lex_state = 5},
  [3032] = {.lex_state = 129, .external_lex_state = 5},
  [3033] = {.lex_state = 132, .external_lex_state = 5},
  [3034] = {.lex_state = 132, .external_lex_state = 5},
  [3035] = {.lex_state = 132, .external_lex_state = 5},
  [3036] = {.lex_state = 132, .external_lex_state = 5},
  [3037] = {.lex_state = 267, .external_lex_state = 4},
  [3038] = {.lex_state = 267, .external_lex_state = 4},
  [3039] = {.lex_state = 267, .external_lex_state = 4},
  [3040] = {.lex_state = 102, .external_lex_state = 5},
  [3041] = {.lex_state = 102, .external_lex_state = 5},
  [3042] = {.lex_state = 132, .external_lex_state = 5},
  [3043] = {.lex_state = 129, .external_lex_state = 5},
  [3044] = {.lex_state = 102, .external_lex_state = 5},
  [3045] = {.lex_state = 102, .external_lex_state = 5},
  [3046] = {.lex_state = 267, .external_lex_state = 5},
  [3047] = {.lex_state = 102, .external_lex_state = 5},
  [3048] = {.lex_state = 102, .external_lex_state = 5},
  [3049] = {.lex_state = 102, .external_lex_state = 5},
  [3050] = {.lex_state = 267, .external_lex_state = 4},
  [3051] = {.lex_state = 102, .external_lex_state = 5},
  [3052] = {.lex_state = 102, .external_lex_state = 5},
  [3053] = {.lex_state = 102, .external_lex_state = 5},
  [3054] = {.lex_state = 267, .external_lex_state = 5},
  [3055] = {.lex_state = 267, .external_lex_state = 4},
  [3056] = {.lex_state = 129, .external_lex_state = 5},
  [3057] = {.lex_state = 129, .external_lex_state = 5},
  [3058] = {.lex_state = 267, .external_lex_state = 5},
  [3059] = {.lex_state = 129, .external_lex_state = 5},
  [3060] = {.lex_state = 129, .external_lex_state = 5},
  [3061] = {.lex_state = 267, .external_lex_state = 5},
  [3062] = {.lex_state = 267, .external_lex_state = 4},
  [3063] = {.lex_state = 267, .external_lex_state = 4},
  [3064] = {.lex_state = 267, .external_lex_state = 4},
  [3065] = {.lex_state = 267, .external_lex_state = 4},
  [3066] = {.lex_state = 102, .external_lex_state = 5},
  [3067] = {.lex_state = 102, .external_lex_state = 5},
  [3068] = {.lex_state = 102, .external_lex_state = 5},
  [3069] = {.lex_state = 102, .external_lex_state = 5},
  [3070] = {.lex_state = 102, .external_lex_state = 5},
  [3071] = {.lex_state = 102, .external_lex_state = 5},
  [3072] = {.lex_state = 102, .external_lex_state = 5},
  [3073] = {.lex_state = 102, .external_lex_state = 5},
  [3074] = {.lex_state = 102, .external_lex_state = 5},
  [3075] = {.lex_state = 102, .external_lex_state = 5},
  [3076] = {.lex_state = 267, .external_lex_state = 4},
  [3077] = {.lex_state = 267, .external_lex_state = 4},
  [3078] = {.lex_state = 267, .external_lex_state = 4},
  [3079] = {.lex_state = 267, .external_lex_state = 4},
  [3080] = {.lex_state = 267, .external_lex_state = 4},
  [3081] = {.lex_state = 267, .external_lex_state = 4},
  [3082] = {.lex_state = 267, .external_lex_state = 5},
  [3083] = {.lex_state = 267, .external_lex_state = 5},
  [3084] = {.lex_state = 267, .external_lex_state = 4},
  [3085] = {.lex_state = 267, .external_lex_state = 5},
  [3086] = {.lex_state = 102, .external_lex_state = 5},
  [3087] = {.lex_state = 102, .external_lex_state = 5},
  [3088] = {.lex_state = 102, .external_lex_state = 5},
  [3089] = {.lex_state = 102, .external_lex_state = 5},
  [3090] = {.lex_state = 102, .external_lex_state = 5},
  [3091] = {.lex_state = 102, .external_lex_state = 5},
  [3092] = {.lex_state = 102, .external_lex_state = 5},
  [3093] = {.lex_state = 102, .external_lex_state = 5},
  [3094] = {.lex_state = 102, .external_lex_state = 5},
  [3095] = {.lex_state = 102, .external_lex_state = 5},
  [3096] = {.lex_state = 102, .external_lex_state = 5},
  [3097] = {.lex_state = 102, .external_lex_state = 5},
  [3098] = {.lex_state = 102, .external_lex_state = 5},
  [3099] = {.lex_state = 102, .external_lex_state = 5},
  [3100] = {.lex_state = 102, .external_lex_state = 5},
  [3101] = {.lex_state = 132, .external_lex_state = 5},
  [3102] = {.lex_state = 132, .external_lex_state = 5},
  [3103] = {.lex_state = 102, .external_lex_state = 5},
  [3104] = {.lex_state = 132, .external_lex_state = 5},
  [3105] = {.lex_state = 102, .external_lex_state = 5},
  [3106] = {.lex_state = 102, .external_lex_state = 5},
  [3107] = {.lex_state = 132, .external_lex_state = 5},
  [3108] = {.lex_state = 102, .external_lex_state = 5},
  [3109] = {.lex_state = 102, .external_lex_state = 5},
  [3110] = {.lex_state = 102, .external_lex_state = 5},
  [3111] = {.lex_state = 267, .external_lex_state = 4},
  [3112] = {.lex_state = 132, .external_lex_state = 5},
  [3113] = {.lex_state = 132, .external_lex_state = 5},
  [3114] = {.lex_state = 129, .external_lex_state = 5},
  [3115] = {.lex_state = 132, .external_lex_state = 5},
  [3116] = {.lex_state = 132, .external_lex_state = 5},
  [3117] = {.lex_state = 267, .external_lex_state = 4},
  [3118] = {.lex_state = 132, .external_lex_state = 5},
  [3119] = {.lex_state = 267, .external_lex_state = 4},
  [3120] = {.lex_state = 267, .external_lex_state = 4},
  [3121] = {.lex_state = 267, .external_lex_state = 4},
  [3122] = {.lex_state = 132, .external_lex_state = 5},
  [3123] = {.lex_state = 132, .external_lex_state = 5},
  [3124] = {.lex_state = 132, .external_lex_state = 5},
  [3125] = {.lex_state = 132, .external_lex_state = 5},
  [3126] = {.lex_state = 132, .external_lex_state = 5},
  [3127] = {.lex_state = 102, .external_lex_state = 5},
  [3128] = {.lex_state = 102, .external_lex_state = 5},
  [3129] = {.lex_state = 132, .external_lex_state = 5},
  [3130] = {.lex_state = 102, .external_lex_state = 5},
  [3131] = {.lex_state = 267, .external_lex_state = 4},
  [3132] = {.lex_state = 267, .external_lex_state = 4},
  [3133] = {.lex_state = 267, .external_lex_state = 4},
  [3134] = {.lex_state = 267, .external_lex_state = 4},
  [3135] = {.lex_state = 267, .external_lex_state = 4},
  [3136] = {.lex_state = 267, .external_lex_state = 4},
  [3137] = {.lex_state = 267, .external_lex_state = 4},
  [3138] = {.lex_state = 267, .external_lex_state = 4},
  [3139] = {.lex_state = 267, .external_lex_state = 4},
  [3140] = {.lex_state = 267, .external_lex_state = 4},
  [3141] = {.lex_state = 129, .external_lex_state = 5},
  [3142] = {.lex_state = 267, .external_lex_state = 4},
  [3143] = {.lex_state = 267, .external_lex_state = 4},
  [3144] = {.lex_state = 267, .external_lex_state = 4},
  [3145] = {.lex_state = 267, .external_lex_state = 4},
  [3146] = {.lex_state = 267, .external_lex_state = 4},
  [3147] = {.lex_state = 129, .external_lex_state = 5},
  [3148] = {.lex_state = 129, .external_lex_state = 5},
  [3149] = {.lex_state = 267, .external_lex_state = 5},
  [3150] = {.lex_state = 267, .external_lex_state = 5},
  [3151] = {.lex_state = 267, .external_lex_state = 4},
  [3152] = {.lex_state = 267, .external_lex_state = 4},
  [3153] = {.lex_state = 267, .external_lex_state = 5},
  [3154] = {.lex_state = 267, .external_lex_state = 4},
  [3155] = {.lex_state = 129, .external_lex_state = 5},
  [3156] = {.lex_state = 129, .external_lex_state = 5},
  [3157] = {.lex_state = 267, .external_lex_state = 4},
  [3158] = {.lex_state = 267, .external_lex_state = 4},
  [3159] = {.lex_state = 267, .external_lex_state = 4},
  [3160] = {.lex_state = 267, .external_lex_state = 4},
  [3161] = {.lex_state = 267, .external_lex_state = 4},
  [3162] = {.lex_state = 267, .external_lex_state = 4},
  [3163] = {.lex_state = 102, .external_lex_state = 4},
  [3164] = {.lex_state = 267, .external_lex_state = 4},
  [3165] = {.lex_state = 102, .external_lex_state = 4},
  [3166] = {.lex_state = 132, .external_lex_state = 5},
  [3167] = {.lex_state = 132, .external_lex_state = 5},
  [3168] = {.lex_state = 102, .external_lex_state = 4},
  [3169] = {.lex_state = 132, .external_lex_state = 5},
  [3170] = {.lex_state = 132, .external_lex_state = 5},
  [3171] = {.lex_state = 132, .external_lex_state = 5},
  [3172] = {.lex_state = 132, .external_lex_state = 5},
  [3173] = {.lex_state = 132, .external_lex_state = 5},
  [3174] = {.lex_state = 132, .external_lex_state = 5},
  [3175] = {.lex_state = 132, .external_lex_state = 5},
  [3176] = {.lex_state = 132, .external_lex_state = 5},
  [3177] = {.lex_state = 132, .external_lex_state = 5},
  [3178] = {.lex_state = 267, .external_lex_state = 4},
  [3179] = {.lex_state = 132, .external_lex_state = 5},
  [3180] = {.lex_state = 132, .external_lex_state = 5},
  [3181] = {.lex_state = 132, .external_lex_state = 5},
  [3182] = {.lex_state = 132, .external_lex_state = 5},
  [3183] = {.lex_state = 102, .external_lex_state = 5},
  [3184] = {.lex_state = 102, .external_lex_state = 5},
  [3185] = {.lex_state = 132, .external_lex_state = 5},
  [3186] = {.lex_state = 132, .external_lex_state = 5},
  [3187] = {.lex_state = 132, .external_lex_state = 5},
  [3188] = {.lex_state = 132, .external_lex_state = 5},
  [3189] = {.lex_state = 267, .external_lex_state = 5},
  [3190] = {.lex_state = 132, .external_lex_state = 5},
  [3191] = {.lex_state = 267, .external_lex_state = 5},
  [3192] = {.lex_state = 267, .external_lex_state = 4},
  [3193] = {.lex_state = 267, .external_lex_state = 4},
  [3194] = {.lex_state = 267, .external_lex_state = 4},
  [3195] = {.lex_state = 267, .external_lex_state = 4},
  [3196] = {.lex_state = 267, .external_lex_state = 4},
  [3197] = {.lex_state = 267, .external_lex_state = 5},
  [3198] = {.lex_state = 267, .external_lex_state = 4},
  [3199] = {.lex_state = 267, .external_lex_state = 4},
  [3200] = {.lex_state = 267, .external_lex_state = 4},
  [3201] = {.lex_state = 129, .external_lex_state = 5},
  [3202] = {.lex_state = 267, .external_lex_state = 5},
  [3203] = {.lex_state = 129, .external_lex_state = 5},
  [3204] = {.lex_state = 267, .external_lex_state = 5},
  [3205] = {.lex_state = 267, .external_lex_state = 5},
  [3206] = {.lex_state = 267, .external_lex_state = 5},
  [3207] = {.lex_state = 267, .external_lex_state = 5},
  [3208] = {.lex_state = 132, .external_lex_state = 5},
  [3209] = {.lex_state = 267, .external_lex_state = 5},
  [3210] = {.lex_state = 267, .external_lex_state = 5},
  [3211] = {.lex_state = 267, .external_lex_state = 5},
  [3212] = {.lex_state = 267, .external_lex_state = 5},
  [3213] = {.lex_state = 267, .external_lex_state = 5},
  [3214] = {.lex_state = 267, .external_lex_state = 5},
  [3215] = {.lex_state = 267, .external_lex_state = 5},
  [3216] = {.lex_state = 267, .external_lex_state = 5},
  [3217] = {.lex_state = 267, .external_lex_state = 5},
  [3218] = {.lex_state = 267, .external_lex_state = 5},
  [3219] = {.lex_state = 267, .external_lex_state = 5},
  [3220] = {.lex_state = 267, .external_lex_state = 5},
  [3221] = {.lex_state = 129, .external_lex_state = 5},
  [3222] = {.lex_state = 129, .external_lex_state = 5},
  [3223] = {.lex_state = 267, .external_lex_state = 5},
  [3224] = {.lex_state = 129, .external_lex_state = 5},
  [3225] = {.lex_state = 129, .external_lex_state = 5},
  [3226] = {.lex_state = 267, .external_lex_state = 4},
  [3227] = {.lex_state = 267, .external_lex_state = 4},
  [3228] = {.lex_state = 267, .external_lex_state = 4},
  [3229] = {.lex_state = 267, .external_lex_state = 4},
  [3230] = {.lex_state = 102, .external_lex_state = 5},
  [3231] = {.lex_state = 102, .external_lex_state = 5},
  [3232] = {.lex_state = 267, .external_lex_state = 5},
  [3233] = {.lex_state = 267, .external_lex_state = 4},
  [3234] = {.lex_state = 267, .external_lex_state = 4},
  [3235] = {.lex_state = 267, .external_lex_state = 4},
  [3236] = {.lex_state = 267, .external_lex_state = 4},
  [3237] = {.lex_state = 267, .external_lex_state = 4},
  [3238] = {.lex_state = 267, .external_lex_state = 4},
  [3239] = {.lex_state = 267, .external_lex_state = 5},
  [3240] = {.lex_state = 267, .external_lex_state = 4},
  [3241] = {.lex_state = 267, .external_lex_state = 4},
  [3242] = {.lex_state = 267, .external_lex_state = 5},
  [3243] = {.lex_state = 267, .external_lex_state = 5},
  [3244] = {.lex_state = 267, .external_lex_state = 5},
  [3245] = {.lex_state = 267, .external_lex_state = 4},
  [3246] = {.lex_state = 267, .external_lex_state = 4},
  [3247] = {.lex_state = 267, .external_lex_state = 4},
  [3248] = {.lex_state = 267, .external_lex_state = 4},
  [3249] = {.lex_state = 267, .external_lex_state = 4},
  [3250] = {.lex_state = 267, .external_lex_state = 4},
  [3251] = {.lex_state = 267, .external_lex_state = 4},
  [3252] = {.lex_state = 267, .external_lex_state = 5},
  [3253] = {.lex_state = 267, .external_lex_state = 5},
  [3254] = {.lex_state = 267, .external_lex_state = 4},
  [3255] = {.lex_state = 267, .external_lex_state = 5},
  [3256] = {.lex_state = 267, .external_lex_state = 4},
  [3257] = {.lex_state = 102, .external_lex_state = 5},
  [3258] = {.lex_state = 102, .external_lex_state = 5},
  [3259] = {.lex_state = 102, .external_lex_state = 5},
  [3260] = {.lex_state = 267, .external_lex_state = 5},
  [3261] = {.lex_state = 102, .external_lex_state = 5},
  [3262] = {.lex_state = 102, .external_lex_state = 5},
  [3263] = {.lex_state = 102, .external_lex_state = 5},
  [3264] = {.lex_state = 102, .external_lex_state = 5},
  [3265] = {.lex_state = 102, .external_lex_state = 5},
  [3266] = {.lex_state = 267, .external_lex_state = 5},
  [3267] = {.lex_state = 102, .external_lex_state = 5},
  [3268] = {.lex_state = 102, .external_lex_state = 5},
  [3269] = {.lex_state = 102, .external_lex_state = 5},
  [3270] = {.lex_state = 102, .external_lex_state = 5},
  [3271] = {.lex_state = 102, .external_lex_state = 5},
  [3272] = {.lex_state = 102, .external_lex_state = 5},
  [3273] = {.lex_state = 102, .external_lex_state = 5},
  [3274] = {.lex_state = 102, .external_lex_state = 5},
  [3275] = {.lex_state = 102, .external_lex_state = 5},
  [3276] = {.lex_state = 267, .external_lex_state = 5},
  [3277] = {.lex_state = 267, .external_lex_state = 5},
  [3278] = {.lex_state = 267, .external_lex_state = 5},
  [3279] = {.lex_state = 267, .external_lex_state = 5},
  [3280] = {.lex_state = 267, .external_lex_state = 5},
  [3281] = {.lex_state = 267, .external_lex_state = 5},
  [3282] = {.lex_state = 267, .external_lex_state = 5},
  [3283] = {.lex_state = 267, .external_lex_state = 5},
  [3284] = {.lex_state = 267, .external_lex_state = 5},
  [3285] = {.lex_state = 267, .external_lex_state = 5},
  [3286] = {.lex_state = 129, .external_lex_state = 5},
  [3287] = {.lex_state = 267, .external_lex_state = 4},
  [3288] = {.lex_state = 267, .external_lex_state = 5},
  [3289] = {.lex_state = 267, .external_lex_state = 5},
  [3290] = {.lex_state = 267, .external_lex_state = 5},
  [3291] = {.lex_state = 267, .external_lex_state = 5},
  [3292] = {.lex_state = 267, .external_lex_state = 5},
  [3293] = {.lex_state = 267, .external_lex_state = 5},
  [3294] = {.lex_state = 102, .external_lex_state = 5},
  [3295] = {.lex_state = 102, .external_lex_state = 5},
  [3296] = {.lex_state = 267, .external_lex_state = 5},
  [3297] = {.lex_state = 267, .external_lex_state = 5},
  [3298] = {.lex_state = 267, .external_lex_state = 5},
  [3299] = {.lex_state = 267, .external_lex_state = 5},
  [3300] = {.lex_state = 267, .external_lex_state = 5},
  [3301] = {.lex_state = 267, .external_lex_state = 5},
  [3302] = {.lex_state = 267, .external_lex_state = 5},
  [3303] = {.lex_state = 267, .external_lex_state = 5},
  [3304] = {.lex_state = 267, .external_lex_state = 5},
  [3305] = {.lex_state = 267, .external_lex_state = 5},
  [3306] = {.lex_state = 267, .external_lex_state = 5},
  [3307] = {.lex_state = 267, .external_lex_state = 5},
  [3308] = {.lex_state = 267, .external_lex_state = 5},
  [3309] = {.lex_state = 267, .external_lex_state = 5},
  [3310] = {.lex_state = 135, .external_lex_state = 4},
  [3311] = {.lex_state = 267, .external_lex_state = 5},
  [3312] = {.lex_state = 267, .external_lex_state = 4},
  [3313] = {.lex_state = 267, .external_lex_state = 5},
  [3314] = {.lex_state = 267, .external_lex_state = 4},
  [3315] = {.lex_state = 267, .external_lex_state = 5},
  [3316] = {.lex_state = 267, .external_lex_state = 5},
  [3317] = {.lex_state = 267, .external_lex_state = 5},
  [3318] = {.lex_state = 267, .external_lex_state = 4},
  [3319] = {.lex_state = 267, .external_lex_state = 4},
  [3320] = {.lex_state = 267, .external_lex_state = 4},
  [3321] = {.lex_state = 267, .external_lex_state = 4},
  [3322] = {.lex_state = 267, .external_lex_state = 5},
  [3323] = {.lex_state = 267, .external_lex_state = 4},
  [3324] = {.lex_state = 267, .external_lex_state = 5},
  [3325] = {.lex_state = 135, .external_lex_state = 4},
  [3326] = {.lex_state = 135, .external_lex_state = 4},
  [3327] = {.lex_state = 135, .external_lex_state = 4},
  [3328] = {.lex_state = 135, .external_lex_state = 4},
  [3329] = {.lex_state = 267, .external_lex_state = 4},
  [3330] = {.lex_state = 135, .external_lex_state = 4},
  [3331] = {.lex_state = 267, .external_lex_state = 4},
  [3332] = {.lex_state = 267, .external_lex_state = 4},
  [3333] = {.lex_state = 267, .external_lex_state = 4},
  [3334] = {.lex_state = 267, .external_lex_state = 4},
  [3335] = {.lex_state = 135, .external_lex_state = 4},
  [3336] = {.lex_state = 267, .external_lex_state = 4},
  [3337] = {.lex_state = 267, .external_lex_state = 4},
  [3338] = {.lex_state = 267, .external_lex_state = 4},
  [3339] = {.lex_state = 102, .external_lex_state = 4},
  [3340] = {.lex_state = 267, .external_lex_state = 4},
  [3341] = {.lex_state = 129, .external_lex_state = 5},
  [3342] = {.lex_state = 129, .external_lex_state = 5},
  [3343] = {.lex_state = 267, .external_lex_state = 4},
  [3344] = {.lex_state = 135, .external_lex_state = 4},
  [3345] = {.lex_state = 135, .external_lex_state = 4},
  [3346] = {.lex_state = 135, .external_lex_state = 4},
  [3347] = {.lex_state = 267, .external_lex_state = 5},
  [3348] = {.lex_state = 267, .external_lex_state = 5},
  [3349] = {.lex_state = 135, .external_lex_state = 4},
  [3350] = {.lex_state = 267, .external_lex_state = 5},
  [3351] = {.lex_state = 267, .external_lex_state = 4},
  [3352] = {.lex_state = 102, .external_lex_state = 5},
  [3353] = {.lex_state = 135, .external_lex_state = 4},
  [3354] = {.lex_state = 135, .external_lex_state = 4},
  [3355] = {.lex_state = 135, .external_lex_state = 4},
  [3356] = {.lex_state = 135, .external_lex_state = 4},
  [3357] = {.lex_state = 135, .external_lex_state = 4},
  [3358] = {.lex_state = 135, .external_lex_state = 4},
  [3359] = {.lex_state = 135, .external_lex_state = 4},
  [3360] = {.lex_state = 135, .external_lex_state = 4},
  [3361] = {.lex_state = 135, .external_lex_state = 4},
  [3362] = {.lex_state = 135, .external_lex_state = 4},
  [3363] = {.lex_state = 135, .external_lex_state = 4},
  [3364] = {.lex_state = 135, .external_lex_state = 4},
  [3365] = {.lex_state = 135, .external_lex_state = 4},
  [3366] = {.lex_state = 135, .external_lex_state = 4},
  [3367] = {.lex_state = 135, .external_lex_state = 4},
  [3368] = {.lex_state = 135, .external_lex_state = 4},
  [3369] = {.lex_state = 135, .external_lex_state = 4},
  [3370] = {.lex_state = 135, .external_lex_state = 4},
  [3371] = {.lex_state = 135, .external_lex_state = 4},
  [3372] = {.lex_state = 135, .external_lex_state = 4},
  [3373] = {.lex_state = 135, .external_lex_state = 4},
  [3374] = {.lex_state = 135, .external_lex_state = 4},
  [3375] = {.lex_state = 135, .external_lex_state = 4},
  [3376] = {.lex_state = 267, .external_lex_state = 5},
  [3377] = {.lex_state = 135, .external_lex_state = 4},
  [3378] = {.lex_state = 135, .external_lex_state = 4},
  [3379] = {.lex_state = 135, .external_lex_state = 4},
  [3380] = {.lex_state = 135, .external_lex_state = 4},
  [3381] = {.lex_state = 102, .external_lex_state = 4},
  [3382] = {.lex_state = 135, .external_lex_state = 4},
  [3383] = {.lex_state = 135, .external_lex_state = 4},
  [3384] = {.lex_state = 267, .external_lex_state = 5},
  [3385] = {.lex_state = 135, .external_lex_state = 4},
  [3386] = {.lex_state = 135, .external_lex_state = 4},
  [3387] = {.lex_state = 135, .external_lex_state = 4},
  [3388] = {.lex_state = 135, .external_lex_state = 4},
  [3389] = {.lex_state = 267, .external_lex_state = 5},
  [3390] = {.lex_state = 135, .external_lex_state = 4},
  [3391] = {.lex_state = 135, .external_lex_state = 4},
  [3392] = {.lex_state = 267, .external_lex_state = 5},
  [3393] = {.lex_state = 135, .external_lex_state = 4},
  [3394] = {.lex_state = 267, .external_lex_state = 5},
  [3395] = {.lex_state = 135, .external_lex_state = 4},
  [3396] = {.lex_state = 135, .external_lex_state = 4},
  [3397] = {.lex_state = 135, .external_lex_state = 4},
  [3398] = {.lex_state = 135, .external_lex_state = 4},
  [3399] = {.lex_state = 135, .external_lex_state = 4},
  [3400] = {.lex_state = 267, .external_lex_state = 5},
  [3401] = {.lex_state = 135, .external_lex_state = 4},
  [3402] = {.lex_state = 135, .external_lex_state = 4},
  [3403] = {.lex_state = 135, .external_lex_state = 4},
  [3404] = {.lex_state = 267, .external_lex_state = 5},
  [3405] = {.lex_state = 267, .external_lex_state = 5},
  [3406] = {.lex_state = 267, .external_lex_state = 4},
  [3407] = {.lex_state = 267, .external_lex_state = 5},
  [3408] = {.lex_state = 135, .external_lex_state = 4},
  [3409] = {.lex_state = 132, .external_lex_state = 5},
  [3410] = {.lex_state = 135, .external_lex_state = 4},
  [3411] = {.lex_state = 129, .external_lex_state = 5},
  [3412] = {.lex_state = 129, .external_lex_state = 5},
  [3413] = {.lex_state = 135, .external_lex_state = 4},
  [3414] = {.lex_state = 135, .external_lex_state = 4},
  [3415] = {.lex_state = 135, .external_lex_state = 4},
  [3416] = {.lex_state = 267, .external_lex_state = 5},
  [3417] = {.lex_state = 135, .external_lex_state = 4},
  [3418] = {.lex_state = 135, .external_lex_state = 4},
  [3419] = {.lex_state = 267, .external_lex_state = 5},
  [3420] = {.lex_state = 267, .external_lex_state = 5},
  [3421] = {.lex_state = 135, .external_lex_state = 4},
  [3422] = {.lex_state = 135, .external_lex_state = 4},
  [3423] = {.lex_state = 267, .external_lex_state = 5},
  [3424] = {.lex_state = 267, .external_lex_state = 5},
  [3425] = {.lex_state = 267, .external_lex_state = 5},
  [3426] = {.lex_state = 267, .external_lex_state = 5},
  [3427] = {.lex_state = 267, .external_lex_state = 5},
  [3428] = {.lex_state = 267, .external_lex_state = 5},
  [3429] = {.lex_state = 267, .external_lex_state = 5},
  [3430] = {.lex_state = 267, .external_lex_state = 5},
  [3431] = {.lex_state = 267, .external_lex_state = 5},
  [3432] = {.lex_state = 267, .external_lex_state = 5},
  [3433] = {.lex_state = 267, .external_lex_state = 5},
  [3434] = {.lex_state = 267, .external_lex_state = 5},
  [3435] = {.lex_state = 267, .external_lex_state = 5},
  [3436] = {.lex_state = 267, .external_lex_state = 5},
  [3437] = {.lex_state = 267, .external_lex_state = 5},
  [3438] = {.lex_state = 267, .external_lex_state = 5},
  [3439] = {.lex_state = 267, .external_lex_state = 5},
  [3440] = {.lex_state = 102, .external_lex_state = 5},
  [3441] = {.lex_state = 129, .external_lex_state = 5},
  [3442] = {.lex_state = 102, .external_lex_state = 4},
  [3443] = {.lex_state = 102, .external_lex_state = 5},
  [3444] = {.lex_state = 267, .external_lex_state = 5},
  [3445] = {.lex_state = 132, .external_lex_state = 5},
  [3446] = {.lex_state = 132, .external_lex_state = 5},
  [3447] = {.lex_state = 267, .external_lex_state = 5},
  [3448] = {.lex_state = 132, .external_lex_state = 5},
  [3449] = {.lex_state = 267, .external_lex_state = 5},
  [3450] = {.lex_state = 132, .external_lex_state = 5},
  [3451] = {.lex_state = 132, .external_lex_state = 5},
  [3452] = {.lex_state = 102, .external_lex_state = 5},
  [3453] = {.lex_state = 267, .external_lex_state = 5},
  [3454] = {.lex_state = 132, .external_lex_state = 5},
  [3455] = {.lex_state = 267, .external_lex_state = 5},
  [3456] = {.lex_state = 135, .external_lex_state = 4},
  [3457] = {.lex_state = 135, .external_lex_state = 4},
  [3458] = {.lex_state = 135, .external_lex_state = 4},
  [3459] = {.lex_state = 135, .external_lex_state = 4},
  [3460] = {.lex_state = 135, .external_lex_state = 4},
  [3461] = {.lex_state = 267, .external_lex_state = 5},
  [3462] = {.lex_state = 267, .external_lex_state = 5},
  [3463] = {.lex_state = 135, .external_lex_state = 4},
  [3464] = {.lex_state = 135, .external_lex_state = 4},
  [3465] = {.lex_state = 135, .external_lex_state = 4},
  [3466] = {.lex_state = 135, .external_lex_state = 4},
  [3467] = {.lex_state = 135, .external_lex_state = 4},
  [3468] = {.lex_state = 135, .external_lex_state = 4},
  [3469] = {.lex_state = 135, .external_lex_state = 4},
  [3470] = {.lex_state = 267, .external_lex_state = 5},
  [3471] = {.lex_state = 129, .external_lex_state = 5},
  [3472] = {.lex_state = 267, .external_lex_state = 5},
  [3473] = {.lex_state = 267, .external_lex_state = 5},
  [3474] = {.lex_state = 129, .external_lex_state = 5},
  [3475] = {.lex_state = 267, .external_lex_state = 5},
  [3476] = {.lex_state = 135, .external_lex_state = 4},
  [3477] = {.lex_state = 135, .external_lex_state = 4},
  [3478] = {.lex_state = 267, .external_lex_state = 5},
  [3479] = {.lex_state = 102, .external_lex_state = 5},
  [3480] = {.lex_state = 267, .external_lex_state = 5},
  [3481] = {.lex_state = 267, .external_lex_state = 5},
  [3482] = {.lex_state = 129, .external_lex_state = 5},
  [3483] = {.lex_state = 132, .external_lex_state = 5},
  [3484] = {.lex_state = 129, .external_lex_state = 5},
  [3485] = {.lex_state = 129, .external_lex_state = 5},
  [3486] = {.lex_state = 132, .external_lex_state = 5},
  [3487] = {.lex_state = 129, .external_lex_state = 5},
  [3488] = {.lex_state = 132, .external_lex_state = 5},
  [3489] = {.lex_state = 267, .external_lex_state = 5},
  [3490] = {.lex_state = 267, .external_lex_state = 5},
  [3491] = {.lex_state = 132, .external_lex_state = 5},
  [3492] = {.lex_state = 129, .external_lex_state = 5},
  [3493] = {.lex_state = 267, .external_lex_state = 5},
  [3494] = {.lex_state = 267, .external_lex_state = 5},
  [3495] = {.lex_state = 135, .external_lex_state = 4},
  [3496] = {.lex_state = 135, .external_lex_state = 4},
  [3497] = {.lex_state = 132, .external_lex_state = 5},
  [3498] = {.lex_state = 271, .external_lex_state = 4},
  [3499] = {.lex_state = 102, .external_lex_state = 4},
  [3500] = {.lex_state = 271, .external_lex_state = 4},
  [3501] = {.lex_state = 267, .external_lex_state = 4},
  [3502] = {.lex_state = 271, .external_lex_state = 4},
  [3503] = {.lex_state = 271, .external_lex_state = 4},
  [3504] = {.lex_state = 267, .external_lex_state = 4},
  [3505] = {.lex_state = 267, .external_lex_state = 4},
  [3506] = {.lex_state = 271, .external_lex_state = 4},
  [3507] = {.lex_state = 271, .external_lex_state = 4},
  [3508] = {.lex_state = 271, .external_lex_state = 4},
  [3509] = {.lex_state = 271, .external_lex_state = 4},
  [3510] = {.lex_state = 271, .external_lex_state = 4},
  [3511] = {.lex_state = 271, .external_lex_state = 4},
  [3512] = {.lex_state = 271, .external_lex_state = 4},
  [3513] = {.lex_state = 271, .external_lex_state = 4},
  [3514] = {.lex_state = 271, .external_lex_state = 4},
  [3515] = {.lex_state = 271, .external_lex_state = 4},
  [3516] = {.lex_state = 129, .external_lex_state = 5},
  [3517] = {.lex_state = 271, .external_lex_state = 4},
  [3518] = {.lex_state = 271, .external_lex_state = 4},
  [3519] = {.lex_state = 271, .external_lex_state = 4},
  [3520] = {.lex_state = 267, .external_lex_state = 4},
  [3521] = {.lex_state = 271, .external_lex_state = 4},
  [3522] = {.lex_state = 271, .external_lex_state = 4},
  [3523] = {.lex_state = 271, .external_lex_state = 4},
  [3524] = {.lex_state = 271, .external_lex_state = 4},
  [3525] = {.lex_state = 271, .external_lex_state = 4},
  [3526] = {.lex_state = 267, .external_lex_state = 4},
  [3527] = {.lex_state = 271, .external_lex_state = 4},
  [3528] = {.lex_state = 271, .external_lex_state = 4},
  [3529] = {.lex_state = 135, .external_lex_state = 4},
  [3530] = {.lex_state = 271, .external_lex_state = 4},
  [3531] = {.lex_state = 102, .external_lex_state = 4},
  [3532] = {.lex_state = 102, .external_lex_state = 4},
  [3533] = {.lex_state = 271, .external_lex_state = 4},
  [3534] = {.lex_state = 271, .external_lex_state = 4},
  [3535] = {.lex_state = 271, .external_lex_state = 4},
  [3536] = {.lex_state = 271, .external_lex_state = 4},
  [3537] = {.lex_state = 271, .external_lex_state = 4},
  [3538] = {.lex_state = 271, .external_lex_state = 4},
  [3539] = {.lex_state = 129, .external_lex_state = 4},
  [3540] = {.lex_state = 271, .external_lex_state = 4},
  [3541] = {.lex_state = 129, .external_lex_state = 4},
  [3542] = {.lex_state = 271, .external_lex_state = 4},
  [3543] = {.lex_state = 271, .external_lex_state = 4},
  [3544] = {.lex_state = 271, .external_lex_state = 4},
  [3545] = {.lex_state = 271, .external_lex_state = 4},
  [3546] = {.lex_state = 271, .external_lex_state = 4},
  [3547] = {.lex_state = 129, .external_lex_state = 4},
  [3548] = {.lex_state = 271, .external_lex_state = 4},
  [3549] = {.lex_state = 271, .external_lex_state = 4},
  [3550] = {.lex_state = 271, .external_lex_state = 4},
  [3551] = {.lex_state = 271, .external_lex_state = 4},
  [3552] = {.lex_state = 271, .external_lex_state = 4},
  [3553] = {.lex_state = 271, .external_lex_state = 4},
  [3554] = {.lex_state = 271, .external_lex_state = 4},
  [3555] = {.lex_state = 271, .external_lex_state = 4},
  [3556] = {.lex_state = 271, .external_lex_state = 4},
  [3557] = {.lex_state = 271, .external_lex_state = 4},
  [3558] = {.lex_state = 271, .external_lex_state = 4},
  [3559] = {.lex_state = 271, .external_lex_state = 4},
  [3560] = {.lex_state = 271, .external_lex_state = 4},
  [3561] = {.lex_state = 271, .external_lex_state = 4},
  [3562] = {.lex_state = 267, .external_lex_state = 4},
  [3563] = {.lex_state = 271, .external_lex_state = 4},
  [3564] = {.lex_state = 267, .external_lex_state = 4},
  [3565] = {.lex_state = 271, .external_lex_state = 4},
  [3566] = {.lex_state = 271, .external_lex_state = 4},
  [3567] = {.lex_state = 271, .external_lex_state = 4},
  [3568] = {.lex_state = 271, .external_lex_state = 4},
  [3569] = {.lex_state = 271, .external_lex_state = 4},
  [3570] = {.lex_state = 271, .external_lex_state = 4},
  [3571] = {.lex_state = 271, .external_lex_state = 4},
  [3572] = {.lex_state = 271, .external_lex_state = 4},
  [3573] = {.lex_state = 271, .external_lex_state = 4},
  [3574] = {.lex_state = 271, .external_lex_state = 4},
  [3575] = {.lex_state = 271, .external_lex_state = 4},
  [3576] = {.lex_state = 271, .external_lex_state = 4},
  [3577] = {.lex_state = 271, .external_lex_state = 4},
  [3578] = {.lex_state = 267, .external_lex_state = 4},
  [3579] = {.lex_state = 271, .external_lex_state = 4},
  [3580] = {.lex_state = 271, .external_lex_state = 4},
  [3581] = {.lex_state = 271, .external_lex_state = 4},
  [3582] = {.lex_state = 271, .external_lex_state = 4},
  [3583] = {.lex_state = 271, .external_lex_state = 4},
  [3584] = {.lex_state = 271, .external_lex_state = 4},
  [3585] = {.lex_state = 271, .external_lex_state = 4},
  [3586] = {.lex_state = 271, .external_lex_state = 4},
  [3587] = {.lex_state = 271, .external_lex_state = 4},
  [3588] = {.lex_state = 271, .external_lex_state = 4},
  [3589] = {.lex_state = 271, .external_lex_state = 4},
  [3590] = {.lex_state = 267, .external_lex_state = 4},
  [3591] = {.lex_state = 271, .external_lex_state = 4},
  [3592] = {.lex_state = 267, .external_lex_state = 4},
  [3593] = {.lex_state = 271, .external_lex_state = 4},
  [3594] = {.lex_state = 267, .external_lex_state = 4},
  [3595] = {.lex_state = 271, .external_lex_state = 4},
  [3596] = {.lex_state = 271, .external_lex_state = 4},
  [3597] = {.lex_state = 271, .external_lex_state = 4},
  [3598] = {.lex_state = 271, .external_lex_state = 4},
  [3599] = {.lex_state = 271, .external_lex_state = 4},
  [3600] = {.lex_state = 271, .external_lex_state = 4},
  [3601] = {.lex_state = 271, .external_lex_state = 4},
  [3602] = {.lex_state = 271, .external_lex_state = 4},
  [3603] = {.lex_state = 271, .external_lex_state = 4},
  [3604] = {.lex_state = 271, .external_lex_state = 4},
  [3605] = {.lex_state = 267, .external_lex_state = 4},
  [3606] = {.lex_state = 271, .external_lex_state = 4},
  [3607] = {.lex_state = 271, .external_lex_state = 4},
  [3608] = {.lex_state = 267, .external_lex_state = 4},
  [3609] = {.lex_state = 271, .external_lex_state = 4},
  [3610] = {.lex_state = 271, .external_lex_state = 4},
  [3611] = {.lex_state = 271, .external_lex_state = 4},
  [3612] = {.lex_state = 271, .external_lex_state = 4},
  [3613] = {.lex_state = 267, .external_lex_state = 4},
  [3614] = {.lex_state = 271, .external_lex_state = 4},
  [3615] = {.lex_state = 267, .external_lex_state = 5},
  [3616] = {.lex_state = 267, .external_lex_state = 4},
  [3617] = {.lex_state = 267, .external_lex_state = 5},
  [3618] = {.lex_state = 267, .external_lex_state = 5},
  [3619] = {.lex_state = 267, .external_lex_state = 5},
  [3620] = {.lex_state = 267, .external_lex_state = 5},
  [3621] = {.lex_state = 267, .external_lex_state = 5},
  [3622] = {.lex_state = 267, .external_lex_state = 5},
  [3623] = {.lex_state = 267, .external_lex_state = 5},
  [3624] = {.lex_state = 267, .external_lex_state = 5},
  [3625] = {.lex_state = 267, .external_lex_state = 5},
  [3626] = {.lex_state = 267, .external_lex_state = 5},
  [3627] = {.lex_state = 267, .external_lex_state = 5},
  [3628] = {.lex_state = 267, .external_lex_state = 5},
  [3629] = {.lex_state = 267, .external_lex_state = 5},
  [3630] = {.lex_state = 267, .external_lex_state = 5},
  [3631] = {.lex_state = 267, .external_lex_state = 5},
  [3632] = {.lex_state = 267, .external_lex_state = 5},
  [3633] = {.lex_state = 271, .external_lex_state = 4},
  [3634] = {.lex_state = 267, .external_lex_state = 4},
  [3635] = {.lex_state = 271, .external_lex_state = 4},
  [3636] = {.lex_state = 102, .external_lex_state = 4},
  [3637] = {.lex_state = 267, .external_lex_state = 4},
  [3638] = {.lex_state = 267, .external_lex_state = 4},
  [3639] = {.lex_state = 102, .external_lex_state = 4},
  [3640] = {.lex_state = 102, .external_lex_state = 4},
  [3641] = {.lex_state = 135, .external_lex_state = 4},
  [3642] = {.lex_state = 135, .external_lex_state = 4},
  [3643] = {.lex_state = 135, .external_lex_state = 4},
  [3644] = {.lex_state = 135, .external_lex_state = 4},
  [3645] = {.lex_state = 102, .external_lex_state = 4},
  [3646] = {.lex_state = 271, .external_lex_state = 4},
  [3647] = {.lex_state = 271, .external_lex_state = 4},
  [3648] = {.lex_state = 102, .external_lex_state = 4},
  [3649] = {.lex_state = 102, .external_lex_state = 4},
  [3650] = {.lex_state = 271, .external_lex_state = 4},
  [3651] = {.lex_state = 135, .external_lex_state = 4},
  [3652] = {.lex_state = 267, .external_lex_state = 4},
  [3653] = {.lex_state = 271, .external_lex_state = 4},
  [3654] = {.lex_state = 135, .external_lex_state = 4},
  [3655] = {.lex_state = 135, .external_lex_state = 4},
  [3656] = {.lex_state = 135, .external_lex_state = 4},
  [3657] = {.lex_state = 135, .external_lex_state = 4},
  [3658] = {.lex_state = 135, .external_lex_state = 4},
  [3659] = {.lex_state = 271, .external_lex_state = 4},
  [3660] = {.lex_state = 271, .external_lex_state = 4},
  [3661] = {.lex_state = 271, .external_lex_state = 4},
  [3662] = {.lex_state = 135, .external_lex_state = 4},
  [3663] = {.lex_state = 135, .external_lex_state = 4},
  [3664] = {.lex_state = 135, .external_lex_state = 4},
  [3665] = {.lex_state = 135, .external_lex_state = 4},
  [3666] = {.lex_state = 135, .external_lex_state = 4},
  [3667] = {.lex_state = 102, .external_lex_state = 4},
  [3668] = {.lex_state = 135, .external_lex_state = 4},
  [3669] = {.lex_state = 102, .external_lex_state = 4},
  [3670] = {.lex_state = 135, .external_lex_state = 4},
  [3671] = {.lex_state = 271, .external_lex_state = 4},
  [3672] = {.lex_state = 129, .external_lex_state = 5},
  [3673] = {.lex_state = 135, .external_lex_state = 4},
  [3674] = {.lex_state = 135, .external_lex_state = 4},
  [3675] = {.lex_state = 267, .external_lex_state = 4},
  [3676] = {.lex_state = 135, .external_lex_state = 4},
  [3677] = {.lex_state = 267, .external_lex_state = 4},
  [3678] = {.lex_state = 135, .external_lex_state = 4},
  [3679] = {.lex_state = 135, .external_lex_state = 4},
  [3680] = {.lex_state = 135, .external_lex_state = 4},
  [3681] = {.lex_state = 135, .external_lex_state = 4},
  [3682] = {.lex_state = 135, .external_lex_state = 4},
  [3683] = {.lex_state = 135, .external_lex_state = 4},
  [3684] = {.lex_state = 102, .external_lex_state = 4},
  [3685] = {.lex_state = 102, .external_lex_state = 4},
  [3686] = {.lex_state = 102, .external_lex_state = 4},
  [3687] = {.lex_state = 102, .external_lex_state = 4},
  [3688] = {.lex_state = 135, .external_lex_state = 4},
  [3689] = {.lex_state = 102, .external_lex_state = 4},
  [3690] = {.lex_state = 135, .external_lex_state = 4},
  [3691] = {.lex_state = 135, .external_lex_state = 4},
  [3692] = {.lex_state = 135, .external_lex_state = 4},
  [3693] = {.lex_state = 135, .external_lex_state = 4},
  [3694] = {.lex_state = 102, .external_lex_state = 4},
  [3695] = {.lex_state = 102, .external_lex_state = 4},
  [3696] = {.lex_state = 102, .external_lex_state = 4},
  [3697] = {.lex_state = 102, .external_lex_state = 4},
  [3698] = {.lex_state = 102, .external_lex_state = 4},
  [3699] = {.lex_state = 102, .external_lex_state = 4},
  [3700] = {.lex_state = 102, .external_lex_state = 4},
  [3701] = {.lex_state = 102, .external_lex_state = 4},
  [3702] = {.lex_state = 129, .external_lex_state = 5},
  [3703] = {.lex_state = 102, .external_lex_state = 4},
  [3704] = {.lex_state = 102, .external_lex_state = 4},
  [3705] = {.lex_state = 102, .external_lex_state = 4},
  [3706] = {.lex_state = 102, .external_lex_state = 4},
  [3707] = {.lex_state = 102, .external_lex_state = 4},
  [3708] = {.lex_state = 102, .external_lex_state = 4},
  [3709] = {.lex_state = 102, .external_lex_state = 4},
  [3710] = {.lex_state = 267, .external_lex_state = 4},
  [3711] = {.lex_state = 135, .external_lex_state = 4},
  [3712] = {.lex_state = 135, .external_lex_state = 4},
  [3713] = {.lex_state = 135, .external_lex_state = 4},
  [3714] = {.lex_state = 135, .external_lex_state = 4},
  [3715] = {.lex_state = 135, .external_lex_state = 4},
  [3716] = {.lex_state = 138, .external_lex_state = 4},
  [3717] = {.lex_state = 138, .external_lex_state = 4},
  [3718] = {.lex_state = 135, .external_lex_state = 4},
  [3719] = {.lex_state = 135, .external_lex_state = 4},
  [3720] = {.lex_state = 138, .external_lex_state = 4},
  [3721] = {.lex_state = 138, .external_lex_state = 4},
  [3722] = {.lex_state = 135, .external_lex_state = 4},
  [3723] = {.lex_state = 135, .external_lex_state = 4},
  [3724] = {.lex_state = 138, .external_lex_state = 4},
  [3725] = {.lex_state = 138, .external_lex_state = 4},
  [3726] = {.lex_state = 135, .external_lex_state = 4},
  [3727] = {.lex_state = 135, .external_lex_state = 4},
  [3728] = {.lex_state = 135, .external_lex_state = 4},
  [3729] = {.lex_state = 102, .external_lex_state = 4},
  [3730] = {.lex_state = 271, .external_lex_state = 4},
  [3731] = {.lex_state = 135, .external_lex_state = 4},
  [3732] = {.lex_state = 135, .external_lex_state = 4},
  [3733] = {.lex_state = 135, .external_lex_state = 4},
  [3734] = {.lex_state = 135, .external_lex_state = 4},
  [3735] = {.lex_state = 135, .external_lex_state = 4},
  [3736] = {.lex_state = 102, .external_lex_state = 4},
  [3737] = {.lex_state = 102, .external_lex_state = 4},
  [3738] = {.lex_state = 129, .external_lex_state = 5},
  [3739] = {.lex_state = 271, .external_lex_state = 4},
  [3740] = {.lex_state = 102, .external_lex_state = 4},
  [3741] = {.lex_state = 102, .external_lex_state = 4},
  [3742] = {.lex_state = 102, .external_lex_state = 4},
  [3743] = {.lex_state = 102, .external_lex_state = 4},
  [3744] = {.lex_state = 271, .external_lex_state = 4},
  [3745] = {.lex_state = 138, .external_lex_state = 4},
  [3746] = {.lex_state = 271, .external_lex_state = 4},
  [3747] = {.lex_state = 271, .external_lex_state = 4},
  [3748] = {.lex_state = 271, .external_lex_state = 4},
  [3749] = {.lex_state = 102, .external_lex_state = 4},
  [3750] = {.lex_state = 102, .external_lex_state = 4},
  [3751] = {.lex_state = 271, .external_lex_state = 4},
  [3752] = {.lex_state = 271, .external_lex_state = 4},
  [3753] = {.lex_state = 138, .external_lex_state = 4},
  [3754] = {.lex_state = 138, .external_lex_state = 4},
  [3755] = {.lex_state = 138, .external_lex_state = 4},
  [3756] = {.lex_state = 138, .external_lex_state = 4},
  [3757] = {.lex_state = 138, .external_lex_state = 4},
  [3758] = {.lex_state = 138, .external_lex_state = 4},
  [3759] = {.lex_state = 138, .external_lex_state = 4},
  [3760] = {.lex_state = 138, .external_lex_state = 4},
  [3761] = {.lex_state = 138, .external_lex_state = 4},
  [3762] = {.lex_state = 138, .external_lex_state = 4},
  [3763] = {.lex_state = 138, .external_lex_state = 4},
  [3764] = {.lex_state = 138, .external_lex_state = 4},
  [3765] = {.lex_state = 138, .external_lex_state = 4},
  [3766] = {.lex_state = 138, .external_lex_state = 4},
  [3767] = {.lex_state = 271, .external_lex_state = 4},
  [3768] = {.lex_state = 138, .external_lex_state = 4},
  [3769] = {.lex_state = 138, .external_lex_state = 4},
  [3770] = {.lex_state = 138, .external_lex_state = 4},
  [3771] = {.lex_state = 138, .external_lex_state = 4},
  [3772] = {.lex_state = 138, .external_lex_state = 4},
  [3773] = {.lex_state = 138, .external_lex_state = 4},
  [3774] = {.lex_state = 138, .external_lex_state = 4},
  [3775] = {.lex_state = 138, .external_lex_state = 4},
  [3776] = {.lex_state = 267, .external_lex_state = 4},
  [3777] = {.lex_state = 138, .external_lex_state = 4},
  [3778] = {.lex_state = 138, .external_lex_state = 4},
  [3779] = {.lex_state = 138, .external_lex_state = 4},
  [3780] = {.lex_state = 138, .external_lex_state = 4},
  [3781] = {.lex_state = 135, .external_lex_state = 4},
  [3782] = {.lex_state = 138, .external_lex_state = 4},
  [3783] = {.lex_state = 138, .external_lex_state = 4},
  [3784] = {.lex_state = 138, .external_lex_state = 4},
  [3785] = {.lex_state = 138, .external_lex_state = 4},
  [3786] = {.lex_state = 138, .external_lex_state = 4},
  [3787] = {.lex_state = 138, .external_lex_state = 4},
  [3788] = {.lex_state = 135, .external_lex_state = 4},
  [3789] = {.lex_state = 138, .external_lex_state = 4},
  [3790] = {.lex_state = 138, .external_lex_state = 4},
  [3791] = {.lex_state = 138, .external_lex_state = 4},
  [3792] = {.lex_state = 138, .external_lex_state = 4},
  [3793] = {.lex_state = 267, .external_lex_state = 4},
  [3794] = {.lex_state = 267, .external_lex_state = 4},
  [3795] = {.lex_state = 135, .external_lex_state = 4},
  [3796] = {.lex_state = 138, .external_lex_state = 4},
  [3797] = {.lex_state = 135, .external_lex_state = 4},
  [3798] = {.lex_state = 138, .external_lex_state = 4},
  [3799] = {.lex_state = 138, .external_lex_state = 4},
  [3800] = {.lex_state = 138, .external_lex_state = 4},
  [3801] = {.lex_state = 138, .external_lex_state = 4},
  [3802] = {.lex_state = 138, .external_lex_state = 4},
  [3803] = {.lex_state = 138, .external_lex_state = 4},
  [3804] = {.lex_state = 138, .external_lex_state = 4},
  [3805] = {.lex_state = 138, .external_lex_state = 4},
  [3806] = {.lex_state = 138, .external_lex_state = 4},
  [3807] = {.lex_state = 138, .external_lex_state = 4},
  [3808] = {.lex_state = 138, .external_lex_state = 4},
  [3809] = {.lex_state = 138, .external_lex_state = 4},
  [3810] = {.lex_state = 138, .external_lex_state = 4},
  [3811] = {.lex_state = 138, .external_lex_state = 4},
  [3812] = {.lex_state = 138, .external_lex_state = 4},
  [3813] = {.lex_state = 138, .external_lex_state = 4},
  [3814] = {.lex_state = 129, .external_lex_state = 5},
  [3815] = {.lex_state = 129, .external_lex_state = 5},
  [3816] = {.lex_state = 135, .external_lex_state = 4},
  [3817] = {.lex_state = 135, .external_lex_state = 4},
  [3818] = {.lex_state = 135, .external_lex_state = 4},
  [3819] = {.lex_state = 135, .external_lex_state = 4},
  [3820] = {.lex_state = 135, .external_lex_state = 4},
  [3821] = {.lex_state = 135, .external_lex_state = 4},
  [3822] = {.lex_state = 135, .external_lex_state = 4},
  [3823] = {.lex_state = 271, .external_lex_state = 4},
  [3824] = {.lex_state = 271, .external_lex_state = 4},
  [3825] = {.lex_state = 135, .external_lex_state = 4},
  [3826] = {.lex_state = 267, .external_lex_state = 4},
  [3827] = {.lex_state = 135, .external_lex_state = 4},
  [3828] = {.lex_state = 271, .external_lex_state = 4},
  [3829] = {.lex_state = 271, .external_lex_state = 4},
  [3830] = {.lex_state = 135, .external_lex_state = 4},
  [3831] = {.lex_state = 271, .external_lex_state = 4},
  [3832] = {.lex_state = 271, .external_lex_state = 4},
  [3833] = {.lex_state = 135, .external_lex_state = 4},
  [3834] = {.lex_state = 271, .external_lex_state = 4},
  [3835] = {.lex_state = 271, .external_lex_state = 4},
  [3836] = {.lex_state = 271, .external_lex_state = 4},
  [3837] = {.lex_state = 271, .external_lex_state = 4},
  [3838] = {.lex_state = 138, .external_lex_state = 4},
  [3839] = {.lex_state = 138, .external_lex_state = 4},
  [3840] = {.lex_state = 138, .external_lex_state = 4},
  [3841] = {.lex_state = 138, .external_lex_state = 4},
  [3842] = {.lex_state = 138, .external_lex_state = 4},
  [3843] = {.lex_state = 138, .external_lex_state = 4},
  [3844] = {.lex_state = 138, .external_lex_state = 4},
  [3845] = {.lex_state = 138, .external_lex_state = 4},
  [3846] = {.lex_state = 138, .external_lex_state = 4},
  [3847] = {.lex_state = 138, .external_lex_state = 4},
  [3848] = {.lex_state = 138, .external_lex_state = 4},
  [3849] = {.lex_state = 138, .external_lex_state = 4},
  [3850] = {.lex_state = 138, .external_lex_state = 4},
  [3851] = {.lex_state = 138, .external_lex_state = 4},
  [3852] = {.lex_state = 138, .external_lex_state = 4},
  [3853] = {.lex_state = 138, .external_lex_state = 4},
  [3854] = {.lex_state = 138, .external_lex_state = 4},
  [3855] = {.lex_state = 138, .external_lex_state = 4},
  [3856] = {.lex_state = 138, .external_lex_state = 4},
  [3857] = {.lex_state = 138, .external_lex_state = 4},
  [3858] = {.lex_state = 129, .external_lex_state = 5},
  [3859] = {.lex_state = 129, .external_lex_state = 5},
  [3860] = {.lex_state = 102, .external_lex_state = 4},
  [3861] = {.lex_state = 271, .external_lex_state = 4},
  [3862] = {.lex_state = 271, .external_lex_state = 4},
  [3863] = {.lex_state = 271, .external_lex_state = 4},
  [3864] = {.lex_state = 271, .external_lex_state = 4},
  [3865] = {.lex_state = 271, .external_lex_state = 4},
  [3866] = {.lex_state = 271, .external_lex_state = 4},
  [3867] = {.lex_state = 271, .external_lex_state = 4},
  [3868] = {.lex_state = 135, .external_lex_state = 4},
  [3869] = {.lex_state = 271, .external_lex_state = 4},
  [3870] = {.lex_state = 271, .external_lex_state = 4},
  [3871] = {.lex_state = 129, .external_lex_state = 5},
  [3872] = {.lex_state = 271, .external_lex_state = 4},
  [3873] = {.lex_state = 129, .external_lex_state = 5},
  [3874] = {.lex_state = 129, .external_lex_state = 5},
  [3875] = {.lex_state = 271, .external_lex_state = 4},
  [3876] = {.lex_state = 271, .external_lex_state = 4},
  [3877] = {.lex_state = 102, .external_lex_state = 4},
  [3878] = {.lex_state = 271, .external_lex_state = 4},
  [3879] = {.lex_state = 271, .external_lex_state = 4},
  [3880] = {.lex_state = 271, .external_lex_state = 4},
  [3881] = {.lex_state = 271, .external_lex_state = 4},
  [3882] = {.lex_state = 271, .external_lex_state = 4},
  [3883] = {.lex_state = 129, .external_lex_state = 5},
  [3884] = {.lex_state = 129, .external_lex_state = 5},
  [3885] = {.lex_state = 267, .external_lex_state = 4},
  [3886] = {.lex_state = 129, .external_lex_state = 5},
  [3887] = {.lex_state = 129, .external_lex_state = 5},
  [3888] = {.lex_state = 129, .external_lex_state = 5},
  [3889] = {.lex_state = 129, .external_lex_state = 5},
  [3890] = {.lex_state = 129, .external_lex_state = 5},
  [3891] = {.lex_state = 129, .external_lex_state = 5},
  [3892] = {.lex_state = 129, .external_lex_state = 5},
  [3893] = {.lex_state = 102, .external_lex_state = 4},
  [3894] = {.lex_state = 129, .external_lex_state = 5},
  [3895] = {.lex_state = 135, .external_lex_state = 4},
  [3896] = {.lex_state = 135, .external_lex_state = 4},
  [3897] = {.lex_state = 129, .external_lex_state = 5},
  [3898] = {.lex_state = 129, .external_lex_state = 5},
  [3899] = {.lex_state = 129, .external_lex_state = 5},
  [3900] = {.lex_state = 129, .external_lex_state = 5},
  [3901] = {.lex_state = 129, .external_lex_state = 5},
  [3902] = {.lex_state = 129, .external_lex_state = 5},
  [3903] = {.lex_state = 129, .external_lex_state = 5},
  [3904] = {.lex_state = 271, .external_lex_state = 4},
  [3905] = {.lex_state = 129, .external_lex_state = 5},
  [3906] = {.lex_state = 129, .external_lex_state = 5},
  [3907] = {.lex_state = 129, .external_lex_state = 5},
  [3908] = {.lex_state = 129, .external_lex_state = 5},
  [3909] = {.lex_state = 129, .external_lex_state = 5},
  [3910] = {.lex_state = 129, .external_lex_state = 5},
  [3911] = {.lex_state = 129, .external_lex_state = 5},
  [3912] = {.lex_state = 129, .external_lex_state = 5},
  [3913] = {.lex_state = 129, .external_lex_state = 5},
  [3914] = {.lex_state = 129, .external_lex_state = 5},
  [3915] = {.lex_state = 267, .external_lex_state = 4},
  [3916] = {.lex_state = 271, .external_lex_state = 4},
  [3917] = {.lex_state = 135, .external_lex_state = 4},
  [3918] = {.lex_state = 135, .external_lex_state = 4},
  [3919] = {.lex_state = 129, .external_lex_state = 5},
  [3920] = {.lex_state = 129, .external_lex_state = 5},
  [3921] = {.lex_state = 129, .external_lex_state = 5},
  [3922] = {.lex_state = 129, .external_lex_state = 5},
  [3923] = {.lex_state = 129, .external_lex_state = 5},
  [3924] = {.lex_state = 129, .external_lex_state = 5},
  [3925] = {.lex_state = 129, .external_lex_state = 5},
  [3926] = {.lex_state = 129, .external_lex_state = 5},
  [3927] = {.lex_state = 267, .external_lex_state = 5},
  [3928] = {.lex_state = 129, .external_lex_state = 5},
  [3929] = {.lex_state = 271, .external_lex_state = 4},
  [3930] = {.lex_state = 271, .external_lex_state = 4},
  [3931] = {.lex_state = 271, .external_lex_state = 4},
  [3932] = {.lex_state = 267, .external_lex_state = 4},
  [3933] = {.lex_state = 271, .external_lex_state = 4},
  [3934] = {.lex_state = 129, .external_lex_state = 5},
  [3935] = {.lex_state = 129, .external_lex_state = 5},
  [3936] = {.lex_state = 129, .external_lex_state = 5},
  [3937] = {.lex_state = 129, .external_lex_state = 5},
  [3938] = {.lex_state = 129, .external_lex_state = 5},
  [3939] = {.lex_state = 129, .external_lex_state = 5},
  [3940] = {.lex_state = 102, .external_lex_state = 4},
  [3941] = {.lex_state = 129, .external_lex_state = 5},
  [3942] = {.lex_state = 129, .external_lex_state = 5},
  [3943] = {.lex_state = 129, .external_lex_state = 5},
  [3944] = {.lex_state = 129, .external_lex_state = 5},
  [3945] = {.lex_state = 129, .external_lex_state = 5},
  [3946] = {.lex_state = 129, .external_lex_state = 5},
  [3947] = {.lex_state = 129, .external_lex_state = 5},
  [3948] = {.lex_state = 129, .external_lex_state = 5},
  [3949] = {.lex_state = 129, .external_lex_state = 5},
  [3950] = {.lex_state = 129, .external_lex_state = 5},
  [3951] = {.lex_state = 129, .external_lex_state = 5},
  [3952] = {.lex_state = 129, .external_lex_state = 5},
  [3953] = {.lex_state = 129, .external_lex_state = 5},
  [3954] = {.lex_state = 129, .external_lex_state = 5},
  [3955] = {.lex_state = 129, .external_lex_state = 5},
  [3956] = {.lex_state = 129, .external_lex_state = 5},
  [3957] = {.lex_state = 129, .external_lex_state = 5},
  [3958] = {.lex_state = 135, .external_lex_state = 4},
  [3959] = {.lex_state = 135, .external_lex_state = 4},
  [3960] = {.lex_state = 271, .external_lex_state = 4},
  [3961] = {.lex_state = 129, .external_lex_state = 5},
  [3962] = {.lex_state = 129, .external_lex_state = 5},
  [3963] = {.lex_state = 129, .external_lex_state = 5},
  [3964] = {.lex_state = 129, .external_lex_state = 5},
  [3965] = {.lex_state = 129, .external_lex_state = 5},
  [3966] = {.lex_state = 129, .external_lex_state = 5},
  [3967] = {.lex_state = 129, .external_lex_state = 5},
  [3968] = {.lex_state = 129, .external_lex_state = 5},
  [3969] = {.lex_state = 129, .external_lex_state = 5},
  [3970] = {.lex_state = 129, .external_lex_state = 5},
  [3971] = {.lex_state = 135, .external_lex_state = 4},
  [3972] = {.lex_state = 129, .external_lex_state = 5},
  [3973] = {.lex_state = 129, .external_lex_state = 5},
  [3974] = {.lex_state = 271, .external_lex_state = 4},
  [3975] = {.lex_state = 267, .external_lex_state = 4},
  [3976] = {.lex_state = 267, .external_lex_state = 4},
  [3977] = {.lex_state = 267, .external_lex_state = 4},
  [3978] = {.lex_state = 267, .external_lex_state = 4},
  [3979] = {.lex_state = 267, .external_lex_state = 4},
  [3980] = {.lex_state = 267, .external_lex_state = 4},
  [3981] = {.lex_state = 267, .external_lex_state = 4},
  [3982] = {.lex_state = 267, .external_lex_state = 4},
  [3983] = {.lex_state = 267, .external_lex_state = 4},
  [3984] = {.lex_state = 271, .external_lex_state = 4},
  [3985] = {.lex_state = 267, .external_lex_state = 4},
  [3986] = {.lex_state = 267, .external_lex_state = 4},
  [3987] = {.lex_state = 267, .external_lex_state = 4},
  [3988] = {.lex_state = 267, .external_lex_state = 4},
  [3989] = {.lex_state = 267, .external_lex_state = 4},
  [3990] = {.lex_state = 271, .external_lex_state = 4},
  [3991] = {.lex_state = 267, .external_lex_state = 4},
  [3992] = {.lex_state = 267, .external_lex_state = 4},
  [3993] = {.lex_state = 267, .external_lex_state = 4},
  [3994] = {.lex_state = 271, .external_lex_state = 4},
  [3995] = {.lex_state = 271, .external_lex_state = 4},
  [3996] = {.lex_state = 129, .external_lex_state = 5},
  [3997] = {.lex_state = 129, .external_lex_state = 5},
  [3998] = {.lex_state = 129, .external_lex_state = 5},
  [3999] = {.lex_state = 129, .external_lex_state = 5},
  [4000] = {.lex_state = 129, .external_lex_state = 5},
  [4001] = {.lex_state = 129, .external_lex_state = 5},
  [4002] = {.lex_state = 129, .external_lex_state = 5},
  [4003] = {.lex_state = 129, .external_lex_state = 5},
  [4004] = {.lex_state = 267, .external_lex_state = 4},
  [4005] = {.lex_state = 102, .external_lex_state = 4},
  [4006] = {.lex_state = 271, .external_lex_state = 4},
  [4007] = {.lex_state = 102, .external_lex_state = 4},
  [4008] = {.lex_state = 135, .external_lex_state = 4},
  [4009] = {.lex_state = 135, .external_lex_state = 4},
  [4010] = {.lex_state = 271, .external_lex_state = 4},
  [4011] = {.lex_state = 129, .external_lex_state = 5},
  [4012] = {.lex_state = 267, .external_lex_state = 4},
  [4013] = {.lex_state = 267, .external_lex_state = 4},
  [4014] = {.lex_state = 129, .external_lex_state = 5},
  [4015] = {.lex_state = 129, .external_lex_state = 5},
  [4016] = {.lex_state = 129, .external_lex_state = 5},
  [4017] = {.lex_state = 135, .external_lex_state = 4},
  [4018] = {.lex_state = 135, .external_lex_state = 4},
  [4019] = {.lex_state = 135, .external_lex_state = 4},
  [4020] = {.lex_state = 129, .external_lex_state = 5},
  [4021] = {.lex_state = 135, .external_lex_state = 4},
  [4022] = {.lex_state = 135, .external_lex_state = 4},
  [4023] = {.lex_state = 129, .external_lex_state = 5},
  [4024] = {.lex_state = 129, .external_lex_state = 5},
  [4025] = {.lex_state = 129, .external_lex_state = 5},
  [4026] = {.lex_state = 129, .external_lex_state = 5},
  [4027] = {.lex_state = 129, .external_lex_state = 5},
  [4028] = {.lex_state = 129, .external_lex_state = 5},
  [4029] = {.lex_state = 129, .external_lex_state = 5},
  [4030] = {.lex_state = 129, .external_lex_state = 5},
  [4031] = {.lex_state = 129, .external_lex_state = 5},
  [4032] = {.lex_state = 267, .external_lex_state = 5},
  [4033] = {.lex_state = 271, .external_lex_state = 4},
  [4034] = {.lex_state = 267, .external_lex_state = 5},
  [4035] = {.lex_state = 129, .external_lex_state = 5},
  [4036] = {.lex_state = 271, .external_lex_state = 4},
  [4037] = {.lex_state = 271, .external_lex_state = 4},
  [4038] = {.lex_state = 271, .external_lex_state = 4},
  [4039] = {.lex_state = 267, .external_lex_state = 4},
  [4040] = {.lex_state = 267, .external_lex_state = 4},
  [4041] = {.lex_state = 129, .external_lex_state = 5},
  [4042] = {.lex_state = 129, .external_lex_state = 5},
  [4043] = {.lex_state = 129, .external_lex_state = 5},
  [4044] = {.lex_state = 129, .external_lex_state = 5},
  [4045] = {.lex_state = 135, .external_lex_state = 4},
  [4046] = {.lex_state = 129, .external_lex_state = 5},
  [4047] = {.lex_state = 129, .external_lex_state = 5},
  [4048] = {.lex_state = 271, .external_lex_state = 4},
  [4049] = {.lex_state = 267, .external_lex_state = 4},
  [4050] = {.lex_state = 102, .external_lex_state = 4},
  [4051] = {.lex_state = 141, .external_lex_state = 4},
  [4052] = {.lex_state = 267, .external_lex_state = 4},
  [4053] = {.lex_state = 267, .external_lex_state = 4},
  [4054] = {.lex_state = 102, .external_lex_state = 4},
  [4055] = {.lex_state = 267, .external_lex_state = 4},
  [4056] = {.lex_state = 102, .external_lex_state = 4},
  [4057] = {.lex_state = 267, .external_lex_state = 4},
  [4058] = {.lex_state = 267, .external_lex_state = 4},
  [4059] = {.lex_state = 102, .external_lex_state = 4},
  [4060] = {.lex_state = 102, .external_lex_state = 4},
  [4061] = {.lex_state = 267, .external_lex_state = 4},
  [4062] = {.lex_state = 267, .external_lex_state = 4},
  [4063] = {.lex_state = 102, .external_lex_state = 4},
  [4064] = {.lex_state = 102, .external_lex_state = 4},
  [4065] = {.lex_state = 267, .external_lex_state = 4},
  [4066] = {.lex_state = 267, .external_lex_state = 4},
  [4067] = {.lex_state = 267, .external_lex_state = 4},
  [4068] = {.lex_state = 102, .external_lex_state = 4},
  [4069] = {.lex_state = 267, .external_lex_state = 4},
  [4070] = {.lex_state = 267, .external_lex_state = 4},
  [4071] = {.lex_state = 267, .external_lex_state = 4},
  [4072] = {.lex_state = 267, .external_lex_state = 4},
  [4073] = {.lex_state = 267, .external_lex_state = 4},
  [4074] = {.lex_state = 129, .external_lex_state = 4},
  [4075] = {.lex_state = 129, .external_lex_state = 4},
  [4076] = {.lex_state = 267, .external_lex_state = 4},
  [4077] = {.lex_state = 267, .external_lex_state = 4},
  [4078] = {.lex_state = 267, .external_lex_state = 4},
  [4079] = {.lex_state = 267, .external_lex_state = 4},
  [4080] = {.lex_state = 129, .external_lex_state = 4},
  [4081] = {.lex_state = 267, .external_lex_state = 4},
  [4082] = {.lex_state = 102, .external_lex_state = 4},
  [4083] = {.lex_state = 129, .external_lex_state = 4},
  [4084] = {.lex_state = 267, .external_lex_state = 4},
  [4085] = {.lex_state = 267, .external_lex_state = 4},
  [4086] = {.lex_state = 267, .external_lex_state = 4},
  [4087] = {.lex_state = 267, .external_lex_state = 4},
  [4088] = {.lex_state = 267, .external_lex_state = 4},
  [4089] = {.lex_state = 267, .external_lex_state = 4},
  [4090] = {.lex_state = 267, .external_lex_state = 4},
  [4091] = {.lex_state = 102, .external_lex_state = 4},
  [4092] = {.lex_state = 102, .external_lex_state = 4},
  [4093] = {.lex_state = 267, .external_lex_state = 4},
  [4094] = {.lex_state = 267, .external_lex_state = 4},
  [4095] = {.lex_state = 102, .external_lex_state = 4},
  [4096] = {.lex_state = 129, .external_lex_state = 4},
  [4097] = {.lex_state = 267, .external_lex_state = 4},
  [4098] = {.lex_state = 102, .external_lex_state = 4},
  [4099] = {.lex_state = 267, .external_lex_state = 4},
  [4100] = {.lex_state = 129, .external_lex_state = 4},
  [4101] = {.lex_state = 267, .external_lex_state = 4},
  [4102] = {.lex_state = 102, .external_lex_state = 4},
  [4103] = {.lex_state = 102, .external_lex_state = 4},
  [4104] = {.lex_state = 102, .external_lex_state = 4},
  [4105] = {.lex_state = 102, .external_lex_state = 4},
  [4106] = {.lex_state = 102, .external_lex_state = 4},
  [4107] = {.lex_state = 102, .external_lex_state = 4},
  [4108] = {.lex_state = 102, .external_lex_state = 4},
  [4109] = {.lex_state = 129, .external_lex_state = 4},
  [4110] = {.lex_state = 267, .external_lex_state = 4},
  [4111] = {.lex_state = 141, .external_lex_state = 4},
  [4112] = {.lex_state = 141, .external_lex_state = 4},
  [4113] = {.lex_state = 267, .external_lex_state = 4},
  [4114] = {.lex_state = 267, .external_lex_state = 4},
  [4115] = {.lex_state = 267, .external_lex_state = 4},
  [4116] = {.lex_state = 267, .external_lex_state = 4},
  [4117] = {.lex_state = 267, .external_lex_state = 4},
  [4118] = {.lex_state = 267, .external_lex_state = 4},
  [4119] = {.lex_state = 267, .external_lex_state = 4},
  [4120] = {.lex_state = 267, .external_lex_state = 4},
  [4121] = {.lex_state = 267, .external_lex_state = 4},
  [4122] = {.lex_state = 267, .external_lex_state = 4},
  [4123] = {.lex_state = 267, .external_lex_state = 4},
  [4124] = {.lex_state = 267, .external_lex_state = 4},
  [4125] = {.lex_state = 102, .external_lex_state = 4},
  [4126] = {.lex_state = 267, .external_lex_state = 4},
  [4127] = {.lex_state = 267, .external_lex_state = 4},
  [4128] = {.lex_state = 267, .external_lex_state = 4},
  [4129] = {.lex_state = 267, .external_lex_state = 4},
  [4130] = {.lex_state = 267, .external_lex_state = 4},
  [4131] = {.lex_state = 267, .external_lex_state = 4},
  [4132] = {.lex_state = 267, .external_lex_state = 4},
  [4133] = {.lex_state = 267, .external_lex_state = 4},
  [4134] = {.lex_state = 267, .external_lex_state = 4},
  [4135] = {.lex_state = 267, .external_lex_state = 4},
  [4136] = {.lex_state = 267, .external_lex_state = 4},
  [4137] = {.lex_state = 267, .external_lex_state = 4},
  [4138] = {.lex_state = 267, .external_lex_state = 4},
  [4139] = {.lex_state = 267, .external_lex_state = 4},
  [4140] = {.lex_state = 267, .external_lex_state = 4},
  [4141] = {.lex_state = 267, .external_lex_state = 4},
  [4142] = {.lex_state = 267, .external_lex_state = 4},
  [4143] = {.lex_state = 267, .external_lex_state = 4},
  [4144] = {.lex_state = 267, .external_lex_state = 4},
  [4145] = {.lex_state = 267, .external_lex_state = 4},
  [4146] = {.lex_state = 267, .external_lex_state = 4},
  [4147] = {.lex_state = 141, .external_lex_state = 4},
  [4148] = {.lex_state = 141, .external_lex_state = 4},
  [4149] = {.lex_state = 267, .external_lex_state = 4},
  [4150] = {.lex_state = 267, .external_lex_state = 4},
  [4151] = {.lex_state = 141, .external_lex_state = 4},
  [4152] = {.lex_state = 141, .external_lex_state = 4},
  [4153] = {.lex_state = 267, .external_lex_state = 4},
  [4154] = {.lex_state = 267, .external_lex_state = 4},
  [4155] = {.lex_state = 141, .external_lex_state = 4},
  [4156] = {.lex_state = 141, .external_lex_state = 4},
  [4157] = {.lex_state = 102, .external_lex_state = 4},
  [4158] = {.lex_state = 102, .external_lex_state = 4},
  [4159] = {.lex_state = 102, .external_lex_state = 4},
  [4160] = {.lex_state = 102, .external_lex_state = 4},
  [4161] = {.lex_state = 267, .external_lex_state = 4},
  [4162] = {.lex_state = 267, .external_lex_state = 4},
  [4163] = {.lex_state = 102, .external_lex_state = 4},
  [4164] = {.lex_state = 102, .external_lex_state = 4},
  [4165] = {.lex_state = 102, .external_lex_state = 4},
  [4166] = {.lex_state = 102, .external_lex_state = 4},
  [4167] = {.lex_state = 267, .external_lex_state = 4},
  [4168] = {.lex_state = 102, .external_lex_state = 4},
  [4169] = {.lex_state = 102, .external_lex_state = 4},
  [4170] = {.lex_state = 267, .external_lex_state = 4},
  [4171] = {.lex_state = 267, .external_lex_state = 4},
  [4172] = {.lex_state = 129, .external_lex_state = 4},
  [4173] = {.lex_state = 129, .external_lex_state = 4},
  [4174] = {.lex_state = 102, .external_lex_state = 4},
  [4175] = {.lex_state = 102, .external_lex_state = 4},
  [4176] = {.lex_state = 141, .external_lex_state = 4},
  [4177] = {.lex_state = 141, .external_lex_state = 4},
  [4178] = {.lex_state = 102, .external_lex_state = 4},
  [4179] = {.lex_state = 267, .external_lex_state = 4},
  [4180] = {.lex_state = 267, .external_lex_state = 4},
  [4181] = {.lex_state = 129, .external_lex_state = 4},
  [4182] = {.lex_state = 102, .external_lex_state = 4},
  [4183] = {.lex_state = 102, .external_lex_state = 4},
  [4184] = {.lex_state = 102, .external_lex_state = 4},
  [4185] = {.lex_state = 141, .external_lex_state = 4},
  [4186] = {.lex_state = 141, .external_lex_state = 4},
  [4187] = {.lex_state = 129, .external_lex_state = 4},
  [4188] = {.lex_state = 102, .external_lex_state = 4},
  [4189] = {.lex_state = 267, .external_lex_state = 4},
  [4190] = {.lex_state = 267, .external_lex_state = 4},
  [4191] = {.lex_state = 102, .external_lex_state = 4},
  [4192] = {.lex_state = 102, .external_lex_state = 4},
  [4193] = {.lex_state = 267, .external_lex_state = 4},
  [4194] = {.lex_state = 141, .external_lex_state = 4},
  [4195] = {.lex_state = 267, .external_lex_state = 4},
  [4196] = {.lex_state = 102, .external_lex_state = 4},
  [4197] = {.lex_state = 102, .external_lex_state = 4},
  [4198] = {.lex_state = 102, .external_lex_state = 4},
  [4199] = {.lex_state = 102, .external_lex_state = 4},
  [4200] = {.lex_state = 267, .external_lex_state = 4},
  [4201] = {.lex_state = 102, .external_lex_state = 4},
  [4202] = {.lex_state = 102, .external_lex_state = 4},
  [4203] = {.lex_state = 102, .external_lex_state = 4},
  [4204] = {.lex_state = 267, .external_lex_state = 4},
  [4205] = {.lex_state = 102, .external_lex_state = 4},
  [4206] = {.lex_state = 102, .external_lex_state = 4},
  [4207] = {.lex_state = 267, .external_lex_state = 4},
  [4208] = {.lex_state = 102, .external_lex_state = 4},
  [4209] = {.lex_state = 102, .external_lex_state = 4},
  [4210] = {.lex_state = 102, .external_lex_state = 4},
  [4211] = {.lex_state = 102, .external_lex_state = 4},
  [4212] = {.lex_state = 267, .external_lex_state = 4},
  [4213] = {.lex_state = 102, .external_lex_state = 4},
  [4214] = {.lex_state = 102, .external_lex_state = 4},
  [4215] = {.lex_state = 102, .external_lex_state = 4},
  [4216] = {.lex_state = 102, .external_lex_state = 4},
  [4217] = {.lex_state = 102, .external_lex_state = 4},
  [4218] = {.lex_state = 102, .external_lex_state = 4},
  [4219] = {.lex_state = 102, .external_lex_state = 4},
  [4220] = {.lex_state = 102, .external_lex_state = 4},
  [4221] = {.lex_state = 102, .external_lex_state = 4},
  [4222] = {.lex_state = 141, .external_lex_state = 4},
  [4223] = {.lex_state = 267, .external_lex_state = 4},
  [4224] = {.lex_state = 102, .external_lex_state = 4},
  [4225] = {.lex_state = 102, .external_lex_state = 4},
  [4226] = {.lex_state = 102, .external_lex_state = 4},
  [4227] = {.lex_state = 102, .external_lex_state = 4},
  [4228] = {.lex_state = 102, .external_lex_state = 4},
  [4229] = {.lex_state = 102, .external_lex_state = 4},
  [4230] = {.lex_state = 102, .external_lex_state = 4},
  [4231] = {.lex_state = 102, .external_lex_state = 4},
  [4232] = {.lex_state = 102, .external_lex_state = 4},
  [4233] = {.lex_state = 102, .external_lex_state = 4},
  [4234] = {.lex_state = 102, .external_lex_state = 4},
  [4235] = {.lex_state = 102, .external_lex_state = 4},
  [4236] = {.lex_state = 267, .external_lex_state = 4},
  [4237] = {.lex_state = 102, .external_lex_state = 4},
  [4238] = {.lex_state = 102, .external_lex_state = 4},
  [4239] = {.lex_state = 102, .external_lex_state = 4},
  [4240] = {.lex_state = 102, .external_lex_state = 4},
  [4241] = {.lex_state = 102, .external_lex_state = 4},
  [4242] = {.lex_state = 102, .external_lex_state = 4},
  [4243] = {.lex_state = 129, .external_lex_state = 4},
  [4244] = {.lex_state = 129, .external_lex_state = 4},
  [4245] = {.lex_state = 129, .external_lex_state = 4},
  [4246] = {.lex_state = 141, .external_lex_state = 4},
  [4247] = {.lex_state = 141, .external_lex_state = 4},
  [4248] = {.lex_state = 141, .external_lex_state = 4},
  [4249] = {.lex_state = 141, .external_lex_state = 4},
  [4250] = {.lex_state = 141, .external_lex_state = 4},
  [4251] = {.lex_state = 141, .external_lex_state = 4},
  [4252] = {.lex_state = 141, .external_lex_state = 4},
  [4253] = {.lex_state = 141, .external_lex_state = 4},
  [4254] = {.lex_state = 267, .external_lex_state = 4},
  [4255] = {.lex_state = 129, .external_lex_state = 4},
  [4256] = {.lex_state = 141, .external_lex_state = 4},
  [4257] = {.lex_state = 141, .external_lex_state = 4},
  [4258] = {.lex_state = 141, .external_lex_state = 4},
  [4259] = {.lex_state = 102, .external_lex_state = 4},
  [4260] = {.lex_state = 102, .external_lex_state = 4},
  [4261] = {.lex_state = 141, .external_lex_state = 4},
  [4262] = {.lex_state = 141, .external_lex_state = 4},
  [4263] = {.lex_state = 141, .external_lex_state = 4},
  [4264] = {.lex_state = 102, .external_lex_state = 4},
  [4265] = {.lex_state = 102, .external_lex_state = 4},
  [4266] = {.lex_state = 141, .external_lex_state = 4},
  [4267] = {.lex_state = 102, .external_lex_state = 4},
  [4268] = {.lex_state = 102, .external_lex_state = 4},
  [4269] = {.lex_state = 141, .external_lex_state = 4},
  [4270] = {.lex_state = 141, .external_lex_state = 4},
  [4271] = {.lex_state = 102, .external_lex_state = 4},
  [4272] = {.lex_state = 102, .external_lex_state = 4},
  [4273] = {.lex_state = 102, .external_lex_state = 4},
  [4274] = {.lex_state = 141, .external_lex_state = 4},
  [4275] = {.lex_state = 102, .external_lex_state = 4},
  [4276] = {.lex_state = 102, .external_lex_state = 4},
  [4277] = {.lex_state = 141, .external_lex_state = 4},
  [4278] = {.lex_state = 141, .external_lex_state = 4},
  [4279] = {.lex_state = 141, .external_lex_state = 4},
  [4280] = {.lex_state = 141, .external_lex_state = 4},
  [4281] = {.lex_state = 141, .external_lex_state = 4},
  [4282] = {.lex_state = 141, .external_lex_state = 4},
  [4283] = {.lex_state = 141, .external_lex_state = 4},
  [4284] = {.lex_state = 141, .external_lex_state = 4},
  [4285] = {.lex_state = 141, .external_lex_state = 4},
  [4286] = {.lex_state = 129, .external_lex_state = 4},
  [4287] = {.lex_state = 102, .external_lex_state = 4},
  [4288] = {.lex_state = 267, .external_lex_state = 4},
  [4289] = {.lex_state = 141, .external_lex_state = 4},
  [4290] = {.lex_state = 141, .external_lex_state = 4},
  [4291] = {.lex_state = 102, .external_lex_state = 4},
  [4292] = {.lex_state = 102, .external_lex_state = 4},
  [4293] = {.lex_state = 102, .external_lex_state = 4},
  [4294] = {.lex_state = 102, .external_lex_state = 4},
  [4295] = {.lex_state = 141, .external_lex_state = 4},
  [4296] = {.lex_state = 141, .external_lex_state = 4},
  [4297] = {.lex_state = 102, .external_lex_state = 4},
  [4298] = {.lex_state = 267, .external_lex_state = 4},
  [4299] = {.lex_state = 102, .external_lex_state = 4},
  [4300] = {.lex_state = 102, .external_lex_state = 4},
  [4301] = {.lex_state = 141, .external_lex_state = 4},
  [4302] = {.lex_state = 102, .external_lex_state = 4},
  [4303] = {.lex_state = 102, .external_lex_state = 4},
  [4304] = {.lex_state = 102, .external_lex_state = 4},
  [4305] = {.lex_state = 141, .external_lex_state = 4},
  [4306] = {.lex_state = 141, .external_lex_state = 4},
  [4307] = {.lex_state = 141, .external_lex_state = 4},
  [4308] = {.lex_state = 141, .external_lex_state = 4},
  [4309] = {.lex_state = 267, .external_lex_state = 4},
  [4310] = {.lex_state = 141, .external_lex_state = 4},
  [4311] = {.lex_state = 141, .external_lex_state = 4},
  [4312] = {.lex_state = 141, .external_lex_state = 4},
  [4313] = {.lex_state = 141, .external_lex_state = 4},
  [4314] = {.lex_state = 141, .external_lex_state = 4},
  [4315] = {.lex_state = 141, .external_lex_state = 4},
  [4316] = {.lex_state = 141, .external_lex_state = 4},
  [4317] = {.lex_state = 141, .external_lex_state = 4},
  [4318] = {.lex_state = 102, .external_lex_state = 4},
  [4319] = {.lex_state = 267, .external_lex_state = 4},
  [4320] = {.lex_state = 267, .external_lex_state = 4},
  [4321] = {.lex_state = 141, .external_lex_state = 4},
  [4322] = {.lex_state = 267, .external_lex_state = 4},
  [4323] = {.lex_state = 129, .external_lex_state = 4},
  [4324] = {.lex_state = 141, .external_lex_state = 4},
  [4325] = {.lex_state = 141, .external_lex_state = 4},
  [4326] = {.lex_state = 141, .external_lex_state = 4},
  [4327] = {.lex_state = 267, .external_lex_state = 4},
  [4328] = {.lex_state = 141, .external_lex_state = 4},
  [4329] = {.lex_state = 267, .external_lex_state = 4},
  [4330] = {.lex_state = 267, .external_lex_state = 4},
  [4331] = {.lex_state = 267, .external_lex_state = 4},
  [4332] = {.lex_state = 267, .external_lex_state = 4},
  [4333] = {.lex_state = 267, .external_lex_state = 4},
  [4334] = {.lex_state = 267, .external_lex_state = 4},
  [4335] = {.lex_state = 129, .external_lex_state = 4},
  [4336] = {.lex_state = 267, .external_lex_state = 4},
  [4337] = {.lex_state = 267, .external_lex_state = 4},
  [4338] = {.lex_state = 267, .external_lex_state = 4},
  [4339] = {.lex_state = 267, .external_lex_state = 4},
  [4340] = {.lex_state = 267, .external_lex_state = 4},
  [4341] = {.lex_state = 267, .external_lex_state = 4},
  [4342] = {.lex_state = 267, .external_lex_state = 4},
  [4343] = {.lex_state = 267, .external_lex_state = 4},
  [4344] = {.lex_state = 129, .external_lex_state = 4},
  [4345] = {.lex_state = 129, .external_lex_state = 4},
  [4346] = {.lex_state = 267, .external_lex_state = 4},
  [4347] = {.lex_state = 129, .external_lex_state = 4},
  [4348] = {.lex_state = 267, .external_lex_state = 4},
  [4349] = {.lex_state = 267, .external_lex_state = 4},
  [4350] = {.lex_state = 267, .external_lex_state = 4},
  [4351] = {.lex_state = 267, .external_lex_state = 4},
  [4352] = {.lex_state = 129, .external_lex_state = 4},
  [4353] = {.lex_state = 267, .external_lex_state = 4},
  [4354] = {.lex_state = 102, .external_lex_state = 4},
  [4355] = {.lex_state = 267, .external_lex_state = 4},
  [4356] = {.lex_state = 267, .external_lex_state = 4},
  [4357] = {.lex_state = 267, .external_lex_state = 4},
  [4358] = {.lex_state = 102, .external_lex_state = 4},
  [4359] = {.lex_state = 129, .external_lex_state = 4},
  [4360] = {.lex_state = 102, .external_lex_state = 4},
  [4361] = {.lex_state = 267, .external_lex_state = 4},
  [4362] = {.lex_state = 102, .external_lex_state = 4},
  [4363] = {.lex_state = 267, .external_lex_state = 4},
  [4364] = {.lex_state = 267, .external_lex_state = 4},
  [4365] = {.lex_state = 267, .external_lex_state = 4},
  [4366] = {.lex_state = 267, .external_lex_state = 4},
  [4367] = {.lex_state = 267, .external_lex_state = 4},
  [4368] = {.lex_state = 267, .external_lex_state = 4},
  [4369] = {.lex_state = 267, .external_lex_state = 4},
  [4370] = {.lex_state = 267, .external_lex_state = 4},
  [4371] = {.lex_state = 267, .external_lex_state = 4},
  [4372] = {.lex_state = 267, .external_lex_state = 4},
  [4373] = {.lex_state = 267, .external_lex_state = 4},
  [4374] = {.lex_state = 267, .external_lex_state = 4},
  [4375] = {.lex_state = 129, .external_lex_state = 4},
  [4376] = {.lex_state = 141, .external_lex_state = 4},
  [4377] = {.lex_state = 141, .external_lex_state = 4},
  [4378] = {.lex_state = 141, .external_lex_state = 4},
  [4379] = {.lex_state = 141, .external_lex_state = 4},
  [4380] = {.lex_state = 141, .external_lex_state = 4},
  [4381] = {.lex_state = 141, .external_lex_state = 4},
  [4382] = {.lex_state = 267, .external_lex_state = 4},
  [4383] = {.lex_state = 102, .external_lex_state = 4},
  [4384] = {.lex_state = 267, .external_lex_state = 4},
  [4385] = {.lex_state = 267, .external_lex_state = 4},
  [4386] = {.lex_state = 141, .external_lex_state = 4},
  [4387] = {.lex_state = 267, .external_lex_state = 4},
  [4388] = {.lex_state = 141, .external_lex_state = 4},
  [4389] = {.lex_state = 267, .external_lex_state = 4},
  [4390] = {.lex_state = 267, .external_lex_state = 4},
  [4391] = {.lex_state = 267, .external_lex_state = 4},
  [4392] = {.lex_state = 267, .external_lex_state = 4},
  [4393] = {.lex_state = 102, .external_lex_state = 4},
  [4394] = {.lex_state = 267, .external_lex_state = 4},
  [4395] = {.lex_state = 267, .external_lex_state = 4},
  [4396] = {.lex_state = 267, .external_lex_state = 4},
  [4397] = {.lex_state = 267, .external_lex_state = 4},
  [4398] = {.lex_state = 141, .external_lex_state = 4},
  [4399] = {.lex_state = 141, .external_lex_state = 4},
  [4400] = {.lex_state = 267, .external_lex_state = 4},
  [4401] = {.lex_state = 267, .external_lex_state = 4},
  [4402] = {.lex_state = 267, .external_lex_state = 4},
  [4403] = {.lex_state = 267, .external_lex_state = 4},
  [4404] = {.lex_state = 267, .external_lex_state = 4},
  [4405] = {.lex_state = 141, .external_lex_state = 4},
  [4406] = {.lex_state = 141, .external_lex_state = 4},
  [4407] = {.lex_state = 141, .external_lex_state = 4},
  [4408] = {.lex_state = 129, .external_lex_state = 4},
  [4409] = {.lex_state = 267, .external_lex_state = 4},
  [4410] = {.lex_state = 141, .external_lex_state = 4},
  [4411] = {.lex_state = 141, .external_lex_state = 4},
  [4412] = {.lex_state = 267, .external_lex_state = 4},
  [4413] = {.lex_state = 267, .external_lex_state = 4},
  [4414] = {.lex_state = 267, .external_lex_state = 4},
  [4415] = {.lex_state = 141, .external_lex_state = 4},
  [4416] = {.lex_state = 267, .external_lex_state = 4},
  [4417] = {.lex_state = 267, .external_lex_state = 4},
  [4418] = {.lex_state = 129, .external_lex_state = 4},
  [4419] = {.lex_state = 129, .external_lex_state = 4},
  [4420] = {.lex_state = 129, .external_lex_state = 4},
  [4421] = {.lex_state = 129, .external_lex_state = 4},
  [4422] = {.lex_state = 129, .external_lex_state = 4},
  [4423] = {.lex_state = 129, .external_lex_state = 4},
  [4424] = {.lex_state = 129, .external_lex_state = 4},
  [4425] = {.lex_state = 129, .external_lex_state = 4},
  [4426] = {.lex_state = 129, .external_lex_state = 4},
  [4427] = {.lex_state = 129, .external_lex_state = 4},
  [4428] = {.lex_state = 129, .external_lex_state = 4},
  [4429] = {.lex_state = 129, .external_lex_state = 4},
  [4430] = {.lex_state = 129, .external_lex_state = 4},
  [4431] = {.lex_state = 129, .external_lex_state = 4},
  [4432] = {.lex_state = 129, .external_lex_state = 4},
  [4433] = {.lex_state = 129, .external_lex_state = 4},
  [4434] = {.lex_state = 129, .external_lex_state = 4},
  [4435] = {.lex_state = 129, .external_lex_state = 4},
  [4436] = {.lex_state = 129, .external_lex_state = 4},
  [4437] = {.lex_state = 129, .external_lex_state = 4},
  [4438] = {.lex_state = 129, .external_lex_state = 4},
  [4439] = {.lex_state = 129, .external_lex_state = 4},
  [4440] = {.lex_state = 129, .external_lex_state = 4},
  [4441] = {.lex_state = 267, .external_lex_state = 4},
  [4442] = {.lex_state = 129, .external_lex_state = 4},
  [4443] = {.lex_state = 129, .external_lex_state = 4},
  [4444] = {.lex_state = 129, .external_lex_state = 4},
  [4445] = {.lex_state = 129, .external_lex_state = 4},
  [4446] = {.lex_state = 129, .external_lex_state = 4},
  [4447] = {.lex_state = 129, .external_lex_state = 4},
  [4448] = {.lex_state = 129, .external_lex_state = 4},
  [4449] = {.lex_state = 129, .external_lex_state = 4},
  [4450] = {.lex_state = 129, .external_lex_state = 4},
  [4451] = {.lex_state = 129, .external_lex_state = 4},
  [4452] = {.lex_state = 129, .external_lex_state = 4},
  [4453] = {.lex_state = 102, .external_lex_state = 4},
  [4454] = {.lex_state = 129, .external_lex_state = 4},
  [4455] = {.lex_state = 129, .external_lex_state = 4},
  [4456] = {.lex_state = 267, .external_lex_state = 4},
  [4457] = {.lex_state = 129, .external_lex_state = 4},
  [4458] = {.lex_state = 129, .external_lex_state = 4},
  [4459] = {.lex_state = 129, .external_lex_state = 4},
  [4460] = {.lex_state = 129, .external_lex_state = 4},
  [4461] = {.lex_state = 129, .external_lex_state = 4},
  [4462] = {.lex_state = 129, .external_lex_state = 4},
  [4463] = {.lex_state = 129, .external_lex_state = 4},
  [4464] = {.lex_state = 129, .external_lex_state = 4},
  [4465] = {.lex_state = 129, .external_lex_state = 4},
  [4466] = {.lex_state = 129, .external_lex_state = 4},
  [4467] = {.lex_state = 129, .external_lex_state = 4},
  [4468] = {.lex_state = 129, .external_lex_state = 4},
  [4469] = {.lex_state = 129, .external_lex_state = 4},
  [4470] = {.lex_state = 267, .external_lex_state = 4},
  [4471] = {.lex_state = 129, .external_lex_state = 4},
  [4472] = {.lex_state = 129, .external_lex_state = 4},
  [4473] = {.lex_state = 129, .external_lex_state = 4},
  [4474] = {.lex_state = 129, .external_lex_state = 4},
  [4475] = {.lex_state = 129, .external_lex_state = 4},
  [4476] = {.lex_state = 129, .external_lex_state = 4},
  [4477] = {.lex_state = 129, .external_lex_state = 4},
  [4478] = {.lex_state = 129, .external_lex_state = 4},
  [4479] = {.lex_state = 129, .external_lex_state = 4},
  [4480] = {.lex_state = 129, .external_lex_state = 4},
  [4481] = {.lex_state = 129, .external_lex_state = 4},
  [4482] = {.lex_state = 129, .external_lex_state = 4},
  [4483] = {.lex_state = 129, .external_lex_state = 4},
  [4484] = {.lex_state = 129, .external_lex_state = 4},
  [4485] = {.lex_state = 129, .external_lex_state = 4},
  [4486] = {.lex_state = 129, .external_lex_state = 4},
  [4487] = {.lex_state = 129, .external_lex_state = 4},
  [4488] = {.lex_state = 129, .external_lex_state = 4},
  [4489] = {.lex_state = 129, .external_lex_state = 4},
  [4490] = {.lex_state = 267, .external_lex_state = 4},
  [4491] = {.lex_state = 129, .external_lex_state = 4},
  [4492] = {.lex_state = 267, .external_lex_state = 4},
  [4493] = {.lex_state = 129, .external_lex_state = 4},
  [4494] = {.lex_state = 267, .external_lex_state = 4},
  [4495] = {.lex_state = 129, .external_lex_state = 4},
  [4496] = {.lex_state = 129, .external_lex_state = 4},
  [4497] = {.lex_state = 129, .external_lex_state = 4},
  [4498] = {.lex_state = 102, .external_lex_state = 4},
  [4499] = {.lex_state = 129, .external_lex_state = 4},
  [4500] = {.lex_state = 129, .external_lex_state = 4},
  [4501] = {.lex_state = 129, .external_lex_state = 4},
  [4502] = {.lex_state = 129, .external_lex_state = 4},
  [4503] = {.lex_state = 129, .external_lex_state = 4},
  [4504] = {.lex_state = 129, .external_lex_state = 4},
  [4505] = {.lex_state = 129, .external_lex_state = 4},
  [4506] = {.lex_state = 129, .external_lex_state = 4},
  [4507] = {.lex_state = 129, .external_lex_state = 4},
  [4508] = {.lex_state = 129, .external_lex_state = 4},
  [4509] = {.lex_state = 129, .external_lex_state = 4},
  [4510] = {.lex_state = 129, .external_lex_state = 4},
  [4511] = {.lex_state = 129, .external_lex_state = 4},
  [4512] = {.lex_state = 129, .external_lex_state = 4},
  [4513] = {.lex_state = 129, .external_lex_state = 4},
  [4514] = {.lex_state = 129, .external_lex_state = 4},
  [4515] = {.lex_state = 129, .external_lex_state = 4},
  [4516] = {.lex_state = 129, .external_lex_state = 4},
  [4517] = {.lex_state = 267, .external_lex_state = 4},
  [4518] = {.lex_state = 267, .external_lex_state = 4},
  [4519] = {.lex_state = 267, .external_lex_state = 4},
  [4520] = {.lex_state = 267, .external_lex_state = 4},
  [4521] = {.lex_state = 267, .external_lex_state = 4},
  [4522] = {.lex_state = 267, .external_lex_state = 4},
  [4523] = {.lex_state = 267, .external_lex_state = 4},
  [4524] = {.lex_state = 267, .external_lex_state = 4},
  [4525] = {.lex_state = 267, .external_lex_state = 4},
  [4526] = {.lex_state = 267, .external_lex_state = 4},
  [4527] = {.lex_state = 267, .external_lex_state = 4},
  [4528] = {.lex_state = 267, .external_lex_state = 4},
  [4529] = {.lex_state = 267, .external_lex_state = 4},
  [4530] = {.lex_state = 267, .external_lex_state = 4},
  [4531] = {.lex_state = 267, .external_lex_state = 4},
  [4532] = {.lex_state = 267, .external_lex_state = 4},
  [4533] = {.lex_state = 267, .external_lex_state = 4},
  [4534] = {.lex_state = 129, .external_lex_state = 4},
  [4535] = {.lex_state = 267, .external_lex_state = 4},
  [4536] = {.lex_state = 102, .external_lex_state = 4},
  [4537] = {.lex_state = 129, .external_lex_state = 4},
  [4538] = {.lex_state = 129, .external_lex_state = 4},
  [4539] = {.lex_state = 129, .external_lex_state = 4},
  [4540] = {.lex_state = 129, .external_lex_state = 4},
  [4541] = {.lex_state = 129, .external_lex_state = 4},
  [4542] = {.lex_state = 129, .external_lex_state = 4},
  [4543] = {.lex_state = 129, .external_lex_state = 4},
  [4544] = {.lex_state = 129, .external_lex_state = 4},
  [4545] = {.lex_state = 129, .external_lex_state = 4},
  [4546] = {.lex_state = 129, .external_lex_state = 4},
  [4547] = {.lex_state = 129, .external_lex_state = 4},
  [4548] = {.lex_state = 129, .external_lex_state = 4},
  [4549] = {.lex_state = 129, .external_lex_state = 4},
  [4550] = {.lex_state = 129, .external_lex_state = 4},
  [4551] = {.lex_state = 129, .external_lex_state = 4},
  [4552] = {.lex_state = 129, .external_lex_state = 4},
  [4553] = {.lex_state = 267, .external_lex_state = 4},
  [4554] = {.lex_state = 267, .external_lex_state = 4},
  [4555] = {.lex_state = 267, .external_lex_state = 4},
  [4556] = {.lex_state = 267, .external_lex_state = 4},
  [4557] = {.lex_state = 267, .external_lex_state = 4},
  [4558] = {.lex_state = 267, .external_lex_state = 4},
  [4559] = {.lex_state = 267, .external_lex_state = 4},
  [4560] = {.lex_state = 267, .external_lex_state = 4},
  [4561] = {.lex_state = 267, .external_lex_state = 4},
  [4562] = {.lex_state = 267, .external_lex_state = 4},
  [4563] = {.lex_state = 267, .external_lex_state = 4},
  [4564] = {.lex_state = 267, .external_lex_state = 4},
  [4565] = {.lex_state = 267, .external_lex_state = 4},
  [4566] = {.lex_state = 267, .external_lex_state = 4},
  [4567] = {.lex_state = 267, .external_lex_state = 4},
  [4568] = {.lex_state = 267, .external_lex_state = 4},
  [4569] = {.lex_state = 267, .external_lex_state = 4},
  [4570] = {.lex_state = 267, .external_lex_state = 4},
  [4571] = {.lex_state = 267, .external_lex_state = 4},
  [4572] = {.lex_state = 267, .external_lex_state = 4},
  [4573] = {.lex_state = 267, .external_lex_state = 4},
  [4574] = {.lex_state = 267, .external_lex_state = 4},
  [4575] = {.lex_state = 102, .external_lex_state = 4},
  [4576] = {.lex_state = 102, .external_lex_state = 4},
  [4577] = {.lex_state = 267, .external_lex_state = 4},
  [4578] = {.lex_state = 267, .external_lex_state = 4},
  [4579] = {.lex_state = 267, .external_lex_state = 4},
  [4580] = {.lex_state = 50, .external_lex_state = 6},
  [4581] = {.lex_state = 50, .external_lex_state = 6},
  [4582] = {.lex_state = 50, .external_lex_state = 6},
  [4583] = {.lex_state = 50, .external_lex_state = 6},
  [4584] = {.lex_state = 50, .external_lex_state = 6},
  [4585] = {.lex_state = 50, .external_lex_state = 6},
  [4586] = {.lex_state = 50, .external_lex_state = 6},
  [4587] = {.lex_state = 50, .external_lex_state = 6},
  [4588] = {.lex_state = 50, .external_lex_state = 6},
  [4589] = {.lex_state = 50, .external_lex_state = 6},
  [4590] = {.lex_state = 50, .external_lex_state = 6},
  [4591] = {.lex_state = 50, .external_lex_state = 6},
  [4592] = {.lex_state = 50, .external_lex_state = 6},
  [4593] = {.lex_state = 50, .external_lex_state = 6},
  [4594] = {.lex_state = 50, .external_lex_state = 6},
  [4595] = {.lex_state = 50, .external_lex_state = 6},
  [4596] = {.lex_state = 50, .external_lex_state = 6},
  [4597] = {.lex_state = 50, .external_lex_state = 6},
  [4598] = {.lex_state = 50, .external_lex_state = 6},
  [4599] = {.lex_state = 50, .external_lex_state = 6},
  [4600] = {.lex_state = 50, .external_lex_state = 6},
  [4601] = {.lex_state = 50, .external_lex_state = 6},
  [4602] = {.lex_state = 50, .external_lex_state = 6},
  [4603] = {.lex_state = 50, .external_lex_state = 6},
  [4604] = {.lex_state = 50, .external_lex_state = 6},
  [4605] = {.lex_state = 50, .external_lex_state = 6},
  [4606] = {.lex_state = 50, .external_lex_state = 6},
  [4607] = {.lex_state = 50, .external_lex_state = 6},
  [4608] = {.lex_state = 50, .external_lex_state = 6},
  [4609] = {.lex_state = 50, .external_lex_state = 6},
  [4610] = {.lex_state = 50, .external_lex_state = 6},
  [4611] = {.lex_state = 50, .external_lex_state = 6},
  [4612] = {.lex_state = 50, .external_lex_state = 6},
  [4613] = {.lex_state = 50, .external_lex_state = 6},
  [4614] = {.lex_state = 50, .external_lex_state = 6},
  [4615] = {.lex_state = 50, .external_lex_state = 6},
  [4616] = {.lex_state = 102, .external_lex_state = 6},
  [4617] = {.lex_state = 102, .external_lex_state = 6},
  [4618] = {.lex_state = 102, .external_lex_state = 6},
  [4619] = {.lex_state = 102, .external_lex_state = 6},
  [4620] = {.lex_state = 102, .external_lex_state = 6},
  [4621] = {.lex_state = 102, .external_lex_state = 6},
  [4622] = {.lex_state = 102, .external_lex_state = 6},
  [4623] = {.lex_state = 102, .external_lex_state = 6},
  [4624] = {.lex_state = 102, .external_lex_state = 6},
  [4625] = {.lex_state = 102, .external_lex_state = 6},
  [4626] = {.lex_state = 102, .external_lex_state = 6},
  [4627] = {.lex_state = 102, .external_lex_state = 6},
  [4628] = {.lex_state = 102, .external_lex_state = 6},
  [4629] = {.lex_state = 102, .external_lex_state = 6},
  [4630] = {.lex_state = 102, .external_lex_state = 6},
  [4631] = {.lex_state = 102, .external_lex_state = 6},
  [4632] = {.lex_state = 102, .external_lex_state = 6},
  [4633] = {.lex_state = 102, .external_lex_state = 6},
  [4634] = {.lex_state = 102, .external_lex_state = 6},
  [4635] = {.lex_state = 102, .external_lex_state = 6},
  [4636] = {.lex_state = 102, .external_lex_state = 6},
  [4637] = {.lex_state = 102, .external_lex_state = 6},
  [4638] = {.lex_state = 102, .external_lex_state = 6},
  [4639] = {.lex_state = 102, .external_lex_state = 6},
  [4640] = {.lex_state = 102, .external_lex_state = 6},
  [4641] = {.lex_state = 102, .external_lex_state = 6},
  [4642] = {.lex_state = 102, .external_lex_state = 6},
  [4643] = {.lex_state = 102, .external_lex_state = 6},
  [4644] = {.lex_state = 102, .external_lex_state = 6},
  [4645] = {.lex_state = 102, .external_lex_state = 6},
  [4646] = {.lex_state = 102, .external_lex_state = 6},
  [4647] = {.lex_state = 102, .external_lex_state = 6},
  [4648] = {.lex_state = 102, .external_lex_state = 6},
  [4649] = {.lex_state = 102, .external_lex_state = 6},
  [4650] = {.lex_state = 102, .external_lex_state = 6},
  [4651] = {.lex_state = 102, .external_lex_state = 6},
  [4652] = {.lex_state = 102, .external_lex_state = 6},
  [4653] = {.lex_state = 102, .external_lex_state = 6},
  [4654] = {.lex_state = 102, .external_lex_state = 6},
  [4655] = {.lex_state = 102, .external_lex_state = 6},
  [4656] = {.lex_state = 102, .external_lex_state = 6},
  [4657] = {.lex_state = 102, .external_lex_state = 6},
  [4658] = {.lex_state = 102, .external_lex_state = 6},
  [4659] = {.lex_state = 102, .external_lex_state = 6},
  [4660] = {.lex_state = 102, .external_lex_state = 6},
  [4661] = {.lex_state = 102, .external_lex_state = 6},
  [4662] = {.lex_state = 102, .external_lex_state = 6},
  [4663] = {.lex_state = 102, .external_lex_state = 6},
  [4664] = {.lex_state = 102, .external_lex_state = 6},
  [4665] = {.lex_state = 102, .external_lex_state = 6},
  [4666] = {.lex_state = 102, .external_lex_state = 6},
  [4667] = {.lex_state = 102, .external_lex_state = 6},
  [4668] = {.lex_state = 102, .external_lex_state = 6},
  [4669] = {.lex_state = 102, .external_lex_state = 6},
  [4670] = {.lex_state = 102, .external_lex_state = 6},
  [4671] = {.lex_state = 102, .external_lex_state = 6},
  [4672] = {.lex_state = 102, .external_lex_state = 6},
  [4673] = {.lex_state = 102, .external_lex_state = 6},
  [4674] = {.lex_state = 102, .external_lex_state = 6},
  [4675] = {.lex_state = 102, .external_lex_state = 6},
  [4676] = {.lex_state = 102, .external_lex_state = 6},
  [4677] = {.lex_state = 102, .external_lex_state = 6},
  [4678] = {.lex_state = 102, .external_lex_state = 6},
  [4679] = {.lex_state = 102, .external_lex_state = 6},
  [4680] = {.lex_state = 102, .external_lex_state = 6},
  [4681] = {.lex_state = 102, .external_lex_state = 6},
  [4682] = {.lex_state = 102, .external_lex_state = 6},
  [4683] = {.lex_state = 102, .external_lex_state = 6},
  [4684] = {.lex_state = 102, .external_lex_state = 6},
  [4685] = {.lex_state = 102, .external_lex_state = 6},
  [4686] = {.lex_state = 102, .external_lex_state = 6},
  [4687] = {.lex_state = 102, .external_lex_state = 6},
  [4688] = {.lex_state = 144, .external_lex_state = 6},
  [4689] = {.lex_state = 144, .external_lex_state = 6},
  [4690] = {.lex_state = 102, .external_lex_state = 6},
  [4691] = {.lex_state = 102, .external_lex_state = 6},
  [4692] = {.lex_state = 102, .external_lex_state = 6},
  [4693] = {.lex_state = 102, .external_lex_state = 6},
  [4694] = {.lex_state = 102, .external_lex_state = 6},
  [4695] = {.lex_state = 102, .external_lex_state = 6},
  [4696] = {.lex_state = 102, .external_lex_state = 6},
  [4697] = {.lex_state = 102, .external_lex_state = 6},
  [4698] = {.lex_state = 102, .external_lex_state = 6},
  [4699] = {.lex_state = 102, .external_lex_state = 6},
  [4700] = {.lex_state = 102, .external_lex_state = 6},
  [4701] = {.lex_state = 102, .external_lex_state = 6},
  [4702] = {.lex_state = 102, .external_lex_state = 6},
  [4703] = {.lex_state = 102, .external_lex_state = 6},
  [4704] = {.lex_state = 102, .external_lex_state = 6},
  [4705] = {.lex_state = 102, .external_lex_state = 6},
  [4706] = {.lex_state = 102, .external_lex_state = 6},
  [4707] = {.lex_state = 102, .external_lex_state = 6},
  [4708] = {.lex_state = 102, .external_lex_state = 6},
  [4709] = {.lex_state = 102, .external_lex_state = 6},
  [4710] = {.lex_state = 102, .external_lex_state = 6},
  [4711] = {.lex_state = 102, .external_lex_state = 6},
  [4712] = {.lex_state = 102, .external_lex_state = 6},
  [4713] = {.lex_state = 102, .external_lex_state = 6},
  [4714] = {.lex_state = 102, .external_lex_state = 6},
  [4715] = {.lex_state = 102, .external_lex_state = 6},
  [4716] = {.lex_state = 102, .external_lex_state = 6},
  [4717] = {.lex_state = 102, .external_lex_state = 6},
  [4718] = {.lex_state = 102, .external_lex_state = 6},
  [4719] = {.lex_state = 102, .external_lex_state = 6},
  [4720] = {.lex_state = 102, .external_lex_state = 6},
  [4721] = {.lex_state = 102, .external_lex_state = 6},
  [4722] = {.lex_state = 102, .external_lex_state = 6},
  [4723] = {.lex_state = 102, .external_lex_state = 6},
  [4724] = {.lex_state = 102, .external_lex_state = 6},
  [4725] = {.lex_state = 102, .external_lex_state = 6},
  [4726] = {.lex_state = 102, .external_lex_state = 6},
  [4727] = {.lex_state = 102, .external_lex_state = 6},
  [4728] = {.lex_state = 102, .external_lex_state = 6},
  [4729] = {.lex_state = 102, .external_lex_state = 6},
  [4730] = {.lex_state = 102, .external_lex_state = 6},
  [4731] = {.lex_state = 102, .external_lex_state = 6},
  [4732] = {.lex_state = 102, .external_lex_state = 6},
  [4733] = {.lex_state = 102, .external_lex_state = 6},
  [4734] = {.lex_state = 102, .external_lex_state = 6},
  [4735] = {.lex_state = 102, .external_lex_state = 6},
  [4736] = {.lex_state = 102, .external_lex_state = 6},
  [4737] = {.lex_state = 102, .external_lex_state = 6},
  [4738] = {.lex_state = 102, .external_lex_state = 6},
  [4739] = {.lex_state = 102, .external_lex_state = 6},
  [4740] = {.lex_state = 102, .external_lex_state = 6},
  [4741] = {.lex_state = 102, .external_lex_state = 6},
  [4742] = {.lex_state = 102, .external_lex_state = 6},
  [4743] = {.lex_state = 102, .external_lex_state = 6},
  [4744] = {.lex_state = 102, .external_lex_state = 6},
  [4745] = {.lex_state = 102, .external_lex_state = 6},
  [4746] = {.lex_state = 102, .external_lex_state = 6},
  [4747] = {.lex_state = 102, .external_lex_state = 6},
  [4748] = {.lex_state = 102, .external_lex_state = 6},
  [4749] = {.lex_state = 102, .external_lex_state = 6},
  [4750] = {.lex_state = 102, .external_lex_state = 6},
  [4751] = {.lex_state = 102, .external_lex_state = 6},
  [4752] = {.lex_state = 144, .external_lex_state = 6},
  [4753] = {.lex_state = 102, .external_lex_state = 6},
  [4754] = {.lex_state = 102, .external_lex_state = 6},
  [4755] = {.lex_state = 102, .external_lex_state = 6},
  [4756] = {.lex_state = 102, .external_lex_state = 6},
  [4757] = {.lex_state = 102, .external_lex_state = 6},
  [4758] = {.lex_state = 102, .external_lex_state = 6},
  [4759] = {.lex_state = 102, .external_lex_state = 6},
  [4760] = {.lex_state = 144, .external_lex_state = 6},
  [4761] = {.lex_state = 102, .external_lex_state = 6},
  [4762] = {.lex_state = 102, .external_lex_state = 6},
  [4763] = {.lex_state = 102, .external_lex_state = 6},
  [4764] = {.lex_state = 102, .external_lex_state = 6},
  [4765] = {.lex_state = 102, .external_lex_state = 6},
  [4766] = {.lex_state = 102, .external_lex_state = 6},
  [4767] = {.lex_state = 102, .external_lex_state = 6},
  [4768] = {.lex_state = 102, .external_lex_state = 6},
  [4769] = {.lex_state = 102, .external_lex_state = 6},
  [4770] = {.lex_state = 102, .external_lex_state = 6},
  [4771] = {.lex_state = 102, .external_lex_state = 6},
  [4772] = {.lex_state = 102, .external_lex_state = 6},
  [4773] = {.lex_state = 102, .external_lex_state = 6},
  [4774] = {.lex_state = 102, .external_lex_state = 6},
  [4775] = {.lex_state = 102, .external_lex_state = 6},
  [4776] = {.lex_state = 102, .external_lex_state = 6},
  [4777] = {.lex_state = 102, .external_lex_state = 6},
  [4778] = {.lex_state = 102, .external_lex_state = 6},
  [4779] = {.lex_state = 102, .external_lex_state = 6},
  [4780] = {.lex_state = 102, .external_lex_state = 6},
  [4781] = {.lex_state = 102, .external_lex_state = 6},
  [4782] = {.lex_state = 144, .external_lex_state = 6},
  [4783] = {.lex_state = 50, .external_lex_state = 6},
  [4784] = {.lex_state = 144, .external_lex_state = 6},
  [4785] = {.lex_state = 50, .external_lex_state = 6},
  [4786] = {.lex_state = 144, .external_lex_state = 6},
  [4787] = {.lex_state = 50, .external_lex_state = 6},
  [4788] = {.lex_state = 50, .external_lex_state = 6},
  [4789] = {.lex_state = 144, .external_lex_state = 6},
  [4790] = {.lex_state = 144, .external_lex_state = 6},
  [4791] = {.lex_state = 50, .external_lex_state = 6},
  [4792] = {.lex_state = 144, .external_lex_state = 6},
  [4793] = {.lex_state = 50, .external_lex_state = 6},
  [4794] = {.lex_state = 144, .external_lex_state = 6},
  [4795] = {.lex_state = 144, .external_lex_state = 6},
  [4796] = {.lex_state = 50, .external_lex_state = 6},
  [4797] = {.lex_state = 144, .external_lex_state = 6},
  [4798] = {.lex_state = 50, .external_lex_state = 6},
  [4799] = {.lex_state = 50, .external_lex_state = 6},
  [4800] = {.lex_state = 144, .external_lex_state = 6},
  [4801] = {.lex_state = 144, .external_lex_state = 6},
  [4802] = {.lex_state = 50, .external_lex_state = 6},
  [4803] = {.lex_state = 144, .external_lex_state = 6},
  [4804] = {.lex_state = 50, .external_lex_state = 6},
  [4805] = {.lex_state = 50, .external_lex_state = 6},
  [4806] = {.lex_state = 144, .external_lex_state = 6},
  [4807] = {.lex_state = 144, .external_lex_state = 6},
  [4808] = {.lex_state = 144, .external_lex_state = 6},
  [4809] = {.lex_state = 144, .external_lex_state = 6},
  [4810] = {.lex_state = 144, .external_lex_state = 6},
  [4811] = {.lex_state = 144, .external_lex_state = 6},
  [4812] = {.lex_state = 144, .external_lex_state = 6},
  [4813] = {.lex_state = 50, .external_lex_state = 6},
  [4814] = {.lex_state = 144, .external_lex_state = 6},
  [4815] = {.lex_state = 144, .external_lex_state = 6},
  [4816] = {.lex_state = 50, .external_lex_state = 6},
  [4817] = {.lex_state = 50, .external_lex_state = 6},
  [4818] = {.lex_state = 144, .external_lex_state = 6},
  [4819] = {.lex_state = 50, .external_lex_state = 6},
  [4820] = {.lex_state = 144, .external_lex_state = 6},
  [4821] = {.lex_state = 50, .external_lex_state = 6},
  [4822] = {.lex_state = 50, .external_lex_state = 6},
  [4823] = {.lex_state = 50, .external_lex_state = 6},
  [4824] = {.lex_state = 50, .external_lex_state = 6},
  [4825] = {.lex_state = 102, .external_lex_state = 6},
  [4826] = {.lex_state = 102, .external_lex_state = 6},
  [4827] = {.lex_state = 51, .external_lex_state = 6},
  [4828] = {.lex_state = 102, .external_lex_state = 6},
  [4829] = {.lex_state = 62, .external_lex_state = 7},
  [4830] = {.lex_state = 62, .external_lex_state = 7},
  [4831] = {.lex_state = 64, .external_lex_state = 8},
  [4832] = {.lex_state = 62, .external_lex_state = 9},
  [4833] = {.lex_state = 62, .external_lex_state = 9},
  [4834] = {.lex_state = 62, .external_lex_state = 10},
  [4835] = {.lex_state = 62, .external_lex_state = 9},
  [4836] = {.lex_state = 64, .external_lex_state = 8},
  [4837] = {.lex_state = 64, .external_lex_state = 8},
  [4838] = {.lex_state = 64, .external_lex_state = 11},
  [4839] = {.lex_state = 62, .external_lex_state = 7},
  [4840] = {.lex_state = 64, .external_lex_state = 11},
  [4841] = {.lex_state = 62, .external_lex_state = 7},
  [4842] = {.lex_state = 64, .external_lex_state = 8},
  [4843] = {.lex_state = 62, .external_lex_state = 9},
  [4844] = {.lex_state = 62, .external_lex_state = 7},
  [4845] = {.lex_state = 62, .external_lex_state = 7},
  [4846] = {.lex_state = 64, .external_lex_state = 8},
  [4847] = {.lex_state = 62, .external_lex_state = 9},
  [4848] = {.lex_state = 64, .external_lex_state = 11},
  [4849] = {.lex_state = 64, .external_lex_state = 8},
  [4850] = {.lex_state = 62, .external_lex_state = 7},
  [4851] = {.lex_state = 64, .external_lex_state = 8},
  [4852] = {.lex_state = 64, .external_lex_state = 8},
  [4853] = {.lex_state = 62, .external_lex_state = 9},
  [4854] = {.lex_state = 64, .external_lex_state = 11},
  [4855] = {.lex_state = 64, .external_lex_state = 11},
  [4856] = {.lex_state = 64, .external_lex_state = 11},
  [4857] = {.lex_state = 62, .external_lex_state = 7},
  [4858] = {.lex_state = 62, .external_lex_state = 10},
  [4859] = {.lex_state = 62, .external_lex_state = 12},
  [4860] = {.lex_state = 62, .external_lex_state = 13},
  [4861] = {.lex_state = 62, .external_lex_state = 14},
  [4862] = {.lex_state = 62, .external_lex_state = 15},
  [4863] = {.lex_state = 62, .external_lex_state = 16},
  [4864] = {.lex_state = 62, .external_lex_state = 12},
  [4865] = {.lex_state = 62, .external_lex_state = 10},
  [4866] = {.lex_state = 62, .external_lex_state = 16},
  [4867] = {.lex_state = 62, .external_lex_state = 15},
  [4868] = {.lex_state = 62, .external_lex_state = 14},
  [4869] = {.lex_state = 62, .external_lex_state = 13},
  [4870] = {.lex_state = 62, .external_lex_state = 7},
  [4871] = {.lex_state = 64, .external_lex_state = 11},
  [4872] = {.lex_state = 62, .external_lex_state = 7},
  [4873] = {.lex_state = 64, .external_lex_state = 8},
  [4874] = {.lex_state = 62, .external_lex_state = 9},
  [4875] = {.lex_state = 62, .external_lex_state = 9},
  [4876] = {.lex_state = 64, .external_lex_state = 11},
  [4877] = {.lex_state = 64, .external_lex_state = 8},
  [4878] = {.lex_state = 64, .external_lex_state = 8},
  [4879] = {.lex_state = 62, .external_lex_state = 9},
  [4880] = {.lex_state = 62, .external_lex_state = 9},
  [4881] = {.lex_state = 64, .external_lex_state = 11},
  [4882] = {.lex_state = 62, .external_lex_state = 9},
  [4883] = {.lex_state = 64, .external_lex_state = 11},
  [4884] = {.lex_state = 64, .external_lex_state = 11},
  [4885] = {.lex_state = 62, .external_lex_state = 7},
  [4886] = {.lex_state = 64, .external_lex_state = 8},
  [4887] = {.lex_state = 64, .external_lex_state = 11},
  [4888] = {.lex_state = 64, .external_lex_state = 8},
  [4889] = {.lex_state = 64, .external_lex_state = 8},
  [4890] = {.lex_state = 62, .external_lex_state = 13},
  [4891] = {.lex_state = 62, .external_lex_state = 14},
  [4892] = {.lex_state = 62, .external_lex_state = 9},
  [4893] = {.lex_state = 62, .external_lex_state = 10},
  [4894] = {.lex_state = 64, .external_lex_state = 11},
  [4895] = {.lex_state = 62, .external_lex_state = 15},
  [4896] = {.lex_state = 62, .external_lex_state = 16},
  [4897] = {.lex_state = 62, .external_lex_state = 12},
  [4898] = {.lex_state = 62, .external_lex_state = 7},
  [4899] = {.lex_state = 62, .external_lex_state = 12},
  [4900] = {.lex_state = 62, .external_lex_state = 7},
  [4901] = {.lex_state = 62, .external_lex_state = 16},
  [4902] = {.lex_state = 64, .external_lex_state = 8},
  [4903] = {.lex_state = 62, .external_lex_state = 15},
  [4904] = {.lex_state = 62, .external_lex_state = 13},
  [4905] = {.lex_state = 62, .external_lex_state = 10},
  [4906] = {.lex_state = 62, .external_lex_state = 14},
  [4907] = {.lex_state = 62, .external_lex_state = 15},
  [4908] = {.lex_state = 62, .external_lex_state = 9},
  [4909] = {.lex_state = 64, .external_lex_state = 8},
  [4910] = {.lex_state = 62, .external_lex_state = 10},
  [4911] = {.lex_state = 64, .external_lex_state = 11},
  [4912] = {.lex_state = 62, .external_lex_state = 16},
  [4913] = {.lex_state = 62, .external_lex_state = 12},
  [4914] = {.lex_state = 62, .external_lex_state = 12},
  [4915] = {.lex_state = 62, .external_lex_state = 10},
  [4916] = {.lex_state = 62, .external_lex_state = 9},
  [4917] = {.lex_state = 64, .external_lex_state = 11},
  [4918] = {.lex_state = 62, .external_lex_state = 7},
  [4919] = {.lex_state = 62, .external_lex_state = 14},
  [4920] = {.lex_state = 62, .external_lex_state = 13},
  [4921] = {.lex_state = 62, .external_lex_state = 14},
  [4922] = {.lex_state = 62, .external_lex_state = 15},
  [4923] = {.lex_state = 62, .external_lex_state = 16},
  [4924] = {.lex_state = 62, .external_lex_state = 13},
  [4925] = {.lex_state = 64, .external_lex_state = 8},
  [4926] = {.lex_state = 62, .external_lex_state = 12},
  [4927] = {.lex_state = 62, .external_lex_state = 9},
  [4928] = {.lex_state = 62, .external_lex_state = 10},
  [4929] = {.lex_state = 64, .external_lex_state = 11},
  [4930] = {.lex_state = 62, .external_lex_state = 7},
  [4931] = {.lex_state = 64, .external_lex_state = 8},
  [4932] = {.lex_state = 62, .external_lex_state = 9},
  [4933] = {.lex_state = 62, .external_lex_state = 12},
  [4934] = {.lex_state = 64, .external_lex_state = 11},
  [4935] = {.lex_state = 62, .external_lex_state = 16},
  [4936] = {.lex_state = 62, .external_lex_state = 15},
  [4937] = {.lex_state = 62, .external_lex_state = 7},
  [4938] = {.lex_state = 64, .external_lex_state = 8},
  [4939] = {.lex_state = 62, .external_lex_state = 9},
  [4940] = {.lex_state = 62, .external_lex_state = 9},
  [4941] = {.lex_state = 62, .external_lex_state = 14},
  [4942] = {.lex_state = 64, .external_lex_state = 11},
  [4943] = {.lex_state = 64, .external_lex_state = 11},
  [4944] = {.lex_state = 62, .external_lex_state = 13},
  [4945] = {.lex_state = 62, .external_lex_state = 7},
  [4946] = {.lex_state = 64, .external_lex_state = 8},
  [4947] = {.lex_state = 64, .external_lex_state = 8},
  [4948] = {.lex_state = 62, .external_lex_state = 9},
  [4949] = {.lex_state = 64, .external_lex_state = 8},
  [4950] = {.lex_state = 62, .external_lex_state = 7},
  [4951] = {.lex_state = 62, .external_lex_state = 7},
  [4952] = {.lex_state = 64, .external_lex_state = 8},
  [4953] = {.lex_state = 62, .external_lex_state = 10},
  [4954] = {.lex_state = 62, .external_lex_state = 12},
  [4955] = {.lex_state = 62, .external_lex_state = 16},
  [4956] = {.lex_state = 62, .external_lex_state = 15},
  [4957] = {.lex_state = 62, .external_lex_state = 14},
  [4958] = {.lex_state = 62, .external_lex_state = 13},
  [4959] = {.lex_state = 62, .external_lex_state = 7},
  [4960] = {.lex_state = 64, .external_lex_state = 8},
  [4961] = {.lex_state = 62, .external_lex_state = 7},
  [4962] = {.lex_state = 62, .external_lex_state = 12},
  [4963] = {.lex_state = 62, .external_lex_state = 9},
  [4964] = {.lex_state = 62, .external_lex_state = 16},
  [4965] = {.lex_state = 64, .external_lex_state = 11},
  [4966] = {.lex_state = 62, .external_lex_state = 9},
  [4967] = {.lex_state = 62, .external_lex_state = 15},
  [4968] = {.lex_state = 62, .external_lex_state = 14},
  [4969] = {.lex_state = 62, .external_lex_state = 9},
  [4970] = {.lex_state = 64, .external_lex_state = 8},
  [4971] = {.lex_state = 64, .external_lex_state = 8},
  [4972] = {.lex_state = 62, .external_lex_state = 13},
  [4973] = {.lex_state = 64, .external_lex_state = 11},
  [4974] = {.lex_state = 62, .external_lex_state = 13},
  [4975] = {.lex_state = 62, .external_lex_state = 9},
  [4976] = {.lex_state = 62, .external_lex_state = 9},
  [4977] = {.lex_state = 64, .external_lex_state = 8},
  [4978] = {.lex_state = 62, .external_lex_state = 9},
  [4979] = {.lex_state = 62, .external_lex_state = 7},
  [4980] = {.lex_state = 64, .external_lex_state = 11},
  [4981] = {.lex_state = 62, .external_lex_state = 14},
  [4982] = {.lex_state = 62, .external_lex_state = 10},
  [4983] = {.lex_state = 62, .external_lex_state = 12},
  [4984] = {.lex_state = 62, .external_lex_state = 9},
  [4985] = {.lex_state = 62, .external_lex_state = 16},
  [4986] = {.lex_state = 62, .external_lex_state = 15},
  [4987] = {.lex_state = 62, .external_lex_state = 14},
  [4988] = {.lex_state = 62, .external_lex_state = 13},
  [4989] = {.lex_state = 62, .external_lex_state = 13},
  [4990] = {.lex_state = 62, .external_lex_state = 13},
  [4991] = {.lex_state = 62, .external_lex_state = 14},
  [4992] = {.lex_state = 62, .external_lex_state = 15},
  [4993] = {.lex_state = 62, .external_lex_state = 16},
  [4994] = {.lex_state = 62, .external_lex_state = 12},
  [4995] = {.lex_state = 62, .external_lex_state = 10},
  [4996] = {.lex_state = 62, .external_lex_state = 15},
  [4997] = {.lex_state = 62, .external_lex_state = 16},
  [4998] = {.lex_state = 62, .external_lex_state = 9},
  [4999] = {.lex_state = 62, .external_lex_state = 9},
  [5000] = {.lex_state = 62, .external_lex_state = 12},
  [5001] = {.lex_state = 62, .external_lex_state = 10},
  [5002] = {.lex_state = 62, .external_lex_state = 10},
  [5003] = {.lex_state = 62, .external_lex_state = 9},
  [5004] = {.lex_state = 62, .external_lex_state = 13},
  [5005] = {.lex_state = 62, .external_lex_state = 12},
  [5006] = {.lex_state = 62, .external_lex_state = 16},
  [5007] = {.lex_state = 62, .external_lex_state = 14},
  [5008] = {.lex_state = 64, .external_lex_state = 8},
  [5009] = {.lex_state = 62, .external_lex_state = 15},
  [5010] = {.lex_state = 64, .external_lex_state = 11},
  [5011] = {.lex_state = 62, .external_lex_state = 7},
  [5012] = {.lex_state = 64, .external_lex_state = 8},
  [5013] = {.lex_state = 62, .external_lex_state = 9},
  [5014] = {.lex_state = 62, .external_lex_state = 7},
  [5015] = {.lex_state = 62, .external_lex_state = 14},
  [5016] = {.lex_state = 62, .external_lex_state = 15},
  [5017] = {.lex_state = 62, .external_lex_state = 16},
  [5018] = {.lex_state = 64, .external_lex_state = 11},
  [5019] = {.lex_state = 62, .external_lex_state = 12},
  [5020] = {.lex_state = 62, .external_lex_state = 13},
  [5021] = {.lex_state = 62, .external_lex_state = 10},
  [5022] = {.lex_state = 62, .external_lex_state = 10},
  [5023] = {.lex_state = 62, .external_lex_state = 12},
  [5024] = {.lex_state = 62, .external_lex_state = 16},
  [5025] = {.lex_state = 64, .external_lex_state = 11},
  [5026] = {.lex_state = 62, .external_lex_state = 15},
  [5027] = {.lex_state = 62, .external_lex_state = 14},
  [5028] = {.lex_state = 64, .external_lex_state = 11},
  [5029] = {.lex_state = 62, .external_lex_state = 14},
  [5030] = {.lex_state = 62, .external_lex_state = 13},
  [5031] = {.lex_state = 62, .external_lex_state = 7},
  [5032] = {.lex_state = 62, .external_lex_state = 15},
  [5033] = {.lex_state = 62, .external_lex_state = 16},
  [5034] = {.lex_state = 62, .external_lex_state = 9},
  [5035] = {.lex_state = 62, .external_lex_state = 9},
  [5036] = {.lex_state = 64, .external_lex_state = 8},
  [5037] = {.lex_state = 64, .external_lex_state = 8},
  [5038] = {.lex_state = 62, .external_lex_state = 7},
  [5039] = {.lex_state = 64, .external_lex_state = 11},
  [5040] = {.lex_state = 64, .external_lex_state = 8},
  [5041] = {.lex_state = 62, .external_lex_state = 10},
  [5042] = {.lex_state = 62, .external_lex_state = 13},
  [5043] = {.lex_state = 62, .external_lex_state = 14},
  [5044] = {.lex_state = 62, .external_lex_state = 15},
  [5045] = {.lex_state = 62, .external_lex_state = 16},
  [5046] = {.lex_state = 62, .external_lex_state = 12},
  [5047] = {.lex_state = 62, .external_lex_state = 10},
  [5048] = {.lex_state = 62, .external_lex_state = 12},
  [5049] = {.lex_state = 62, .external_lex_state = 9},
  [5050] = {.lex_state = 62, .external_lex_state = 16},
  [5051] = {.lex_state = 62, .external_lex_state = 15},
  [5052] = {.lex_state = 62, .external_lex_state = 14},
  [5053] = {.lex_state = 64, .external_lex_state = 8},
  [5054] = {.lex_state = 62, .external_lex_state = 13},
  [5055] = {.lex_state = 62, .external_lex_state = 9},
  [5056] = {.lex_state = 62, .external_lex_state = 10},
  [5057] = {.lex_state = 64, .external_lex_state = 8},
  [5058] = {.lex_state = 62, .external_lex_state = 9},
  [5059] = {.lex_state = 62, .external_lex_state = 7},
  [5060] = {.lex_state = 64, .external_lex_state = 11},
  [5061] = {.lex_state = 62, .external_lex_state = 7},
  [5062] = {.lex_state = 62, .external_lex_state = 9},
  [5063] = {.lex_state = 64, .external_lex_state = 8},
  [5064] = {.lex_state = 62, .external_lex_state = 7},
  [5065] = {.lex_state = 64, .external_lex_state = 11},
  [5066] = {.lex_state = 64, .external_lex_state = 8},
  [5067] = {.lex_state = 62, .external_lex_state = 9},
  [5068] = {.lex_state = 64, .external_lex_state = 8},
  [5069] = {.lex_state = 62, .external_lex_state = 7},
  [5070] = {.lex_state = 64, .external_lex_state = 11},
  [5071] = {.lex_state = 62, .external_lex_state = 6},
  [5072] = {.lex_state = 62, .external_lex_state = 6},
  [5073] = {.lex_state = 263, .external_lex_state = 6},
  [5074] = {.lex_state = 62, .external_lex_state = 6},
  [5075] = {.lex_state = 62, .external_lex_state = 6},
  [5076] = {.lex_state = 62, .external_lex_state = 6},
  [5077] = {.lex_state = 64, .external_lex_state = 6},
  [5078] = {.lex_state = 64, .external_lex_state = 6},
  [5079] = {.lex_state = 62, .external_lex_state = 6},
  [5080] = {.lex_state = 62, .external_lex_state = 6},
  [5081] = {.lex_state = 64, .external_lex_state = 6},
  [5082] = {.lex_state = 64, .external_lex_state = 6},
  [5083] = {.lex_state = 62, .external_lex_state = 6},
  [5084] = {.lex_state = 62, .external_lex_state = 6},
  [5085] = {.lex_state = 62, .external_lex_state = 6},
  [5086] = {.lex_state = 64, .external_lex_state = 6},
  [5087] = {.lex_state = 62, .external_lex_state = 6},
  [5088] = {.lex_state = 64, .external_lex_state = 6},
  [5089] = {.lex_state = 102, .external_lex_state = 6},
  [5090] = {.lex_state = 263, .external_lex_state = 6},
  [5091] = {.lex_state = 64, .external_lex_state = 6},
  [5092] = {.lex_state = 62, .external_lex_state = 6},
  [5093] = {.lex_state = 64, .external_lex_state = 6},
  [5094] = {.lex_state = 62, .external_lex_state = 6},
  [5095] = {.lex_state = 62, .external_lex_state = 6},
  [5096] = {.lex_state = 263, .external_lex_state = 6},
  [5097] = {.lex_state = 62, .external_lex_state = 6},
  [5098] = {.lex_state = 263, .external_lex_state = 6},
  [5099] = {.lex_state = 62, .external_lex_state = 6},
  [5100] = {.lex_state = 263, .external_lex_state = 6},
  [5101] = {.lex_state = 62, .external_lex_state = 6},
  [5102] = {.lex_state = 62, .external_lex_state = 6},
  [5103] = {.lex_state = 64, .external_lex_state = 6},
  [5104] = {.lex_state = 62, .external_lex_state = 6},
  [5105] = {.lex_state = 64, .external_lex_state = 6},
  [5106] = {.lex_state = 64, .external_lex_state = 6},
  [5107] = {.lex_state = 64, .external_lex_state = 6},
  [5108] = {.lex_state = 62, .external_lex_state = 6},
  [5109] = {.lex_state = 62, .external_lex_state = 6},
  [5110] = {.lex_state = 62, .external_lex_state = 6},
  [5111] = {.lex_state = 62, .external_lex_state = 6},
  [5112] = {.lex_state = 62, .external_lex_state = 6},
  [5113] = {.lex_state = 102, .external_lex_state = 6},
  [5114] = {.lex_state = 62, .external_lex_state = 6},
  [5115] = {.lex_state = 62, .external_lex_state = 6},
  [5116] = {.lex_state = 263, .external_lex_state = 6},
  [5117] = {.lex_state = 263, .external_lex_state = 6},
  [5118] = {.lex_state = 62, .external_lex_state = 6},
  [5119] = {.lex_state = 62, .external_lex_state = 6},
  [5120] = {.lex_state = 62, .external_lex_state = 6},
  [5121] = {.lex_state = 62, .external_lex_state = 6},
  [5122] = {.lex_state = 62, .external_lex_state = 6},
  [5123] = {.lex_state = 62, .external_lex_state = 6},
  [5124] = {.lex_state = 62, .external_lex_state = 6},
  [5125] = {.lex_state = 102, .external_lex_state = 6},
  [5126] = {.lex_state = 102, .external_lex_state = 6},
  [5127] = {.lex_state = 62, .external_lex_state = 6},
  [5128] = {.lex_state = 64, .external_lex_state = 6},
  [5129] = {.lex_state = 62, .external_lex_state = 6},
  [5130] = {.lex_state = 62, .external_lex_state = 6},
  [5131] = {.lex_state = 62, .external_lex_state = 6},
  [5132] = {.lex_state = 62, .external_lex_state = 6},
  [5133] = {.lex_state = 62, .external_lex_state = 6},
  [5134] = {.lex_state = 62, .external_lex_state = 6},
  [5135] = {.lex_state = 64, .external_lex_state = 6},
  [5136] = {.lex_state = 263, .external_lex_state = 6},
  [5137] = {.lex_state = 263, .external_lex_state = 6},
  [5138] = {.lex_state = 62, .external_lex_state = 6},
  [5139] = {.lex_state = 62, .external_lex_state = 6},
  [5140] = {.lex_state = 62, .external_lex_state = 6},
  [5141] = {.lex_state = 62, .external_lex_state = 6},
  [5142] = {.lex_state = 62, .external_lex_state = 6},
  [5143] = {.lex_state = 62, .external_lex_state = 6},
  [5144] = {.lex_state = 62, .external_lex_state = 6},
  [5145] = {.lex_state = 62, .external_lex_state = 6},
  [5146] = {.lex_state = 62, .external_lex_state = 6},
  [5147] = {.lex_state = 62, .external_lex_state = 6},
  [5148] = {.lex_state = 62, .external_lex_state = 6},
  [5149] = {.lex_state = 62, .external_lex_state = 6},
  [5150] = {.lex_state = 62, .external_lex_state = 6},
  [5151] = {.lex_state = 62, .external_lex_state = 6},
  [5152] = {.lex_state = 62, .external_lex_state = 6},
  [5153] = {.lex_state = 62, .external_lex_state = 6},
  [5154] = {.lex_state = 62, .external_lex_state = 6},
  [5155] = {.lex_state = 62, .external_lex_state = 6},
  [5156] = {.lex_state = 62, .external_lex_state = 6},
  [5157] = {.lex_state = 62, .external_lex_state = 6},
  [5158] = {.lex_state = 263, .external_lex_state = 6},
  [5159] = {.lex_state = 64, .external_lex_state = 6},
  [5160] = {.lex_state = 64, .external_lex_state = 6},
  [5161] = {.lex_state = 102, .external_lex_state = 6},
  [5162] = {.lex_state = 62, .external_lex_state = 6},
  [5163] = {.lex_state = 263, .external_lex_state = 6},
  [5164] = {.lex_state = 263, .external_lex_state = 6},
  [5165] = {.lex_state = 263, .external_lex_state = 6},
  [5166] = {.lex_state = 263, .external_lex_state = 6},
  [5167] = {.lex_state = 263, .external_lex_state = 6},
  [5168] = {.lex_state = 62, .external_lex_state = 6},
  [5169] = {.lex_state = 263, .external_lex_state = 6},
  [5170] = {.lex_state = 64, .external_lex_state = 6},
  [5171] = {.lex_state = 102, .external_lex_state = 6},
  [5172] = {.lex_state = 62, .external_lex_state = 6},
  [5173] = {.lex_state = 62, .external_lex_state = 6},
  [5174] = {.lex_state = 62, .external_lex_state = 6},
  [5175] = {.lex_state = 62, .external_lex_state = 6},
  [5176] = {.lex_state = 102, .external_lex_state = 6},
  [5177] = {.lex_state = 64, .external_lex_state = 6},
  [5178] = {.lex_state = 62, .external_lex_state = 6},
  [5179] = {.lex_state = 62, .external_lex_state = 6},
  [5180] = {.lex_state = 64, .external_lex_state = 6},
  [5181] = {.lex_state = 62, .external_lex_state = 6},
  [5182] = {.lex_state = 62, .external_lex_state = 6},
  [5183] = {.lex_state = 62, .external_lex_state = 6},
  [5184] = {.lex_state = 62, .external_lex_state = 6},
  [5185] = {.lex_state = 62, .external_lex_state = 6},
  [5186] = {.lex_state = 62, .external_lex_state = 6},
  [5187] = {.lex_state = 62, .external_lex_state = 6},
  [5188] = {.lex_state = 62, .external_lex_state = 6},
  [5189] = {.lex_state = 263, .external_lex_state = 6},
  [5190] = {.lex_state = 64, .external_lex_state = 6},
  [5191] = {.lex_state = 62, .external_lex_state = 6},
  [5192] = {.lex_state = 64, .external_lex_state = 6},
  [5193] = {.lex_state = 64, .external_lex_state = 6},
  [5194] = {.lex_state = 62, .external_lex_state = 6},
  [5195] = {.lex_state = 62, .external_lex_state = 6},
  [5196] = {.lex_state = 64, .external_lex_state = 6},
  [5197] = {.lex_state = 62, .external_lex_state = 6},
  [5198] = {.lex_state = 64, .external_lex_state = 6},
  [5199] = {.lex_state = 64, .external_lex_state = 6},
  [5200] = {.lex_state = 62, .external_lex_state = 6},
  [5201] = {.lex_state = 62, .external_lex_state = 6},
  [5202] = {.lex_state = 62, .external_lex_state = 6},
  [5203] = {.lex_state = 263, .external_lex_state = 6},
  [5204] = {.lex_state = 62, .external_lex_state = 6},
  [5205] = {.lex_state = 64, .external_lex_state = 6},
  [5206] = {.lex_state = 64, .external_lex_state = 6},
  [5207] = {.lex_state = 62, .external_lex_state = 6},
  [5208] = {.lex_state = 64, .external_lex_state = 6},
  [5209] = {.lex_state = 64, .external_lex_state = 6},
  [5210] = {.lex_state = 62, .external_lex_state = 6},
  [5211] = {.lex_state = 62, .external_lex_state = 6},
  [5212] = {.lex_state = 62, .external_lex_state = 6},
  [5213] = {.lex_state = 64, .external_lex_state = 6},
  [5214] = {.lex_state = 263, .external_lex_state = 6},
  [5215] = {.lex_state = 62, .external_lex_state = 6},
  [5216] = {.lex_state = 64, .external_lex_state = 6},
  [5217] = {.lex_state = 64, .external_lex_state = 6},
  [5218] = {.lex_state = 62, .external_lex_state = 6},
  [5219] = {.lex_state = 263, .external_lex_state = 6},
  [5220] = {.lex_state = 62, .external_lex_state = 6},
  [5221] = {.lex_state = 102, .external_lex_state = 6},
  [5222] = {.lex_state = 62, .external_lex_state = 6},
  [5223] = {.lex_state = 64, .external_lex_state = 6},
  [5224] = {.lex_state = 64, .external_lex_state = 6},
  [5225] = {.lex_state = 62, .external_lex_state = 6},
  [5226] = {.lex_state = 62, .external_lex_state = 6},
  [5227] = {.lex_state = 64, .external_lex_state = 6},
  [5228] = {.lex_state = 64, .external_lex_state = 6},
  [5229] = {.lex_state = 62, .external_lex_state = 6},
  [5230] = {.lex_state = 62, .external_lex_state = 6},
  [5231] = {.lex_state = 64, .external_lex_state = 6},
  [5232] = {.lex_state = 62, .external_lex_state = 6},
  [5233] = {.lex_state = 64, .external_lex_state = 6},
  [5234] = {.lex_state = 62, .external_lex_state = 6},
  [5235] = {.lex_state = 102, .external_lex_state = 6},
  [5236] = {.lex_state = 62, .external_lex_state = 6},
  [5237] = {.lex_state = 62, .external_lex_state = 6},
  [5238] = {.lex_state = 64, .external_lex_state = 6},
  [5239] = {.lex_state = 62, .external_lex_state = 6},
  [5240] = {.lex_state = 62, .external_lex_state = 6},
  [5241] = {.lex_state = 62, .external_lex_state = 6},
  [5242] = {.lex_state = 263, .external_lex_state = 6},
  [5243] = {.lex_state = 62, .external_lex_state = 6},
  [5244] = {.lex_state = 263, .external_lex_state = 6},
  [5245] = {.lex_state = 62, .external_lex_state = 6},
  [5246] = {.lex_state = 263, .external_lex_state = 6},
  [5247] = {.lex_state = 62, .external_lex_state = 6},
  [5248] = {.lex_state = 62, .external_lex_state = 6},
  [5249] = {.lex_state = 64, .external_lex_state = 6},
  [5250] = {.lex_state = 62, .external_lex_state = 6},
  [5251] = {.lex_state = 64, .external_lex_state = 6},
  [5252] = {.lex_state = 62, .external_lex_state = 6},
  [5253] = {.lex_state = 62, .external_lex_state = 6},
  [5254] = {.lex_state = 62, .external_lex_state = 6},
  [5255] = {.lex_state = 62, .external_lex_state = 6},
  [5256] = {.lex_state = 62, .external_lex_state = 6},
  [5257] = {.lex_state = 263, .external_lex_state = 6},
  [5258] = {.lex_state = 62, .external_lex_state = 6},
  [5259] = {.lex_state = 62, .external_lex_state = 6},
  [5260] = {.lex_state = 62, .external_lex_state = 6},
  [5261] = {.lex_state = 62, .external_lex_state = 6},
  [5262] = {.lex_state = 62, .external_lex_state = 6},
  [5263] = {.lex_state = 62, .external_lex_state = 6},
  [5264] = {.lex_state = 62, .external_lex_state = 6},
  [5265] = {.lex_state = 62, .external_lex_state = 6},
  [5266] = {.lex_state = 62, .external_lex_state = 6},
  [5267] = {.lex_state = 62, .external_lex_state = 6},
  [5268] = {.lex_state = 62, .external_lex_state = 6},
  [5269] = {.lex_state = 263, .external_lex_state = 6},
  [5270] = {.lex_state = 263, .external_lex_state = 6},
  [5271] = {.lex_state = 102, .external_lex_state = 6},
  [5272] = {.lex_state = 102, .external_lex_state = 6},
  [5273] = {.lex_state = 64, .external_lex_state = 6},
  [5274] = {.lex_state = 263, .external_lex_state = 6},
  [5275] = {.lex_state = 64, .external_lex_state = 6},
  [5276] = {.lex_state = 64, .external_lex_state = 6},
  [5277] = {.lex_state = 62, .external_lex_state = 6},
  [5278] = {.lex_state = 64, .external_lex_state = 6},
  [5279] = {.lex_state = 64, .external_lex_state = 6},
  [5280] = {.lex_state = 62, .external_lex_state = 6},
  [5281] = {.lex_state = 62, .external_lex_state = 6},
  [5282] = {.lex_state = 62, .external_lex_state = 6},
  [5283] = {.lex_state = 62, .external_lex_state = 6},
  [5284] = {.lex_state = 64, .external_lex_state = 6},
  [5285] = {.lex_state = 62, .external_lex_state = 6},
  [5286] = {.lex_state = 64, .external_lex_state = 6},
  [5287] = {.lex_state = 64, .external_lex_state = 6},
  [5288] = {.lex_state = 263, .external_lex_state = 6},
  [5289] = {.lex_state = 263, .external_lex_state = 6},
  [5290] = {.lex_state = 62, .external_lex_state = 6},
  [5291] = {.lex_state = 62, .external_lex_state = 6},
  [5292] = {.lex_state = 62, .external_lex_state = 6},
  [5293] = {.lex_state = 62, .external_lex_state = 6},
  [5294] = {.lex_state = 62, .external_lex_state = 6},
  [5295] = {.lex_state = 62, .external_lex_state = 6},
  [5296] = {.lex_state = 62, .external_lex_state = 6},
  [5297] = {.lex_state = 62, .external_lex_state = 6},
  [5298] = {.lex_state = 62, .external_lex_state = 6},
  [5299] = {.lex_state = 62, .external_lex_state = 6},
  [5300] = {.lex_state = 62, .external_lex_state = 6},
  [5301] = {.lex_state = 62, .external_lex_state = 6},
  [5302] = {.lex_state = 62, .external_lex_state = 6},
  [5303] = {.lex_state = 62, .external_lex_state = 6},
  [5304] = {.lex_state = 64, .external_lex_state = 6},
  [5305] = {.lex_state = 64, .external_lex_state = 6},
  [5306] = {.lex_state = 64, .external_lex_state = 6},
  [5307] = {.lex_state = 62, .external_lex_state = 6},
  [5308] = {.lex_state = 64, .external_lex_state = 6},
  [5309] = {.lex_state = 62, .external_lex_state = 6},
  [5310] = {.lex_state = 64, .external_lex_state = 6},
  [5311] = {.lex_state = 64, .external_lex_state = 6},
  [5312] = {.lex_state = 62, .external_lex_state = 6},
  [5313] = {.lex_state = 62, .external_lex_state = 6},
  [5314] = {.lex_state = 64, .external_lex_state = 6},
  [5315] = {.lex_state = 64, .external_lex_state = 6},
  [5316] = {.lex_state = 62, .external_lex_state = 6},
  [5317] = {.lex_state = 62, .external_lex_state = 6},
  [5318] = {.lex_state = 102, .external_lex_state = 6},
  [5319] = {.lex_state = 64, .external_lex_state = 6},
  [5320] = {.lex_state = 62, .external_lex_state = 6},
  [5321] = {.lex_state = 64, .external_lex_state = 6},
  [5322] = {.lex_state = 62, .external_lex_state = 6},
  [5323] = {.lex_state = 102, .external_lex_state = 6},
  [5324] = {.lex_state = 64, .external_lex_state = 6},
  [5325] = {.lex_state = 64, .external_lex_state = 6},
  [5326] = {.lex_state = 62, .external_lex_state = 6},
  [5327] = {.lex_state = 102, .external_lex_state = 6},
  [5328] = {.lex_state = 102, .external_lex_state = 6},
  [5329] = {.lex_state = 62, .external_lex_state = 6},
  [5330] = {.lex_state = 62, .external_lex_state = 6},
  [5331] = {.lex_state = 64, .external_lex_state = 6},
  [5332] = {.lex_state = 62, .external_lex_state = 6},
  [5333] = {.lex_state = 62, .external_lex_state = 6},
  [5334] = {.lex_state = 62, .external_lex_state = 6},
  [5335] = {.lex_state = 62, .external_lex_state = 6},
  [5336] = {.lex_state = 62, .external_lex_state = 6},
  [5337] = {.lex_state = 62, .external_lex_state = 6},
  [5338] = {.lex_state = 62, .external_lex_state = 6},
  [5339] = {.lex_state = 64, .external_lex_state = 6},
  [5340] = {.lex_state = 62, .external_lex_state = 6},
  [5341] = {.lex_state = 62, .external_lex_state = 6},
  [5342] = {.lex_state = 263, .external_lex_state = 6},
  [5343] = {.lex_state = 64, .external_lex_state = 6},
  [5344] = {.lex_state = 62, .external_lex_state = 6},
  [5345] = {.lex_state = 64, .external_lex_state = 6},
  [5346] = {.lex_state = 62, .external_lex_state = 6},
  [5347] = {.lex_state = 64, .external_lex_state = 6},
  [5348] = {.lex_state = 64, .external_lex_state = 6},
  [5349] = {.lex_state = 62, .external_lex_state = 6},
  [5350] = {.lex_state = 62, .external_lex_state = 6},
  [5351] = {.lex_state = 62, .external_lex_state = 6},
  [5352] = {.lex_state = 62, .external_lex_state = 6},
  [5353] = {.lex_state = 263, .external_lex_state = 6},
  [5354] = {.lex_state = 62, .external_lex_state = 6},
  [5355] = {.lex_state = 64, .external_lex_state = 6},
  [5356] = {.lex_state = 62, .external_lex_state = 6},
  [5357] = {.lex_state = 64, .external_lex_state = 6},
  [5358] = {.lex_state = 62, .external_lex_state = 6},
  [5359] = {.lex_state = 62, .external_lex_state = 6},
  [5360] = {.lex_state = 64, .external_lex_state = 6},
  [5361] = {.lex_state = 62, .external_lex_state = 6},
  [5362] = {.lex_state = 263, .external_lex_state = 6},
  [5363] = {.lex_state = 263, .external_lex_state = 6},
  [5364] = {.lex_state = 263, .external_lex_state = 6},
  [5365] = {.lex_state = 62, .external_lex_state = 6},
  [5366] = {.lex_state = 62, .external_lex_state = 6},
  [5367] = {.lex_state = 64, .external_lex_state = 6},
  [5368] = {.lex_state = 64, .external_lex_state = 6},
  [5369] = {.lex_state = 102, .external_lex_state = 6},
  [5370] = {.lex_state = 102, .external_lex_state = 6},
  [5371] = {.lex_state = 263, .external_lex_state = 6},
  [5372] = {.lex_state = 62, .external_lex_state = 6},
  [5373] = {.lex_state = 62, .external_lex_state = 6},
  [5374] = {.lex_state = 62, .external_lex_state = 6},
  [5375] = {.lex_state = 64, .external_lex_state = 6},
  [5376] = {.lex_state = 64, .external_lex_state = 6},
  [5377] = {.lex_state = 62, .external_lex_state = 6},
  [5378] = {.lex_state = 62, .external_lex_state = 6},
  [5379] = {.lex_state = 64, .external_lex_state = 6},
  [5380] = {.lex_state = 64, .external_lex_state = 6},
  [5381] = {.lex_state = 62, .external_lex_state = 6},
  [5382] = {.lex_state = 263, .external_lex_state = 6},
  [5383] = {.lex_state = 263, .external_lex_state = 6},
  [5384] = {.lex_state = 64, .external_lex_state = 6},
  [5385] = {.lex_state = 64, .external_lex_state = 6},
  [5386] = {.lex_state = 64, .external_lex_state = 6},
  [5387] = {.lex_state = 102, .external_lex_state = 6},
  [5388] = {.lex_state = 64, .external_lex_state = 6},
  [5389] = {.lex_state = 62, .external_lex_state = 6},
  [5390] = {.lex_state = 62, .external_lex_state = 6},
  [5391] = {.lex_state = 62, .external_lex_state = 6},
  [5392] = {.lex_state = 64, .external_lex_state = 6},
  [5393] = {.lex_state = 263, .external_lex_state = 6},
  [5394] = {.lex_state = 64, .external_lex_state = 6},
  [5395] = {.lex_state = 263, .external_lex_state = 6},
  [5396] = {.lex_state = 62, .external_lex_state = 6},
  [5397] = {.lex_state = 263, .external_lex_state = 6},
  [5398] = {.lex_state = 62, .external_lex_state = 6},
  [5399] = {.lex_state = 62, .external_lex_state = 6},
  [5400] = {.lex_state = 64, .external_lex_state = 6},
  [5401] = {.lex_state = 62, .external_lex_state = 6},
  [5402] = {.lex_state = 64, .external_lex_state = 6},
  [5403] = {.lex_state = 263, .external_lex_state = 6},
  [5404] = {.lex_state = 64, .external_lex_state = 6},
  [5405] = {.lex_state = 62, .external_lex_state = 6},
  [5406] = {.lex_state = 64, .external_lex_state = 6},
  [5407] = {.lex_state = 62, .external_lex_state = 6},
  [5408] = {.lex_state = 64, .external_lex_state = 6},
  [5409] = {.lex_state = 64, .external_lex_state = 6},
  [5410] = {.lex_state = 62, .external_lex_state = 6},
  [5411] = {.lex_state = 62, .external_lex_state = 6},
  [5412] = {.lex_state = 64, .external_lex_state = 6},
  [5413] = {.lex_state = 64, .external_lex_state = 6},
  [5414] = {.lex_state = 62, .external_lex_state = 6},
  [5415] = {.lex_state = 62, .external_lex_state = 6},
  [5416] = {.lex_state = 62, .external_lex_state = 6},
  [5417] = {.lex_state = 62, .external_lex_state = 6},
  [5418] = {.lex_state = 102, .external_lex_state = 6},
  [5419] = {.lex_state = 62, .external_lex_state = 6},
  [5420] = {.lex_state = 64, .external_lex_state = 6},
  [5421] = {.lex_state = 102, .external_lex_state = 6},
  [5422] = {.lex_state = 102, .external_lex_state = 6},
  [5423] = {.lex_state = 102, .external_lex_state = 6},
  [5424] = {.lex_state = 62, .external_lex_state = 6},
  [5425] = {.lex_state = 263, .external_lex_state = 6},
  [5426] = {.lex_state = 64, .external_lex_state = 6},
  [5427] = {.lex_state = 62, .external_lex_state = 6},
  [5428] = {.lex_state = 62, .external_lex_state = 6},
  [5429] = {.lex_state = 263, .external_lex_state = 6},
  [5430] = {.lex_state = 64, .external_lex_state = 6},
  [5431] = {.lex_state = 64, .external_lex_state = 6},
  [5432] = {.lex_state = 263, .external_lex_state = 6},
  [5433] = {.lex_state = 263, .external_lex_state = 6},
  [5434] = {.lex_state = 62, .external_lex_state = 6},
  [5435] = {.lex_state = 62, .external_lex_state = 6},
  [5436] = {.lex_state = 62, .external_lex_state = 6},
  [5437] = {.lex_state = 62, .external_lex_state = 6},
  [5438] = {.lex_state = 62, .external_lex_state = 6},
  [5439] = {.lex_state = 62, .external_lex_state = 6},
  [5440] = {.lex_state = 62, .external_lex_state = 6},
  [5441] = {.lex_state = 62, .external_lex_state = 6},
  [5442] = {.lex_state = 62, .external_lex_state = 6},
  [5443] = {.lex_state = 62, .external_lex_state = 6},
  [5444] = {.lex_state = 62, .external_lex_state = 6},
  [5445] = {.lex_state = 62, .external_lex_state = 6},
  [5446] = {.lex_state = 62, .external_lex_state = 6},
  [5447] = {.lex_state = 62, .external_lex_state = 6},
  [5448] = {.lex_state = 64, .external_lex_state = 6},
  [5449] = {.lex_state = 62, .external_lex_state = 6},
  [5450] = {.lex_state = 64, .external_lex_state = 6},
  [5451] = {.lex_state = 64, .external_lex_state = 6},
  [5452] = {.lex_state = 62, .external_lex_state = 6},
  [5453] = {.lex_state = 64, .external_lex_state = 6},
  [5454] = {.lex_state = 62, .external_lex_state = 6},
  [5455] = {.lex_state = 64, .external_lex_state = 6},
  [5456] = {.lex_state = 64, .external_lex_state = 6},
  [5457] = {.lex_state = 62, .external_lex_state = 6},
  [5458] = {.lex_state = 62, .external_lex_state = 6},
  [5459] = {.lex_state = 64, .external_lex_state = 6},
  [5460] = {.lex_state = 64, .external_lex_state = 6},
  [5461] = {.lex_state = 62, .external_lex_state = 6},
  [5462] = {.lex_state = 62, .external_lex_state = 6},
  [5463] = {.lex_state = 62, .external_lex_state = 6},
  [5464] = {.lex_state = 62, .external_lex_state = 6},
  [5465] = {.lex_state = 62, .external_lex_state = 6},
  [5466] = {.lex_state = 64, .external_lex_state = 6},
  [5467] = {.lex_state = 102, .external_lex_state = 6},
  [5468] = {.lex_state = 64, .external_lex_state = 6},
  [5469] = {.lex_state = 62, .external_lex_state = 6},
  [5470] = {.lex_state = 62, .external_lex_state = 6},
  [5471] = {.lex_state = 64, .external_lex_state = 6},
  [5472] = {.lex_state = 62, .external_lex_state = 6},
  [5473] = {.lex_state = 64, .external_lex_state = 6},
  [5474] = {.lex_state = 64, .external_lex_state = 6},
  [5475] = {.lex_state = 62, .external_lex_state = 6},
  [5476] = {.lex_state = 62, .external_lex_state = 6},
  [5477] = {.lex_state = 62, .external_lex_state = 6},
  [5478] = {.lex_state = 62, .external_lex_state = 6},
  [5479] = {.lex_state = 62, .external_lex_state = 6},
  [5480] = {.lex_state = 62, .external_lex_state = 6},
  [5481] = {.lex_state = 62, .external_lex_state = 6},
  [5482] = {.lex_state = 62, .external_lex_state = 6},
  [5483] = {.lex_state = 62, .external_lex_state = 6},
  [5484] = {.lex_state = 64, .external_lex_state = 6},
  [5485] = {.lex_state = 64, .external_lex_state = 6},
  [5486] = {.lex_state = 62, .external_lex_state = 6},
  [5487] = {.lex_state = 62, .external_lex_state = 6},
  [5488] = {.lex_state = 64, .external_lex_state = 6},
  [5489] = {.lex_state = 62, .external_lex_state = 6},
  [5490] = {.lex_state = 62, .external_lex_state = 6},
  [5491] = {.lex_state = 64, .external_lex_state = 6},
  [5492] = {.lex_state = 64, .external_lex_state = 6},
  [5493] = {.lex_state = 62, .external_lex_state = 6},
  [5494] = {.lex_state = 62, .external_lex_state = 6},
  [5495] = {.lex_state = 62, .external_lex_state = 6},
  [5496] = {.lex_state = 62, .external_lex_state = 6},
  [5497] = {.lex_state = 62, .external_lex_state = 6},
  [5498] = {.lex_state = 64, .external_lex_state = 6},
  [5499] = {.lex_state = 102, .external_lex_state = 6},
  [5500] = {.lex_state = 62, .external_lex_state = 6},
  [5501] = {.lex_state = 62, .external_lex_state = 6},
  [5502] = {.lex_state = 62, .external_lex_state = 6},
  [5503] = {.lex_state = 64, .external_lex_state = 6},
  [5504] = {.lex_state = 102, .external_lex_state = 6},
  [5505] = {.lex_state = 62, .external_lex_state = 6},
  [5506] = {.lex_state = 64, .external_lex_state = 6},
  [5507] = {.lex_state = 64, .external_lex_state = 6},
  [5508] = {.lex_state = 62, .external_lex_state = 6},
  [5509] = {.lex_state = 62, .external_lex_state = 6},
  [5510] = {.lex_state = 64, .external_lex_state = 6},
  [5511] = {.lex_state = 64, .external_lex_state = 6},
  [5512] = {.lex_state = 62, .external_lex_state = 6},
  [5513] = {.lex_state = 62, .external_lex_state = 6},
  [5514] = {.lex_state = 62, .external_lex_state = 6},
  [5515] = {.lex_state = 263, .external_lex_state = 6},
  [5516] = {.lex_state = 62, .external_lex_state = 6},
  [5517] = {.lex_state = 62, .external_lex_state = 6},
  [5518] = {.lex_state = 62, .external_lex_state = 6},
  [5519] = {.lex_state = 64, .external_lex_state = 6},
  [5520] = {.lex_state = 64, .external_lex_state = 6},
  [5521] = {.lex_state = 62, .external_lex_state = 6},
  [5522] = {.lex_state = 62, .external_lex_state = 6},
  [5523] = {.lex_state = 64, .external_lex_state = 6},
  [5524] = {.lex_state = 64, .external_lex_state = 6},
  [5525] = {.lex_state = 102, .external_lex_state = 6},
  [5526] = {.lex_state = 64, .external_lex_state = 6},
  [5527] = {.lex_state = 62, .external_lex_state = 6},
  [5528] = {.lex_state = 64, .external_lex_state = 6},
  [5529] = {.lex_state = 62, .external_lex_state = 6},
  [5530] = {.lex_state = 64, .external_lex_state = 6},
  [5531] = {.lex_state = 102, .external_lex_state = 6},
  [5532] = {.lex_state = 64, .external_lex_state = 6},
  [5533] = {.lex_state = 62, .external_lex_state = 6},
  [5534] = {.lex_state = 62, .external_lex_state = 6},
  [5535] = {.lex_state = 64, .external_lex_state = 6},
  [5536] = {.lex_state = 64, .external_lex_state = 6},
  [5537] = {.lex_state = 263, .external_lex_state = 6},
  [5538] = {.lex_state = 62, .external_lex_state = 6},
  [5539] = {.lex_state = 263, .external_lex_state = 6},
  [5540] = {.lex_state = 62, .external_lex_state = 6},
  [5541] = {.lex_state = 263, .external_lex_state = 6},
  [5542] = {.lex_state = 62, .external_lex_state = 6},
  [5543] = {.lex_state = 102, .external_lex_state = 6},
  [5544] = {.lex_state = 64, .external_lex_state = 6},
  [5545] = {.lex_state = 62, .external_lex_state = 6},
  [5546] = {.lex_state = 64, .external_lex_state = 6},
  [5547] = {.lex_state = 64, .external_lex_state = 6},
  [5548] = {.lex_state = 62, .external_lex_state = 6},
  [5549] = {.lex_state = 64, .external_lex_state = 6},
  [5550] = {.lex_state = 62, .external_lex_state = 6},
  [5551] = {.lex_state = 62, .external_lex_state = 6},
  [5552] = {.lex_state = 64, .external_lex_state = 6},
  [5553] = {.lex_state = 62, .external_lex_state = 6},
  [5554] = {.lex_state = 62, .external_lex_state = 6},
  [5555] = {.lex_state = 64, .external_lex_state = 6},
  [5556] = {.lex_state = 62, .external_lex_state = 6},
  [5557] = {.lex_state = 64, .external_lex_state = 6},
  [5558] = {.lex_state = 102, .external_lex_state = 6},
  [5559] = {.lex_state = 64, .external_lex_state = 6},
  [5560] = {.lex_state = 62, .external_lex_state = 6},
  [5561] = {.lex_state = 102, .external_lex_state = 6},
  [5562] = {.lex_state = 62, .external_lex_state = 6},
  [5563] = {.lex_state = 64, .external_lex_state = 6},
  [5564] = {.lex_state = 62, .external_lex_state = 6},
  [5565] = {.lex_state = 62, .external_lex_state = 6},
  [5566] = {.lex_state = 102, .external_lex_state = 6},
  [5567] = {.lex_state = 102, .external_lex_state = 6},
  [5568] = {.lex_state = 64, .external_lex_state = 6},
  [5569] = {.lex_state = 64, .external_lex_state = 6},
  [5570] = {.lex_state = 62, .external_lex_state = 6},
  [5571] = {.lex_state = 62, .external_lex_state = 6},
  [5572] = {.lex_state = 62, .external_lex_state = 6},
  [5573] = {.lex_state = 62, .external_lex_state = 6},
  [5574] = {.lex_state = 62, .external_lex_state = 6},
  [5575] = {.lex_state = 64, .external_lex_state = 6},
  [5576] = {.lex_state = 263, .external_lex_state = 6},
  [5577] = {.lex_state = 263, .external_lex_state = 6},
  [5578] = {.lex_state = 62, .external_lex_state = 6},
  [5579] = {.lex_state = 62, .external_lex_state = 6},
  [5580] = {.lex_state = 62, .external_lex_state = 6},
  [5581] = {.lex_state = 62, .external_lex_state = 6},
  [5582] = {.lex_state = 62, .external_lex_state = 6},
  [5583] = {.lex_state = 62, .external_lex_state = 6},
  [5584] = {.lex_state = 62, .external_lex_state = 6},
  [5585] = {.lex_state = 62, .external_lex_state = 6},
  [5586] = {.lex_state = 62, .external_lex_state = 6},
  [5587] = {.lex_state = 62, .external_lex_state = 6},
  [5588] = {.lex_state = 62, .external_lex_state = 6},
  [5589] = {.lex_state = 62, .external_lex_state = 6},
  [5590] = {.lex_state = 62, .external_lex_state = 6},
  [5591] = {.lex_state = 64, .external_lex_state = 6},
  [5592] = {.lex_state = 62, .external_lex_state = 6},
  [5593] = {.lex_state = 64, .external_lex_state = 6},
  [5594] = {.lex_state = 64, .external_lex_state = 6},
  [5595] = {.lex_state = 62, .external_lex_state = 6},
  [5596] = {.lex_state = 62, .external_lex_state = 6},
  [5597] = {.lex_state = 64, .external_lex_state = 6},
  [5598] = {.lex_state = 64, .external_lex_state = 6},
  [5599] = {.lex_state = 62, .external_lex_state = 6},
  [5600] = {.lex_state = 62, .external_lex_state = 6},
  [5601] = {.lex_state = 102, .external_lex_state = 6},
  [5602] = {.lex_state = 263, .external_lex_state = 6},
  [5603] = {.lex_state = 64, .external_lex_state = 6},
  [5604] = {.lex_state = 62, .external_lex_state = 6},
  [5605] = {.lex_state = 64, .external_lex_state = 6},
  [5606] = {.lex_state = 62, .external_lex_state = 6},
  [5607] = {.lex_state = 64, .external_lex_state = 6},
  [5608] = {.lex_state = 64, .external_lex_state = 6},
  [5609] = {.lex_state = 62, .external_lex_state = 6},
  [5610] = {.lex_state = 62, .external_lex_state = 6},
  [5611] = {.lex_state = 102, .external_lex_state = 6},
  [5612] = {.lex_state = 64, .external_lex_state = 6},
  [5613] = {.lex_state = 62, .external_lex_state = 6},
  [5614] = {.lex_state = 62, .external_lex_state = 6},
  [5615] = {.lex_state = 64, .external_lex_state = 6},
  [5616] = {.lex_state = 62, .external_lex_state = 6},
  [5617] = {.lex_state = 62, .external_lex_state = 6},
  [5618] = {.lex_state = 62, .external_lex_state = 6},
  [5619] = {.lex_state = 62, .external_lex_state = 6},
  [5620] = {.lex_state = 62, .external_lex_state = 6},
  [5621] = {.lex_state = 62, .external_lex_state = 6},
  [5622] = {.lex_state = 62, .external_lex_state = 6},
  [5623] = {.lex_state = 62, .external_lex_state = 6},
  [5624] = {.lex_state = 62, .external_lex_state = 6},
  [5625] = {.lex_state = 62, .external_lex_state = 6},
  [5626] = {.lex_state = 62, .external_lex_state = 6},
  [5627] = {.lex_state = 263, .external_lex_state = 6},
  [5628] = {.lex_state = 263, .external_lex_state = 6},
  [5629] = {.lex_state = 62, .external_lex_state = 6},
  [5630] = {.lex_state = 263, .external_lex_state = 6},
  [5631] = {.lex_state = 62, .external_lex_state = 6},
  [5632] = {.lex_state = 64, .external_lex_state = 6},
  [5633] = {.lex_state = 62, .external_lex_state = 6},
  [5634] = {.lex_state = 64, .external_lex_state = 6},
  [5635] = {.lex_state = 62, .external_lex_state = 6},
  [5636] = {.lex_state = 64, .external_lex_state = 6},
  [5637] = {.lex_state = 64, .external_lex_state = 6},
  [5638] = {.lex_state = 62, .external_lex_state = 6},
  [5639] = {.lex_state = 62, .external_lex_state = 6},
  [5640] = {.lex_state = 62, .external_lex_state = 6},
  [5641] = {.lex_state = 62, .external_lex_state = 6},
  [5642] = {.lex_state = 263, .external_lex_state = 6},
  [5643] = {.lex_state = 263, .external_lex_state = 6},
  [5644] = {.lex_state = 102, .external_lex_state = 6},
  [5645] = {.lex_state = 62, .external_lex_state = 6},
  [5646] = {.lex_state = 62, .external_lex_state = 6},
  [5647] = {.lex_state = 62, .external_lex_state = 6},
  [5648] = {.lex_state = 64, .external_lex_state = 6},
  [5649] = {.lex_state = 64, .external_lex_state = 6},
  [5650] = {.lex_state = 62, .external_lex_state = 6},
  [5651] = {.lex_state = 62, .external_lex_state = 6},
  [5652] = {.lex_state = 62, .external_lex_state = 6},
  [5653] = {.lex_state = 62, .external_lex_state = 6},
  [5654] = {.lex_state = 62, .external_lex_state = 6},
  [5655] = {.lex_state = 62, .external_lex_state = 6},
  [5656] = {.lex_state = 62, .external_lex_state = 6},
  [5657] = {.lex_state = 102, .external_lex_state = 6},
  [5658] = {.lex_state = 102, .external_lex_state = 6},
  [5659] = {.lex_state = 263, .external_lex_state = 6},
  [5660] = {.lex_state = 62, .external_lex_state = 6},
  [5661] = {.lex_state = 62, .external_lex_state = 6},
  [5662] = {.lex_state = 62, .external_lex_state = 6},
  [5663] = {.lex_state = 64, .external_lex_state = 6},
  [5664] = {.lex_state = 64, .external_lex_state = 6},
  [5665] = {.lex_state = 62, .external_lex_state = 6},
  [5666] = {.lex_state = 62, .external_lex_state = 6},
  [5667] = {.lex_state = 64, .external_lex_state = 6},
  [5668] = {.lex_state = 64, .external_lex_state = 6},
  [5669] = {.lex_state = 62, .external_lex_state = 6},
  [5670] = {.lex_state = 62, .external_lex_state = 6},
  [5671] = {.lex_state = 62, .external_lex_state = 6},
  [5672] = {.lex_state = 62, .external_lex_state = 6},
  [5673] = {.lex_state = 62, .external_lex_state = 6},
  [5674] = {.lex_state = 62, .external_lex_state = 6},
  [5675] = {.lex_state = 102, .external_lex_state = 6},
  [5676] = {.lex_state = 62, .external_lex_state = 6},
  [5677] = {.lex_state = 62, .external_lex_state = 6},
  [5678] = {.lex_state = 62, .external_lex_state = 6},
  [5679] = {.lex_state = 62, .external_lex_state = 6},
  [5680] = {.lex_state = 62, .external_lex_state = 6},
  [5681] = {.lex_state = 263, .external_lex_state = 6},
  [5682] = {.lex_state = 62, .external_lex_state = 6},
  [5683] = {.lex_state = 263, .external_lex_state = 6},
  [5684] = {.lex_state = 62, .external_lex_state = 6},
  [5685] = {.lex_state = 263, .external_lex_state = 6},
  [5686] = {.lex_state = 62, .external_lex_state = 6},
  [5687] = {.lex_state = 62, .external_lex_state = 6},
  [5688] = {.lex_state = 64, .external_lex_state = 6},
  [5689] = {.lex_state = 62, .external_lex_state = 6},
  [5690] = {.lex_state = 64, .external_lex_state = 6},
  [5691] = {.lex_state = 62, .external_lex_state = 6},
  [5692] = {.lex_state = 263, .external_lex_state = 6},
  [5693] = {.lex_state = 64, .external_lex_state = 6},
  [5694] = {.lex_state = 62, .external_lex_state = 6},
  [5695] = {.lex_state = 64, .external_lex_state = 6},
  [5696] = {.lex_state = 62, .external_lex_state = 6},
  [5697] = {.lex_state = 62, .external_lex_state = 6},
  [5698] = {.lex_state = 62, .external_lex_state = 6},
  [5699] = {.lex_state = 62, .external_lex_state = 6},
  [5700] = {.lex_state = 62, .external_lex_state = 6},
  [5701] = {.lex_state = 62, .external_lex_state = 6},
  [5702] = {.lex_state = 62, .external_lex_state = 6},
  [5703] = {.lex_state = 62, .external_lex_state = 6},
  [5704] = {.lex_state = 62, .external_lex_state = 6},
  [5705] = {.lex_state = 62, .external_lex_state = 6},
  [5706] = {.lex_state = 62, .external_lex_state = 6},
  [5707] = {.lex_state = 62, .external_lex_state = 6},
  [5708] = {.lex_state = 62, .external_lex_state = 6},
  [5709] = {.lex_state = 62, .external_lex_state = 6},
  [5710] = {.lex_state = 102, .external_lex_state = 6},
  [5711] = {.lex_state = 102, .external_lex_state = 6},
  [5712] = {.lex_state = 263, .external_lex_state = 6},
  [5713] = {.lex_state = 263, .external_lex_state = 6},
  [5714] = {.lex_state = 62, .external_lex_state = 6},
  [5715] = {.lex_state = 62, .external_lex_state = 6},
  [5716] = {.lex_state = 62, .external_lex_state = 6},
  [5717] = {.lex_state = 62, .external_lex_state = 6},
  [5718] = {.lex_state = 62, .external_lex_state = 6},
  [5719] = {.lex_state = 102, .external_lex_state = 6},
  [5720] = {.lex_state = 263, .external_lex_state = 6},
  [5721] = {.lex_state = 263, .external_lex_state = 6},
  [5722] = {.lex_state = 62, .external_lex_state = 6},
  [5723] = {.lex_state = 62, .external_lex_state = 6},
  [5724] = {.lex_state = 62, .external_lex_state = 6},
  [5725] = {.lex_state = 62, .external_lex_state = 6},
  [5726] = {.lex_state = 62, .external_lex_state = 6},
  [5727] = {.lex_state = 62, .external_lex_state = 6},
  [5728] = {.lex_state = 62, .external_lex_state = 6},
  [5729] = {.lex_state = 62, .external_lex_state = 6},
  [5730] = {.lex_state = 62, .external_lex_state = 6},
  [5731] = {.lex_state = 62, .external_lex_state = 6},
  [5732] = {.lex_state = 62, .external_lex_state = 6},
  [5733] = {.lex_state = 62, .external_lex_state = 6},
  [5734] = {.lex_state = 62, .external_lex_state = 6},
  [5735] = {.lex_state = 62, .external_lex_state = 6},
  [5736] = {.lex_state = 62, .external_lex_state = 6},
  [5737] = {.lex_state = 62, .external_lex_state = 6},
  [5738] = {.lex_state = 62, .external_lex_state = 6},
  [5739] = {.lex_state = 62, .external_lex_state = 6},
  [5740] = {.lex_state = 263, .external_lex_state = 6},
  [5741] = {.lex_state = 263, .external_lex_state = 6},
  [5742] = {.lex_state = 263, .external_lex_state = 6},
  [5743] = {.lex_state = 62, .external_lex_state = 6},
  [5744] = {.lex_state = 62, .external_lex_state = 6},
  [5745] = {.lex_state = 62, .external_lex_state = 6},
  [5746] = {.lex_state = 62, .external_lex_state = 6},
  [5747] = {.lex_state = 62, .external_lex_state = 6},
  [5748] = {.lex_state = 62, .external_lex_state = 6},
  [5749] = {.lex_state = 62, .external_lex_state = 6},
  [5750] = {.lex_state = 62, .external_lex_state = 6},
  [5751] = {.lex_state = 62, .external_lex_state = 6},
  [5752] = {.lex_state = 62, .external_lex_state = 6},
  [5753] = {.lex_state = 62, .external_lex_state = 6},
  [5754] = {.lex_state = 64, .external_lex_state = 6},
  [5755] = {.lex_state = 102, .external_lex_state = 6},
  [5756] = {.lex_state = 62, .external_lex_state = 6},
  [5757] = {.lex_state = 64, .external_lex_state = 6},
  [5758] = {.lex_state = 62, .external_lex_state = 6},
  [5759] = {.lex_state = 64, .external_lex_state = 6},
  [5760] = {.lex_state = 64, .external_lex_state = 6},
  [5761] = {.lex_state = 64, .external_lex_state = 6},
  [5762] = {.lex_state = 64, .external_lex_state = 6},
  [5763] = {.lex_state = 62, .external_lex_state = 6},
  [5764] = {.lex_state = 62, .external_lex_state = 6},
  [5765] = {.lex_state = 62, .external_lex_state = 6},
  [5766] = {.lex_state = 62, .external_lex_state = 6},
  [5767] = {.lex_state = 62, .external_lex_state = 6},
  [5768] = {.lex_state = 62, .external_lex_state = 6},
  [5769] = {.lex_state = 62, .external_lex_state = 6},
  [5770] = {.lex_state = 62, .external_lex_state = 6},
  [5771] = {.lex_state = 62, .external_lex_state = 6},
  [5772] = {.lex_state = 64, .external_lex_state = 6},
  [5773] = {.lex_state = 64, .external_lex_state = 6},
  [5774] = {.lex_state = 62, .external_lex_state = 6},
  [5775] = {.lex_state = 62, .external_lex_state = 6},
  [5776] = {.lex_state = 62, .external_lex_state = 6},
  [5777] = {.lex_state = 62, .external_lex_state = 6},
  [5778] = {.lex_state = 62, .external_lex_state = 6},
  [5779] = {.lex_state = 62, .external_lex_state = 6},
  [5780] = {.lex_state = 62, .external_lex_state = 6},
  [5781] = {.lex_state = 263, .external_lex_state = 6},
  [5782] = {.lex_state = 62, .external_lex_state = 6},
  [5783] = {.lex_state = 64, .external_lex_state = 6},
  [5784] = {.lex_state = 64, .external_lex_state = 6},
  [5785] = {.lex_state = 62, .external_lex_state = 6},
  [5786] = {.lex_state = 62, .external_lex_state = 6},
  [5787] = {.lex_state = 62, .external_lex_state = 6},
  [5788] = {.lex_state = 263, .external_lex_state = 6},
  [5789] = {.lex_state = 62, .external_lex_state = 6},
  [5790] = {.lex_state = 102, .external_lex_state = 6},
  [5791] = {.lex_state = 62, .external_lex_state = 6},
  [5792] = {.lex_state = 102, .external_lex_state = 6},
  [5793] = {.lex_state = 102, .external_lex_state = 6},
  [5794] = {.lex_state = 102, .external_lex_state = 6},
  [5795] = {.lex_state = 263, .external_lex_state = 6},
  [5796] = {.lex_state = 64, .external_lex_state = 6},
  [5797] = {.lex_state = 62, .external_lex_state = 6},
  [5798] = {.lex_state = 62, .external_lex_state = 6},
  [5799] = {.lex_state = 62, .external_lex_state = 6},
  [5800] = {.lex_state = 64, .external_lex_state = 6},
  [5801] = {.lex_state = 62, .external_lex_state = 6},
  [5802] = {.lex_state = 62, .external_lex_state = 6},
  [5803] = {.lex_state = 263, .external_lex_state = 6},
  [5804] = {.lex_state = 62, .external_lex_state = 6},
  [5805] = {.lex_state = 62, .external_lex_state = 6},
  [5806] = {.lex_state = 64, .external_lex_state = 6},
  [5807] = {.lex_state = 64, .external_lex_state = 6},
  [5808] = {.lex_state = 62, .external_lex_state = 6},
  [5809] = {.lex_state = 62, .external_lex_state = 6},
  [5810] = {.lex_state = 64, .external_lex_state = 6},
  [5811] = {.lex_state = 64, .external_lex_state = 6},
  [5812] = {.lex_state = 62, .external_lex_state = 6},
  [5813] = {.lex_state = 62, .external_lex_state = 6},
  [5814] = {.lex_state = 62, .external_lex_state = 6},
  [5815] = {.lex_state = 62, .external_lex_state = 6},
  [5816] = {.lex_state = 62, .external_lex_state = 6},
  [5817] = {.lex_state = 62, .external_lex_state = 6},
  [5818] = {.lex_state = 102, .external_lex_state = 6},
  [5819] = {.lex_state = 62, .external_lex_state = 6},
  [5820] = {.lex_state = 62, .external_lex_state = 6},
  [5821] = {.lex_state = 62, .external_lex_state = 6},
  [5822] = {.lex_state = 62, .external_lex_state = 6},
  [5823] = {.lex_state = 62, .external_lex_state = 6},
  [5824] = {.lex_state = 263, .external_lex_state = 6},
  [5825] = {.lex_state = 62, .external_lex_state = 6},
  [5826] = {.lex_state = 263, .external_lex_state = 6},
  [5827] = {.lex_state = 62, .external_lex_state = 6},
  [5828] = {.lex_state = 263, .external_lex_state = 6},
  [5829] = {.lex_state = 62, .external_lex_state = 6},
  [5830] = {.lex_state = 64, .external_lex_state = 6},
  [5831] = {.lex_state = 62, .external_lex_state = 6},
  [5832] = {.lex_state = 64, .external_lex_state = 6},
  [5833] = {.lex_state = 62, .external_lex_state = 6},
  [5834] = {.lex_state = 62, .external_lex_state = 6},
  [5835] = {.lex_state = 62, .external_lex_state = 6},
  [5836] = {.lex_state = 62, .external_lex_state = 6},
  [5837] = {.lex_state = 62, .external_lex_state = 6},
  [5838] = {.lex_state = 62, .external_lex_state = 6},
  [5839] = {.lex_state = 62, .external_lex_state = 6},
  [5840] = {.lex_state = 64, .external_lex_state = 6},
  [5841] = {.lex_state = 62, .external_lex_state = 6},
  [5842] = {.lex_state = 64, .external_lex_state = 6},
  [5843] = {.lex_state = 62, .external_lex_state = 6},
  [5844] = {.lex_state = 263, .external_lex_state = 6},
  [5845] = {.lex_state = 62, .external_lex_state = 6},
  [5846] = {.lex_state = 263, .external_lex_state = 6},
  [5847] = {.lex_state = 102, .external_lex_state = 6},
  [5848] = {.lex_state = 263, .external_lex_state = 6},
  [5849] = {.lex_state = 263, .external_lex_state = 6},
  [5850] = {.lex_state = 64, .external_lex_state = 6},
  [5851] = {.lex_state = 62, .external_lex_state = 6},
  [5852] = {.lex_state = 102, .external_lex_state = 6},
  [5853] = {.lex_state = 102, .external_lex_state = 6},
  [5854] = {.lex_state = 62, .external_lex_state = 6},
  [5855] = {.lex_state = 62, .external_lex_state = 6},
  [5856] = {.lex_state = 62, .external_lex_state = 6},
  [5857] = {.lex_state = 62, .external_lex_state = 6},
  [5858] = {.lex_state = 102, .external_lex_state = 6},
  [5859] = {.lex_state = 263, .external_lex_state = 6},
  [5860] = {.lex_state = 62, .external_lex_state = 6},
  [5861] = {.lex_state = 263, .external_lex_state = 6},
  [5862] = {.lex_state = 263, .external_lex_state = 6},
  [5863] = {.lex_state = 62, .external_lex_state = 6},
  [5864] = {.lex_state = 62, .external_lex_state = 6},
  [5865] = {.lex_state = 62, .external_lex_state = 6},
  [5866] = {.lex_state = 62, .external_lex_state = 6},
  [5867] = {.lex_state = 62, .external_lex_state = 6},
  [5868] = {.lex_state = 62, .external_lex_state = 6},
  [5869] = {.lex_state = 62, .external_lex_state = 6},
  [5870] = {.lex_state = 62, .external_lex_state = 6},
  [5871] = {.lex_state = 62, .external_lex_state = 6},
  [5872] = {.lex_state = 62, .external_lex_state = 6},
  [5873] = {.lex_state = 62, .external_lex_state = 6},
  [5874] = {.lex_state = 62, .external_lex_state = 6},
  [5875] = {.lex_state = 64, .external_lex_state = 6},
  [5876] = {.lex_state = 62, .external_lex_state = 6},
  [5877] = {.lex_state = 64, .external_lex_state = 6},
  [5878] = {.lex_state = 62, .external_lex_state = 6},
  [5879] = {.lex_state = 64, .external_lex_state = 6},
  [5880] = {.lex_state = 64, .external_lex_state = 6},
  [5881] = {.lex_state = 62, .external_lex_state = 6},
  [5882] = {.lex_state = 62, .external_lex_state = 6},
  [5883] = {.lex_state = 64, .external_lex_state = 6},
  [5884] = {.lex_state = 64, .external_lex_state = 6},
  [5885] = {.lex_state = 62, .external_lex_state = 6},
  [5886] = {.lex_state = 62, .external_lex_state = 6},
  [5887] = {.lex_state = 62, .external_lex_state = 6},
  [5888] = {.lex_state = 102, .external_lex_state = 6},
  [5889] = {.lex_state = 102, .external_lex_state = 6},
  [5890] = {.lex_state = 62, .external_lex_state = 6},
  [5891] = {.lex_state = 62, .external_lex_state = 6},
  [5892] = {.lex_state = 62, .external_lex_state = 6},
  [5893] = {.lex_state = 62, .external_lex_state = 6},
  [5894] = {.lex_state = 62, .external_lex_state = 6},
  [5895] = {.lex_state = 62, .external_lex_state = 6},
  [5896] = {.lex_state = 102, .external_lex_state = 6},
  [5897] = {.lex_state = 62, .external_lex_state = 6},
  [5898] = {.lex_state = 62, .external_lex_state = 6},
  [5899] = {.lex_state = 62, .external_lex_state = 6},
  [5900] = {.lex_state = 64, .external_lex_state = 6},
  [5901] = {.lex_state = 62, .external_lex_state = 6},
  [5902] = {.lex_state = 62, .external_lex_state = 6},
  [5903] = {.lex_state = 62, .external_lex_state = 6},
  [5904] = {.lex_state = 62, .external_lex_state = 6},
  [5905] = {.lex_state = 62, .external_lex_state = 6},
  [5906] = {.lex_state = 62, .external_lex_state = 6},
  [5907] = {.lex_state = 62, .external_lex_state = 6},
  [5908] = {.lex_state = 62, .external_lex_state = 6},
  [5909] = {.lex_state = 62, .external_lex_state = 6},
  [5910] = {.lex_state = 62, .external_lex_state = 6},
  [5911] = {.lex_state = 62, .external_lex_state = 6},
  [5912] = {.lex_state = 62, .external_lex_state = 6},
  [5913] = {.lex_state = 62, .external_lex_state = 6},
  [5914] = {.lex_state = 62, .external_lex_state = 6},
  [5915] = {.lex_state = 62, .external_lex_state = 6},
  [5916] = {.lex_state = 62, .external_lex_state = 6},
  [5917] = {.lex_state = 62, .external_lex_state = 6},
  [5918] = {.lex_state = 62, .external_lex_state = 6},
  [5919] = {.lex_state = 102, .external_lex_state = 6},
  [5920] = {.lex_state = 62, .external_lex_state = 6},
  [5921] = {.lex_state = 62, .external_lex_state = 6},
  [5922] = {.lex_state = 64, .external_lex_state = 6},
  [5923] = {.lex_state = 64, .external_lex_state = 6},
  [5924] = {.lex_state = 62, .external_lex_state = 6},
  [5925] = {.lex_state = 62, .external_lex_state = 6},
  [5926] = {.lex_state = 64, .external_lex_state = 6},
  [5927] = {.lex_state = 64, .external_lex_state = 6},
  [5928] = {.lex_state = 62, .external_lex_state = 6},
  [5929] = {.lex_state = 62, .external_lex_state = 6},
  [5930] = {.lex_state = 62, .external_lex_state = 6},
  [5931] = {.lex_state = 64, .external_lex_state = 6},
  [5932] = {.lex_state = 62, .external_lex_state = 6},
  [5933] = {.lex_state = 62, .external_lex_state = 6},
  [5934] = {.lex_state = 62, .external_lex_state = 6},
  [5935] = {.lex_state = 62, .external_lex_state = 6},
  [5936] = {.lex_state = 64, .external_lex_state = 6},
  [5937] = {.lex_state = 62, .external_lex_state = 6},
  [5938] = {.lex_state = 64, .external_lex_state = 6},
  [5939] = {.lex_state = 62, .external_lex_state = 6},
  [5940] = {.lex_state = 64, .external_lex_state = 6},
  [5941] = {.lex_state = 64, .external_lex_state = 6},
  [5942] = {.lex_state = 263, .external_lex_state = 6},
  [5943] = {.lex_state = 62, .external_lex_state = 6},
  [5944] = {.lex_state = 62, .external_lex_state = 6},
  [5945] = {.lex_state = 64, .external_lex_state = 6},
  [5946] = {.lex_state = 65, .external_lex_state = 17},
  [5947] = {.lex_state = 65, .external_lex_state = 17},
  [5948] = {.lex_state = 65, .external_lex_state = 18},
  [5949] = {.lex_state = 63, .external_lex_state = 19},
  [5950] = {.lex_state = 65, .external_lex_state = 17},
  [5951] = {.lex_state = 65, .external_lex_state = 20},
  [5952] = {.lex_state = 65, .external_lex_state = 21},
  [5953] = {.lex_state = 65, .external_lex_state = 22},
  [5954] = {.lex_state = 65, .external_lex_state = 23},
  [5955] = {.lex_state = 62, .external_lex_state = 9},
  [5956] = {.lex_state = 63, .external_lex_state = 24},
  [5957] = {.lex_state = 65, .external_lex_state = 25},
  [5958] = {.lex_state = 65, .external_lex_state = 18},
  [5959] = {.lex_state = 63, .external_lex_state = 24},
  [5960] = {.lex_state = 63, .external_lex_state = 19},
  [5961] = {.lex_state = 64, .external_lex_state = 8},
  [5962] = {.lex_state = 65, .external_lex_state = 17},
  [5963] = {.lex_state = 65, .external_lex_state = 25},
  [5964] = {.lex_state = 65, .external_lex_state = 26},
  [5965] = {.lex_state = 65, .external_lex_state = 23},
  [5966] = {.lex_state = 65, .external_lex_state = 22},
  [5967] = {.lex_state = 65, .external_lex_state = 21},
  [5968] = {.lex_state = 65, .external_lex_state = 20},
  [5969] = {.lex_state = 65, .external_lex_state = 17},
  [5970] = {.lex_state = 63, .external_lex_state = 19},
  [5971] = {.lex_state = 63, .external_lex_state = 24},
  [5972] = {.lex_state = 65, .external_lex_state = 18},
  [5973] = {.lex_state = 65, .external_lex_state = 20},
  [5974] = {.lex_state = 65, .external_lex_state = 21},
  [5975] = {.lex_state = 65, .external_lex_state = 22},
  [5976] = {.lex_state = 65, .external_lex_state = 23},
  [5977] = {.lex_state = 65, .external_lex_state = 26},
  [5978] = {.lex_state = 65, .external_lex_state = 18},
  [5979] = {.lex_state = 63, .external_lex_state = 24},
  [5980] = {.lex_state = 63, .external_lex_state = 19},
  [5981] = {.lex_state = 65, .external_lex_state = 17},
  [5982] = {.lex_state = 65, .external_lex_state = 20},
  [5983] = {.lex_state = 65, .external_lex_state = 21},
  [5984] = {.lex_state = 65, .external_lex_state = 22},
  [5985] = {.lex_state = 65, .external_lex_state = 23},
  [5986] = {.lex_state = 65, .external_lex_state = 26},
  [5987] = {.lex_state = 65, .external_lex_state = 25},
  [5988] = {.lex_state = 65, .external_lex_state = 25},
  [5989] = {.lex_state = 62, .external_lex_state = 7},
  [5990] = {.lex_state = 64, .external_lex_state = 11},
  [5991] = {.lex_state = 100, .external_lex_state = 6},
  [5992] = {.lex_state = 100, .external_lex_state = 6},
  [5993] = {.lex_state = 65, .external_lex_state = 18},
  [5994] = {.lex_state = 63, .external_lex_state = 24},
  [5995] = {.lex_state = 63, .external_lex_state = 19},
  [5996] = {.lex_state = 65, .external_lex_state = 17},
  [5997] = {.lex_state = 65, .external_lex_state = 20},
  [5998] = {.lex_state = 65, .external_lex_state = 21},
  [5999] = {.lex_state = 65, .external_lex_state = 22},
  [6000] = {.lex_state = 65, .external_lex_state = 23},
  [6001] = {.lex_state = 65, .external_lex_state = 26},
  [6002] = {.lex_state = 65, .external_lex_state = 25},
  [6003] = {.lex_state = 65, .external_lex_state = 18},
  [6004] = {.lex_state = 65, .external_lex_state = 25},
  [6005] = {.lex_state = 65, .external_lex_state = 26},
  [6006] = {.lex_state = 65, .external_lex_state = 23},
  [6007] = {.lex_state = 65, .external_lex_state = 22},
  [6008] = {.lex_state = 65, .external_lex_state = 21},
  [6009] = {.lex_state = 65, .external_lex_state = 20},
  [6010] = {.lex_state = 65, .external_lex_state = 17},
  [6011] = {.lex_state = 63, .external_lex_state = 19},
  [6012] = {.lex_state = 63, .external_lex_state = 24},
  [6013] = {.lex_state = 65, .external_lex_state = 18},
  [6014] = {.lex_state = 63, .external_lex_state = 24},
  [6015] = {.lex_state = 63, .external_lex_state = 19},
  [6016] = {.lex_state = 65, .external_lex_state = 17},
  [6017] = {.lex_state = 65, .external_lex_state = 20},
  [6018] = {.lex_state = 65, .external_lex_state = 21},
  [6019] = {.lex_state = 65, .external_lex_state = 22},
  [6020] = {.lex_state = 65, .external_lex_state = 23},
  [6021] = {.lex_state = 65, .external_lex_state = 26},
  [6022] = {.lex_state = 65, .external_lex_state = 25},
  [6023] = {.lex_state = 100, .external_lex_state = 6},
  [6024] = {.lex_state = 65, .external_lex_state = 18},
  [6025] = {.lex_state = 65, .external_lex_state = 25},
  [6026] = {.lex_state = 65, .external_lex_state = 25},
  [6027] = {.lex_state = 65, .external_lex_state = 26},
  [6028] = {.lex_state = 65, .external_lex_state = 23},
  [6029] = {.lex_state = 65, .external_lex_state = 22},
  [6030] = {.lex_state = 65, .external_lex_state = 21},
  [6031] = {.lex_state = 65, .external_lex_state = 20},
  [6032] = {.lex_state = 65, .external_lex_state = 17},
  [6033] = {.lex_state = 63, .external_lex_state = 19},
  [6034] = {.lex_state = 63, .external_lex_state = 24},
  [6035] = {.lex_state = 65, .external_lex_state = 26},
  [6036] = {.lex_state = 65, .external_lex_state = 23},
  [6037] = {.lex_state = 65, .external_lex_state = 22},
  [6038] = {.lex_state = 65, .external_lex_state = 18},
  [6039] = {.lex_state = 65, .external_lex_state = 21},
  [6040] = {.lex_state = 64, .external_lex_state = 8},
  [6041] = {.lex_state = 65, .external_lex_state = 20},
  [6042] = {.lex_state = 65, .external_lex_state = 17},
  [6043] = {.lex_state = 63, .external_lex_state = 19},
  [6044] = {.lex_state = 63, .external_lex_state = 24},
  [6045] = {.lex_state = 65, .external_lex_state = 18},
  [6046] = {.lex_state = 263, .external_lex_state = 6},
  [6047] = {.lex_state = 65, .external_lex_state = 25},
  [6048] = {.lex_state = 65, .external_lex_state = 26},
  [6049] = {.lex_state = 100, .external_lex_state = 6},
  [6050] = {.lex_state = 65, .external_lex_state = 25},
  [6051] = {.lex_state = 65, .external_lex_state = 26},
  [6052] = {.lex_state = 100, .external_lex_state = 6},
  [6053] = {.lex_state = 65, .external_lex_state = 23},
  [6054] = {.lex_state = 65, .external_lex_state = 23},
  [6055] = {.lex_state = 65, .external_lex_state = 22},
  [6056] = {.lex_state = 65, .external_lex_state = 21},
  [6057] = {.lex_state = 65, .external_lex_state = 20},
  [6058] = {.lex_state = 63, .external_lex_state = 24},
  [6059] = {.lex_state = 100, .external_lex_state = 6},
  [6060] = {.lex_state = 65, .external_lex_state = 26},
  [6061] = {.lex_state = 65, .external_lex_state = 18},
  [6062] = {.lex_state = 65, .external_lex_state = 22},
  [6063] = {.lex_state = 65, .external_lex_state = 21},
  [6064] = {.lex_state = 65, .external_lex_state = 20},
  [6065] = {.lex_state = 65, .external_lex_state = 25},
  [6066] = {.lex_state = 65, .external_lex_state = 26},
  [6067] = {.lex_state = 65, .external_lex_state = 25},
  [6068] = {.lex_state = 65, .external_lex_state = 26},
  [6069] = {.lex_state = 65, .external_lex_state = 23},
  [6070] = {.lex_state = 65, .external_lex_state = 22},
  [6071] = {.lex_state = 65, .external_lex_state = 21},
  [6072] = {.lex_state = 65, .external_lex_state = 23},
  [6073] = {.lex_state = 65, .external_lex_state = 22},
  [6074] = {.lex_state = 65, .external_lex_state = 21},
  [6075] = {.lex_state = 65, .external_lex_state = 20},
  [6076] = {.lex_state = 65, .external_lex_state = 17},
  [6077] = {.lex_state = 63, .external_lex_state = 19},
  [6078] = {.lex_state = 63, .external_lex_state = 24},
  [6079] = {.lex_state = 65, .external_lex_state = 18},
  [6080] = {.lex_state = 100, .external_lex_state = 6},
  [6081] = {.lex_state = 65, .external_lex_state = 20},
  [6082] = {.lex_state = 65, .external_lex_state = 17},
  [6083] = {.lex_state = 63, .external_lex_state = 19},
  [6084] = {.lex_state = 63, .external_lex_state = 24},
  [6085] = {.lex_state = 65, .external_lex_state = 17},
  [6086] = {.lex_state = 63, .external_lex_state = 19},
  [6087] = {.lex_state = 63, .external_lex_state = 24},
  [6088] = {.lex_state = 100, .external_lex_state = 6},
  [6089] = {.lex_state = 65, .external_lex_state = 18},
  [6090] = {.lex_state = 100, .external_lex_state = 6},
  [6091] = {.lex_state = 65, .external_lex_state = 18},
  [6092] = {.lex_state = 63, .external_lex_state = 24},
  [6093] = {.lex_state = 63, .external_lex_state = 19},
  [6094] = {.lex_state = 65, .external_lex_state = 17},
  [6095] = {.lex_state = 65, .external_lex_state = 18},
  [6096] = {.lex_state = 63, .external_lex_state = 24},
  [6097] = {.lex_state = 63, .external_lex_state = 19},
  [6098] = {.lex_state = 65, .external_lex_state = 17},
  [6099] = {.lex_state = 65, .external_lex_state = 20},
  [6100] = {.lex_state = 65, .external_lex_state = 21},
  [6101] = {.lex_state = 65, .external_lex_state = 22},
  [6102] = {.lex_state = 65, .external_lex_state = 23},
  [6103] = {.lex_state = 65, .external_lex_state = 26},
  [6104] = {.lex_state = 65, .external_lex_state = 25},
  [6105] = {.lex_state = 65, .external_lex_state = 20},
  [6106] = {.lex_state = 65, .external_lex_state = 21},
  [6107] = {.lex_state = 65, .external_lex_state = 22},
  [6108] = {.lex_state = 65, .external_lex_state = 23},
  [6109] = {.lex_state = 65, .external_lex_state = 26},
  [6110] = {.lex_state = 65, .external_lex_state = 25},
  [6111] = {.lex_state = 65, .external_lex_state = 25},
  [6112] = {.lex_state = 65, .external_lex_state = 26},
  [6113] = {.lex_state = 65, .external_lex_state = 23},
  [6114] = {.lex_state = 65, .external_lex_state = 22},
  [6115] = {.lex_state = 65, .external_lex_state = 21},
  [6116] = {.lex_state = 65, .external_lex_state = 20},
  [6117] = {.lex_state = 65, .external_lex_state = 17},
  [6118] = {.lex_state = 63, .external_lex_state = 19},
  [6119] = {.lex_state = 63, .external_lex_state = 24},
  [6120] = {.lex_state = 65, .external_lex_state = 18},
  [6121] = {.lex_state = 102, .external_lex_state = 6},
  [6122] = {.lex_state = 100, .external_lex_state = 6},
  [6123] = {.lex_state = 62, .external_lex_state = 9},
  [6124] = {.lex_state = 64, .external_lex_state = 8},
  [6125] = {.lex_state = 62, .external_lex_state = 7},
  [6126] = {.lex_state = 62, .external_lex_state = 7},
  [6127] = {.lex_state = 102, .external_lex_state = 6},
  [6128] = {.lex_state = 62, .external_lex_state = 9},
  [6129] = {.lex_state = 64, .external_lex_state = 11},
  [6130] = {.lex_state = 64, .external_lex_state = 11},
  [6131] = {.lex_state = 65, .external_lex_state = 18},
  [6132] = {.lex_state = 63, .external_lex_state = 24},
  [6133] = {.lex_state = 63, .external_lex_state = 19},
  [6134] = {.lex_state = 65, .external_lex_state = 17},
  [6135] = {.lex_state = 65, .external_lex_state = 20},
  [6136] = {.lex_state = 65, .external_lex_state = 21},
  [6137] = {.lex_state = 62, .external_lex_state = 10},
  [6138] = {.lex_state = 62, .external_lex_state = 12},
  [6139] = {.lex_state = 62, .external_lex_state = 13},
  [6140] = {.lex_state = 62, .external_lex_state = 13},
  [6141] = {.lex_state = 62, .external_lex_state = 15},
  [6142] = {.lex_state = 62, .external_lex_state = 10},
  [6143] = {.lex_state = 65, .external_lex_state = 22},
  [6144] = {.lex_state = 65, .external_lex_state = 23},
  [6145] = {.lex_state = 65, .external_lex_state = 26},
  [6146] = {.lex_state = 65, .external_lex_state = 25},
  [6147] = {.lex_state = 62, .external_lex_state = 16},
  [6148] = {.lex_state = 62, .external_lex_state = 14},
  [6149] = {.lex_state = 65, .external_lex_state = 25},
  [6150] = {.lex_state = 65, .external_lex_state = 26},
  [6151] = {.lex_state = 65, .external_lex_state = 23},
  [6152] = {.lex_state = 65, .external_lex_state = 22},
  [6153] = {.lex_state = 65, .external_lex_state = 21},
  [6154] = {.lex_state = 65, .external_lex_state = 20},
  [6155] = {.lex_state = 63, .external_lex_state = 19},
  [6156] = {.lex_state = 63, .external_lex_state = 19},
  [6157] = {.lex_state = 63, .external_lex_state = 24},
  [6158] = {.lex_state = 65, .external_lex_state = 18},
  [6159] = {.lex_state = 62, .external_lex_state = 14},
  [6160] = {.lex_state = 62, .external_lex_state = 10},
  [6161] = {.lex_state = 100, .external_lex_state = 6},
  [6162] = {.lex_state = 62, .external_lex_state = 14},
  [6163] = {.lex_state = 62, .external_lex_state = 13},
  [6164] = {.lex_state = 62, .external_lex_state = 15},
  [6165] = {.lex_state = 62, .external_lex_state = 15},
  [6166] = {.lex_state = 100, .external_lex_state = 6},
  [6167] = {.lex_state = 62, .external_lex_state = 16},
  [6168] = {.lex_state = 62, .external_lex_state = 16},
  [6169] = {.lex_state = 62, .external_lex_state = 12},
  [6170] = {.lex_state = 62, .external_lex_state = 12},
  [6171] = {.lex_state = 63, .external_lex_state = 6},
  [6172] = {.lex_state = 65, .external_lex_state = 6},
  [6173] = {.lex_state = 65, .external_lex_state = 6},
  [6174] = {.lex_state = 65, .external_lex_state = 6},
  [6175] = {.lex_state = 65, .external_lex_state = 6},
  [6176] = {.lex_state = 65, .external_lex_state = 6},
  [6177] = {.lex_state = 65, .external_lex_state = 6},
  [6178] = {.lex_state = 65, .external_lex_state = 6},
  [6179] = {.lex_state = 65, .external_lex_state = 6},
  [6180] = {.lex_state = 65, .external_lex_state = 6},
  [6181] = {.lex_state = 65, .external_lex_state = 6},
  [6182] = {.lex_state = 65, .external_lex_state = 6},
  [6183] = {.lex_state = 65, .external_lex_state = 6},
  [6184] = {.lex_state = 65, .external_lex_state = 6},
  [6185] = {.lex_state = 65, .external_lex_state = 6},
  [6186] = {.lex_state = 65, .external_lex_state = 6},
  [6187] = {.lex_state = 65, .external_lex_state = 6},
  [6188] = {.lex_state = 63, .external_lex_state = 6},
  [6189] = {.lex_state = 63, .external_lex_state = 6},
  [6190] = {.lex_state = 65, .external_lex_state = 6},
  [6191] = {.lex_state = 65, .external_lex_state = 6},
  [6192] = {.lex_state = 65, .external_lex_state = 6},
  [6193] = {.lex_state = 65, .external_lex_state = 6},
  [6194] = {.lex_state = 65, .external_lex_state = 6},
  [6195] = {.lex_state = 65, .external_lex_state = 6},
  [6196] = {.lex_state = 65, .external_lex_state = 6},
  [6197] = {.lex_state = 62, .external_lex_state = 6},
  [6198] = {.lex_state = 65, .external_lex_state = 6},
  [6199] = {.lex_state = 65, .external_lex_state = 6},
  [6200] = {.lex_state = 63, .external_lex_state = 6},
  [6201] = {.lex_state = 63, .external_lex_state = 6},
  [6202] = {.lex_state = 65, .external_lex_state = 18},
  [6203] = {.lex_state = 65, .external_lex_state = 6},
  [6204] = {.lex_state = 65, .external_lex_state = 6},
  [6205] = {.lex_state = 63, .external_lex_state = 6},
  [6206] = {.lex_state = 62, .external_lex_state = 6},
  [6207] = {.lex_state = 63, .external_lex_state = 6},
  [6208] = {.lex_state = 63, .external_lex_state = 6},
  [6209] = {.lex_state = 65, .external_lex_state = 6},
  [6210] = {.lex_state = 65, .external_lex_state = 6},
  [6211] = {.lex_state = 65, .external_lex_state = 6},
  [6212] = {.lex_state = 65, .external_lex_state = 6},
  [6213] = {.lex_state = 65, .external_lex_state = 6},
  [6214] = {.lex_state = 65, .external_lex_state = 6},
  [6215] = {.lex_state = 65, .external_lex_state = 6},
  [6216] = {.lex_state = 65, .external_lex_state = 6},
  [6217] = {.lex_state = 65, .external_lex_state = 6},
  [6218] = {.lex_state = 65, .external_lex_state = 6},
  [6219] = {.lex_state = 65, .external_lex_state = 6},
  [6220] = {.lex_state = 65, .external_lex_state = 6},
  [6221] = {.lex_state = 65, .external_lex_state = 6},
  [6222] = {.lex_state = 65, .external_lex_state = 6},
  [6223] = {.lex_state = 65, .external_lex_state = 6},
  [6224] = {.lex_state = 63, .external_lex_state = 6},
  [6225] = {.lex_state = 63, .external_lex_state = 6},
  [6226] = {.lex_state = 63, .external_lex_state = 6},
  [6227] = {.lex_state = 65, .external_lex_state = 6},
  [6228] = {.lex_state = 65, .external_lex_state = 6},
  [6229] = {.lex_state = 65, .external_lex_state = 6},
  [6230] = {.lex_state = 63, .external_lex_state = 6},
  [6231] = {.lex_state = 63, .external_lex_state = 6},
  [6232] = {.lex_state = 65, .external_lex_state = 6},
  [6233] = {.lex_state = 65, .external_lex_state = 6},
  [6234] = {.lex_state = 65, .external_lex_state = 6},
  [6235] = {.lex_state = 65, .external_lex_state = 6},
  [6236] = {.lex_state = 65, .external_lex_state = 6},
  [6237] = {.lex_state = 65, .external_lex_state = 6},
  [6238] = {.lex_state = 65, .external_lex_state = 6},
  [6239] = {.lex_state = 65, .external_lex_state = 6},
  [6240] = {.lex_state = 65, .external_lex_state = 6},
  [6241] = {.lex_state = 263, .external_lex_state = 6},
  [6242] = {.lex_state = 65, .external_lex_state = 6},
  [6243] = {.lex_state = 50, .external_lex_state = 6},
  [6244] = {.lex_state = 50, .external_lex_state = 6},
  [6245] = {.lex_state = 65, .external_lex_state = 6},
  [6246] = {.lex_state = 65, .external_lex_state = 6},
  [6247] = {.lex_state = 65, .external_lex_state = 6},
  [6248] = {.lex_state = 65, .external_lex_state = 6},
  [6249] = {.lex_state = 65, .external_lex_state = 6},
  [6250] = {.lex_state = 65, .external_lex_state = 6},
  [6251] = {.lex_state = 65, .external_lex_state = 6},
  [6252] = {.lex_state = 65, .external_lex_state = 6},
  [6253] = {.lex_state = 65, .external_lex_state = 6},
  [6254] = {.lex_state = 65, .external_lex_state = 6},
  [6255] = {.lex_state = 63, .external_lex_state = 6},
  [6256] = {.lex_state = 65, .external_lex_state = 6},
  [6257] = {.lex_state = 63, .external_lex_state = 6},
  [6258] = {.lex_state = 65, .external_lex_state = 6},
  [6259] = {.lex_state = 62, .external_lex_state = 6},
  [6260] = {.lex_state = 63, .external_lex_state = 6},
  [6261] = {.lex_state = 63, .external_lex_state = 6},
  [6262] = {.lex_state = 63, .external_lex_state = 6},
  [6263] = {.lex_state = 65, .external_lex_state = 25},
  [6264] = {.lex_state = 65, .external_lex_state = 6},
  [6265] = {.lex_state = 64, .external_lex_state = 6},
  [6266] = {.lex_state = 65, .external_lex_state = 6},
  [6267] = {.lex_state = 65, .external_lex_state = 6},
  [6268] = {.lex_state = 65, .external_lex_state = 6},
  [6269] = {.lex_state = 63, .external_lex_state = 6},
  [6270] = {.lex_state = 65, .external_lex_state = 6},
  [6271] = {.lex_state = 65, .external_lex_state = 6},
  [6272] = {.lex_state = 65, .external_lex_state = 6},
  [6273] = {.lex_state = 65, .external_lex_state = 6},
  [6274] = {.lex_state = 65, .external_lex_state = 6},
  [6275] = {.lex_state = 65, .external_lex_state = 6},
  [6276] = {.lex_state = 65, .external_lex_state = 6},
  [6277] = {.lex_state = 65, .external_lex_state = 6},
  [6278] = {.lex_state = 65, .external_lex_state = 6},
  [6279] = {.lex_state = 65, .external_lex_state = 6},
  [6280] = {.lex_state = 65, .external_lex_state = 6},
  [6281] = {.lex_state = 65, .external_lex_state = 6},
  [6282] = {.lex_state = 65, .external_lex_state = 6},
  [6283] = {.lex_state = 65, .external_lex_state = 6},
  [6284] = {.lex_state = 63, .external_lex_state = 6},
  [6285] = {.lex_state = 63, .external_lex_state = 6},
  [6286] = {.lex_state = 63, .external_lex_state = 6},
  [6287] = {.lex_state = 63, .external_lex_state = 6},
  [6288] = {.lex_state = 65, .external_lex_state = 6},
  [6289] = {.lex_state = 65, .external_lex_state = 6},
  [6290] = {.lex_state = 65, .external_lex_state = 6},
  [6291] = {.lex_state = 63, .external_lex_state = 6},
  [6292] = {.lex_state = 63, .external_lex_state = 6},
  [6293] = {.lex_state = 63, .external_lex_state = 6},
  [6294] = {.lex_state = 63, .external_lex_state = 6},
  [6295] = {.lex_state = 65, .external_lex_state = 6},
  [6296] = {.lex_state = 65, .external_lex_state = 6},
  [6297] = {.lex_state = 65, .external_lex_state = 6},
  [6298] = {.lex_state = 65, .external_lex_state = 6},
  [6299] = {.lex_state = 65, .external_lex_state = 6},
  [6300] = {.lex_state = 65, .external_lex_state = 6},
  [6301] = {.lex_state = 65, .external_lex_state = 6},
  [6302] = {.lex_state = 65, .external_lex_state = 6},
  [6303] = {.lex_state = 65, .external_lex_state = 6},
  [6304] = {.lex_state = 65, .external_lex_state = 6},
  [6305] = {.lex_state = 65, .external_lex_state = 6},
  [6306] = {.lex_state = 65, .external_lex_state = 6},
  [6307] = {.lex_state = 65, .external_lex_state = 6},
  [6308] = {.lex_state = 65, .external_lex_state = 6},
  [6309] = {.lex_state = 65, .external_lex_state = 6},
  [6310] = {.lex_state = 63, .external_lex_state = 6},
  [6311] = {.lex_state = 65, .external_lex_state = 6},
  [6312] = {.lex_state = 63, .external_lex_state = 6},
  [6313] = {.lex_state = 63, .external_lex_state = 6},
  [6314] = {.lex_state = 65, .external_lex_state = 6},
  [6315] = {.lex_state = 65, .external_lex_state = 6},
  [6316] = {.lex_state = 63, .external_lex_state = 6},
  [6317] = {.lex_state = 63, .external_lex_state = 6},
  [6318] = {.lex_state = 65, .external_lex_state = 6},
  [6319] = {.lex_state = 65, .external_lex_state = 6},
  [6320] = {.lex_state = 65, .external_lex_state = 6},
  [6321] = {.lex_state = 65, .external_lex_state = 6},
  [6322] = {.lex_state = 65, .external_lex_state = 6},
  [6323] = {.lex_state = 65, .external_lex_state = 6},
  [6324] = {.lex_state = 65, .external_lex_state = 6},
  [6325] = {.lex_state = 65, .external_lex_state = 6},
  [6326] = {.lex_state = 65, .external_lex_state = 6},
  [6327] = {.lex_state = 65, .external_lex_state = 6},
  [6328] = {.lex_state = 65, .external_lex_state = 6},
  [6329] = {.lex_state = 65, .external_lex_state = 6},
  [6330] = {.lex_state = 65, .external_lex_state = 6},
  [6331] = {.lex_state = 65, .external_lex_state = 6},
  [6332] = {.lex_state = 63, .external_lex_state = 6},
  [6333] = {.lex_state = 63, .external_lex_state = 6},
  [6334] = {.lex_state = 65, .external_lex_state = 6},
  [6335] = {.lex_state = 63, .external_lex_state = 6},
  [6336] = {.lex_state = 65, .external_lex_state = 6},
  [6337] = {.lex_state = 63, .external_lex_state = 24},
  [6338] = {.lex_state = 63, .external_lex_state = 6},
  [6339] = {.lex_state = 65, .external_lex_state = 6},
  [6340] = {.lex_state = 65, .external_lex_state = 6},
  [6341] = {.lex_state = 62, .external_lex_state = 6},
  [6342] = {.lex_state = 63, .external_lex_state = 6},
  [6343] = {.lex_state = 63, .external_lex_state = 6},
  [6344] = {.lex_state = 63, .external_lex_state = 19},
  [6345] = {.lex_state = 102, .external_lex_state = 6},
  [6346] = {.lex_state = 65, .external_lex_state = 6},
  [6347] = {.lex_state = 65, .external_lex_state = 6},
  [6348] = {.lex_state = 65, .external_lex_state = 6},
  [6349] = {.lex_state = 63, .external_lex_state = 6},
  [6350] = {.lex_state = 65, .external_lex_state = 6},
  [6351] = {.lex_state = 63, .external_lex_state = 6},
  [6352] = {.lex_state = 63, .external_lex_state = 6},
  [6353] = {.lex_state = 65, .external_lex_state = 6},
  [6354] = {.lex_state = 65, .external_lex_state = 6},
  [6355] = {.lex_state = 65, .external_lex_state = 6},
  [6356] = {.lex_state = 65, .external_lex_state = 6},
  [6357] = {.lex_state = 65, .external_lex_state = 6},
  [6358] = {.lex_state = 65, .external_lex_state = 6},
  [6359] = {.lex_state = 65, .external_lex_state = 6},
  [6360] = {.lex_state = 65, .external_lex_state = 6},
  [6361] = {.lex_state = 65, .external_lex_state = 6},
  [6362] = {.lex_state = 65, .external_lex_state = 6},
  [6363] = {.lex_state = 65, .external_lex_state = 6},
  [6364] = {.lex_state = 65, .external_lex_state = 6},
  [6365] = {.lex_state = 65, .external_lex_state = 6},
  [6366] = {.lex_state = 65, .external_lex_state = 6},
  [6367] = {.lex_state = 65, .external_lex_state = 6},
  [6368] = {.lex_state = 65, .external_lex_state = 6},
  [6369] = {.lex_state = 63, .external_lex_state = 6},
  [6370] = {.lex_state = 63, .external_lex_state = 6},
  [6371] = {.lex_state = 65, .external_lex_state = 6},
  [6372] = {.lex_state = 63, .external_lex_state = 6},
  [6373] = {.lex_state = 65, .external_lex_state = 6},
  [6374] = {.lex_state = 65, .external_lex_state = 6},
  [6375] = {.lex_state = 65, .external_lex_state = 6},
  [6376] = {.lex_state = 65, .external_lex_state = 6},
  [6377] = {.lex_state = 63, .external_lex_state = 6},
  [6378] = {.lex_state = 63, .external_lex_state = 6},
  [6379] = {.lex_state = 63, .external_lex_state = 6},
  [6380] = {.lex_state = 63, .external_lex_state = 6},
  [6381] = {.lex_state = 65, .external_lex_state = 6},
  [6382] = {.lex_state = 65, .external_lex_state = 6},
  [6383] = {.lex_state = 65, .external_lex_state = 6},
  [6384] = {.lex_state = 65, .external_lex_state = 6},
  [6385] = {.lex_state = 65, .external_lex_state = 6},
  [6386] = {.lex_state = 65, .external_lex_state = 6},
  [6387] = {.lex_state = 65, .external_lex_state = 6},
  [6388] = {.lex_state = 65, .external_lex_state = 6},
  [6389] = {.lex_state = 65, .external_lex_state = 6},
  [6390] = {.lex_state = 65, .external_lex_state = 6},
  [6391] = {.lex_state = 65, .external_lex_state = 6},
  [6392] = {.lex_state = 65, .external_lex_state = 6},
  [6393] = {.lex_state = 65, .external_lex_state = 6},
  [6394] = {.lex_state = 65, .external_lex_state = 6},
  [6395] = {.lex_state = 65, .external_lex_state = 6},
  [6396] = {.lex_state = 65, .external_lex_state = 6},
  [6397] = {.lex_state = 65, .external_lex_state = 6},
  [6398] = {.lex_state = 50, .external_lex_state = 6},
  [6399] = {.lex_state = 65, .external_lex_state = 6},
  [6400] = {.lex_state = 65, .external_lex_state = 6},
  [6401] = {.lex_state = 65, .external_lex_state = 6},
  [6402] = {.lex_state = 63, .external_lex_state = 6},
  [6403] = {.lex_state = 63, .external_lex_state = 6},
  [6404] = {.lex_state = 65, .external_lex_state = 6},
  [6405] = {.lex_state = 65, .external_lex_state = 6},
  [6406] = {.lex_state = 65, .external_lex_state = 6},
  [6407] = {.lex_state = 65, .external_lex_state = 6},
  [6408] = {.lex_state = 65, .external_lex_state = 6},
  [6409] = {.lex_state = 65, .external_lex_state = 6},
  [6410] = {.lex_state = 65, .external_lex_state = 6},
  [6411] = {.lex_state = 65, .external_lex_state = 6},
  [6412] = {.lex_state = 65, .external_lex_state = 6},
  [6413] = {.lex_state = 65, .external_lex_state = 6},
  [6414] = {.lex_state = 65, .external_lex_state = 6},
  [6415] = {.lex_state = 65, .external_lex_state = 6},
  [6416] = {.lex_state = 65, .external_lex_state = 6},
  [6417] = {.lex_state = 65, .external_lex_state = 6},
  [6418] = {.lex_state = 65, .external_lex_state = 6},
  [6419] = {.lex_state = 65, .external_lex_state = 6},
  [6420] = {.lex_state = 65, .external_lex_state = 6},
  [6421] = {.lex_state = 65, .external_lex_state = 6},
  [6422] = {.lex_state = 65, .external_lex_state = 6},
  [6423] = {.lex_state = 65, .external_lex_state = 6},
  [6424] = {.lex_state = 63, .external_lex_state = 6},
  [6425] = {.lex_state = 65, .external_lex_state = 6},
  [6426] = {.lex_state = 65, .external_lex_state = 6},
  [6427] = {.lex_state = 65, .external_lex_state = 6},
  [6428] = {.lex_state = 65, .external_lex_state = 6},
  [6429] = {.lex_state = 63, .external_lex_state = 6},
  [6430] = {.lex_state = 63, .external_lex_state = 6},
  [6431] = {.lex_state = 63, .external_lex_state = 6},
  [6432] = {.lex_state = 65, .external_lex_state = 6},
  [6433] = {.lex_state = 65, .external_lex_state = 6},
  [6434] = {.lex_state = 65, .external_lex_state = 6},
  [6435] = {.lex_state = 65, .external_lex_state = 6},
  [6436] = {.lex_state = 65, .external_lex_state = 6},
  [6437] = {.lex_state = 65, .external_lex_state = 6},
  [6438] = {.lex_state = 65, .external_lex_state = 6},
  [6439] = {.lex_state = 65, .external_lex_state = 6},
  [6440] = {.lex_state = 65, .external_lex_state = 6},
  [6441] = {.lex_state = 65, .external_lex_state = 6},
  [6442] = {.lex_state = 65, .external_lex_state = 6},
  [6443] = {.lex_state = 65, .external_lex_state = 6},
  [6444] = {.lex_state = 65, .external_lex_state = 6},
  [6445] = {.lex_state = 63, .external_lex_state = 6},
  [6446] = {.lex_state = 65, .external_lex_state = 6},
  [6447] = {.lex_state = 65, .external_lex_state = 6},
  [6448] = {.lex_state = 65, .external_lex_state = 6},
  [6449] = {.lex_state = 65, .external_lex_state = 6},
  [6450] = {.lex_state = 263, .external_lex_state = 6},
  [6451] = {.lex_state = 65, .external_lex_state = 6},
  [6452] = {.lex_state = 65, .external_lex_state = 6},
  [6453] = {.lex_state = 65, .external_lex_state = 6},
  [6454] = {.lex_state = 65, .external_lex_state = 6},
  [6455] = {.lex_state = 65, .external_lex_state = 20},
  [6456] = {.lex_state = 50, .external_lex_state = 6},
  [6457] = {.lex_state = 63, .external_lex_state = 6},
  [6458] = {.lex_state = 65, .external_lex_state = 6},
  [6459] = {.lex_state = 65, .external_lex_state = 6},
  [6460] = {.lex_state = 65, .external_lex_state = 6},
  [6461] = {.lex_state = 65, .external_lex_state = 6},
  [6462] = {.lex_state = 65, .external_lex_state = 6},
  [6463] = {.lex_state = 63, .external_lex_state = 6},
  [6464] = {.lex_state = 63, .external_lex_state = 6},
  [6465] = {.lex_state = 63, .external_lex_state = 6},
  [6466] = {.lex_state = 63, .external_lex_state = 6},
  [6467] = {.lex_state = 65, .external_lex_state = 6},
  [6468] = {.lex_state = 65, .external_lex_state = 6},
  [6469] = {.lex_state = 65, .external_lex_state = 6},
  [6470] = {.lex_state = 65, .external_lex_state = 6},
  [6471] = {.lex_state = 65, .external_lex_state = 6},
  [6472] = {.lex_state = 65, .external_lex_state = 6},
  [6473] = {.lex_state = 65, .external_lex_state = 6},
  [6474] = {.lex_state = 65, .external_lex_state = 6},
  [6475] = {.lex_state = 65, .external_lex_state = 6},
  [6476] = {.lex_state = 65, .external_lex_state = 6},
  [6477] = {.lex_state = 65, .external_lex_state = 6},
  [6478] = {.lex_state = 65, .external_lex_state = 6},
  [6479] = {.lex_state = 65, .external_lex_state = 6},
  [6480] = {.lex_state = 65, .external_lex_state = 6},
  [6481] = {.lex_state = 65, .external_lex_state = 6},
  [6482] = {.lex_state = 263, .external_lex_state = 6},
  [6483] = {.lex_state = 50, .external_lex_state = 6},
  [6484] = {.lex_state = 65, .external_lex_state = 6},
  [6485] = {.lex_state = 65, .external_lex_state = 6},
  [6486] = {.lex_state = 65, .external_lex_state = 6},
  [6487] = {.lex_state = 65, .external_lex_state = 6},
  [6488] = {.lex_state = 63, .external_lex_state = 6},
  [6489] = {.lex_state = 63, .external_lex_state = 6},
  [6490] = {.lex_state = 65, .external_lex_state = 6},
  [6491] = {.lex_state = 65, .external_lex_state = 6},
  [6492] = {.lex_state = 65, .external_lex_state = 6},
  [6493] = {.lex_state = 65, .external_lex_state = 6},
  [6494] = {.lex_state = 65, .external_lex_state = 6},
  [6495] = {.lex_state = 65, .external_lex_state = 6},
  [6496] = {.lex_state = 65, .external_lex_state = 6},
  [6497] = {.lex_state = 65, .external_lex_state = 6},
  [6498] = {.lex_state = 65, .external_lex_state = 6},
  [6499] = {.lex_state = 65, .external_lex_state = 6},
  [6500] = {.lex_state = 65, .external_lex_state = 6},
  [6501] = {.lex_state = 63, .external_lex_state = 6},
  [6502] = {.lex_state = 63, .external_lex_state = 6},
  [6503] = {.lex_state = 65, .external_lex_state = 6},
  [6504] = {.lex_state = 65, .external_lex_state = 6},
  [6505] = {.lex_state = 65, .external_lex_state = 6},
  [6506] = {.lex_state = 63, .external_lex_state = 6},
  [6507] = {.lex_state = 63, .external_lex_state = 6},
  [6508] = {.lex_state = 65, .external_lex_state = 6},
  [6509] = {.lex_state = 65, .external_lex_state = 6},
  [6510] = {.lex_state = 65, .external_lex_state = 6},
  [6511] = {.lex_state = 63, .external_lex_state = 6},
  [6512] = {.lex_state = 63, .external_lex_state = 6},
  [6513] = {.lex_state = 62, .external_lex_state = 6},
  [6514] = {.lex_state = 65, .external_lex_state = 6},
  [6515] = {.lex_state = 65, .external_lex_state = 6},
  [6516] = {.lex_state = 50, .external_lex_state = 6},
  [6517] = {.lex_state = 65, .external_lex_state = 6},
  [6518] = {.lex_state = 65, .external_lex_state = 6},
  [6519] = {.lex_state = 65, .external_lex_state = 6},
  [6520] = {.lex_state = 65, .external_lex_state = 17},
  [6521] = {.lex_state = 65, .external_lex_state = 6},
  [6522] = {.lex_state = 65, .external_lex_state = 6},
  [6523] = {.lex_state = 65, .external_lex_state = 6},
  [6524] = {.lex_state = 65, .external_lex_state = 6},
  [6525] = {.lex_state = 65, .external_lex_state = 6},
  [6526] = {.lex_state = 65, .external_lex_state = 6},
  [6527] = {.lex_state = 65, .external_lex_state = 6},
  [6528] = {.lex_state = 65, .external_lex_state = 6},
  [6529] = {.lex_state = 65, .external_lex_state = 6},
  [6530] = {.lex_state = 65, .external_lex_state = 6},
  [6531] = {.lex_state = 65, .external_lex_state = 6},
  [6532] = {.lex_state = 65, .external_lex_state = 6},
  [6533] = {.lex_state = 65, .external_lex_state = 6},
  [6534] = {.lex_state = 65, .external_lex_state = 6},
  [6535] = {.lex_state = 63, .external_lex_state = 6},
  [6536] = {.lex_state = 63, .external_lex_state = 6},
  [6537] = {.lex_state = 63, .external_lex_state = 6},
  [6538] = {.lex_state = 63, .external_lex_state = 6},
  [6539] = {.lex_state = 65, .external_lex_state = 6},
  [6540] = {.lex_state = 65, .external_lex_state = 6},
  [6541] = {.lex_state = 65, .external_lex_state = 6},
  [6542] = {.lex_state = 64, .external_lex_state = 6},
  [6543] = {.lex_state = 65, .external_lex_state = 6},
  [6544] = {.lex_state = 63, .external_lex_state = 6},
  [6545] = {.lex_state = 63, .external_lex_state = 6},
  [6546] = {.lex_state = 62, .external_lex_state = 6},
  [6547] = {.lex_state = 65, .external_lex_state = 6},
  [6548] = {.lex_state = 65, .external_lex_state = 6},
  [6549] = {.lex_state = 63, .external_lex_state = 6},
  [6550] = {.lex_state = 63, .external_lex_state = 6},
  [6551] = {.lex_state = 63, .external_lex_state = 6},
  [6552] = {.lex_state = 63, .external_lex_state = 6},
  [6553] = {.lex_state = 65, .external_lex_state = 6},
  [6554] = {.lex_state = 65, .external_lex_state = 6},
  [6555] = {.lex_state = 65, .external_lex_state = 6},
  [6556] = {.lex_state = 65, .external_lex_state = 6},
  [6557] = {.lex_state = 65, .external_lex_state = 6},
  [6558] = {.lex_state = 65, .external_lex_state = 6},
  [6559] = {.lex_state = 65, .external_lex_state = 6},
  [6560] = {.lex_state = 65, .external_lex_state = 6},
  [6561] = {.lex_state = 65, .external_lex_state = 6},
  [6562] = {.lex_state = 65, .external_lex_state = 6},
  [6563] = {.lex_state = 65, .external_lex_state = 6},
  [6564] = {.lex_state = 65, .external_lex_state = 6},
  [6565] = {.lex_state = 65, .external_lex_state = 6},
  [6566] = {.lex_state = 65, .external_lex_state = 6},
  [6567] = {.lex_state = 62, .external_lex_state = 6},
  [6568] = {.lex_state = 65, .external_lex_state = 6},
  [6569] = {.lex_state = 65, .external_lex_state = 6},
  [6570] = {.lex_state = 65, .external_lex_state = 6},
  [6571] = {.lex_state = 65, .external_lex_state = 6},
  [6572] = {.lex_state = 65, .external_lex_state = 6},
  [6573] = {.lex_state = 65, .external_lex_state = 6},
  [6574] = {.lex_state = 63, .external_lex_state = 6},
  [6575] = {.lex_state = 63, .external_lex_state = 6},
  [6576] = {.lex_state = 65, .external_lex_state = 6},
  [6577] = {.lex_state = 65, .external_lex_state = 6},
  [6578] = {.lex_state = 63, .external_lex_state = 6},
  [6579] = {.lex_state = 65, .external_lex_state = 6},
  [6580] = {.lex_state = 65, .external_lex_state = 6},
  [6581] = {.lex_state = 65, .external_lex_state = 6},
  [6582] = {.lex_state = 65, .external_lex_state = 6},
  [6583] = {.lex_state = 65, .external_lex_state = 23},
  [6584] = {.lex_state = 65, .external_lex_state = 6},
  [6585] = {.lex_state = 65, .external_lex_state = 6},
  [6586] = {.lex_state = 65, .external_lex_state = 6},
  [6587] = {.lex_state = 65, .external_lex_state = 22},
  [6588] = {.lex_state = 65, .external_lex_state = 21},
  [6589] = {.lex_state = 50, .external_lex_state = 6},
  [6590] = {.lex_state = 65, .external_lex_state = 6},
  [6591] = {.lex_state = 65, .external_lex_state = 6},
  [6592] = {.lex_state = 62, .external_lex_state = 6},
  [6593] = {.lex_state = 63, .external_lex_state = 6},
  [6594] = {.lex_state = 263, .external_lex_state = 6},
  [6595] = {.lex_state = 63, .external_lex_state = 6},
  [6596] = {.lex_state = 65, .external_lex_state = 6},
  [6597] = {.lex_state = 65, .external_lex_state = 6},
  [6598] = {.lex_state = 65, .external_lex_state = 6},
  [6599] = {.lex_state = 65, .external_lex_state = 6},
  [6600] = {.lex_state = 65, .external_lex_state = 6},
  [6601] = {.lex_state = 65, .external_lex_state = 6},
  [6602] = {.lex_state = 65, .external_lex_state = 6},
  [6603] = {.lex_state = 65, .external_lex_state = 6},
  [6604] = {.lex_state = 63, .external_lex_state = 6},
  [6605] = {.lex_state = 63, .external_lex_state = 6},
  [6606] = {.lex_state = 65, .external_lex_state = 6},
  [6607] = {.lex_state = 65, .external_lex_state = 6},
  [6608] = {.lex_state = 65, .external_lex_state = 6},
  [6609] = {.lex_state = 65, .external_lex_state = 6},
  [6610] = {.lex_state = 65, .external_lex_state = 6},
  [6611] = {.lex_state = 65, .external_lex_state = 6},
  [6612] = {.lex_state = 65, .external_lex_state = 6},
  [6613] = {.lex_state = 65, .external_lex_state = 6},
  [6614] = {.lex_state = 65, .external_lex_state = 6},
  [6615] = {.lex_state = 65, .external_lex_state = 6},
  [6616] = {.lex_state = 65, .external_lex_state = 6},
  [6617] = {.lex_state = 65, .external_lex_state = 6},
  [6618] = {.lex_state = 65, .external_lex_state = 6},
  [6619] = {.lex_state = 65, .external_lex_state = 6},
  [6620] = {.lex_state = 65, .external_lex_state = 6},
  [6621] = {.lex_state = 65, .external_lex_state = 6},
  [6622] = {.lex_state = 65, .external_lex_state = 6},
  [6623] = {.lex_state = 65, .external_lex_state = 6},
  [6624] = {.lex_state = 65, .external_lex_state = 6},
  [6625] = {.lex_state = 65, .external_lex_state = 6},
  [6626] = {.lex_state = 65, .external_lex_state = 6},
  [6627] = {.lex_state = 65, .external_lex_state = 6},
  [6628] = {.lex_state = 63, .external_lex_state = 6},
  [6629] = {.lex_state = 63, .external_lex_state = 6},
  [6630] = {.lex_state = 63, .external_lex_state = 6},
  [6631] = {.lex_state = 63, .external_lex_state = 6},
  [6632] = {.lex_state = 65, .external_lex_state = 6},
  [6633] = {.lex_state = 65, .external_lex_state = 6},
  [6634] = {.lex_state = 65, .external_lex_state = 6},
  [6635] = {.lex_state = 65, .external_lex_state = 6},
  [6636] = {.lex_state = 65, .external_lex_state = 26},
  [6637] = {.lex_state = 65, .external_lex_state = 6},
  [6638] = {.lex_state = 65, .external_lex_state = 6},
  [6639] = {.lex_state = 65, .external_lex_state = 6},
  [6640] = {.lex_state = 65, .external_lex_state = 6},
  [6641] = {.lex_state = 65, .external_lex_state = 6},
  [6642] = {.lex_state = 65, .external_lex_state = 6},
  [6643] = {.lex_state = 65, .external_lex_state = 6},
  [6644] = {.lex_state = 63, .external_lex_state = 6},
  [6645] = {.lex_state = 65, .external_lex_state = 6},
  [6646] = {.lex_state = 63, .external_lex_state = 6},
  [6647] = {.lex_state = 63, .external_lex_state = 6},
  [6648] = {.lex_state = 65, .external_lex_state = 6},
  [6649] = {.lex_state = 65, .external_lex_state = 6},
  [6650] = {.lex_state = 65, .external_lex_state = 6},
  [6651] = {.lex_state = 65, .external_lex_state = 6},
  [6652] = {.lex_state = 65, .external_lex_state = 6},
  [6653] = {.lex_state = 65, .external_lex_state = 6},
  [6654] = {.lex_state = 65, .external_lex_state = 6},
  [6655] = {.lex_state = 65, .external_lex_state = 6},
  [6656] = {.lex_state = 65, .external_lex_state = 6},
  [6657] = {.lex_state = 65, .external_lex_state = 6},
  [6658] = {.lex_state = 65, .external_lex_state = 6},
  [6659] = {.lex_state = 65, .external_lex_state = 6},
  [6660] = {.lex_state = 65, .external_lex_state = 6},
  [6661] = {.lex_state = 65, .external_lex_state = 6},
  [6662] = {.lex_state = 65, .external_lex_state = 6},
  [6663] = {.lex_state = 65, .external_lex_state = 6},
  [6664] = {.lex_state = 65, .external_lex_state = 6},
  [6665] = {.lex_state = 65, .external_lex_state = 6},
  [6666] = {.lex_state = 65, .external_lex_state = 6},
  [6667] = {.lex_state = 63, .external_lex_state = 6},
  [6668] = {.lex_state = 63, .external_lex_state = 6},
  [6669] = {.lex_state = 65, .external_lex_state = 6},
  [6670] = {.lex_state = 65, .external_lex_state = 6},
  [6671] = {.lex_state = 65, .external_lex_state = 6},
  [6672] = {.lex_state = 63, .external_lex_state = 6},
  [6673] = {.lex_state = 63, .external_lex_state = 6},
  [6674] = {.lex_state = 65, .external_lex_state = 6},
  [6675] = {.lex_state = 65, .external_lex_state = 6},
  [6676] = {.lex_state = 65, .external_lex_state = 6},
  [6677] = {.lex_state = 65, .external_lex_state = 6},
  [6678] = {.lex_state = 65, .external_lex_state = 6},
  [6679] = {.lex_state = 65, .external_lex_state = 6},
  [6680] = {.lex_state = 65, .external_lex_state = 6},
  [6681] = {.lex_state = 65, .external_lex_state = 6},
  [6682] = {.lex_state = 65, .external_lex_state = 6},
  [6683] = {.lex_state = 65, .external_lex_state = 6},
  [6684] = {.lex_state = 65, .external_lex_state = 6},
  [6685] = {.lex_state = 65, .external_lex_state = 6},
  [6686] = {.lex_state = 65, .external_lex_state = 6},
  [6687] = {.lex_state = 65, .external_lex_state = 6},
  [6688] = {.lex_state = 65, .external_lex_state = 6},
  [6689] = {.lex_state = 63, .external_lex_state = 6},
  [6690] = {.lex_state = 63, .external_lex_state = 6},
  [6691] = {.lex_state = 65, .external_lex_state = 6},
  [6692] = {.lex_state = 65, .external_lex_state = 6},
  [6693] = {.lex_state = 63, .external_lex_state = 6},
  [6694] = {.lex_state = 63, .external_lex_state = 6},
  [6695] = {.lex_state = 65, .external_lex_state = 6},
  [6696] = {.lex_state = 65, .external_lex_state = 6},
  [6697] = {.lex_state = 65, .external_lex_state = 6},
  [6698] = {.lex_state = 65, .external_lex_state = 6},
  [6699] = {.lex_state = 65, .external_lex_state = 6},
  [6700] = {.lex_state = 65, .external_lex_state = 6},
  [6701] = {.lex_state = 65, .external_lex_state = 6},
  [6702] = {.lex_state = 65, .external_lex_state = 6},
  [6703] = {.lex_state = 65, .external_lex_state = 6},
  [6704] = {.lex_state = 65, .external_lex_state = 6},
  [6705] = {.lex_state = 65, .external_lex_state = 6},
  [6706] = {.lex_state = 63, .external_lex_state = 6},
  [6707] = {.lex_state = 65, .external_lex_state = 6},
  [6708] = {.lex_state = 65, .external_lex_state = 6},
  [6709] = {.lex_state = 65, .external_lex_state = 6},
  [6710] = {.lex_state = 65, .external_lex_state = 6},
  [6711] = {.lex_state = 65, .external_lex_state = 6},
  [6712] = {.lex_state = 65, .external_lex_state = 6},
  [6713] = {.lex_state = 65, .external_lex_state = 6},
  [6714] = {.lex_state = 50, .external_lex_state = 6},
  [6715] = {.lex_state = 63, .external_lex_state = 6},
  [6716] = {.lex_state = 63, .external_lex_state = 6},
  [6717] = {.lex_state = 63, .external_lex_state = 6},
  [6718] = {.lex_state = 63, .external_lex_state = 6},
  [6719] = {.lex_state = 65, .external_lex_state = 6},
  [6720] = {.lex_state = 65, .external_lex_state = 6},
  [6721] = {.lex_state = 63, .external_lex_state = 6},
  [6722] = {.lex_state = 63, .external_lex_state = 6},
  [6723] = {.lex_state = 65, .external_lex_state = 6},
  [6724] = {.lex_state = 65, .external_lex_state = 6},
  [6725] = {.lex_state = 65, .external_lex_state = 6},
  [6726] = {.lex_state = 63, .external_lex_state = 6},
  [6727] = {.lex_state = 65, .external_lex_state = 6},
  [6728] = {.lex_state = 65, .external_lex_state = 6},
  [6729] = {.lex_state = 65, .external_lex_state = 6},
  [6730] = {.lex_state = 102, .external_lex_state = 6},
  [6731] = {.lex_state = 65, .external_lex_state = 6},
  [6732] = {.lex_state = 263, .external_lex_state = 6},
  [6733] = {.lex_state = 65, .external_lex_state = 6},
  [6734] = {.lex_state = 65, .external_lex_state = 6},
  [6735] = {.lex_state = 65, .external_lex_state = 6},
  [6736] = {.lex_state = 65, .external_lex_state = 6},
  [6737] = {.lex_state = 65, .external_lex_state = 6},
  [6738] = {.lex_state = 65, .external_lex_state = 6},
  [6739] = {.lex_state = 65, .external_lex_state = 6},
  [6740] = {.lex_state = 65, .external_lex_state = 6},
  [6741] = {.lex_state = 65, .external_lex_state = 6},
  [6742] = {.lex_state = 65, .external_lex_state = 6},
  [6743] = {.lex_state = 65, .external_lex_state = 6},
  [6744] = {.lex_state = 65, .external_lex_state = 6},
  [6745] = {.lex_state = 65, .external_lex_state = 6},
  [6746] = {.lex_state = 65, .external_lex_state = 6},
  [6747] = {.lex_state = 65, .external_lex_state = 6},
  [6748] = {.lex_state = 65, .external_lex_state = 6},
  [6749] = {.lex_state = 65, .external_lex_state = 6},
  [6750] = {.lex_state = 65, .external_lex_state = 6},
  [6751] = {.lex_state = 63, .external_lex_state = 6},
  [6752] = {.lex_state = 63, .external_lex_state = 6},
  [6753] = {.lex_state = 65, .external_lex_state = 6},
  [6754] = {.lex_state = 65, .external_lex_state = 6},
  [6755] = {.lex_state = 65, .external_lex_state = 6},
  [6756] = {.lex_state = 102, .external_lex_state = 6},
  [6757] = {.lex_state = 102, .external_lex_state = 6},
  [6758] = {.lex_state = 102, .external_lex_state = 6},
  [6759] = {.lex_state = 263, .external_lex_state = 6},
  [6760] = {.lex_state = 102, .external_lex_state = 6},
  [6761] = {.lex_state = 263, .external_lex_state = 6},
  [6762] = {.lex_state = 102, .external_lex_state = 6},
  [6763] = {.lex_state = 53, .external_lex_state = 6},
  [6764] = {.lex_state = 53, .external_lex_state = 6},
  [6765] = {.lex_state = 53, .external_lex_state = 6},
  [6766] = {.lex_state = 102, .external_lex_state = 6},
  [6767] = {.lex_state = 102, .external_lex_state = 6},
  [6768] = {.lex_state = 263, .external_lex_state = 6},
  [6769] = {.lex_state = 53, .external_lex_state = 6},
  [6770] = {.lex_state = 53, .external_lex_state = 6},
  [6771] = {.lex_state = 53, .external_lex_state = 6},
  [6772] = {.lex_state = 102, .external_lex_state = 6},
  [6773] = {.lex_state = 102, .external_lex_state = 6},
  [6774] = {.lex_state = 53, .external_lex_state = 6},
  [6775] = {.lex_state = 263, .external_lex_state = 6},
  [6776] = {.lex_state = 102, .external_lex_state = 6},
  [6777] = {.lex_state = 102, .external_lex_state = 6},
  [6778] = {.lex_state = 53, .external_lex_state = 6},
  [6779] = {.lex_state = 102, .external_lex_state = 6},
  [6780] = {.lex_state = 102, .external_lex_state = 6},
  [6781] = {.lex_state = 53, .external_lex_state = 6},
  [6782] = {.lex_state = 65, .external_lex_state = 6},
  [6783] = {.lex_state = 53, .external_lex_state = 6},
  [6784] = {.lex_state = 102, .external_lex_state = 6},
  [6785] = {.lex_state = 102, .external_lex_state = 6},
  [6786] = {.lex_state = 102, .external_lex_state = 6},
  [6787] = {.lex_state = 102, .external_lex_state = 6},
  [6788] = {.lex_state = 102, .external_lex_state = 6},
  [6789] = {.lex_state = 102, .external_lex_state = 6},
  [6790] = {.lex_state = 102, .external_lex_state = 6},
  [6791] = {.lex_state = 102, .external_lex_state = 6},
  [6792] = {.lex_state = 102, .external_lex_state = 6},
  [6793] = {.lex_state = 102, .external_lex_state = 6},
  [6794] = {.lex_state = 102, .external_lex_state = 6},
  [6795] = {.lex_state = 102, .external_lex_state = 6},
  [6796] = {.lex_state = 102, .external_lex_state = 6},
  [6797] = {.lex_state = 102, .external_lex_state = 6},
  [6798] = {.lex_state = 102, .external_lex_state = 6},
  [6799] = {.lex_state = 53, .external_lex_state = 6},
  [6800] = {.lex_state = 102, .external_lex_state = 6},
  [6801] = {.lex_state = 65, .external_lex_state = 6},
  [6802] = {.lex_state = 53, .external_lex_state = 6},
  [6803] = {.lex_state = 102, .external_lex_state = 6},
  [6804] = {.lex_state = 102, .external_lex_state = 6},
  [6805] = {.lex_state = 53, .external_lex_state = 6},
  [6806] = {.lex_state = 263, .external_lex_state = 6},
  [6807] = {.lex_state = 65, .external_lex_state = 6},
  [6808] = {.lex_state = 63, .external_lex_state = 6},
  [6809] = {.lex_state = 263, .external_lex_state = 6},
  [6810] = {.lex_state = 53, .external_lex_state = 6},
  [6811] = {.lex_state = 263, .external_lex_state = 6},
  [6812] = {.lex_state = 53, .external_lex_state = 6},
  [6813] = {.lex_state = 102, .external_lex_state = 6},
  [6814] = {.lex_state = 65, .external_lex_state = 6},
  [6815] = {.lex_state = 53, .external_lex_state = 6},
  [6816] = {.lex_state = 65, .external_lex_state = 6},
  [6817] = {.lex_state = 102, .external_lex_state = 6},
  [6818] = {.lex_state = 102, .external_lex_state = 6},
  [6819] = {.lex_state = 102, .external_lex_state = 6},
  [6820] = {.lex_state = 63, .external_lex_state = 6},
  [6821] = {.lex_state = 102, .external_lex_state = 6},
  [6822] = {.lex_state = 65, .external_lex_state = 6},
  [6823] = {.lex_state = 102, .external_lex_state = 6},
  [6824] = {.lex_state = 263, .external_lex_state = 6},
  [6825] = {.lex_state = 102, .external_lex_state = 6},
  [6826] = {.lex_state = 263, .external_lex_state = 6},
  [6827] = {.lex_state = 102, .external_lex_state = 6},
  [6828] = {.lex_state = 102, .external_lex_state = 6},
  [6829] = {.lex_state = 102, .external_lex_state = 6},
  [6830] = {.lex_state = 102, .external_lex_state = 6},
  [6831] = {.lex_state = 102, .external_lex_state = 6},
  [6832] = {.lex_state = 102, .external_lex_state = 6},
  [6833] = {.lex_state = 65, .external_lex_state = 6},
  [6834] = {.lex_state = 53, .external_lex_state = 6},
  [6835] = {.lex_state = 65, .external_lex_state = 6},
  [6836] = {.lex_state = 102, .external_lex_state = 6},
  [6837] = {.lex_state = 263, .external_lex_state = 6},
  [6838] = {.lex_state = 102, .external_lex_state = 6},
  [6839] = {.lex_state = 263, .external_lex_state = 6},
  [6840] = {.lex_state = 102, .external_lex_state = 6},
  [6841] = {.lex_state = 102, .external_lex_state = 6},
  [6842] = {.lex_state = 102, .external_lex_state = 6},
  [6843] = {.lex_state = 53, .external_lex_state = 6},
  [6844] = {.lex_state = 102, .external_lex_state = 6},
  [6845] = {.lex_state = 102, .external_lex_state = 6},
  [6846] = {.lex_state = 102, .external_lex_state = 6},
  [6847] = {.lex_state = 102, .external_lex_state = 6},
  [6848] = {.lex_state = 102, .external_lex_state = 6},
  [6849] = {.lex_state = 263, .external_lex_state = 6},
  [6850] = {.lex_state = 102, .external_lex_state = 6},
  [6851] = {.lex_state = 102, .external_lex_state = 6},
  [6852] = {.lex_state = 102, .external_lex_state = 6},
  [6853] = {.lex_state = 102, .external_lex_state = 6},
  [6854] = {.lex_state = 263, .external_lex_state = 6},
  [6855] = {.lex_state = 263, .external_lex_state = 6},
  [6856] = {.lex_state = 263, .external_lex_state = 6},
  [6857] = {.lex_state = 263, .external_lex_state = 6},
  [6858] = {.lex_state = 50, .external_lex_state = 6},
  [6859] = {.lex_state = 263, .external_lex_state = 6},
  [6860] = {.lex_state = 100, .external_lex_state = 6},
  [6861] = {.lex_state = 263, .external_lex_state = 6},
  [6862] = {.lex_state = 263, .external_lex_state = 6},
  [6863] = {.lex_state = 263, .external_lex_state = 6},
  [6864] = {.lex_state = 263, .external_lex_state = 6},
  [6865] = {.lex_state = 50, .external_lex_state = 6},
  [6866] = {.lex_state = 100, .external_lex_state = 6},
  [6867] = {.lex_state = 263, .external_lex_state = 6},
  [6868] = {.lex_state = 263, .external_lex_state = 6},
  [6869] = {.lex_state = 263, .external_lex_state = 6},
  [6870] = {.lex_state = 263, .external_lex_state = 6},
  [6871] = {.lex_state = 263, .external_lex_state = 6},
  [6872] = {.lex_state = 263, .external_lex_state = 6},
  [6873] = {.lex_state = 263, .external_lex_state = 6},
  [6874] = {.lex_state = 263, .external_lex_state = 6},
  [6875] = {.lex_state = 50, .external_lex_state = 6},
  [6876] = {.lex_state = 263, .external_lex_state = 6},
  [6877] = {.lex_state = 263, .external_lex_state = 6},
  [6878] = {.lex_state = 263, .external_lex_state = 6},
  [6879] = {.lex_state = 263, .external_lex_state = 6},
  [6880] = {.lex_state = 263, .external_lex_state = 6},
  [6881] = {.lex_state = 263, .external_lex_state = 6},
  [6882] = {.lex_state = 263, .external_lex_state = 6},
  [6883] = {.lex_state = 263, .external_lex_state = 6},
  [6884] = {.lex_state = 263, .external_lex_state = 6},
  [6885] = {.lex_state = 263, .external_lex_state = 6},
  [6886] = {.lex_state = 263, .external_lex_state = 6},
  [6887] = {.lex_state = 263, .external_lex_state = 6},
  [6888] = {.lex_state = 263, .external_lex_state = 6},
  [6889] = {.lex_state = 263, .external_lex_state = 6},
  [6890] = {.lex_state = 263, .external_lex_state = 6},
  [6891] = {.lex_state = 263, .external_lex_state = 6},
  [6892] = {.lex_state = 263, .external_lex_state = 6},
  [6893] = {.lex_state = 50, .external_lex_state = 6},
  [6894] = {.lex_state = 263, .external_lex_state = 6},
  [6895] = {.lex_state = 263, .external_lex_state = 6},
  [6896] = {.lex_state = 100, .external_lex_state = 6},
  [6897] = {.lex_state = 263, .external_lex_state = 6},
  [6898] = {.lex_state = 263, .external_lex_state = 6},
  [6899] = {.lex_state = 263, .external_lex_state = 6},
  [6900] = {.lex_state = 263, .external_lex_state = 6},
  [6901] = {.lex_state = 263, .external_lex_state = 6},
  [6902] = {.lex_state = 263, .external_lex_state = 6},
  [6903] = {.lex_state = 263, .external_lex_state = 6},
  [6904] = {.lex_state = 263, .external_lex_state = 6},
  [6905] = {.lex_state = 263, .external_lex_state = 6},
  [6906] = {.lex_state = 100, .external_lex_state = 6},
  [6907] = {.lex_state = 50, .external_lex_state = 6},
  [6908] = {.lex_state = 263, .external_lex_state = 6},
  [6909] = {.lex_state = 263, .external_lex_state = 6},
  [6910] = {.lex_state = 263, .external_lex_state = 6},
  [6911] = {.lex_state = 263, .external_lex_state = 6},
  [6912] = {.lex_state = 263, .external_lex_state = 6},
  [6913] = {.lex_state = 263, .external_lex_state = 6},
  [6914] = {.lex_state = 263, .external_lex_state = 6},
  [6915] = {.lex_state = 263, .external_lex_state = 6},
  [6916] = {.lex_state = 263, .external_lex_state = 6},
  [6917] = {.lex_state = 263, .external_lex_state = 6},
  [6918] = {.lex_state = 263, .external_lex_state = 6},
  [6919] = {.lex_state = 263, .external_lex_state = 6},
  [6920] = {.lex_state = 263, .external_lex_state = 6},
  [6921] = {.lex_state = 263, .external_lex_state = 6},
  [6922] = {.lex_state = 50, .external_lex_state = 6},
  [6923] = {.lex_state = 263, .external_lex_state = 6},
  [6924] = {.lex_state = 263, .external_lex_state = 6},
  [6925] = {.lex_state = 263, .external_lex_state = 6},
  [6926] = {.lex_state = 100, .external_lex_state = 6},
  [6927] = {.lex_state = 263, .external_lex_state = 6},
  [6928] = {.lex_state = 263, .external_lex_state = 6},
  [6929] = {.lex_state = 263, .external_lex_state = 6},
  [6930] = {.lex_state = 263, .external_lex_state = 6},
  [6931] = {.lex_state = 263, .external_lex_state = 6},
  [6932] = {.lex_state = 263, .external_lex_state = 6},
  [6933] = {.lex_state = 263, .external_lex_state = 6},
  [6934] = {.lex_state = 263, .external_lex_state = 6},
  [6935] = {.lex_state = 50, .external_lex_state = 6},
  [6936] = {.lex_state = 100, .external_lex_state = 6},
  [6937] = {.lex_state = 263, .external_lex_state = 6},
  [6938] = {.lex_state = 263, .external_lex_state = 6},
  [6939] = {.lex_state = 263, .external_lex_state = 6},
  [6940] = {.lex_state = 263, .external_lex_state = 6},
  [6941] = {.lex_state = 263, .external_lex_state = 6},
  [6942] = {.lex_state = 263, .external_lex_state = 6},
  [6943] = {.lex_state = 263, .external_lex_state = 6},
  [6944] = {.lex_state = 263, .external_lex_state = 6},
  [6945] = {.lex_state = 263, .external_lex_state = 6},
  [6946] = {.lex_state = 263, .external_lex_state = 6},
  [6947] = {.lex_state = 263, .external_lex_state = 6},
  [6948] = {.lex_state = 50, .external_lex_state = 6},
  [6949] = {.lex_state = 100, .external_lex_state = 6},
  [6950] = {.lex_state = 263, .external_lex_state = 6},
  [6951] = {.lex_state = 263, .external_lex_state = 6},
  [6952] = {.lex_state = 263, .external_lex_state = 6},
  [6953] = {.lex_state = 263, .external_lex_state = 6},
  [6954] = {.lex_state = 263, .external_lex_state = 6},
  [6955] = {.lex_state = 263, .external_lex_state = 6},
  [6956] = {.lex_state = 263, .external_lex_state = 6},
  [6957] = {.lex_state = 100, .external_lex_state = 6},
  [6958] = {.lex_state = 263, .external_lex_state = 6},
  [6959] = {.lex_state = 263, .external_lex_state = 6},
  [6960] = {.lex_state = 263, .external_lex_state = 6},
  [6961] = {.lex_state = 263, .external_lex_state = 6},
  [6962] = {.lex_state = 263, .external_lex_state = 6},
  [6963] = {.lex_state = 263, .external_lex_state = 6},
  [6964] = {.lex_state = 263, .external_lex_state = 6},
  [6965] = {.lex_state = 50, .external_lex_state = 6},
  [6966] = {.lex_state = 100, .external_lex_state = 6},
  [6967] = {.lex_state = 263, .external_lex_state = 6},
  [6968] = {.lex_state = 263, .external_lex_state = 6},
  [6969] = {.lex_state = 50, .external_lex_state = 6},
  [6970] = {.lex_state = 100, .external_lex_state = 6},
  [6971] = {.lex_state = 263, .external_lex_state = 6},
  [6972] = {.lex_state = 263, .external_lex_state = 6},
  [6973] = {.lex_state = 263, .external_lex_state = 6},
  [6974] = {.lex_state = 263, .external_lex_state = 6},
  [6975] = {.lex_state = 263, .external_lex_state = 6},
  [6976] = {.lex_state = 263, .external_lex_state = 6},
  [6977] = {.lex_state = 100, .external_lex_state = 6},
  [6978] = {.lex_state = 263, .external_lex_state = 6},
  [6979] = {.lex_state = 50, .external_lex_state = 6},
  [6980] = {.lex_state = 50, .external_lex_state = 6},
  [6981] = {.lex_state = 263, .external_lex_state = 6},
  [6982] = {.lex_state = 100, .external_lex_state = 6},
  [6983] = {.lex_state = 263, .external_lex_state = 6},
  [6984] = {.lex_state = 263, .external_lex_state = 6},
  [6985] = {.lex_state = 263, .external_lex_state = 6},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_identifier_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_char] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_nil] = ACTIONS(1),
    [sym_atom] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_POUND_LBRACE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [aux_sym_sigil_token1] = ACTIONS(1),
    [aux_sym_sigil_token2] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [sym_keyword] = ACTIONS(1),
    [aux_sym_quoted_keyword_token1] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT_TILDE] = ACTIONS(1),
    [anon_sym_TILDE_GT_GT] = ACTIONS(1),
    [anon_sym_LT_TILDE] = ACTIONS(1),
    [anon_sym_TILDE_GT] = ACTIONS(1),
    [anon_sym_LT_TILDE_GT] = ACTIONS(1),
    [anon_sym_LT_PIPE_GT] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_rescue] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__quoted_content_i_single] = ACTIONS(1),
    [sym__quoted_content_i_double] = ACTIONS(1),
    [sym__quoted_content_i_heredoc_single] = ACTIONS(1),
    [sym__quoted_content_i_heredoc_double] = ACTIONS(1),
    [sym__quoted_content_i_parenthesis] = ACTIONS(1),
    [sym__quoted_content_i_curly] = ACTIONS(1),
    [sym__quoted_content_i_square] = ACTIONS(1),
    [sym__quoted_content_i_angle] = ACTIONS(1),
    [sym__quoted_content_i_bar] = ACTIONS(1),
    [sym__quoted_content_i_slash] = ACTIONS(1),
    [sym__quoted_content_single] = ACTIONS(1),
    [sym__quoted_content_double] = ACTIONS(1),
    [sym__quoted_content_heredoc_single] = ACTIONS(1),
    [sym__quoted_content_heredoc_double] = ACTIONS(1),
    [sym__quoted_content_parenthesis] = ACTIONS(1),
    [sym__quoted_content_curly] = ACTIONS(1),
    [sym__quoted_content_square] = ACTIONS(1),
    [sym__quoted_content_angle] = ACTIONS(1),
    [sym__quoted_content_bar] = ACTIONS(1),
    [sym__quoted_content_slash] = ACTIONS(1),
    [sym__newline_before_do] = ACTIONS(1),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1),
    [sym__not_in] = ACTIONS(1),
    [sym__quoted_atom_start] = ACTIONS(1),
  },
  [1] = {
    [sym_source] = STATE(6930),
    [sym__terminator] = STATE(425),
    [sym__expression] = STATE(2950),
    [sym_block] = STATE(2950),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(2950),
    [sym_nil] = STATE(2950),
    [sym__atom] = STATE(2950),
    [sym_quoted_atom] = STATE(2950),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(2950),
    [sym_charlist] = STATE(2950),
    [sym_sigil] = STATE(2950),
    [sym_list] = STATE(2950),
    [sym_tuple] = STATE(2950),
    [sym_bitstring] = STATE(2950),
    [sym_map] = STATE(2950),
    [sym__nullary_operator] = STATE(2950),
    [sym_unary_operator] = STATE(2950),
    [sym_binary_operator] = STATE(2950),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(2950),
    [sym_call] = STATE(2950),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(2950),
    [sym_anonymous_function] = STATE(2950),
    [aux_sym__terminator_repeat1] = STATE(1031),
    [ts_builtin_sym_end] = ACTIONS(7),
    [aux_sym__terminator_token1] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(17),
    [sym_integer] = ACTIONS(17),
    [sym_float] = ACTIONS(17),
    [sym_char] = ACTIONS(17),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(17),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [2] = {
    [sym__terminator] = STATE(27),
    [sym__expression] = STATE(1062),
    [sym_block] = STATE(1062),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1062),
    [sym_nil] = STATE(1062),
    [sym__atom] = STATE(1062),
    [sym_quoted_atom] = STATE(1062),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1062),
    [sym_charlist] = STATE(1062),
    [sym_sigil] = STATE(1062),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1062),
    [sym_tuple] = STATE(1062),
    [sym_bitstring] = STATE(1062),
    [sym_map] = STATE(1062),
    [sym__nullary_operator] = STATE(1062),
    [sym_unary_operator] = STATE(1062),
    [sym_binary_operator] = STATE(1062),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1062),
    [sym_call] = STATE(1062),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4695),
    [sym_rescue_block] = STATE(4695),
    [sym_catch_block] = STATE(4695),
    [sym_else_block] = STATE(4695),
    [sym_access_call] = STATE(1062),
    [sym_stab_clause] = STATE(4662),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1062),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4695),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(67),
    [sym_integer] = ACTIONS(67),
    [sym_float] = ACTIONS(67),
    [sym_char] = ACTIONS(67),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(109),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [3] = {
    [sym__terminator] = STATE(33),
    [sym__expression] = STATE(1080),
    [sym_block] = STATE(1080),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1080),
    [sym_nil] = STATE(1080),
    [sym__atom] = STATE(1080),
    [sym_quoted_atom] = STATE(1080),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1080),
    [sym_charlist] = STATE(1080),
    [sym_sigil] = STATE(1080),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1080),
    [sym_tuple] = STATE(1080),
    [sym_bitstring] = STATE(1080),
    [sym_map] = STATE(1080),
    [sym__nullary_operator] = STATE(1080),
    [sym_unary_operator] = STATE(1080),
    [sym_binary_operator] = STATE(1080),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4708),
    [sym_rescue_block] = STATE(4708),
    [sym_catch_block] = STATE(4708),
    [sym_else_block] = STATE(4708),
    [sym_access_call] = STATE(1080),
    [sym_stab_clause] = STATE(4679),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1080),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4708),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(121),
    [sym_integer] = ACTIONS(121),
    [sym_float] = ACTIONS(121),
    [sym_char] = ACTIONS(121),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(121),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(123),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [4] = {
    [sym__terminator] = STATE(25),
    [sym__expression] = STATE(1065),
    [sym_block] = STATE(1065),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1065),
    [sym_nil] = STATE(1065),
    [sym__atom] = STATE(1065),
    [sym_quoted_atom] = STATE(1065),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1065),
    [sym_charlist] = STATE(1065),
    [sym_sigil] = STATE(1065),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1065),
    [sym_tuple] = STATE(1065),
    [sym_bitstring] = STATE(1065),
    [sym_map] = STATE(1065),
    [sym__nullary_operator] = STATE(1065),
    [sym_unary_operator] = STATE(1065),
    [sym_binary_operator] = STATE(1065),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1065),
    [sym_call] = STATE(1065),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4710),
    [sym_rescue_block] = STATE(4710),
    [sym_catch_block] = STATE(4710),
    [sym_else_block] = STATE(4710),
    [sym_access_call] = STATE(1065),
    [sym_stab_clause] = STATE(4620),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1065),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4710),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(127),
    [sym_integer] = ACTIONS(127),
    [sym_float] = ACTIONS(127),
    [sym_char] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(127),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(129),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [5] = {
    [sym__terminator] = STATE(30),
    [sym__expression] = STATE(1083),
    [sym_block] = STATE(1083),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1083),
    [sym_nil] = STATE(1083),
    [sym__atom] = STATE(1083),
    [sym_quoted_atom] = STATE(1083),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1083),
    [sym_charlist] = STATE(1083),
    [sym_sigil] = STATE(1083),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1083),
    [sym_tuple] = STATE(1083),
    [sym_bitstring] = STATE(1083),
    [sym_map] = STATE(1083),
    [sym__nullary_operator] = STATE(1083),
    [sym_unary_operator] = STATE(1083),
    [sym_binary_operator] = STATE(1083),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1083),
    [sym_call] = STATE(1083),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4701),
    [sym_rescue_block] = STATE(4701),
    [sym_catch_block] = STATE(4701),
    [sym_else_block] = STATE(4701),
    [sym_access_call] = STATE(1083),
    [sym_stab_clause] = STATE(4676),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1083),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4701),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(133),
    [sym_integer] = ACTIONS(133),
    [sym_float] = ACTIONS(133),
    [sym_char] = ACTIONS(133),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(135),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [6] = {
    [sym__terminator] = STATE(21),
    [sym__expression] = STATE(1064),
    [sym_block] = STATE(1064),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1064),
    [sym_nil] = STATE(1064),
    [sym__atom] = STATE(1064),
    [sym_quoted_atom] = STATE(1064),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1064),
    [sym_charlist] = STATE(1064),
    [sym_sigil] = STATE(1064),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1064),
    [sym_tuple] = STATE(1064),
    [sym_bitstring] = STATE(1064),
    [sym_map] = STATE(1064),
    [sym__nullary_operator] = STATE(1064),
    [sym_unary_operator] = STATE(1064),
    [sym_binary_operator] = STATE(1064),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1064),
    [sym_call] = STATE(1064),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4711),
    [sym_rescue_block] = STATE(4711),
    [sym_catch_block] = STATE(4711),
    [sym_else_block] = STATE(4711),
    [sym_access_call] = STATE(1064),
    [sym_stab_clause] = STATE(4625),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1064),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4711),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(139),
    [sym_integer] = ACTIONS(139),
    [sym_float] = ACTIONS(139),
    [sym_char] = ACTIONS(139),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(139),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(141),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [7] = {
    [sym__terminator] = STATE(26),
    [sym__expression] = STATE(1073),
    [sym_block] = STATE(1073),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1073),
    [sym_nil] = STATE(1073),
    [sym__atom] = STATE(1073),
    [sym_quoted_atom] = STATE(1073),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1073),
    [sym_charlist] = STATE(1073),
    [sym_sigil] = STATE(1073),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1073),
    [sym_tuple] = STATE(1073),
    [sym_bitstring] = STATE(1073),
    [sym_map] = STATE(1073),
    [sym__nullary_operator] = STATE(1073),
    [sym_unary_operator] = STATE(1073),
    [sym_binary_operator] = STATE(1073),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1073),
    [sym_call] = STATE(1073),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4744),
    [sym_rescue_block] = STATE(4744),
    [sym_catch_block] = STATE(4744),
    [sym_else_block] = STATE(4744),
    [sym_access_call] = STATE(1073),
    [sym_stab_clause] = STATE(4626),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1073),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4744),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(145),
    [sym_integer] = ACTIONS(145),
    [sym_float] = ACTIONS(145),
    [sym_char] = ACTIONS(145),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(147),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [8] = {
    [sym__terminator] = STATE(31),
    [sym__expression] = STATE(1068),
    [sym_block] = STATE(1068),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1068),
    [sym_nil] = STATE(1068),
    [sym__atom] = STATE(1068),
    [sym_quoted_atom] = STATE(1068),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1068),
    [sym_charlist] = STATE(1068),
    [sym_sigil] = STATE(1068),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1068),
    [sym_tuple] = STATE(1068),
    [sym_bitstring] = STATE(1068),
    [sym_map] = STATE(1068),
    [sym__nullary_operator] = STATE(1068),
    [sym_unary_operator] = STATE(1068),
    [sym_binary_operator] = STATE(1068),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1068),
    [sym_call] = STATE(1068),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4726),
    [sym_rescue_block] = STATE(4726),
    [sym_catch_block] = STATE(4726),
    [sym_else_block] = STATE(4726),
    [sym_access_call] = STATE(1068),
    [sym_stab_clause] = STATE(4674),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1068),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4726),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(151),
    [sym_integer] = ACTIONS(151),
    [sym_float] = ACTIONS(151),
    [sym_char] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(151),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(153),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [9] = {
    [sym__terminator] = STATE(32),
    [sym__expression] = STATE(1077),
    [sym_block] = STATE(1077),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1077),
    [sym_nil] = STATE(1077),
    [sym__atom] = STATE(1077),
    [sym_quoted_atom] = STATE(1077),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1077),
    [sym_charlist] = STATE(1077),
    [sym_sigil] = STATE(1077),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1077),
    [sym_tuple] = STATE(1077),
    [sym_bitstring] = STATE(1077),
    [sym_map] = STATE(1077),
    [sym__nullary_operator] = STATE(1077),
    [sym_unary_operator] = STATE(1077),
    [sym_binary_operator] = STATE(1077),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1077),
    [sym_call] = STATE(1077),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4749),
    [sym_rescue_block] = STATE(4749),
    [sym_catch_block] = STATE(4749),
    [sym_else_block] = STATE(4749),
    [sym_access_call] = STATE(1077),
    [sym_stab_clause] = STATE(4621),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1077),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4749),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(157),
    [sym_integer] = ACTIONS(157),
    [sym_float] = ACTIONS(157),
    [sym_char] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(157),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(159),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [10] = {
    [sym__terminator] = STATE(28),
    [sym__expression] = STATE(1070),
    [sym_block] = STATE(1070),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1070),
    [sym_nil] = STATE(1070),
    [sym__atom] = STATE(1070),
    [sym_quoted_atom] = STATE(1070),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1070),
    [sym_charlist] = STATE(1070),
    [sym_sigil] = STATE(1070),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1070),
    [sym_tuple] = STATE(1070),
    [sym_bitstring] = STATE(1070),
    [sym_map] = STATE(1070),
    [sym__nullary_operator] = STATE(1070),
    [sym_unary_operator] = STATE(1070),
    [sym_binary_operator] = STATE(1070),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1070),
    [sym_call] = STATE(1070),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4732),
    [sym_rescue_block] = STATE(4732),
    [sym_catch_block] = STATE(4732),
    [sym_else_block] = STATE(4732),
    [sym_access_call] = STATE(1070),
    [sym_stab_clause] = STATE(4659),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1070),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4732),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(163),
    [sym_integer] = ACTIONS(163),
    [sym_float] = ACTIONS(163),
    [sym_char] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(165),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [11] = {
    [sym__terminator] = STATE(24),
    [sym__expression] = STATE(1081),
    [sym_block] = STATE(1081),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1081),
    [sym_nil] = STATE(1081),
    [sym__atom] = STATE(1081),
    [sym_quoted_atom] = STATE(1081),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1081),
    [sym_charlist] = STATE(1081),
    [sym_sigil] = STATE(1081),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_bitstring] = STATE(1081),
    [sym_map] = STATE(1081),
    [sym__nullary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_binary_operator] = STATE(1081),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1081),
    [sym_call] = STATE(1081),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4746),
    [sym_rescue_block] = STATE(4746),
    [sym_catch_block] = STATE(4746),
    [sym_else_block] = STATE(4746),
    [sym_access_call] = STATE(1081),
    [sym_stab_clause] = STATE(4660),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1081),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4746),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(169),
    [sym_integer] = ACTIONS(169),
    [sym_float] = ACTIONS(169),
    [sym_char] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(171),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [12] = {
    [sym__terminator] = STATE(23),
    [sym__expression] = STATE(1075),
    [sym_block] = STATE(1075),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1075),
    [sym_nil] = STATE(1075),
    [sym__atom] = STATE(1075),
    [sym_quoted_atom] = STATE(1075),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1075),
    [sym_charlist] = STATE(1075),
    [sym_sigil] = STATE(1075),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1075),
    [sym_tuple] = STATE(1075),
    [sym_bitstring] = STATE(1075),
    [sym_map] = STATE(1075),
    [sym__nullary_operator] = STATE(1075),
    [sym_unary_operator] = STATE(1075),
    [sym_binary_operator] = STATE(1075),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1075),
    [sym_call] = STATE(1075),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4735),
    [sym_rescue_block] = STATE(4735),
    [sym_catch_block] = STATE(4735),
    [sym_else_block] = STATE(4735),
    [sym_access_call] = STATE(1075),
    [sym_stab_clause] = STATE(4657),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1075),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4735),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(175),
    [sym_integer] = ACTIONS(175),
    [sym_float] = ACTIONS(175),
    [sym_char] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(177),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [13] = {
    [sym__terminator] = STATE(22),
    [sym__expression] = STATE(1071),
    [sym_block] = STATE(1071),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1071),
    [sym_nil] = STATE(1071),
    [sym__atom] = STATE(1071),
    [sym_quoted_atom] = STATE(1071),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1071),
    [sym_charlist] = STATE(1071),
    [sym_sigil] = STATE(1071),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1071),
    [sym_tuple] = STATE(1071),
    [sym_bitstring] = STATE(1071),
    [sym_map] = STATE(1071),
    [sym__nullary_operator] = STATE(1071),
    [sym_unary_operator] = STATE(1071),
    [sym_binary_operator] = STATE(1071),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1071),
    [sym_call] = STATE(1071),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4721),
    [sym_rescue_block] = STATE(4721),
    [sym_catch_block] = STATE(4721),
    [sym_else_block] = STATE(4721),
    [sym_access_call] = STATE(1071),
    [sym_stab_clause] = STATE(4658),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1071),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym_do_block_repeat1] = STATE(4721),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(181),
    [sym_integer] = ACTIONS(181),
    [sym_float] = ACTIONS(181),
    [sym_char] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(181),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(183),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [14] = {
    [sym__expression] = STATE(1204),
    [sym_block] = STATE(1204),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1204),
    [sym_nil] = STATE(1204),
    [sym__atom] = STATE(1204),
    [sym_quoted_atom] = STATE(1204),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1204),
    [sym_charlist] = STATE(1204),
    [sym_sigil] = STATE(1204),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1204),
    [sym_tuple] = STATE(1204),
    [sym_bitstring] = STATE(1204),
    [sym_map] = STATE(1204),
    [sym__nullary_operator] = STATE(1204),
    [sym_unary_operator] = STATE(1204),
    [sym_binary_operator] = STATE(1204),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1204),
    [sym_call] = STATE(1204),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1089),
    [sym__call_arguments_without_parentheses] = STATE(1130),
    [sym_do_block] = STATE(1235),
    [sym_access_call] = STATE(1204),
    [sym_anonymous_function] = STATE(1204),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(193),
    [sym_integer] = ACTIONS(193),
    [sym_float] = ACTIONS(193),
    [sym_char] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(193),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_after] = ACTIONS(187),
    [anon_sym_catch] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_else] = ACTIONS(187),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_rescue] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [15] = {
    [sym__expression] = STATE(1204),
    [sym_block] = STATE(1204),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1204),
    [sym_nil] = STATE(1204),
    [sym__atom] = STATE(1204),
    [sym_quoted_atom] = STATE(1204),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1204),
    [sym_charlist] = STATE(1204),
    [sym_sigil] = STATE(1204),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1204),
    [sym_tuple] = STATE(1204),
    [sym_bitstring] = STATE(1204),
    [sym_map] = STATE(1204),
    [sym__nullary_operator] = STATE(1204),
    [sym_unary_operator] = STATE(1204),
    [sym_binary_operator] = STATE(1204),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1204),
    [sym_call] = STATE(1204),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1085),
    [sym__call_arguments_without_parentheses] = STATE(1128),
    [sym_do_block] = STATE(1736),
    [sym_access_call] = STATE(1204),
    [sym_anonymous_function] = STATE(1204),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(193),
    [sym_integer] = ACTIONS(193),
    [sym_float] = ACTIONS(193),
    [sym_char] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(193),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_after] = ACTIONS(187),
    [anon_sym_catch] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_else] = ACTIONS(187),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_rescue] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(235),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [16] = {
    [sym__expression] = STATE(1423),
    [sym_block] = STATE(1423),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1423),
    [sym_nil] = STATE(1423),
    [sym__atom] = STATE(1423),
    [sym_quoted_atom] = STATE(1423),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1423),
    [sym_charlist] = STATE(1423),
    [sym_sigil] = STATE(1423),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1423),
    [sym_tuple] = STATE(1423),
    [sym_bitstring] = STATE(1423),
    [sym_map] = STATE(1423),
    [sym__nullary_operator] = STATE(1423),
    [sym_unary_operator] = STATE(1423),
    [sym_binary_operator] = STATE(1423),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1423),
    [sym_call] = STATE(1423),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1132),
    [sym__call_arguments_without_parentheses] = STATE(1210),
    [sym_do_block] = STATE(2025),
    [sym_access_call] = STATE(1423),
    [sym_anonymous_function] = STATE(1423),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(239),
    [sym_integer] = ACTIONS(239),
    [sym_float] = ACTIONS(239),
    [sym_char] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_after] = ACTIONS(187),
    [anon_sym_catch] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(271),
    [anon_sym_else] = ACTIONS(187),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_rescue] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(277),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [17] = {
    [sym__expression] = STATE(1204),
    [sym_block] = STATE(1204),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1204),
    [sym_nil] = STATE(1204),
    [sym__atom] = STATE(1204),
    [sym_quoted_atom] = STATE(1204),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1204),
    [sym_charlist] = STATE(1204),
    [sym_sigil] = STATE(1204),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1204),
    [sym_tuple] = STATE(1204),
    [sym_bitstring] = STATE(1204),
    [sym_map] = STATE(1204),
    [sym__nullary_operator] = STATE(1204),
    [sym_unary_operator] = STATE(1204),
    [sym_binary_operator] = STATE(1204),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1204),
    [sym_call] = STATE(1204),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1084),
    [sym__call_arguments_without_parentheses] = STATE(1131),
    [sym_do_block] = STATE(1141),
    [sym_access_call] = STATE(1204),
    [sym_anonymous_function] = STATE(1204),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(193),
    [sym_integer] = ACTIONS(193),
    [sym_float] = ACTIONS(193),
    [sym_char] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(193),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(290),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_after] = ACTIONS(285),
    [anon_sym_catch] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_else] = ACTIONS(285),
    [anon_sym_end] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_rescue] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [18] = {
    [sym__expression] = STATE(1423),
    [sym_block] = STATE(1423),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1423),
    [sym_nil] = STATE(1423),
    [sym__atom] = STATE(1423),
    [sym_quoted_atom] = STATE(1423),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1423),
    [sym_charlist] = STATE(1423),
    [sym_sigil] = STATE(1423),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1423),
    [sym_tuple] = STATE(1423),
    [sym_bitstring] = STATE(1423),
    [sym_map] = STATE(1423),
    [sym__nullary_operator] = STATE(1423),
    [sym_unary_operator] = STATE(1423),
    [sym_binary_operator] = STATE(1423),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1423),
    [sym_call] = STATE(1423),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1103),
    [sym__call_arguments_without_parentheses] = STATE(1300),
    [sym_do_block] = STATE(1413),
    [sym_access_call] = STATE(1423),
    [sym_anonymous_function] = STATE(1423),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(239),
    [sym_integer] = ACTIONS(239),
    [sym_float] = ACTIONS(239),
    [sym_char] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(302),
    [anon_sym_DASH] = ACTIONS(302),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_after] = ACTIONS(285),
    [anon_sym_catch] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_else] = ACTIONS(285),
    [anon_sym_end] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_rescue] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [19] = {
    [sym__expression] = STATE(1423),
    [sym_block] = STATE(1423),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1423),
    [sym_nil] = STATE(1423),
    [sym__atom] = STATE(1423),
    [sym_quoted_atom] = STATE(1423),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1423),
    [sym_charlist] = STATE(1423),
    [sym_sigil] = STATE(1423),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1423),
    [sym_tuple] = STATE(1423),
    [sym_bitstring] = STATE(1423),
    [sym_map] = STATE(1423),
    [sym__nullary_operator] = STATE(1423),
    [sym_unary_operator] = STATE(1423),
    [sym_binary_operator] = STATE(1423),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1423),
    [sym_call] = STATE(1423),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1102),
    [sym__call_arguments_without_parentheses] = STATE(1304),
    [sym_do_block] = STATE(1408),
    [sym_access_call] = STATE(1423),
    [sym_anonymous_function] = STATE(1423),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(239),
    [sym_integer] = ACTIONS(239),
    [sym_float] = ACTIONS(239),
    [sym_char] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_after] = ACTIONS(187),
    [anon_sym_catch] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_else] = ACTIONS(187),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_rescue] = ACTIONS(187),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [20] = {
    [sym__expression] = STATE(1204),
    [sym_block] = STATE(1204),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1204),
    [sym_nil] = STATE(1204),
    [sym__atom] = STATE(1204),
    [sym_quoted_atom] = STATE(1204),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1204),
    [sym_charlist] = STATE(1204),
    [sym_sigil] = STATE(1204),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1204),
    [sym_tuple] = STATE(1204),
    [sym_bitstring] = STATE(1204),
    [sym_map] = STATE(1204),
    [sym__nullary_operator] = STATE(1204),
    [sym_unary_operator] = STATE(1204),
    [sym_binary_operator] = STATE(1204),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1204),
    [sym_call] = STATE(1204),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1086),
    [sym__call_arguments_without_parentheses] = STATE(1123),
    [sym_do_block] = STATE(1737),
    [sym_access_call] = STATE(1204),
    [sym_anonymous_function] = STATE(1204),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(193),
    [sym_integer] = ACTIONS(193),
    [sym_float] = ACTIONS(193),
    [sym_char] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(193),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(290),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_after] = ACTIONS(285),
    [anon_sym_catch] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_else] = ACTIONS(285),
    [anon_sym_end] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_rescue] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [21] = {
    [sym__expression] = STATE(1074),
    [sym_block] = STATE(1074),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1074),
    [sym_nil] = STATE(1074),
    [sym__atom] = STATE(1074),
    [sym_quoted_atom] = STATE(1074),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1074),
    [sym_charlist] = STATE(1074),
    [sym_sigil] = STATE(1074),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1074),
    [sym_tuple] = STATE(1074),
    [sym_bitstring] = STATE(1074),
    [sym_map] = STATE(1074),
    [sym__nullary_operator] = STATE(1074),
    [sym_unary_operator] = STATE(1074),
    [sym_binary_operator] = STATE(1074),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1074),
    [sym_call] = STATE(1074),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4699),
    [sym_rescue_block] = STATE(4699),
    [sym_catch_block] = STATE(4699),
    [sym_else_block] = STATE(4699),
    [sym_access_call] = STATE(1074),
    [sym_stab_clause] = STATE(4622),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1074),
    [aux_sym_do_block_repeat1] = STATE(4699),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(305),
    [sym_integer] = ACTIONS(305),
    [sym_float] = ACTIONS(305),
    [sym_char] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(305),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [22] = {
    [sym__expression] = STATE(1067),
    [sym_block] = STATE(1067),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1067),
    [sym_nil] = STATE(1067),
    [sym__atom] = STATE(1067),
    [sym_quoted_atom] = STATE(1067),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1067),
    [sym_charlist] = STATE(1067),
    [sym_sigil] = STATE(1067),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1067),
    [sym_tuple] = STATE(1067),
    [sym_bitstring] = STATE(1067),
    [sym_map] = STATE(1067),
    [sym__nullary_operator] = STATE(1067),
    [sym_unary_operator] = STATE(1067),
    [sym_binary_operator] = STATE(1067),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1067),
    [sym_call] = STATE(1067),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4709),
    [sym_rescue_block] = STATE(4709),
    [sym_catch_block] = STATE(4709),
    [sym_else_block] = STATE(4709),
    [sym_access_call] = STATE(1067),
    [sym_stab_clause] = STATE(4636),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1067),
    [aux_sym_do_block_repeat1] = STATE(4709),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(309),
    [sym_integer] = ACTIONS(309),
    [sym_float] = ACTIONS(309),
    [sym_char] = ACTIONS(309),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(311),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [23] = {
    [sym__expression] = STATE(1078),
    [sym_block] = STATE(1078),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1078),
    [sym_nil] = STATE(1078),
    [sym__atom] = STATE(1078),
    [sym_quoted_atom] = STATE(1078),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1078),
    [sym_charlist] = STATE(1078),
    [sym_sigil] = STATE(1078),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1078),
    [sym_tuple] = STATE(1078),
    [sym_bitstring] = STATE(1078),
    [sym_map] = STATE(1078),
    [sym__nullary_operator] = STATE(1078),
    [sym_unary_operator] = STATE(1078),
    [sym_binary_operator] = STATE(1078),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1078),
    [sym_call] = STATE(1078),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4736),
    [sym_rescue_block] = STATE(4736),
    [sym_catch_block] = STATE(4736),
    [sym_else_block] = STATE(4736),
    [sym_access_call] = STATE(1078),
    [sym_stab_clause] = STATE(4656),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1078),
    [aux_sym_do_block_repeat1] = STATE(4736),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(313),
    [sym_integer] = ACTIONS(313),
    [sym_float] = ACTIONS(313),
    [sym_char] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(313),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [24] = {
    [sym__expression] = STATE(1072),
    [sym_block] = STATE(1072),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1072),
    [sym_nil] = STATE(1072),
    [sym__atom] = STATE(1072),
    [sym_quoted_atom] = STATE(1072),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1072),
    [sym_charlist] = STATE(1072),
    [sym_sigil] = STATE(1072),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1072),
    [sym_tuple] = STATE(1072),
    [sym_bitstring] = STATE(1072),
    [sym_map] = STATE(1072),
    [sym__nullary_operator] = STATE(1072),
    [sym_unary_operator] = STATE(1072),
    [sym_binary_operator] = STATE(1072),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1072),
    [sym_call] = STATE(1072),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4707),
    [sym_rescue_block] = STATE(4707),
    [sym_catch_block] = STATE(4707),
    [sym_else_block] = STATE(4707),
    [sym_access_call] = STATE(1072),
    [sym_stab_clause] = STATE(4638),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1072),
    [aux_sym_do_block_repeat1] = STATE(4707),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(317),
    [sym_integer] = ACTIONS(317),
    [sym_float] = ACTIONS(317),
    [sym_char] = ACTIONS(317),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(317),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(319),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [25] = {
    [sym__expression] = STATE(1066),
    [sym_block] = STATE(1066),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1066),
    [sym_nil] = STATE(1066),
    [sym__atom] = STATE(1066),
    [sym_quoted_atom] = STATE(1066),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1066),
    [sym_charlist] = STATE(1066),
    [sym_sigil] = STATE(1066),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1066),
    [sym_tuple] = STATE(1066),
    [sym_bitstring] = STATE(1066),
    [sym_map] = STATE(1066),
    [sym__nullary_operator] = STATE(1066),
    [sym_unary_operator] = STATE(1066),
    [sym_binary_operator] = STATE(1066),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1066),
    [sym_call] = STATE(1066),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4713),
    [sym_rescue_block] = STATE(4713),
    [sym_catch_block] = STATE(4713),
    [sym_else_block] = STATE(4713),
    [sym_access_call] = STATE(1066),
    [sym_stab_clause] = STATE(4653),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1066),
    [aux_sym_do_block_repeat1] = STATE(4713),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(321),
    [sym_integer] = ACTIONS(321),
    [sym_float] = ACTIONS(321),
    [sym_char] = ACTIONS(321),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(321),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(323),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [26] = {
    [sym__expression] = STATE(1061),
    [sym_block] = STATE(1061),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1061),
    [sym_nil] = STATE(1061),
    [sym__atom] = STATE(1061),
    [sym_quoted_atom] = STATE(1061),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1061),
    [sym_charlist] = STATE(1061),
    [sym_sigil] = STATE(1061),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1061),
    [sym_tuple] = STATE(1061),
    [sym_bitstring] = STATE(1061),
    [sym_map] = STATE(1061),
    [sym__nullary_operator] = STATE(1061),
    [sym_unary_operator] = STATE(1061),
    [sym_binary_operator] = STATE(1061),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1061),
    [sym_call] = STATE(1061),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4690),
    [sym_rescue_block] = STATE(4690),
    [sym_catch_block] = STATE(4690),
    [sym_else_block] = STATE(4690),
    [sym_access_call] = STATE(1061),
    [sym_stab_clause] = STATE(4671),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1061),
    [aux_sym_do_block_repeat1] = STATE(4690),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(325),
    [sym_integer] = ACTIONS(325),
    [sym_float] = ACTIONS(325),
    [sym_char] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(327),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [27] = {
    [sym__expression] = STATE(1063),
    [sym_block] = STATE(1063),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1063),
    [sym_nil] = STATE(1063),
    [sym__atom] = STATE(1063),
    [sym_quoted_atom] = STATE(1063),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1063),
    [sym_charlist] = STATE(1063),
    [sym_sigil] = STATE(1063),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1063),
    [sym_tuple] = STATE(1063),
    [sym_bitstring] = STATE(1063),
    [sym_map] = STATE(1063),
    [sym__nullary_operator] = STATE(1063),
    [sym_unary_operator] = STATE(1063),
    [sym_binary_operator] = STATE(1063),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1063),
    [sym_call] = STATE(1063),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4697),
    [sym_rescue_block] = STATE(4697),
    [sym_catch_block] = STATE(4697),
    [sym_else_block] = STATE(4697),
    [sym_access_call] = STATE(1063),
    [sym_stab_clause] = STATE(4654),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1063),
    [aux_sym_do_block_repeat1] = STATE(4697),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(329),
    [sym_integer] = ACTIONS(329),
    [sym_float] = ACTIONS(329),
    [sym_char] = ACTIONS(329),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(329),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(331),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [28] = {
    [sym__expression] = STATE(1079),
    [sym_block] = STATE(1079),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1079),
    [sym_nil] = STATE(1079),
    [sym__atom] = STATE(1079),
    [sym_quoted_atom] = STATE(1079),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1079),
    [sym_charlist] = STATE(1079),
    [sym_sigil] = STATE(1079),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1079),
    [sym_tuple] = STATE(1079),
    [sym_bitstring] = STATE(1079),
    [sym_map] = STATE(1079),
    [sym__nullary_operator] = STATE(1079),
    [sym_unary_operator] = STATE(1079),
    [sym_binary_operator] = STATE(1079),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1079),
    [sym_call] = STATE(1079),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4712),
    [sym_rescue_block] = STATE(4712),
    [sym_catch_block] = STATE(4712),
    [sym_else_block] = STATE(4712),
    [sym_access_call] = STATE(1079),
    [sym_stab_clause] = STATE(4673),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1079),
    [aux_sym_do_block_repeat1] = STATE(4712),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(333),
    [sym_integer] = ACTIONS(333),
    [sym_float] = ACTIONS(333),
    [sym_char] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(333),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(335),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [29] = {
    [sym__expression] = STATE(1423),
    [sym_block] = STATE(1423),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1423),
    [sym_nil] = STATE(1423),
    [sym__atom] = STATE(1423),
    [sym_quoted_atom] = STATE(1423),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1423),
    [sym_charlist] = STATE(1423),
    [sym_sigil] = STATE(1423),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1423),
    [sym_tuple] = STATE(1423),
    [sym_bitstring] = STATE(1423),
    [sym_map] = STATE(1423),
    [sym__nullary_operator] = STATE(1423),
    [sym_unary_operator] = STATE(1423),
    [sym_binary_operator] = STATE(1423),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1423),
    [sym_call] = STATE(1423),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1124),
    [sym__call_arguments_without_parentheses] = STATE(1215),
    [sym_do_block] = STATE(2020),
    [sym_access_call] = STATE(1423),
    [sym_anonymous_function] = STATE(1423),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(239),
    [sym_integer] = ACTIONS(239),
    [sym_float] = ACTIONS(239),
    [sym_char] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(302),
    [anon_sym_DASH] = ACTIONS(302),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_after] = ACTIONS(285),
    [anon_sym_catch] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(271),
    [anon_sym_else] = ACTIONS(285),
    [anon_sym_end] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_rescue] = ACTIONS(285),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [30] = {
    [sym__expression] = STATE(1082),
    [sym_block] = STATE(1082),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1082),
    [sym_nil] = STATE(1082),
    [sym__atom] = STATE(1082),
    [sym_quoted_atom] = STATE(1082),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1082),
    [sym_charlist] = STATE(1082),
    [sym_sigil] = STATE(1082),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1082),
    [sym_tuple] = STATE(1082),
    [sym_bitstring] = STATE(1082),
    [sym_map] = STATE(1082),
    [sym__nullary_operator] = STATE(1082),
    [sym_unary_operator] = STATE(1082),
    [sym_binary_operator] = STATE(1082),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1082),
    [sym_call] = STATE(1082),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4719),
    [sym_rescue_block] = STATE(4719),
    [sym_catch_block] = STATE(4719),
    [sym_else_block] = STATE(4719),
    [sym_access_call] = STATE(1082),
    [sym_stab_clause] = STATE(4670),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1082),
    [aux_sym_do_block_repeat1] = STATE(4719),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(337),
    [sym_integer] = ACTIONS(337),
    [sym_float] = ACTIONS(337),
    [sym_char] = ACTIONS(337),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(337),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(339),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [31] = {
    [sym__expression] = STATE(1069),
    [sym_block] = STATE(1069),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1069),
    [sym_nil] = STATE(1069),
    [sym__atom] = STATE(1069),
    [sym_quoted_atom] = STATE(1069),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1069),
    [sym_charlist] = STATE(1069),
    [sym_sigil] = STATE(1069),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1069),
    [sym_tuple] = STATE(1069),
    [sym_bitstring] = STATE(1069),
    [sym_map] = STATE(1069),
    [sym__nullary_operator] = STATE(1069),
    [sym_unary_operator] = STATE(1069),
    [sym_binary_operator] = STATE(1069),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1069),
    [sym_call] = STATE(1069),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4727),
    [sym_rescue_block] = STATE(4727),
    [sym_catch_block] = STATE(4727),
    [sym_else_block] = STATE(4727),
    [sym_access_call] = STATE(1069),
    [sym_stab_clause] = STATE(4677),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1069),
    [aux_sym_do_block_repeat1] = STATE(4727),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(341),
    [sym_integer] = ACTIONS(341),
    [sym_float] = ACTIONS(341),
    [sym_char] = ACTIONS(341),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(341),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(343),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [32] = {
    [sym__expression] = STATE(1076),
    [sym_block] = STATE(1076),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1076),
    [sym_nil] = STATE(1076),
    [sym__atom] = STATE(1076),
    [sym_quoted_atom] = STATE(1076),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1076),
    [sym_charlist] = STATE(1076),
    [sym_sigil] = STATE(1076),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1076),
    [sym_tuple] = STATE(1076),
    [sym_bitstring] = STATE(1076),
    [sym_map] = STATE(1076),
    [sym__nullary_operator] = STATE(1076),
    [sym_unary_operator] = STATE(1076),
    [sym_binary_operator] = STATE(1076),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1076),
    [sym_call] = STATE(1076),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4750),
    [sym_rescue_block] = STATE(4750),
    [sym_catch_block] = STATE(4750),
    [sym_else_block] = STATE(4750),
    [sym_access_call] = STATE(1076),
    [sym_stab_clause] = STATE(4628),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1076),
    [aux_sym_do_block_repeat1] = STATE(4750),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(345),
    [sym_integer] = ACTIONS(345),
    [sym_float] = ACTIONS(345),
    [sym_char] = ACTIONS(345),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(345),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(347),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [33] = {
    [sym__expression] = STATE(1060),
    [sym_block] = STATE(1060),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1060),
    [sym_nil] = STATE(1060),
    [sym__atom] = STATE(1060),
    [sym_quoted_atom] = STATE(1060),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1060),
    [sym_charlist] = STATE(1060),
    [sym_sigil] = STATE(1060),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1060),
    [sym_tuple] = STATE(1060),
    [sym_bitstring] = STATE(1060),
    [sym_map] = STATE(1060),
    [sym__nullary_operator] = STATE(1060),
    [sym_unary_operator] = STATE(1060),
    [sym_binary_operator] = STATE(1060),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1060),
    [sym_call] = STATE(1060),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_after_block] = STATE(4704),
    [sym_rescue_block] = STATE(4704),
    [sym_catch_block] = STATE(4704),
    [sym_else_block] = STATE(4704),
    [sym_access_call] = STATE(1060),
    [sym_stab_clause] = STATE(4682),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1060),
    [aux_sym_do_block_repeat1] = STATE(4704),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(349),
    [sym_integer] = ACTIONS(349),
    [sym_float] = ACTIONS(349),
    [sym_char] = ACTIONS(349),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(351),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [34] = {
    [sym__terminator] = STATE(70),
    [sym__expression] = STATE(1113),
    [sym_block] = STATE(1113),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1113),
    [sym_nil] = STATE(1113),
    [sym__atom] = STATE(1113),
    [sym_quoted_atom] = STATE(1113),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1113),
    [sym_charlist] = STATE(1113),
    [sym_sigil] = STATE(1113),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1113),
    [sym_tuple] = STATE(1113),
    [sym_bitstring] = STATE(1113),
    [sym_map] = STATE(1113),
    [sym__nullary_operator] = STATE(1113),
    [sym_unary_operator] = STATE(1113),
    [sym_binary_operator] = STATE(1113),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1113),
    [sym_call] = STATE(1113),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1113),
    [sym_stab_clause] = STATE(4771),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1113),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(353),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(355),
    [sym_integer] = ACTIONS(355),
    [sym_float] = ACTIONS(355),
    [sym_char] = ACTIONS(355),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(355),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(357),
    [anon_sym_catch] = ACTIONS(357),
    [anon_sym_else] = ACTIONS(357),
    [anon_sym_end] = ACTIONS(357),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(357),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [35] = {
    [sym__expression] = STATE(2181),
    [sym_block] = STATE(2181),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2181),
    [sym_nil] = STATE(2181),
    [sym__atom] = STATE(2181),
    [sym_quoted_atom] = STATE(2181),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2181),
    [sym_charlist] = STATE(2181),
    [sym_sigil] = STATE(2181),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2181),
    [sym_tuple] = STATE(2181),
    [sym_bitstring] = STATE(2181),
    [sym_map] = STATE(2181),
    [sym__nullary_operator] = STATE(2181),
    [sym_unary_operator] = STATE(2181),
    [sym_binary_operator] = STATE(2181),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2181),
    [sym_call] = STATE(2181),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1595),
    [sym__call_arguments_without_parentheses] = STATE(2087),
    [sym_do_block] = STATE(2250),
    [sym_access_call] = STATE(2181),
    [sym_anonymous_function] = STATE(2181),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(363),
    [sym_integer] = ACTIONS(363),
    [sym_float] = ACTIONS(363),
    [sym_char] = ACTIONS(363),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(389),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [36] = {
    [sym__terminator] = STATE(66),
    [sym__expression] = STATE(1093),
    [sym_block] = STATE(1093),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1093),
    [sym_nil] = STATE(1093),
    [sym__atom] = STATE(1093),
    [sym_quoted_atom] = STATE(1093),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1093),
    [sym_charlist] = STATE(1093),
    [sym_sigil] = STATE(1093),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1093),
    [sym_tuple] = STATE(1093),
    [sym_bitstring] = STATE(1093),
    [sym_map] = STATE(1093),
    [sym__nullary_operator] = STATE(1093),
    [sym_unary_operator] = STATE(1093),
    [sym_binary_operator] = STATE(1093),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1093),
    [sym_call] = STATE(1093),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1093),
    [sym_stab_clause] = STATE(4756),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1093),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(409),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(411),
    [sym_integer] = ACTIONS(411),
    [sym_float] = ACTIONS(411),
    [sym_char] = ACTIONS(411),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(411),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(413),
    [anon_sym_catch] = ACTIONS(413),
    [anon_sym_else] = ACTIONS(413),
    [anon_sym_end] = ACTIONS(413),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(413),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [37] = {
    [sym__terminator] = STATE(67),
    [sym__expression] = STATE(1094),
    [sym_block] = STATE(1094),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1094),
    [sym_nil] = STATE(1094),
    [sym__atom] = STATE(1094),
    [sym_quoted_atom] = STATE(1094),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1094),
    [sym_charlist] = STATE(1094),
    [sym_sigil] = STATE(1094),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1094),
    [sym_tuple] = STATE(1094),
    [sym_bitstring] = STATE(1094),
    [sym_map] = STATE(1094),
    [sym__nullary_operator] = STATE(1094),
    [sym_unary_operator] = STATE(1094),
    [sym_binary_operator] = STATE(1094),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1094),
    [sym_call] = STATE(1094),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1094),
    [sym_stab_clause] = STATE(4775),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1094),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(417),
    [sym_integer] = ACTIONS(417),
    [sym_float] = ACTIONS(417),
    [sym_char] = ACTIONS(417),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(419),
    [anon_sym_catch] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_end] = ACTIONS(419),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(419),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [38] = {
    [sym__expression] = STATE(2181),
    [sym_block] = STATE(2181),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2181),
    [sym_nil] = STATE(2181),
    [sym__atom] = STATE(2181),
    [sym_quoted_atom] = STATE(2181),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2181),
    [sym_charlist] = STATE(2181),
    [sym_sigil] = STATE(2181),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2181),
    [sym_tuple] = STATE(2181),
    [sym_bitstring] = STATE(2181),
    [sym_map] = STATE(2181),
    [sym__nullary_operator] = STATE(2181),
    [sym_unary_operator] = STATE(2181),
    [sym_binary_operator] = STATE(2181),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2181),
    [sym_call] = STATE(2181),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1598),
    [sym__call_arguments_without_parentheses] = STATE(1864),
    [sym_do_block] = STATE(3240),
    [sym_access_call] = STATE(2181),
    [sym_anonymous_function] = STATE(2181),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(363),
    [sym_integer] = ACTIONS(363),
    [sym_float] = ACTIONS(363),
    [sym_char] = ACTIONS(363),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(423),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [39] = {
    [sym__terminator] = STATE(72),
    [sym__expression] = STATE(1118),
    [sym_block] = STATE(1118),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1118),
    [sym_nil] = STATE(1118),
    [sym__atom] = STATE(1118),
    [sym_quoted_atom] = STATE(1118),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1118),
    [sym_charlist] = STATE(1118),
    [sym_sigil] = STATE(1118),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1118),
    [sym_tuple] = STATE(1118),
    [sym_bitstring] = STATE(1118),
    [sym_map] = STATE(1118),
    [sym__nullary_operator] = STATE(1118),
    [sym_unary_operator] = STATE(1118),
    [sym_binary_operator] = STATE(1118),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1118),
    [sym_call] = STATE(1118),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1118),
    [sym_stab_clause] = STATE(4768),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1118),
    [aux_sym__terminator_repeat1] = STATE(1018),
    [aux_sym__terminator_token1] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(427),
    [sym_integer] = ACTIONS(427),
    [sym_float] = ACTIONS(427),
    [sym_char] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(429),
    [anon_sym_catch] = ACTIONS(429),
    [anon_sym_else] = ACTIONS(429),
    [anon_sym_end] = ACTIONS(429),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(429),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [40] = {
    [sym__expression] = STATE(2181),
    [sym_block] = STATE(2181),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2181),
    [sym_nil] = STATE(2181),
    [sym__atom] = STATE(2181),
    [sym_quoted_atom] = STATE(2181),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2181),
    [sym_charlist] = STATE(2181),
    [sym_sigil] = STATE(2181),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2181),
    [sym_tuple] = STATE(2181),
    [sym_bitstring] = STATE(2181),
    [sym_map] = STATE(2181),
    [sym__nullary_operator] = STATE(2181),
    [sym_unary_operator] = STATE(2181),
    [sym_binary_operator] = STATE(2181),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2181),
    [sym_call] = STATE(2181),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1596),
    [sym__call_arguments_without_parentheses] = STATE(2083),
    [sym_do_block] = STATE(2249),
    [sym_access_call] = STATE(2181),
    [sym_anonymous_function] = STATE(2181),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(363),
    [sym_integer] = ACTIONS(363),
    [sym_float] = ACTIONS(363),
    [sym_char] = ACTIONS(363),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [41] = {
    [sym__expression] = STATE(2645),
    [sym_block] = STATE(2645),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(2645),
    [sym_nil] = STATE(2645),
    [sym__atom] = STATE(2645),
    [sym_quoted_atom] = STATE(2645),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2645),
    [sym_charlist] = STATE(2645),
    [sym_sigil] = STATE(2645),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(2645),
    [sym_tuple] = STATE(2645),
    [sym_bitstring] = STATE(2645),
    [sym_map] = STATE(2645),
    [sym__nullary_operator] = STATE(2645),
    [sym_unary_operator] = STATE(2645),
    [sym_binary_operator] = STATE(2645),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2645),
    [sym_call] = STATE(2645),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1103),
    [sym__call_arguments_without_parentheses] = STATE(1300),
    [sym_do_block] = STATE(1413),
    [sym_access_call] = STATE(2645),
    [sym_anonymous_function] = STATE(2645),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(433),
    [sym_integer] = ACTIONS(433),
    [sym_float] = ACTIONS(433),
    [sym_char] = ACTIONS(433),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(433),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [42] = {
    [sym__expression] = STATE(2618),
    [sym_block] = STATE(2618),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(2618),
    [sym_nil] = STATE(2618),
    [sym__atom] = STATE(2618),
    [sym_quoted_atom] = STATE(2618),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2618),
    [sym_charlist] = STATE(2618),
    [sym_sigil] = STATE(2618),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(2618),
    [sym_tuple] = STATE(2618),
    [sym_bitstring] = STATE(2618),
    [sym_map] = STATE(2618),
    [sym__nullary_operator] = STATE(2618),
    [sym_unary_operator] = STATE(2618),
    [sym_binary_operator] = STATE(2618),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2618),
    [sym_call] = STATE(2618),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1103),
    [sym__call_arguments_without_parentheses] = STATE(1300),
    [sym_do_block] = STATE(1413),
    [sym_access_call] = STATE(2618),
    [sym_anonymous_function] = STATE(2618),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(452),
    [sym_integer] = ACTIONS(452),
    [sym_float] = ACTIONS(452),
    [sym_char] = ACTIONS(452),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(452),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_end] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [43] = {
    [sym__expression] = STATE(2216),
    [sym_block] = STATE(2216),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2216),
    [sym_nil] = STATE(2216),
    [sym__atom] = STATE(2216),
    [sym_quoted_atom] = STATE(2216),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2216),
    [sym_charlist] = STATE(2216),
    [sym_sigil] = STATE(2216),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2216),
    [sym_tuple] = STATE(2216),
    [sym_bitstring] = STATE(2216),
    [sym_map] = STATE(2216),
    [sym__nullary_operator] = STATE(2216),
    [sym_unary_operator] = STATE(2216),
    [sym_binary_operator] = STATE(2216),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2216),
    [sym_call] = STATE(2216),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1085),
    [sym__call_arguments_without_parentheses] = STATE(1128),
    [sym_do_block] = STATE(1736),
    [sym_access_call] = STATE(2216),
    [sym_anonymous_function] = STATE(2216),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(469),
    [sym_integer] = ACTIONS(469),
    [sym_float] = ACTIONS(469),
    [sym_char] = ACTIONS(469),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(235),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [44] = {
    [sym__expression] = STATE(2216),
    [sym_block] = STATE(2216),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2216),
    [sym_nil] = STATE(2216),
    [sym__atom] = STATE(2216),
    [sym_quoted_atom] = STATE(2216),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2216),
    [sym_charlist] = STATE(2216),
    [sym_sigil] = STATE(2216),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2216),
    [sym_tuple] = STATE(2216),
    [sym_bitstring] = STATE(2216),
    [sym_map] = STATE(2216),
    [sym__nullary_operator] = STATE(2216),
    [sym_unary_operator] = STATE(2216),
    [sym_binary_operator] = STATE(2216),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2216),
    [sym_call] = STATE(2216),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1089),
    [sym__call_arguments_without_parentheses] = STATE(1130),
    [sym_do_block] = STATE(1235),
    [sym_access_call] = STATE(2216),
    [sym_anonymous_function] = STATE(2216),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(469),
    [sym_integer] = ACTIONS(469),
    [sym_float] = ACTIONS(469),
    [sym_char] = ACTIONS(469),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [45] = {
    [sym__expression] = STATE(2216),
    [sym_block] = STATE(2216),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2216),
    [sym_nil] = STATE(2216),
    [sym__atom] = STATE(2216),
    [sym_quoted_atom] = STATE(2216),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2216),
    [sym_charlist] = STATE(2216),
    [sym_sigil] = STATE(2216),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2216),
    [sym_tuple] = STATE(2216),
    [sym_bitstring] = STATE(2216),
    [sym_map] = STATE(2216),
    [sym__nullary_operator] = STATE(2216),
    [sym_unary_operator] = STATE(2216),
    [sym_binary_operator] = STATE(2216),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2216),
    [sym_call] = STATE(2216),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1084),
    [sym__call_arguments_without_parentheses] = STATE(1131),
    [sym_do_block] = STATE(1141),
    [sym_access_call] = STATE(2216),
    [sym_anonymous_function] = STATE(2216),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(469),
    [sym_integer] = ACTIONS(469),
    [sym_float] = ACTIONS(469),
    [sym_char] = ACTIONS(469),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(290),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [46] = {
    [sym__expression] = STATE(2645),
    [sym_block] = STATE(2645),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(2645),
    [sym_nil] = STATE(2645),
    [sym__atom] = STATE(2645),
    [sym_quoted_atom] = STATE(2645),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2645),
    [sym_charlist] = STATE(2645),
    [sym_sigil] = STATE(2645),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(2645),
    [sym_tuple] = STATE(2645),
    [sym_bitstring] = STATE(2645),
    [sym_map] = STATE(2645),
    [sym__nullary_operator] = STATE(2645),
    [sym_unary_operator] = STATE(2645),
    [sym_binary_operator] = STATE(2645),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2645),
    [sym_call] = STATE(2645),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1132),
    [sym__call_arguments_without_parentheses] = STATE(1210),
    [sym_do_block] = STATE(2025),
    [sym_access_call] = STATE(2645),
    [sym_anonymous_function] = STATE(2645),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(433),
    [sym_integer] = ACTIONS(433),
    [sym_float] = ACTIONS(433),
    [sym_char] = ACTIONS(433),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(433),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(277),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [47] = {
    [sym__expression] = STATE(2181),
    [sym_block] = STATE(2181),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2181),
    [sym_nil] = STATE(2181),
    [sym__atom] = STATE(2181),
    [sym_quoted_atom] = STATE(2181),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2181),
    [sym_charlist] = STATE(2181),
    [sym_sigil] = STATE(2181),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2181),
    [sym_tuple] = STATE(2181),
    [sym_bitstring] = STATE(2181),
    [sym_map] = STATE(2181),
    [sym__nullary_operator] = STATE(2181),
    [sym_unary_operator] = STATE(2181),
    [sym_binary_operator] = STATE(2181),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2181),
    [sym_call] = STATE(2181),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1573),
    [sym__call_arguments_without_parentheses] = STATE(1861),
    [sym_do_block] = STATE(3241),
    [sym_access_call] = STATE(2181),
    [sym_anonymous_function] = STATE(2181),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(363),
    [sym_integer] = ACTIONS(363),
    [sym_float] = ACTIONS(363),
    [sym_char] = ACTIONS(363),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(389),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [48] = {
    [sym__expression] = STATE(2645),
    [sym_block] = STATE(2645),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(2645),
    [sym_nil] = STATE(2645),
    [sym__atom] = STATE(2645),
    [sym_quoted_atom] = STATE(2645),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2645),
    [sym_charlist] = STATE(2645),
    [sym_sigil] = STATE(2645),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(2645),
    [sym_tuple] = STATE(2645),
    [sym_bitstring] = STATE(2645),
    [sym_map] = STATE(2645),
    [sym__nullary_operator] = STATE(2645),
    [sym_unary_operator] = STATE(2645),
    [sym_binary_operator] = STATE(2645),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2645),
    [sym_call] = STATE(2645),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1102),
    [sym__call_arguments_without_parentheses] = STATE(1304),
    [sym_do_block] = STATE(1408),
    [sym_access_call] = STATE(2645),
    [sym_anonymous_function] = STATE(2645),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(433),
    [sym_integer] = ACTIONS(433),
    [sym_float] = ACTIONS(433),
    [sym_char] = ACTIONS(433),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(433),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [49] = {
    [sym__expression] = STATE(2618),
    [sym_block] = STATE(2618),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(2618),
    [sym_nil] = STATE(2618),
    [sym__atom] = STATE(2618),
    [sym_quoted_atom] = STATE(2618),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2618),
    [sym_charlist] = STATE(2618),
    [sym_sigil] = STATE(2618),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(2618),
    [sym_tuple] = STATE(2618),
    [sym_bitstring] = STATE(2618),
    [sym_map] = STATE(2618),
    [sym__nullary_operator] = STATE(2618),
    [sym_unary_operator] = STATE(2618),
    [sym_binary_operator] = STATE(2618),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2618),
    [sym_call] = STATE(2618),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1132),
    [sym__call_arguments_without_parentheses] = STATE(1210),
    [sym_do_block] = STATE(2025),
    [sym_access_call] = STATE(2618),
    [sym_anonymous_function] = STATE(2618),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(452),
    [sym_integer] = ACTIONS(452),
    [sym_float] = ACTIONS(452),
    [sym_char] = ACTIONS(452),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(452),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(271),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(277),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [50] = {
    [sym__expression] = STATE(2893),
    [sym_block] = STATE(2893),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(2893),
    [sym_nil] = STATE(2893),
    [sym__atom] = STATE(2893),
    [sym_quoted_atom] = STATE(2893),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(2893),
    [sym_charlist] = STATE(2893),
    [sym_sigil] = STATE(2893),
    [sym_keywords] = STATE(3061),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(2893),
    [sym_tuple] = STATE(2893),
    [sym_bitstring] = STATE(2893),
    [sym_map] = STATE(2893),
    [sym__nullary_operator] = STATE(2893),
    [sym_unary_operator] = STATE(2893),
    [sym_binary_operator] = STATE(2893),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(2893),
    [sym_call] = STATE(2893),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2158),
    [sym__call_arguments_without_parentheses] = STATE(2876),
    [sym_do_block] = STATE(4171),
    [sym_access_call] = STATE(2893),
    [sym_anonymous_function] = STATE(2893),
    [ts_builtin_sym_end] = ACTIONS(185),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(490),
    [sym_integer] = ACTIONS(490),
    [sym_float] = ACTIONS(490),
    [sym_char] = ACTIONS(490),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(522),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_LPAREN2] = ACTIONS(526),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(528),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [51] = {
    [sym__expression] = STATE(2618),
    [sym_block] = STATE(2618),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(2618),
    [sym_nil] = STATE(2618),
    [sym__atom] = STATE(2618),
    [sym_quoted_atom] = STATE(2618),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2618),
    [sym_charlist] = STATE(2618),
    [sym_sigil] = STATE(2618),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(2618),
    [sym_tuple] = STATE(2618),
    [sym_bitstring] = STATE(2618),
    [sym_map] = STATE(2618),
    [sym__nullary_operator] = STATE(2618),
    [sym_unary_operator] = STATE(2618),
    [sym_binary_operator] = STATE(2618),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2618),
    [sym_call] = STATE(2618),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1102),
    [sym__call_arguments_without_parentheses] = STATE(1304),
    [sym_do_block] = STATE(1408),
    [sym_access_call] = STATE(2618),
    [sym_anonymous_function] = STATE(2618),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(452),
    [sym_integer] = ACTIONS(452),
    [sym_float] = ACTIONS(452),
    [sym_char] = ACTIONS(452),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(452),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_end] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [52] = {
    [sym__expression] = STATE(2893),
    [sym_block] = STATE(2893),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(2893),
    [sym_nil] = STATE(2893),
    [sym__atom] = STATE(2893),
    [sym_quoted_atom] = STATE(2893),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(2893),
    [sym_charlist] = STATE(2893),
    [sym_sigil] = STATE(2893),
    [sym_keywords] = STATE(3061),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(2893),
    [sym_tuple] = STATE(2893),
    [sym_bitstring] = STATE(2893),
    [sym_map] = STATE(2893),
    [sym__nullary_operator] = STATE(2893),
    [sym_unary_operator] = STATE(2893),
    [sym_binary_operator] = STATE(2893),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(2893),
    [sym_call] = STATE(2893),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2187),
    [sym__call_arguments_without_parentheses] = STATE(2655),
    [sym_do_block] = STATE(3280),
    [sym_access_call] = STATE(2893),
    [sym_anonymous_function] = STATE(2893),
    [ts_builtin_sym_end] = ACTIONS(185),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(490),
    [sym_integer] = ACTIONS(490),
    [sym_float] = ACTIONS(490),
    [sym_char] = ACTIONS(490),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_LPAREN2] = ACTIONS(526),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [53] = {
    [sym__expression] = STATE(2893),
    [sym_block] = STATE(2893),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(2893),
    [sym_nil] = STATE(2893),
    [sym__atom] = STATE(2893),
    [sym_quoted_atom] = STATE(2893),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(2893),
    [sym_charlist] = STATE(2893),
    [sym_sigil] = STATE(2893),
    [sym_keywords] = STATE(3061),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(2893),
    [sym_tuple] = STATE(2893),
    [sym_bitstring] = STATE(2893),
    [sym_map] = STATE(2893),
    [sym__nullary_operator] = STATE(2893),
    [sym_unary_operator] = STATE(2893),
    [sym_binary_operator] = STATE(2893),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(2893),
    [sym_call] = STATE(2893),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2188),
    [sym__call_arguments_without_parentheses] = STATE(2647),
    [sym_do_block] = STATE(3288),
    [sym_access_call] = STATE(2893),
    [sym_anonymous_function] = STATE(2893),
    [ts_builtin_sym_end] = ACTIONS(283),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(490),
    [sym_integer] = ACTIONS(490),
    [sym_float] = ACTIONS(490),
    [sym_char] = ACTIONS(490),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(534),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_LPAREN2] = ACTIONS(526),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [54] = {
    [sym__expression] = STATE(2618),
    [sym_block] = STATE(2618),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(2618),
    [sym_nil] = STATE(2618),
    [sym__atom] = STATE(2618),
    [sym_quoted_atom] = STATE(2618),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2618),
    [sym_charlist] = STATE(2618),
    [sym_sigil] = STATE(2618),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(2618),
    [sym_tuple] = STATE(2618),
    [sym_bitstring] = STATE(2618),
    [sym_map] = STATE(2618),
    [sym__nullary_operator] = STATE(2618),
    [sym_unary_operator] = STATE(2618),
    [sym_binary_operator] = STATE(2618),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2618),
    [sym_call] = STATE(2618),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1124),
    [sym__call_arguments_without_parentheses] = STATE(1215),
    [sym_do_block] = STATE(2020),
    [sym_access_call] = STATE(2618),
    [sym_anonymous_function] = STATE(2618),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(452),
    [sym_integer] = ACTIONS(452),
    [sym_float] = ACTIONS(452),
    [sym_char] = ACTIONS(452),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(452),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(271),
    [anon_sym_end] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [55] = {
    [sym__expression] = STATE(2216),
    [sym_block] = STATE(2216),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2216),
    [sym_nil] = STATE(2216),
    [sym__atom] = STATE(2216),
    [sym_quoted_atom] = STATE(2216),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2216),
    [sym_charlist] = STATE(2216),
    [sym_sigil] = STATE(2216),
    [sym_keywords] = STATE(1223),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2216),
    [sym_tuple] = STATE(2216),
    [sym_bitstring] = STATE(2216),
    [sym_map] = STATE(2216),
    [sym__nullary_operator] = STATE(2216),
    [sym_unary_operator] = STATE(2216),
    [sym_binary_operator] = STATE(2216),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2216),
    [sym_call] = STATE(2216),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1086),
    [sym__call_arguments_without_parentheses] = STATE(1123),
    [sym_do_block] = STATE(1737),
    [sym_access_call] = STATE(2216),
    [sym_anonymous_function] = STATE(2216),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(469),
    [sym_integer] = ACTIONS(469),
    [sym_float] = ACTIONS(469),
    [sym_char] = ACTIONS(469),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(469),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(290),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_fn] = ACTIONS(225),
    [anon_sym_LPAREN2] = ACTIONS(227),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [56] = {
    [sym__expression] = STATE(2912),
    [sym_block] = STATE(2912),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2912),
    [sym_nil] = STATE(2912),
    [sym__atom] = STATE(2912),
    [sym_quoted_atom] = STATE(2912),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2912),
    [sym_charlist] = STATE(2912),
    [sym_sigil] = STATE(2912),
    [sym_keywords] = STATE(2978),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(2912),
    [sym_tuple] = STATE(2912),
    [sym_bitstring] = STATE(2912),
    [sym_map] = STATE(2912),
    [sym__nullary_operator] = STATE(2912),
    [sym_unary_operator] = STATE(2912),
    [sym_binary_operator] = STATE(2912),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2912),
    [sym_call] = STATE(2912),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2169),
    [sym__call_arguments_without_parentheses] = STATE(2897),
    [sym_do_block] = STATE(2983),
    [sym_access_call] = STATE(2912),
    [sym_anonymous_function] = STATE(2912),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(542),
    [sym_integer] = ACTIONS(542),
    [sym_float] = ACTIONS(542),
    [sym_char] = ACTIONS(542),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(568),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(580),
    [anon_sym_LPAREN2] = ACTIONS(582),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [57] = {
    [sym__expression] = STATE(2645),
    [sym_block] = STATE(2645),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(2645),
    [sym_nil] = STATE(2645),
    [sym__atom] = STATE(2645),
    [sym_quoted_atom] = STATE(2645),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2645),
    [sym_charlist] = STATE(2645),
    [sym_sigil] = STATE(2645),
    [sym_keywords] = STATE(1427),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(2645),
    [sym_tuple] = STATE(2645),
    [sym_bitstring] = STATE(2645),
    [sym_map] = STATE(2645),
    [sym__nullary_operator] = STATE(2645),
    [sym_unary_operator] = STATE(2645),
    [sym_binary_operator] = STATE(2645),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2645),
    [sym_call] = STATE(2645),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1124),
    [sym__call_arguments_without_parentheses] = STATE(1215),
    [sym_do_block] = STATE(2020),
    [sym_access_call] = STATE(2645),
    [sym_anonymous_function] = STATE(2645),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(237),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(433),
    [sym_integer] = ACTIONS(433),
    [sym_float] = ACTIONS(433),
    [sym_char] = ACTIONS(433),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(433),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(271),
    [anon_sym_fn] = ACTIONS(273),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [58] = {
    [sym__expression] = STATE(2912),
    [sym_block] = STATE(2912),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2912),
    [sym_nil] = STATE(2912),
    [sym__atom] = STATE(2912),
    [sym_quoted_atom] = STATE(2912),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2912),
    [sym_charlist] = STATE(2912),
    [sym_sigil] = STATE(2912),
    [sym_keywords] = STATE(2978),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(2912),
    [sym_tuple] = STATE(2912),
    [sym_bitstring] = STATE(2912),
    [sym_map] = STATE(2912),
    [sym__nullary_operator] = STATE(2912),
    [sym_unary_operator] = STATE(2912),
    [sym_binary_operator] = STATE(2912),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2912),
    [sym_call] = STATE(2912),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2171),
    [sym__call_arguments_without_parentheses] = STATE(2914),
    [sym_do_block] = STATE(4095),
    [sym_access_call] = STATE(2912),
    [sym_anonymous_function] = STATE(2912),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(542),
    [sym_integer] = ACTIONS(542),
    [sym_float] = ACTIONS(542),
    [sym_char] = ACTIONS(542),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_fn] = ACTIONS(580),
    [anon_sym_LPAREN2] = ACTIONS(582),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(590),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [59] = {
    [sym__expression] = STATE(3492),
    [sym_block] = STATE(3492),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3492),
    [sym_nil] = STATE(3492),
    [sym__atom] = STATE(3492),
    [sym_quoted_atom] = STATE(3492),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3492),
    [sym_charlist] = STATE(3492),
    [sym_sigil] = STATE(3492),
    [sym_keywords] = STATE(3516),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3492),
    [sym_tuple] = STATE(3492),
    [sym_bitstring] = STATE(3492),
    [sym_map] = STATE(3492),
    [sym__nullary_operator] = STATE(3492),
    [sym_unary_operator] = STATE(3492),
    [sym_binary_operator] = STATE(3492),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3492),
    [sym_call] = STATE(3492),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2742),
    [sym__call_arguments_without_parentheses] = STATE(3203),
    [sym_do_block] = STATE(4001),
    [sym_access_call] = STATE(3492),
    [sym_anonymous_function] = STATE(3492),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(596),
    [sym_integer] = ACTIONS(596),
    [sym_float] = ACTIONS(596),
    [sym_char] = ACTIONS(596),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(596),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(628),
    [anon_sym_LPAREN2] = ACTIONS(630),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [60] = {
    [sym__expression] = STATE(2893),
    [sym_block] = STATE(2893),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(2893),
    [sym_nil] = STATE(2893),
    [sym__atom] = STATE(2893),
    [sym_quoted_atom] = STATE(2893),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(2893),
    [sym_charlist] = STATE(2893),
    [sym_sigil] = STATE(2893),
    [sym_keywords] = STATE(3061),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(2893),
    [sym_tuple] = STATE(2893),
    [sym_bitstring] = STATE(2893),
    [sym_map] = STATE(2893),
    [sym__nullary_operator] = STATE(2893),
    [sym_unary_operator] = STATE(2893),
    [sym_binary_operator] = STATE(2893),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(2893),
    [sym_call] = STATE(2893),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2167),
    [sym__call_arguments_without_parentheses] = STATE(2882),
    [sym_do_block] = STATE(4193),
    [sym_access_call] = STATE(2893),
    [sym_anonymous_function] = STATE(2893),
    [ts_builtin_sym_end] = ACTIONS(283),
    [aux_sym__terminator_token1] = ACTIONS(283),
    [anon_sym_SEMI] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(490),
    [sym_integer] = ACTIONS(490),
    [sym_float] = ACTIONS(490),
    [sym_char] = ACTIONS(490),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(534),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(537),
    [anon_sym_DASH] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(522),
    [anon_sym_fn] = ACTIONS(524),
    [anon_sym_LPAREN2] = ACTIONS(526),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [61] = {
    [sym__expression] = STATE(2912),
    [sym_block] = STATE(2912),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2912),
    [sym_nil] = STATE(2912),
    [sym__atom] = STATE(2912),
    [sym_quoted_atom] = STATE(2912),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2912),
    [sym_charlist] = STATE(2912),
    [sym_sigil] = STATE(2912),
    [sym_keywords] = STATE(2978),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(2912),
    [sym_tuple] = STATE(2912),
    [sym_bitstring] = STATE(2912),
    [sym_map] = STATE(2912),
    [sym__nullary_operator] = STATE(2912),
    [sym_unary_operator] = STATE(2912),
    [sym_binary_operator] = STATE(2912),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2912),
    [sym_call] = STATE(2912),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2168),
    [sym__call_arguments_without_parentheses] = STATE(2894),
    [sym_do_block] = STATE(2984),
    [sym_access_call] = STATE(2912),
    [sym_anonymous_function] = STATE(2912),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_RPAREN] = ACTIONS(187),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(542),
    [sym_integer] = ACTIONS(542),
    [sym_float] = ACTIONS(542),
    [sym_char] = ACTIONS(542),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(187),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(580),
    [anon_sym_LPAREN2] = ACTIONS(582),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [62] = {
    [sym__expression] = STATE(3492),
    [sym_block] = STATE(3492),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3492),
    [sym_nil] = STATE(3492),
    [sym__atom] = STATE(3492),
    [sym_quoted_atom] = STATE(3492),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3492),
    [sym_charlist] = STATE(3492),
    [sym_sigil] = STATE(3492),
    [sym_keywords] = STATE(3516),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3492),
    [sym_tuple] = STATE(3492),
    [sym_bitstring] = STATE(3492),
    [sym_map] = STATE(3492),
    [sym__nullary_operator] = STATE(3492),
    [sym_unary_operator] = STATE(3492),
    [sym_binary_operator] = STATE(3492),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3492),
    [sym_call] = STATE(3492),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2371),
    [sym__call_arguments_without_parentheses] = STATE(3482),
    [sym_do_block] = STATE(4478),
    [sym_access_call] = STATE(3492),
    [sym_anonymous_function] = STATE(3492),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(596),
    [sym_integer] = ACTIONS(596),
    [sym_float] = ACTIONS(596),
    [sym_char] = ACTIONS(596),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(596),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(187),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_fn] = ACTIONS(628),
    [anon_sym_LPAREN2] = ACTIONS(630),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(638),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [63] = {
    [sym__expression] = STATE(3492),
    [sym_block] = STATE(3492),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3492),
    [sym_nil] = STATE(3492),
    [sym__atom] = STATE(3492),
    [sym_quoted_atom] = STATE(3492),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3492),
    [sym_charlist] = STATE(3492),
    [sym_sigil] = STATE(3492),
    [sym_keywords] = STATE(3516),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3492),
    [sym_tuple] = STATE(3492),
    [sym_bitstring] = STATE(3492),
    [sym_map] = STATE(3492),
    [sym__nullary_operator] = STATE(3492),
    [sym_unary_operator] = STATE(3492),
    [sym_binary_operator] = STATE(3492),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3492),
    [sym_call] = STATE(3492),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2737),
    [sym__call_arguments_without_parentheses] = STATE(3224),
    [sym_do_block] = STATE(4002),
    [sym_access_call] = STATE(3492),
    [sym_anonymous_function] = STATE(3492),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(596),
    [sym_integer] = ACTIONS(596),
    [sym_float] = ACTIONS(596),
    [sym_char] = ACTIONS(596),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(596),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(285),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(628),
    [anon_sym_LPAREN2] = ACTIONS(630),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [64] = {
    [sym__expression] = STATE(3317),
    [sym_block] = STATE(3317),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3317),
    [sym_nil] = STATE(3317),
    [sym__atom] = STATE(3317),
    [sym_quoted_atom] = STATE(3317),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3317),
    [sym_charlist] = STATE(3317),
    [sym_sigil] = STATE(3317),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(3317),
    [sym_tuple] = STATE(3317),
    [sym_bitstring] = STATE(3317),
    [sym_map] = STATE(3317),
    [sym__nullary_operator] = STATE(3317),
    [sym_unary_operator] = STATE(3317),
    [sym_binary_operator] = STATE(3317),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3317),
    [sym_call] = STATE(3317),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1595),
    [sym__call_arguments_without_parentheses] = STATE(2087),
    [sym_do_block] = STATE(2250),
    [sym_access_call] = STATE(3317),
    [sym_anonymous_function] = STATE(3317),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(646),
    [sym_integer] = ACTIONS(646),
    [sym_float] = ACTIONS(646),
    [sym_char] = ACTIONS(646),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(389),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(285),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(283),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [65] = {
    [sym__expression] = STATE(3317),
    [sym_block] = STATE(3317),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3317),
    [sym_nil] = STATE(3317),
    [sym__atom] = STATE(3317),
    [sym_quoted_atom] = STATE(3317),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3317),
    [sym_charlist] = STATE(3317),
    [sym_sigil] = STATE(3317),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(3317),
    [sym_tuple] = STATE(3317),
    [sym_bitstring] = STATE(3317),
    [sym_map] = STATE(3317),
    [sym__nullary_operator] = STATE(3317),
    [sym_unary_operator] = STATE(3317),
    [sym_binary_operator] = STATE(3317),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3317),
    [sym_call] = STATE(3317),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1598),
    [sym__call_arguments_without_parentheses] = STATE(1864),
    [sym_do_block] = STATE(3240),
    [sym_access_call] = STATE(3317),
    [sym_anonymous_function] = STATE(3317),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(646),
    [sym_integer] = ACTIONS(646),
    [sym_float] = ACTIONS(646),
    [sym_char] = ACTIONS(646),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(423),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [66] = {
    [sym__expression] = STATE(1115),
    [sym_block] = STATE(1115),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1115),
    [sym_nil] = STATE(1115),
    [sym__atom] = STATE(1115),
    [sym_quoted_atom] = STATE(1115),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1115),
    [sym_charlist] = STATE(1115),
    [sym_sigil] = STATE(1115),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1115),
    [sym_tuple] = STATE(1115),
    [sym_bitstring] = STATE(1115),
    [sym_map] = STATE(1115),
    [sym__nullary_operator] = STATE(1115),
    [sym_unary_operator] = STATE(1115),
    [sym_binary_operator] = STATE(1115),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1115),
    [sym_call] = STATE(1115),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1115),
    [sym_stab_clause] = STATE(4776),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1115),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(664),
    [sym_integer] = ACTIONS(664),
    [sym_float] = ACTIONS(664),
    [sym_char] = ACTIONS(664),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(666),
    [anon_sym_catch] = ACTIONS(666),
    [anon_sym_else] = ACTIONS(666),
    [anon_sym_end] = ACTIONS(666),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(666),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [67] = {
    [sym__expression] = STATE(1116),
    [sym_block] = STATE(1116),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1116),
    [sym_nil] = STATE(1116),
    [sym__atom] = STATE(1116),
    [sym_quoted_atom] = STATE(1116),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1116),
    [sym_charlist] = STATE(1116),
    [sym_sigil] = STATE(1116),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1116),
    [sym_tuple] = STATE(1116),
    [sym_bitstring] = STATE(1116),
    [sym_map] = STATE(1116),
    [sym__nullary_operator] = STATE(1116),
    [sym_unary_operator] = STATE(1116),
    [sym_binary_operator] = STATE(1116),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1116),
    [sym_call] = STATE(1116),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1116),
    [sym_stab_clause] = STATE(4773),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1116),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(668),
    [sym_integer] = ACTIONS(668),
    [sym_float] = ACTIONS(668),
    [sym_char] = ACTIONS(668),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(668),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(670),
    [anon_sym_catch] = ACTIONS(670),
    [anon_sym_else] = ACTIONS(670),
    [anon_sym_end] = ACTIONS(670),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(670),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [68] = {
    [sym__expression] = STATE(3492),
    [sym_block] = STATE(3492),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3492),
    [sym_nil] = STATE(3492),
    [sym__atom] = STATE(3492),
    [sym_quoted_atom] = STATE(3492),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3492),
    [sym_charlist] = STATE(3492),
    [sym_sigil] = STATE(3492),
    [sym_keywords] = STATE(3516),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3492),
    [sym_tuple] = STATE(3492),
    [sym_bitstring] = STATE(3492),
    [sym_map] = STATE(3492),
    [sym__nullary_operator] = STATE(3492),
    [sym_unary_operator] = STATE(3492),
    [sym_binary_operator] = STATE(3492),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3492),
    [sym_call] = STATE(3492),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2367),
    [sym__call_arguments_without_parentheses] = STATE(3487),
    [sym_do_block] = STATE(4479),
    [sym_access_call] = STATE(3492),
    [sym_anonymous_function] = STATE(3492),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(596),
    [sym_integer] = ACTIONS(596),
    [sym_float] = ACTIONS(596),
    [sym_char] = ACTIONS(596),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(596),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(285),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(640),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_DASH] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(636),
    [anon_sym_fn] = ACTIONS(628),
    [anon_sym_LPAREN2] = ACTIONS(630),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [69] = {
    [sym__expression] = STATE(3317),
    [sym_block] = STATE(3317),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3317),
    [sym_nil] = STATE(3317),
    [sym__atom] = STATE(3317),
    [sym_quoted_atom] = STATE(3317),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3317),
    [sym_charlist] = STATE(3317),
    [sym_sigil] = STATE(3317),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(3317),
    [sym_tuple] = STATE(3317),
    [sym_bitstring] = STATE(3317),
    [sym_map] = STATE(3317),
    [sym__nullary_operator] = STATE(3317),
    [sym_unary_operator] = STATE(3317),
    [sym_binary_operator] = STATE(3317),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3317),
    [sym_call] = STATE(3317),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1596),
    [sym__call_arguments_without_parentheses] = STATE(2083),
    [sym_do_block] = STATE(2249),
    [sym_access_call] = STATE(3317),
    [sym_anonymous_function] = STATE(3317),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(646),
    [sym_integer] = ACTIONS(646),
    [sym_float] = ACTIONS(646),
    [sym_char] = ACTIONS(646),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(187),
    [anon_sym_GT] = ACTIONS(187),
    [anon_sym_PIPE] = ACTIONS(187),
    [anon_sym_SLASH] = ACTIONS(187),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(187),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(187),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(187),
    [anon_sym_DASH] = ACTIONS(187),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(187),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(187),
    [anon_sym_when] = ACTIONS(187),
    [anon_sym_COLON_COLON] = ACTIONS(187),
    [anon_sym_EQ_GT] = ACTIONS(187),
    [anon_sym_EQ] = ACTIONS(187),
    [anon_sym_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(187),
    [anon_sym_or] = ACTIONS(187),
    [anon_sym_AMP_AMP] = ACTIONS(187),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(187),
    [anon_sym_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ] = ACTIONS(187),
    [anon_sym_EQ_TILDE] = ACTIONS(187),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(187),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(187),
    [anon_sym_LT_EQ] = ACTIONS(187),
    [anon_sym_GT_EQ] = ACTIONS(187),
    [anon_sym_PIPE_GT] = ACTIONS(187),
    [anon_sym_LT_LT_LT] = ACTIONS(187),
    [anon_sym_GT_GT_GT] = ACTIONS(187),
    [anon_sym_LT_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE] = ACTIONS(187),
    [anon_sym_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_TILDE_GT] = ACTIONS(187),
    [anon_sym_LT_PIPE_GT] = ACTIONS(187),
    [anon_sym_in] = ACTIONS(187),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(187),
    [anon_sym_SLASH_SLASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH] = ACTIONS(187),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(187),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(187),
    [anon_sym_LT_GT] = ACTIONS(187),
    [anon_sym_STAR] = ACTIONS(187),
    [anon_sym_STAR_STAR] = ACTIONS(187),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_do] = ACTIONS(187),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(185),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(185),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(185),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [70] = {
    [sym__expression] = STATE(1114),
    [sym_block] = STATE(1114),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1114),
    [sym_nil] = STATE(1114),
    [sym__atom] = STATE(1114),
    [sym_quoted_atom] = STATE(1114),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1114),
    [sym_charlist] = STATE(1114),
    [sym_sigil] = STATE(1114),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1114),
    [sym_tuple] = STATE(1114),
    [sym_bitstring] = STATE(1114),
    [sym_map] = STATE(1114),
    [sym__nullary_operator] = STATE(1114),
    [sym_unary_operator] = STATE(1114),
    [sym_binary_operator] = STATE(1114),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1114),
    [sym_call] = STATE(1114),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1114),
    [sym_stab_clause] = STATE(4769),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1114),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(672),
    [sym_integer] = ACTIONS(672),
    [sym_float] = ACTIONS(672),
    [sym_char] = ACTIONS(672),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(672),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(674),
    [anon_sym_catch] = ACTIONS(674),
    [anon_sym_else] = ACTIONS(674),
    [anon_sym_end] = ACTIONS(674),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(674),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [71] = {
    [sym__expression] = STATE(2912),
    [sym_block] = STATE(2912),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2912),
    [sym_nil] = STATE(2912),
    [sym__atom] = STATE(2912),
    [sym_quoted_atom] = STATE(2912),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2912),
    [sym_charlist] = STATE(2912),
    [sym_sigil] = STATE(2912),
    [sym_keywords] = STATE(2978),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(2912),
    [sym_tuple] = STATE(2912),
    [sym_bitstring] = STATE(2912),
    [sym_map] = STATE(2912),
    [sym__nullary_operator] = STATE(2912),
    [sym_unary_operator] = STATE(2912),
    [sym_binary_operator] = STATE(2912),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2912),
    [sym_call] = STATE(2912),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym__call_arguments_with_parentheses_immediate] = STATE(2170),
    [sym__call_arguments_without_parentheses] = STATE(2907),
    [sym_do_block] = STATE(4098),
    [sym_access_call] = STATE(2912),
    [sym_anonymous_function] = STATE(2912),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_RPAREN] = ACTIONS(285),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(542),
    [sym_integer] = ACTIONS(542),
    [sym_float] = ACTIONS(542),
    [sym_char] = ACTIONS(542),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(568),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(287),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_fn] = ACTIONS(580),
    [anon_sym_LPAREN2] = ACTIONS(582),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [72] = {
    [sym__expression] = STATE(1110),
    [sym_block] = STATE(1110),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1110),
    [sym_nil] = STATE(1110),
    [sym__atom] = STATE(1110),
    [sym_quoted_atom] = STATE(1110),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1110),
    [sym_charlist] = STATE(1110),
    [sym_sigil] = STATE(1110),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1110),
    [sym_tuple] = STATE(1110),
    [sym_bitstring] = STATE(1110),
    [sym_map] = STATE(1110),
    [sym__nullary_operator] = STATE(1110),
    [sym_unary_operator] = STATE(1110),
    [sym_binary_operator] = STATE(1110),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1110),
    [sym_call] = STATE(1110),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1110),
    [sym_stab_clause] = STATE(4763),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1110),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(676),
    [sym_integer] = ACTIONS(676),
    [sym_float] = ACTIONS(676),
    [sym_char] = ACTIONS(676),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(676),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_after] = ACTIONS(678),
    [anon_sym_catch] = ACTIONS(678),
    [anon_sym_else] = ACTIONS(678),
    [anon_sym_end] = ACTIONS(678),
    [anon_sym_fn] = ACTIONS(111),
    [anon_sym_rescue] = ACTIONS(678),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [73] = {
    [sym__terminator] = STATE(117),
    [sym__expression] = STATE(1804),
    [sym_block] = STATE(1804),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1804),
    [sym_nil] = STATE(1804),
    [sym__atom] = STATE(1804),
    [sym_quoted_atom] = STATE(1804),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1804),
    [sym_charlist] = STATE(1804),
    [sym_sigil] = STATE(1804),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1804),
    [sym_tuple] = STATE(1804),
    [sym_bitstring] = STATE(1804),
    [sym_map] = STATE(1804),
    [sym__nullary_operator] = STATE(1804),
    [sym_unary_operator] = STATE(1804),
    [sym_binary_operator] = STATE(1804),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1804),
    [sym_call] = STATE(1804),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1804),
    [sym_stab_clause] = STATE(5403),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1804),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(684),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(688),
    [sym_integer] = ACTIONS(688),
    [sym_float] = ACTIONS(688),
    [sym_char] = ACTIONS(688),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [74] = {
    [sym__terminator] = STATE(122),
    [sym__expression] = STATE(1826),
    [sym_block] = STATE(1826),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1826),
    [sym_nil] = STATE(1826),
    [sym__atom] = STATE(1826),
    [sym_quoted_atom] = STATE(1826),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1826),
    [sym_charlist] = STATE(1826),
    [sym_sigil] = STATE(1826),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1826),
    [sym_tuple] = STATE(1826),
    [sym_bitstring] = STATE(1826),
    [sym_map] = STATE(1826),
    [sym__nullary_operator] = STATE(1826),
    [sym_unary_operator] = STATE(1826),
    [sym_binary_operator] = STATE(1826),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1826),
    [sym_call] = STATE(1826),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1826),
    [sym_stab_clause] = STATE(5859),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1826),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(704),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(706),
    [sym_integer] = ACTIONS(706),
    [sym_float] = ACTIONS(706),
    [sym_char] = ACTIONS(706),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(706),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [75] = {
    [sym__terminator] = STATE(116),
    [sym__expression] = STATE(1773),
    [sym_block] = STATE(1773),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1773),
    [sym_nil] = STATE(1773),
    [sym__atom] = STATE(1773),
    [sym_quoted_atom] = STATE(1773),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1773),
    [sym_charlist] = STATE(1773),
    [sym_sigil] = STATE(1773),
    [sym_keywords] = STATE(6730),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1773),
    [sym_tuple] = STATE(1773),
    [sym_bitstring] = STATE(1773),
    [sym_map] = STATE(1773),
    [sym__nullary_operator] = STATE(1773),
    [sym_unary_operator] = STATE(1773),
    [sym_binary_operator] = STATE(1773),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1773),
    [sym_call] = STATE(1773),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1773),
    [sym_stab_clause] = STATE(5203),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1773),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(708),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(710),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(712),
    [sym_integer] = ACTIONS(712),
    [sym_float] = ACTIONS(712),
    [sym_char] = ACTIONS(712),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(712),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [76] = {
    [sym__terminator] = STATE(121),
    [sym__expression] = STATE(1813),
    [sym_block] = STATE(1813),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1813),
    [sym_nil] = STATE(1813),
    [sym__atom] = STATE(1813),
    [sym_quoted_atom] = STATE(1813),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1813),
    [sym_charlist] = STATE(1813),
    [sym_sigil] = STATE(1813),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1813),
    [sym_tuple] = STATE(1813),
    [sym_bitstring] = STATE(1813),
    [sym_map] = STATE(1813),
    [sym__nullary_operator] = STATE(1813),
    [sym_unary_operator] = STATE(1813),
    [sym_binary_operator] = STATE(1813),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1813),
    [sym_call] = STATE(1813),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1813),
    [sym_stab_clause] = STATE(5659),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1813),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(716),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(718),
    [sym_integer] = ACTIONS(718),
    [sym_float] = ACTIONS(718),
    [sym_char] = ACTIONS(718),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(718),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [77] = {
    [sym__terminator] = STATE(113),
    [sym__expression] = STATE(1823),
    [sym_block] = STATE(1823),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1823),
    [sym_nil] = STATE(1823),
    [sym__atom] = STATE(1823),
    [sym_quoted_atom] = STATE(1823),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1823),
    [sym_charlist] = STATE(1823),
    [sym_sigil] = STATE(1823),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1823),
    [sym_tuple] = STATE(1823),
    [sym_bitstring] = STATE(1823),
    [sym_map] = STATE(1823),
    [sym__nullary_operator] = STATE(1823),
    [sym_unary_operator] = STATE(1823),
    [sym_binary_operator] = STATE(1823),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1823),
    [sym_call] = STATE(1823),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1823),
    [sym_stab_clause] = STATE(5942),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1823),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(720),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(722),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(724),
    [sym_integer] = ACTIONS(724),
    [sym_float] = ACTIONS(724),
    [sym_char] = ACTIONS(724),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(724),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [78] = {
    [sym__terminator] = STATE(114),
    [sym__expression] = STATE(1829),
    [sym_block] = STATE(1829),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1829),
    [sym_nil] = STATE(1829),
    [sym__atom] = STATE(1829),
    [sym_quoted_atom] = STATE(1829),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1829),
    [sym_charlist] = STATE(1829),
    [sym_sigil] = STATE(1829),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1829),
    [sym_tuple] = STATE(1829),
    [sym_bitstring] = STATE(1829),
    [sym_map] = STATE(1829),
    [sym__nullary_operator] = STATE(1829),
    [sym_unary_operator] = STATE(1829),
    [sym_binary_operator] = STATE(1829),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1829),
    [sym_call] = STATE(1829),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1829),
    [sym_stab_clause] = STATE(5788),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1829),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(726),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(728),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(730),
    [sym_integer] = ACTIONS(730),
    [sym_float] = ACTIONS(730),
    [sym_char] = ACTIONS(730),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(730),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [79] = {
    [sym__terminator] = STATE(121),
    [sym__expression] = STATE(1816),
    [sym_block] = STATE(1816),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1816),
    [sym_nil] = STATE(1816),
    [sym__atom] = STATE(1816),
    [sym_quoted_atom] = STATE(1816),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1816),
    [sym_charlist] = STATE(1816),
    [sym_sigil] = STATE(1816),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1816),
    [sym_tuple] = STATE(1816),
    [sym_bitstring] = STATE(1816),
    [sym_map] = STATE(1816),
    [sym__nullary_operator] = STATE(1816),
    [sym_unary_operator] = STATE(1816),
    [sym_binary_operator] = STATE(1816),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1816),
    [sym_call] = STATE(1816),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1816),
    [sym_stab_clause] = STATE(5659),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1816),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(716),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(732),
    [sym_integer] = ACTIONS(732),
    [sym_float] = ACTIONS(732),
    [sym_char] = ACTIONS(732),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(732),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [80] = {
    [sym__terminator] = STATE(120),
    [sym__expression] = STATE(1797),
    [sym_block] = STATE(1797),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1797),
    [sym_nil] = STATE(1797),
    [sym__atom] = STATE(1797),
    [sym_quoted_atom] = STATE(1797),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1797),
    [sym_charlist] = STATE(1797),
    [sym_sigil] = STATE(1797),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1797),
    [sym_tuple] = STATE(1797),
    [sym_bitstring] = STATE(1797),
    [sym_map] = STATE(1797),
    [sym__nullary_operator] = STATE(1797),
    [sym_unary_operator] = STATE(1797),
    [sym_binary_operator] = STATE(1797),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1797),
    [sym_call] = STATE(1797),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1797),
    [sym_stab_clause] = STATE(5219),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1797),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(734),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(736),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(738),
    [sym_integer] = ACTIONS(738),
    [sym_float] = ACTIONS(738),
    [sym_char] = ACTIONS(738),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(738),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [81] = {
    [sym__expression] = STATE(3317),
    [sym_block] = STATE(3317),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3317),
    [sym_nil] = STATE(3317),
    [sym__atom] = STATE(3317),
    [sym_quoted_atom] = STATE(3317),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3317),
    [sym_charlist] = STATE(3317),
    [sym_sigil] = STATE(3317),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(3317),
    [sym_tuple] = STATE(3317),
    [sym_bitstring] = STATE(3317),
    [sym_map] = STATE(3317),
    [sym__nullary_operator] = STATE(3317),
    [sym_unary_operator] = STATE(3317),
    [sym_binary_operator] = STATE(3317),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3317),
    [sym_call] = STATE(3317),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1573),
    [sym__call_arguments_without_parentheses] = STATE(1861),
    [sym_do_block] = STATE(3241),
    [sym_access_call] = STATE(3317),
    [sym_anonymous_function] = STATE(3317),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(646),
    [sym_integer] = ACTIONS(646),
    [sym_float] = ACTIONS(646),
    [sym_char] = ACTIONS(646),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(646),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(285),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(389),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [82] = {
    [sym__terminator] = STATE(123),
    [sym__expression] = STATE(1810),
    [sym_block] = STATE(1810),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1810),
    [sym_nil] = STATE(1810),
    [sym__atom] = STATE(1810),
    [sym_quoted_atom] = STATE(1810),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1810),
    [sym_charlist] = STATE(1810),
    [sym_sigil] = STATE(1810),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1810),
    [sym_tuple] = STATE(1810),
    [sym_bitstring] = STATE(1810),
    [sym_map] = STATE(1810),
    [sym__nullary_operator] = STATE(1810),
    [sym_unary_operator] = STATE(1810),
    [sym_binary_operator] = STATE(1810),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1810),
    [sym_call] = STATE(1810),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1810),
    [sym_stab_clause] = STATE(5515),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1810),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(742),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(744),
    [sym_integer] = ACTIONS(744),
    [sym_float] = ACTIONS(744),
    [sym_char] = ACTIONS(744),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [83] = {
    [sym__terminator] = STATE(118),
    [sym__expression] = STATE(1820),
    [sym_block] = STATE(1820),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1820),
    [sym_nil] = STATE(1820),
    [sym__atom] = STATE(1820),
    [sym_quoted_atom] = STATE(1820),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1820),
    [sym_charlist] = STATE(1820),
    [sym_sigil] = STATE(1820),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1820),
    [sym_tuple] = STATE(1820),
    [sym_bitstring] = STATE(1820),
    [sym_map] = STATE(1820),
    [sym__nullary_operator] = STATE(1820),
    [sym_unary_operator] = STATE(1820),
    [sym_binary_operator] = STATE(1820),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1820),
    [sym_call] = STATE(1820),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1820),
    [sym_stab_clause] = STATE(5803),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1820),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(748),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(750),
    [sym_integer] = ACTIONS(750),
    [sym_float] = ACTIONS(750),
    [sym_char] = ACTIONS(750),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [84] = {
    [sym__terminator] = STATE(113),
    [sym__expression] = STATE(1825),
    [sym_block] = STATE(1825),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1825),
    [sym_nil] = STATE(1825),
    [sym__atom] = STATE(1825),
    [sym_quoted_atom] = STATE(1825),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1825),
    [sym_charlist] = STATE(1825),
    [sym_sigil] = STATE(1825),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1825),
    [sym_tuple] = STATE(1825),
    [sym_bitstring] = STATE(1825),
    [sym_map] = STATE(1825),
    [sym__nullary_operator] = STATE(1825),
    [sym_unary_operator] = STATE(1825),
    [sym_binary_operator] = STATE(1825),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1825),
    [sym_call] = STATE(1825),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1825),
    [sym_stab_clause] = STATE(5942),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1825),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(720),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(722),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(752),
    [sym_integer] = ACTIONS(752),
    [sym_float] = ACTIONS(752),
    [sym_char] = ACTIONS(752),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(752),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [85] = {
    [sym__terminator] = STATE(114),
    [sym__expression] = STATE(1814),
    [sym_block] = STATE(1814),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1814),
    [sym_nil] = STATE(1814),
    [sym__atom] = STATE(1814),
    [sym_quoted_atom] = STATE(1814),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1814),
    [sym_charlist] = STATE(1814),
    [sym_sigil] = STATE(1814),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1814),
    [sym_tuple] = STATE(1814),
    [sym_bitstring] = STATE(1814),
    [sym_map] = STATE(1814),
    [sym__nullary_operator] = STATE(1814),
    [sym_unary_operator] = STATE(1814),
    [sym_binary_operator] = STATE(1814),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1814),
    [sym_call] = STATE(1814),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1814),
    [sym_stab_clause] = STATE(5788),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1814),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(726),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(728),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(754),
    [sym_integer] = ACTIONS(754),
    [sym_float] = ACTIONS(754),
    [sym_char] = ACTIONS(754),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(754),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [86] = {
    [sym__terminator] = STATE(115),
    [sym__expression] = STATE(1800),
    [sym_block] = STATE(1800),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1800),
    [sym_nil] = STATE(1800),
    [sym__atom] = STATE(1800),
    [sym_quoted_atom] = STATE(1800),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1800),
    [sym_charlist] = STATE(1800),
    [sym_sigil] = STATE(1800),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1800),
    [sym_tuple] = STATE(1800),
    [sym_bitstring] = STATE(1800),
    [sym_map] = STATE(1800),
    [sym__nullary_operator] = STATE(1800),
    [sym_unary_operator] = STATE(1800),
    [sym_binary_operator] = STATE(1800),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1800),
    [sym_call] = STATE(1800),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1800),
    [sym_stab_clause] = STATE(5371),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1800),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(756),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(758),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(760),
    [sym_integer] = ACTIONS(760),
    [sym_float] = ACTIONS(760),
    [sym_char] = ACTIONS(760),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(760),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [87] = {
    [sym__terminator] = STATE(120),
    [sym__expression] = STATE(1802),
    [sym_block] = STATE(1802),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1802),
    [sym_nil] = STATE(1802),
    [sym__atom] = STATE(1802),
    [sym_quoted_atom] = STATE(1802),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1802),
    [sym_charlist] = STATE(1802),
    [sym_sigil] = STATE(1802),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1802),
    [sym_tuple] = STATE(1802),
    [sym_bitstring] = STATE(1802),
    [sym_map] = STATE(1802),
    [sym__nullary_operator] = STATE(1802),
    [sym_unary_operator] = STATE(1802),
    [sym_binary_operator] = STATE(1802),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1802),
    [sym_call] = STATE(1802),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1802),
    [sym_stab_clause] = STATE(5219),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1802),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(734),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(736),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(762),
    [sym_integer] = ACTIONS(762),
    [sym_float] = ACTIONS(762),
    [sym_char] = ACTIONS(762),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(762),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [88] = {
    [sym__terminator] = STATE(117),
    [sym__expression] = STATE(1806),
    [sym_block] = STATE(1806),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1806),
    [sym_nil] = STATE(1806),
    [sym__atom] = STATE(1806),
    [sym_quoted_atom] = STATE(1806),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1806),
    [sym_charlist] = STATE(1806),
    [sym_sigil] = STATE(1806),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1806),
    [sym_tuple] = STATE(1806),
    [sym_bitstring] = STATE(1806),
    [sym_map] = STATE(1806),
    [sym__nullary_operator] = STATE(1806),
    [sym_unary_operator] = STATE(1806),
    [sym_binary_operator] = STATE(1806),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1806),
    [sym_call] = STATE(1806),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1806),
    [sym_stab_clause] = STATE(5403),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1806),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(684),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(764),
    [sym_integer] = ACTIONS(764),
    [sym_float] = ACTIONS(764),
    [sym_char] = ACTIONS(764),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(764),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [89] = {
    [sym__terminator] = STATE(123),
    [sym__expression] = STATE(1812),
    [sym_block] = STATE(1812),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1812),
    [sym_nil] = STATE(1812),
    [sym__atom] = STATE(1812),
    [sym_quoted_atom] = STATE(1812),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1812),
    [sym_charlist] = STATE(1812),
    [sym_sigil] = STATE(1812),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1812),
    [sym_tuple] = STATE(1812),
    [sym_bitstring] = STATE(1812),
    [sym_map] = STATE(1812),
    [sym__nullary_operator] = STATE(1812),
    [sym_unary_operator] = STATE(1812),
    [sym_binary_operator] = STATE(1812),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1812),
    [sym_call] = STATE(1812),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1812),
    [sym_stab_clause] = STATE(5515),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1812),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(742),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(766),
    [sym_integer] = ACTIONS(766),
    [sym_float] = ACTIONS(766),
    [sym_char] = ACTIONS(766),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(766),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [90] = {
    [sym__terminator] = STATE(119),
    [sym__expression] = STATE(1799),
    [sym_block] = STATE(1799),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1799),
    [sym_nil] = STATE(1799),
    [sym__atom] = STATE(1799),
    [sym_quoted_atom] = STATE(1799),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1799),
    [sym_charlist] = STATE(1799),
    [sym_sigil] = STATE(1799),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1799),
    [sym_tuple] = STATE(1799),
    [sym_bitstring] = STATE(1799),
    [sym_map] = STATE(1799),
    [sym__nullary_operator] = STATE(1799),
    [sym_unary_operator] = STATE(1799),
    [sym_binary_operator] = STATE(1799),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1799),
    [sym_call] = STATE(1799),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1799),
    [sym_stab_clause] = STATE(5073),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1799),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(770),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(772),
    [sym_integer] = ACTIONS(772),
    [sym_float] = ACTIONS(772),
    [sym_char] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [91] = {
    [sym__terminator] = STATE(119),
    [sym__expression] = STATE(1818),
    [sym_block] = STATE(1818),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1818),
    [sym_nil] = STATE(1818),
    [sym__atom] = STATE(1818),
    [sym_quoted_atom] = STATE(1818),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1818),
    [sym_charlist] = STATE(1818),
    [sym_sigil] = STATE(1818),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1818),
    [sym_tuple] = STATE(1818),
    [sym_bitstring] = STATE(1818),
    [sym_map] = STATE(1818),
    [sym__nullary_operator] = STATE(1818),
    [sym_unary_operator] = STATE(1818),
    [sym_binary_operator] = STATE(1818),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1818),
    [sym_call] = STATE(1818),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1818),
    [sym_stab_clause] = STATE(5073),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1818),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(770),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(774),
    [sym_integer] = ACTIONS(774),
    [sym_float] = ACTIONS(774),
    [sym_char] = ACTIONS(774),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(774),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [92] = {
    [sym__terminator] = STATE(116),
    [sym__expression] = STATE(1831),
    [sym_block] = STATE(1831),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1831),
    [sym_nil] = STATE(1831),
    [sym__atom] = STATE(1831),
    [sym_quoted_atom] = STATE(1831),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1831),
    [sym_charlist] = STATE(1831),
    [sym_sigil] = STATE(1831),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1831),
    [sym_tuple] = STATE(1831),
    [sym_bitstring] = STATE(1831),
    [sym_map] = STATE(1831),
    [sym__nullary_operator] = STATE(1831),
    [sym_unary_operator] = STATE(1831),
    [sym_binary_operator] = STATE(1831),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1831),
    [sym_call] = STATE(1831),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1831),
    [sym_stab_clause] = STATE(5203),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1831),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(708),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(776),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(778),
    [sym_integer] = ACTIONS(778),
    [sym_float] = ACTIONS(778),
    [sym_char] = ACTIONS(778),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(778),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [93] = {
    [sym__terminator] = STATE(124),
    [sym__expression] = STATE(1827),
    [sym_block] = STATE(1827),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1827),
    [sym_nil] = STATE(1827),
    [sym__atom] = STATE(1827),
    [sym_quoted_atom] = STATE(1827),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1827),
    [sym_charlist] = STATE(1827),
    [sym_sigil] = STATE(1827),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1827),
    [sym_tuple] = STATE(1827),
    [sym_bitstring] = STATE(1827),
    [sym_map] = STATE(1827),
    [sym__nullary_operator] = STATE(1827),
    [sym_unary_operator] = STATE(1827),
    [sym_binary_operator] = STATE(1827),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1827),
    [sym_call] = STATE(1827),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1827),
    [sym_stab_clause] = STATE(5425),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1827),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(782),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(784),
    [sym_integer] = ACTIONS(784),
    [sym_float] = ACTIONS(784),
    [sym_char] = ACTIONS(784),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(784),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [94] = {
    [sym__terminator] = STATE(116),
    [sym__expression] = STATE(1808),
    [sym_block] = STATE(1808),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1808),
    [sym_nil] = STATE(1808),
    [sym__atom] = STATE(1808),
    [sym_quoted_atom] = STATE(1808),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1808),
    [sym_charlist] = STATE(1808),
    [sym_sigil] = STATE(1808),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1808),
    [sym_tuple] = STATE(1808),
    [sym_bitstring] = STATE(1808),
    [sym_map] = STATE(1808),
    [sym__nullary_operator] = STATE(1808),
    [sym_unary_operator] = STATE(1808),
    [sym_binary_operator] = STATE(1808),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1808),
    [sym_call] = STATE(1808),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1808),
    [sym_stab_clause] = STATE(5203),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1808),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(708),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(776),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(786),
    [sym_integer] = ACTIONS(786),
    [sym_float] = ACTIONS(786),
    [sym_char] = ACTIONS(786),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(786),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [95] = {
    [sym__terminator] = STATE(117),
    [sym__expression] = STATE(1719),
    [sym_block] = STATE(1719),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1719),
    [sym_nil] = STATE(1719),
    [sym__atom] = STATE(1719),
    [sym_quoted_atom] = STATE(1719),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1719),
    [sym_charlist] = STATE(1719),
    [sym_sigil] = STATE(1719),
    [sym_keywords] = STATE(6730),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1719),
    [sym_tuple] = STATE(1719),
    [sym_bitstring] = STATE(1719),
    [sym_map] = STATE(1719),
    [sym__nullary_operator] = STATE(1719),
    [sym_unary_operator] = STATE(1719),
    [sym_binary_operator] = STATE(1719),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1719),
    [sym_call] = STATE(1719),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1719),
    [sym_stab_clause] = STATE(5403),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1719),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(788),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(790),
    [sym_integer] = ACTIONS(790),
    [sym_float] = ACTIONS(790),
    [sym_char] = ACTIONS(790),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [96] = {
    [sym__terminator] = STATE(124),
    [sym__expression] = STATE(1833),
    [sym_block] = STATE(1833),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1833),
    [sym_nil] = STATE(1833),
    [sym__atom] = STATE(1833),
    [sym_quoted_atom] = STATE(1833),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1833),
    [sym_charlist] = STATE(1833),
    [sym_sigil] = STATE(1833),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1833),
    [sym_tuple] = STATE(1833),
    [sym_bitstring] = STATE(1833),
    [sym_map] = STATE(1833),
    [sym__nullary_operator] = STATE(1833),
    [sym_unary_operator] = STATE(1833),
    [sym_binary_operator] = STATE(1833),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1833),
    [sym_call] = STATE(1833),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1833),
    [sym_stab_clause] = STATE(5425),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1833),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(782),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(792),
    [sym_integer] = ACTIONS(792),
    [sym_float] = ACTIONS(792),
    [sym_char] = ACTIONS(792),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(792),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [97] = {
    [sym__terminator] = STATE(115),
    [sym__expression] = STATE(1809),
    [sym_block] = STATE(1809),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1809),
    [sym_nil] = STATE(1809),
    [sym__atom] = STATE(1809),
    [sym_quoted_atom] = STATE(1809),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1809),
    [sym_charlist] = STATE(1809),
    [sym_sigil] = STATE(1809),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1809),
    [sym_tuple] = STATE(1809),
    [sym_bitstring] = STATE(1809),
    [sym_map] = STATE(1809),
    [sym__nullary_operator] = STATE(1809),
    [sym_unary_operator] = STATE(1809),
    [sym_binary_operator] = STATE(1809),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1809),
    [sym_call] = STATE(1809),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1809),
    [sym_stab_clause] = STATE(5371),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1809),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(756),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(758),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(794),
    [sym_integer] = ACTIONS(794),
    [sym_float] = ACTIONS(794),
    [sym_char] = ACTIONS(794),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [98] = {
    [sym__terminator] = STATE(118),
    [sym__expression] = STATE(1822),
    [sym_block] = STATE(1822),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1822),
    [sym_nil] = STATE(1822),
    [sym__atom] = STATE(1822),
    [sym_quoted_atom] = STATE(1822),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1822),
    [sym_charlist] = STATE(1822),
    [sym_sigil] = STATE(1822),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1822),
    [sym_tuple] = STATE(1822),
    [sym_bitstring] = STATE(1822),
    [sym_map] = STATE(1822),
    [sym__nullary_operator] = STATE(1822),
    [sym_unary_operator] = STATE(1822),
    [sym_binary_operator] = STATE(1822),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1822),
    [sym_call] = STATE(1822),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1822),
    [sym_stab_clause] = STATE(5803),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1822),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(748),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(796),
    [sym_integer] = ACTIONS(796),
    [sym_float] = ACTIONS(796),
    [sym_char] = ACTIONS(796),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(796),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [99] = {
    [sym__terminator] = STATE(122),
    [sym__expression] = STATE(1819),
    [sym_block] = STATE(1819),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1819),
    [sym_nil] = STATE(1819),
    [sym__atom] = STATE(1819),
    [sym_quoted_atom] = STATE(1819),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1819),
    [sym_charlist] = STATE(1819),
    [sym_sigil] = STATE(1819),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1819),
    [sym_tuple] = STATE(1819),
    [sym_bitstring] = STATE(1819),
    [sym_map] = STATE(1819),
    [sym__nullary_operator] = STATE(1819),
    [sym_unary_operator] = STATE(1819),
    [sym_binary_operator] = STATE(1819),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1819),
    [sym_call] = STATE(1819),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1819),
    [sym_stab_clause] = STATE(5859),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1819),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(704),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(798),
    [sym_integer] = ACTIONS(798),
    [sym_float] = ACTIONS(798),
    [sym_char] = ACTIONS(798),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(798),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [100] = {
    [sym__terminator] = STATE(137),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5387),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(800),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [101] = {
    [sym__terminator] = STATE(133),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5531),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [102] = {
    [sym__terminator] = STATE(138),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5089),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [103] = {
    [sym__terminator] = STATE(139),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5675),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [104] = {
    [sym__terminator] = STATE(136),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5318),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [105] = {
    [sym__terminator] = STATE(127),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5919),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(854),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [106] = {
    [sym__terminator] = STATE(125),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5113),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [107] = {
    [sym__terminator] = STATE(128),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5370),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(858),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [108] = {
    [sym__terminator] = STATE(130),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5644),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [109] = {
    [sym__terminator] = STATE(135),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5818),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(862),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [110] = {
    [sym__expression] = STATE(2181),
    [sym_block] = STATE(2181),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2181),
    [sym_nil] = STATE(2181),
    [sym__atom] = STATE(2181),
    [sym_quoted_atom] = STATE(2181),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2181),
    [sym_charlist] = STATE(2181),
    [sym_sigil] = STATE(2181),
    [sym_keywords] = STATE(2180),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2181),
    [sym_tuple] = STATE(2181),
    [sym_bitstring] = STATE(2181),
    [sym_map] = STATE(2181),
    [sym__nullary_operator] = STATE(2181),
    [sym_unary_operator] = STATE(2181),
    [sym_binary_operator] = STATE(2181),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2181),
    [sym_call] = STATE(2181),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym__call_arguments_with_parentheses_immediate] = STATE(1573),
    [sym__call_arguments_without_parentheses] = STATE(1861),
    [sym_do_block] = STATE(3241),
    [sym_access_call] = STATE(2181),
    [sym_anonymous_function] = STATE(2181),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(363),
    [sym_integer] = ACTIONS(363),
    [sym_float] = ACTIONS(363),
    [sym_char] = ACTIONS(363),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(287),
    [anon_sym_GT] = ACTIONS(287),
    [anon_sym_PIPE] = ACTIONS(287),
    [anon_sym_SLASH] = ACTIONS(287),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(389),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(287),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(287),
    [anon_sym_EQ_GT] = ACTIONS(285),
    [anon_sym_EQ] = ACTIONS(287),
    [anon_sym_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(287),
    [anon_sym_or] = ACTIONS(287),
    [anon_sym_AMP_AMP] = ACTIONS(287),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(287),
    [anon_sym_and] = ACTIONS(287),
    [anon_sym_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ] = ACTIONS(287),
    [anon_sym_EQ_TILDE] = ACTIONS(287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(287),
    [anon_sym_LT_EQ] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(287),
    [anon_sym_PIPE_GT] = ACTIONS(287),
    [anon_sym_LT_LT_LT] = ACTIONS(287),
    [anon_sym_GT_GT_GT] = ACTIONS(287),
    [anon_sym_LT_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE] = ACTIONS(287),
    [anon_sym_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_TILDE_GT] = ACTIONS(287),
    [anon_sym_LT_PIPE_GT] = ACTIONS(287),
    [anon_sym_in] = ACTIONS(287),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(287),
    [anon_sym_SLASH_SLASH] = ACTIONS(285),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(287),
    [anon_sym_LT_GT] = ACTIONS(287),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_DOT] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(421),
    [anon_sym_fn] = ACTIONS(401),
    [anon_sym_LPAREN2] = ACTIONS(403),
    [anon_sym_LBRACK2] = ACTIONS(283),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(296),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [111] = {
    [sym__terminator] = STATE(131),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5719),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(866),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [112] = {
    [sym__terminator] = STATE(126),
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5235),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [aux_sym__terminator_token1] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [113] = {
    [sym__expression] = STATE(1824),
    [sym_block] = STATE(1824),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1824),
    [sym_nil] = STATE(1824),
    [sym__atom] = STATE(1824),
    [sym_quoted_atom] = STATE(1824),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1824),
    [sym_charlist] = STATE(1824),
    [sym_sigil] = STATE(1824),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1824),
    [sym_tuple] = STATE(1824),
    [sym_bitstring] = STATE(1824),
    [sym_map] = STATE(1824),
    [sym__nullary_operator] = STATE(1824),
    [sym_unary_operator] = STATE(1824),
    [sym_binary_operator] = STATE(1824),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1824),
    [sym_call] = STATE(1824),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1824),
    [sym_stab_clause] = STATE(5848),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1824),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(870),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(872),
    [sym_integer] = ACTIONS(872),
    [sym_float] = ACTIONS(872),
    [sym_char] = ACTIONS(872),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(872),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [114] = {
    [sym__expression] = STATE(1817),
    [sym_block] = STATE(1817),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1817),
    [sym_nil] = STATE(1817),
    [sym__atom] = STATE(1817),
    [sym_quoted_atom] = STATE(1817),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1817),
    [sym_charlist] = STATE(1817),
    [sym_sigil] = STATE(1817),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1817),
    [sym_tuple] = STATE(1817),
    [sym_bitstring] = STATE(1817),
    [sym_map] = STATE(1817),
    [sym__nullary_operator] = STATE(1817),
    [sym_unary_operator] = STATE(1817),
    [sym_binary_operator] = STATE(1817),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1817),
    [sym_call] = STATE(1817),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1817),
    [sym_stab_clause] = STATE(5713),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1817),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(874),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(876),
    [sym_integer] = ACTIONS(876),
    [sym_float] = ACTIONS(876),
    [sym_char] = ACTIONS(876),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(876),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [115] = {
    [sym__expression] = STATE(1807),
    [sym_block] = STATE(1807),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1807),
    [sym_nil] = STATE(1807),
    [sym__atom] = STATE(1807),
    [sym_quoted_atom] = STATE(1807),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1807),
    [sym_charlist] = STATE(1807),
    [sym_sigil] = STATE(1807),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1807),
    [sym_tuple] = STATE(1807),
    [sym_bitstring] = STATE(1807),
    [sym_map] = STATE(1807),
    [sym__nullary_operator] = STATE(1807),
    [sym_unary_operator] = STATE(1807),
    [sym_binary_operator] = STATE(1807),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1807),
    [sym_call] = STATE(1807),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1807),
    [sym_stab_clause] = STATE(5393),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1807),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(878),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(880),
    [sym_integer] = ACTIONS(880),
    [sym_float] = ACTIONS(880),
    [sym_char] = ACTIONS(880),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(880),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [116] = {
    [sym__expression] = STATE(1832),
    [sym_block] = STATE(1832),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1832),
    [sym_nil] = STATE(1832),
    [sym__atom] = STATE(1832),
    [sym_quoted_atom] = STATE(1832),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1832),
    [sym_charlist] = STATE(1832),
    [sym_sigil] = STATE(1832),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1832),
    [sym_tuple] = STATE(1832),
    [sym_bitstring] = STATE(1832),
    [sym_map] = STATE(1832),
    [sym__nullary_operator] = STATE(1832),
    [sym_unary_operator] = STATE(1832),
    [sym_binary_operator] = STATE(1832),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1832),
    [sym_call] = STATE(1832),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1832),
    [sym_stab_clause] = STATE(5342),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1832),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(882),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(884),
    [sym_integer] = ACTIONS(884),
    [sym_float] = ACTIONS(884),
    [sym_char] = ACTIONS(884),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [117] = {
    [sym__expression] = STATE(1805),
    [sym_block] = STATE(1805),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1805),
    [sym_nil] = STATE(1805),
    [sym__atom] = STATE(1805),
    [sym_quoted_atom] = STATE(1805),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1805),
    [sym_charlist] = STATE(1805),
    [sym_sigil] = STATE(1805),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1805),
    [sym_tuple] = STATE(1805),
    [sym_bitstring] = STATE(1805),
    [sym_map] = STATE(1805),
    [sym__nullary_operator] = STATE(1805),
    [sym_unary_operator] = STATE(1805),
    [sym_binary_operator] = STATE(1805),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1805),
    [sym_call] = STATE(1805),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1805),
    [sym_stab_clause] = STATE(5364),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1805),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(886),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(888),
    [sym_integer] = ACTIONS(888),
    [sym_float] = ACTIONS(888),
    [sym_char] = ACTIONS(888),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(888),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [118] = {
    [sym__expression] = STATE(1821),
    [sym_block] = STATE(1821),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1821),
    [sym_nil] = STATE(1821),
    [sym__atom] = STATE(1821),
    [sym_quoted_atom] = STATE(1821),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1821),
    [sym_charlist] = STATE(1821),
    [sym_sigil] = STATE(1821),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1821),
    [sym_tuple] = STATE(1821),
    [sym_bitstring] = STATE(1821),
    [sym_map] = STATE(1821),
    [sym__nullary_operator] = STATE(1821),
    [sym_unary_operator] = STATE(1821),
    [sym_binary_operator] = STATE(1821),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1821),
    [sym_call] = STATE(1821),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1821),
    [sym_stab_clause] = STATE(5824),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1821),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(890),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(892),
    [sym_integer] = ACTIONS(892),
    [sym_float] = ACTIONS(892),
    [sym_char] = ACTIONS(892),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [119] = {
    [sym__expression] = STATE(1798),
    [sym_block] = STATE(1798),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1798),
    [sym_nil] = STATE(1798),
    [sym__atom] = STATE(1798),
    [sym_quoted_atom] = STATE(1798),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1798),
    [sym_charlist] = STATE(1798),
    [sym_sigil] = STATE(1798),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1798),
    [sym_tuple] = STATE(1798),
    [sym_bitstring] = STATE(1798),
    [sym_map] = STATE(1798),
    [sym__nullary_operator] = STATE(1798),
    [sym_unary_operator] = STATE(1798),
    [sym_binary_operator] = STATE(1798),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1798),
    [sym_call] = STATE(1798),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1798),
    [sym_stab_clause] = STATE(5096),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1798),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(894),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(896),
    [sym_integer] = ACTIONS(896),
    [sym_float] = ACTIONS(896),
    [sym_char] = ACTIONS(896),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [120] = {
    [sym__expression] = STATE(1801),
    [sym_block] = STATE(1801),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1801),
    [sym_nil] = STATE(1801),
    [sym__atom] = STATE(1801),
    [sym_quoted_atom] = STATE(1801),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1801),
    [sym_charlist] = STATE(1801),
    [sym_sigil] = STATE(1801),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1801),
    [sym_tuple] = STATE(1801),
    [sym_bitstring] = STATE(1801),
    [sym_map] = STATE(1801),
    [sym__nullary_operator] = STATE(1801),
    [sym_unary_operator] = STATE(1801),
    [sym_binary_operator] = STATE(1801),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1801),
    [sym_call] = STATE(1801),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1801),
    [sym_stab_clause] = STATE(5242),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1801),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(898),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(900),
    [sym_integer] = ACTIONS(900),
    [sym_float] = ACTIONS(900),
    [sym_char] = ACTIONS(900),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(900),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [121] = {
    [sym__expression] = STATE(1815),
    [sym_block] = STATE(1815),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1815),
    [sym_nil] = STATE(1815),
    [sym__atom] = STATE(1815),
    [sym_quoted_atom] = STATE(1815),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1815),
    [sym_charlist] = STATE(1815),
    [sym_sigil] = STATE(1815),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1815),
    [sym_tuple] = STATE(1815),
    [sym_bitstring] = STATE(1815),
    [sym_map] = STATE(1815),
    [sym__nullary_operator] = STATE(1815),
    [sym_unary_operator] = STATE(1815),
    [sym_binary_operator] = STATE(1815),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1815),
    [sym_call] = STATE(1815),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1815),
    [sym_stab_clause] = STATE(5681),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1815),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(902),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(904),
    [sym_integer] = ACTIONS(904),
    [sym_float] = ACTIONS(904),
    [sym_char] = ACTIONS(904),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [122] = {
    [sym__expression] = STATE(1803),
    [sym_block] = STATE(1803),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1803),
    [sym_nil] = STATE(1803),
    [sym__atom] = STATE(1803),
    [sym_quoted_atom] = STATE(1803),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1803),
    [sym_charlist] = STATE(1803),
    [sym_sigil] = STATE(1803),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1803),
    [sym_tuple] = STATE(1803),
    [sym_bitstring] = STATE(1803),
    [sym_map] = STATE(1803),
    [sym__nullary_operator] = STATE(1803),
    [sym_unary_operator] = STATE(1803),
    [sym_binary_operator] = STATE(1803),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1803),
    [sym_call] = STATE(1803),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1803),
    [sym_stab_clause] = STATE(5274),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1803),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(906),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(908),
    [sym_integer] = ACTIONS(908),
    [sym_float] = ACTIONS(908),
    [sym_char] = ACTIONS(908),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(908),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [123] = {
    [sym__expression] = STATE(1811),
    [sym_block] = STATE(1811),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1811),
    [sym_nil] = STATE(1811),
    [sym__atom] = STATE(1811),
    [sym_quoted_atom] = STATE(1811),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1811),
    [sym_charlist] = STATE(1811),
    [sym_sigil] = STATE(1811),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1811),
    [sym_tuple] = STATE(1811),
    [sym_bitstring] = STATE(1811),
    [sym_map] = STATE(1811),
    [sym__nullary_operator] = STATE(1811),
    [sym_unary_operator] = STATE(1811),
    [sym_binary_operator] = STATE(1811),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1811),
    [sym_call] = STATE(1811),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1811),
    [sym_stab_clause] = STATE(5537),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1811),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(910),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(912),
    [sym_integer] = ACTIONS(912),
    [sym_float] = ACTIONS(912),
    [sym_char] = ACTIONS(912),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [124] = {
    [sym__expression] = STATE(1828),
    [sym_block] = STATE(1828),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1828),
    [sym_nil] = STATE(1828),
    [sym__atom] = STATE(1828),
    [sym_quoted_atom] = STATE(1828),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1828),
    [sym_charlist] = STATE(1828),
    [sym_sigil] = STATE(1828),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(1828),
    [sym_tuple] = STATE(1828),
    [sym_bitstring] = STATE(1828),
    [sym_map] = STATE(1828),
    [sym__nullary_operator] = STATE(1828),
    [sym_unary_operator] = STATE(1828),
    [sym_binary_operator] = STATE(1828),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1828),
    [sym_call] = STATE(1828),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1828),
    [sym_stab_clause] = STATE(5116),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(1828),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(914),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(916),
    [sym_integer] = ACTIONS(916),
    [sym_float] = ACTIONS(916),
    [sym_char] = ACTIONS(916),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(916),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [125] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5418),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [126] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5271),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [127] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5793),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [128] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5328),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [129] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(4826),
    [sym__stab_clause_left] = STATE(6972),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [130] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5792),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [131] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5658),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [132] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(6773),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [133] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5566),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [134] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(4826),
    [sym__stab_clause_left] = STATE(6923),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(698),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [135] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5852),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [136] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5525),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [137] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5422),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [138] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5125),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [139] = {
    [sym__expression] = STATE(4287),
    [sym_block] = STATE(4287),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4287),
    [sym_nil] = STATE(4287),
    [sym__atom] = STATE(4287),
    [sym_quoted_atom] = STATE(4287),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4287),
    [sym_charlist] = STATE(4287),
    [sym_sigil] = STATE(4287),
    [sym_keywords] = STATE(6800),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4287),
    [sym_tuple] = STATE(4287),
    [sym_bitstring] = STATE(4287),
    [sym_map] = STATE(4287),
    [sym__nullary_operator] = STATE(4287),
    [sym_unary_operator] = STATE(4287),
    [sym_binary_operator] = STATE(4287),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4287),
    [sym_call] = STATE(4287),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4287),
    [sym_stab_clause] = STATE(5710),
    [sym__stab_clause_left] = STATE(6914),
    [sym__stab_clause_arguments_with_parentheses] = STATE(6821),
    [sym__stab_clause_arguments_without_parentheses] = STATE(6804),
    [sym__stab_clause_arguments_with_parentheses_with_guard] = STATE(6909),
    [sym__stab_clause_arguments_without_parentheses_with_guard] = STATE(6908),
    [sym_anonymous_function] = STATE(4287),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(802),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(806),
    [sym_integer] = ACTIONS(806),
    [sym_float] = ACTIONS(806),
    [sym_char] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [140] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4728),
    [sym_rescue_block] = STATE(4728),
    [sym_catch_block] = STATE(4728),
    [sym_else_block] = STATE(4728),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4728),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(952),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [141] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4739),
    [sym_rescue_block] = STATE(4739),
    [sym_catch_block] = STATE(4739),
    [sym_else_block] = STATE(4739),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4739),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(960),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [142] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4734),
    [sym_rescue_block] = STATE(4734),
    [sym_catch_block] = STATE(4734),
    [sym_else_block] = STATE(4734),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4734),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(962),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [143] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4715),
    [sym_rescue_block] = STATE(4715),
    [sym_catch_block] = STATE(4715),
    [sym_else_block] = STATE(4715),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4715),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(964),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [144] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4729),
    [sym_rescue_block] = STATE(4729),
    [sym_catch_block] = STATE(4729),
    [sym_else_block] = STATE(4729),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4729),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(966),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [145] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4738),
    [sym_rescue_block] = STATE(4738),
    [sym_catch_block] = STATE(4738),
    [sym_else_block] = STATE(4738),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4738),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(968),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [146] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4740),
    [sym_rescue_block] = STATE(4740),
    [sym_catch_block] = STATE(4740),
    [sym_else_block] = STATE(4740),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4740),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(970),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [147] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4716),
    [sym_rescue_block] = STATE(4716),
    [sym_catch_block] = STATE(4716),
    [sym_else_block] = STATE(4716),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4716),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(972),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [148] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4730),
    [sym_rescue_block] = STATE(4730),
    [sym_catch_block] = STATE(4730),
    [sym_else_block] = STATE(4730),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4730),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(974),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [149] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4725),
    [sym_rescue_block] = STATE(4725),
    [sym_catch_block] = STATE(4725),
    [sym_else_block] = STATE(4725),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4725),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(976),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [150] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4724),
    [sym_rescue_block] = STATE(4724),
    [sym_catch_block] = STATE(4724),
    [sym_else_block] = STATE(4724),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4724),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [151] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4745),
    [sym_rescue_block] = STATE(4745),
    [sym_catch_block] = STATE(4745),
    [sym_else_block] = STATE(4745),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4745),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(980),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [152] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4714),
    [sym_rescue_block] = STATE(4714),
    [sym_catch_block] = STATE(4714),
    [sym_else_block] = STATE(4714),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4714),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(982),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [153] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4720),
    [sym_rescue_block] = STATE(4720),
    [sym_catch_block] = STATE(4720),
    [sym_else_block] = STATE(4720),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4720),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(984),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [154] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4718),
    [sym_rescue_block] = STATE(4718),
    [sym_catch_block] = STATE(4718),
    [sym_else_block] = STATE(4718),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4718),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(986),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [155] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4723),
    [sym_rescue_block] = STATE(4723),
    [sym_catch_block] = STATE(4723),
    [sym_else_block] = STATE(4723),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4723),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(988),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [156] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4737),
    [sym_rescue_block] = STATE(4737),
    [sym_catch_block] = STATE(4737),
    [sym_else_block] = STATE(4737),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4737),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(990),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [157] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4722),
    [sym_rescue_block] = STATE(4722),
    [sym_catch_block] = STATE(4722),
    [sym_else_block] = STATE(4722),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4722),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(992),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [158] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4717),
    [sym_rescue_block] = STATE(4717),
    [sym_catch_block] = STATE(4717),
    [sym_else_block] = STATE(4717),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4717),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [159] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4742),
    [sym_rescue_block] = STATE(4742),
    [sym_catch_block] = STATE(4742),
    [sym_else_block] = STATE(4742),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4742),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(996),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [160] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4741),
    [sym_rescue_block] = STATE(4741),
    [sym_catch_block] = STATE(4741),
    [sym_else_block] = STATE(4741),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4741),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(998),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [161] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4743),
    [sym_rescue_block] = STATE(4743),
    [sym_catch_block] = STATE(4743),
    [sym_else_block] = STATE(4743),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4743),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1000),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [162] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4731),
    [sym_rescue_block] = STATE(4731),
    [sym_catch_block] = STATE(4731),
    [sym_else_block] = STATE(4731),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4731),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1002),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [163] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4694),
    [sym_rescue_block] = STATE(4694),
    [sym_catch_block] = STATE(4694),
    [sym_else_block] = STATE(4694),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4694),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1004),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [164] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4693),
    [sym_rescue_block] = STATE(4693),
    [sym_catch_block] = STATE(4693),
    [sym_else_block] = STATE(4693),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4693),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1006),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [165] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4692),
    [sym_rescue_block] = STATE(4692),
    [sym_catch_block] = STATE(4692),
    [sym_else_block] = STATE(4692),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4692),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1008),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [166] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4706),
    [sym_rescue_block] = STATE(4706),
    [sym_catch_block] = STATE(4706),
    [sym_else_block] = STATE(4706),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4706),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1010),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [167] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4691),
    [sym_rescue_block] = STATE(4691),
    [sym_catch_block] = STATE(4691),
    [sym_else_block] = STATE(4691),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4691),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1012),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [168] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4705),
    [sym_rescue_block] = STATE(4705),
    [sym_catch_block] = STATE(4705),
    [sym_else_block] = STATE(4705),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4705),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [169] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4702),
    [sym_rescue_block] = STATE(4702),
    [sym_catch_block] = STATE(4702),
    [sym_else_block] = STATE(4702),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4702),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1016),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [170] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4748),
    [sym_rescue_block] = STATE(4748),
    [sym_catch_block] = STATE(4748),
    [sym_else_block] = STATE(4748),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4748),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1018),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [171] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4747),
    [sym_rescue_block] = STATE(4747),
    [sym_catch_block] = STATE(4747),
    [sym_else_block] = STATE(4747),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4747),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1020),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [172] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4700),
    [sym_rescue_block] = STATE(4700),
    [sym_catch_block] = STATE(4700),
    [sym_else_block] = STATE(4700),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4700),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1022),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [173] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4703),
    [sym_rescue_block] = STATE(4703),
    [sym_catch_block] = STATE(4703),
    [sym_else_block] = STATE(4703),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4703),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1024),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [174] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4698),
    [sym_rescue_block] = STATE(4698),
    [sym_catch_block] = STATE(4698),
    [sym_else_block] = STATE(4698),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4698),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1026),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [175] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_after_block] = STATE(4696),
    [sym_rescue_block] = STATE(4696),
    [sym_catch_block] = STATE(4696),
    [sym_else_block] = STATE(4696),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym_do_block_repeat1] = STATE(4696),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1028),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(113),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [176] = {
    [sym__terminator] = STATE(260),
    [sym__expression] = STATE(1765),
    [sym_block] = STATE(1765),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(1765),
    [sym_nil] = STATE(1765),
    [sym__atom] = STATE(1765),
    [sym_quoted_atom] = STATE(1765),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(1765),
    [sym_charlist] = STATE(1765),
    [sym_sigil] = STATE(1765),
    [sym_list] = STATE(1765),
    [sym_tuple] = STATE(1765),
    [sym_bitstring] = STATE(1765),
    [sym_map] = STATE(1765),
    [sym__nullary_operator] = STATE(1765),
    [sym_unary_operator] = STATE(1765),
    [sym_binary_operator] = STATE(1765),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(1765),
    [sym_call] = STATE(1765),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(1765),
    [sym_body] = STATE(4825),
    [sym_anonymous_function] = STATE(1765),
    [aux_sym__terminator_repeat1] = STATE(1020),
    [aux_sym__terminator_token1] = ACTIONS(1030),
    [anon_sym_SEMI] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1034),
    [sym_integer] = ACTIONS(1034),
    [sym_float] = ACTIONS(1034),
    [sym_char] = ACTIONS(1034),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1039),
    [anon_sym_catch] = ACTIONS(1039),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_end] = ACTIONS(1039),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [177] = {
    [sym__terminator] = STATE(260),
    [sym__expression] = STATE(1765),
    [sym_block] = STATE(1765),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(1765),
    [sym_nil] = STATE(1765),
    [sym__atom] = STATE(1765),
    [sym_quoted_atom] = STATE(1765),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(1765),
    [sym_charlist] = STATE(1765),
    [sym_sigil] = STATE(1765),
    [sym_list] = STATE(1765),
    [sym_tuple] = STATE(1765),
    [sym_bitstring] = STATE(1765),
    [sym_map] = STATE(1765),
    [sym__nullary_operator] = STATE(1765),
    [sym_unary_operator] = STATE(1765),
    [sym_binary_operator] = STATE(1765),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(1765),
    [sym_call] = STATE(1765),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(1765),
    [sym_body] = STATE(4828),
    [sym_anonymous_function] = STATE(1765),
    [aux_sym__terminator_repeat1] = STATE(1020),
    [aux_sym__terminator_token1] = ACTIONS(1030),
    [anon_sym_SEMI] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1034),
    [sym_integer] = ACTIONS(1034),
    [sym_float] = ACTIONS(1034),
    [sym_char] = ACTIONS(1034),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1041),
    [anon_sym_catch] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_end] = ACTIONS(1041),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1041),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [178] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6929),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [179] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6856),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [180] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6905),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [181] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6935),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1119),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [182] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6928),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [183] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6899),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6899),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1139),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [184] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6927),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [185] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6880),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [186] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6912),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [187] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6893),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [188] = {
    [sym__expression] = STATE(3613),
    [sym_block] = STATE(3613),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3613),
    [sym_nil] = STATE(3613),
    [sym__atom] = STATE(3613),
    [sym_quoted_atom] = STATE(3613),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3613),
    [sym_charlist] = STATE(3613),
    [sym_sigil] = STATE(3613),
    [sym__keywords_with_trailing_separator] = STATE(6456),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3613),
    [sym_tuple] = STATE(3613),
    [sym_bitstring] = STATE(3613),
    [sym_map] = STATE(3613),
    [sym__nullary_operator] = STATE(3613),
    [sym_unary_operator] = STATE(3613),
    [sym_binary_operator] = STATE(3613),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3613),
    [sym_call] = STATE(3613),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3613),
    [sym_anonymous_function] = STATE(3613),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1151),
    [sym_integer] = ACTIONS(1151),
    [sym_float] = ACTIONS(1151),
    [sym_char] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1153),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [189] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6874),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [190] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6889),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [191] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6941),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6941),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1159),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [192] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6944),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6944),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1161),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [193] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6951),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [194] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6877),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [195] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6980),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1167),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [196] = {
    [sym__expression] = STATE(3613),
    [sym_block] = STATE(3613),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3613),
    [sym_nil] = STATE(3613),
    [sym__atom] = STATE(3613),
    [sym_quoted_atom] = STATE(3613),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3613),
    [sym_charlist] = STATE(3613),
    [sym_sigil] = STATE(3613),
    [sym__keywords_with_trailing_separator] = STATE(6398),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3613),
    [sym_tuple] = STATE(3613),
    [sym_bitstring] = STATE(3613),
    [sym_map] = STATE(3613),
    [sym__nullary_operator] = STATE(3613),
    [sym_unary_operator] = STATE(3613),
    [sym_binary_operator] = STATE(3613),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3613),
    [sym_call] = STATE(3613),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3613),
    [sym_anonymous_function] = STATE(3613),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1151),
    [sym_integer] = ACTIONS(1151),
    [sym_float] = ACTIONS(1151),
    [sym_char] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [197] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6984),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [198] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6985),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [199] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6974),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6974),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1175),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [200] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6940),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6940),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1177),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [201] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6888),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [202] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6869),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [203] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6937),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1183),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [204] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6865),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [205] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6855),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [206] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6867),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6867),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1189),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [207] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6897),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [208] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6898),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [209] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6920),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [210] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6942),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6942),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1197),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [211] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6913),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6913),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1199),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [212] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6983),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [213] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6981),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [214] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6861),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [215] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6922),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [216] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6965),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [217] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6962),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [218] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6872),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [219] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6858),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [220] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6857),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [221] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6975),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [222] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6967),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [223] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6968),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [224] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6969),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [225] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6964),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [226] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6933),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6933),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1229),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [227] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6915),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [228] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6963),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [229] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6900),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6900),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [230] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6892),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6892),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1237),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [231] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6882),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6882),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [232] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6879),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6879),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1241),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [233] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6948),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1243),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [234] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6919),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [235] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6902),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1247),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [236] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6887),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [237] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6875),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [238] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6876),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1253),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [239] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6878),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [240] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6955),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [241] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6956),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [242] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6954),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6954),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1261),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [243] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6934),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [244] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6943),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [245] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6881),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6881),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [246] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6894),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6894),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1269),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [247] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6895),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [248] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6907),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [249] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6854),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [250] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6921),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [251] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6976),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [252] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6978),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_RBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [253] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6901),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [254] = {
    [sym__expression] = STATE(4408),
    [sym_block] = STATE(4408),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4408),
    [sym_nil] = STATE(4408),
    [sym__atom] = STATE(4408),
    [sym_quoted_atom] = STATE(4408),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4408),
    [sym_charlist] = STATE(4408),
    [sym_sigil] = STATE(4408),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4408),
    [sym_tuple] = STATE(4408),
    [sym_bitstring] = STATE(4408),
    [sym_map] = STATE(4408),
    [sym__items_with_trailing_separator] = STATE(6979),
    [sym__nullary_operator] = STATE(4408),
    [sym_unary_operator] = STATE(4408),
    [sym_binary_operator] = STATE(4408),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4408),
    [sym_call] = STATE(4408),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4408),
    [sym_anonymous_function] = STATE(4408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [sym_char] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1285),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [255] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6958),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6958),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1287),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [256] = {
    [sym__expression] = STATE(4356),
    [sym_block] = STATE(4356),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4356),
    [sym_nil] = STATE(4356),
    [sym__atom] = STATE(4356),
    [sym_quoted_atom] = STATE(4356),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4356),
    [sym_charlist] = STATE(4356),
    [sym_sigil] = STATE(4356),
    [sym__keywords_with_trailing_separator] = STATE(6971),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4356),
    [sym_tuple] = STATE(4356),
    [sym_bitstring] = STATE(4356),
    [sym_map] = STATE(4356),
    [sym__nullary_operator] = STATE(4356),
    [sym_unary_operator] = STATE(4356),
    [sym_binary_operator] = STATE(4356),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4356),
    [sym_call] = STATE(4356),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym__call_arguments_with_trailing_separator] = STATE(6971),
    [sym_access_call] = STATE(4356),
    [sym_anonymous_function] = STATE(4356),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_RPAREN] = ACTIONS(1289),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1141),
    [sym_integer] = ACTIONS(1141),
    [sym_float] = ACTIONS(1141),
    [sym_char] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [257] = {
    [sym__expression] = STATE(3578),
    [sym_block] = STATE(3578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3578),
    [sym_nil] = STATE(3578),
    [sym__atom] = STATE(3578),
    [sym_quoted_atom] = STATE(3578),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3578),
    [sym_charlist] = STATE(3578),
    [sym_sigil] = STATE(3578),
    [sym__keywords_with_trailing_separator] = STATE(6483),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3578),
    [sym_tuple] = STATE(3578),
    [sym_bitstring] = STATE(3578),
    [sym_map] = STATE(3578),
    [sym__items_with_trailing_separator] = STATE(6973),
    [sym__nullary_operator] = STATE(3578),
    [sym_unary_operator] = STATE(3578),
    [sym_binary_operator] = STATE(3578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3578),
    [sym_call] = STATE(3578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3578),
    [sym_anonymous_function] = STATE(3578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [sym_char] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [258] = {
    [sym__expression] = STATE(2660),
    [sym_block] = STATE(2660),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2660),
    [sym_nil] = STATE(2660),
    [sym__atom] = STATE(2660),
    [sym_quoted_atom] = STATE(2660),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2660),
    [sym_charlist] = STATE(2660),
    [sym_sigil] = STATE(2660),
    [sym_list] = STATE(2660),
    [sym_tuple] = STATE(2660),
    [sym_bitstring] = STATE(2660),
    [sym_map] = STATE(2660),
    [sym__nullary_operator] = STATE(2660),
    [sym_unary_operator] = STATE(2660),
    [sym_binary_operator] = STATE(2660),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2660),
    [sym_call] = STATE(2660),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2660),
    [sym_anonymous_function] = STATE(2660),
    [aux_sym__terminator_token1] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1297),
    [sym_integer] = ACTIONS(1297),
    [sym_float] = ACTIONS(1297),
    [sym_char] = ACTIONS(1297),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1295),
    [anon_sym_catch] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(1295),
    [anon_sym_end] = ACTIONS(1295),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1295),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [259] = {
    [sym__expression] = STATE(4507),
    [sym_block] = STATE(4507),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4507),
    [sym_nil] = STATE(4507),
    [sym__atom] = STATE(4507),
    [sym_quoted_atom] = STATE(4507),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4507),
    [sym_charlist] = STATE(4507),
    [sym_sigil] = STATE(4507),
    [sym__keywords_with_trailing_separator] = STATE(6398),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4507),
    [sym_tuple] = STATE(4507),
    [sym_bitstring] = STATE(4507),
    [sym_map] = STATE(4507),
    [sym__nullary_operator] = STATE(4507),
    [sym_unary_operator] = STATE(4507),
    [sym_binary_operator] = STATE(4507),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4507),
    [sym_call] = STATE(4507),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4507),
    [sym_anonymous_function] = STATE(4507),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1299),
    [sym_integer] = ACTIONS(1299),
    [sym_float] = ACTIONS(1299),
    [sym_char] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1299),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [260] = {
    [sym__expression] = STATE(1766),
    [sym_block] = STATE(1766),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(1766),
    [sym_nil] = STATE(1766),
    [sym__atom] = STATE(1766),
    [sym_quoted_atom] = STATE(1766),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(1766),
    [sym_charlist] = STATE(1766),
    [sym_sigil] = STATE(1766),
    [sym_list] = STATE(1766),
    [sym_tuple] = STATE(1766),
    [sym_bitstring] = STATE(1766),
    [sym_map] = STATE(1766),
    [sym__nullary_operator] = STATE(1766),
    [sym_unary_operator] = STATE(1766),
    [sym_binary_operator] = STATE(1766),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(1766),
    [sym_call] = STATE(1766),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(1766),
    [sym_anonymous_function] = STATE(1766),
    [aux_sym__terminator_token1] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1305),
    [sym_integer] = ACTIONS(1305),
    [sym_float] = ACTIONS(1305),
    [sym_char] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1303),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1303),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [261] = {
    [sym__expression] = STATE(2660),
    [sym_block] = STATE(2660),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2660),
    [sym_nil] = STATE(2660),
    [sym__atom] = STATE(2660),
    [sym_quoted_atom] = STATE(2660),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2660),
    [sym_charlist] = STATE(2660),
    [sym_sigil] = STATE(2660),
    [sym_list] = STATE(2660),
    [sym_tuple] = STATE(2660),
    [sym_bitstring] = STATE(2660),
    [sym_map] = STATE(2660),
    [sym__nullary_operator] = STATE(2660),
    [sym_unary_operator] = STATE(2660),
    [sym_binary_operator] = STATE(2660),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2660),
    [sym_call] = STATE(2660),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2660),
    [sym_anonymous_function] = STATE(2660),
    [aux_sym__terminator_token1] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1297),
    [sym_integer] = ACTIONS(1297),
    [sym_float] = ACTIONS(1297),
    [sym_char] = ACTIONS(1297),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1309),
    [anon_sym_catch] = ACTIONS(1309),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_end] = ACTIONS(1309),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1309),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [262] = {
    [sym__expression] = STATE(4507),
    [sym_block] = STATE(4507),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4507),
    [sym_nil] = STATE(4507),
    [sym__atom] = STATE(4507),
    [sym_quoted_atom] = STATE(4507),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4507),
    [sym_charlist] = STATE(4507),
    [sym_sigil] = STATE(4507),
    [sym__keywords_with_trailing_separator] = STATE(6456),
    [sym_pair] = STATE(6244),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4507),
    [sym_tuple] = STATE(4507),
    [sym_bitstring] = STATE(4507),
    [sym_map] = STATE(4507),
    [sym__nullary_operator] = STATE(4507),
    [sym_unary_operator] = STATE(4507),
    [sym_binary_operator] = STATE(4507),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4507),
    [sym_call] = STATE(4507),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4507),
    [sym_anonymous_function] = STATE(4507),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1299),
    [sym_integer] = ACTIONS(1299),
    [sym_float] = ACTIONS(1299),
    [sym_char] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1299),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [263] = {
    [sym__expression] = STATE(2660),
    [sym_block] = STATE(2660),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2660),
    [sym_nil] = STATE(2660),
    [sym__atom] = STATE(2660),
    [sym_quoted_atom] = STATE(2660),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2660),
    [sym_charlist] = STATE(2660),
    [sym_sigil] = STATE(2660),
    [sym_list] = STATE(2660),
    [sym_tuple] = STATE(2660),
    [sym_bitstring] = STATE(2660),
    [sym_map] = STATE(2660),
    [sym__nullary_operator] = STATE(2660),
    [sym_unary_operator] = STATE(2660),
    [sym_binary_operator] = STATE(2660),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2660),
    [sym_call] = STATE(2660),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2660),
    [sym_anonymous_function] = STATE(2660),
    [aux_sym__terminator_token1] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1297),
    [sym_integer] = ACTIONS(1297),
    [sym_float] = ACTIONS(1297),
    [sym_char] = ACTIONS(1297),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1313),
    [anon_sym_catch] = ACTIONS(1313),
    [anon_sym_else] = ACTIONS(1313),
    [anon_sym_end] = ACTIONS(1313),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1313),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [264] = {
    [sym__expression] = STATE(2554),
    [sym_block] = STATE(2554),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2554),
    [sym_nil] = STATE(2554),
    [sym__atom] = STATE(2554),
    [sym_quoted_atom] = STATE(2554),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2554),
    [sym_charlist] = STATE(2554),
    [sym_sigil] = STATE(2554),
    [sym_keywords] = STATE(2235),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2554),
    [sym_tuple] = STATE(2554),
    [sym_bitstring] = STATE(2554),
    [sym_map] = STATE(2554),
    [sym__nullary_operator] = STATE(2554),
    [sym_unary_operator] = STATE(2554),
    [sym_binary_operator] = STATE(2554),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2554),
    [sym_call] = STATE(2554),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2554),
    [sym_anonymous_function] = STATE(2554),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1315),
    [sym_integer] = ACTIONS(1315),
    [sym_float] = ACTIONS(1315),
    [sym_char] = ACTIONS(1315),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [265] = {
    [sym__expression] = STATE(1576),
    [sym_block] = STATE(1576),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1576),
    [sym_nil] = STATE(1576),
    [sym__atom] = STATE(1576),
    [sym_quoted_atom] = STATE(1576),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1576),
    [sym_charlist] = STATE(1576),
    [sym_sigil] = STATE(1576),
    [sym_keywords] = STATE(1396),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1576),
    [sym_tuple] = STATE(1576),
    [sym_bitstring] = STATE(1576),
    [sym_map] = STATE(1576),
    [sym__nullary_operator] = STATE(1576),
    [sym_unary_operator] = STATE(1576),
    [sym_binary_operator] = STATE(1576),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1576),
    [sym_call] = STATE(1576),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1576),
    [sym_anonymous_function] = STATE(1576),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1319),
    [sym_integer] = ACTIONS(1319),
    [sym_float] = ACTIONS(1319),
    [sym_char] = ACTIONS(1319),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [266] = {
    [sym__expression] = STATE(3630),
    [sym_block] = STATE(3630),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3630),
    [sym_nil] = STATE(3630),
    [sym__atom] = STATE(3630),
    [sym_quoted_atom] = STATE(3630),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3630),
    [sym_charlist] = STATE(3630),
    [sym_sigil] = STATE(3630),
    [sym_keywords] = STATE(2236),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(3630),
    [sym_tuple] = STATE(3630),
    [sym_bitstring] = STATE(3630),
    [sym_map] = STATE(3630),
    [sym__nullary_operator] = STATE(3630),
    [sym_unary_operator] = STATE(3630),
    [sym_binary_operator] = STATE(3630),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3630),
    [sym_call] = STATE(3630),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3630),
    [sym_anonymous_function] = STATE(3630),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1323),
    [sym_char] = ACTIONS(1323),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [267] = {
    [sym__expression] = STATE(3985),
    [sym_block] = STATE(3985),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3985),
    [sym_nil] = STATE(3985),
    [sym__atom] = STATE(3985),
    [sym_quoted_atom] = STATE(3985),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3985),
    [sym_charlist] = STATE(3985),
    [sym_sigil] = STATE(3985),
    [sym_keywords] = STATE(3194),
    [sym_pair] = STATE(3234),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3985),
    [sym_tuple] = STATE(3985),
    [sym_bitstring] = STATE(3985),
    [sym_map] = STATE(3985),
    [sym__nullary_operator] = STATE(3985),
    [sym_unary_operator] = STATE(3985),
    [sym_binary_operator] = STATE(3985),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3985),
    [sym_call] = STATE(3985),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3985),
    [sym_anonymous_function] = STATE(3985),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1325),
    [sym_integer] = ACTIONS(1325),
    [sym_float] = ACTIONS(1325),
    [sym_char] = ACTIONS(1325),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [268] = {
    [sym__expression] = STATE(1768),
    [sym_block] = STATE(1768),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1768),
    [sym_nil] = STATE(1768),
    [sym__atom] = STATE(1768),
    [sym_quoted_atom] = STATE(1768),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1768),
    [sym_charlist] = STATE(1768),
    [sym_sigil] = STATE(1768),
    [sym_keywords] = STATE(1411),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1768),
    [sym_tuple] = STATE(1768),
    [sym_bitstring] = STATE(1768),
    [sym_map] = STATE(1768),
    [sym__nullary_operator] = STATE(1768),
    [sym_unary_operator] = STATE(1768),
    [sym_binary_operator] = STATE(1768),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1768),
    [sym_call] = STATE(1768),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1768),
    [sym_anonymous_function] = STATE(1768),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1327),
    [sym_integer] = ACTIONS(1327),
    [sym_float] = ACTIONS(1327),
    [sym_char] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [269] = {
    [sym__expression] = STATE(4524),
    [sym_block] = STATE(4524),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4524),
    [sym_nil] = STATE(4524),
    [sym__atom] = STATE(4524),
    [sym_quoted_atom] = STATE(4524),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4524),
    [sym_charlist] = STATE(4524),
    [sym_sigil] = STATE(4524),
    [sym_keywords] = STATE(3194),
    [sym_pair] = STATE(4081),
    [sym__keyword] = STATE(507),
    [sym_quoted_keyword] = STATE(507),
    [sym_list] = STATE(4524),
    [sym_tuple] = STATE(4524),
    [sym_bitstring] = STATE(4524),
    [sym_map] = STATE(4524),
    [sym__nullary_operator] = STATE(4524),
    [sym_unary_operator] = STATE(4524),
    [sym_binary_operator] = STATE(4524),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4524),
    [sym_call] = STATE(4524),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4524),
    [sym_anonymous_function] = STATE(4524),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1329),
    [sym_integer] = ACTIONS(1329),
    [sym_float] = ACTIONS(1329),
    [sym_char] = ACTIONS(1329),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1331),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [270] = {
    [sym__expression] = STATE(4519),
    [sym_block] = STATE(4519),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4519),
    [sym_nil] = STATE(4519),
    [sym__atom] = STATE(4519),
    [sym_quoted_atom] = STATE(4519),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4519),
    [sym_charlist] = STATE(4519),
    [sym_sigil] = STATE(4519),
    [sym_keywords] = STATE(3195),
    [sym_pair] = STATE(4081),
    [sym__keyword] = STATE(507),
    [sym_quoted_keyword] = STATE(507),
    [sym_list] = STATE(4519),
    [sym_tuple] = STATE(4519),
    [sym_bitstring] = STATE(4519),
    [sym_map] = STATE(4519),
    [sym__nullary_operator] = STATE(4519),
    [sym_unary_operator] = STATE(4519),
    [sym_binary_operator] = STATE(4519),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4519),
    [sym_call] = STATE(4519),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4519),
    [sym_anonymous_function] = STATE(4519),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1341),
    [sym_integer] = ACTIONS(1341),
    [sym_float] = ACTIONS(1341),
    [sym_char] = ACTIONS(1341),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1331),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [271] = {
    [sym__expression] = STATE(2380),
    [sym_block] = STATE(2380),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2380),
    [sym_nil] = STATE(2380),
    [sym__atom] = STATE(2380),
    [sym_quoted_atom] = STATE(2380),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2380),
    [sym_charlist] = STATE(2380),
    [sym_sigil] = STATE(2380),
    [sym_keywords] = STATE(2175),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2380),
    [sym_tuple] = STATE(2380),
    [sym_bitstring] = STATE(2380),
    [sym_map] = STATE(2380),
    [sym__nullary_operator] = STATE(2380),
    [sym_unary_operator] = STATE(2380),
    [sym_binary_operator] = STATE(2380),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2380),
    [sym_call] = STATE(2380),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2380),
    [sym_anonymous_function] = STATE(2380),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1343),
    [sym_integer] = ACTIONS(1343),
    [sym_float] = ACTIONS(1343),
    [sym_char] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [272] = {
    [sym__expression] = STATE(4463),
    [sym_block] = STATE(4463),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4463),
    [sym_nil] = STATE(4463),
    [sym__atom] = STATE(4463),
    [sym_quoted_atom] = STATE(4463),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4463),
    [sym_charlist] = STATE(4463),
    [sym_sigil] = STATE(4463),
    [sym_keywords] = STATE(4460),
    [sym_pair] = STATE(4096),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4463),
    [sym_tuple] = STATE(4463),
    [sym_bitstring] = STATE(4463),
    [sym_map] = STATE(4463),
    [sym__nullary_operator] = STATE(4463),
    [sym_unary_operator] = STATE(4463),
    [sym_binary_operator] = STATE(4463),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4463),
    [sym_call] = STATE(4463),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4463),
    [sym_anonymous_function] = STATE(4463),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1345),
    [sym_integer] = ACTIONS(1345),
    [sym_float] = ACTIONS(1345),
    [sym_char] = ACTIONS(1345),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [273] = {
    [sym__expression] = STATE(4452),
    [sym_block] = STATE(4452),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4452),
    [sym_nil] = STATE(4452),
    [sym__atom] = STATE(4452),
    [sym_quoted_atom] = STATE(4452),
    [sym__quoted_i_double] = STATE(4075),
    [sym__quoted_i_single] = STATE(4074),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4452),
    [sym_charlist] = STATE(4452),
    [sym_sigil] = STATE(4452),
    [sym_keywords] = STATE(4449),
    [sym_pair] = STATE(4096),
    [sym__keyword] = STATE(605),
    [sym_quoted_keyword] = STATE(605),
    [sym_list] = STATE(4452),
    [sym_tuple] = STATE(4452),
    [sym_bitstring] = STATE(4452),
    [sym_map] = STATE(4452),
    [sym__nullary_operator] = STATE(4452),
    [sym_unary_operator] = STATE(4452),
    [sym_binary_operator] = STATE(4452),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4452),
    [sym_call] = STATE(4452),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4452),
    [sym_anonymous_function] = STATE(4452),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1347),
    [sym_integer] = ACTIONS(1347),
    [sym_float] = ACTIONS(1347),
    [sym_char] = ACTIONS(1347),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [sym_keyword] = ACTIONS(1115),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [274] = {
    [sym__expression] = STATE(3991),
    [sym_block] = STATE(3991),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3991),
    [sym_nil] = STATE(3991),
    [sym__atom] = STATE(3991),
    [sym_quoted_atom] = STATE(3991),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3991),
    [sym_charlist] = STATE(3991),
    [sym_sigil] = STATE(3991),
    [sym_keywords] = STATE(3195),
    [sym_pair] = STATE(3234),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3991),
    [sym_tuple] = STATE(3991),
    [sym_bitstring] = STATE(3991),
    [sym_map] = STATE(3991),
    [sym__nullary_operator] = STATE(3991),
    [sym_unary_operator] = STATE(3991),
    [sym_binary_operator] = STATE(3991),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3991),
    [sym_call] = STATE(3991),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3991),
    [sym_anonymous_function] = STATE(3991),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1349),
    [sym_integer] = ACTIONS(1349),
    [sym_float] = ACTIONS(1349),
    [sym_char] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [275] = {
    [sym__expression] = STATE(3309),
    [sym_block] = STATE(3309),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3309),
    [sym_nil] = STATE(3309),
    [sym__atom] = STATE(3309),
    [sym_quoted_atom] = STATE(3309),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3309),
    [sym_charlist] = STATE(3309),
    [sym_sigil] = STATE(3309),
    [sym_keywords] = STATE(1411),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(3309),
    [sym_tuple] = STATE(3309),
    [sym_bitstring] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym__nullary_operator] = STATE(3309),
    [sym_unary_operator] = STATE(3309),
    [sym_binary_operator] = STATE(3309),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3309),
    [sym_call] = STATE(3309),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3309),
    [sym_anonymous_function] = STATE(3309),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1351),
    [sym_integer] = ACTIONS(1351),
    [sym_float] = ACTIONS(1351),
    [sym_char] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [276] = {
    [sym__terminator] = STATE(351),
    [sym__expression] = STATE(3038),
    [sym_block] = STATE(3038),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(3038),
    [sym_nil] = STATE(3038),
    [sym__atom] = STATE(3038),
    [sym_quoted_atom] = STATE(3038),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(3038),
    [sym_charlist] = STATE(3038),
    [sym_sigil] = STATE(3038),
    [sym_list] = STATE(3038),
    [sym_tuple] = STATE(3038),
    [sym_bitstring] = STATE(3038),
    [sym_map] = STATE(3038),
    [sym__nullary_operator] = STATE(3038),
    [sym_unary_operator] = STATE(3038),
    [sym_binary_operator] = STATE(3038),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(3038),
    [sym_call] = STATE(3038),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(3038),
    [sym_body] = STATE(4825),
    [sym_anonymous_function] = STATE(3038),
    [aux_sym__terminator_repeat1] = STATE(1034),
    [aux_sym__terminator_token1] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1039),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1357),
    [sym_integer] = ACTIONS(1357),
    [sym_float] = ACTIONS(1357),
    [sym_char] = ACTIONS(1357),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1357),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [277] = {
    [sym__expression] = STATE(2509),
    [sym_block] = STATE(2509),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2509),
    [sym_nil] = STATE(2509),
    [sym__atom] = STATE(2509),
    [sym_quoted_atom] = STATE(2509),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2509),
    [sym_charlist] = STATE(2509),
    [sym_sigil] = STATE(2509),
    [sym_keywords] = STATE(1283),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2509),
    [sym_tuple] = STATE(2509),
    [sym_bitstring] = STATE(2509),
    [sym_map] = STATE(2509),
    [sym__nullary_operator] = STATE(2509),
    [sym_unary_operator] = STATE(2509),
    [sym_binary_operator] = STATE(2509),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2509),
    [sym_call] = STATE(2509),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2509),
    [sym_anonymous_function] = STATE(2509),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1369),
    [sym_integer] = ACTIONS(1369),
    [sym_float] = ACTIONS(1369),
    [sym_char] = ACTIONS(1369),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [278] = {
    [sym__expression] = STATE(2380),
    [sym_block] = STATE(2380),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2380),
    [sym_nil] = STATE(2380),
    [sym__atom] = STATE(2380),
    [sym_quoted_atom] = STATE(2380),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2380),
    [sym_charlist] = STATE(2380),
    [sym_sigil] = STATE(2380),
    [sym_keywords] = STATE(2147),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2380),
    [sym_tuple] = STATE(2380),
    [sym_bitstring] = STATE(2380),
    [sym_map] = STATE(2380),
    [sym__nullary_operator] = STATE(2380),
    [sym_unary_operator] = STATE(2380),
    [sym_binary_operator] = STATE(2380),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2380),
    [sym_call] = STATE(2380),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2380),
    [sym_anonymous_function] = STATE(2380),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1343),
    [sym_integer] = ACTIONS(1343),
    [sym_float] = ACTIONS(1343),
    [sym_char] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [279] = {
    [sym__expression] = STATE(4165),
    [sym_block] = STATE(4165),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4165),
    [sym_nil] = STATE(4165),
    [sym__atom] = STATE(4165),
    [sym_quoted_atom] = STATE(4165),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4165),
    [sym_charlist] = STATE(4165),
    [sym_sigil] = STATE(4165),
    [sym_keywords] = STATE(4166),
    [sym_pair] = STATE(3729),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4165),
    [sym_tuple] = STATE(4165),
    [sym_bitstring] = STATE(4165),
    [sym_map] = STATE(4165),
    [sym__nullary_operator] = STATE(4165),
    [sym_unary_operator] = STATE(4165),
    [sym_binary_operator] = STATE(4165),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4165),
    [sym_call] = STATE(4165),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4165),
    [sym_anonymous_function] = STATE(4165),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1375),
    [sym_integer] = ACTIONS(1375),
    [sym_float] = ACTIONS(1375),
    [sym_char] = ACTIONS(1375),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [280] = {
    [sym__expression] = STATE(2509),
    [sym_block] = STATE(2509),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2509),
    [sym_nil] = STATE(2509),
    [sym__atom] = STATE(2509),
    [sym_quoted_atom] = STATE(2509),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2509),
    [sym_charlist] = STATE(2509),
    [sym_sigil] = STATE(2509),
    [sym_keywords] = STATE(1249),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2509),
    [sym_tuple] = STATE(2509),
    [sym_bitstring] = STATE(2509),
    [sym_map] = STATE(2509),
    [sym__nullary_operator] = STATE(2509),
    [sym_unary_operator] = STATE(2509),
    [sym_binary_operator] = STATE(2509),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2509),
    [sym_call] = STATE(2509),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2509),
    [sym_anonymous_function] = STATE(2509),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1369),
    [sym_integer] = ACTIONS(1369),
    [sym_float] = ACTIONS(1369),
    [sym_char] = ACTIONS(1369),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [281] = {
    [sym__expression] = STATE(4178),
    [sym_block] = STATE(4178),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4178),
    [sym_nil] = STATE(4178),
    [sym__atom] = STATE(4178),
    [sym_quoted_atom] = STATE(4178),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4178),
    [sym_charlist] = STATE(4178),
    [sym_sigil] = STATE(4178),
    [sym_keywords] = STATE(4050),
    [sym_pair] = STATE(3729),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4178),
    [sym_tuple] = STATE(4178),
    [sym_bitstring] = STATE(4178),
    [sym_map] = STATE(4178),
    [sym__nullary_operator] = STATE(4178),
    [sym_unary_operator] = STATE(4178),
    [sym_binary_operator] = STATE(4178),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4178),
    [sym_call] = STATE(4178),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4178),
    [sym_anonymous_function] = STATE(4178),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1377),
    [sym_integer] = ACTIONS(1377),
    [sym_float] = ACTIONS(1377),
    [sym_char] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [282] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1379),
    [anon_sym_catch] = ACTIONS(1379),
    [anon_sym_else] = ACTIONS(1379),
    [anon_sym_end] = ACTIONS(1379),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1379),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [283] = {
    [sym__expression] = STATE(3699),
    [sym_block] = STATE(3699),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3699),
    [sym_nil] = STATE(3699),
    [sym__atom] = STATE(3699),
    [sym_quoted_atom] = STATE(3699),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3699),
    [sym_charlist] = STATE(3699),
    [sym_sigil] = STATE(3699),
    [sym_keywords] = STATE(1698),
    [sym_pair] = STATE(3442),
    [sym__keyword] = STATE(530),
    [sym_quoted_keyword] = STATE(530),
    [sym_list] = STATE(3699),
    [sym_tuple] = STATE(3699),
    [sym_bitstring] = STATE(3699),
    [sym_map] = STATE(3699),
    [sym__nullary_operator] = STATE(3699),
    [sym_unary_operator] = STATE(3699),
    [sym_binary_operator] = STATE(3699),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3699),
    [sym_call] = STATE(3699),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3699),
    [sym_anonymous_function] = STATE(3699),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1383),
    [sym_integer] = ACTIONS(1383),
    [sym_float] = ACTIONS(1383),
    [sym_char] = ACTIONS(1383),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [284] = {
    [sym__expression] = STATE(3686),
    [sym_block] = STATE(3686),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3686),
    [sym_nil] = STATE(3686),
    [sym__atom] = STATE(3686),
    [sym_quoted_atom] = STATE(3686),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3686),
    [sym_charlist] = STATE(3686),
    [sym_sigil] = STATE(3686),
    [sym_keywords] = STATE(1699),
    [sym_pair] = STATE(3442),
    [sym__keyword] = STATE(530),
    [sym_quoted_keyword] = STATE(530),
    [sym_list] = STATE(3686),
    [sym_tuple] = STATE(3686),
    [sym_bitstring] = STATE(3686),
    [sym_map] = STATE(3686),
    [sym__nullary_operator] = STATE(3686),
    [sym_unary_operator] = STATE(3686),
    [sym_binary_operator] = STATE(3686),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3686),
    [sym_call] = STATE(3686),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3686),
    [sym_anonymous_function] = STATE(3686),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1387),
    [sym_integer] = ACTIONS(1387),
    [sym_float] = ACTIONS(1387),
    [sym_char] = ACTIONS(1387),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [sym_keyword] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [285] = {
    [sym__terminator] = STATE(350),
    [sym__expression] = STATE(3351),
    [sym_block] = STATE(3351),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(3351),
    [sym_nil] = STATE(3351),
    [sym__atom] = STATE(3351),
    [sym_quoted_atom] = STATE(3351),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(3351),
    [sym_charlist] = STATE(3351),
    [sym_sigil] = STATE(3351),
    [sym_list] = STATE(3351),
    [sym_tuple] = STATE(3351),
    [sym_bitstring] = STATE(3351),
    [sym_map] = STATE(3351),
    [sym__nullary_operator] = STATE(3351),
    [sym_unary_operator] = STATE(3351),
    [sym_binary_operator] = STATE(3351),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(3351),
    [sym_call] = STATE(3351),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(3351),
    [sym_body] = STATE(4825),
    [sym_anonymous_function] = STATE(3351),
    [aux_sym__terminator_repeat1] = STATE(1029),
    [aux_sym__terminator_token1] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1395),
    [sym_integer] = ACTIONS(1395),
    [sym_float] = ACTIONS(1395),
    [sym_char] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1395),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(1039),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [286] = {
    [sym__expression] = STATE(4363),
    [sym_block] = STATE(4363),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4363),
    [sym_nil] = STATE(4363),
    [sym__atom] = STATE(4363),
    [sym_quoted_atom] = STATE(4363),
    [sym__quoted_i_double] = STATE(4040),
    [sym__quoted_i_single] = STATE(4039),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4363),
    [sym_charlist] = STATE(4363),
    [sym_sigil] = STATE(4363),
    [sym_keywords] = STATE(4364),
    [sym_pair] = STATE(3932),
    [sym__keyword] = STATE(665),
    [sym_quoted_keyword] = STATE(665),
    [sym_list] = STATE(4363),
    [sym_tuple] = STATE(4363),
    [sym_bitstring] = STATE(4363),
    [sym_map] = STATE(4363),
    [sym__nullary_operator] = STATE(4363),
    [sym_unary_operator] = STATE(4363),
    [sym_binary_operator] = STATE(4363),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4363),
    [sym_call] = STATE(4363),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4363),
    [sym_anonymous_function] = STATE(4363),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1407),
    [sym_integer] = ACTIONS(1407),
    [sym_float] = ACTIONS(1407),
    [sym_char] = ACTIONS(1407),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1407),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [sym_keyword] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [287] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1411),
    [anon_sym_catch] = ACTIONS(1411),
    [anon_sym_else] = ACTIONS(1411),
    [anon_sym_end] = ACTIONS(1411),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1411),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [288] = {
    [sym__expression] = STATE(3283),
    [sym_block] = STATE(3283),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3283),
    [sym_nil] = STATE(3283),
    [sym__atom] = STATE(3283),
    [sym_quoted_atom] = STATE(3283),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3283),
    [sym_charlist] = STATE(3283),
    [sym_sigil] = STATE(3283),
    [sym_keywords] = STATE(3284),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(3283),
    [sym_tuple] = STATE(3283),
    [sym_bitstring] = STATE(3283),
    [sym_map] = STATE(3283),
    [sym__nullary_operator] = STATE(3283),
    [sym_unary_operator] = STATE(3283),
    [sym_binary_operator] = STATE(3283),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3283),
    [sym_call] = STATE(3283),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3283),
    [sym_anonymous_function] = STATE(3283),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1413),
    [sym_integer] = ACTIONS(1413),
    [sym_float] = ACTIONS(1413),
    [sym_char] = ACTIONS(1413),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1413),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [289] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1417),
    [anon_sym_catch] = ACTIONS(1417),
    [anon_sym_else] = ACTIONS(1417),
    [anon_sym_end] = ACTIONS(1417),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1417),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [290] = {
    [sym__expression] = STATE(4441),
    [sym_block] = STATE(4441),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4441),
    [sym_nil] = STATE(4441),
    [sym__atom] = STATE(4441),
    [sym_quoted_atom] = STATE(4441),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4441),
    [sym_charlist] = STATE(4441),
    [sym_sigil] = STATE(4441),
    [sym_keywords] = STATE(6873),
    [sym_pair] = STATE(6594),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(4441),
    [sym_tuple] = STATE(4441),
    [sym_bitstring] = STATE(4441),
    [sym_map] = STATE(4441),
    [sym__nullary_operator] = STATE(4441),
    [sym_unary_operator] = STATE(4441),
    [sym_binary_operator] = STATE(4441),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4441),
    [sym_call] = STATE(4441),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4441),
    [sym_anonymous_function] = STATE(4441),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1419),
    [sym_integer] = ACTIONS(1419),
    [sym_float] = ACTIONS(1419),
    [sym_char] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1419),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [291] = {
    [sym__expression] = STATE(1426),
    [sym_block] = STATE(1426),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1426),
    [sym_nil] = STATE(1426),
    [sym__atom] = STATE(1426),
    [sym_quoted_atom] = STATE(1426),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1426),
    [sym_charlist] = STATE(1426),
    [sym_sigil] = STATE(1426),
    [sym_keywords] = STATE(1249),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_bitstring] = STATE(1426),
    [sym_map] = STATE(1426),
    [sym__nullary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_binary_operator] = STATE(1426),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1426),
    [sym_anonymous_function] = STATE(1426),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1421),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_char] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1421),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [292] = {
    [sym__expression] = STATE(3871),
    [sym_block] = STATE(3871),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3871),
    [sym_nil] = STATE(3871),
    [sym__atom] = STATE(3871),
    [sym_quoted_atom] = STATE(3871),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3871),
    [sym_charlist] = STATE(3871),
    [sym_sigil] = STATE(3871),
    [sym_keywords] = STATE(3672),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3871),
    [sym_tuple] = STATE(3871),
    [sym_bitstring] = STATE(3871),
    [sym_map] = STATE(3871),
    [sym__nullary_operator] = STATE(3871),
    [sym_unary_operator] = STATE(3871),
    [sym_binary_operator] = STATE(3871),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3871),
    [sym_call] = STATE(3871),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3871),
    [sym_anonymous_function] = STATE(3871),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(1423),
    [sym_integer] = ACTIONS(1423),
    [sym_float] = ACTIONS(1423),
    [sym_char] = ACTIONS(1423),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(1423),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [293] = {
    [sym__expression] = STATE(3150),
    [sym_block] = STATE(3150),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3150),
    [sym_nil] = STATE(3150),
    [sym__atom] = STATE(3150),
    [sym_quoted_atom] = STATE(3150),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3150),
    [sym_charlist] = STATE(3150),
    [sym_sigil] = STATE(3150),
    [sym_keywords] = STATE(3449),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(3150),
    [sym_tuple] = STATE(3150),
    [sym_bitstring] = STATE(3150),
    [sym_map] = STATE(3150),
    [sym__nullary_operator] = STATE(3150),
    [sym_unary_operator] = STATE(3150),
    [sym_binary_operator] = STATE(3150),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3150),
    [sym_call] = STATE(3150),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3150),
    [sym_anonymous_function] = STATE(3150),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1427),
    [sym_integer] = ACTIONS(1427),
    [sym_float] = ACTIONS(1427),
    [sym_char] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1427),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [294] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1429),
    [anon_sym_catch] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_end] = ACTIONS(1429),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1429),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [295] = {
    [sym__expression] = STATE(3296),
    [sym_block] = STATE(3296),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3296),
    [sym_nil] = STATE(3296),
    [sym__atom] = STATE(3296),
    [sym_quoted_atom] = STATE(3296),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3296),
    [sym_charlist] = STATE(3296),
    [sym_sigil] = STATE(3296),
    [sym_keywords] = STATE(3298),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(3296),
    [sym_tuple] = STATE(3296),
    [sym_bitstring] = STATE(3296),
    [sym_map] = STATE(3296),
    [sym__nullary_operator] = STATE(3296),
    [sym_unary_operator] = STATE(3296),
    [sym_binary_operator] = STATE(3296),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3296),
    [sym_call] = STATE(3296),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3296),
    [sym_anonymous_function] = STATE(3296),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1431),
    [sym_integer] = ACTIONS(1431),
    [sym_float] = ACTIONS(1431),
    [sym_char] = ACTIONS(1431),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [296] = {
    [sym__expression] = STATE(4343),
    [sym_block] = STATE(4343),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4343),
    [sym_nil] = STATE(4343),
    [sym__atom] = STATE(4343),
    [sym_quoted_atom] = STATE(4343),
    [sym__quoted_i_double] = STATE(4040),
    [sym__quoted_i_single] = STATE(4039),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4343),
    [sym_charlist] = STATE(4343),
    [sym_sigil] = STATE(4343),
    [sym_keywords] = STATE(4346),
    [sym_pair] = STATE(3932),
    [sym__keyword] = STATE(665),
    [sym_quoted_keyword] = STATE(665),
    [sym_list] = STATE(4343),
    [sym_tuple] = STATE(4343),
    [sym_bitstring] = STATE(4343),
    [sym_map] = STATE(4343),
    [sym__nullary_operator] = STATE(4343),
    [sym_unary_operator] = STATE(4343),
    [sym_binary_operator] = STATE(4343),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4343),
    [sym_call] = STATE(4343),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4343),
    [sym_anonymous_function] = STATE(4343),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1433),
    [sym_integer] = ACTIONS(1433),
    [sym_float] = ACTIONS(1433),
    [sym_char] = ACTIONS(1433),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1433),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [sym_keyword] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [297] = {
    [sym__expression] = STATE(3871),
    [sym_block] = STATE(3871),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3871),
    [sym_nil] = STATE(3871),
    [sym__atom] = STATE(3871),
    [sym_quoted_atom] = STATE(3871),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3871),
    [sym_charlist] = STATE(3871),
    [sym_sigil] = STATE(3871),
    [sym_keywords] = STATE(3702),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3871),
    [sym_tuple] = STATE(3871),
    [sym_bitstring] = STATE(3871),
    [sym_map] = STATE(3871),
    [sym__nullary_operator] = STATE(3871),
    [sym_unary_operator] = STATE(3871),
    [sym_binary_operator] = STATE(3871),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3871),
    [sym_call] = STATE(3871),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3871),
    [sym_anonymous_function] = STATE(3871),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(1423),
    [sym_integer] = ACTIONS(1423),
    [sym_float] = ACTIONS(1423),
    [sym_char] = ACTIONS(1423),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(1423),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [298] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1435),
    [anon_sym_catch] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1435),
    [anon_sym_end] = ACTIONS(1435),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1435),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [299] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1437),
    [anon_sym_catch] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_end] = ACTIONS(1437),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1437),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [300] = {
    [sym__expression] = STATE(1426),
    [sym_block] = STATE(1426),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1426),
    [sym_nil] = STATE(1426),
    [sym__atom] = STATE(1426),
    [sym_quoted_atom] = STATE(1426),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1426),
    [sym_charlist] = STATE(1426),
    [sym_sigil] = STATE(1426),
    [sym_keywords] = STATE(1283),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_bitstring] = STATE(1426),
    [sym_map] = STATE(1426),
    [sym__nullary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_binary_operator] = STATE(1426),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1426),
    [sym_anonymous_function] = STATE(1426),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1421),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_char] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1421),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [301] = {
    [sym__expression] = STATE(4034),
    [sym_block] = STATE(4034),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(4034),
    [sym_nil] = STATE(4034),
    [sym__atom] = STATE(4034),
    [sym_quoted_atom] = STATE(4034),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(4034),
    [sym_charlist] = STATE(4034),
    [sym_sigil] = STATE(4034),
    [sym_keywords] = STATE(2147),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(4034),
    [sym_tuple] = STATE(4034),
    [sym_bitstring] = STATE(4034),
    [sym_map] = STATE(4034),
    [sym__nullary_operator] = STATE(4034),
    [sym_unary_operator] = STATE(4034),
    [sym_binary_operator] = STATE(4034),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(4034),
    [sym_call] = STATE(4034),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(4034),
    [sym_anonymous_function] = STATE(4034),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1439),
    [sym_integer] = ACTIONS(1439),
    [sym_float] = ACTIONS(1439),
    [sym_char] = ACTIONS(1439),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [302] = {
    [sym__expression] = STATE(3309),
    [sym_block] = STATE(3309),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3309),
    [sym_nil] = STATE(3309),
    [sym__atom] = STATE(3309),
    [sym_quoted_atom] = STATE(3309),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3309),
    [sym_charlist] = STATE(3309),
    [sym_sigil] = STATE(3309),
    [sym_keywords] = STATE(1412),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(3309),
    [sym_tuple] = STATE(3309),
    [sym_bitstring] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym__nullary_operator] = STATE(3309),
    [sym_unary_operator] = STATE(3309),
    [sym_binary_operator] = STATE(3309),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3309),
    [sym_call] = STATE(3309),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3309),
    [sym_anonymous_function] = STATE(3309),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1351),
    [sym_integer] = ACTIONS(1351),
    [sym_float] = ACTIONS(1351),
    [sym_char] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [303] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1441),
    [anon_sym_catch] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_end] = ACTIONS(1441),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [304] = {
    [sym__terminator] = STATE(350),
    [sym__expression] = STATE(3351),
    [sym_block] = STATE(3351),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(3351),
    [sym_nil] = STATE(3351),
    [sym__atom] = STATE(3351),
    [sym_quoted_atom] = STATE(3351),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(3351),
    [sym_charlist] = STATE(3351),
    [sym_sigil] = STATE(3351),
    [sym_list] = STATE(3351),
    [sym_tuple] = STATE(3351),
    [sym_bitstring] = STATE(3351),
    [sym_map] = STATE(3351),
    [sym__nullary_operator] = STATE(3351),
    [sym_unary_operator] = STATE(3351),
    [sym_binary_operator] = STATE(3351),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(3351),
    [sym_call] = STATE(3351),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(3351),
    [sym_body] = STATE(4828),
    [sym_anonymous_function] = STATE(3351),
    [aux_sym__terminator_repeat1] = STATE(1029),
    [aux_sym__terminator_token1] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1395),
    [sym_integer] = ACTIONS(1395),
    [sym_float] = ACTIONS(1395),
    [sym_char] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1395),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(1041),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [305] = {
    [sym__expression] = STATE(3625),
    [sym_block] = STATE(3625),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3625),
    [sym_nil] = STATE(3625),
    [sym__atom] = STATE(3625),
    [sym_quoted_atom] = STATE(3625),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3625),
    [sym_charlist] = STATE(3625),
    [sym_sigil] = STATE(3625),
    [sym_keywords] = STATE(2235),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(3625),
    [sym_tuple] = STATE(3625),
    [sym_bitstring] = STATE(3625),
    [sym_map] = STATE(3625),
    [sym__nullary_operator] = STATE(3625),
    [sym_unary_operator] = STATE(3625),
    [sym_binary_operator] = STATE(3625),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3625),
    [sym_call] = STATE(3625),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3625),
    [sym_anonymous_function] = STATE(3625),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1443),
    [sym_integer] = ACTIONS(1443),
    [sym_float] = ACTIONS(1443),
    [sym_char] = ACTIONS(1443),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [306] = {
    [sym__expression] = STATE(2423),
    [sym_block] = STATE(2423),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2423),
    [sym_nil] = STATE(2423),
    [sym__atom] = STATE(2423),
    [sym_quoted_atom] = STATE(2423),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2423),
    [sym_charlist] = STATE(2423),
    [sym_sigil] = STATE(2423),
    [sym_keywords] = STATE(1258),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2423),
    [sym_tuple] = STATE(2423),
    [sym_bitstring] = STATE(2423),
    [sym_map] = STATE(2423),
    [sym__nullary_operator] = STATE(2423),
    [sym_unary_operator] = STATE(2423),
    [sym_binary_operator] = STATE(2423),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2423),
    [sym_call] = STATE(2423),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2423),
    [sym_anonymous_function] = STATE(2423),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1445),
    [sym_integer] = ACTIONS(1445),
    [sym_float] = ACTIONS(1445),
    [sym_char] = ACTIONS(1445),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1445),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [307] = {
    [sym__expression] = STATE(4034),
    [sym_block] = STATE(4034),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(4034),
    [sym_nil] = STATE(4034),
    [sym__atom] = STATE(4034),
    [sym_quoted_atom] = STATE(4034),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(4034),
    [sym_charlist] = STATE(4034),
    [sym_sigil] = STATE(4034),
    [sym_keywords] = STATE(2175),
    [sym_pair] = STATE(3494),
    [sym__keyword] = STATE(525),
    [sym_quoted_keyword] = STATE(525),
    [sym_list] = STATE(4034),
    [sym_tuple] = STATE(4034),
    [sym_bitstring] = STATE(4034),
    [sym_map] = STATE(4034),
    [sym__nullary_operator] = STATE(4034),
    [sym_unary_operator] = STATE(4034),
    [sym_binary_operator] = STATE(4034),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(4034),
    [sym_call] = STATE(4034),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(4034),
    [sym_anonymous_function] = STATE(4034),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1439),
    [sym_integer] = ACTIONS(1439),
    [sym_float] = ACTIONS(1439),
    [sym_char] = ACTIONS(1439),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(651),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [308] = {
    [sym__expression] = STATE(4115),
    [sym_block] = STATE(4115),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4115),
    [sym_nil] = STATE(4115),
    [sym__atom] = STATE(4115),
    [sym_quoted_atom] = STATE(4115),
    [sym__quoted_i_double] = STATE(1707),
    [sym__quoted_i_single] = STATE(1708),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4115),
    [sym_charlist] = STATE(4115),
    [sym_sigil] = STATE(4115),
    [sym_keywords] = STATE(2069),
    [sym_pair] = STATE(3608),
    [sym__keyword] = STATE(509),
    [sym_quoted_keyword] = STATE(509),
    [sym_list] = STATE(4115),
    [sym_tuple] = STATE(4115),
    [sym_bitstring] = STATE(4115),
    [sym_map] = STATE(4115),
    [sym__nullary_operator] = STATE(4115),
    [sym_unary_operator] = STATE(4115),
    [sym_binary_operator] = STATE(4115),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4115),
    [sym_call] = STATE(4115),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4115),
    [sym_anonymous_function] = STATE(4115),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1447),
    [sym_integer] = ACTIONS(1447),
    [sym_float] = ACTIONS(1447),
    [sym_char] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [sym_keyword] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [309] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1451),
    [anon_sym_catch] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1451),
    [anon_sym_end] = ACTIONS(1451),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1451),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [310] = {
    [sym__expression] = STATE(4121),
    [sym_block] = STATE(4121),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4121),
    [sym_nil] = STATE(4121),
    [sym__atom] = STATE(4121),
    [sym_quoted_atom] = STATE(4121),
    [sym__quoted_i_double] = STATE(1707),
    [sym__quoted_i_single] = STATE(1708),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4121),
    [sym_charlist] = STATE(4121),
    [sym_sigil] = STATE(4121),
    [sym_keywords] = STATE(2075),
    [sym_pair] = STATE(3608),
    [sym__keyword] = STATE(509),
    [sym_quoted_keyword] = STATE(509),
    [sym_list] = STATE(4121),
    [sym_tuple] = STATE(4121),
    [sym_bitstring] = STATE(4121),
    [sym_map] = STATE(4121),
    [sym__nullary_operator] = STATE(4121),
    [sym_unary_operator] = STATE(4121),
    [sym_binary_operator] = STATE(4121),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4121),
    [sym_call] = STATE(4121),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4121),
    [sym_anonymous_function] = STATE(4121),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1453),
    [sym_integer] = ACTIONS(1453),
    [sym_float] = ACTIONS(1453),
    [sym_char] = ACTIONS(1453),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1453),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [sym_keyword] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [311] = {
    [sym__expression] = STATE(1518),
    [sym_block] = STATE(1518),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1518),
    [sym_nil] = STATE(1518),
    [sym__atom] = STATE(1518),
    [sym_quoted_atom] = STATE(1518),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1518),
    [sym_charlist] = STATE(1518),
    [sym_sigil] = STATE(1518),
    [sym_keywords] = STATE(1258),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1518),
    [sym_tuple] = STATE(1518),
    [sym_bitstring] = STATE(1518),
    [sym_map] = STATE(1518),
    [sym__nullary_operator] = STATE(1518),
    [sym_unary_operator] = STATE(1518),
    [sym_binary_operator] = STATE(1518),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1518),
    [sym_anonymous_function] = STATE(1518),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1455),
    [sym_integer] = ACTIONS(1455),
    [sym_float] = ACTIONS(1455),
    [sym_char] = ACTIONS(1455),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [312] = {
    [sym__expression] = STATE(1513),
    [sym_block] = STATE(1513),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1513),
    [sym_nil] = STATE(1513),
    [sym__atom] = STATE(1513),
    [sym_quoted_atom] = STATE(1513),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1513),
    [sym_charlist] = STATE(1513),
    [sym_sigil] = STATE(1513),
    [sym_keywords] = STATE(1256),
    [sym_pair] = STATE(1324),
    [sym__keyword] = STATE(511),
    [sym_quoted_keyword] = STATE(511),
    [sym_list] = STATE(1513),
    [sym_tuple] = STATE(1513),
    [sym_bitstring] = STATE(1513),
    [sym_map] = STATE(1513),
    [sym__nullary_operator] = STATE(1513),
    [sym_unary_operator] = STATE(1513),
    [sym_binary_operator] = STATE(1513),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1513),
    [sym_call] = STATE(1513),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1513),
    [sym_anonymous_function] = STATE(1513),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1457),
    [sym_integer] = ACTIONS(1457),
    [sym_float] = ACTIONS(1457),
    [sym_char] = ACTIONS(1457),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1457),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [sym_keyword] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [313] = {
    [sym__expression] = STATE(3613),
    [sym_block] = STATE(3613),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3613),
    [sym_nil] = STATE(3613),
    [sym__atom] = STATE(3613),
    [sym_quoted_atom] = STATE(3613),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3613),
    [sym_charlist] = STATE(3613),
    [sym_sigil] = STATE(3613),
    [sym__keywords_with_trailing_separator] = STATE(6950),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3613),
    [sym_tuple] = STATE(3613),
    [sym_bitstring] = STATE(3613),
    [sym_map] = STATE(3613),
    [sym__nullary_operator] = STATE(3613),
    [sym_unary_operator] = STATE(3613),
    [sym_binary_operator] = STATE(3613),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3613),
    [sym_call] = STATE(3613),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3613),
    [sym_anonymous_function] = STATE(3613),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1151),
    [sym_integer] = ACTIONS(1151),
    [sym_float] = ACTIONS(1151),
    [sym_char] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [314] = {
    [sym__expression] = STATE(4199),
    [sym_block] = STATE(4199),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4199),
    [sym_nil] = STATE(4199),
    [sym__atom] = STATE(4199),
    [sym_quoted_atom] = STATE(4199),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4199),
    [sym_charlist] = STATE(4199),
    [sym_sigil] = STATE(4199),
    [sym_keywords] = STATE(6345),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4199),
    [sym_tuple] = STATE(4199),
    [sym_bitstring] = STATE(4199),
    [sym_map] = STATE(4199),
    [sym__nullary_operator] = STATE(4199),
    [sym_unary_operator] = STATE(4199),
    [sym_binary_operator] = STATE(4199),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4199),
    [sym_call] = STATE(4199),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4199),
    [sym_anonymous_function] = STATE(4199),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1459),
    [sym_integer] = ACTIONS(1459),
    [sym_float] = ACTIONS(1459),
    [sym_char] = ACTIONS(1459),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [315] = {
    [sym__expression] = STATE(4536),
    [sym_block] = STATE(4536),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4536),
    [sym_nil] = STATE(4536),
    [sym__atom] = STATE(4536),
    [sym_quoted_atom] = STATE(4536),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4536),
    [sym_charlist] = STATE(4536),
    [sym_sigil] = STATE(4536),
    [sym_keywords] = STATE(6846),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4536),
    [sym_tuple] = STATE(4536),
    [sym_bitstring] = STATE(4536),
    [sym_map] = STATE(4536),
    [sym__nullary_operator] = STATE(4536),
    [sym_unary_operator] = STATE(4536),
    [sym_binary_operator] = STATE(4536),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4536),
    [sym_call] = STATE(4536),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4536),
    [sym_anonymous_function] = STATE(4536),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1461),
    [sym_integer] = ACTIONS(1461),
    [sym_float] = ACTIONS(1461),
    [sym_char] = ACTIONS(1461),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1461),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [316] = {
    [sym__expression] = STATE(3479),
    [sym_block] = STATE(3479),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3479),
    [sym_nil] = STATE(3479),
    [sym__atom] = STATE(3479),
    [sym_quoted_atom] = STATE(3479),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3479),
    [sym_charlist] = STATE(3479),
    [sym_sigil] = STATE(3479),
    [sym_keywords] = STATE(3443),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(3479),
    [sym_tuple] = STATE(3479),
    [sym_bitstring] = STATE(3479),
    [sym_map] = STATE(3479),
    [sym__nullary_operator] = STATE(3479),
    [sym_unary_operator] = STATE(3479),
    [sym_binary_operator] = STATE(3479),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3479),
    [sym_call] = STATE(3479),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3479),
    [sym_anonymous_function] = STATE(3479),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1463),
    [sym_integer] = ACTIONS(1463),
    [sym_float] = ACTIONS(1463),
    [sym_char] = ACTIONS(1463),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [317] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1467),
    [anon_sym_catch] = ACTIONS(1467),
    [anon_sym_else] = ACTIONS(1467),
    [anon_sym_end] = ACTIONS(1467),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1467),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [318] = {
    [sym__expression] = STATE(3479),
    [sym_block] = STATE(3479),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3479),
    [sym_nil] = STATE(3479),
    [sym__atom] = STATE(3479),
    [sym_quoted_atom] = STATE(3479),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3479),
    [sym_charlist] = STATE(3479),
    [sym_sigil] = STATE(3479),
    [sym_keywords] = STATE(3352),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(3479),
    [sym_tuple] = STATE(3479),
    [sym_bitstring] = STATE(3479),
    [sym_map] = STATE(3479),
    [sym__nullary_operator] = STATE(3479),
    [sym_unary_operator] = STATE(3479),
    [sym_binary_operator] = STATE(3479),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3479),
    [sym_call] = STATE(3479),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3479),
    [sym_anonymous_function] = STATE(3479),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1463),
    [sym_integer] = ACTIONS(1463),
    [sym_float] = ACTIONS(1463),
    [sym_char] = ACTIONS(1463),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [319] = {
    [sym__expression] = STATE(2155),
    [sym_block] = STATE(2155),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2155),
    [sym_nil] = STATE(2155),
    [sym__atom] = STATE(2155),
    [sym_quoted_atom] = STATE(2155),
    [sym__quoted_i_double] = STATE(1707),
    [sym__quoted_i_single] = STATE(1708),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2155),
    [sym_charlist] = STATE(2155),
    [sym_sigil] = STATE(2155),
    [sym_keywords] = STATE(2075),
    [sym_pair] = STATE(1939),
    [sym__keyword] = STATE(499),
    [sym_quoted_keyword] = STATE(499),
    [sym_list] = STATE(2155),
    [sym_tuple] = STATE(2155),
    [sym_bitstring] = STATE(2155),
    [sym_map] = STATE(2155),
    [sym__nullary_operator] = STATE(2155),
    [sym_unary_operator] = STATE(2155),
    [sym_binary_operator] = STATE(2155),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2155),
    [sym_call] = STATE(2155),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2155),
    [sym_anonymous_function] = STATE(2155),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1469),
    [sym_integer] = ACTIONS(1469),
    [sym_float] = ACTIONS(1469),
    [sym_char] = ACTIONS(1469),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1469),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [sym_keyword] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [320] = {
    [sym__expression] = STATE(2150),
    [sym_block] = STATE(2150),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2150),
    [sym_nil] = STATE(2150),
    [sym__atom] = STATE(2150),
    [sym_quoted_atom] = STATE(2150),
    [sym__quoted_i_double] = STATE(1707),
    [sym__quoted_i_single] = STATE(1708),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2150),
    [sym_charlist] = STATE(2150),
    [sym_sigil] = STATE(2150),
    [sym_keywords] = STATE(2069),
    [sym_pair] = STATE(1939),
    [sym__keyword] = STATE(499),
    [sym_quoted_keyword] = STATE(499),
    [sym_list] = STATE(2150),
    [sym_tuple] = STATE(2150),
    [sym_bitstring] = STATE(2150),
    [sym_map] = STATE(2150),
    [sym__nullary_operator] = STATE(2150),
    [sym_unary_operator] = STATE(2150),
    [sym_binary_operator] = STATE(2150),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2150),
    [sym_call] = STATE(2150),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2150),
    [sym_anonymous_function] = STATE(2150),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1473),
    [sym_integer] = ACTIONS(1473),
    [sym_float] = ACTIONS(1473),
    [sym_char] = ACTIONS(1473),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1473),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [sym_keyword] = ACTIONS(1471),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [321] = {
    [sym__expression] = STATE(2429),
    [sym_block] = STATE(2429),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2429),
    [sym_nil] = STATE(2429),
    [sym__atom] = STATE(2429),
    [sym_quoted_atom] = STATE(2429),
    [sym__quoted_i_double] = STATE(1135),
    [sym__quoted_i_single] = STATE(1137),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2429),
    [sym_charlist] = STATE(2429),
    [sym_sigil] = STATE(2429),
    [sym_keywords] = STATE(1256),
    [sym_pair] = STATE(2182),
    [sym__keyword] = STATE(589),
    [sym_quoted_keyword] = STATE(589),
    [sym_list] = STATE(2429),
    [sym_tuple] = STATE(2429),
    [sym_bitstring] = STATE(2429),
    [sym_map] = STATE(2429),
    [sym__nullary_operator] = STATE(2429),
    [sym_unary_operator] = STATE(2429),
    [sym_binary_operator] = STATE(2429),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2429),
    [sym_call] = STATE(2429),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2429),
    [sym_anonymous_function] = STATE(2429),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1475),
    [sym_integer] = ACTIONS(1475),
    [sym_float] = ACTIONS(1475),
    [sym_char] = ACTIONS(1475),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1475),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [sym_keyword] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [322] = {
    [sym__expression] = STATE(1584),
    [sym_block] = STATE(1584),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1584),
    [sym_nil] = STATE(1584),
    [sym__atom] = STATE(1584),
    [sym_quoted_atom] = STATE(1584),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1584),
    [sym_charlist] = STATE(1584),
    [sym_sigil] = STATE(1584),
    [sym_keywords] = STATE(1395),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1584),
    [sym_tuple] = STATE(1584),
    [sym_bitstring] = STATE(1584),
    [sym_map] = STATE(1584),
    [sym__nullary_operator] = STATE(1584),
    [sym_unary_operator] = STATE(1584),
    [sym_binary_operator] = STATE(1584),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1584),
    [sym_call] = STATE(1584),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1584),
    [sym_anonymous_function] = STATE(1584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1477),
    [sym_integer] = ACTIONS(1477),
    [sym_float] = ACTIONS(1477),
    [sym_char] = ACTIONS(1477),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1477),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [323] = {
    [sym__expression] = STATE(2548),
    [sym_block] = STATE(2548),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2548),
    [sym_nil] = STATE(2548),
    [sym__atom] = STATE(2548),
    [sym_quoted_atom] = STATE(2548),
    [sym__quoted_i_double] = STATE(1985),
    [sym__quoted_i_single] = STATE(1986),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2548),
    [sym_charlist] = STATE(2548),
    [sym_sigil] = STATE(2548),
    [sym_keywords] = STATE(2236),
    [sym_pair] = STATE(2136),
    [sym__keyword] = STATE(583),
    [sym_quoted_keyword] = STATE(583),
    [sym_list] = STATE(2548),
    [sym_tuple] = STATE(2548),
    [sym_bitstring] = STATE(2548),
    [sym_map] = STATE(2548),
    [sym__nullary_operator] = STATE(2548),
    [sym_unary_operator] = STATE(2548),
    [sym_binary_operator] = STATE(2548),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2548),
    [sym_call] = STATE(2548),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2548),
    [sym_anonymous_function] = STATE(2548),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1479),
    [sym_integer] = ACTIONS(1479),
    [sym_float] = ACTIONS(1479),
    [sym_char] = ACTIONS(1479),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [sym_keyword] = ACTIONS(383),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [324] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1481),
    [anon_sym_catch] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_end] = ACTIONS(1481),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1481),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [325] = {
    [sym__expression] = STATE(3213),
    [sym_block] = STATE(3213),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3213),
    [sym_nil] = STATE(3213),
    [sym__atom] = STATE(3213),
    [sym_quoted_atom] = STATE(3213),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3213),
    [sym_charlist] = STATE(3213),
    [sym_sigil] = STATE(3213),
    [sym_keywords] = STATE(1395),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(3213),
    [sym_tuple] = STATE(3213),
    [sym_bitstring] = STATE(3213),
    [sym_map] = STATE(3213),
    [sym__nullary_operator] = STATE(3213),
    [sym_unary_operator] = STATE(3213),
    [sym_binary_operator] = STATE(3213),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3213),
    [sym_call] = STATE(3213),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3213),
    [sym_anonymous_function] = STATE(3213),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1483),
    [sym_integer] = ACTIONS(1483),
    [sym_float] = ACTIONS(1483),
    [sym_char] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [326] = {
    [sym__expression] = STATE(3218),
    [sym_block] = STATE(3218),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3218),
    [sym_nil] = STATE(3218),
    [sym__atom] = STATE(3218),
    [sym_quoted_atom] = STATE(3218),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3218),
    [sym_charlist] = STATE(3218),
    [sym_sigil] = STATE(3218),
    [sym_keywords] = STATE(1396),
    [sym_pair] = STATE(2617),
    [sym__keyword] = STATE(519),
    [sym_quoted_keyword] = STATE(519),
    [sym_list] = STATE(3218),
    [sym_tuple] = STATE(3218),
    [sym_bitstring] = STATE(3218),
    [sym_map] = STATE(3218),
    [sym__nullary_operator] = STATE(3218),
    [sym_unary_operator] = STATE(3218),
    [sym_binary_operator] = STATE(3218),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3218),
    [sym_call] = STATE(3218),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3218),
    [sym_anonymous_function] = STATE(3218),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1485),
    [sym_integer] = ACTIONS(1485),
    [sym_float] = ACTIONS(1485),
    [sym_char] = ACTIONS(1485),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1485),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [sym_keyword] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [327] = {
    [sym__expression] = STATE(4536),
    [sym_block] = STATE(4536),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4536),
    [sym_nil] = STATE(4536),
    [sym__atom] = STATE(4536),
    [sym_quoted_atom] = STATE(4536),
    [sym__quoted_i_double] = STATE(3532),
    [sym__quoted_i_single] = STATE(3531),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4536),
    [sym_charlist] = STATE(4536),
    [sym_sigil] = STATE(4536),
    [sym_keywords] = STATE(6823),
    [sym_pair] = STATE(5847),
    [sym__keyword] = STATE(517),
    [sym_quoted_keyword] = STATE(517),
    [sym_list] = STATE(4536),
    [sym_tuple] = STATE(4536),
    [sym_bitstring] = STATE(4536),
    [sym_map] = STATE(4536),
    [sym__nullary_operator] = STATE(4536),
    [sym_unary_operator] = STATE(4536),
    [sym_binary_operator] = STATE(4536),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4536),
    [sym_call] = STATE(4536),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4536),
    [sym_anonymous_function] = STATE(4536),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1461),
    [sym_integer] = ACTIONS(1461),
    [sym_float] = ACTIONS(1461),
    [sym_char] = ACTIONS(1461),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1461),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [sym_keyword] = ACTIONS(87),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [328] = {
    [sym__expression] = STATE(3430),
    [sym_block] = STATE(3430),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3430),
    [sym_nil] = STATE(3430),
    [sym__atom] = STATE(3430),
    [sym_quoted_atom] = STATE(3430),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3430),
    [sym_charlist] = STATE(3430),
    [sym_sigil] = STATE(3430),
    [sym_keywords] = STATE(1395),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(3430),
    [sym_tuple] = STATE(3430),
    [sym_bitstring] = STATE(3430),
    [sym_map] = STATE(3430),
    [sym__nullary_operator] = STATE(3430),
    [sym_unary_operator] = STATE(3430),
    [sym_binary_operator] = STATE(3430),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3430),
    [sym_call] = STATE(3430),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1487),
    [sym_integer] = ACTIONS(1487),
    [sym_float] = ACTIONS(1487),
    [sym_char] = ACTIONS(1487),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1487),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [329] = {
    [sym__expression] = STATE(3435),
    [sym_block] = STATE(3435),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3435),
    [sym_nil] = STATE(3435),
    [sym__atom] = STATE(3435),
    [sym_quoted_atom] = STATE(3435),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3435),
    [sym_charlist] = STATE(3435),
    [sym_sigil] = STATE(3435),
    [sym_keywords] = STATE(1396),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(3435),
    [sym_tuple] = STATE(3435),
    [sym_bitstring] = STATE(3435),
    [sym_map] = STATE(3435),
    [sym__nullary_operator] = STATE(3435),
    [sym_unary_operator] = STATE(3435),
    [sym_binary_operator] = STATE(3435),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3435),
    [sym_call] = STATE(3435),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3435),
    [sym_anonymous_function] = STATE(3435),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1489),
    [sym_integer] = ACTIONS(1489),
    [sym_float] = ACTIONS(1489),
    [sym_char] = ACTIONS(1489),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1489),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [330] = {
    [sym__expression] = STATE(1768),
    [sym_block] = STATE(1768),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1768),
    [sym_nil] = STATE(1768),
    [sym__atom] = STATE(1768),
    [sym_quoted_atom] = STATE(1768),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1768),
    [sym_charlist] = STATE(1768),
    [sym_sigil] = STATE(1768),
    [sym_keywords] = STATE(1412),
    [sym_pair] = STATE(1355),
    [sym__keyword] = STATE(503),
    [sym_quoted_keyword] = STATE(503),
    [sym_list] = STATE(1768),
    [sym_tuple] = STATE(1768),
    [sym_bitstring] = STATE(1768),
    [sym_map] = STATE(1768),
    [sym__nullary_operator] = STATE(1768),
    [sym_unary_operator] = STATE(1768),
    [sym_binary_operator] = STATE(1768),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1768),
    [sym_call] = STATE(1768),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1768),
    [sym_anonymous_function] = STATE(1768),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1327),
    [sym_integer] = ACTIONS(1327),
    [sym_float] = ACTIONS(1327),
    [sym_char] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [sym_keyword] = ACTIONS(259),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [331] = {
    [sym__expression] = STATE(1952),
    [sym_block] = STATE(1952),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1952),
    [sym_nil] = STATE(1952),
    [sym__atom] = STATE(1952),
    [sym_quoted_atom] = STATE(1952),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1952),
    [sym_charlist] = STATE(1952),
    [sym_sigil] = STATE(1952),
    [sym_keywords] = STATE(1698),
    [sym_pair] = STATE(1790),
    [sym__keyword] = STATE(501),
    [sym_quoted_keyword] = STATE(501),
    [sym_list] = STATE(1952),
    [sym_tuple] = STATE(1952),
    [sym_bitstring] = STATE(1952),
    [sym_map] = STATE(1952),
    [sym__nullary_operator] = STATE(1952),
    [sym_unary_operator] = STATE(1952),
    [sym_binary_operator] = STATE(1952),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1952),
    [sym_call] = STATE(1952),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1952),
    [sym_anonymous_function] = STATE(1952),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1491),
    [sym_integer] = ACTIONS(1491),
    [sym_float] = ACTIONS(1491),
    [sym_char] = ACTIONS(1491),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1491),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [332] = {
    [sym__expression] = STATE(1957),
    [sym_block] = STATE(1957),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1957),
    [sym_nil] = STATE(1957),
    [sym__atom] = STATE(1957),
    [sym_quoted_atom] = STATE(1957),
    [sym__quoted_i_double] = STATE(1417),
    [sym__quoted_i_single] = STATE(1421),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1957),
    [sym_charlist] = STATE(1957),
    [sym_sigil] = STATE(1957),
    [sym_keywords] = STATE(1699),
    [sym_pair] = STATE(1790),
    [sym__keyword] = STATE(501),
    [sym_quoted_keyword] = STATE(501),
    [sym_list] = STATE(1957),
    [sym_tuple] = STATE(1957),
    [sym_bitstring] = STATE(1957),
    [sym_map] = STATE(1957),
    [sym__nullary_operator] = STATE(1957),
    [sym_unary_operator] = STATE(1957),
    [sym_binary_operator] = STATE(1957),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1957),
    [sym_call] = STATE(1957),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1957),
    [sym_anonymous_function] = STATE(1957),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1495),
    [sym_integer] = ACTIONS(1495),
    [sym_float] = ACTIONS(1495),
    [sym_char] = ACTIONS(1495),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1495),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [sym_keyword] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [333] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1497),
    [anon_sym_catch] = ACTIONS(1497),
    [anon_sym_else] = ACTIONS(1497),
    [anon_sym_end] = ACTIONS(1497),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1497),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [334] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_after] = ACTIONS(1499),
    [anon_sym_catch] = ACTIONS(1499),
    [anon_sym_else] = ACTIONS(1499),
    [anon_sym_end] = ACTIONS(1499),
    [anon_sym_fn] = ACTIONS(954),
    [anon_sym_rescue] = ACTIONS(1499),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [335] = {
    [sym__expression] = STATE(3265),
    [sym_block] = STATE(3265),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3265),
    [sym_nil] = STATE(3265),
    [sym__atom] = STATE(3265),
    [sym_quoted_atom] = STATE(3265),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3265),
    [sym_charlist] = STATE(3265),
    [sym_sigil] = STATE(3265),
    [sym_keywords] = STATE(3030),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(3265),
    [sym_tuple] = STATE(3265),
    [sym_bitstring] = STATE(3265),
    [sym_map] = STATE(3265),
    [sym__nullary_operator] = STATE(3265),
    [sym_unary_operator] = STATE(3265),
    [sym_binary_operator] = STATE(3265),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3265),
    [sym_call] = STATE(3265),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3265),
    [sym_anonymous_function] = STATE(3265),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1501),
    [sym_integer] = ACTIONS(1501),
    [sym_float] = ACTIONS(1501),
    [sym_char] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [336] = {
    [sym__expression] = STATE(3489),
    [sym_block] = STATE(3489),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3489),
    [sym_nil] = STATE(3489),
    [sym__atom] = STATE(3489),
    [sym_quoted_atom] = STATE(3489),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3489),
    [sym_charlist] = STATE(3489),
    [sym_sigil] = STATE(3489),
    [sym_keywords] = STATE(1411),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(3489),
    [sym_tuple] = STATE(3489),
    [sym_bitstring] = STATE(3489),
    [sym_map] = STATE(3489),
    [sym__nullary_operator] = STATE(3489),
    [sym_unary_operator] = STATE(3489),
    [sym_binary_operator] = STATE(3489),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3489),
    [sym_call] = STATE(3489),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3489),
    [sym_anonymous_function] = STATE(3489),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1503),
    [sym_integer] = ACTIONS(1503),
    [sym_float] = ACTIONS(1503),
    [sym_char] = ACTIONS(1503),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [337] = {
    [sym__expression] = STATE(3259),
    [sym_block] = STATE(3259),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3259),
    [sym_nil] = STATE(3259),
    [sym__atom] = STATE(3259),
    [sym_quoted_atom] = STATE(3259),
    [sym__quoted_i_double] = STATE(2466),
    [sym__quoted_i_single] = STATE(2467),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3259),
    [sym_charlist] = STATE(3259),
    [sym_sigil] = STATE(3259),
    [sym_keywords] = STATE(3024),
    [sym_pair] = STATE(2604),
    [sym__keyword] = STATE(560),
    [sym_quoted_keyword] = STATE(560),
    [sym_list] = STATE(3259),
    [sym_tuple] = STATE(3259),
    [sym_bitstring] = STATE(3259),
    [sym_map] = STATE(3259),
    [sym__nullary_operator] = STATE(3259),
    [sym_unary_operator] = STATE(3259),
    [sym_binary_operator] = STATE(3259),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3259),
    [sym_call] = STATE(3259),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3259),
    [sym_anonymous_function] = STATE(3259),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1505),
    [sym_integer] = ACTIONS(1505),
    [sym_float] = ACTIONS(1505),
    [sym_char] = ACTIONS(1505),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [sym_keyword] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [338] = {
    [sym__expression] = STATE(3150),
    [sym_block] = STATE(3150),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3150),
    [sym_nil] = STATE(3150),
    [sym__atom] = STATE(3150),
    [sym_quoted_atom] = STATE(3150),
    [sym__quoted_i_double] = STATE(2787),
    [sym__quoted_i_single] = STATE(2356),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3150),
    [sym_charlist] = STATE(3150),
    [sym_sigil] = STATE(3150),
    [sym_keywords] = STATE(3054),
    [sym_pair] = STATE(2599),
    [sym__keyword] = STATE(594),
    [sym_quoted_keyword] = STATE(594),
    [sym_list] = STATE(3150),
    [sym_tuple] = STATE(3150),
    [sym_bitstring] = STATE(3150),
    [sym_map] = STATE(3150),
    [sym__nullary_operator] = STATE(3150),
    [sym_unary_operator] = STATE(3150),
    [sym_binary_operator] = STATE(3150),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3150),
    [sym_call] = STATE(3150),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3150),
    [sym_anonymous_function] = STATE(3150),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1427),
    [sym_integer] = ACTIONS(1427),
    [sym_float] = ACTIONS(1427),
    [sym_char] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1427),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [sym_keyword] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [339] = {
    [sym__expression] = STATE(3489),
    [sym_block] = STATE(3489),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3489),
    [sym_nil] = STATE(3489),
    [sym__atom] = STATE(3489),
    [sym_quoted_atom] = STATE(3489),
    [sym__quoted_i_double] = STATE(1192),
    [sym__quoted_i_single] = STATE(1193),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3489),
    [sym_charlist] = STATE(3489),
    [sym_sigil] = STATE(3489),
    [sym_keywords] = STATE(1412),
    [sym_pair] = STATE(2576),
    [sym__keyword] = STATE(547),
    [sym_quoted_keyword] = STATE(547),
    [sym_list] = STATE(3489),
    [sym_tuple] = STATE(3489),
    [sym_bitstring] = STATE(3489),
    [sym_map] = STATE(3489),
    [sym__nullary_operator] = STATE(3489),
    [sym_unary_operator] = STATE(3489),
    [sym_binary_operator] = STATE(3489),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3489),
    [sym_call] = STATE(3489),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3489),
    [sym_anonymous_function] = STATE(3489),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1503),
    [sym_integer] = ACTIONS(1503),
    [sym_float] = ACTIONS(1503),
    [sym_char] = ACTIONS(1503),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [sym_keyword] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [340] = {
    [sym__expression] = STATE(4140),
    [sym_block] = STATE(4140),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4140),
    [sym_nil] = STATE(4140),
    [sym__atom] = STATE(4140),
    [sym_quoted_atom] = STATE(4140),
    [sym__quoted_i_double] = STATE(1707),
    [sym__quoted_i_single] = STATE(1708),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4140),
    [sym_charlist] = STATE(4140),
    [sym_sigil] = STATE(4140),
    [sym_keywords] = STATE(2075),
    [sym_pair] = STATE(3885),
    [sym__keyword] = STATE(505),
    [sym_quoted_keyword] = STATE(505),
    [sym_list] = STATE(4140),
    [sym_tuple] = STATE(4140),
    [sym_bitstring] = STATE(4140),
    [sym_map] = STATE(4140),
    [sym__nullary_operator] = STATE(4140),
    [sym_unary_operator] = STATE(4140),
    [sym_binary_operator] = STATE(4140),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4140),
    [sym_call] = STATE(4140),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4140),
    [sym_anonymous_function] = STATE(4140),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1507),
    [sym_integer] = ACTIONS(1507),
    [sym_float] = ACTIONS(1507),
    [sym_char] = ACTIONS(1507),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [sym_keyword] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [341] = {
    [sym__expression] = STATE(4134),
    [sym_block] = STATE(4134),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4134),
    [sym_nil] = STATE(4134),
    [sym__atom] = STATE(4134),
    [sym_quoted_atom] = STATE(4134),
    [sym__quoted_i_double] = STATE(1707),
    [sym__quoted_i_single] = STATE(1708),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4134),
    [sym_charlist] = STATE(4134),
    [sym_sigil] = STATE(4134),
    [sym_keywords] = STATE(2069),
    [sym_pair] = STATE(3885),
    [sym__keyword] = STATE(505),
    [sym_quoted_keyword] = STATE(505),
    [sym_list] = STATE(4134),
    [sym_tuple] = STATE(4134),
    [sym_bitstring] = STATE(4134),
    [sym_map] = STATE(4134),
    [sym__nullary_operator] = STATE(4134),
    [sym_unary_operator] = STATE(4134),
    [sym_binary_operator] = STATE(4134),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4134),
    [sym_call] = STATE(4134),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4134),
    [sym_anonymous_function] = STATE(4134),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1511),
    [sym_integer] = ACTIONS(1511),
    [sym_float] = ACTIONS(1511),
    [sym_char] = ACTIONS(1511),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1511),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [sym_keyword] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [342] = {
    [sym__terminator] = STATE(351),
    [sym__expression] = STATE(3038),
    [sym_block] = STATE(3038),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(3038),
    [sym_nil] = STATE(3038),
    [sym__atom] = STATE(3038),
    [sym_quoted_atom] = STATE(3038),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(3038),
    [sym_charlist] = STATE(3038),
    [sym_sigil] = STATE(3038),
    [sym_list] = STATE(3038),
    [sym_tuple] = STATE(3038),
    [sym_bitstring] = STATE(3038),
    [sym_map] = STATE(3038),
    [sym__nullary_operator] = STATE(3038),
    [sym_unary_operator] = STATE(3038),
    [sym_binary_operator] = STATE(3038),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(3038),
    [sym_call] = STATE(3038),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(3038),
    [sym_body] = STATE(4828),
    [sym_anonymous_function] = STATE(3038),
    [aux_sym__terminator_repeat1] = STATE(1034),
    [aux_sym__terminator_token1] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1041),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1357),
    [sym_integer] = ACTIONS(1357),
    [sym_float] = ACTIONS(1357),
    [sym_char] = ACTIONS(1357),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1357),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [343] = {
    [sym__expression] = STATE(3956),
    [sym_block] = STATE(3956),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3956),
    [sym_nil] = STATE(3956),
    [sym__atom] = STATE(3956),
    [sym_quoted_atom] = STATE(3956),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3956),
    [sym_charlist] = STATE(3956),
    [sym_sigil] = STATE(3956),
    [sym_keywords] = STATE(3955),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3956),
    [sym_tuple] = STATE(3956),
    [sym_bitstring] = STATE(3956),
    [sym_map] = STATE(3956),
    [sym__nullary_operator] = STATE(3956),
    [sym_unary_operator] = STATE(3956),
    [sym_binary_operator] = STATE(3956),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3956),
    [sym_call] = STATE(3956),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3956),
    [sym_anonymous_function] = STATE(3956),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(1513),
    [sym_integer] = ACTIONS(1513),
    [sym_float] = ACTIONS(1513),
    [sym_char] = ACTIONS(1513),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [344] = {
    [sym__expression] = STATE(3966),
    [sym_block] = STATE(3966),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3966),
    [sym_nil] = STATE(3966),
    [sym__atom] = STATE(3966),
    [sym_quoted_atom] = STATE(3966),
    [sym__quoted_i_double] = STATE(3341),
    [sym__quoted_i_single] = STATE(3342),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3966),
    [sym_charlist] = STATE(3966),
    [sym_sigil] = STATE(3966),
    [sym_keywords] = STATE(3965),
    [sym_pair] = STATE(3155),
    [sym__keyword] = STATE(575),
    [sym_quoted_keyword] = STATE(575),
    [sym_list] = STATE(3966),
    [sym_tuple] = STATE(3966),
    [sym_bitstring] = STATE(3966),
    [sym_map] = STATE(3966),
    [sym__nullary_operator] = STATE(3966),
    [sym_unary_operator] = STATE(3966),
    [sym_binary_operator] = STATE(3966),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3966),
    [sym_call] = STATE(3966),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3966),
    [sym_anonymous_function] = STATE(3966),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(1515),
    [sym_integer] = ACTIONS(1515),
    [sym_float] = ACTIONS(1515),
    [sym_char] = ACTIONS(1515),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [sym_keyword] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [345] = {
    [sym__expression] = STATE(3613),
    [sym_block] = STATE(3613),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3613),
    [sym_nil] = STATE(3613),
    [sym__atom] = STATE(3613),
    [sym_quoted_atom] = STATE(3613),
    [sym__quoted_i_double] = STATE(2601),
    [sym__quoted_i_single] = STATE(2600),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3613),
    [sym_charlist] = STATE(3613),
    [sym_sigil] = STATE(3613),
    [sym__keywords_with_trailing_separator] = STATE(6947),
    [sym_pair] = STATE(5781),
    [sym__keyword] = STATE(742),
    [sym_quoted_keyword] = STATE(742),
    [sym_list] = STATE(3613),
    [sym_tuple] = STATE(3613),
    [sym_bitstring] = STATE(3613),
    [sym_map] = STATE(3613),
    [sym__nullary_operator] = STATE(3613),
    [sym_unary_operator] = STATE(3613),
    [sym_binary_operator] = STATE(3613),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3613),
    [sym_call] = STATE(3613),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3613),
    [sym_anonymous_function] = STATE(3613),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1151),
    [sym_integer] = ACTIONS(1151),
    [sym_float] = ACTIONS(1151),
    [sym_char] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [sym_keyword] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [346] = {
    [sym__expression] = STATE(4492),
    [sym_block] = STATE(4492),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4492),
    [sym_nil] = STATE(4492),
    [sym__atom] = STATE(4492),
    [sym_quoted_atom] = STATE(4492),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4492),
    [sym_charlist] = STATE(4492),
    [sym_sigil] = STATE(4492),
    [sym_list] = STATE(4492),
    [sym_tuple] = STATE(4492),
    [sym_bitstring] = STATE(4492),
    [sym_map] = STATE(4492),
    [sym__nullary_operator] = STATE(4492),
    [sym_unary_operator] = STATE(4492),
    [sym_binary_operator] = STATE(4492),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4492),
    [sym_call] = STATE(4492),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4492),
    [sym_anonymous_function] = STATE(4492),
    [aux_sym__terminator_token1] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1295),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1517),
    [sym_integer] = ACTIONS(1517),
    [sym_float] = ACTIONS(1517),
    [sym_char] = ACTIONS(1517),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [347] = {
    [sym__expression] = STATE(4490),
    [sym_block] = STATE(4490),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4490),
    [sym_nil] = STATE(4490),
    [sym__atom] = STATE(4490),
    [sym_quoted_atom] = STATE(4490),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4490),
    [sym_charlist] = STATE(4490),
    [sym_sigil] = STATE(4490),
    [sym_list] = STATE(4490),
    [sym_tuple] = STATE(4490),
    [sym_bitstring] = STATE(4490),
    [sym_map] = STATE(4490),
    [sym__nullary_operator] = STATE(4490),
    [sym_unary_operator] = STATE(4490),
    [sym_binary_operator] = STATE(4490),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4490),
    [sym_call] = STATE(4490),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4490),
    [sym_anonymous_function] = STATE(4490),
    [aux_sym__terminator_token1] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1519),
    [sym_integer] = ACTIONS(1519),
    [sym_float] = ACTIONS(1519),
    [sym_char] = ACTIONS(1519),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(1309),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [348] = {
    [sym__expression] = STATE(4490),
    [sym_block] = STATE(4490),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4490),
    [sym_nil] = STATE(4490),
    [sym__atom] = STATE(4490),
    [sym_quoted_atom] = STATE(4490),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4490),
    [sym_charlist] = STATE(4490),
    [sym_sigil] = STATE(4490),
    [sym_list] = STATE(4490),
    [sym_tuple] = STATE(4490),
    [sym_bitstring] = STATE(4490),
    [sym_map] = STATE(4490),
    [sym__nullary_operator] = STATE(4490),
    [sym_unary_operator] = STATE(4490),
    [sym_binary_operator] = STATE(4490),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4490),
    [sym_call] = STATE(4490),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4490),
    [sym_anonymous_function] = STATE(4490),
    [aux_sym__terminator_token1] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1519),
    [sym_integer] = ACTIONS(1519),
    [sym_float] = ACTIONS(1519),
    [sym_char] = ACTIONS(1519),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(1313),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [349] = {
    [sym__expression] = STATE(4490),
    [sym_block] = STATE(4490),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4490),
    [sym_nil] = STATE(4490),
    [sym__atom] = STATE(4490),
    [sym_quoted_atom] = STATE(4490),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4490),
    [sym_charlist] = STATE(4490),
    [sym_sigil] = STATE(4490),
    [sym_list] = STATE(4490),
    [sym_tuple] = STATE(4490),
    [sym_bitstring] = STATE(4490),
    [sym_map] = STATE(4490),
    [sym__nullary_operator] = STATE(4490),
    [sym_unary_operator] = STATE(4490),
    [sym_binary_operator] = STATE(4490),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4490),
    [sym_call] = STATE(4490),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4490),
    [sym_anonymous_function] = STATE(4490),
    [aux_sym__terminator_token1] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1519),
    [sym_integer] = ACTIONS(1519),
    [sym_float] = ACTIONS(1519),
    [sym_char] = ACTIONS(1519),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(1295),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [350] = {
    [sym__expression] = STATE(3343),
    [sym_block] = STATE(3343),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(3343),
    [sym_nil] = STATE(3343),
    [sym__atom] = STATE(3343),
    [sym_quoted_atom] = STATE(3343),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(3343),
    [sym_charlist] = STATE(3343),
    [sym_sigil] = STATE(3343),
    [sym_list] = STATE(3343),
    [sym_tuple] = STATE(3343),
    [sym_bitstring] = STATE(3343),
    [sym_map] = STATE(3343),
    [sym__nullary_operator] = STATE(3343),
    [sym_unary_operator] = STATE(3343),
    [sym_binary_operator] = STATE(3343),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(3343),
    [sym_call] = STATE(3343),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(3343),
    [sym_anonymous_function] = STATE(3343),
    [aux_sym__terminator_token1] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1521),
    [sym_integer] = ACTIONS(1521),
    [sym_float] = ACTIONS(1521),
    [sym_char] = ACTIONS(1521),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [351] = {
    [sym__expression] = STATE(3039),
    [sym_block] = STATE(3039),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(3039),
    [sym_nil] = STATE(3039),
    [sym__atom] = STATE(3039),
    [sym_quoted_atom] = STATE(3039),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(3039),
    [sym_charlist] = STATE(3039),
    [sym_sigil] = STATE(3039),
    [sym_list] = STATE(3039),
    [sym_tuple] = STATE(3039),
    [sym_bitstring] = STATE(3039),
    [sym_map] = STATE(3039),
    [sym__nullary_operator] = STATE(3039),
    [sym_unary_operator] = STATE(3039),
    [sym_binary_operator] = STATE(3039),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(3039),
    [sym_call] = STATE(3039),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(3039),
    [sym_anonymous_function] = STATE(3039),
    [aux_sym__terminator_token1] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1303),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1523),
    [sym_integer] = ACTIONS(1523),
    [sym_float] = ACTIONS(1523),
    [sym_char] = ACTIONS(1523),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1523),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [352] = {
    [sym__expression] = STATE(4492),
    [sym_block] = STATE(4492),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4492),
    [sym_nil] = STATE(4492),
    [sym__atom] = STATE(4492),
    [sym_quoted_atom] = STATE(4492),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4492),
    [sym_charlist] = STATE(4492),
    [sym_sigil] = STATE(4492),
    [sym_list] = STATE(4492),
    [sym_tuple] = STATE(4492),
    [sym_bitstring] = STATE(4492),
    [sym_map] = STATE(4492),
    [sym__nullary_operator] = STATE(4492),
    [sym_unary_operator] = STATE(4492),
    [sym_binary_operator] = STATE(4492),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4492),
    [sym_call] = STATE(4492),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4492),
    [sym_anonymous_function] = STATE(4492),
    [aux_sym__terminator_token1] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1313),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1517),
    [sym_integer] = ACTIONS(1517),
    [sym_float] = ACTIONS(1517),
    [sym_char] = ACTIONS(1517),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [353] = {
    [sym__expression] = STATE(4492),
    [sym_block] = STATE(4492),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4492),
    [sym_nil] = STATE(4492),
    [sym__atom] = STATE(4492),
    [sym_quoted_atom] = STATE(4492),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4492),
    [sym_charlist] = STATE(4492),
    [sym_sigil] = STATE(4492),
    [sym_list] = STATE(4492),
    [sym_tuple] = STATE(4492),
    [sym_bitstring] = STATE(4492),
    [sym_map] = STATE(4492),
    [sym__nullary_operator] = STATE(4492),
    [sym_unary_operator] = STATE(4492),
    [sym_binary_operator] = STATE(4492),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4492),
    [sym_call] = STATE(4492),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4492),
    [sym_anonymous_function] = STATE(4492),
    [aux_sym__terminator_token1] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1309),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1517),
    [sym_integer] = ACTIONS(1517),
    [sym_float] = ACTIONS(1517),
    [sym_char] = ACTIONS(1517),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [354] = {
    [sym__expression] = STATE(4456),
    [sym_block] = STATE(4456),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4456),
    [sym_nil] = STATE(4456),
    [sym__atom] = STATE(4456),
    [sym_quoted_atom] = STATE(4456),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4456),
    [sym_charlist] = STATE(4456),
    [sym_sigil] = STATE(4456),
    [sym_list] = STATE(4456),
    [sym_tuple] = STATE(4456),
    [sym_bitstring] = STATE(4456),
    [sym_map] = STATE(4456),
    [sym__nullary_operator] = STATE(4456),
    [sym_unary_operator] = STATE(4456),
    [sym_binary_operator] = STATE(4456),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4456),
    [sym_call] = STATE(4456),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4456),
    [sym_anonymous_function] = STATE(4456),
    [ts_builtin_sym_end] = ACTIONS(1525),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1527),
    [sym_integer] = ACTIONS(1527),
    [sym_float] = ACTIONS(1527),
    [sym_char] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [355] = {
    [sym__expression] = STATE(2549),
    [sym_block] = STATE(2549),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2549),
    [sym_nil] = STATE(2549),
    [sym__atom] = STATE(2549),
    [sym_quoted_atom] = STATE(2549),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2549),
    [sym_charlist] = STATE(2549),
    [sym_sigil] = STATE(2549),
    [sym_list] = STATE(2549),
    [sym_tuple] = STATE(2549),
    [sym_bitstring] = STATE(2549),
    [sym_map] = STATE(2549),
    [sym__nullary_operator] = STATE(2549),
    [sym_unary_operator] = STATE(2549),
    [sym__capture_expression] = STATE(1239),
    [sym_binary_operator] = STATE(2549),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2549),
    [sym_call] = STATE(2549),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2549),
    [sym_anonymous_function] = STATE(2549),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1531),
    [sym_integer] = ACTIONS(1533),
    [sym_float] = ACTIONS(1531),
    [sym_char] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [356] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1535),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [357] = {
    [sym__expression] = STATE(2974),
    [sym_block] = STATE(2974),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2974),
    [sym_nil] = STATE(2974),
    [sym__atom] = STATE(2974),
    [sym_quoted_atom] = STATE(2974),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2974),
    [sym_charlist] = STATE(2974),
    [sym_sigil] = STATE(2974),
    [sym_list] = STATE(2974),
    [sym_tuple] = STATE(2974),
    [sym_bitstring] = STATE(2974),
    [sym_map] = STATE(2974),
    [sym__nullary_operator] = STATE(2974),
    [sym_unary_operator] = STATE(2974),
    [sym__capture_expression] = STATE(2975),
    [sym_binary_operator] = STATE(2974),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2974),
    [sym_call] = STATE(2974),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(2974),
    [sym_anonymous_function] = STATE(2974),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1541),
    [sym_integer] = ACTIONS(1543),
    [sym_float] = ACTIONS(1541),
    [sym_char] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1541),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [358] = {
    [sym__expression] = STATE(3307),
    [sym_block] = STATE(3307),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3307),
    [sym_nil] = STATE(3307),
    [sym__atom] = STATE(3307),
    [sym_quoted_atom] = STATE(3307),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3307),
    [sym_charlist] = STATE(3307),
    [sym_sigil] = STATE(3307),
    [sym_list] = STATE(3307),
    [sym_tuple] = STATE(3307),
    [sym_bitstring] = STATE(3307),
    [sym_map] = STATE(3307),
    [sym__nullary_operator] = STATE(3307),
    [sym_unary_operator] = STATE(3307),
    [sym__capture_expression] = STATE(1433),
    [sym_binary_operator] = STATE(3307),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3307),
    [sym_call] = STATE(3307),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3307),
    [sym_anonymous_function] = STATE(3307),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1547),
    [sym_integer] = ACTIONS(1549),
    [sym_float] = ACTIONS(1547),
    [sym_char] = ACTIONS(1547),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [359] = {
    [sym__expression] = STATE(1830),
    [sym_block] = STATE(1830),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1830),
    [sym_nil] = STATE(1830),
    [sym__atom] = STATE(1830),
    [sym_quoted_atom] = STATE(1830),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1830),
    [sym_charlist] = STATE(1830),
    [sym_sigil] = STATE(1830),
    [sym_list] = STATE(1830),
    [sym_tuple] = STATE(1830),
    [sym_bitstring] = STATE(1830),
    [sym_map] = STATE(1830),
    [sym__nullary_operator] = STATE(1830),
    [sym_unary_operator] = STATE(1830),
    [sym__capture_expression] = STATE(1733),
    [sym_binary_operator] = STATE(1830),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1830),
    [sym_call] = STATE(1830),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1830),
    [sym_anonymous_function] = STATE(1830),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1553),
    [sym_integer] = ACTIONS(1555),
    [sym_float] = ACTIONS(1553),
    [sym_char] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1553),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [360] = {
    [sym__expression] = STATE(4397),
    [sym_block] = STATE(4397),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4397),
    [sym_nil] = STATE(4397),
    [sym__atom] = STATE(4397),
    [sym_quoted_atom] = STATE(4397),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4397),
    [sym_charlist] = STATE(4397),
    [sym_sigil] = STATE(4397),
    [sym_list] = STATE(4397),
    [sym_tuple] = STATE(4397),
    [sym_bitstring] = STATE(4397),
    [sym_map] = STATE(4397),
    [sym__nullary_operator] = STATE(4397),
    [sym_unary_operator] = STATE(4397),
    [sym__capture_expression] = STATE(2030),
    [sym_binary_operator] = STATE(4397),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4397),
    [sym_call] = STATE(4397),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4397),
    [sym_anonymous_function] = STATE(4397),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1559),
    [sym_integer] = ACTIONS(1561),
    [sym_float] = ACTIONS(1559),
    [sym_char] = ACTIONS(1559),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [361] = {
    [sym__expression] = STATE(2183),
    [sym_block] = STATE(2183),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2183),
    [sym_nil] = STATE(2183),
    [sym__atom] = STATE(2183),
    [sym_quoted_atom] = STATE(2183),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2183),
    [sym_charlist] = STATE(2183),
    [sym_sigil] = STATE(2183),
    [sym_list] = STATE(2183),
    [sym_tuple] = STATE(2183),
    [sym_bitstring] = STATE(2183),
    [sym_map] = STATE(2183),
    [sym__nullary_operator] = STATE(2183),
    [sym_unary_operator] = STATE(2183),
    [sym__capture_expression] = STATE(1997),
    [sym_binary_operator] = STATE(2183),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2183),
    [sym_call] = STATE(2183),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2183),
    [sym_anonymous_function] = STATE(2183),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1563),
    [sym_integer] = ACTIONS(1565),
    [sym_float] = ACTIONS(1563),
    [sym_char] = ACTIONS(1563),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [362] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [363] = {
    [sym__expression] = STATE(4470),
    [sym_block] = STATE(4470),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4470),
    [sym_nil] = STATE(4470),
    [sym__atom] = STATE(4470),
    [sym_quoted_atom] = STATE(4470),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4470),
    [sym_charlist] = STATE(4470),
    [sym_sigil] = STATE(4470),
    [sym_list] = STATE(4470),
    [sym_tuple] = STATE(4470),
    [sym_bitstring] = STATE(4470),
    [sym_map] = STATE(4470),
    [sym__nullary_operator] = STATE(4470),
    [sym_unary_operator] = STATE(4470),
    [sym__capture_expression] = STATE(3247),
    [sym_binary_operator] = STATE(4470),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4470),
    [sym_call] = STATE(4470),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4470),
    [sym_anonymous_function] = STATE(4470),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1569),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1571),
    [sym_integer] = ACTIONS(1573),
    [sym_float] = ACTIONS(1571),
    [sym_char] = ACTIONS(1571),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [364] = {
    [sym__expression] = STATE(3307),
    [sym_block] = STATE(3307),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3307),
    [sym_nil] = STATE(3307),
    [sym__atom] = STATE(3307),
    [sym_quoted_atom] = STATE(3307),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3307),
    [sym_charlist] = STATE(3307),
    [sym_sigil] = STATE(3307),
    [sym_list] = STATE(3307),
    [sym_tuple] = STATE(3307),
    [sym_bitstring] = STATE(3307),
    [sym_map] = STATE(3307),
    [sym__nullary_operator] = STATE(3307),
    [sym_unary_operator] = STATE(3307),
    [sym__capture_expression] = STATE(1404),
    [sym_binary_operator] = STATE(3307),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3307),
    [sym_call] = STATE(3307),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3307),
    [sym_anonymous_function] = STATE(3307),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1547),
    [sym_integer] = ACTIONS(1575),
    [sym_float] = ACTIONS(1547),
    [sym_char] = ACTIONS(1547),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [365] = {
    [sym__expression] = STATE(1830),
    [sym_block] = STATE(1830),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1830),
    [sym_nil] = STATE(1830),
    [sym__atom] = STATE(1830),
    [sym_quoted_atom] = STATE(1830),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1830),
    [sym_charlist] = STATE(1830),
    [sym_sigil] = STATE(1830),
    [sym_list] = STATE(1830),
    [sym_tuple] = STATE(1830),
    [sym_bitstring] = STATE(1830),
    [sym_map] = STATE(1830),
    [sym__nullary_operator] = STATE(1830),
    [sym_unary_operator] = STATE(1830),
    [sym__capture_expression] = STATE(1739),
    [sym_binary_operator] = STATE(1830),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1830),
    [sym_call] = STATE(1830),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1830),
    [sym_anonymous_function] = STATE(1830),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1553),
    [sym_integer] = ACTIONS(1577),
    [sym_float] = ACTIONS(1553),
    [sym_char] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1553),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [366] = {
    [sym__expression] = STATE(4026),
    [sym_block] = STATE(4026),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(4026),
    [sym_nil] = STATE(4026),
    [sym__atom] = STATE(4026),
    [sym_quoted_atom] = STATE(4026),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(4026),
    [sym_charlist] = STATE(4026),
    [sym_sigil] = STATE(4026),
    [sym_list] = STATE(4026),
    [sym_tuple] = STATE(4026),
    [sym_bitstring] = STATE(4026),
    [sym_map] = STATE(4026),
    [sym__nullary_operator] = STATE(4026),
    [sym_unary_operator] = STATE(4026),
    [sym__capture_expression] = STATE(3999),
    [sym_binary_operator] = STATE(4026),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(4026),
    [sym_call] = STATE(4026),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(4026),
    [sym_anonymous_function] = STATE(4026),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1579),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(1581),
    [sym_integer] = ACTIONS(1583),
    [sym_float] = ACTIONS(1581),
    [sym_char] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(1581),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [367] = {
    [sym__expression] = STATE(3189),
    [sym_block] = STATE(3189),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3189),
    [sym_nil] = STATE(3189),
    [sym__atom] = STATE(3189),
    [sym_quoted_atom] = STATE(3189),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3189),
    [sym_charlist] = STATE(3189),
    [sym_sigil] = STATE(3189),
    [sym_list] = STATE(3189),
    [sym_tuple] = STATE(3189),
    [sym_bitstring] = STATE(3189),
    [sym_map] = STATE(3189),
    [sym__nullary_operator] = STATE(3189),
    [sym_unary_operator] = STATE(3189),
    [sym__capture_expression] = STATE(1404),
    [sym_binary_operator] = STATE(3189),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3189),
    [sym_call] = STATE(3189),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3189),
    [sym_anonymous_function] = STATE(3189),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1585),
    [sym_integer] = ACTIONS(1575),
    [sym_float] = ACTIONS(1585),
    [sym_char] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [368] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [369] = {
    [sym__expression] = STATE(4026),
    [sym_block] = STATE(4026),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(4026),
    [sym_nil] = STATE(4026),
    [sym__atom] = STATE(4026),
    [sym_quoted_atom] = STATE(4026),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(4026),
    [sym_charlist] = STATE(4026),
    [sym_sigil] = STATE(4026),
    [sym_list] = STATE(4026),
    [sym_tuple] = STATE(4026),
    [sym_bitstring] = STATE(4026),
    [sym_map] = STATE(4026),
    [sym__nullary_operator] = STATE(4026),
    [sym_unary_operator] = STATE(4026),
    [sym__capture_expression] = STATE(4025),
    [sym_binary_operator] = STATE(4026),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(4026),
    [sym_call] = STATE(4026),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(4026),
    [sym_anonymous_function] = STATE(4026),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1579),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(1581),
    [sym_integer] = ACTIONS(1589),
    [sym_float] = ACTIONS(1581),
    [sym_char] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(1581),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [370] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6960),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [371] = {
    [sym__expression] = STATE(4556),
    [sym_block] = STATE(4556),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4556),
    [sym_nil] = STATE(4556),
    [sym__atom] = STATE(4556),
    [sym_quoted_atom] = STATE(4556),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4556),
    [sym_charlist] = STATE(4556),
    [sym_sigil] = STATE(4556),
    [sym_list] = STATE(4556),
    [sym_tuple] = STATE(4556),
    [sym_bitstring] = STATE(4556),
    [sym_map] = STATE(4556),
    [sym__nullary_operator] = STATE(4556),
    [sym_unary_operator] = STATE(4556),
    [sym_binary_operator] = STATE(4556),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4556),
    [sym_call] = STATE(4556),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4556),
    [sym_anonymous_function] = STATE(4556),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1597),
    [sym_integer] = ACTIONS(1597),
    [sym_float] = ACTIONS(1597),
    [sym_char] = ACTIONS(1597),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [372] = {
    [sym__expression] = STATE(2477),
    [sym_block] = STATE(2477),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2477),
    [sym_nil] = STATE(2477),
    [sym__atom] = STATE(2477),
    [sym_quoted_atom] = STATE(2477),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2477),
    [sym_charlist] = STATE(2477),
    [sym_sigil] = STATE(2477),
    [sym_list] = STATE(2477),
    [sym_tuple] = STATE(2477),
    [sym_bitstring] = STATE(2477),
    [sym_map] = STATE(2477),
    [sym__nullary_operator] = STATE(2477),
    [sym_unary_operator] = STATE(2477),
    [sym__capture_expression] = STATE(2247),
    [sym_binary_operator] = STATE(2477),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2477),
    [sym_call] = STATE(2477),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2477),
    [sym_anonymous_function] = STATE(2477),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1603),
    [sym_integer] = ACTIONS(1605),
    [sym_float] = ACTIONS(1603),
    [sym_char] = ACTIONS(1603),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1603),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [373] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1607),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [374] = {
    [sym__expression] = STATE(4573),
    [sym_block] = STATE(4573),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4573),
    [sym_nil] = STATE(4573),
    [sym__atom] = STATE(4573),
    [sym_quoted_atom] = STATE(4573),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4573),
    [sym_charlist] = STATE(4573),
    [sym_sigil] = STATE(4573),
    [sym_list] = STATE(4573),
    [sym_tuple] = STATE(4573),
    [sym_bitstring] = STATE(4573),
    [sym_map] = STATE(4573),
    [sym__nullary_operator] = STATE(4573),
    [sym_unary_operator] = STATE(4573),
    [sym_binary_operator] = STATE(4573),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4573),
    [sym_call] = STATE(4573),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4573),
    [sym_anonymous_function] = STATE(4573),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1609),
    [sym_integer] = ACTIONS(1609),
    [sym_float] = ACTIONS(1609),
    [sym_char] = ACTIONS(1609),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1609),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [375] = {
    [sym__expression] = STATE(2477),
    [sym_block] = STATE(2477),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2477),
    [sym_nil] = STATE(2477),
    [sym__atom] = STATE(2477),
    [sym_quoted_atom] = STATE(2477),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2477),
    [sym_charlist] = STATE(2477),
    [sym_sigil] = STATE(2477),
    [sym_list] = STATE(2477),
    [sym_tuple] = STATE(2477),
    [sym_bitstring] = STATE(2477),
    [sym_map] = STATE(2477),
    [sym__nullary_operator] = STATE(2477),
    [sym_unary_operator] = STATE(2477),
    [sym__capture_expression] = STATE(2259),
    [sym_binary_operator] = STATE(2477),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2477),
    [sym_call] = STATE(2477),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2477),
    [sym_anonymous_function] = STATE(2477),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1603),
    [sym_integer] = ACTIONS(1613),
    [sym_float] = ACTIONS(1603),
    [sym_char] = ACTIONS(1603),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1603),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [376] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1615),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [377] = {
    [sym__expression] = STATE(2183),
    [sym_block] = STATE(2183),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2183),
    [sym_nil] = STATE(2183),
    [sym__atom] = STATE(2183),
    [sym_quoted_atom] = STATE(2183),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2183),
    [sym_charlist] = STATE(2183),
    [sym_sigil] = STATE(2183),
    [sym_list] = STATE(2183),
    [sym_tuple] = STATE(2183),
    [sym_bitstring] = STATE(2183),
    [sym_map] = STATE(2183),
    [sym__nullary_operator] = STATE(2183),
    [sym_unary_operator] = STATE(2183),
    [sym__capture_expression] = STATE(2030),
    [sym_binary_operator] = STATE(2183),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2183),
    [sym_call] = STATE(2183),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2183),
    [sym_anonymous_function] = STATE(2183),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1563),
    [sym_integer] = ACTIONS(1561),
    [sym_float] = ACTIONS(1563),
    [sym_char] = ACTIONS(1563),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [378] = {
    [sym__expression] = STATE(4500),
    [sym_block] = STATE(4500),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4500),
    [sym_nil] = STATE(4500),
    [sym__atom] = STATE(4500),
    [sym_quoted_atom] = STATE(4500),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4500),
    [sym_charlist] = STATE(4500),
    [sym_sigil] = STATE(4500),
    [sym_list] = STATE(4500),
    [sym_tuple] = STATE(4500),
    [sym_bitstring] = STATE(4500),
    [sym_map] = STATE(4500),
    [sym__nullary_operator] = STATE(4500),
    [sym_unary_operator] = STATE(4500),
    [sym__capture_expression] = STATE(4499),
    [sym_binary_operator] = STATE(4500),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4500),
    [sym_call] = STATE(4500),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4500),
    [sym_anonymous_function] = STATE(4500),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1619),
    [sym_integer] = ACTIONS(1621),
    [sym_float] = ACTIONS(1619),
    [sym_char] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [379] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1623),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [380] = {
    [sym__expression] = STATE(1424),
    [sym_block] = STATE(1424),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1424),
    [sym_nil] = STATE(1424),
    [sym__atom] = STATE(1424),
    [sym_quoted_atom] = STATE(1424),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1424),
    [sym_charlist] = STATE(1424),
    [sym_sigil] = STATE(1424),
    [sym_list] = STATE(1424),
    [sym_tuple] = STATE(1424),
    [sym_bitstring] = STATE(1424),
    [sym_map] = STATE(1424),
    [sym__nullary_operator] = STATE(1424),
    [sym_unary_operator] = STATE(1424),
    [sym__capture_expression] = STATE(1248),
    [sym_binary_operator] = STATE(1424),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1424),
    [sym_call] = STATE(1424),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1424),
    [sym_anonymous_function] = STATE(1424),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1625),
    [sym_integer] = ACTIONS(1627),
    [sym_float] = ACTIONS(1625),
    [sym_char] = ACTIONS(1625),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [381] = {
    [sym__expression] = STATE(2549),
    [sym_block] = STATE(2549),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2549),
    [sym_nil] = STATE(2549),
    [sym__atom] = STATE(2549),
    [sym_quoted_atom] = STATE(2549),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2549),
    [sym_charlist] = STATE(2549),
    [sym_sigil] = STATE(2549),
    [sym_list] = STATE(2549),
    [sym_tuple] = STATE(2549),
    [sym_bitstring] = STATE(2549),
    [sym_map] = STATE(2549),
    [sym__nullary_operator] = STATE(2549),
    [sym_unary_operator] = STATE(2549),
    [sym__capture_expression] = STATE(1248),
    [sym_binary_operator] = STATE(2549),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2549),
    [sym_call] = STATE(2549),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2549),
    [sym_anonymous_function] = STATE(2549),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1531),
    [sym_integer] = ACTIONS(1627),
    [sym_float] = ACTIONS(1531),
    [sym_char] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [382] = {
    [sym__expression] = STATE(1424),
    [sym_block] = STATE(1424),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1424),
    [sym_nil] = STATE(1424),
    [sym__atom] = STATE(1424),
    [sym_quoted_atom] = STATE(1424),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1424),
    [sym_charlist] = STATE(1424),
    [sym_sigil] = STATE(1424),
    [sym_list] = STATE(1424),
    [sym_tuple] = STATE(1424),
    [sym_bitstring] = STATE(1424),
    [sym_map] = STATE(1424),
    [sym__nullary_operator] = STATE(1424),
    [sym_unary_operator] = STATE(1424),
    [sym__capture_expression] = STATE(1239),
    [sym_binary_operator] = STATE(1424),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1424),
    [sym_call] = STATE(1424),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1424),
    [sym_anonymous_function] = STATE(1424),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1529),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1625),
    [sym_integer] = ACTIONS(1533),
    [sym_float] = ACTIONS(1625),
    [sym_char] = ACTIONS(1625),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [383] = {
    [sym__expression] = STATE(1732),
    [sym_block] = STATE(1732),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1732),
    [sym_nil] = STATE(1732),
    [sym__atom] = STATE(1732),
    [sym_quoted_atom] = STATE(1732),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1732),
    [sym_charlist] = STATE(1732),
    [sym_sigil] = STATE(1732),
    [sym_list] = STATE(1732),
    [sym_tuple] = STATE(1732),
    [sym_bitstring] = STATE(1732),
    [sym_map] = STATE(1732),
    [sym__nullary_operator] = STATE(1732),
    [sym_unary_operator] = STATE(1732),
    [sym__capture_expression] = STATE(1433),
    [sym_binary_operator] = STATE(1732),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1732),
    [sym_call] = STATE(1732),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1732),
    [sym_anonymous_function] = STATE(1732),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1629),
    [sym_integer] = ACTIONS(1549),
    [sym_float] = ACTIONS(1629),
    [sym_char] = ACTIONS(1629),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [384] = {
    [sym__expression] = STATE(4073),
    [sym_block] = STATE(4073),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4073),
    [sym_nil] = STATE(4073),
    [sym__atom] = STATE(4073),
    [sym_quoted_atom] = STATE(4073),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4073),
    [sym_charlist] = STATE(4073),
    [sym_sigil] = STATE(4073),
    [sym_list] = STATE(4073),
    [sym_tuple] = STATE(4073),
    [sym_bitstring] = STATE(4073),
    [sym_map] = STATE(4073),
    [sym__nullary_operator] = STATE(4073),
    [sym_unary_operator] = STATE(4073),
    [sym__capture_expression] = STATE(2030),
    [sym_binary_operator] = STATE(4073),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4073),
    [sym_call] = STATE(4073),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4073),
    [sym_anonymous_function] = STATE(4073),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1631),
    [sym_integer] = ACTIONS(1561),
    [sym_float] = ACTIONS(1631),
    [sym_char] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1631),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [385] = {
    [sym__expression] = STATE(4568),
    [sym_block] = STATE(4568),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4568),
    [sym_nil] = STATE(4568),
    [sym__atom] = STATE(4568),
    [sym_quoted_atom] = STATE(4568),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4568),
    [sym_charlist] = STATE(4568),
    [sym_sigil] = STATE(4568),
    [sym_list] = STATE(4568),
    [sym_tuple] = STATE(4568),
    [sym_bitstring] = STATE(4568),
    [sym_map] = STATE(4568),
    [sym__nullary_operator] = STATE(4568),
    [sym_unary_operator] = STATE(4568),
    [sym_binary_operator] = STATE(4568),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4568),
    [sym_call] = STATE(4568),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4568),
    [sym_anonymous_function] = STATE(4568),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1633),
    [sym_integer] = ACTIONS(1633),
    [sym_float] = ACTIONS(1633),
    [sym_char] = ACTIONS(1633),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [386] = {
    [sym__expression] = STATE(1732),
    [sym_block] = STATE(1732),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1732),
    [sym_nil] = STATE(1732),
    [sym__atom] = STATE(1732),
    [sym_quoted_atom] = STATE(1732),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1732),
    [sym_charlist] = STATE(1732),
    [sym_sigil] = STATE(1732),
    [sym_list] = STATE(1732),
    [sym_tuple] = STATE(1732),
    [sym_bitstring] = STATE(1732),
    [sym_map] = STATE(1732),
    [sym__nullary_operator] = STATE(1732),
    [sym_unary_operator] = STATE(1732),
    [sym__capture_expression] = STATE(1404),
    [sym_binary_operator] = STATE(1732),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1732),
    [sym_call] = STATE(1732),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1732),
    [sym_anonymous_function] = STATE(1732),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1629),
    [sym_integer] = ACTIONS(1575),
    [sym_float] = ACTIONS(1629),
    [sym_char] = ACTIONS(1629),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [387] = {
    [sym__expression] = STATE(4073),
    [sym_block] = STATE(4073),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4073),
    [sym_nil] = STATE(4073),
    [sym__atom] = STATE(4073),
    [sym_quoted_atom] = STATE(4073),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4073),
    [sym_charlist] = STATE(4073),
    [sym_sigil] = STATE(4073),
    [sym_list] = STATE(4073),
    [sym_tuple] = STATE(4073),
    [sym_bitstring] = STATE(4073),
    [sym_map] = STATE(4073),
    [sym__nullary_operator] = STATE(4073),
    [sym_unary_operator] = STATE(4073),
    [sym__capture_expression] = STATE(1997),
    [sym_binary_operator] = STATE(4073),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4073),
    [sym_call] = STATE(4073),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4073),
    [sym_anonymous_function] = STATE(4073),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1631),
    [sym_integer] = ACTIONS(1565),
    [sym_float] = ACTIONS(1631),
    [sym_char] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1631),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [388] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1637),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [389] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [390] = {
    [sym__expression] = STATE(4569),
    [sym_block] = STATE(4569),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4569),
    [sym_nil] = STATE(4569),
    [sym__atom] = STATE(4569),
    [sym_quoted_atom] = STATE(4569),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4569),
    [sym_charlist] = STATE(4569),
    [sym_sigil] = STATE(4569),
    [sym_list] = STATE(4569),
    [sym_tuple] = STATE(4569),
    [sym_bitstring] = STATE(4569),
    [sym_map] = STATE(4569),
    [sym__nullary_operator] = STATE(4569),
    [sym_unary_operator] = STATE(4569),
    [sym_binary_operator] = STATE(4569),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4569),
    [sym_call] = STATE(4569),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4569),
    [sym_anonymous_function] = STATE(4569),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1641),
    [sym_integer] = ACTIONS(1641),
    [sym_float] = ACTIONS(1641),
    [sym_char] = ACTIONS(1641),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [391] = {
    [sym__expression] = STATE(3291),
    [sym_block] = STATE(3291),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3291),
    [sym_nil] = STATE(3291),
    [sym__atom] = STATE(3291),
    [sym_quoted_atom] = STATE(3291),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3291),
    [sym_charlist] = STATE(3291),
    [sym_sigil] = STATE(3291),
    [sym_list] = STATE(3291),
    [sym_tuple] = STATE(3291),
    [sym_bitstring] = STATE(3291),
    [sym_map] = STATE(3291),
    [sym__nullary_operator] = STATE(3291),
    [sym_unary_operator] = STATE(3291),
    [sym__capture_expression] = STATE(3277),
    [sym_binary_operator] = STATE(3291),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3291),
    [sym_call] = STATE(3291),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3291),
    [sym_anonymous_function] = STATE(3291),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1647),
    [sym_integer] = ACTIONS(1649),
    [sym_float] = ACTIONS(1647),
    [sym_char] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [392] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6883),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [393] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1653),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [394] = {
    [sym__expression] = STATE(3291),
    [sym_block] = STATE(3291),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3291),
    [sym_nil] = STATE(3291),
    [sym__atom] = STATE(3291),
    [sym_quoted_atom] = STATE(3291),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3291),
    [sym_charlist] = STATE(3291),
    [sym_sigil] = STATE(3291),
    [sym_list] = STATE(3291),
    [sym_tuple] = STATE(3291),
    [sym_bitstring] = STATE(3291),
    [sym_map] = STATE(3291),
    [sym__nullary_operator] = STATE(3291),
    [sym_unary_operator] = STATE(3291),
    [sym__capture_expression] = STATE(3290),
    [sym_binary_operator] = STATE(3291),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3291),
    [sym_call] = STATE(3291),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3291),
    [sym_anonymous_function] = STATE(3291),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1647),
    [sym_integer] = ACTIONS(1655),
    [sym_float] = ACTIONS(1647),
    [sym_char] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [395] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [396] = {
    [sym__expression] = STATE(4578),
    [sym_block] = STATE(4578),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4578),
    [sym_nil] = STATE(4578),
    [sym__atom] = STATE(4578),
    [sym_quoted_atom] = STATE(4578),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4578),
    [sym_charlist] = STATE(4578),
    [sym_sigil] = STATE(4578),
    [sym_list] = STATE(4578),
    [sym_tuple] = STATE(4578),
    [sym_bitstring] = STATE(4578),
    [sym_map] = STATE(4578),
    [sym__nullary_operator] = STATE(4578),
    [sym_unary_operator] = STATE(4578),
    [sym_binary_operator] = STATE(4578),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4578),
    [sym_call] = STATE(4578),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4578),
    [sym_anonymous_function] = STATE(4578),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1659),
    [sym_integer] = ACTIONS(1659),
    [sym_float] = ACTIONS(1659),
    [sym_char] = ACTIONS(1659),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1659),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [397] = {
    [sym__expression] = STATE(4106),
    [sym_block] = STATE(4106),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4106),
    [sym_nil] = STATE(4106),
    [sym__atom] = STATE(4106),
    [sym_quoted_atom] = STATE(4106),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4106),
    [sym_charlist] = STATE(4106),
    [sym_sigil] = STATE(4106),
    [sym_list] = STATE(4106),
    [sym_tuple] = STATE(4106),
    [sym_bitstring] = STATE(4106),
    [sym_map] = STATE(4106),
    [sym__nullary_operator] = STATE(4106),
    [sym_unary_operator] = STATE(4106),
    [sym__capture_expression] = STATE(4091),
    [sym_binary_operator] = STATE(4106),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4106),
    [sym_call] = STATE(4106),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4106),
    [sym_anonymous_function] = STATE(4106),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1665),
    [sym_integer] = ACTIONS(1667),
    [sym_float] = ACTIONS(1665),
    [sym_char] = ACTIONS(1665),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1665),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [398] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1669),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [399] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1671),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [400] = {
    [sym__expression] = STATE(4106),
    [sym_block] = STATE(4106),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4106),
    [sym_nil] = STATE(4106),
    [sym__atom] = STATE(4106),
    [sym_quoted_atom] = STATE(4106),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4106),
    [sym_charlist] = STATE(4106),
    [sym_sigil] = STATE(4106),
    [sym_list] = STATE(4106),
    [sym_tuple] = STATE(4106),
    [sym_bitstring] = STATE(4106),
    [sym_map] = STATE(4106),
    [sym__nullary_operator] = STATE(4106),
    [sym_unary_operator] = STATE(4106),
    [sym__capture_expression] = STATE(4105),
    [sym_binary_operator] = STATE(4106),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4106),
    [sym_call] = STATE(4106),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4106),
    [sym_anonymous_function] = STATE(4106),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1665),
    [sym_integer] = ACTIONS(1673),
    [sym_float] = ACTIONS(1665),
    [sym_char] = ACTIONS(1665),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1665),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [401] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1675),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [402] = {
    [sym__expression] = STATE(4500),
    [sym_block] = STATE(4500),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4500),
    [sym_nil] = STATE(4500),
    [sym__atom] = STATE(4500),
    [sym_quoted_atom] = STATE(4500),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4500),
    [sym_charlist] = STATE(4500),
    [sym_sigil] = STATE(4500),
    [sym_list] = STATE(4500),
    [sym_tuple] = STATE(4500),
    [sym_bitstring] = STATE(4500),
    [sym_map] = STATE(4500),
    [sym__nullary_operator] = STATE(4500),
    [sym_unary_operator] = STATE(4500),
    [sym__capture_expression] = STATE(4471),
    [sym_binary_operator] = STATE(4500),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4500),
    [sym_call] = STATE(4500),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4500),
    [sym_anonymous_function] = STATE(4500),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1619),
    [sym_integer] = ACTIONS(1677),
    [sym_float] = ACTIONS(1619),
    [sym_char] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1619),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [403] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [404] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [405] = {
    [sym__expression] = STATE(3189),
    [sym_block] = STATE(3189),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3189),
    [sym_nil] = STATE(3189),
    [sym__atom] = STATE(3189),
    [sym_quoted_atom] = STATE(3189),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3189),
    [sym_charlist] = STATE(3189),
    [sym_sigil] = STATE(3189),
    [sym_list] = STATE(3189),
    [sym_tuple] = STATE(3189),
    [sym_bitstring] = STATE(3189),
    [sym_map] = STATE(3189),
    [sym__nullary_operator] = STATE(3189),
    [sym_unary_operator] = STATE(3189),
    [sym__capture_expression] = STATE(1433),
    [sym_binary_operator] = STATE(3189),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3189),
    [sym_call] = STATE(3189),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3189),
    [sym_anonymous_function] = STATE(3189),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1585),
    [sym_integer] = ACTIONS(1549),
    [sym_float] = ACTIONS(1585),
    [sym_char] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [406] = {
    [sym__expression] = STATE(4397),
    [sym_block] = STATE(4397),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4397),
    [sym_nil] = STATE(4397),
    [sym__atom] = STATE(4397),
    [sym_quoted_atom] = STATE(4397),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4397),
    [sym_charlist] = STATE(4397),
    [sym_sigil] = STATE(4397),
    [sym_list] = STATE(4397),
    [sym_tuple] = STATE(4397),
    [sym_bitstring] = STATE(4397),
    [sym_map] = STATE(4397),
    [sym__nullary_operator] = STATE(4397),
    [sym_unary_operator] = STATE(4397),
    [sym__capture_expression] = STATE(1997),
    [sym_binary_operator] = STATE(4397),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4397),
    [sym_call] = STATE(4397),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4397),
    [sym_anonymous_function] = STATE(4397),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1559),
    [sym_integer] = ACTIONS(1565),
    [sym_float] = ACTIONS(1559),
    [sym_char] = ACTIONS(1559),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [407] = {
    [sym__expression] = STATE(4470),
    [sym_block] = STATE(4470),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4470),
    [sym_nil] = STATE(4470),
    [sym__atom] = STATE(4470),
    [sym_quoted_atom] = STATE(4470),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4470),
    [sym_charlist] = STATE(4470),
    [sym_sigil] = STATE(4470),
    [sym_list] = STATE(4470),
    [sym_tuple] = STATE(4470),
    [sym_bitstring] = STATE(4470),
    [sym_map] = STATE(4470),
    [sym__nullary_operator] = STATE(4470),
    [sym_unary_operator] = STATE(4470),
    [sym__capture_expression] = STATE(3237),
    [sym_binary_operator] = STATE(4470),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4470),
    [sym_call] = STATE(4470),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4470),
    [sym_anonymous_function] = STATE(4470),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1569),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1571),
    [sym_integer] = ACTIONS(1683),
    [sym_float] = ACTIONS(1571),
    [sym_char] = ACTIONS(1571),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [408] = {
    [sym__expression] = STATE(3927),
    [sym_block] = STATE(3927),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3927),
    [sym_nil] = STATE(3927),
    [sym__atom] = STATE(3927),
    [sym_quoted_atom] = STATE(3927),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3927),
    [sym_charlist] = STATE(3927),
    [sym_sigil] = STATE(3927),
    [sym_list] = STATE(3927),
    [sym_tuple] = STATE(3927),
    [sym_bitstring] = STATE(3927),
    [sym_map] = STATE(3927),
    [sym__nullary_operator] = STATE(3927),
    [sym_unary_operator] = STATE(3927),
    [sym__capture_expression] = STATE(2259),
    [sym_binary_operator] = STATE(3927),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3927),
    [sym_call] = STATE(3927),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3927),
    [sym_anonymous_function] = STATE(3927),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1685),
    [sym_integer] = ACTIONS(1613),
    [sym_float] = ACTIONS(1685),
    [sym_char] = ACTIONS(1685),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [409] = {
    [sym__expression] = STATE(4322),
    [sym_block] = STATE(4322),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4322),
    [sym_nil] = STATE(4322),
    [sym__atom] = STATE(4322),
    [sym_quoted_atom] = STATE(4322),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4322),
    [sym_charlist] = STATE(4322),
    [sym_sigil] = STATE(4322),
    [sym_list] = STATE(4322),
    [sym_tuple] = STATE(4322),
    [sym_bitstring] = STATE(4322),
    [sym_map] = STATE(4322),
    [sym__nullary_operator] = STATE(4322),
    [sym_unary_operator] = STATE(4322),
    [sym__capture_expression] = STATE(4162),
    [sym_binary_operator] = STATE(4322),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4322),
    [sym_call] = STATE(4322),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4322),
    [sym_anonymous_function] = STATE(4322),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1687),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1689),
    [sym_integer] = ACTIONS(1691),
    [sym_float] = ACTIONS(1689),
    [sym_char] = ACTIONS(1689),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [410] = {
    [sym__expression] = STATE(3927),
    [sym_block] = STATE(3927),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3927),
    [sym_nil] = STATE(3927),
    [sym__atom] = STATE(3927),
    [sym_quoted_atom] = STATE(3927),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3927),
    [sym_charlist] = STATE(3927),
    [sym_sigil] = STATE(3927),
    [sym_list] = STATE(3927),
    [sym_tuple] = STATE(3927),
    [sym_bitstring] = STATE(3927),
    [sym_map] = STATE(3927),
    [sym__nullary_operator] = STATE(3927),
    [sym_unary_operator] = STATE(3927),
    [sym__capture_expression] = STATE(2247),
    [sym_binary_operator] = STATE(3927),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3927),
    [sym_call] = STATE(3927),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3927),
    [sym_anonymous_function] = STATE(3927),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1685),
    [sym_integer] = ACTIONS(1605),
    [sym_float] = ACTIONS(1685),
    [sym_char] = ACTIONS(1685),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [411] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1693),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [412] = {
    [sym__expression] = STATE(4571),
    [sym_block] = STATE(4571),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4571),
    [sym_nil] = STATE(4571),
    [sym__atom] = STATE(4571),
    [sym_quoted_atom] = STATE(4571),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4571),
    [sym_charlist] = STATE(4571),
    [sym_sigil] = STATE(4571),
    [sym_list] = STATE(4571),
    [sym_tuple] = STATE(4571),
    [sym_bitstring] = STATE(4571),
    [sym_map] = STATE(4571),
    [sym__nullary_operator] = STATE(4571),
    [sym_unary_operator] = STATE(4571),
    [sym_binary_operator] = STATE(4571),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4571),
    [sym_call] = STATE(4571),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4571),
    [sym_anonymous_function] = STATE(4571),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1695),
    [sym_integer] = ACTIONS(1695),
    [sym_float] = ACTIONS(1695),
    [sym_char] = ACTIONS(1695),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1695),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [413] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6885),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [414] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6904),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [415] = {
    [sym__expression] = STATE(4004),
    [sym_block] = STATE(4004),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4004),
    [sym_nil] = STATE(4004),
    [sym__atom] = STATE(4004),
    [sym_quoted_atom] = STATE(4004),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4004),
    [sym_charlist] = STATE(4004),
    [sym_sigil] = STATE(4004),
    [sym_list] = STATE(4004),
    [sym_tuple] = STATE(4004),
    [sym_bitstring] = STATE(4004),
    [sym_map] = STATE(4004),
    [sym__nullary_operator] = STATE(4004),
    [sym_unary_operator] = STATE(4004),
    [sym__capture_expression] = STATE(3237),
    [sym_binary_operator] = STATE(4004),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4004),
    [sym_call] = STATE(4004),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4004),
    [sym_anonymous_function] = STATE(4004),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1569),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1703),
    [sym_integer] = ACTIONS(1683),
    [sym_float] = ACTIONS(1703),
    [sym_char] = ACTIONS(1703),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1703),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [416] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6911),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [417] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6918),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [418] = {
    [sym__expression] = STATE(4004),
    [sym_block] = STATE(4004),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4004),
    [sym_nil] = STATE(4004),
    [sym__atom] = STATE(4004),
    [sym_quoted_atom] = STATE(4004),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4004),
    [sym_charlist] = STATE(4004),
    [sym_sigil] = STATE(4004),
    [sym_list] = STATE(4004),
    [sym_tuple] = STATE(4004),
    [sym_bitstring] = STATE(4004),
    [sym_map] = STATE(4004),
    [sym__nullary_operator] = STATE(4004),
    [sym_unary_operator] = STATE(4004),
    [sym__capture_expression] = STATE(3247),
    [sym_binary_operator] = STATE(4004),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4004),
    [sym_call] = STATE(4004),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4004),
    [sym_anonymous_function] = STATE(4004),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1569),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1703),
    [sym_integer] = ACTIONS(1573),
    [sym_float] = ACTIONS(1703),
    [sym_char] = ACTIONS(1703),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1703),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [419] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [420] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [421] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [422] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6925),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [423] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1717),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [424] = {
    [sym__expression] = STATE(4456),
    [sym_block] = STATE(4456),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4456),
    [sym_nil] = STATE(4456),
    [sym__atom] = STATE(4456),
    [sym_quoted_atom] = STATE(4456),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4456),
    [sym_charlist] = STATE(4456),
    [sym_sigil] = STATE(4456),
    [sym_list] = STATE(4456),
    [sym_tuple] = STATE(4456),
    [sym_bitstring] = STATE(4456),
    [sym_map] = STATE(4456),
    [sym__nullary_operator] = STATE(4456),
    [sym_unary_operator] = STATE(4456),
    [sym_binary_operator] = STATE(4456),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4456),
    [sym_call] = STATE(4456),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4456),
    [sym_anonymous_function] = STATE(4456),
    [ts_builtin_sym_end] = ACTIONS(1719),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1527),
    [sym_integer] = ACTIONS(1527),
    [sym_float] = ACTIONS(1527),
    [sym_char] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [425] = {
    [sym__expression] = STATE(2960),
    [sym_block] = STATE(2960),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(2960),
    [sym_nil] = STATE(2960),
    [sym__atom] = STATE(2960),
    [sym_quoted_atom] = STATE(2960),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(2960),
    [sym_charlist] = STATE(2960),
    [sym_sigil] = STATE(2960),
    [sym_list] = STATE(2960),
    [sym_tuple] = STATE(2960),
    [sym_bitstring] = STATE(2960),
    [sym_map] = STATE(2960),
    [sym__nullary_operator] = STATE(2960),
    [sym_unary_operator] = STATE(2960),
    [sym_binary_operator] = STATE(2960),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(2960),
    [sym_call] = STATE(2960),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(2960),
    [sym_anonymous_function] = STATE(2960),
    [ts_builtin_sym_end] = ACTIONS(1721),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1723),
    [sym_integer] = ACTIONS(1723),
    [sym_float] = ACTIONS(1723),
    [sym_char] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1723),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [426] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1725),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [427] = {
    [sym__expression] = STATE(3645),
    [sym_block] = STATE(3645),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3645),
    [sym_nil] = STATE(3645),
    [sym__atom] = STATE(3645),
    [sym_quoted_atom] = STATE(3645),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3645),
    [sym_charlist] = STATE(3645),
    [sym_sigil] = STATE(3645),
    [sym_list] = STATE(3645),
    [sym_tuple] = STATE(3645),
    [sym_bitstring] = STATE(3645),
    [sym_map] = STATE(3645),
    [sym__nullary_operator] = STATE(3645),
    [sym_unary_operator] = STATE(3645),
    [sym__capture_expression] = STATE(1733),
    [sym_binary_operator] = STATE(3645),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3645),
    [sym_call] = STATE(3645),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3645),
    [sym_anonymous_function] = STATE(3645),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1727),
    [sym_integer] = ACTIONS(1555),
    [sym_float] = ACTIONS(1727),
    [sym_char] = ACTIONS(1727),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1727),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [428] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6932),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1729),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [429] = {
    [sym__expression] = STATE(4322),
    [sym_block] = STATE(4322),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4322),
    [sym_nil] = STATE(4322),
    [sym__atom] = STATE(4322),
    [sym_quoted_atom] = STATE(4322),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4322),
    [sym_charlist] = STATE(4322),
    [sym_sigil] = STATE(4322),
    [sym_list] = STATE(4322),
    [sym_tuple] = STATE(4322),
    [sym_bitstring] = STATE(4322),
    [sym_map] = STATE(4322),
    [sym__nullary_operator] = STATE(4322),
    [sym_unary_operator] = STATE(4322),
    [sym__capture_expression] = STATE(4320),
    [sym_binary_operator] = STATE(4322),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4322),
    [sym_call] = STATE(4322),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4322),
    [sym_anonymous_function] = STATE(4322),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1687),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1689),
    [sym_integer] = ACTIONS(1731),
    [sym_float] = ACTIONS(1689),
    [sym_char] = ACTIONS(1689),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [430] = {
    [sym__expression] = STATE(3645),
    [sym_block] = STATE(3645),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3645),
    [sym_nil] = STATE(3645),
    [sym__atom] = STATE(3645),
    [sym_quoted_atom] = STATE(3645),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3645),
    [sym_charlist] = STATE(3645),
    [sym_sigil] = STATE(3645),
    [sym_list] = STATE(3645),
    [sym_tuple] = STATE(3645),
    [sym_bitstring] = STATE(3645),
    [sym_map] = STATE(3645),
    [sym__nullary_operator] = STATE(3645),
    [sym_unary_operator] = STATE(3645),
    [sym__capture_expression] = STATE(1739),
    [sym_binary_operator] = STATE(3645),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3645),
    [sym_call] = STATE(3645),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3645),
    [sym_anonymous_function] = STATE(3645),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1727),
    [sym_integer] = ACTIONS(1577),
    [sym_float] = ACTIONS(1727),
    [sym_char] = ACTIONS(1727),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1727),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [431] = {
    [sym__expression] = STATE(4572),
    [sym_block] = STATE(4572),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4572),
    [sym_nil] = STATE(4572),
    [sym__atom] = STATE(4572),
    [sym_quoted_atom] = STATE(4572),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4572),
    [sym_charlist] = STATE(4572),
    [sym_sigil] = STATE(4572),
    [sym_list] = STATE(4572),
    [sym_tuple] = STATE(4572),
    [sym_bitstring] = STATE(4572),
    [sym_map] = STATE(4572),
    [sym__nullary_operator] = STATE(4572),
    [sym_unary_operator] = STATE(4572),
    [sym_binary_operator] = STATE(4572),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4572),
    [sym_call] = STATE(4572),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4572),
    [sym_anonymous_function] = STATE(4572),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1733),
    [sym_integer] = ACTIONS(1733),
    [sym_float] = ACTIONS(1733),
    [sym_char] = ACTIONS(1733),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [432] = {
    [sym__expression] = STATE(4555),
    [sym_block] = STATE(4555),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4555),
    [sym_nil] = STATE(4555),
    [sym__atom] = STATE(4555),
    [sym_quoted_atom] = STATE(4555),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4555),
    [sym_charlist] = STATE(4555),
    [sym_sigil] = STATE(4555),
    [sym_list] = STATE(4555),
    [sym_tuple] = STATE(4555),
    [sym_bitstring] = STATE(4555),
    [sym_map] = STATE(4555),
    [sym__nullary_operator] = STATE(4555),
    [sym_unary_operator] = STATE(4555),
    [sym_binary_operator] = STATE(4555),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4555),
    [sym_call] = STATE(4555),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4555),
    [sym_anonymous_function] = STATE(4555),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1737),
    [sym_integer] = ACTIONS(1737),
    [sym_float] = ACTIONS(1737),
    [sym_char] = ACTIONS(1737),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1737),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [433] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1741),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [434] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1743),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [435] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6939),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [436] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [437] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1749),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [438] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1751),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [439] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1753),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [440] = {
    [sym__expression] = STATE(4574),
    [sym_block] = STATE(4574),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4574),
    [sym_nil] = STATE(4574),
    [sym__atom] = STATE(4574),
    [sym_quoted_atom] = STATE(4574),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4574),
    [sym_charlist] = STATE(4574),
    [sym_sigil] = STATE(4574),
    [sym_list] = STATE(4574),
    [sym_tuple] = STATE(4574),
    [sym_bitstring] = STATE(4574),
    [sym_map] = STATE(4574),
    [sym__nullary_operator] = STATE(4574),
    [sym_unary_operator] = STATE(4574),
    [sym_binary_operator] = STATE(4574),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4574),
    [sym_call] = STATE(4574),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4574),
    [sym_anonymous_function] = STATE(4574),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1755),
    [sym_integer] = ACTIONS(1755),
    [sym_float] = ACTIONS(1755),
    [sym_char] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [441] = {
    [sym__expression] = STATE(4456),
    [sym_block] = STATE(4456),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4456),
    [sym_nil] = STATE(4456),
    [sym__atom] = STATE(4456),
    [sym_quoted_atom] = STATE(4456),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4456),
    [sym_charlist] = STATE(4456),
    [sym_sigil] = STATE(4456),
    [sym_list] = STATE(4456),
    [sym_tuple] = STATE(4456),
    [sym_bitstring] = STATE(4456),
    [sym_map] = STATE(4456),
    [sym__nullary_operator] = STATE(4456),
    [sym_unary_operator] = STATE(4456),
    [sym_binary_operator] = STATE(4456),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4456),
    [sym_call] = STATE(4456),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4456),
    [sym_anonymous_function] = STATE(4456),
    [ts_builtin_sym_end] = ACTIONS(1759),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1527),
    [sym_integer] = ACTIONS(1527),
    [sym_float] = ACTIONS(1527),
    [sym_char] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [442] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6859),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [443] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1763),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [444] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1765),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [445] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [446] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1769),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [447] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1771),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [448] = {
    [sym__expression] = STATE(4559),
    [sym_block] = STATE(4559),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4559),
    [sym_nil] = STATE(4559),
    [sym__atom] = STATE(4559),
    [sym_quoted_atom] = STATE(4559),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4559),
    [sym_charlist] = STATE(4559),
    [sym_sigil] = STATE(4559),
    [sym_list] = STATE(4559),
    [sym_tuple] = STATE(4559),
    [sym_bitstring] = STATE(4559),
    [sym_map] = STATE(4559),
    [sym__nullary_operator] = STATE(4559),
    [sym_unary_operator] = STATE(4559),
    [sym_binary_operator] = STATE(4559),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4559),
    [sym_call] = STATE(4559),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4559),
    [sym_anonymous_function] = STATE(4559),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1773),
    [sym_integer] = ACTIONS(1773),
    [sym_float] = ACTIONS(1773),
    [sym_char] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1773),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [449] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [450] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [451] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [452] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [453] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6946),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [454] = {
    [sym__expression] = STATE(4579),
    [sym_block] = STATE(4579),
    [sym_identifier] = STATE(110),
    [sym_boolean] = STATE(4579),
    [sym_nil] = STATE(4579),
    [sym__atom] = STATE(4561),
    [sym_quoted_atom] = STATE(4561),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4579),
    [sym_charlist] = STATE(4579),
    [sym_sigil] = STATE(4579),
    [sym_list] = STATE(4579),
    [sym_tuple] = STATE(4579),
    [sym_bitstring] = STATE(4579),
    [sym_map] = STATE(4579),
    [sym_struct] = STATE(6953),
    [sym__nullary_operator] = STATE(4579),
    [sym_unary_operator] = STATE(4561),
    [sym_binary_operator] = STATE(4579),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4561),
    [sym_call] = STATE(4579),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(4562),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4579),
    [sym_anonymous_function] = STATE(4579),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1591),
    [sym_integer] = ACTIONS(1593),
    [sym_float] = ACTIONS(1593),
    [sym_char] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [455] = {
    [sym__expression] = STATE(2974),
    [sym_block] = STATE(2974),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2974),
    [sym_nil] = STATE(2974),
    [sym__atom] = STATE(2974),
    [sym_quoted_atom] = STATE(2974),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2974),
    [sym_charlist] = STATE(2974),
    [sym_sigil] = STATE(2974),
    [sym_list] = STATE(2974),
    [sym_tuple] = STATE(2974),
    [sym_bitstring] = STATE(2974),
    [sym_map] = STATE(2974),
    [sym__nullary_operator] = STATE(2974),
    [sym_unary_operator] = STATE(2974),
    [sym__capture_expression] = STATE(2986),
    [sym_binary_operator] = STATE(2974),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2974),
    [sym_call] = STATE(2974),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(2974),
    [sym_anonymous_function] = STATE(2974),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1541),
    [sym_integer] = ACTIONS(1789),
    [sym_float] = ACTIONS(1541),
    [sym_char] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1541),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [456] = {
    [sym__expression] = STATE(3292),
    [sym_block] = STATE(3292),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3292),
    [sym_nil] = STATE(3292),
    [sym__atom] = STATE(3292),
    [sym_quoted_atom] = STATE(3292),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3292),
    [sym_charlist] = STATE(3292),
    [sym_sigil] = STATE(3292),
    [sym_list] = STATE(3292),
    [sym_tuple] = STATE(3292),
    [sym_bitstring] = STATE(3292),
    [sym_map] = STATE(3292),
    [sym__nullary_operator] = STATE(3292),
    [sym_unary_operator] = STATE(3292),
    [sym_binary_operator] = STATE(3292),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3292),
    [sym_call] = STATE(3292),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3292),
    [sym_anonymous_function] = STATE(3292),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1791),
    [sym_integer] = ACTIONS(1791),
    [sym_float] = ACTIONS(1791),
    [sym_char] = ACTIONS(1791),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [457] = {
    [sym__expression] = STATE(1415),
    [sym_block] = STATE(1415),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1415),
    [sym_nil] = STATE(1415),
    [sym__atom] = STATE(1415),
    [sym_quoted_atom] = STATE(1415),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1415),
    [sym_charlist] = STATE(1415),
    [sym_sigil] = STATE(1415),
    [sym_list] = STATE(1415),
    [sym_tuple] = STATE(1415),
    [sym_bitstring] = STATE(1415),
    [sym_map] = STATE(1415),
    [sym__nullary_operator] = STATE(1415),
    [sym_unary_operator] = STATE(1415),
    [sym_binary_operator] = STATE(1415),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1415),
    [sym_call] = STATE(1415),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1415),
    [sym_anonymous_function] = STATE(1415),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1793),
    [sym_integer] = ACTIONS(1793),
    [sym_float] = ACTIONS(1793),
    [sym_char] = ACTIONS(1793),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1793),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [458] = {
    [sym__expression] = STATE(1858),
    [sym_block] = STATE(1858),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1858),
    [sym_nil] = STATE(1858),
    [sym__atom] = STATE(1858),
    [sym_quoted_atom] = STATE(1858),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1858),
    [sym_charlist] = STATE(1858),
    [sym_sigil] = STATE(1858),
    [sym_list] = STATE(1858),
    [sym_tuple] = STATE(1858),
    [sym_bitstring] = STATE(1858),
    [sym_map] = STATE(1858),
    [sym__nullary_operator] = STATE(1858),
    [sym_unary_operator] = STATE(1858),
    [sym_binary_operator] = STATE(1858),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1858),
    [sym_call] = STATE(1858),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1858),
    [sym_anonymous_function] = STATE(1858),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1795),
    [sym_integer] = ACTIONS(1795),
    [sym_float] = ACTIONS(1795),
    [sym_char] = ACTIONS(1795),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1795),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [459] = {
    [sym__expression] = STATE(1738),
    [sym_block] = STATE(1738),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1738),
    [sym_nil] = STATE(1738),
    [sym__atom] = STATE(1738),
    [sym_quoted_atom] = STATE(1738),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1738),
    [sym_charlist] = STATE(1738),
    [sym_sigil] = STATE(1738),
    [sym_list] = STATE(1738),
    [sym_tuple] = STATE(1738),
    [sym_bitstring] = STATE(1738),
    [sym_map] = STATE(1738),
    [sym__nullary_operator] = STATE(1738),
    [sym_unary_operator] = STATE(1738),
    [sym_binary_operator] = STATE(1738),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1738),
    [sym_call] = STATE(1738),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1738),
    [sym_anonymous_function] = STATE(1738),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1797),
    [sym_integer] = ACTIONS(1797),
    [sym_float] = ACTIONS(1797),
    [sym_char] = ACTIONS(1797),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [460] = {
    [sym__expression] = STATE(1859),
    [sym_block] = STATE(1859),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1859),
    [sym_nil] = STATE(1859),
    [sym__atom] = STATE(1859),
    [sym_quoted_atom] = STATE(1859),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1859),
    [sym_charlist] = STATE(1859),
    [sym_sigil] = STATE(1859),
    [sym_list] = STATE(1859),
    [sym_tuple] = STATE(1859),
    [sym_bitstring] = STATE(1859),
    [sym_map] = STATE(1859),
    [sym__nullary_operator] = STATE(1859),
    [sym_unary_operator] = STATE(1859),
    [sym_binary_operator] = STATE(1859),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1859),
    [sym_call] = STATE(1859),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1859),
    [sym_anonymous_function] = STATE(1859),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1799),
    [sym_integer] = ACTIONS(1799),
    [sym_float] = ACTIONS(1799),
    [sym_char] = ACTIONS(1799),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1799),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [461] = {
    [sym__expression] = STATE(1667),
    [sym_block] = STATE(1667),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1667),
    [sym_nil] = STATE(1667),
    [sym__atom] = STATE(1667),
    [sym_quoted_atom] = STATE(1667),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1667),
    [sym_charlist] = STATE(1667),
    [sym_sigil] = STATE(1667),
    [sym_list] = STATE(1667),
    [sym_tuple] = STATE(1667),
    [sym_bitstring] = STATE(1667),
    [sym_map] = STATE(1667),
    [sym__nullary_operator] = STATE(1667),
    [sym_unary_operator] = STATE(1667),
    [sym_binary_operator] = STATE(1667),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1667),
    [sym_call] = STATE(1667),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1667),
    [sym_anonymous_function] = STATE(1667),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1801),
    [sym_integer] = ACTIONS(1801),
    [sym_float] = ACTIONS(1801),
    [sym_char] = ACTIONS(1801),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1801),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [462] = {
    [sym__expression] = STATE(1962),
    [sym_block] = STATE(1962),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1962),
    [sym_nil] = STATE(1962),
    [sym__atom] = STATE(1962),
    [sym_quoted_atom] = STATE(1962),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1962),
    [sym_charlist] = STATE(1962),
    [sym_sigil] = STATE(1962),
    [sym_list] = STATE(1962),
    [sym_tuple] = STATE(1962),
    [sym_bitstring] = STATE(1962),
    [sym_map] = STATE(1962),
    [sym__nullary_operator] = STATE(1962),
    [sym_unary_operator] = STATE(1962),
    [sym_binary_operator] = STATE(1962),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1962),
    [sym_call] = STATE(1962),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1962),
    [sym_anonymous_function] = STATE(1962),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1803),
    [sym_integer] = ACTIONS(1803),
    [sym_float] = ACTIONS(1803),
    [sym_char] = ACTIONS(1803),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1803),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [463] = {
    [sym__expression] = STATE(1961),
    [sym_block] = STATE(1961),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1961),
    [sym_nil] = STATE(1961),
    [sym__atom] = STATE(1961),
    [sym_quoted_atom] = STATE(1961),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1961),
    [sym_charlist] = STATE(1961),
    [sym_sigil] = STATE(1961),
    [sym_list] = STATE(1961),
    [sym_tuple] = STATE(1961),
    [sym_bitstring] = STATE(1961),
    [sym_map] = STATE(1961),
    [sym__nullary_operator] = STATE(1961),
    [sym_unary_operator] = STATE(1961),
    [sym_binary_operator] = STATE(1961),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1961),
    [sym_call] = STATE(1961),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1961),
    [sym_anonymous_function] = STATE(1961),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1805),
    [sym_integer] = ACTIONS(1805),
    [sym_float] = ACTIONS(1805),
    [sym_char] = ACTIONS(1805),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1805),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [464] = {
    [sym__expression] = STATE(1956),
    [sym_block] = STATE(1956),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1956),
    [sym_nil] = STATE(1956),
    [sym__atom] = STATE(1956),
    [sym_quoted_atom] = STATE(1956),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1956),
    [sym_charlist] = STATE(1956),
    [sym_sigil] = STATE(1956),
    [sym_list] = STATE(1956),
    [sym_tuple] = STATE(1956),
    [sym_bitstring] = STATE(1956),
    [sym_map] = STATE(1956),
    [sym__nullary_operator] = STATE(1956),
    [sym_unary_operator] = STATE(1956),
    [sym_binary_operator] = STATE(1956),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1956),
    [sym_call] = STATE(1956),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1956),
    [sym_anonymous_function] = STATE(1956),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1807),
    [sym_integer] = ACTIONS(1807),
    [sym_float] = ACTIONS(1807),
    [sym_char] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1807),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [465] = {
    [sym__expression] = STATE(1955),
    [sym_block] = STATE(1955),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1955),
    [sym_nil] = STATE(1955),
    [sym__atom] = STATE(1955),
    [sym_quoted_atom] = STATE(1955),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1955),
    [sym_charlist] = STATE(1955),
    [sym_sigil] = STATE(1955),
    [sym_list] = STATE(1955),
    [sym_tuple] = STATE(1955),
    [sym_bitstring] = STATE(1955),
    [sym_map] = STATE(1955),
    [sym__nullary_operator] = STATE(1955),
    [sym_unary_operator] = STATE(1955),
    [sym_binary_operator] = STATE(1955),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1955),
    [sym_call] = STATE(1955),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1955),
    [sym_anonymous_function] = STATE(1955),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1809),
    [sym_integer] = ACTIONS(1809),
    [sym_float] = ACTIONS(1809),
    [sym_char] = ACTIONS(1809),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1809),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [466] = {
    [sym__expression] = STATE(1954),
    [sym_block] = STATE(1954),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1954),
    [sym_nil] = STATE(1954),
    [sym__atom] = STATE(1954),
    [sym_quoted_atom] = STATE(1954),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1954),
    [sym_charlist] = STATE(1954),
    [sym_sigil] = STATE(1954),
    [sym_list] = STATE(1954),
    [sym_tuple] = STATE(1954),
    [sym_bitstring] = STATE(1954),
    [sym_map] = STATE(1954),
    [sym__nullary_operator] = STATE(1954),
    [sym_unary_operator] = STATE(1954),
    [sym_binary_operator] = STATE(1954),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1954),
    [sym_call] = STATE(1954),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1954),
    [sym_anonymous_function] = STATE(1954),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1811),
    [sym_integer] = ACTIONS(1811),
    [sym_float] = ACTIONS(1811),
    [sym_char] = ACTIONS(1811),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [467] = {
    [sym__expression] = STATE(1953),
    [sym_block] = STATE(1953),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1953),
    [sym_nil] = STATE(1953),
    [sym__atom] = STATE(1953),
    [sym_quoted_atom] = STATE(1953),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1953),
    [sym_charlist] = STATE(1953),
    [sym_sigil] = STATE(1953),
    [sym_list] = STATE(1953),
    [sym_tuple] = STATE(1953),
    [sym_bitstring] = STATE(1953),
    [sym_map] = STATE(1953),
    [sym__nullary_operator] = STATE(1953),
    [sym_unary_operator] = STATE(1953),
    [sym_binary_operator] = STATE(1953),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1953),
    [sym_call] = STATE(1953),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1953),
    [sym_anonymous_function] = STATE(1953),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1813),
    [sym_integer] = ACTIONS(1813),
    [sym_float] = ACTIONS(1813),
    [sym_char] = ACTIONS(1813),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1813),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [468] = {
    [sym__expression] = STATE(1951),
    [sym_block] = STATE(1951),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1951),
    [sym_nil] = STATE(1951),
    [sym__atom] = STATE(1951),
    [sym_quoted_atom] = STATE(1951),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1951),
    [sym_charlist] = STATE(1951),
    [sym_sigil] = STATE(1951),
    [sym_list] = STATE(1951),
    [sym_tuple] = STATE(1951),
    [sym_bitstring] = STATE(1951),
    [sym_map] = STATE(1951),
    [sym__nullary_operator] = STATE(1951),
    [sym_unary_operator] = STATE(1951),
    [sym_binary_operator] = STATE(1951),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1951),
    [sym_call] = STATE(1951),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1951),
    [sym_anonymous_function] = STATE(1951),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1815),
    [sym_integer] = ACTIONS(1815),
    [sym_float] = ACTIONS(1815),
    [sym_char] = ACTIONS(1815),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1815),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [469] = {
    [sym__expression] = STATE(1950),
    [sym_block] = STATE(1950),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1950),
    [sym_nil] = STATE(1950),
    [sym__atom] = STATE(1950),
    [sym_quoted_atom] = STATE(1950),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1950),
    [sym_charlist] = STATE(1950),
    [sym_sigil] = STATE(1950),
    [sym_list] = STATE(1950),
    [sym_tuple] = STATE(1950),
    [sym_bitstring] = STATE(1950),
    [sym_map] = STATE(1950),
    [sym__nullary_operator] = STATE(1950),
    [sym_unary_operator] = STATE(1950),
    [sym_binary_operator] = STATE(1950),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1950),
    [sym_call] = STATE(1950),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1950),
    [sym_anonymous_function] = STATE(1950),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1817),
    [sym_integer] = ACTIONS(1817),
    [sym_float] = ACTIONS(1817),
    [sym_char] = ACTIONS(1817),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1817),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [470] = {
    [sym__expression] = STATE(4558),
    [sym_block] = STATE(4558),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4558),
    [sym_nil] = STATE(4558),
    [sym__atom] = STATE(4558),
    [sym_quoted_atom] = STATE(4558),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4558),
    [sym_charlist] = STATE(4558),
    [sym_sigil] = STATE(4558),
    [sym_list] = STATE(4558),
    [sym_tuple] = STATE(4558),
    [sym_bitstring] = STATE(4558),
    [sym_map] = STATE(4558),
    [sym__nullary_operator] = STATE(4558),
    [sym_unary_operator] = STATE(4558),
    [sym_binary_operator] = STATE(4558),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4558),
    [sym_call] = STATE(4558),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4558),
    [sym_anonymous_function] = STATE(4558),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1819),
    [sym_integer] = ACTIONS(1819),
    [sym_float] = ACTIONS(1819),
    [sym_char] = ACTIONS(1819),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1819),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [471] = {
    [sym__expression] = STATE(1949),
    [sym_block] = STATE(1949),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1949),
    [sym_nil] = STATE(1949),
    [sym__atom] = STATE(1949),
    [sym_quoted_atom] = STATE(1949),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1949),
    [sym_charlist] = STATE(1949),
    [sym_sigil] = STATE(1949),
    [sym_list] = STATE(1949),
    [sym_tuple] = STATE(1949),
    [sym_bitstring] = STATE(1949),
    [sym_map] = STATE(1949),
    [sym__nullary_operator] = STATE(1949),
    [sym_unary_operator] = STATE(1949),
    [sym_binary_operator] = STATE(1949),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1949),
    [sym_call] = STATE(1949),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1949),
    [sym_anonymous_function] = STATE(1949),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1821),
    [sym_integer] = ACTIONS(1821),
    [sym_float] = ACTIONS(1821),
    [sym_char] = ACTIONS(1821),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1821),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [472] = {
    [sym__expression] = STATE(4567),
    [sym_block] = STATE(4567),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4567),
    [sym_nil] = STATE(4567),
    [sym__atom] = STATE(4567),
    [sym_quoted_atom] = STATE(4567),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4567),
    [sym_charlist] = STATE(4567),
    [sym_sigil] = STATE(4567),
    [sym_list] = STATE(4567),
    [sym_tuple] = STATE(4567),
    [sym_bitstring] = STATE(4567),
    [sym_map] = STATE(4567),
    [sym__nullary_operator] = STATE(4567),
    [sym_unary_operator] = STATE(4567),
    [sym_binary_operator] = STATE(4567),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4567),
    [sym_call] = STATE(4567),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4567),
    [sym_anonymous_function] = STATE(4567),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1823),
    [sym_integer] = ACTIONS(1823),
    [sym_float] = ACTIONS(1823),
    [sym_char] = ACTIONS(1823),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1823),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [473] = {
    [sym__expression] = STATE(4557),
    [sym_block] = STATE(4557),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4557),
    [sym_nil] = STATE(4557),
    [sym__atom] = STATE(4557),
    [sym_quoted_atom] = STATE(4557),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4557),
    [sym_charlist] = STATE(4557),
    [sym_sigil] = STATE(4557),
    [sym_list] = STATE(4557),
    [sym_tuple] = STATE(4557),
    [sym_bitstring] = STATE(4557),
    [sym_map] = STATE(4557),
    [sym__nullary_operator] = STATE(4557),
    [sym_unary_operator] = STATE(4557),
    [sym_binary_operator] = STATE(4557),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4557),
    [sym_call] = STATE(4557),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4557),
    [sym_anonymous_function] = STATE(4557),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1825),
    [sym_integer] = ACTIONS(1825),
    [sym_float] = ACTIONS(1825),
    [sym_char] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1825),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [474] = {
    [sym__expression] = STATE(4566),
    [sym_block] = STATE(4566),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4566),
    [sym_nil] = STATE(4566),
    [sym__atom] = STATE(4566),
    [sym_quoted_atom] = STATE(4566),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4566),
    [sym_charlist] = STATE(4566),
    [sym_sigil] = STATE(4566),
    [sym_list] = STATE(4566),
    [sym_tuple] = STATE(4566),
    [sym_bitstring] = STATE(4566),
    [sym_map] = STATE(4566),
    [sym__nullary_operator] = STATE(4566),
    [sym_unary_operator] = STATE(4566),
    [sym_binary_operator] = STATE(4566),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4566),
    [sym_call] = STATE(4566),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4566),
    [sym_anonymous_function] = STATE(4566),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1827),
    [sym_integer] = ACTIONS(1827),
    [sym_float] = ACTIONS(1827),
    [sym_char] = ACTIONS(1827),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1827),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [475] = {
    [sym__expression] = STATE(4319),
    [sym_block] = STATE(4319),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4319),
    [sym_nil] = STATE(4319),
    [sym__atom] = STATE(4319),
    [sym_quoted_atom] = STATE(4319),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4319),
    [sym_charlist] = STATE(4319),
    [sym_sigil] = STATE(4319),
    [sym_list] = STATE(4319),
    [sym_tuple] = STATE(4319),
    [sym_bitstring] = STATE(4319),
    [sym_map] = STATE(4319),
    [sym__nullary_operator] = STATE(4319),
    [sym_unary_operator] = STATE(4319),
    [sym_binary_operator] = STATE(4319),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4319),
    [sym_call] = STATE(4319),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4319),
    [sym_anonymous_function] = STATE(4319),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1829),
    [sym_integer] = ACTIONS(1829),
    [sym_float] = ACTIONS(1829),
    [sym_char] = ACTIONS(1829),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1829),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [476] = {
    [sym__expression] = STATE(4577),
    [sym_block] = STATE(4577),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4577),
    [sym_nil] = STATE(4577),
    [sym__atom] = STATE(4577),
    [sym_quoted_atom] = STATE(4577),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4577),
    [sym_charlist] = STATE(4577),
    [sym_sigil] = STATE(4577),
    [sym_list] = STATE(4577),
    [sym_tuple] = STATE(4577),
    [sym_bitstring] = STATE(4577),
    [sym_map] = STATE(4577),
    [sym__nullary_operator] = STATE(4577),
    [sym_unary_operator] = STATE(4577),
    [sym_binary_operator] = STATE(4577),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4577),
    [sym_call] = STATE(4577),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4577),
    [sym_anonymous_function] = STATE(4577),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1831),
    [sym_integer] = ACTIONS(1831),
    [sym_float] = ACTIONS(1831),
    [sym_char] = ACTIONS(1831),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1831),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [477] = {
    [sym__expression] = STATE(4288),
    [sym_block] = STATE(4288),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4288),
    [sym_nil] = STATE(4288),
    [sym__atom] = STATE(4288),
    [sym_quoted_atom] = STATE(4288),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4288),
    [sym_charlist] = STATE(4288),
    [sym_sigil] = STATE(4288),
    [sym_list] = STATE(4288),
    [sym_tuple] = STATE(4288),
    [sym_bitstring] = STATE(4288),
    [sym_map] = STATE(4288),
    [sym__nullary_operator] = STATE(4288),
    [sym_unary_operator] = STATE(4288),
    [sym_binary_operator] = STATE(4288),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4288),
    [sym_call] = STATE(4288),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4288),
    [sym_anonymous_function] = STATE(4288),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1833),
    [sym_integer] = ACTIONS(1833),
    [sym_float] = ACTIONS(1833),
    [sym_char] = ACTIONS(1833),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1833),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [478] = {
    [sym__expression] = STATE(4565),
    [sym_block] = STATE(4565),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4565),
    [sym_nil] = STATE(4565),
    [sym__atom] = STATE(4565),
    [sym_quoted_atom] = STATE(4565),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4565),
    [sym_charlist] = STATE(4565),
    [sym_sigil] = STATE(4565),
    [sym_list] = STATE(4565),
    [sym_tuple] = STATE(4565),
    [sym_bitstring] = STATE(4565),
    [sym_map] = STATE(4565),
    [sym__nullary_operator] = STATE(4565),
    [sym_unary_operator] = STATE(4565),
    [sym_binary_operator] = STATE(4565),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4565),
    [sym_call] = STATE(4565),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4565),
    [sym_anonymous_function] = STATE(4565),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1835),
    [sym_integer] = ACTIONS(1835),
    [sym_float] = ACTIONS(1835),
    [sym_char] = ACTIONS(1835),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1835),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [479] = {
    [sym__expression] = STATE(4560),
    [sym_block] = STATE(4560),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4560),
    [sym_nil] = STATE(4560),
    [sym__atom] = STATE(4560),
    [sym_quoted_atom] = STATE(4560),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4560),
    [sym_charlist] = STATE(4560),
    [sym_sigil] = STATE(4560),
    [sym_list] = STATE(4560),
    [sym_tuple] = STATE(4560),
    [sym_bitstring] = STATE(4560),
    [sym_map] = STATE(4560),
    [sym__nullary_operator] = STATE(4560),
    [sym_unary_operator] = STATE(4560),
    [sym_binary_operator] = STATE(4560),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4560),
    [sym_call] = STATE(4560),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4560),
    [sym_anonymous_function] = STATE(4560),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1837),
    [sym_integer] = ACTIONS(1837),
    [sym_float] = ACTIONS(1837),
    [sym_char] = ACTIONS(1837),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1837),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [480] = {
    [sym__expression] = STATE(4564),
    [sym_block] = STATE(4564),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4564),
    [sym_nil] = STATE(4564),
    [sym__atom] = STATE(4564),
    [sym_quoted_atom] = STATE(4564),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4564),
    [sym_charlist] = STATE(4564),
    [sym_sigil] = STATE(4564),
    [sym_list] = STATE(4564),
    [sym_tuple] = STATE(4564),
    [sym_bitstring] = STATE(4564),
    [sym_map] = STATE(4564),
    [sym__nullary_operator] = STATE(4564),
    [sym_unary_operator] = STATE(4564),
    [sym_binary_operator] = STATE(4564),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4564),
    [sym_call] = STATE(4564),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4564),
    [sym_anonymous_function] = STATE(4564),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1839),
    [sym_integer] = ACTIONS(1839),
    [sym_float] = ACTIONS(1839),
    [sym_char] = ACTIONS(1839),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1839),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [481] = {
    [sym__expression] = STATE(4563),
    [sym_block] = STATE(4563),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4563),
    [sym_nil] = STATE(4563),
    [sym__atom] = STATE(4563),
    [sym_quoted_atom] = STATE(4563),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4563),
    [sym_charlist] = STATE(4563),
    [sym_sigil] = STATE(4563),
    [sym_list] = STATE(4563),
    [sym_tuple] = STATE(4563),
    [sym_bitstring] = STATE(4563),
    [sym_map] = STATE(4563),
    [sym__nullary_operator] = STATE(4563),
    [sym_unary_operator] = STATE(4563),
    [sym_binary_operator] = STATE(4563),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4563),
    [sym_call] = STATE(4563),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4563),
    [sym_anonymous_function] = STATE(4563),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1841),
    [sym_integer] = ACTIONS(1841),
    [sym_float] = ACTIONS(1841),
    [sym_char] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1841),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [482] = {
    [sym__expression] = STATE(1948),
    [sym_block] = STATE(1948),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1948),
    [sym_nil] = STATE(1948),
    [sym__atom] = STATE(1948),
    [sym_quoted_atom] = STATE(1948),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1948),
    [sym_charlist] = STATE(1948),
    [sym_sigil] = STATE(1948),
    [sym_list] = STATE(1948),
    [sym_tuple] = STATE(1948),
    [sym_bitstring] = STATE(1948),
    [sym_map] = STATE(1948),
    [sym__nullary_operator] = STATE(1948),
    [sym_unary_operator] = STATE(1948),
    [sym_binary_operator] = STATE(1948),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1948),
    [sym_call] = STATE(1948),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1948),
    [sym_anonymous_function] = STATE(1948),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1843),
    [sym_integer] = ACTIONS(1843),
    [sym_float] = ACTIONS(1843),
    [sym_char] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [483] = {
    [sym__expression] = STATE(1947),
    [sym_block] = STATE(1947),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1947),
    [sym_nil] = STATE(1947),
    [sym__atom] = STATE(1947),
    [sym_quoted_atom] = STATE(1947),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1947),
    [sym_charlist] = STATE(1947),
    [sym_sigil] = STATE(1947),
    [sym_list] = STATE(1947),
    [sym_tuple] = STATE(1947),
    [sym_bitstring] = STATE(1947),
    [sym_map] = STATE(1947),
    [sym__nullary_operator] = STATE(1947),
    [sym_unary_operator] = STATE(1947),
    [sym_binary_operator] = STATE(1947),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1947),
    [sym_call] = STATE(1947),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1947),
    [sym_anonymous_function] = STATE(1947),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1845),
    [sym_integer] = ACTIONS(1845),
    [sym_float] = ACTIONS(1845),
    [sym_char] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1845),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [484] = {
    [sym__expression] = STATE(1946),
    [sym_block] = STATE(1946),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1946),
    [sym_nil] = STATE(1946),
    [sym__atom] = STATE(1946),
    [sym_quoted_atom] = STATE(1946),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1946),
    [sym_charlist] = STATE(1946),
    [sym_sigil] = STATE(1946),
    [sym_list] = STATE(1946),
    [sym_tuple] = STATE(1946),
    [sym_bitstring] = STATE(1946),
    [sym_map] = STATE(1946),
    [sym__nullary_operator] = STATE(1946),
    [sym_unary_operator] = STATE(1946),
    [sym_binary_operator] = STATE(1946),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1946),
    [sym_call] = STATE(1946),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1946),
    [sym_anonymous_function] = STATE(1946),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1847),
    [sym_integer] = ACTIONS(1847),
    [sym_float] = ACTIONS(1847),
    [sym_char] = ACTIONS(1847),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [485] = {
    [sym__expression] = STATE(1945),
    [sym_block] = STATE(1945),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1945),
    [sym_nil] = STATE(1945),
    [sym__atom] = STATE(1945),
    [sym_quoted_atom] = STATE(1945),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1945),
    [sym_charlist] = STATE(1945),
    [sym_sigil] = STATE(1945),
    [sym_list] = STATE(1945),
    [sym_tuple] = STATE(1945),
    [sym_bitstring] = STATE(1945),
    [sym_map] = STATE(1945),
    [sym__nullary_operator] = STATE(1945),
    [sym_unary_operator] = STATE(1945),
    [sym_binary_operator] = STATE(1945),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1945),
    [sym_call] = STATE(1945),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1945),
    [sym_anonymous_function] = STATE(1945),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1849),
    [sym_integer] = ACTIONS(1849),
    [sym_float] = ACTIONS(1849),
    [sym_char] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1849),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [486] = {
    [sym__expression] = STATE(4535),
    [sym_block] = STATE(4535),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4535),
    [sym_nil] = STATE(4535),
    [sym__atom] = STATE(4535),
    [sym_quoted_atom] = STATE(4535),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4535),
    [sym_charlist] = STATE(4535),
    [sym_sigil] = STATE(4535),
    [sym_list] = STATE(4535),
    [sym_tuple] = STATE(4535),
    [sym_bitstring] = STATE(4535),
    [sym_map] = STATE(4535),
    [sym__nullary_operator] = STATE(4535),
    [sym_unary_operator] = STATE(4535),
    [sym_binary_operator] = STATE(4535),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4535),
    [sym_call] = STATE(4535),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4535),
    [sym_anonymous_function] = STATE(4535),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1537),
    [sym_integer] = ACTIONS(1537),
    [sym_float] = ACTIONS(1537),
    [sym_char] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [487] = {
    [sym__expression] = STATE(1944),
    [sym_block] = STATE(1944),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1944),
    [sym_nil] = STATE(1944),
    [sym__atom] = STATE(1944),
    [sym_quoted_atom] = STATE(1944),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1944),
    [sym_charlist] = STATE(1944),
    [sym_sigil] = STATE(1944),
    [sym_list] = STATE(1944),
    [sym_tuple] = STATE(1944),
    [sym_bitstring] = STATE(1944),
    [sym_map] = STATE(1944),
    [sym__nullary_operator] = STATE(1944),
    [sym_unary_operator] = STATE(1944),
    [sym_binary_operator] = STATE(1944),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1944),
    [sym_call] = STATE(1944),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1944),
    [sym_anonymous_function] = STATE(1944),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1851),
    [sym_integer] = ACTIONS(1851),
    [sym_float] = ACTIONS(1851),
    [sym_char] = ACTIONS(1851),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1851),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [488] = {
    [sym__expression] = STATE(4536),
    [sym_block] = STATE(4536),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4536),
    [sym_nil] = STATE(4536),
    [sym__atom] = STATE(4536),
    [sym_quoted_atom] = STATE(4536),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4536),
    [sym_charlist] = STATE(4536),
    [sym_sigil] = STATE(4536),
    [sym_list] = STATE(4536),
    [sym_tuple] = STATE(4536),
    [sym_bitstring] = STATE(4536),
    [sym_map] = STATE(4536),
    [sym__nullary_operator] = STATE(4536),
    [sym_unary_operator] = STATE(4536),
    [sym_binary_operator] = STATE(4536),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4536),
    [sym_call] = STATE(4536),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4536),
    [sym_anonymous_function] = STATE(4536),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1461),
    [sym_integer] = ACTIONS(1461),
    [sym_float] = ACTIONS(1461),
    [sym_char] = ACTIONS(1461),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1461),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [489] = {
    [sym__expression] = STATE(4554),
    [sym_block] = STATE(4554),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4554),
    [sym_nil] = STATE(4554),
    [sym__atom] = STATE(4554),
    [sym_quoted_atom] = STATE(4554),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4554),
    [sym_charlist] = STATE(4554),
    [sym_sigil] = STATE(4554),
    [sym_list] = STATE(4554),
    [sym_tuple] = STATE(4554),
    [sym_bitstring] = STATE(4554),
    [sym_map] = STATE(4554),
    [sym__nullary_operator] = STATE(4554),
    [sym_unary_operator] = STATE(4554),
    [sym_binary_operator] = STATE(4554),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4554),
    [sym_call] = STATE(4554),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4554),
    [sym_anonymous_function] = STATE(4554),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1853),
    [sym_integer] = ACTIONS(1853),
    [sym_float] = ACTIONS(1853),
    [sym_char] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1853),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [490] = {
    [sym__expression] = STATE(3613),
    [sym_block] = STATE(3613),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3613),
    [sym_nil] = STATE(3613),
    [sym__atom] = STATE(3613),
    [sym_quoted_atom] = STATE(3613),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3613),
    [sym_charlist] = STATE(3613),
    [sym_sigil] = STATE(3613),
    [sym_list] = STATE(3613),
    [sym_tuple] = STATE(3613),
    [sym_bitstring] = STATE(3613),
    [sym_map] = STATE(3613),
    [sym__nullary_operator] = STATE(3613),
    [sym_unary_operator] = STATE(3613),
    [sym_binary_operator] = STATE(3613),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3613),
    [sym_call] = STATE(3613),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3613),
    [sym_anonymous_function] = STATE(3613),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1151),
    [sym_integer] = ACTIONS(1151),
    [sym_float] = ACTIONS(1151),
    [sym_char] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [491] = {
    [sym__expression] = STATE(1943),
    [sym_block] = STATE(1943),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1943),
    [sym_nil] = STATE(1943),
    [sym__atom] = STATE(1943),
    [sym_quoted_atom] = STATE(1943),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1943),
    [sym_charlist] = STATE(1943),
    [sym_sigil] = STATE(1943),
    [sym_list] = STATE(1943),
    [sym_tuple] = STATE(1943),
    [sym_bitstring] = STATE(1943),
    [sym_map] = STATE(1943),
    [sym__nullary_operator] = STATE(1943),
    [sym_unary_operator] = STATE(1943),
    [sym_binary_operator] = STATE(1943),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1943),
    [sym_call] = STATE(1943),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1943),
    [sym_anonymous_function] = STATE(1943),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1855),
    [sym_integer] = ACTIONS(1855),
    [sym_float] = ACTIONS(1855),
    [sym_char] = ACTIONS(1855),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1855),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [492] = {
    [sym__expression] = STATE(4076),
    [sym_block] = STATE(4076),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4076),
    [sym_nil] = STATE(4076),
    [sym__atom] = STATE(4076),
    [sym_quoted_atom] = STATE(4076),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4076),
    [sym_charlist] = STATE(4076),
    [sym_sigil] = STATE(4076),
    [sym_list] = STATE(4076),
    [sym_tuple] = STATE(4076),
    [sym_bitstring] = STATE(4076),
    [sym_map] = STATE(4076),
    [sym__nullary_operator] = STATE(4076),
    [sym_unary_operator] = STATE(4076),
    [sym_binary_operator] = STATE(4076),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4076),
    [sym_call] = STATE(4076),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4076),
    [sym_anonymous_function] = STATE(4076),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1857),
    [sym_integer] = ACTIONS(1857),
    [sym_float] = ACTIONS(1857),
    [sym_char] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1857),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [493] = {
    [sym__expression] = STATE(1999),
    [sym_block] = STATE(1999),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(1999),
    [sym_nil] = STATE(1999),
    [sym__atom] = STATE(1999),
    [sym_quoted_atom] = STATE(1999),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(1999),
    [sym_charlist] = STATE(1999),
    [sym_sigil] = STATE(1999),
    [sym_list] = STATE(1999),
    [sym_tuple] = STATE(1999),
    [sym_bitstring] = STATE(1999),
    [sym_map] = STATE(1999),
    [sym__nullary_operator] = STATE(1999),
    [sym_unary_operator] = STATE(1999),
    [sym_binary_operator] = STATE(1999),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(1999),
    [sym_call] = STATE(1999),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(1999),
    [sym_anonymous_function] = STATE(1999),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1859),
    [sym_integer] = ACTIONS(1859),
    [sym_float] = ACTIONS(1859),
    [sym_char] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [494] = {
    [sym__expression] = STATE(1860),
    [sym_block] = STATE(1860),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1860),
    [sym_nil] = STATE(1860),
    [sym__atom] = STATE(1860),
    [sym_quoted_atom] = STATE(1860),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1860),
    [sym_charlist] = STATE(1860),
    [sym_sigil] = STATE(1860),
    [sym_list] = STATE(1860),
    [sym_tuple] = STATE(1860),
    [sym_bitstring] = STATE(1860),
    [sym_map] = STATE(1860),
    [sym__nullary_operator] = STATE(1860),
    [sym_unary_operator] = STATE(1860),
    [sym_binary_operator] = STATE(1860),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1860),
    [sym_call] = STATE(1860),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1860),
    [sym_anonymous_function] = STATE(1860),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1861),
    [sym_integer] = ACTIONS(1861),
    [sym_float] = ACTIONS(1861),
    [sym_char] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1861),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [495] = {
    [sym__expression] = STATE(3040),
    [sym_block] = STATE(3040),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3040),
    [sym_nil] = STATE(3040),
    [sym__atom] = STATE(3040),
    [sym_quoted_atom] = STATE(3040),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3040),
    [sym_charlist] = STATE(3040),
    [sym_sigil] = STATE(3040),
    [sym_list] = STATE(3040),
    [sym_tuple] = STATE(3040),
    [sym_bitstring] = STATE(3040),
    [sym_map] = STATE(3040),
    [sym__nullary_operator] = STATE(3040),
    [sym_unary_operator] = STATE(3040),
    [sym_binary_operator] = STATE(3040),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3040),
    [sym_call] = STATE(3040),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3040),
    [sym_anonymous_function] = STATE(3040),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1863),
    [sym_integer] = ACTIONS(1863),
    [sym_float] = ACTIONS(1863),
    [sym_char] = ACTIONS(1863),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1863),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [496] = {
    [sym__expression] = STATE(4570),
    [sym_block] = STATE(4570),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4570),
    [sym_nil] = STATE(4570),
    [sym__atom] = STATE(4570),
    [sym_quoted_atom] = STATE(4570),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4570),
    [sym_charlist] = STATE(4570),
    [sym_sigil] = STATE(4570),
    [sym_list] = STATE(4570),
    [sym_tuple] = STATE(4570),
    [sym_bitstring] = STATE(4570),
    [sym_map] = STATE(4570),
    [sym__nullary_operator] = STATE(4570),
    [sym_unary_operator] = STATE(4570),
    [sym_binary_operator] = STATE(4570),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4570),
    [sym_call] = STATE(4570),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4570),
    [sym_anonymous_function] = STATE(4570),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1865),
    [sym_integer] = ACTIONS(1865),
    [sym_float] = ACTIONS(1865),
    [sym_char] = ACTIONS(1865),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1865),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [497] = {
    [sym__expression] = STATE(3275),
    [sym_block] = STATE(3275),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3275),
    [sym_nil] = STATE(3275),
    [sym__atom] = STATE(3275),
    [sym_quoted_atom] = STATE(3275),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3275),
    [sym_charlist] = STATE(3275),
    [sym_sigil] = STATE(3275),
    [sym_list] = STATE(3275),
    [sym_tuple] = STATE(3275),
    [sym_bitstring] = STATE(3275),
    [sym_map] = STATE(3275),
    [sym__nullary_operator] = STATE(3275),
    [sym_unary_operator] = STATE(3275),
    [sym_binary_operator] = STATE(3275),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3275),
    [sym_call] = STATE(3275),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3275),
    [sym_anonymous_function] = STATE(3275),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1867),
    [sym_integer] = ACTIONS(1867),
    [sym_float] = ACTIONS(1867),
    [sym_char] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1867),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [498] = {
    [sym__expression] = STATE(4146),
    [sym_block] = STATE(4146),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4146),
    [sym_nil] = STATE(4146),
    [sym__atom] = STATE(4146),
    [sym_quoted_atom] = STATE(4146),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4146),
    [sym_charlist] = STATE(4146),
    [sym_sigil] = STATE(4146),
    [sym_list] = STATE(4146),
    [sym_tuple] = STATE(4146),
    [sym_bitstring] = STATE(4146),
    [sym_map] = STATE(4146),
    [sym__nullary_operator] = STATE(4146),
    [sym_unary_operator] = STATE(4146),
    [sym_binary_operator] = STATE(4146),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4146),
    [sym_call] = STATE(4146),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4146),
    [sym_anonymous_function] = STATE(4146),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1869),
    [sym_integer] = ACTIONS(1869),
    [sym_float] = ACTIONS(1869),
    [sym_char] = ACTIONS(1869),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1869),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [499] = {
    [sym__expression] = STATE(2146),
    [sym_block] = STATE(2146),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2146),
    [sym_nil] = STATE(2146),
    [sym__atom] = STATE(2146),
    [sym_quoted_atom] = STATE(2146),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2146),
    [sym_charlist] = STATE(2146),
    [sym_sigil] = STATE(2146),
    [sym_list] = STATE(2146),
    [sym_tuple] = STATE(2146),
    [sym_bitstring] = STATE(2146),
    [sym_map] = STATE(2146),
    [sym__nullary_operator] = STATE(2146),
    [sym_unary_operator] = STATE(2146),
    [sym_binary_operator] = STATE(2146),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2146),
    [sym_call] = STATE(2146),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2146),
    [sym_anonymous_function] = STATE(2146),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1871),
    [sym_integer] = ACTIONS(1871),
    [sym_float] = ACTIONS(1871),
    [sym_char] = ACTIONS(1871),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [500] = {
    [sym__expression] = STATE(3274),
    [sym_block] = STATE(3274),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3274),
    [sym_nil] = STATE(3274),
    [sym__atom] = STATE(3274),
    [sym_quoted_atom] = STATE(3274),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3274),
    [sym_charlist] = STATE(3274),
    [sym_sigil] = STATE(3274),
    [sym_list] = STATE(3274),
    [sym_tuple] = STATE(3274),
    [sym_bitstring] = STATE(3274),
    [sym_map] = STATE(3274),
    [sym__nullary_operator] = STATE(3274),
    [sym_unary_operator] = STATE(3274),
    [sym_binary_operator] = STATE(3274),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3274),
    [sym_call] = STATE(3274),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3274),
    [sym_anonymous_function] = STATE(3274),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1873),
    [sym_integer] = ACTIONS(1873),
    [sym_float] = ACTIONS(1873),
    [sym_char] = ACTIONS(1873),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1873),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [501] = {
    [sym__expression] = STATE(1938),
    [sym_block] = STATE(1938),
    [sym_identifier] = STATE(20),
    [sym_boolean] = STATE(1938),
    [sym_nil] = STATE(1938),
    [sym__atom] = STATE(1938),
    [sym_quoted_atom] = STATE(1938),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1938),
    [sym_charlist] = STATE(1938),
    [sym_sigil] = STATE(1938),
    [sym_list] = STATE(1938),
    [sym_tuple] = STATE(1938),
    [sym_bitstring] = STATE(1938),
    [sym_map] = STATE(1938),
    [sym__nullary_operator] = STATE(1938),
    [sym_unary_operator] = STATE(1938),
    [sym_binary_operator] = STATE(1938),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1938),
    [sym_call] = STATE(1938),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(15),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1938),
    [sym_anonymous_function] = STATE(1938),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1875),
    [sym_integer] = ACTIONS(1875),
    [sym_float] = ACTIONS(1875),
    [sym_char] = ACTIONS(1875),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(85),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_BANG] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(97),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(97),
    [anon_sym_not] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(115),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [502] = {
    [sym__expression] = STATE(3273),
    [sym_block] = STATE(3273),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3273),
    [sym_nil] = STATE(3273),
    [sym__atom] = STATE(3273),
    [sym_quoted_atom] = STATE(3273),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3273),
    [sym_charlist] = STATE(3273),
    [sym_sigil] = STATE(3273),
    [sym_list] = STATE(3273),
    [sym_tuple] = STATE(3273),
    [sym_bitstring] = STATE(3273),
    [sym_map] = STATE(3273),
    [sym__nullary_operator] = STATE(3273),
    [sym_unary_operator] = STATE(3273),
    [sym_binary_operator] = STATE(3273),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3273),
    [sym_call] = STATE(3273),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3273),
    [sym_anonymous_function] = STATE(3273),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1877),
    [sym_integer] = ACTIONS(1877),
    [sym_float] = ACTIONS(1877),
    [sym_char] = ACTIONS(1877),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1877),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [503] = {
    [sym__expression] = STATE(1771),
    [sym_block] = STATE(1771),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1771),
    [sym_nil] = STATE(1771),
    [sym__atom] = STATE(1771),
    [sym_quoted_atom] = STATE(1771),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1771),
    [sym_charlist] = STATE(1771),
    [sym_sigil] = STATE(1771),
    [sym_list] = STATE(1771),
    [sym_tuple] = STATE(1771),
    [sym_bitstring] = STATE(1771),
    [sym_map] = STATE(1771),
    [sym__nullary_operator] = STATE(1771),
    [sym_unary_operator] = STATE(1771),
    [sym_binary_operator] = STATE(1771),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1771),
    [sym_call] = STATE(1771),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1771),
    [sym_anonymous_function] = STATE(1771),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1879),
    [sym_integer] = ACTIONS(1879),
    [sym_float] = ACTIONS(1879),
    [sym_char] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1879),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [504] = {
    [sym__expression] = STATE(3272),
    [sym_block] = STATE(3272),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3272),
    [sym_nil] = STATE(3272),
    [sym__atom] = STATE(3272),
    [sym_quoted_atom] = STATE(3272),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3272),
    [sym_charlist] = STATE(3272),
    [sym_sigil] = STATE(3272),
    [sym_list] = STATE(3272),
    [sym_tuple] = STATE(3272),
    [sym_bitstring] = STATE(3272),
    [sym_map] = STATE(3272),
    [sym__nullary_operator] = STATE(3272),
    [sym_unary_operator] = STATE(3272),
    [sym_binary_operator] = STATE(3272),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3272),
    [sym_call] = STATE(3272),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3272),
    [sym_anonymous_function] = STATE(3272),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1881),
    [sym_integer] = ACTIONS(1881),
    [sym_float] = ACTIONS(1881),
    [sym_char] = ACTIONS(1881),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1881),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [505] = {
    [sym__expression] = STATE(4340),
    [sym_block] = STATE(4340),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4340),
    [sym_nil] = STATE(4340),
    [sym__atom] = STATE(4340),
    [sym_quoted_atom] = STATE(4340),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4340),
    [sym_charlist] = STATE(4340),
    [sym_sigil] = STATE(4340),
    [sym_list] = STATE(4340),
    [sym_tuple] = STATE(4340),
    [sym_bitstring] = STATE(4340),
    [sym_map] = STATE(4340),
    [sym__nullary_operator] = STATE(4340),
    [sym_unary_operator] = STATE(4340),
    [sym_binary_operator] = STATE(4340),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4340),
    [sym_call] = STATE(4340),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4340),
    [sym_anonymous_function] = STATE(4340),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1883),
    [sym_integer] = ACTIONS(1883),
    [sym_float] = ACTIONS(1883),
    [sym_char] = ACTIONS(1883),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1883),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [506] = {
    [sym__expression] = STATE(3271),
    [sym_block] = STATE(3271),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3271),
    [sym_nil] = STATE(3271),
    [sym__atom] = STATE(3271),
    [sym_quoted_atom] = STATE(3271),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3271),
    [sym_charlist] = STATE(3271),
    [sym_sigil] = STATE(3271),
    [sym_list] = STATE(3271),
    [sym_tuple] = STATE(3271),
    [sym_bitstring] = STATE(3271),
    [sym_map] = STATE(3271),
    [sym__nullary_operator] = STATE(3271),
    [sym_unary_operator] = STATE(3271),
    [sym_binary_operator] = STATE(3271),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3271),
    [sym_call] = STATE(3271),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3271),
    [sym_anonymous_function] = STATE(3271),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1885),
    [sym_integer] = ACTIONS(1885),
    [sym_float] = ACTIONS(1885),
    [sym_char] = ACTIONS(1885),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [507] = {
    [sym__expression] = STATE(4494),
    [sym_block] = STATE(4494),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4494),
    [sym_nil] = STATE(4494),
    [sym__atom] = STATE(4494),
    [sym_quoted_atom] = STATE(4494),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4494),
    [sym_charlist] = STATE(4494),
    [sym_sigil] = STATE(4494),
    [sym_list] = STATE(4494),
    [sym_tuple] = STATE(4494),
    [sym_bitstring] = STATE(4494),
    [sym_map] = STATE(4494),
    [sym__nullary_operator] = STATE(4494),
    [sym_unary_operator] = STATE(4494),
    [sym_binary_operator] = STATE(4494),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4494),
    [sym_call] = STATE(4494),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4494),
    [sym_anonymous_function] = STATE(4494),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1887),
    [sym_integer] = ACTIONS(1887),
    [sym_float] = ACTIONS(1887),
    [sym_char] = ACTIONS(1887),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [508] = {
    [sym__expression] = STATE(3270),
    [sym_block] = STATE(3270),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3270),
    [sym_nil] = STATE(3270),
    [sym__atom] = STATE(3270),
    [sym_quoted_atom] = STATE(3270),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3270),
    [sym_charlist] = STATE(3270),
    [sym_sigil] = STATE(3270),
    [sym_list] = STATE(3270),
    [sym_tuple] = STATE(3270),
    [sym_bitstring] = STATE(3270),
    [sym_map] = STATE(3270),
    [sym__nullary_operator] = STATE(3270),
    [sym_unary_operator] = STATE(3270),
    [sym_binary_operator] = STATE(3270),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3270),
    [sym_call] = STATE(3270),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3270),
    [sym_anonymous_function] = STATE(3270),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1889),
    [sym_integer] = ACTIONS(1889),
    [sym_float] = ACTIONS(1889),
    [sym_char] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1889),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [509] = {
    [sym__expression] = STATE(4309),
    [sym_block] = STATE(4309),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4309),
    [sym_nil] = STATE(4309),
    [sym__atom] = STATE(4309),
    [sym_quoted_atom] = STATE(4309),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4309),
    [sym_charlist] = STATE(4309),
    [sym_sigil] = STATE(4309),
    [sym_list] = STATE(4309),
    [sym_tuple] = STATE(4309),
    [sym_bitstring] = STATE(4309),
    [sym_map] = STATE(4309),
    [sym__nullary_operator] = STATE(4309),
    [sym_unary_operator] = STATE(4309),
    [sym_binary_operator] = STATE(4309),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4309),
    [sym_call] = STATE(4309),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4309),
    [sym_anonymous_function] = STATE(4309),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1891),
    [sym_integer] = ACTIONS(1891),
    [sym_float] = ACTIONS(1891),
    [sym_char] = ACTIONS(1891),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [510] = {
    [sym__expression] = STATE(3269),
    [sym_block] = STATE(3269),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3269),
    [sym_nil] = STATE(3269),
    [sym__atom] = STATE(3269),
    [sym_quoted_atom] = STATE(3269),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3269),
    [sym_charlist] = STATE(3269),
    [sym_sigil] = STATE(3269),
    [sym_list] = STATE(3269),
    [sym_tuple] = STATE(3269),
    [sym_bitstring] = STATE(3269),
    [sym_map] = STATE(3269),
    [sym__nullary_operator] = STATE(3269),
    [sym_unary_operator] = STATE(3269),
    [sym_binary_operator] = STATE(3269),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3269),
    [sym_call] = STATE(3269),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3269),
    [sym_anonymous_function] = STATE(3269),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1893),
    [sym_integer] = ACTIONS(1893),
    [sym_float] = ACTIONS(1893),
    [sym_char] = ACTIONS(1893),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1893),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [511] = {
    [sym__expression] = STATE(1425),
    [sym_block] = STATE(1425),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1425),
    [sym_nil] = STATE(1425),
    [sym__atom] = STATE(1425),
    [sym_quoted_atom] = STATE(1425),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1425),
    [sym_charlist] = STATE(1425),
    [sym_sigil] = STATE(1425),
    [sym_list] = STATE(1425),
    [sym_tuple] = STATE(1425),
    [sym_bitstring] = STATE(1425),
    [sym_map] = STATE(1425),
    [sym__nullary_operator] = STATE(1425),
    [sym_unary_operator] = STATE(1425),
    [sym_binary_operator] = STATE(1425),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1425),
    [sym_call] = STATE(1425),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1425),
    [sym_anonymous_function] = STATE(1425),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1895),
    [sym_integer] = ACTIONS(1895),
    [sym_float] = ACTIONS(1895),
    [sym_char] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [512] = {
    [sym__expression] = STATE(1768),
    [sym_block] = STATE(1768),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1768),
    [sym_nil] = STATE(1768),
    [sym__atom] = STATE(1768),
    [sym_quoted_atom] = STATE(1768),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1768),
    [sym_charlist] = STATE(1768),
    [sym_sigil] = STATE(1768),
    [sym_list] = STATE(1768),
    [sym_tuple] = STATE(1768),
    [sym_bitstring] = STATE(1768),
    [sym_map] = STATE(1768),
    [sym__nullary_operator] = STATE(1768),
    [sym_unary_operator] = STATE(1768),
    [sym_binary_operator] = STATE(1768),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1768),
    [sym_call] = STATE(1768),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1768),
    [sym_anonymous_function] = STATE(1768),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1327),
    [sym_integer] = ACTIONS(1327),
    [sym_float] = ACTIONS(1327),
    [sym_char] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [513] = {
    [sym__expression] = STATE(3268),
    [sym_block] = STATE(3268),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3268),
    [sym_nil] = STATE(3268),
    [sym__atom] = STATE(3268),
    [sym_quoted_atom] = STATE(3268),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3268),
    [sym_charlist] = STATE(3268),
    [sym_sigil] = STATE(3268),
    [sym_list] = STATE(3268),
    [sym_tuple] = STATE(3268),
    [sym_bitstring] = STATE(3268),
    [sym_map] = STATE(3268),
    [sym__nullary_operator] = STATE(3268),
    [sym_unary_operator] = STATE(3268),
    [sym_binary_operator] = STATE(3268),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3268),
    [sym_call] = STATE(3268),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3268),
    [sym_anonymous_function] = STATE(3268),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1897),
    [sym_integer] = ACTIONS(1897),
    [sym_float] = ACTIONS(1897),
    [sym_char] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1897),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [514] = {
    [sym__expression] = STATE(4085),
    [sym_block] = STATE(4085),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4085),
    [sym_nil] = STATE(4085),
    [sym__atom] = STATE(4085),
    [sym_quoted_atom] = STATE(4085),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4085),
    [sym_charlist] = STATE(4085),
    [sym_sigil] = STATE(4085),
    [sym_list] = STATE(4085),
    [sym_tuple] = STATE(4085),
    [sym_bitstring] = STATE(4085),
    [sym_map] = STATE(4085),
    [sym__nullary_operator] = STATE(4085),
    [sym_unary_operator] = STATE(4085),
    [sym_binary_operator] = STATE(4085),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4085),
    [sym_call] = STATE(4085),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4085),
    [sym_anonymous_function] = STATE(4085),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1899),
    [sym_integer] = ACTIONS(1899),
    [sym_float] = ACTIONS(1899),
    [sym_char] = ACTIONS(1899),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [515] = {
    [sym__expression] = STATE(3267),
    [sym_block] = STATE(3267),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3267),
    [sym_nil] = STATE(3267),
    [sym__atom] = STATE(3267),
    [sym_quoted_atom] = STATE(3267),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3267),
    [sym_charlist] = STATE(3267),
    [sym_sigil] = STATE(3267),
    [sym_list] = STATE(3267),
    [sym_tuple] = STATE(3267),
    [sym_bitstring] = STATE(3267),
    [sym_map] = STATE(3267),
    [sym__nullary_operator] = STATE(3267),
    [sym_unary_operator] = STATE(3267),
    [sym_binary_operator] = STATE(3267),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3267),
    [sym_call] = STATE(3267),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3267),
    [sym_anonymous_function] = STATE(3267),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1901),
    [sym_integer] = ACTIONS(1901),
    [sym_float] = ACTIONS(1901),
    [sym_char] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1901),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [516] = {
    [sym__expression] = STATE(2032),
    [sym_block] = STATE(2032),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(2032),
    [sym_nil] = STATE(2032),
    [sym__atom] = STATE(2032),
    [sym_quoted_atom] = STATE(2032),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2032),
    [sym_charlist] = STATE(2032),
    [sym_sigil] = STATE(2032),
    [sym_list] = STATE(2032),
    [sym_tuple] = STATE(2032),
    [sym_bitstring] = STATE(2032),
    [sym_map] = STATE(2032),
    [sym__nullary_operator] = STATE(2032),
    [sym_unary_operator] = STATE(2032),
    [sym_binary_operator] = STATE(2032),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2032),
    [sym_call] = STATE(2032),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2032),
    [sym_anonymous_function] = STATE(2032),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1903),
    [sym_integer] = ACTIONS(1903),
    [sym_float] = ACTIONS(1903),
    [sym_char] = ACTIONS(1903),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1903),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [517] = {
    [sym__expression] = STATE(4082),
    [sym_block] = STATE(4082),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4082),
    [sym_nil] = STATE(4082),
    [sym__atom] = STATE(4082),
    [sym_quoted_atom] = STATE(4082),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4082),
    [sym_charlist] = STATE(4082),
    [sym_sigil] = STATE(4082),
    [sym_list] = STATE(4082),
    [sym_tuple] = STATE(4082),
    [sym_bitstring] = STATE(4082),
    [sym_map] = STATE(4082),
    [sym__nullary_operator] = STATE(4082),
    [sym_unary_operator] = STATE(4082),
    [sym_binary_operator] = STATE(4082),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4082),
    [sym_call] = STATE(4082),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4082),
    [sym_anonymous_function] = STATE(4082),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1905),
    [sym_integer] = ACTIONS(1905),
    [sym_float] = ACTIONS(1905),
    [sym_char] = ACTIONS(1905),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1905),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [518] = {
    [sym__expression] = STATE(3264),
    [sym_block] = STATE(3264),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3264),
    [sym_nil] = STATE(3264),
    [sym__atom] = STATE(3264),
    [sym_quoted_atom] = STATE(3264),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3264),
    [sym_charlist] = STATE(3264),
    [sym_sigil] = STATE(3264),
    [sym_list] = STATE(3264),
    [sym_tuple] = STATE(3264),
    [sym_bitstring] = STATE(3264),
    [sym_map] = STATE(3264),
    [sym__nullary_operator] = STATE(3264),
    [sym_unary_operator] = STATE(3264),
    [sym_binary_operator] = STATE(3264),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3264),
    [sym_call] = STATE(3264),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3264),
    [sym_anonymous_function] = STATE(3264),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1907),
    [sym_integer] = ACTIONS(1907),
    [sym_float] = ACTIONS(1907),
    [sym_char] = ACTIONS(1907),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [519] = {
    [sym__expression] = STATE(3308),
    [sym_block] = STATE(3308),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3308),
    [sym_nil] = STATE(3308),
    [sym__atom] = STATE(3308),
    [sym_quoted_atom] = STATE(3308),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3308),
    [sym_charlist] = STATE(3308),
    [sym_sigil] = STATE(3308),
    [sym_list] = STATE(3308),
    [sym_tuple] = STATE(3308),
    [sym_bitstring] = STATE(3308),
    [sym_map] = STATE(3308),
    [sym__nullary_operator] = STATE(3308),
    [sym_unary_operator] = STATE(3308),
    [sym_binary_operator] = STATE(3308),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3308),
    [sym_call] = STATE(3308),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3308),
    [sym_anonymous_function] = STATE(3308),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1909),
    [sym_integer] = ACTIONS(1909),
    [sym_float] = ACTIONS(1909),
    [sym_char] = ACTIONS(1909),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1909),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [520] = {
    [sym__expression] = STATE(4119),
    [sym_block] = STATE(4119),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4119),
    [sym_nil] = STATE(4119),
    [sym__atom] = STATE(4119),
    [sym_quoted_atom] = STATE(4119),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4119),
    [sym_charlist] = STATE(4119),
    [sym_sigil] = STATE(4119),
    [sym_list] = STATE(4119),
    [sym_tuple] = STATE(4119),
    [sym_bitstring] = STATE(4119),
    [sym_map] = STATE(4119),
    [sym__nullary_operator] = STATE(4119),
    [sym_unary_operator] = STATE(4119),
    [sym_binary_operator] = STATE(4119),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4119),
    [sym_call] = STATE(4119),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4119),
    [sym_anonymous_function] = STATE(4119),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1911),
    [sym_integer] = ACTIONS(1911),
    [sym_float] = ACTIONS(1911),
    [sym_char] = ACTIONS(1911),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [521] = {
    [sym__expression] = STATE(1426),
    [sym_block] = STATE(1426),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1426),
    [sym_nil] = STATE(1426),
    [sym__atom] = STATE(1426),
    [sym_quoted_atom] = STATE(1426),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1426),
    [sym_charlist] = STATE(1426),
    [sym_sigil] = STATE(1426),
    [sym_list] = STATE(1426),
    [sym_tuple] = STATE(1426),
    [sym_bitstring] = STATE(1426),
    [sym_map] = STATE(1426),
    [sym__nullary_operator] = STATE(1426),
    [sym_unary_operator] = STATE(1426),
    [sym_binary_operator] = STATE(1426),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1426),
    [sym_call] = STATE(1426),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1426),
    [sym_anonymous_function] = STATE(1426),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(1421),
    [sym_integer] = ACTIONS(1421),
    [sym_float] = ACTIONS(1421),
    [sym_char] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1421),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [522] = {
    [sym__expression] = STATE(3263),
    [sym_block] = STATE(3263),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3263),
    [sym_nil] = STATE(3263),
    [sym__atom] = STATE(3263),
    [sym_quoted_atom] = STATE(3263),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3263),
    [sym_charlist] = STATE(3263),
    [sym_sigil] = STATE(3263),
    [sym_list] = STATE(3263),
    [sym_tuple] = STATE(3263),
    [sym_bitstring] = STATE(3263),
    [sym_map] = STATE(3263),
    [sym__nullary_operator] = STATE(3263),
    [sym_unary_operator] = STATE(3263),
    [sym_binary_operator] = STATE(3263),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3263),
    [sym_call] = STATE(3263),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3263),
    [sym_anonymous_function] = STATE(3263),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1913),
    [sym_integer] = ACTIONS(1913),
    [sym_float] = ACTIONS(1913),
    [sym_char] = ACTIONS(1913),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1913),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [523] = {
    [sym__expression] = STATE(3262),
    [sym_block] = STATE(3262),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3262),
    [sym_nil] = STATE(3262),
    [sym__atom] = STATE(3262),
    [sym_quoted_atom] = STATE(3262),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3262),
    [sym_charlist] = STATE(3262),
    [sym_sigil] = STATE(3262),
    [sym_list] = STATE(3262),
    [sym_tuple] = STATE(3262),
    [sym_bitstring] = STATE(3262),
    [sym_map] = STATE(3262),
    [sym__nullary_operator] = STATE(3262),
    [sym_unary_operator] = STATE(3262),
    [sym_binary_operator] = STATE(3262),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3262),
    [sym_call] = STATE(3262),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3262),
    [sym_anonymous_function] = STATE(3262),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1915),
    [sym_integer] = ACTIONS(1915),
    [sym_float] = ACTIONS(1915),
    [sym_char] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [524] = {
    [sym__expression] = STATE(3261),
    [sym_block] = STATE(3261),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3261),
    [sym_nil] = STATE(3261),
    [sym__atom] = STATE(3261),
    [sym_quoted_atom] = STATE(3261),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3261),
    [sym_charlist] = STATE(3261),
    [sym_sigil] = STATE(3261),
    [sym_list] = STATE(3261),
    [sym_tuple] = STATE(3261),
    [sym_bitstring] = STATE(3261),
    [sym_map] = STATE(3261),
    [sym__nullary_operator] = STATE(3261),
    [sym_unary_operator] = STATE(3261),
    [sym_binary_operator] = STATE(3261),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3261),
    [sym_call] = STATE(3261),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3261),
    [sym_anonymous_function] = STATE(3261),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1917),
    [sym_integer] = ACTIONS(1917),
    [sym_float] = ACTIONS(1917),
    [sym_char] = ACTIONS(1917),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1917),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [525] = {
    [sym__expression] = STATE(4032),
    [sym_block] = STATE(4032),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(4032),
    [sym_nil] = STATE(4032),
    [sym__atom] = STATE(4032),
    [sym_quoted_atom] = STATE(4032),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(4032),
    [sym_charlist] = STATE(4032),
    [sym_sigil] = STATE(4032),
    [sym_list] = STATE(4032),
    [sym_tuple] = STATE(4032),
    [sym_bitstring] = STATE(4032),
    [sym_map] = STATE(4032),
    [sym__nullary_operator] = STATE(4032),
    [sym_unary_operator] = STATE(4032),
    [sym_binary_operator] = STATE(4032),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(4032),
    [sym_call] = STATE(4032),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(4032),
    [sym_anonymous_function] = STATE(4032),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1919),
    [sym_integer] = ACTIONS(1919),
    [sym_float] = ACTIONS(1919),
    [sym_char] = ACTIONS(1919),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [526] = {
    [sym__expression] = STATE(3309),
    [sym_block] = STATE(3309),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3309),
    [sym_nil] = STATE(3309),
    [sym__atom] = STATE(3309),
    [sym_quoted_atom] = STATE(3309),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3309),
    [sym_charlist] = STATE(3309),
    [sym_sigil] = STATE(3309),
    [sym_list] = STATE(3309),
    [sym_tuple] = STATE(3309),
    [sym_bitstring] = STATE(3309),
    [sym_map] = STATE(3309),
    [sym__nullary_operator] = STATE(3309),
    [sym_unary_operator] = STATE(3309),
    [sym_binary_operator] = STATE(3309),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3309),
    [sym_call] = STATE(3309),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3309),
    [sym_anonymous_function] = STATE(3309),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(1351),
    [sym_integer] = ACTIONS(1351),
    [sym_float] = ACTIONS(1351),
    [sym_char] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [527] = {
    [sym__expression] = STATE(3258),
    [sym_block] = STATE(3258),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3258),
    [sym_nil] = STATE(3258),
    [sym__atom] = STATE(3258),
    [sym_quoted_atom] = STATE(3258),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3258),
    [sym_charlist] = STATE(3258),
    [sym_sigil] = STATE(3258),
    [sym_list] = STATE(3258),
    [sym_tuple] = STATE(3258),
    [sym_bitstring] = STATE(3258),
    [sym_map] = STATE(3258),
    [sym__nullary_operator] = STATE(3258),
    [sym_unary_operator] = STATE(3258),
    [sym_binary_operator] = STATE(3258),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3258),
    [sym_call] = STATE(3258),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3258),
    [sym_anonymous_function] = STATE(3258),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1921),
    [sym_integer] = ACTIONS(1921),
    [sym_float] = ACTIONS(1921),
    [sym_char] = ACTIONS(1921),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1921),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [528] = {
    [sym__expression] = STATE(3257),
    [sym_block] = STATE(3257),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3257),
    [sym_nil] = STATE(3257),
    [sym__atom] = STATE(3257),
    [sym_quoted_atom] = STATE(3257),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3257),
    [sym_charlist] = STATE(3257),
    [sym_sigil] = STATE(3257),
    [sym_list] = STATE(3257),
    [sym_tuple] = STATE(3257),
    [sym_bitstring] = STATE(3257),
    [sym_map] = STATE(3257),
    [sym__nullary_operator] = STATE(3257),
    [sym_unary_operator] = STATE(3257),
    [sym_binary_operator] = STATE(3257),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3257),
    [sym_call] = STATE(3257),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3257),
    [sym_anonymous_function] = STATE(3257),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1923),
    [sym_integer] = ACTIONS(1923),
    [sym_float] = ACTIONS(1923),
    [sym_char] = ACTIONS(1923),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [529] = {
    [sym__expression] = STATE(4104),
    [sym_block] = STATE(4104),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4104),
    [sym_nil] = STATE(4104),
    [sym__atom] = STATE(4104),
    [sym_quoted_atom] = STATE(4104),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4104),
    [sym_charlist] = STATE(4104),
    [sym_sigil] = STATE(4104),
    [sym_list] = STATE(4104),
    [sym_tuple] = STATE(4104),
    [sym_bitstring] = STATE(4104),
    [sym_map] = STATE(4104),
    [sym__nullary_operator] = STATE(4104),
    [sym_unary_operator] = STATE(4104),
    [sym_binary_operator] = STATE(4104),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4104),
    [sym_call] = STATE(4104),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4104),
    [sym_anonymous_function] = STATE(4104),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1925),
    [sym_integer] = ACTIONS(1925),
    [sym_float] = ACTIONS(1925),
    [sym_char] = ACTIONS(1925),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1925),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [530] = {
    [sym__expression] = STATE(3860),
    [sym_block] = STATE(3860),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3860),
    [sym_nil] = STATE(3860),
    [sym__atom] = STATE(3860),
    [sym_quoted_atom] = STATE(3860),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3860),
    [sym_charlist] = STATE(3860),
    [sym_sigil] = STATE(3860),
    [sym_list] = STATE(3860),
    [sym_tuple] = STATE(3860),
    [sym_bitstring] = STATE(3860),
    [sym_map] = STATE(3860),
    [sym__nullary_operator] = STATE(3860),
    [sym_unary_operator] = STATE(3860),
    [sym_binary_operator] = STATE(3860),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3860),
    [sym_call] = STATE(3860),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3860),
    [sym_anonymous_function] = STATE(3860),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1927),
    [sym_integer] = ACTIONS(1927),
    [sym_float] = ACTIONS(1927),
    [sym_char] = ACTIONS(1927),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [531] = {
    [sym__expression] = STATE(4341),
    [sym_block] = STATE(4341),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4341),
    [sym_nil] = STATE(4341),
    [sym__atom] = STATE(4341),
    [sym_quoted_atom] = STATE(4341),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4341),
    [sym_charlist] = STATE(4341),
    [sym_sigil] = STATE(4341),
    [sym_list] = STATE(4341),
    [sym_tuple] = STATE(4341),
    [sym_bitstring] = STATE(4341),
    [sym_map] = STATE(4341),
    [sym__nullary_operator] = STATE(4341),
    [sym_unary_operator] = STATE(4341),
    [sym_binary_operator] = STATE(4341),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4341),
    [sym_call] = STATE(4341),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4341),
    [sym_anonymous_function] = STATE(4341),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1929),
    [sym_integer] = ACTIONS(1929),
    [sym_float] = ACTIONS(1929),
    [sym_char] = ACTIONS(1929),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [532] = {
    [sym__expression] = STATE(4034),
    [sym_block] = STATE(4034),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(4034),
    [sym_nil] = STATE(4034),
    [sym__atom] = STATE(4034),
    [sym_quoted_atom] = STATE(4034),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(4034),
    [sym_charlist] = STATE(4034),
    [sym_sigil] = STATE(4034),
    [sym_list] = STATE(4034),
    [sym_tuple] = STATE(4034),
    [sym_bitstring] = STATE(4034),
    [sym_map] = STATE(4034),
    [sym__nullary_operator] = STATE(4034),
    [sym_unary_operator] = STATE(4034),
    [sym_binary_operator] = STATE(4034),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(4034),
    [sym_call] = STATE(4034),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(4034),
    [sym_anonymous_function] = STATE(4034),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1439),
    [sym_integer] = ACTIONS(1439),
    [sym_float] = ACTIONS(1439),
    [sym_char] = ACTIONS(1439),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [533] = {
    [sym__expression] = STATE(4342),
    [sym_block] = STATE(4342),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4342),
    [sym_nil] = STATE(4342),
    [sym__atom] = STATE(4342),
    [sym_quoted_atom] = STATE(4342),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4342),
    [sym_charlist] = STATE(4342),
    [sym_sigil] = STATE(4342),
    [sym_list] = STATE(4342),
    [sym_tuple] = STATE(4342),
    [sym_bitstring] = STATE(4342),
    [sym_map] = STATE(4342),
    [sym__nullary_operator] = STATE(4342),
    [sym_unary_operator] = STATE(4342),
    [sym_binary_operator] = STATE(4342),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4342),
    [sym_call] = STATE(4342),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4342),
    [sym_anonymous_function] = STATE(4342),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1931),
    [sym_integer] = ACTIONS(1931),
    [sym_float] = ACTIONS(1931),
    [sym_char] = ACTIONS(1931),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [534] = {
    [sym__expression] = STATE(4365),
    [sym_block] = STATE(4365),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4365),
    [sym_nil] = STATE(4365),
    [sym__atom] = STATE(4365),
    [sym_quoted_atom] = STATE(4365),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4365),
    [sym_charlist] = STATE(4365),
    [sym_sigil] = STATE(4365),
    [sym_list] = STATE(4365),
    [sym_tuple] = STATE(4365),
    [sym_bitstring] = STATE(4365),
    [sym_map] = STATE(4365),
    [sym__nullary_operator] = STATE(4365),
    [sym_unary_operator] = STATE(4365),
    [sym_binary_operator] = STATE(4365),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4365),
    [sym_call] = STATE(4365),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4365),
    [sym_anonymous_function] = STATE(4365),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1933),
    [sym_integer] = ACTIONS(1933),
    [sym_float] = ACTIONS(1933),
    [sym_char] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1933),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [535] = {
    [sym__expression] = STATE(4351),
    [sym_block] = STATE(4351),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4351),
    [sym_nil] = STATE(4351),
    [sym__atom] = STATE(4351),
    [sym_quoted_atom] = STATE(4351),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4351),
    [sym_charlist] = STATE(4351),
    [sym_sigil] = STATE(4351),
    [sym_list] = STATE(4351),
    [sym_tuple] = STATE(4351),
    [sym_bitstring] = STATE(4351),
    [sym_map] = STATE(4351),
    [sym__nullary_operator] = STATE(4351),
    [sym_unary_operator] = STATE(4351),
    [sym_binary_operator] = STATE(4351),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4351),
    [sym_call] = STATE(4351),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4351),
    [sym_anonymous_function] = STATE(4351),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1935),
    [sym_integer] = ACTIONS(1935),
    [sym_float] = ACTIONS(1935),
    [sym_char] = ACTIONS(1935),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [536] = {
    [sym__expression] = STATE(4103),
    [sym_block] = STATE(4103),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4103),
    [sym_nil] = STATE(4103),
    [sym__atom] = STATE(4103),
    [sym_quoted_atom] = STATE(4103),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4103),
    [sym_charlist] = STATE(4103),
    [sym_sigil] = STATE(4103),
    [sym_list] = STATE(4103),
    [sym_tuple] = STATE(4103),
    [sym_bitstring] = STATE(4103),
    [sym_map] = STATE(4103),
    [sym__nullary_operator] = STATE(4103),
    [sym_unary_operator] = STATE(4103),
    [sym_binary_operator] = STATE(4103),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4103),
    [sym_call] = STATE(4103),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4103),
    [sym_anonymous_function] = STATE(4103),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1937),
    [sym_integer] = ACTIONS(1937),
    [sym_float] = ACTIONS(1937),
    [sym_char] = ACTIONS(1937),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1937),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [537] = {
    [sym__expression] = STATE(4353),
    [sym_block] = STATE(4353),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4353),
    [sym_nil] = STATE(4353),
    [sym__atom] = STATE(4353),
    [sym_quoted_atom] = STATE(4353),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4353),
    [sym_charlist] = STATE(4353),
    [sym_sigil] = STATE(4353),
    [sym_list] = STATE(4353),
    [sym_tuple] = STATE(4353),
    [sym_bitstring] = STATE(4353),
    [sym_map] = STATE(4353),
    [sym__nullary_operator] = STATE(4353),
    [sym_unary_operator] = STATE(4353),
    [sym_binary_operator] = STATE(4353),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4353),
    [sym_call] = STATE(4353),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4353),
    [sym_anonymous_function] = STATE(4353),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1939),
    [sym_integer] = ACTIONS(1939),
    [sym_float] = ACTIONS(1939),
    [sym_char] = ACTIONS(1939),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1939),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [538] = {
    [sym__expression] = STATE(4357),
    [sym_block] = STATE(4357),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4357),
    [sym_nil] = STATE(4357),
    [sym__atom] = STATE(4357),
    [sym_quoted_atom] = STATE(4357),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4357),
    [sym_charlist] = STATE(4357),
    [sym_sigil] = STATE(4357),
    [sym_list] = STATE(4357),
    [sym_tuple] = STATE(4357),
    [sym_bitstring] = STATE(4357),
    [sym_map] = STATE(4357),
    [sym__nullary_operator] = STATE(4357),
    [sym_unary_operator] = STATE(4357),
    [sym_binary_operator] = STATE(4357),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4357),
    [sym_call] = STATE(4357),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4357),
    [sym_anonymous_function] = STATE(4357),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1941),
    [sym_integer] = ACTIONS(1941),
    [sym_float] = ACTIONS(1941),
    [sym_char] = ACTIONS(1941),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [539] = {
    [sym__expression] = STATE(2988),
    [sym_block] = STATE(2988),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2988),
    [sym_nil] = STATE(2988),
    [sym__atom] = STATE(2988),
    [sym_quoted_atom] = STATE(2988),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2988),
    [sym_charlist] = STATE(2988),
    [sym_sigil] = STATE(2988),
    [sym_list] = STATE(2988),
    [sym_tuple] = STATE(2988),
    [sym_bitstring] = STATE(2988),
    [sym_map] = STATE(2988),
    [sym__nullary_operator] = STATE(2988),
    [sym_unary_operator] = STATE(2988),
    [sym_binary_operator] = STATE(2988),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2988),
    [sym_call] = STATE(2988),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(2988),
    [sym_anonymous_function] = STATE(2988),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1943),
    [sym_integer] = ACTIONS(1943),
    [sym_float] = ACTIONS(1943),
    [sym_char] = ACTIONS(1943),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [540] = {
    [sym__expression] = STATE(4394),
    [sym_block] = STATE(4394),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4394),
    [sym_nil] = STATE(4394),
    [sym__atom] = STATE(4394),
    [sym_quoted_atom] = STATE(4394),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4394),
    [sym_charlist] = STATE(4394),
    [sym_sigil] = STATE(4394),
    [sym_list] = STATE(4394),
    [sym_tuple] = STATE(4394),
    [sym_bitstring] = STATE(4394),
    [sym_map] = STATE(4394),
    [sym__nullary_operator] = STATE(4394),
    [sym_unary_operator] = STATE(4394),
    [sym_binary_operator] = STATE(4394),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4394),
    [sym_call] = STATE(4394),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4394),
    [sym_anonymous_function] = STATE(4394),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1945),
    [sym_integer] = ACTIONS(1945),
    [sym_float] = ACTIONS(1945),
    [sym_char] = ACTIONS(1945),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1945),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [541] = {
    [sym__expression] = STATE(4368),
    [sym_block] = STATE(4368),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4368),
    [sym_nil] = STATE(4368),
    [sym__atom] = STATE(4368),
    [sym_quoted_atom] = STATE(4368),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4368),
    [sym_charlist] = STATE(4368),
    [sym_sigil] = STATE(4368),
    [sym_list] = STATE(4368),
    [sym_tuple] = STATE(4368),
    [sym_bitstring] = STATE(4368),
    [sym_map] = STATE(4368),
    [sym__nullary_operator] = STATE(4368),
    [sym_unary_operator] = STATE(4368),
    [sym_binary_operator] = STATE(4368),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4368),
    [sym_call] = STATE(4368),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4368),
    [sym_anonymous_function] = STATE(4368),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1947),
    [sym_integer] = ACTIONS(1947),
    [sym_float] = ACTIONS(1947),
    [sym_char] = ACTIONS(1947),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1947),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [542] = {
    [sym__expression] = STATE(4370),
    [sym_block] = STATE(4370),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4370),
    [sym_nil] = STATE(4370),
    [sym__atom] = STATE(4370),
    [sym_quoted_atom] = STATE(4370),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4370),
    [sym_charlist] = STATE(4370),
    [sym_sigil] = STATE(4370),
    [sym_list] = STATE(4370),
    [sym_tuple] = STATE(4370),
    [sym_bitstring] = STATE(4370),
    [sym_map] = STATE(4370),
    [sym__nullary_operator] = STATE(4370),
    [sym_unary_operator] = STATE(4370),
    [sym_binary_operator] = STATE(4370),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4370),
    [sym_call] = STATE(4370),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4370),
    [sym_anonymous_function] = STATE(4370),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1949),
    [sym_integer] = ACTIONS(1949),
    [sym_float] = ACTIONS(1949),
    [sym_char] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1949),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [543] = {
    [sym__expression] = STATE(4371),
    [sym_block] = STATE(4371),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4371),
    [sym_nil] = STATE(4371),
    [sym__atom] = STATE(4371),
    [sym_quoted_atom] = STATE(4371),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4371),
    [sym_charlist] = STATE(4371),
    [sym_sigil] = STATE(4371),
    [sym_list] = STATE(4371),
    [sym_tuple] = STATE(4371),
    [sym_bitstring] = STATE(4371),
    [sym_map] = STATE(4371),
    [sym__nullary_operator] = STATE(4371),
    [sym_unary_operator] = STATE(4371),
    [sym_binary_operator] = STATE(4371),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4371),
    [sym_call] = STATE(4371),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4371),
    [sym_anonymous_function] = STATE(4371),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1951),
    [sym_integer] = ACTIONS(1951),
    [sym_float] = ACTIONS(1951),
    [sym_char] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1951),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [544] = {
    [sym__expression] = STATE(2987),
    [sym_block] = STATE(2987),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2987),
    [sym_nil] = STATE(2987),
    [sym__atom] = STATE(2987),
    [sym_quoted_atom] = STATE(2987),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2987),
    [sym_charlist] = STATE(2987),
    [sym_sigil] = STATE(2987),
    [sym_list] = STATE(2987),
    [sym_tuple] = STATE(2987),
    [sym_bitstring] = STATE(2987),
    [sym_map] = STATE(2987),
    [sym__nullary_operator] = STATE(2987),
    [sym_unary_operator] = STATE(2987),
    [sym_binary_operator] = STATE(2987),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2987),
    [sym_call] = STATE(2987),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(2987),
    [sym_anonymous_function] = STATE(2987),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1953),
    [sym_integer] = ACTIONS(1953),
    [sym_float] = ACTIONS(1953),
    [sym_char] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1953),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [545] = {
    [sym__expression] = STATE(4372),
    [sym_block] = STATE(4372),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4372),
    [sym_nil] = STATE(4372),
    [sym__atom] = STATE(4372),
    [sym_quoted_atom] = STATE(4372),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4372),
    [sym_charlist] = STATE(4372),
    [sym_sigil] = STATE(4372),
    [sym_list] = STATE(4372),
    [sym_tuple] = STATE(4372),
    [sym_bitstring] = STATE(4372),
    [sym_map] = STATE(4372),
    [sym__nullary_operator] = STATE(4372),
    [sym_unary_operator] = STATE(4372),
    [sym_binary_operator] = STATE(4372),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4372),
    [sym_call] = STATE(4372),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4372),
    [sym_anonymous_function] = STATE(4372),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1955),
    [sym_integer] = ACTIONS(1955),
    [sym_float] = ACTIONS(1955),
    [sym_char] = ACTIONS(1955),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [546] = {
    [sym__expression] = STATE(4373),
    [sym_block] = STATE(4373),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4373),
    [sym_nil] = STATE(4373),
    [sym__atom] = STATE(4373),
    [sym_quoted_atom] = STATE(4373),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4373),
    [sym_charlist] = STATE(4373),
    [sym_sigil] = STATE(4373),
    [sym_list] = STATE(4373),
    [sym_tuple] = STATE(4373),
    [sym_bitstring] = STATE(4373),
    [sym_map] = STATE(4373),
    [sym__nullary_operator] = STATE(4373),
    [sym_unary_operator] = STATE(4373),
    [sym_binary_operator] = STATE(4373),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4373),
    [sym_call] = STATE(4373),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4373),
    [sym_anonymous_function] = STATE(4373),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1957),
    [sym_integer] = ACTIONS(1957),
    [sym_float] = ACTIONS(1957),
    [sym_char] = ACTIONS(1957),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1957),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [547] = {
    [sym__expression] = STATE(3197),
    [sym_block] = STATE(3197),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3197),
    [sym_nil] = STATE(3197),
    [sym__atom] = STATE(3197),
    [sym_quoted_atom] = STATE(3197),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3197),
    [sym_charlist] = STATE(3197),
    [sym_sigil] = STATE(3197),
    [sym_list] = STATE(3197),
    [sym_tuple] = STATE(3197),
    [sym_bitstring] = STATE(3197),
    [sym_map] = STATE(3197),
    [sym__nullary_operator] = STATE(3197),
    [sym_unary_operator] = STATE(3197),
    [sym_binary_operator] = STATE(3197),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3197),
    [sym_call] = STATE(3197),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3197),
    [sym_anonymous_function] = STATE(3197),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1959),
    [sym_integer] = ACTIONS(1959),
    [sym_float] = ACTIONS(1959),
    [sym_char] = ACTIONS(1959),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1959),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [548] = {
    [sym__expression] = STATE(4374),
    [sym_block] = STATE(4374),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4374),
    [sym_nil] = STATE(4374),
    [sym__atom] = STATE(4374),
    [sym_quoted_atom] = STATE(4374),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4374),
    [sym_charlist] = STATE(4374),
    [sym_sigil] = STATE(4374),
    [sym_list] = STATE(4374),
    [sym_tuple] = STATE(4374),
    [sym_bitstring] = STATE(4374),
    [sym_map] = STATE(4374),
    [sym__nullary_operator] = STATE(4374),
    [sym_unary_operator] = STATE(4374),
    [sym_binary_operator] = STATE(4374),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4374),
    [sym_call] = STATE(4374),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4374),
    [sym_anonymous_function] = STATE(4374),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1961),
    [sym_integer] = ACTIONS(1961),
    [sym_float] = ACTIONS(1961),
    [sym_char] = ACTIONS(1961),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [549] = {
    [sym__expression] = STATE(4385),
    [sym_block] = STATE(4385),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4385),
    [sym_nil] = STATE(4385),
    [sym__atom] = STATE(4385),
    [sym_quoted_atom] = STATE(4385),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4385),
    [sym_charlist] = STATE(4385),
    [sym_sigil] = STATE(4385),
    [sym_list] = STATE(4385),
    [sym_tuple] = STATE(4385),
    [sym_bitstring] = STATE(4385),
    [sym_map] = STATE(4385),
    [sym__nullary_operator] = STATE(4385),
    [sym_unary_operator] = STATE(4385),
    [sym_binary_operator] = STATE(4385),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4385),
    [sym_call] = STATE(4385),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4385),
    [sym_anonymous_function] = STATE(4385),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1963),
    [sym_integer] = ACTIONS(1963),
    [sym_float] = ACTIONS(1963),
    [sym_char] = ACTIONS(1963),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [550] = {
    [sym__expression] = STATE(4387),
    [sym_block] = STATE(4387),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4387),
    [sym_nil] = STATE(4387),
    [sym__atom] = STATE(4387),
    [sym_quoted_atom] = STATE(4387),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4387),
    [sym_charlist] = STATE(4387),
    [sym_sigil] = STATE(4387),
    [sym_list] = STATE(4387),
    [sym_tuple] = STATE(4387),
    [sym_bitstring] = STATE(4387),
    [sym_map] = STATE(4387),
    [sym__nullary_operator] = STATE(4387),
    [sym_unary_operator] = STATE(4387),
    [sym_binary_operator] = STATE(4387),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4387),
    [sym_call] = STATE(4387),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4387),
    [sym_anonymous_function] = STATE(4387),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1965),
    [sym_integer] = ACTIONS(1965),
    [sym_float] = ACTIONS(1965),
    [sym_char] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1965),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [551] = {
    [sym__expression] = STATE(4068),
    [sym_block] = STATE(4068),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4068),
    [sym_nil] = STATE(4068),
    [sym__atom] = STATE(4068),
    [sym_quoted_atom] = STATE(4068),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4068),
    [sym_charlist] = STATE(4068),
    [sym_sigil] = STATE(4068),
    [sym_list] = STATE(4068),
    [sym_tuple] = STATE(4068),
    [sym_bitstring] = STATE(4068),
    [sym_map] = STATE(4068),
    [sym__nullary_operator] = STATE(4068),
    [sym_unary_operator] = STATE(4068),
    [sym_binary_operator] = STATE(4068),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4068),
    [sym_call] = STATE(4068),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4068),
    [sym_anonymous_function] = STATE(4068),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1967),
    [sym_integer] = ACTIONS(1967),
    [sym_float] = ACTIONS(1967),
    [sym_char] = ACTIONS(1967),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [552] = {
    [sym__expression] = STATE(4553),
    [sym_block] = STATE(4553),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4553),
    [sym_nil] = STATE(4553),
    [sym__atom] = STATE(4553),
    [sym_quoted_atom] = STATE(4553),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4553),
    [sym_charlist] = STATE(4553),
    [sym_sigil] = STATE(4553),
    [sym_list] = STATE(4553),
    [sym_tuple] = STATE(4553),
    [sym_bitstring] = STATE(4553),
    [sym_map] = STATE(4553),
    [sym__nullary_operator] = STATE(4553),
    [sym_unary_operator] = STATE(4553),
    [sym_binary_operator] = STATE(4553),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4553),
    [sym_call] = STATE(4553),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4553),
    [sym_anonymous_function] = STATE(4553),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1969),
    [sym_integer] = ACTIONS(1969),
    [sym_float] = ACTIONS(1969),
    [sym_char] = ACTIONS(1969),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1969),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [553] = {
    [sym__expression] = STATE(4367),
    [sym_block] = STATE(4367),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4367),
    [sym_nil] = STATE(4367),
    [sym__atom] = STATE(4367),
    [sym_quoted_atom] = STATE(4367),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4367),
    [sym_charlist] = STATE(4367),
    [sym_sigil] = STATE(4367),
    [sym_list] = STATE(4367),
    [sym_tuple] = STATE(4367),
    [sym_bitstring] = STATE(4367),
    [sym_map] = STATE(4367),
    [sym__nullary_operator] = STATE(4367),
    [sym_unary_operator] = STATE(4367),
    [sym_binary_operator] = STATE(4367),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4367),
    [sym_call] = STATE(4367),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4367),
    [sym_anonymous_function] = STATE(4367),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1971),
    [sym_integer] = ACTIONS(1971),
    [sym_float] = ACTIONS(1971),
    [sym_char] = ACTIONS(1971),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [554] = {
    [sym__expression] = STATE(3489),
    [sym_block] = STATE(3489),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3489),
    [sym_nil] = STATE(3489),
    [sym__atom] = STATE(3489),
    [sym_quoted_atom] = STATE(3489),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3489),
    [sym_charlist] = STATE(3489),
    [sym_sigil] = STATE(3489),
    [sym_list] = STATE(3489),
    [sym_tuple] = STATE(3489),
    [sym_bitstring] = STATE(3489),
    [sym_map] = STATE(3489),
    [sym__nullary_operator] = STATE(3489),
    [sym_unary_operator] = STATE(3489),
    [sym_binary_operator] = STATE(3489),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3489),
    [sym_call] = STATE(3489),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3489),
    [sym_anonymous_function] = STATE(3489),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1503),
    [sym_integer] = ACTIONS(1503),
    [sym_float] = ACTIONS(1503),
    [sym_char] = ACTIONS(1503),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [555] = {
    [sym__expression] = STATE(4064),
    [sym_block] = STATE(4064),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4064),
    [sym_nil] = STATE(4064),
    [sym__atom] = STATE(4064),
    [sym_quoted_atom] = STATE(4064),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4064),
    [sym_charlist] = STATE(4064),
    [sym_sigil] = STATE(4064),
    [sym_list] = STATE(4064),
    [sym_tuple] = STATE(4064),
    [sym_bitstring] = STATE(4064),
    [sym_map] = STATE(4064),
    [sym__nullary_operator] = STATE(4064),
    [sym_unary_operator] = STATE(4064),
    [sym_binary_operator] = STATE(4064),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4064),
    [sym_call] = STATE(4064),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4064),
    [sym_anonymous_function] = STATE(4064),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1973),
    [sym_integer] = ACTIONS(1973),
    [sym_float] = ACTIONS(1973),
    [sym_char] = ACTIONS(1973),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1973),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [556] = {
    [sym__expression] = STATE(2977),
    [sym_block] = STATE(2977),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2977),
    [sym_nil] = STATE(2977),
    [sym__atom] = STATE(2977),
    [sym_quoted_atom] = STATE(2977),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2977),
    [sym_charlist] = STATE(2977),
    [sym_sigil] = STATE(2977),
    [sym_list] = STATE(2977),
    [sym_tuple] = STATE(2977),
    [sym_bitstring] = STATE(2977),
    [sym_map] = STATE(2977),
    [sym__nullary_operator] = STATE(2977),
    [sym_unary_operator] = STATE(2977),
    [sym_binary_operator] = STATE(2977),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2977),
    [sym_call] = STATE(2977),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(2977),
    [sym_anonymous_function] = STATE(2977),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1975),
    [sym_integer] = ACTIONS(1975),
    [sym_float] = ACTIONS(1975),
    [sym_char] = ACTIONS(1975),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [557] = {
    [sym__expression] = STATE(2976),
    [sym_block] = STATE(2976),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(2976),
    [sym_nil] = STATE(2976),
    [sym__atom] = STATE(2976),
    [sym_quoted_atom] = STATE(2976),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(2976),
    [sym_charlist] = STATE(2976),
    [sym_sigil] = STATE(2976),
    [sym_list] = STATE(2976),
    [sym_tuple] = STATE(2976),
    [sym_bitstring] = STATE(2976),
    [sym_map] = STATE(2976),
    [sym__nullary_operator] = STATE(2976),
    [sym_unary_operator] = STATE(2976),
    [sym_binary_operator] = STATE(2976),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(2976),
    [sym_anonymous_function] = STATE(2976),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1977),
    [sym_integer] = ACTIONS(1977),
    [sym_float] = ACTIONS(1977),
    [sym_char] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1977),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [558] = {
    [sym__expression] = STATE(4066),
    [sym_block] = STATE(4066),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4066),
    [sym_nil] = STATE(4066),
    [sym__atom] = STATE(4066),
    [sym_quoted_atom] = STATE(4066),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4066),
    [sym_charlist] = STATE(4066),
    [sym_sigil] = STATE(4066),
    [sym_list] = STATE(4066),
    [sym_tuple] = STATE(4066),
    [sym_bitstring] = STATE(4066),
    [sym_map] = STATE(4066),
    [sym__nullary_operator] = STATE(4066),
    [sym_unary_operator] = STATE(4066),
    [sym_binary_operator] = STATE(4066),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4066),
    [sym_call] = STATE(4066),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4066),
    [sym_anonymous_function] = STATE(4066),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1979),
    [sym_integer] = ACTIONS(1979),
    [sym_float] = ACTIONS(1979),
    [sym_char] = ACTIONS(1979),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [559] = {
    [sym__expression] = STATE(4154),
    [sym_block] = STATE(4154),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4154),
    [sym_nil] = STATE(4154),
    [sym__atom] = STATE(4154),
    [sym_quoted_atom] = STATE(4154),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4154),
    [sym_charlist] = STATE(4154),
    [sym_sigil] = STATE(4154),
    [sym_list] = STATE(4154),
    [sym_tuple] = STATE(4154),
    [sym_bitstring] = STATE(4154),
    [sym_map] = STATE(4154),
    [sym__nullary_operator] = STATE(4154),
    [sym_unary_operator] = STATE(4154),
    [sym_binary_operator] = STATE(4154),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4154),
    [sym_call] = STATE(4154),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4154),
    [sym_anonymous_function] = STATE(4154),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1981),
    [sym_integer] = ACTIONS(1981),
    [sym_float] = ACTIONS(1981),
    [sym_char] = ACTIONS(1981),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1981),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [560] = {
    [sym__expression] = STATE(3452),
    [sym_block] = STATE(3452),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3452),
    [sym_nil] = STATE(3452),
    [sym__atom] = STATE(3452),
    [sym_quoted_atom] = STATE(3452),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3452),
    [sym_charlist] = STATE(3452),
    [sym_sigil] = STATE(3452),
    [sym_list] = STATE(3452),
    [sym_tuple] = STATE(3452),
    [sym_bitstring] = STATE(3452),
    [sym_map] = STATE(3452),
    [sym__nullary_operator] = STATE(3452),
    [sym_unary_operator] = STATE(3452),
    [sym_binary_operator] = STATE(3452),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3452),
    [sym_call] = STATE(3452),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3452),
    [sym_anonymous_function] = STATE(3452),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1983),
    [sym_integer] = ACTIONS(1983),
    [sym_float] = ACTIONS(1983),
    [sym_char] = ACTIONS(1983),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1983),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [561] = {
    [sym__expression] = STATE(4153),
    [sym_block] = STATE(4153),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4153),
    [sym_nil] = STATE(4153),
    [sym__atom] = STATE(4153),
    [sym_quoted_atom] = STATE(4153),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4153),
    [sym_charlist] = STATE(4153),
    [sym_sigil] = STATE(4153),
    [sym_list] = STATE(4153),
    [sym_tuple] = STATE(4153),
    [sym_bitstring] = STATE(4153),
    [sym_map] = STATE(4153),
    [sym__nullary_operator] = STATE(4153),
    [sym_unary_operator] = STATE(4153),
    [sym_binary_operator] = STATE(4153),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4153),
    [sym_call] = STATE(4153),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4153),
    [sym_anonymous_function] = STATE(4153),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1985),
    [sym_integer] = ACTIONS(1985),
    [sym_float] = ACTIONS(1985),
    [sym_char] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1985),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [562] = {
    [sym__expression] = STATE(4150),
    [sym_block] = STATE(4150),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4150),
    [sym_nil] = STATE(4150),
    [sym__atom] = STATE(4150),
    [sym_quoted_atom] = STATE(4150),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4150),
    [sym_charlist] = STATE(4150),
    [sym_sigil] = STATE(4150),
    [sym_list] = STATE(4150),
    [sym_tuple] = STATE(4150),
    [sym_bitstring] = STATE(4150),
    [sym_map] = STATE(4150),
    [sym__nullary_operator] = STATE(4150),
    [sym_unary_operator] = STATE(4150),
    [sym_binary_operator] = STATE(4150),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4150),
    [sym_call] = STATE(4150),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4150),
    [sym_anonymous_function] = STATE(4150),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1987),
    [sym_integer] = ACTIONS(1987),
    [sym_float] = ACTIONS(1987),
    [sym_char] = ACTIONS(1987),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [563] = {
    [sym__expression] = STATE(4149),
    [sym_block] = STATE(4149),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4149),
    [sym_nil] = STATE(4149),
    [sym__atom] = STATE(4149),
    [sym_quoted_atom] = STATE(4149),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4149),
    [sym_charlist] = STATE(4149),
    [sym_sigil] = STATE(4149),
    [sym_list] = STATE(4149),
    [sym_tuple] = STATE(4149),
    [sym_bitstring] = STATE(4149),
    [sym_map] = STATE(4149),
    [sym__nullary_operator] = STATE(4149),
    [sym_unary_operator] = STATE(4149),
    [sym_binary_operator] = STATE(4149),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4149),
    [sym_call] = STATE(4149),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4149),
    [sym_anonymous_function] = STATE(4149),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1989),
    [sym_integer] = ACTIONS(1989),
    [sym_float] = ACTIONS(1989),
    [sym_char] = ACTIONS(1989),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [564] = {
    [sym__expression] = STATE(4144),
    [sym_block] = STATE(4144),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4144),
    [sym_nil] = STATE(4144),
    [sym__atom] = STATE(4144),
    [sym_quoted_atom] = STATE(4144),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4144),
    [sym_charlist] = STATE(4144),
    [sym_sigil] = STATE(4144),
    [sym_list] = STATE(4144),
    [sym_tuple] = STATE(4144),
    [sym_bitstring] = STATE(4144),
    [sym_map] = STATE(4144),
    [sym__nullary_operator] = STATE(4144),
    [sym_unary_operator] = STATE(4144),
    [sym_binary_operator] = STATE(4144),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4144),
    [sym_call] = STATE(4144),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4144),
    [sym_anonymous_function] = STATE(4144),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1991),
    [sym_integer] = ACTIONS(1991),
    [sym_float] = ACTIONS(1991),
    [sym_char] = ACTIONS(1991),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1991),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [565] = {
    [sym__expression] = STATE(4143),
    [sym_block] = STATE(4143),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4143),
    [sym_nil] = STATE(4143),
    [sym__atom] = STATE(4143),
    [sym_quoted_atom] = STATE(4143),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4143),
    [sym_charlist] = STATE(4143),
    [sym_sigil] = STATE(4143),
    [sym_list] = STATE(4143),
    [sym_tuple] = STATE(4143),
    [sym_bitstring] = STATE(4143),
    [sym_map] = STATE(4143),
    [sym__nullary_operator] = STATE(4143),
    [sym_unary_operator] = STATE(4143),
    [sym_binary_operator] = STATE(4143),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4143),
    [sym_call] = STATE(4143),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4143),
    [sym_anonymous_function] = STATE(4143),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1993),
    [sym_integer] = ACTIONS(1993),
    [sym_float] = ACTIONS(1993),
    [sym_char] = ACTIONS(1993),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [566] = {
    [sym__expression] = STATE(3479),
    [sym_block] = STATE(3479),
    [sym_identifier] = STATE(56),
    [sym_boolean] = STATE(3479),
    [sym_nil] = STATE(3479),
    [sym__atom] = STATE(3479),
    [sym_quoted_atom] = STATE(3479),
    [sym__quoted_i_double] = STATE(2951),
    [sym__quoted_i_single] = STATE(2952),
    [sym__quoted_i_heredoc_single] = STATE(2953),
    [sym__quoted_i_heredoc_double] = STATE(2954),
    [sym_string] = STATE(3479),
    [sym_charlist] = STATE(3479),
    [sym_sigil] = STATE(3479),
    [sym_list] = STATE(3479),
    [sym_tuple] = STATE(3479),
    [sym_bitstring] = STATE(3479),
    [sym_map] = STATE(3479),
    [sym__nullary_operator] = STATE(3479),
    [sym_unary_operator] = STATE(3479),
    [sym_binary_operator] = STATE(3479),
    [sym_operator_identifier] = STATE(6952),
    [sym_dot] = STATE(3479),
    [sym_call] = STATE(3479),
    [sym__call_without_parentheses] = STATE(2955),
    [sym__call_with_parentheses] = STATE(2919),
    [sym__local_call_without_parentheses] = STATE(2956),
    [sym__local_call_with_parentheses] = STATE(2174),
    [sym__local_call_just_do_block] = STATE(2957),
    [sym__remote_call_without_parentheses] = STATE(2958),
    [sym__remote_call_with_parentheses] = STATE(2173),
    [sym__remote_dot] = STATE(61),
    [sym__anonymous_call] = STATE(2172),
    [sym__anonymous_dot] = STATE(6824),
    [sym__double_call] = STATE(2961),
    [sym_access_call] = STATE(3479),
    [sym_anonymous_function] = STATE(3479),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(540),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1463),
    [sym_integer] = ACTIONS(1463),
    [sym_float] = ACTIONS(1463),
    [sym_char] = ACTIONS(1463),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_nil] = ACTIONS(546),
    [sym_atom] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(548),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(576),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(576),
    [anon_sym_not] = ACTIONS(576),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(580),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(584),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(586),
  },
  [567] = {
    [sym__expression] = STATE(4163),
    [sym_block] = STATE(4163),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4163),
    [sym_nil] = STATE(4163),
    [sym__atom] = STATE(4163),
    [sym_quoted_atom] = STATE(4163),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4163),
    [sym_charlist] = STATE(4163),
    [sym_sigil] = STATE(4163),
    [sym_list] = STATE(4163),
    [sym_tuple] = STATE(4163),
    [sym_bitstring] = STATE(4163),
    [sym_map] = STATE(4163),
    [sym__nullary_operator] = STATE(4163),
    [sym_unary_operator] = STATE(4163),
    [sym_binary_operator] = STATE(4163),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4163),
    [sym_call] = STATE(4163),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4163),
    [sym_anonymous_function] = STATE(4163),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1995),
    [sym_integer] = ACTIONS(1995),
    [sym_float] = ACTIONS(1995),
    [sym_char] = ACTIONS(1995),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [568] = {
    [sym__expression] = STATE(4164),
    [sym_block] = STATE(4164),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4164),
    [sym_nil] = STATE(4164),
    [sym__atom] = STATE(4164),
    [sym_quoted_atom] = STATE(4164),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4164),
    [sym_charlist] = STATE(4164),
    [sym_sigil] = STATE(4164),
    [sym_list] = STATE(4164),
    [sym_tuple] = STATE(4164),
    [sym_bitstring] = STATE(4164),
    [sym_map] = STATE(4164),
    [sym__nullary_operator] = STATE(4164),
    [sym_unary_operator] = STATE(4164),
    [sym_binary_operator] = STATE(4164),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4164),
    [sym_call] = STATE(4164),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4164),
    [sym_anonymous_function] = STATE(4164),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1997),
    [sym_integer] = ACTIONS(1997),
    [sym_float] = ACTIONS(1997),
    [sym_char] = ACTIONS(1997),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(1997),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [569] = {
    [sym__expression] = STATE(4142),
    [sym_block] = STATE(4142),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4142),
    [sym_nil] = STATE(4142),
    [sym__atom] = STATE(4142),
    [sym_quoted_atom] = STATE(4142),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4142),
    [sym_charlist] = STATE(4142),
    [sym_sigil] = STATE(4142),
    [sym_list] = STATE(4142),
    [sym_tuple] = STATE(4142),
    [sym_bitstring] = STATE(4142),
    [sym_map] = STATE(4142),
    [sym__nullary_operator] = STATE(4142),
    [sym_unary_operator] = STATE(4142),
    [sym_binary_operator] = STATE(4142),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4142),
    [sym_call] = STATE(4142),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4142),
    [sym_anonymous_function] = STATE(4142),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1999),
    [sym_integer] = ACTIONS(1999),
    [sym_float] = ACTIONS(1999),
    [sym_char] = ACTIONS(1999),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [570] = {
    [sym__expression] = STATE(4168),
    [sym_block] = STATE(4168),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4168),
    [sym_nil] = STATE(4168),
    [sym__atom] = STATE(4168),
    [sym_quoted_atom] = STATE(4168),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4168),
    [sym_charlist] = STATE(4168),
    [sym_sigil] = STATE(4168),
    [sym_list] = STATE(4168),
    [sym_tuple] = STATE(4168),
    [sym_bitstring] = STATE(4168),
    [sym_map] = STATE(4168),
    [sym__nullary_operator] = STATE(4168),
    [sym_unary_operator] = STATE(4168),
    [sym_binary_operator] = STATE(4168),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4168),
    [sym_call] = STATE(4168),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4168),
    [sym_anonymous_function] = STATE(4168),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2001),
    [sym_integer] = ACTIONS(2001),
    [sym_float] = ACTIONS(2001),
    [sym_char] = ACTIONS(2001),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2001),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [571] = {
    [sym__expression] = STATE(4169),
    [sym_block] = STATE(4169),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4169),
    [sym_nil] = STATE(4169),
    [sym__atom] = STATE(4169),
    [sym_quoted_atom] = STATE(4169),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4169),
    [sym_charlist] = STATE(4169),
    [sym_sigil] = STATE(4169),
    [sym_list] = STATE(4169),
    [sym_tuple] = STATE(4169),
    [sym_bitstring] = STATE(4169),
    [sym_map] = STATE(4169),
    [sym__nullary_operator] = STATE(4169),
    [sym_unary_operator] = STATE(4169),
    [sym_binary_operator] = STATE(4169),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4169),
    [sym_call] = STATE(4169),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4169),
    [sym_anonymous_function] = STATE(4169),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2003),
    [sym_integer] = ACTIONS(2003),
    [sym_float] = ACTIONS(2003),
    [sym_char] = ACTIONS(2003),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2003),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [572] = {
    [sym__expression] = STATE(4125),
    [sym_block] = STATE(4125),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4125),
    [sym_nil] = STATE(4125),
    [sym__atom] = STATE(4125),
    [sym_quoted_atom] = STATE(4125),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4125),
    [sym_charlist] = STATE(4125),
    [sym_sigil] = STATE(4125),
    [sym_list] = STATE(4125),
    [sym_tuple] = STATE(4125),
    [sym_bitstring] = STATE(4125),
    [sym_map] = STATE(4125),
    [sym__nullary_operator] = STATE(4125),
    [sym_unary_operator] = STATE(4125),
    [sym_binary_operator] = STATE(4125),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4125),
    [sym_call] = STATE(4125),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4125),
    [sym_anonymous_function] = STATE(4125),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2005),
    [sym_integer] = ACTIONS(2005),
    [sym_float] = ACTIONS(2005),
    [sym_char] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2005),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [573] = {
    [sym__expression] = STATE(4174),
    [sym_block] = STATE(4174),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4174),
    [sym_nil] = STATE(4174),
    [sym__atom] = STATE(4174),
    [sym_quoted_atom] = STATE(4174),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4174),
    [sym_charlist] = STATE(4174),
    [sym_sigil] = STATE(4174),
    [sym_list] = STATE(4174),
    [sym_tuple] = STATE(4174),
    [sym_bitstring] = STATE(4174),
    [sym_map] = STATE(4174),
    [sym__nullary_operator] = STATE(4174),
    [sym_unary_operator] = STATE(4174),
    [sym_binary_operator] = STATE(4174),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4174),
    [sym_call] = STATE(4174),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4174),
    [sym_anonymous_function] = STATE(4174),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2007),
    [sym_integer] = ACTIONS(2007),
    [sym_float] = ACTIONS(2007),
    [sym_char] = ACTIONS(2007),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2007),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [574] = {
    [sym__expression] = STATE(4179),
    [sym_block] = STATE(4179),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4179),
    [sym_nil] = STATE(4179),
    [sym__atom] = STATE(4179),
    [sym_quoted_atom] = STATE(4179),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4179),
    [sym_charlist] = STATE(4179),
    [sym_sigil] = STATE(4179),
    [sym_list] = STATE(4179),
    [sym_tuple] = STATE(4179),
    [sym_bitstring] = STATE(4179),
    [sym_map] = STATE(4179),
    [sym__nullary_operator] = STATE(4179),
    [sym_unary_operator] = STATE(4179),
    [sym_binary_operator] = STATE(4179),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4179),
    [sym_call] = STATE(4179),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4179),
    [sym_anonymous_function] = STATE(4179),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2009),
    [sym_integer] = ACTIONS(2009),
    [sym_float] = ACTIONS(2009),
    [sym_char] = ACTIONS(2009),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2009),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [575] = {
    [sym__expression] = STATE(3894),
    [sym_block] = STATE(3894),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3894),
    [sym_nil] = STATE(3894),
    [sym__atom] = STATE(3894),
    [sym_quoted_atom] = STATE(3894),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3894),
    [sym_charlist] = STATE(3894),
    [sym_sigil] = STATE(3894),
    [sym_list] = STATE(3894),
    [sym_tuple] = STATE(3894),
    [sym_bitstring] = STATE(3894),
    [sym_map] = STATE(3894),
    [sym__nullary_operator] = STATE(3894),
    [sym_unary_operator] = STATE(3894),
    [sym_binary_operator] = STATE(3894),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3894),
    [sym_call] = STATE(3894),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3894),
    [sym_anonymous_function] = STATE(3894),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2011),
    [sym_integer] = ACTIONS(2011),
    [sym_float] = ACTIONS(2011),
    [sym_char] = ACTIONS(2011),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [576] = {
    [sym__expression] = STATE(4576),
    [sym_block] = STATE(4576),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4576),
    [sym_nil] = STATE(4576),
    [sym__atom] = STATE(4576),
    [sym_quoted_atom] = STATE(4576),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4576),
    [sym_charlist] = STATE(4576),
    [sym_sigil] = STATE(4576),
    [sym_list] = STATE(4576),
    [sym_tuple] = STATE(4576),
    [sym_bitstring] = STATE(4576),
    [sym_map] = STATE(4576),
    [sym__nullary_operator] = STATE(4576),
    [sym_unary_operator] = STATE(4576),
    [sym_binary_operator] = STATE(4576),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4576),
    [sym_call] = STATE(4576),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4576),
    [sym_anonymous_function] = STATE(4576),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2013),
    [sym_integer] = ACTIONS(2013),
    [sym_float] = ACTIONS(2013),
    [sym_char] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2013),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [577] = {
    [sym__expression] = STATE(4575),
    [sym_block] = STATE(4575),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4575),
    [sym_nil] = STATE(4575),
    [sym__atom] = STATE(4575),
    [sym_quoted_atom] = STATE(4575),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4575),
    [sym_charlist] = STATE(4575),
    [sym_sigil] = STATE(4575),
    [sym_list] = STATE(4575),
    [sym_tuple] = STATE(4575),
    [sym_bitstring] = STATE(4575),
    [sym_map] = STATE(4575),
    [sym__nullary_operator] = STATE(4575),
    [sym_unary_operator] = STATE(4575),
    [sym_binary_operator] = STATE(4575),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4575),
    [sym_call] = STATE(4575),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4575),
    [sym_anonymous_function] = STATE(4575),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2015),
    [sym_integer] = ACTIONS(2015),
    [sym_float] = ACTIONS(2015),
    [sym_char] = ACTIONS(2015),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [578] = {
    [sym__expression] = STATE(4456),
    [sym_block] = STATE(4456),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4456),
    [sym_nil] = STATE(4456),
    [sym__atom] = STATE(4456),
    [sym_quoted_atom] = STATE(4456),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4456),
    [sym_charlist] = STATE(4456),
    [sym_sigil] = STATE(4456),
    [sym_list] = STATE(4456),
    [sym_tuple] = STATE(4456),
    [sym_bitstring] = STATE(4456),
    [sym_map] = STATE(4456),
    [sym__nullary_operator] = STATE(4456),
    [sym_unary_operator] = STATE(4456),
    [sym_binary_operator] = STATE(4456),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4456),
    [sym_call] = STATE(4456),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4456),
    [sym_anonymous_function] = STATE(4456),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(1527),
    [sym_integer] = ACTIONS(1527),
    [sym_float] = ACTIONS(1527),
    [sym_char] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [579] = {
    [sym__expression] = STATE(3871),
    [sym_block] = STATE(3871),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3871),
    [sym_nil] = STATE(3871),
    [sym__atom] = STATE(3871),
    [sym_quoted_atom] = STATE(3871),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3871),
    [sym_charlist] = STATE(3871),
    [sym_sigil] = STATE(3871),
    [sym_list] = STATE(3871),
    [sym_tuple] = STATE(3871),
    [sym_bitstring] = STATE(3871),
    [sym_map] = STATE(3871),
    [sym__nullary_operator] = STATE(3871),
    [sym_unary_operator] = STATE(3871),
    [sym_binary_operator] = STATE(3871),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3871),
    [sym_call] = STATE(3871),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3871),
    [sym_anonymous_function] = STATE(3871),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(1423),
    [sym_integer] = ACTIONS(1423),
    [sym_float] = ACTIONS(1423),
    [sym_char] = ACTIONS(1423),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(1423),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [580] = {
    [sym__expression] = STATE(4182),
    [sym_block] = STATE(4182),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4182),
    [sym_nil] = STATE(4182),
    [sym__atom] = STATE(4182),
    [sym_quoted_atom] = STATE(4182),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4182),
    [sym_charlist] = STATE(4182),
    [sym_sigil] = STATE(4182),
    [sym_list] = STATE(4182),
    [sym_tuple] = STATE(4182),
    [sym_bitstring] = STATE(4182),
    [sym_map] = STATE(4182),
    [sym__nullary_operator] = STATE(4182),
    [sym_unary_operator] = STATE(4182),
    [sym_binary_operator] = STATE(4182),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4182),
    [sym_call] = STATE(4182),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4182),
    [sym_anonymous_function] = STATE(4182),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2017),
    [sym_integer] = ACTIONS(2017),
    [sym_float] = ACTIONS(2017),
    [sym_char] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2017),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [581] = {
    [sym__expression] = STATE(4183),
    [sym_block] = STATE(4183),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4183),
    [sym_nil] = STATE(4183),
    [sym__atom] = STATE(4183),
    [sym_quoted_atom] = STATE(4183),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4183),
    [sym_charlist] = STATE(4183),
    [sym_sigil] = STATE(4183),
    [sym_list] = STATE(4183),
    [sym_tuple] = STATE(4183),
    [sym_bitstring] = STATE(4183),
    [sym_map] = STATE(4183),
    [sym__nullary_operator] = STATE(4183),
    [sym_unary_operator] = STATE(4183),
    [sym_binary_operator] = STATE(4183),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4183),
    [sym_call] = STATE(4183),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4183),
    [sym_anonymous_function] = STATE(4183),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2019),
    [sym_integer] = ACTIONS(2019),
    [sym_float] = ACTIONS(2019),
    [sym_char] = ACTIONS(2019),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [582] = {
    [sym__expression] = STATE(4184),
    [sym_block] = STATE(4184),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4184),
    [sym_nil] = STATE(4184),
    [sym__atom] = STATE(4184),
    [sym_quoted_atom] = STATE(4184),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4184),
    [sym_charlist] = STATE(4184),
    [sym_sigil] = STATE(4184),
    [sym_list] = STATE(4184),
    [sym_tuple] = STATE(4184),
    [sym_bitstring] = STATE(4184),
    [sym_map] = STATE(4184),
    [sym__nullary_operator] = STATE(4184),
    [sym_unary_operator] = STATE(4184),
    [sym_binary_operator] = STATE(4184),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4184),
    [sym_call] = STATE(4184),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4184),
    [sym_anonymous_function] = STATE(4184),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2021),
    [sym_integer] = ACTIONS(2021),
    [sym_float] = ACTIONS(2021),
    [sym_char] = ACTIONS(2021),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2021),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [583] = {
    [sym__expression] = STATE(2672),
    [sym_block] = STATE(2672),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2672),
    [sym_nil] = STATE(2672),
    [sym__atom] = STATE(2672),
    [sym_quoted_atom] = STATE(2672),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2672),
    [sym_charlist] = STATE(2672),
    [sym_sigil] = STATE(2672),
    [sym_list] = STATE(2672),
    [sym_tuple] = STATE(2672),
    [sym_bitstring] = STATE(2672),
    [sym_map] = STATE(2672),
    [sym__nullary_operator] = STATE(2672),
    [sym_unary_operator] = STATE(2672),
    [sym_binary_operator] = STATE(2672),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2672),
    [sym_call] = STATE(2672),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2672),
    [sym_anonymous_function] = STATE(2672),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2023),
    [sym_integer] = ACTIONS(2023),
    [sym_float] = ACTIONS(2023),
    [sym_char] = ACTIONS(2023),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2023),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [584] = {
    [sym__expression] = STATE(2380),
    [sym_block] = STATE(2380),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2380),
    [sym_nil] = STATE(2380),
    [sym__atom] = STATE(2380),
    [sym_quoted_atom] = STATE(2380),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2380),
    [sym_charlist] = STATE(2380),
    [sym_sigil] = STATE(2380),
    [sym_list] = STATE(2380),
    [sym_tuple] = STATE(2380),
    [sym_bitstring] = STATE(2380),
    [sym_map] = STATE(2380),
    [sym__nullary_operator] = STATE(2380),
    [sym_unary_operator] = STATE(2380),
    [sym_binary_operator] = STATE(2380),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2380),
    [sym_call] = STATE(2380),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2380),
    [sym_anonymous_function] = STATE(2380),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(1343),
    [sym_integer] = ACTIONS(1343),
    [sym_float] = ACTIONS(1343),
    [sym_char] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [585] = {
    [sym__expression] = STATE(4188),
    [sym_block] = STATE(4188),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4188),
    [sym_nil] = STATE(4188),
    [sym__atom] = STATE(4188),
    [sym_quoted_atom] = STATE(4188),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4188),
    [sym_charlist] = STATE(4188),
    [sym_sigil] = STATE(4188),
    [sym_list] = STATE(4188),
    [sym_tuple] = STATE(4188),
    [sym_bitstring] = STATE(4188),
    [sym_map] = STATE(4188),
    [sym__nullary_operator] = STATE(4188),
    [sym_unary_operator] = STATE(4188),
    [sym_binary_operator] = STATE(4188),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4188),
    [sym_call] = STATE(4188),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4188),
    [sym_anonymous_function] = STATE(4188),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2025),
    [sym_integer] = ACTIONS(2025),
    [sym_float] = ACTIONS(2025),
    [sym_char] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [586] = {
    [sym__expression] = STATE(4191),
    [sym_block] = STATE(4191),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4191),
    [sym_nil] = STATE(4191),
    [sym__atom] = STATE(4191),
    [sym_quoted_atom] = STATE(4191),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4191),
    [sym_charlist] = STATE(4191),
    [sym_sigil] = STATE(4191),
    [sym_list] = STATE(4191),
    [sym_tuple] = STATE(4191),
    [sym_bitstring] = STATE(4191),
    [sym_map] = STATE(4191),
    [sym__nullary_operator] = STATE(4191),
    [sym_unary_operator] = STATE(4191),
    [sym_binary_operator] = STATE(4191),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4191),
    [sym_call] = STATE(4191),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4191),
    [sym_anonymous_function] = STATE(4191),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2027),
    [sym_integer] = ACTIONS(2027),
    [sym_float] = ACTIONS(2027),
    [sym_char] = ACTIONS(2027),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2027),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [587] = {
    [sym__expression] = STATE(4192),
    [sym_block] = STATE(4192),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4192),
    [sym_nil] = STATE(4192),
    [sym__atom] = STATE(4192),
    [sym_quoted_atom] = STATE(4192),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4192),
    [sym_charlist] = STATE(4192),
    [sym_sigil] = STATE(4192),
    [sym_list] = STATE(4192),
    [sym_tuple] = STATE(4192),
    [sym_bitstring] = STATE(4192),
    [sym_map] = STATE(4192),
    [sym__nullary_operator] = STATE(4192),
    [sym_unary_operator] = STATE(4192),
    [sym_binary_operator] = STATE(4192),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4192),
    [sym_call] = STATE(4192),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4192),
    [sym_anonymous_function] = STATE(4192),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2029),
    [sym_integer] = ACTIONS(2029),
    [sym_float] = ACTIONS(2029),
    [sym_char] = ACTIONS(2029),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2029),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [588] = {
    [sym__expression] = STATE(4441),
    [sym_block] = STATE(4441),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(4441),
    [sym_nil] = STATE(4441),
    [sym__atom] = STATE(4441),
    [sym_quoted_atom] = STATE(4441),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4441),
    [sym_charlist] = STATE(4441),
    [sym_sigil] = STATE(4441),
    [sym_list] = STATE(4441),
    [sym_tuple] = STATE(4441),
    [sym_bitstring] = STATE(4441),
    [sym_map] = STATE(4441),
    [sym__nullary_operator] = STATE(4441),
    [sym_unary_operator] = STATE(4441),
    [sym_binary_operator] = STATE(4441),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4441),
    [sym_call] = STATE(4441),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4441),
    [sym_anonymous_function] = STATE(4441),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(1419),
    [sym_integer] = ACTIONS(1419),
    [sym_float] = ACTIONS(1419),
    [sym_char] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(1419),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [589] = {
    [sym__expression] = STATE(2733),
    [sym_block] = STATE(2733),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2733),
    [sym_nil] = STATE(2733),
    [sym__atom] = STATE(2733),
    [sym_quoted_atom] = STATE(2733),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2733),
    [sym_charlist] = STATE(2733),
    [sym_sigil] = STATE(2733),
    [sym_list] = STATE(2733),
    [sym_tuple] = STATE(2733),
    [sym_bitstring] = STATE(2733),
    [sym_map] = STATE(2733),
    [sym__nullary_operator] = STATE(2733),
    [sym_unary_operator] = STATE(2733),
    [sym_binary_operator] = STATE(2733),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2733),
    [sym_call] = STATE(2733),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2733),
    [sym_anonymous_function] = STATE(2733),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2031),
    [sym_integer] = ACTIONS(2031),
    [sym_float] = ACTIONS(2031),
    [sym_char] = ACTIONS(2031),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2031),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [590] = {
    [sym__expression] = STATE(2509),
    [sym_block] = STATE(2509),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2509),
    [sym_nil] = STATE(2509),
    [sym__atom] = STATE(2509),
    [sym_quoted_atom] = STATE(2509),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2509),
    [sym_charlist] = STATE(2509),
    [sym_sigil] = STATE(2509),
    [sym_list] = STATE(2509),
    [sym_tuple] = STATE(2509),
    [sym_bitstring] = STATE(2509),
    [sym_map] = STATE(2509),
    [sym__nullary_operator] = STATE(2509),
    [sym_unary_operator] = STATE(2509),
    [sym_binary_operator] = STATE(2509),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2509),
    [sym_call] = STATE(2509),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2509),
    [sym_anonymous_function] = STATE(2509),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(1369),
    [sym_integer] = ACTIONS(1369),
    [sym_float] = ACTIONS(1369),
    [sym_char] = ACTIONS(1369),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [591] = {
    [sym__expression] = STATE(4197),
    [sym_block] = STATE(4197),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4197),
    [sym_nil] = STATE(4197),
    [sym__atom] = STATE(4197),
    [sym_quoted_atom] = STATE(4197),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4197),
    [sym_charlist] = STATE(4197),
    [sym_sigil] = STATE(4197),
    [sym_list] = STATE(4197),
    [sym_tuple] = STATE(4197),
    [sym_bitstring] = STATE(4197),
    [sym_map] = STATE(4197),
    [sym__nullary_operator] = STATE(4197),
    [sym_unary_operator] = STATE(4197),
    [sym_binary_operator] = STATE(4197),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4197),
    [sym_call] = STATE(4197),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4197),
    [sym_anonymous_function] = STATE(4197),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2033),
    [sym_integer] = ACTIONS(2033),
    [sym_float] = ACTIONS(2033),
    [sym_char] = ACTIONS(2033),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2033),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [592] = {
    [sym__expression] = STATE(4424),
    [sym_block] = STATE(4424),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4424),
    [sym_nil] = STATE(4424),
    [sym__atom] = STATE(4424),
    [sym_quoted_atom] = STATE(4424),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4424),
    [sym_charlist] = STATE(4424),
    [sym_sigil] = STATE(4424),
    [sym_list] = STATE(4424),
    [sym_tuple] = STATE(4424),
    [sym_bitstring] = STATE(4424),
    [sym_map] = STATE(4424),
    [sym__nullary_operator] = STATE(4424),
    [sym_unary_operator] = STATE(4424),
    [sym_binary_operator] = STATE(4424),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4424),
    [sym_call] = STATE(4424),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4424),
    [sym_anonymous_function] = STATE(4424),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2035),
    [sym_integer] = ACTIONS(2035),
    [sym_float] = ACTIONS(2035),
    [sym_char] = ACTIONS(2035),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2035),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [593] = {
    [sym__expression] = STATE(4541),
    [sym_block] = STATE(4541),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4541),
    [sym_nil] = STATE(4541),
    [sym__atom] = STATE(4541),
    [sym_quoted_atom] = STATE(4541),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4541),
    [sym_charlist] = STATE(4541),
    [sym_sigil] = STATE(4541),
    [sym_list] = STATE(4541),
    [sym_tuple] = STATE(4541),
    [sym_bitstring] = STATE(4541),
    [sym_map] = STATE(4541),
    [sym__nullary_operator] = STATE(4541),
    [sym_unary_operator] = STATE(4541),
    [sym_binary_operator] = STATE(4541),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4541),
    [sym_call] = STATE(4541),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4541),
    [sym_anonymous_function] = STATE(4541),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2037),
    [sym_integer] = ACTIONS(2037),
    [sym_float] = ACTIONS(2037),
    [sym_char] = ACTIONS(2037),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2037),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [594] = {
    [sym__expression] = STATE(3490),
    [sym_block] = STATE(3490),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3490),
    [sym_nil] = STATE(3490),
    [sym__atom] = STATE(3490),
    [sym_quoted_atom] = STATE(3490),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3490),
    [sym_charlist] = STATE(3490),
    [sym_sigil] = STATE(3490),
    [sym_list] = STATE(3490),
    [sym_tuple] = STATE(3490),
    [sym_bitstring] = STATE(3490),
    [sym_map] = STATE(3490),
    [sym__nullary_operator] = STATE(3490),
    [sym_unary_operator] = STATE(3490),
    [sym_binary_operator] = STATE(3490),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3490),
    [sym_call] = STATE(3490),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3490),
    [sym_anonymous_function] = STATE(3490),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2039),
    [sym_integer] = ACTIONS(2039),
    [sym_float] = ACTIONS(2039),
    [sym_char] = ACTIONS(2039),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2039),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [595] = {
    [sym__expression] = STATE(4437),
    [sym_block] = STATE(4437),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4437),
    [sym_nil] = STATE(4437),
    [sym__atom] = STATE(4437),
    [sym_quoted_atom] = STATE(4437),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4437),
    [sym_charlist] = STATE(4437),
    [sym_sigil] = STATE(4437),
    [sym_list] = STATE(4437),
    [sym_tuple] = STATE(4437),
    [sym_bitstring] = STATE(4437),
    [sym_map] = STATE(4437),
    [sym__nullary_operator] = STATE(4437),
    [sym_unary_operator] = STATE(4437),
    [sym_binary_operator] = STATE(4437),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4437),
    [sym_call] = STATE(4437),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4437),
    [sym_anonymous_function] = STATE(4437),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2041),
    [sym_integer] = ACTIONS(2041),
    [sym_float] = ACTIONS(2041),
    [sym_char] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2041),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [596] = {
    [sym__expression] = STATE(4113),
    [sym_block] = STATE(4113),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4113),
    [sym_nil] = STATE(4113),
    [sym__atom] = STATE(4113),
    [sym_quoted_atom] = STATE(4113),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4113),
    [sym_charlist] = STATE(4113),
    [sym_sigil] = STATE(4113),
    [sym_list] = STATE(4113),
    [sym_tuple] = STATE(4113),
    [sym_bitstring] = STATE(4113),
    [sym_map] = STATE(4113),
    [sym__nullary_operator] = STATE(4113),
    [sym_unary_operator] = STATE(4113),
    [sym_binary_operator] = STATE(4113),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4113),
    [sym_call] = STATE(4113),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4113),
    [sym_anonymous_function] = STATE(4113),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2043),
    [sym_integer] = ACTIONS(2043),
    [sym_float] = ACTIONS(2043),
    [sym_char] = ACTIONS(2043),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [597] = {
    [sym__expression] = STATE(4114),
    [sym_block] = STATE(4114),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4114),
    [sym_nil] = STATE(4114),
    [sym__atom] = STATE(4114),
    [sym_quoted_atom] = STATE(4114),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4114),
    [sym_charlist] = STATE(4114),
    [sym_sigil] = STATE(4114),
    [sym_list] = STATE(4114),
    [sym_tuple] = STATE(4114),
    [sym_bitstring] = STATE(4114),
    [sym_map] = STATE(4114),
    [sym__nullary_operator] = STATE(4114),
    [sym_unary_operator] = STATE(4114),
    [sym_binary_operator] = STATE(4114),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4114),
    [sym_call] = STATE(4114),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4114),
    [sym_anonymous_function] = STATE(4114),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2045),
    [sym_integer] = ACTIONS(2045),
    [sym_float] = ACTIONS(2045),
    [sym_char] = ACTIONS(2045),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2045),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [598] = {
    [sym__expression] = STATE(4116),
    [sym_block] = STATE(4116),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4116),
    [sym_nil] = STATE(4116),
    [sym__atom] = STATE(4116),
    [sym_quoted_atom] = STATE(4116),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4116),
    [sym_charlist] = STATE(4116),
    [sym_sigil] = STATE(4116),
    [sym_list] = STATE(4116),
    [sym_tuple] = STATE(4116),
    [sym_bitstring] = STATE(4116),
    [sym_map] = STATE(4116),
    [sym__nullary_operator] = STATE(4116),
    [sym_unary_operator] = STATE(4116),
    [sym_binary_operator] = STATE(4116),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4116),
    [sym_call] = STATE(4116),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4116),
    [sym_anonymous_function] = STATE(4116),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2047),
    [sym_integer] = ACTIONS(2047),
    [sym_float] = ACTIONS(2047),
    [sym_char] = ACTIONS(2047),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [599] = {
    [sym__expression] = STATE(3150),
    [sym_block] = STATE(3150),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3150),
    [sym_nil] = STATE(3150),
    [sym__atom] = STATE(3150),
    [sym_quoted_atom] = STATE(3150),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3150),
    [sym_charlist] = STATE(3150),
    [sym_sigil] = STATE(3150),
    [sym_list] = STATE(3150),
    [sym_tuple] = STATE(3150),
    [sym_bitstring] = STATE(3150),
    [sym_map] = STATE(3150),
    [sym__nullary_operator] = STATE(3150),
    [sym_unary_operator] = STATE(3150),
    [sym_binary_operator] = STATE(3150),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3150),
    [sym_call] = STATE(3150),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3150),
    [sym_anonymous_function] = STATE(3150),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(1427),
    [sym_integer] = ACTIONS(1427),
    [sym_float] = ACTIONS(1427),
    [sym_char] = ACTIONS(1427),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(1427),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [600] = {
    [sym__expression] = STATE(4549),
    [sym_block] = STATE(4549),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4549),
    [sym_nil] = STATE(4549),
    [sym__atom] = STATE(4549),
    [sym_quoted_atom] = STATE(4549),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4549),
    [sym_charlist] = STATE(4549),
    [sym_sigil] = STATE(4549),
    [sym_list] = STATE(4549),
    [sym_tuple] = STATE(4549),
    [sym_bitstring] = STATE(4549),
    [sym_map] = STATE(4549),
    [sym__nullary_operator] = STATE(4549),
    [sym_unary_operator] = STATE(4549),
    [sym_binary_operator] = STATE(4549),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4549),
    [sym_call] = STATE(4549),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4549),
    [sym_anonymous_function] = STATE(4549),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2049),
    [sym_integer] = ACTIONS(2049),
    [sym_float] = ACTIONS(2049),
    [sym_char] = ACTIONS(2049),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2049),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [601] = {
    [sym__expression] = STATE(4117),
    [sym_block] = STATE(4117),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4117),
    [sym_nil] = STATE(4117),
    [sym__atom] = STATE(4117),
    [sym_quoted_atom] = STATE(4117),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4117),
    [sym_charlist] = STATE(4117),
    [sym_sigil] = STATE(4117),
    [sym_list] = STATE(4117),
    [sym_tuple] = STATE(4117),
    [sym_bitstring] = STATE(4117),
    [sym_map] = STATE(4117),
    [sym__nullary_operator] = STATE(4117),
    [sym_unary_operator] = STATE(4117),
    [sym_binary_operator] = STATE(4117),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4117),
    [sym_call] = STATE(4117),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4117),
    [sym_anonymous_function] = STATE(4117),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2051),
    [sym_integer] = ACTIONS(2051),
    [sym_float] = ACTIONS(2051),
    [sym_char] = ACTIONS(2051),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [602] = {
    [sym__expression] = STATE(4439),
    [sym_block] = STATE(4439),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4439),
    [sym_nil] = STATE(4439),
    [sym__atom] = STATE(4439),
    [sym_quoted_atom] = STATE(4439),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4439),
    [sym_charlist] = STATE(4439),
    [sym_sigil] = STATE(4439),
    [sym_list] = STATE(4439),
    [sym_tuple] = STATE(4439),
    [sym_bitstring] = STATE(4439),
    [sym_map] = STATE(4439),
    [sym__nullary_operator] = STATE(4439),
    [sym_unary_operator] = STATE(4439),
    [sym_binary_operator] = STATE(4439),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4439),
    [sym_call] = STATE(4439),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4439),
    [sym_anonymous_function] = STATE(4439),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2053),
    [sym_integer] = ACTIONS(2053),
    [sym_float] = ACTIONS(2053),
    [sym_char] = ACTIONS(2053),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2053),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [603] = {
    [sym__expression] = STATE(4118),
    [sym_block] = STATE(4118),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4118),
    [sym_nil] = STATE(4118),
    [sym__atom] = STATE(4118),
    [sym_quoted_atom] = STATE(4118),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4118),
    [sym_charlist] = STATE(4118),
    [sym_sigil] = STATE(4118),
    [sym_list] = STATE(4118),
    [sym_tuple] = STATE(4118),
    [sym_bitstring] = STATE(4118),
    [sym_map] = STATE(4118),
    [sym__nullary_operator] = STATE(4118),
    [sym_unary_operator] = STATE(4118),
    [sym_binary_operator] = STATE(4118),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4118),
    [sym_call] = STATE(4118),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4118),
    [sym_anonymous_function] = STATE(4118),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2055),
    [sym_integer] = ACTIONS(2055),
    [sym_float] = ACTIONS(2055),
    [sym_char] = ACTIONS(2055),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [604] = {
    [sym__expression] = STATE(4440),
    [sym_block] = STATE(4440),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4440),
    [sym_nil] = STATE(4440),
    [sym__atom] = STATE(4440),
    [sym_quoted_atom] = STATE(4440),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4440),
    [sym_charlist] = STATE(4440),
    [sym_sigil] = STATE(4440),
    [sym_list] = STATE(4440),
    [sym_tuple] = STATE(4440),
    [sym_bitstring] = STATE(4440),
    [sym_map] = STATE(4440),
    [sym__nullary_operator] = STATE(4440),
    [sym_unary_operator] = STATE(4440),
    [sym_binary_operator] = STATE(4440),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4440),
    [sym_call] = STATE(4440),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4440),
    [sym_anonymous_function] = STATE(4440),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2057),
    [sym_integer] = ACTIONS(2057),
    [sym_float] = ACTIONS(2057),
    [sym_char] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2057),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [605] = {
    [sym__expression] = STATE(4422),
    [sym_block] = STATE(4422),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4422),
    [sym_nil] = STATE(4422),
    [sym__atom] = STATE(4422),
    [sym_quoted_atom] = STATE(4422),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4422),
    [sym_charlist] = STATE(4422),
    [sym_sigil] = STATE(4422),
    [sym_list] = STATE(4422),
    [sym_tuple] = STATE(4422),
    [sym_bitstring] = STATE(4422),
    [sym_map] = STATE(4422),
    [sym__nullary_operator] = STATE(4422),
    [sym_unary_operator] = STATE(4422),
    [sym_binary_operator] = STATE(4422),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4422),
    [sym_call] = STATE(4422),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4422),
    [sym_anonymous_function] = STATE(4422),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2059),
    [sym_integer] = ACTIONS(2059),
    [sym_float] = ACTIONS(2059),
    [sym_char] = ACTIONS(2059),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2059),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [606] = {
    [sym__expression] = STATE(2234),
    [sym_block] = STATE(2234),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(2234),
    [sym_nil] = STATE(2234),
    [sym__atom] = STATE(2234),
    [sym_quoted_atom] = STATE(2234),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2234),
    [sym_charlist] = STATE(2234),
    [sym_sigil] = STATE(2234),
    [sym_list] = STATE(2234),
    [sym_tuple] = STATE(2234),
    [sym_bitstring] = STATE(2234),
    [sym_map] = STATE(2234),
    [sym__nullary_operator] = STATE(2234),
    [sym_unary_operator] = STATE(2234),
    [sym_binary_operator] = STATE(2234),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2234),
    [sym_call] = STATE(2234),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2234),
    [sym_anonymous_function] = STATE(2234),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2061),
    [sym_integer] = ACTIONS(2061),
    [sym_float] = ACTIONS(2061),
    [sym_char] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [607] = {
    [sym__expression] = STATE(3615),
    [sym_block] = STATE(3615),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3615),
    [sym_nil] = STATE(3615),
    [sym__atom] = STATE(3615),
    [sym_quoted_atom] = STATE(3615),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3615),
    [sym_charlist] = STATE(3615),
    [sym_sigil] = STATE(3615),
    [sym_list] = STATE(3615),
    [sym_tuple] = STATE(3615),
    [sym_bitstring] = STATE(3615),
    [sym_map] = STATE(3615),
    [sym__nullary_operator] = STATE(3615),
    [sym_unary_operator] = STATE(3615),
    [sym_binary_operator] = STATE(3615),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3615),
    [sym_call] = STATE(3615),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3615),
    [sym_anonymous_function] = STATE(3615),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2063),
    [sym_integer] = ACTIONS(2063),
    [sym_float] = ACTIONS(2063),
    [sym_char] = ACTIONS(2063),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [608] = {
    [sym__expression] = STATE(3617),
    [sym_block] = STATE(3617),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3617),
    [sym_nil] = STATE(3617),
    [sym__atom] = STATE(3617),
    [sym_quoted_atom] = STATE(3617),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3617),
    [sym_charlist] = STATE(3617),
    [sym_sigil] = STATE(3617),
    [sym_list] = STATE(3617),
    [sym_tuple] = STATE(3617),
    [sym_bitstring] = STATE(3617),
    [sym_map] = STATE(3617),
    [sym__nullary_operator] = STATE(3617),
    [sym_unary_operator] = STATE(3617),
    [sym_binary_operator] = STATE(3617),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3617),
    [sym_call] = STATE(3617),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3617),
    [sym_anonymous_function] = STATE(3617),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2065),
    [sym_integer] = ACTIONS(2065),
    [sym_float] = ACTIONS(2065),
    [sym_char] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [609] = {
    [sym__expression] = STATE(3618),
    [sym_block] = STATE(3618),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3618),
    [sym_nil] = STATE(3618),
    [sym__atom] = STATE(3618),
    [sym_quoted_atom] = STATE(3618),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3618),
    [sym_charlist] = STATE(3618),
    [sym_sigil] = STATE(3618),
    [sym_list] = STATE(3618),
    [sym_tuple] = STATE(3618),
    [sym_bitstring] = STATE(3618),
    [sym_map] = STATE(3618),
    [sym__nullary_operator] = STATE(3618),
    [sym_unary_operator] = STATE(3618),
    [sym_binary_operator] = STATE(3618),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3618),
    [sym_call] = STATE(3618),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3618),
    [sym_anonymous_function] = STATE(3618),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2067),
    [sym_integer] = ACTIONS(2067),
    [sym_float] = ACTIONS(2067),
    [sym_char] = ACTIONS(2067),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [610] = {
    [sym__expression] = STATE(3619),
    [sym_block] = STATE(3619),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3619),
    [sym_nil] = STATE(3619),
    [sym__atom] = STATE(3619),
    [sym_quoted_atom] = STATE(3619),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3619),
    [sym_charlist] = STATE(3619),
    [sym_sigil] = STATE(3619),
    [sym_list] = STATE(3619),
    [sym_tuple] = STATE(3619),
    [sym_bitstring] = STATE(3619),
    [sym_map] = STATE(3619),
    [sym__nullary_operator] = STATE(3619),
    [sym_unary_operator] = STATE(3619),
    [sym_binary_operator] = STATE(3619),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3619),
    [sym_call] = STATE(3619),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3619),
    [sym_anonymous_function] = STATE(3619),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2069),
    [sym_integer] = ACTIONS(2069),
    [sym_float] = ACTIONS(2069),
    [sym_char] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2069),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [611] = {
    [sym__expression] = STATE(3620),
    [sym_block] = STATE(3620),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3620),
    [sym_nil] = STATE(3620),
    [sym__atom] = STATE(3620),
    [sym_quoted_atom] = STATE(3620),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3620),
    [sym_charlist] = STATE(3620),
    [sym_sigil] = STATE(3620),
    [sym_list] = STATE(3620),
    [sym_tuple] = STATE(3620),
    [sym_bitstring] = STATE(3620),
    [sym_map] = STATE(3620),
    [sym__nullary_operator] = STATE(3620),
    [sym_unary_operator] = STATE(3620),
    [sym_binary_operator] = STATE(3620),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3620),
    [sym_call] = STATE(3620),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3620),
    [sym_anonymous_function] = STATE(3620),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2071),
    [sym_integer] = ACTIONS(2071),
    [sym_float] = ACTIONS(2071),
    [sym_char] = ACTIONS(2071),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [612] = {
    [sym__expression] = STATE(3621),
    [sym_block] = STATE(3621),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3621),
    [sym_nil] = STATE(3621),
    [sym__atom] = STATE(3621),
    [sym_quoted_atom] = STATE(3621),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3621),
    [sym_charlist] = STATE(3621),
    [sym_sigil] = STATE(3621),
    [sym_list] = STATE(3621),
    [sym_tuple] = STATE(3621),
    [sym_bitstring] = STATE(3621),
    [sym_map] = STATE(3621),
    [sym__nullary_operator] = STATE(3621),
    [sym_unary_operator] = STATE(3621),
    [sym_binary_operator] = STATE(3621),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3621),
    [sym_call] = STATE(3621),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3621),
    [sym_anonymous_function] = STATE(3621),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2073),
    [sym_integer] = ACTIONS(2073),
    [sym_float] = ACTIONS(2073),
    [sym_char] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2073),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [613] = {
    [sym__expression] = STATE(3622),
    [sym_block] = STATE(3622),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3622),
    [sym_nil] = STATE(3622),
    [sym__atom] = STATE(3622),
    [sym_quoted_atom] = STATE(3622),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3622),
    [sym_charlist] = STATE(3622),
    [sym_sigil] = STATE(3622),
    [sym_list] = STATE(3622),
    [sym_tuple] = STATE(3622),
    [sym_bitstring] = STATE(3622),
    [sym_map] = STATE(3622),
    [sym__nullary_operator] = STATE(3622),
    [sym_unary_operator] = STATE(3622),
    [sym_binary_operator] = STATE(3622),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3622),
    [sym_call] = STATE(3622),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3622),
    [sym_anonymous_function] = STATE(3622),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2075),
    [sym_integer] = ACTIONS(2075),
    [sym_float] = ACTIONS(2075),
    [sym_char] = ACTIONS(2075),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [614] = {
    [sym__expression] = STATE(3623),
    [sym_block] = STATE(3623),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3623),
    [sym_nil] = STATE(3623),
    [sym__atom] = STATE(3623),
    [sym_quoted_atom] = STATE(3623),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3623),
    [sym_charlist] = STATE(3623),
    [sym_sigil] = STATE(3623),
    [sym_list] = STATE(3623),
    [sym_tuple] = STATE(3623),
    [sym_bitstring] = STATE(3623),
    [sym_map] = STATE(3623),
    [sym__nullary_operator] = STATE(3623),
    [sym_unary_operator] = STATE(3623),
    [sym_binary_operator] = STATE(3623),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3623),
    [sym_call] = STATE(3623),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3623),
    [sym_anonymous_function] = STATE(3623),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2077),
    [sym_integer] = ACTIONS(2077),
    [sym_float] = ACTIONS(2077),
    [sym_char] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2077),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [615] = {
    [sym__expression] = STATE(3624),
    [sym_block] = STATE(3624),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3624),
    [sym_nil] = STATE(3624),
    [sym__atom] = STATE(3624),
    [sym_quoted_atom] = STATE(3624),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3624),
    [sym_charlist] = STATE(3624),
    [sym_sigil] = STATE(3624),
    [sym_list] = STATE(3624),
    [sym_tuple] = STATE(3624),
    [sym_bitstring] = STATE(3624),
    [sym_map] = STATE(3624),
    [sym__nullary_operator] = STATE(3624),
    [sym_unary_operator] = STATE(3624),
    [sym_binary_operator] = STATE(3624),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3624),
    [sym_call] = STATE(3624),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3624),
    [sym_anonymous_function] = STATE(3624),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2079),
    [sym_integer] = ACTIONS(2079),
    [sym_float] = ACTIONS(2079),
    [sym_char] = ACTIONS(2079),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2079),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [616] = {
    [sym__expression] = STATE(3626),
    [sym_block] = STATE(3626),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3626),
    [sym_nil] = STATE(3626),
    [sym__atom] = STATE(3626),
    [sym_quoted_atom] = STATE(3626),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3626),
    [sym_charlist] = STATE(3626),
    [sym_sigil] = STATE(3626),
    [sym_list] = STATE(3626),
    [sym_tuple] = STATE(3626),
    [sym_bitstring] = STATE(3626),
    [sym_map] = STATE(3626),
    [sym__nullary_operator] = STATE(3626),
    [sym_unary_operator] = STATE(3626),
    [sym_binary_operator] = STATE(3626),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3626),
    [sym_call] = STATE(3626),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3626),
    [sym_anonymous_function] = STATE(3626),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2081),
    [sym_integer] = ACTIONS(2081),
    [sym_float] = ACTIONS(2081),
    [sym_char] = ACTIONS(2081),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2081),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [617] = {
    [sym__expression] = STATE(3627),
    [sym_block] = STATE(3627),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3627),
    [sym_nil] = STATE(3627),
    [sym__atom] = STATE(3627),
    [sym_quoted_atom] = STATE(3627),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3627),
    [sym_charlist] = STATE(3627),
    [sym_sigil] = STATE(3627),
    [sym_list] = STATE(3627),
    [sym_tuple] = STATE(3627),
    [sym_bitstring] = STATE(3627),
    [sym_map] = STATE(3627),
    [sym__nullary_operator] = STATE(3627),
    [sym_unary_operator] = STATE(3627),
    [sym_binary_operator] = STATE(3627),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3627),
    [sym_call] = STATE(3627),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3627),
    [sym_anonymous_function] = STATE(3627),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2083),
    [sym_integer] = ACTIONS(2083),
    [sym_float] = ACTIONS(2083),
    [sym_char] = ACTIONS(2083),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2083),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [618] = {
    [sym__expression] = STATE(3628),
    [sym_block] = STATE(3628),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3628),
    [sym_nil] = STATE(3628),
    [sym__atom] = STATE(3628),
    [sym_quoted_atom] = STATE(3628),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3628),
    [sym_charlist] = STATE(3628),
    [sym_sigil] = STATE(3628),
    [sym_list] = STATE(3628),
    [sym_tuple] = STATE(3628),
    [sym_bitstring] = STATE(3628),
    [sym_map] = STATE(3628),
    [sym__nullary_operator] = STATE(3628),
    [sym_unary_operator] = STATE(3628),
    [sym_binary_operator] = STATE(3628),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3628),
    [sym_call] = STATE(3628),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3628),
    [sym_anonymous_function] = STATE(3628),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2085),
    [sym_integer] = ACTIONS(2085),
    [sym_float] = ACTIONS(2085),
    [sym_char] = ACTIONS(2085),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2085),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [619] = {
    [sym__expression] = STATE(3629),
    [sym_block] = STATE(3629),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3629),
    [sym_nil] = STATE(3629),
    [sym__atom] = STATE(3629),
    [sym_quoted_atom] = STATE(3629),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3629),
    [sym_charlist] = STATE(3629),
    [sym_sigil] = STATE(3629),
    [sym_list] = STATE(3629),
    [sym_tuple] = STATE(3629),
    [sym_bitstring] = STATE(3629),
    [sym_map] = STATE(3629),
    [sym__nullary_operator] = STATE(3629),
    [sym_unary_operator] = STATE(3629),
    [sym_binary_operator] = STATE(3629),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3629),
    [sym_call] = STATE(3629),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3629),
    [sym_anonymous_function] = STATE(3629),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2087),
    [sym_integer] = ACTIONS(2087),
    [sym_float] = ACTIONS(2087),
    [sym_char] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [620] = {
    [sym__expression] = STATE(3631),
    [sym_block] = STATE(3631),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3631),
    [sym_nil] = STATE(3631),
    [sym__atom] = STATE(3631),
    [sym_quoted_atom] = STATE(3631),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3631),
    [sym_charlist] = STATE(3631),
    [sym_sigil] = STATE(3631),
    [sym_list] = STATE(3631),
    [sym_tuple] = STATE(3631),
    [sym_bitstring] = STATE(3631),
    [sym_map] = STATE(3631),
    [sym__nullary_operator] = STATE(3631),
    [sym_unary_operator] = STATE(3631),
    [sym_binary_operator] = STATE(3631),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3631),
    [sym_call] = STATE(3631),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3631),
    [sym_anonymous_function] = STATE(3631),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2089),
    [sym_integer] = ACTIONS(2089),
    [sym_float] = ACTIONS(2089),
    [sym_char] = ACTIONS(2089),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2089),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [621] = {
    [sym__expression] = STATE(3632),
    [sym_block] = STATE(3632),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(3632),
    [sym_nil] = STATE(3632),
    [sym__atom] = STATE(3632),
    [sym_quoted_atom] = STATE(3632),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(3632),
    [sym_charlist] = STATE(3632),
    [sym_sigil] = STATE(3632),
    [sym_list] = STATE(3632),
    [sym_tuple] = STATE(3632),
    [sym_bitstring] = STATE(3632),
    [sym_map] = STATE(3632),
    [sym__nullary_operator] = STATE(3632),
    [sym_unary_operator] = STATE(3632),
    [sym_binary_operator] = STATE(3632),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(3632),
    [sym_call] = STATE(3632),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(3632),
    [sym_anonymous_function] = STATE(3632),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2091),
    [sym_integer] = ACTIONS(2091),
    [sym_float] = ACTIONS(2091),
    [sym_char] = ACTIONS(2091),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [622] = {
    [sym__expression] = STATE(2245),
    [sym_block] = STATE(2245),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(2245),
    [sym_nil] = STATE(2245),
    [sym__atom] = STATE(2245),
    [sym_quoted_atom] = STATE(2245),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2245),
    [sym_charlist] = STATE(2245),
    [sym_sigil] = STATE(2245),
    [sym_list] = STATE(2245),
    [sym_tuple] = STATE(2245),
    [sym_bitstring] = STATE(2245),
    [sym_map] = STATE(2245),
    [sym__nullary_operator] = STATE(2245),
    [sym_unary_operator] = STATE(2245),
    [sym_binary_operator] = STATE(2245),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2245),
    [sym_call] = STATE(2245),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2245),
    [sym_anonymous_function] = STATE(2245),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2093),
    [sym_integer] = ACTIONS(2093),
    [sym_float] = ACTIONS(2093),
    [sym_char] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [623] = {
    [sym__expression] = STATE(2246),
    [sym_block] = STATE(2246),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(2246),
    [sym_nil] = STATE(2246),
    [sym__atom] = STATE(2246),
    [sym_quoted_atom] = STATE(2246),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2246),
    [sym_charlist] = STATE(2246),
    [sym_sigil] = STATE(2246),
    [sym_list] = STATE(2246),
    [sym_tuple] = STATE(2246),
    [sym_bitstring] = STATE(2246),
    [sym_map] = STATE(2246),
    [sym__nullary_operator] = STATE(2246),
    [sym_unary_operator] = STATE(2246),
    [sym_binary_operator] = STATE(2246),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2246),
    [sym_call] = STATE(2246),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2246),
    [sym_anonymous_function] = STATE(2246),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2095),
    [sym_integer] = ACTIONS(2095),
    [sym_float] = ACTIONS(2095),
    [sym_char] = ACTIONS(2095),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [624] = {
    [sym__expression] = STATE(2257),
    [sym_block] = STATE(2257),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(2257),
    [sym_nil] = STATE(2257),
    [sym__atom] = STATE(2257),
    [sym_quoted_atom] = STATE(2257),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2257),
    [sym_charlist] = STATE(2257),
    [sym_sigil] = STATE(2257),
    [sym_list] = STATE(2257),
    [sym_tuple] = STATE(2257),
    [sym_bitstring] = STATE(2257),
    [sym_map] = STATE(2257),
    [sym__nullary_operator] = STATE(2257),
    [sym_unary_operator] = STATE(2257),
    [sym_binary_operator] = STATE(2257),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2257),
    [sym_call] = STATE(2257),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2257),
    [sym_anonymous_function] = STATE(2257),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2097),
    [sym_integer] = ACTIONS(2097),
    [sym_float] = ACTIONS(2097),
    [sym_char] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [625] = {
    [sym__expression] = STATE(2258),
    [sym_block] = STATE(2258),
    [sym_identifier] = STATE(64),
    [sym_boolean] = STATE(2258),
    [sym_nil] = STATE(2258),
    [sym__atom] = STATE(2258),
    [sym_quoted_atom] = STATE(2258),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2258),
    [sym_charlist] = STATE(2258),
    [sym_sigil] = STATE(2258),
    [sym_list] = STATE(2258),
    [sym_tuple] = STATE(2258),
    [sym_bitstring] = STATE(2258),
    [sym_map] = STATE(2258),
    [sym__nullary_operator] = STATE(2258),
    [sym_unary_operator] = STATE(2258),
    [sym_binary_operator] = STATE(2258),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2258),
    [sym_call] = STATE(2258),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(69),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2258),
    [sym_anonymous_function] = STATE(2258),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2099),
    [sym_integer] = ACTIONS(2099),
    [sym_float] = ACTIONS(2099),
    [sym_char] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(658),
    [anon_sym_DASH] = ACTIONS(658),
    [anon_sym_BANG] = ACTIONS(658),
    [anon_sym_CARET] = ACTIONS(658),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(658),
    [anon_sym_not] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(662),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [626] = {
    [sym__expression] = STATE(4120),
    [sym_block] = STATE(4120),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4120),
    [sym_nil] = STATE(4120),
    [sym__atom] = STATE(4120),
    [sym_quoted_atom] = STATE(4120),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4120),
    [sym_charlist] = STATE(4120),
    [sym_sigil] = STATE(4120),
    [sym_list] = STATE(4120),
    [sym_tuple] = STATE(4120),
    [sym_bitstring] = STATE(4120),
    [sym_map] = STATE(4120),
    [sym__nullary_operator] = STATE(4120),
    [sym_unary_operator] = STATE(4120),
    [sym_binary_operator] = STATE(4120),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4120),
    [sym_call] = STATE(4120),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4120),
    [sym_anonymous_function] = STATE(4120),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2101),
    [sym_integer] = ACTIONS(2101),
    [sym_float] = ACTIONS(2101),
    [sym_char] = ACTIONS(2101),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [627] = {
    [sym__expression] = STATE(4442),
    [sym_block] = STATE(4442),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4442),
    [sym_nil] = STATE(4442),
    [sym__atom] = STATE(4442),
    [sym_quoted_atom] = STATE(4442),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4442),
    [sym_charlist] = STATE(4442),
    [sym_sigil] = STATE(4442),
    [sym_list] = STATE(4442),
    [sym_tuple] = STATE(4442),
    [sym_bitstring] = STATE(4442),
    [sym_map] = STATE(4442),
    [sym__nullary_operator] = STATE(4442),
    [sym_unary_operator] = STATE(4442),
    [sym_binary_operator] = STATE(4442),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4442),
    [sym_call] = STATE(4442),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4442),
    [sym_anonymous_function] = STATE(4442),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2103),
    [sym_integer] = ACTIONS(2103),
    [sym_float] = ACTIONS(2103),
    [sym_char] = ACTIONS(2103),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2103),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [628] = {
    [sym__expression] = STATE(4122),
    [sym_block] = STATE(4122),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4122),
    [sym_nil] = STATE(4122),
    [sym__atom] = STATE(4122),
    [sym_quoted_atom] = STATE(4122),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4122),
    [sym_charlist] = STATE(4122),
    [sym_sigil] = STATE(4122),
    [sym_list] = STATE(4122),
    [sym_tuple] = STATE(4122),
    [sym_bitstring] = STATE(4122),
    [sym_map] = STATE(4122),
    [sym__nullary_operator] = STATE(4122),
    [sym_unary_operator] = STATE(4122),
    [sym_binary_operator] = STATE(4122),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4122),
    [sym_call] = STATE(4122),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4122),
    [sym_anonymous_function] = STATE(4122),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2105),
    [sym_integer] = ACTIONS(2105),
    [sym_float] = ACTIONS(2105),
    [sym_char] = ACTIONS(2105),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [629] = {
    [sym__expression] = STATE(4123),
    [sym_block] = STATE(4123),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4123),
    [sym_nil] = STATE(4123),
    [sym__atom] = STATE(4123),
    [sym_quoted_atom] = STATE(4123),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4123),
    [sym_charlist] = STATE(4123),
    [sym_sigil] = STATE(4123),
    [sym_list] = STATE(4123),
    [sym_tuple] = STATE(4123),
    [sym_bitstring] = STATE(4123),
    [sym_map] = STATE(4123),
    [sym__nullary_operator] = STATE(4123),
    [sym_unary_operator] = STATE(4123),
    [sym_binary_operator] = STATE(4123),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4123),
    [sym_call] = STATE(4123),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4123),
    [sym_anonymous_function] = STATE(4123),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2107),
    [sym_integer] = ACTIONS(2107),
    [sym_float] = ACTIONS(2107),
    [sym_char] = ACTIONS(2107),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [630] = {
    [sym__expression] = STATE(2660),
    [sym_block] = STATE(2660),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2660),
    [sym_nil] = STATE(2660),
    [sym__atom] = STATE(2660),
    [sym_quoted_atom] = STATE(2660),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2660),
    [sym_charlist] = STATE(2660),
    [sym_sigil] = STATE(2660),
    [sym_list] = STATE(2660),
    [sym_tuple] = STATE(2660),
    [sym_bitstring] = STATE(2660),
    [sym_map] = STATE(2660),
    [sym__nullary_operator] = STATE(2660),
    [sym_unary_operator] = STATE(2660),
    [sym_binary_operator] = STATE(2660),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2660),
    [sym_call] = STATE(2660),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2660),
    [sym_anonymous_function] = STATE(2660),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1297),
    [sym_integer] = ACTIONS(1297),
    [sym_float] = ACTIONS(1297),
    [sym_char] = ACTIONS(1297),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [631] = {
    [sym__expression] = STATE(4443),
    [sym_block] = STATE(4443),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4443),
    [sym_nil] = STATE(4443),
    [sym__atom] = STATE(4443),
    [sym_quoted_atom] = STATE(4443),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4443),
    [sym_charlist] = STATE(4443),
    [sym_sigil] = STATE(4443),
    [sym_list] = STATE(4443),
    [sym_tuple] = STATE(4443),
    [sym_bitstring] = STATE(4443),
    [sym_map] = STATE(4443),
    [sym__nullary_operator] = STATE(4443),
    [sym_unary_operator] = STATE(4443),
    [sym_binary_operator] = STATE(4443),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4443),
    [sym_call] = STATE(4443),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4443),
    [sym_anonymous_function] = STATE(4443),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2109),
    [sym_integer] = ACTIONS(2109),
    [sym_float] = ACTIONS(2109),
    [sym_char] = ACTIONS(2109),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [632] = {
    [sym__expression] = STATE(4444),
    [sym_block] = STATE(4444),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4444),
    [sym_nil] = STATE(4444),
    [sym__atom] = STATE(4444),
    [sym_quoted_atom] = STATE(4444),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4444),
    [sym_charlist] = STATE(4444),
    [sym_sigil] = STATE(4444),
    [sym_list] = STATE(4444),
    [sym_tuple] = STATE(4444),
    [sym_bitstring] = STATE(4444),
    [sym_map] = STATE(4444),
    [sym__nullary_operator] = STATE(4444),
    [sym_unary_operator] = STATE(4444),
    [sym_binary_operator] = STATE(4444),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4444),
    [sym_call] = STATE(4444),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4444),
    [sym_anonymous_function] = STATE(4444),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2111),
    [sym_integer] = ACTIONS(2111),
    [sym_float] = ACTIONS(2111),
    [sym_char] = ACTIONS(2111),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [633] = {
    [sym__expression] = STATE(4124),
    [sym_block] = STATE(4124),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4124),
    [sym_nil] = STATE(4124),
    [sym__atom] = STATE(4124),
    [sym_quoted_atom] = STATE(4124),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4124),
    [sym_charlist] = STATE(4124),
    [sym_sigil] = STATE(4124),
    [sym_list] = STATE(4124),
    [sym_tuple] = STATE(4124),
    [sym_bitstring] = STATE(4124),
    [sym_map] = STATE(4124),
    [sym__nullary_operator] = STATE(4124),
    [sym_unary_operator] = STATE(4124),
    [sym_binary_operator] = STATE(4124),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4124),
    [sym_call] = STATE(4124),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4124),
    [sym_anonymous_function] = STATE(4124),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2113),
    [sym_integer] = ACTIONS(2113),
    [sym_float] = ACTIONS(2113),
    [sym_char] = ACTIONS(2113),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2113),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [634] = {
    [sym__expression] = STATE(3438),
    [sym_block] = STATE(3438),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3438),
    [sym_nil] = STATE(3438),
    [sym__atom] = STATE(3438),
    [sym_quoted_atom] = STATE(3438),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3438),
    [sym_charlist] = STATE(3438),
    [sym_sigil] = STATE(3438),
    [sym_list] = STATE(3438),
    [sym_tuple] = STATE(3438),
    [sym_bitstring] = STATE(3438),
    [sym_map] = STATE(3438),
    [sym__nullary_operator] = STATE(3438),
    [sym_unary_operator] = STATE(3438),
    [sym_binary_operator] = STATE(3438),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3438),
    [sym_call] = STATE(3438),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3438),
    [sym_anonymous_function] = STATE(3438),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2115),
    [sym_integer] = ACTIONS(2115),
    [sym_float] = ACTIONS(2115),
    [sym_char] = ACTIONS(2115),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [635] = {
    [sym__expression] = STATE(3416),
    [sym_block] = STATE(3416),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3416),
    [sym_nil] = STATE(3416),
    [sym__atom] = STATE(3416),
    [sym_quoted_atom] = STATE(3416),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3416),
    [sym_charlist] = STATE(3416),
    [sym_sigil] = STATE(3416),
    [sym_list] = STATE(3416),
    [sym_tuple] = STATE(3416),
    [sym_bitstring] = STATE(3416),
    [sym_map] = STATE(3416),
    [sym__nullary_operator] = STATE(3416),
    [sym_unary_operator] = STATE(3416),
    [sym_binary_operator] = STATE(3416),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3416),
    [sym_call] = STATE(3416),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3416),
    [sym_anonymous_function] = STATE(3416),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2117),
    [sym_integer] = ACTIONS(2117),
    [sym_float] = ACTIONS(2117),
    [sym_char] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2117),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [636] = {
    [sym__expression] = STATE(3193),
    [sym_block] = STATE(3193),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym__atom] = STATE(3193),
    [sym_quoted_atom] = STATE(3193),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3193),
    [sym_charlist] = STATE(3193),
    [sym_sigil] = STATE(3193),
    [sym_list] = STATE(3193),
    [sym_tuple] = STATE(3193),
    [sym_bitstring] = STATE(3193),
    [sym_map] = STATE(3193),
    [sym__nullary_operator] = STATE(3193),
    [sym_unary_operator] = STATE(3193),
    [sym_binary_operator] = STATE(3193),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3193),
    [sym_call] = STATE(3193),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3193),
    [sym_anonymous_function] = STATE(3193),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2119),
    [sym_integer] = ACTIONS(2119),
    [sym_float] = ACTIONS(2119),
    [sym_char] = ACTIONS(2119),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [637] = {
    [sym__expression] = STATE(3648),
    [sym_block] = STATE(3648),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3648),
    [sym_nil] = STATE(3648),
    [sym__atom] = STATE(3648),
    [sym_quoted_atom] = STATE(3648),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3648),
    [sym_charlist] = STATE(3648),
    [sym_sigil] = STATE(3648),
    [sym_list] = STATE(3648),
    [sym_tuple] = STATE(3648),
    [sym_bitstring] = STATE(3648),
    [sym_map] = STATE(3648),
    [sym__nullary_operator] = STATE(3648),
    [sym_unary_operator] = STATE(3648),
    [sym_binary_operator] = STATE(3648),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3648),
    [sym_call] = STATE(3648),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3648),
    [sym_anonymous_function] = STATE(3648),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2121),
    [sym_integer] = ACTIONS(2121),
    [sym_float] = ACTIONS(2121),
    [sym_char] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [638] = {
    [sym__expression] = STATE(1738),
    [sym_block] = STATE(1738),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1738),
    [sym_nil] = STATE(1738),
    [sym__atom] = STATE(1738),
    [sym_quoted_atom] = STATE(1738),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1738),
    [sym_charlist] = STATE(1738),
    [sym_sigil] = STATE(1738),
    [sym_list] = STATE(1738),
    [sym_tuple] = STATE(1738),
    [sym_bitstring] = STATE(1738),
    [sym_map] = STATE(1738),
    [sym__nullary_operator] = STATE(1738),
    [sym_unary_operator] = STATE(1738),
    [sym_binary_operator] = STATE(1738),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1738),
    [sym_call] = STATE(1738),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1738),
    [sym_anonymous_function] = STATE(1738),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1797),
    [sym_integer] = ACTIONS(1797),
    [sym_float] = ACTIONS(1797),
    [sym_char] = ACTIONS(1797),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1797),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [639] = {
    [sym__expression] = STATE(4533),
    [sym_block] = STATE(4533),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4533),
    [sym_nil] = STATE(4533),
    [sym__atom] = STATE(4533),
    [sym_quoted_atom] = STATE(4533),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4533),
    [sym_charlist] = STATE(4533),
    [sym_sigil] = STATE(4533),
    [sym_list] = STATE(4533),
    [sym_tuple] = STATE(4533),
    [sym_bitstring] = STATE(4533),
    [sym_map] = STATE(4533),
    [sym__nullary_operator] = STATE(4533),
    [sym_unary_operator] = STATE(4533),
    [sym_binary_operator] = STATE(4533),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4533),
    [sym_call] = STATE(4533),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4533),
    [sym_anonymous_function] = STATE(4533),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2123),
    [sym_integer] = ACTIONS(2123),
    [sym_float] = ACTIONS(2123),
    [sym_char] = ACTIONS(2123),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [640] = {
    [sym__expression] = STATE(4532),
    [sym_block] = STATE(4532),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4532),
    [sym_nil] = STATE(4532),
    [sym__atom] = STATE(4532),
    [sym_quoted_atom] = STATE(4532),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4532),
    [sym_charlist] = STATE(4532),
    [sym_sigil] = STATE(4532),
    [sym_list] = STATE(4532),
    [sym_tuple] = STATE(4532),
    [sym_bitstring] = STATE(4532),
    [sym_map] = STATE(4532),
    [sym__nullary_operator] = STATE(4532),
    [sym_unary_operator] = STATE(4532),
    [sym_binary_operator] = STATE(4532),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4532),
    [sym_call] = STATE(4532),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4532),
    [sym_anonymous_function] = STATE(4532),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2125),
    [sym_integer] = ACTIONS(2125),
    [sym_float] = ACTIONS(2125),
    [sym_char] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2125),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [641] = {
    [sym__expression] = STATE(4531),
    [sym_block] = STATE(4531),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4531),
    [sym_nil] = STATE(4531),
    [sym__atom] = STATE(4531),
    [sym_quoted_atom] = STATE(4531),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4531),
    [sym_charlist] = STATE(4531),
    [sym_sigil] = STATE(4531),
    [sym_list] = STATE(4531),
    [sym_tuple] = STATE(4531),
    [sym_bitstring] = STATE(4531),
    [sym_map] = STATE(4531),
    [sym__nullary_operator] = STATE(4531),
    [sym_unary_operator] = STATE(4531),
    [sym_binary_operator] = STATE(4531),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4531),
    [sym_call] = STATE(4531),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4531),
    [sym_anonymous_function] = STATE(4531),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2127),
    [sym_integer] = ACTIONS(2127),
    [sym_float] = ACTIONS(2127),
    [sym_char] = ACTIONS(2127),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [642] = {
    [sym__expression] = STATE(3407),
    [sym_block] = STATE(3407),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3407),
    [sym_nil] = STATE(3407),
    [sym__atom] = STATE(3407),
    [sym_quoted_atom] = STATE(3407),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3407),
    [sym_charlist] = STATE(3407),
    [sym_sigil] = STATE(3407),
    [sym_list] = STATE(3407),
    [sym_tuple] = STATE(3407),
    [sym_bitstring] = STATE(3407),
    [sym_map] = STATE(3407),
    [sym__nullary_operator] = STATE(3407),
    [sym_unary_operator] = STATE(3407),
    [sym_binary_operator] = STATE(3407),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3407),
    [sym_call] = STATE(3407),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3407),
    [sym_anonymous_function] = STATE(3407),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2129),
    [sym_integer] = ACTIONS(2129),
    [sym_float] = ACTIONS(2129),
    [sym_char] = ACTIONS(2129),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2129),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [643] = {
    [sym__expression] = STATE(3405),
    [sym_block] = STATE(3405),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3405),
    [sym_nil] = STATE(3405),
    [sym__atom] = STATE(3405),
    [sym_quoted_atom] = STATE(3405),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3405),
    [sym_charlist] = STATE(3405),
    [sym_sigil] = STATE(3405),
    [sym_list] = STATE(3405),
    [sym_tuple] = STATE(3405),
    [sym_bitstring] = STATE(3405),
    [sym_map] = STATE(3405),
    [sym__nullary_operator] = STATE(3405),
    [sym_unary_operator] = STATE(3405),
    [sym_binary_operator] = STATE(3405),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3405),
    [sym_call] = STATE(3405),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3405),
    [sym_anonymous_function] = STATE(3405),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2131),
    [sym_integer] = ACTIONS(2131),
    [sym_float] = ACTIONS(2131),
    [sym_char] = ACTIONS(2131),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [644] = {
    [sym__expression] = STATE(3404),
    [sym_block] = STATE(3404),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3404),
    [sym_nil] = STATE(3404),
    [sym__atom] = STATE(3404),
    [sym_quoted_atom] = STATE(3404),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3404),
    [sym_charlist] = STATE(3404),
    [sym_sigil] = STATE(3404),
    [sym_list] = STATE(3404),
    [sym_tuple] = STATE(3404),
    [sym_bitstring] = STATE(3404),
    [sym_map] = STATE(3404),
    [sym__nullary_operator] = STATE(3404),
    [sym_unary_operator] = STATE(3404),
    [sym_binary_operator] = STATE(3404),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3404),
    [sym_call] = STATE(3404),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3404),
    [sym_anonymous_function] = STATE(3404),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2133),
    [sym_integer] = ACTIONS(2133),
    [sym_float] = ACTIONS(2133),
    [sym_char] = ACTIONS(2133),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2133),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [645] = {
    [sym__expression] = STATE(3376),
    [sym_block] = STATE(3376),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3376),
    [sym_nil] = STATE(3376),
    [sym__atom] = STATE(3376),
    [sym_quoted_atom] = STATE(3376),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3376),
    [sym_charlist] = STATE(3376),
    [sym_sigil] = STATE(3376),
    [sym_list] = STATE(3376),
    [sym_tuple] = STATE(3376),
    [sym_bitstring] = STATE(3376),
    [sym_map] = STATE(3376),
    [sym__nullary_operator] = STATE(3376),
    [sym_unary_operator] = STATE(3376),
    [sym_binary_operator] = STATE(3376),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3376),
    [sym_call] = STATE(3376),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3376),
    [sym_anonymous_function] = STATE(3376),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2135),
    [sym_integer] = ACTIONS(2135),
    [sym_float] = ACTIONS(2135),
    [sym_char] = ACTIONS(2135),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [646] = {
    [sym__expression] = STATE(3350),
    [sym_block] = STATE(3350),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3350),
    [sym_nil] = STATE(3350),
    [sym__atom] = STATE(3350),
    [sym_quoted_atom] = STATE(3350),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3350),
    [sym_charlist] = STATE(3350),
    [sym_sigil] = STATE(3350),
    [sym_list] = STATE(3350),
    [sym_tuple] = STATE(3350),
    [sym_bitstring] = STATE(3350),
    [sym_map] = STATE(3350),
    [sym__nullary_operator] = STATE(3350),
    [sym_unary_operator] = STATE(3350),
    [sym_binary_operator] = STATE(3350),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3350),
    [sym_call] = STATE(3350),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3350),
    [sym_anonymous_function] = STATE(3350),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2137),
    [sym_integer] = ACTIONS(2137),
    [sym_float] = ACTIONS(2137),
    [sym_char] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2137),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [647] = {
    [sym__expression] = STATE(4446),
    [sym_block] = STATE(4446),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4446),
    [sym_nil] = STATE(4446),
    [sym__atom] = STATE(4446),
    [sym_quoted_atom] = STATE(4446),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4446),
    [sym_charlist] = STATE(4446),
    [sym_sigil] = STATE(4446),
    [sym_list] = STATE(4446),
    [sym_tuple] = STATE(4446),
    [sym_bitstring] = STATE(4446),
    [sym_map] = STATE(4446),
    [sym__nullary_operator] = STATE(4446),
    [sym_unary_operator] = STATE(4446),
    [sym_binary_operator] = STATE(4446),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4446),
    [sym_call] = STATE(4446),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4446),
    [sym_anonymous_function] = STATE(4446),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2139),
    [sym_integer] = ACTIONS(2139),
    [sym_float] = ACTIONS(2139),
    [sym_char] = ACTIONS(2139),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [648] = {
    [sym__expression] = STATE(3347),
    [sym_block] = STATE(3347),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3347),
    [sym_nil] = STATE(3347),
    [sym__atom] = STATE(3347),
    [sym_quoted_atom] = STATE(3347),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3347),
    [sym_charlist] = STATE(3347),
    [sym_sigil] = STATE(3347),
    [sym_list] = STATE(3347),
    [sym_tuple] = STATE(3347),
    [sym_bitstring] = STATE(3347),
    [sym_map] = STATE(3347),
    [sym__nullary_operator] = STATE(3347),
    [sym_unary_operator] = STATE(3347),
    [sym_binary_operator] = STATE(3347),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3347),
    [sym_call] = STATE(3347),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3347),
    [sym_anonymous_function] = STATE(3347),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2141),
    [sym_integer] = ACTIONS(2141),
    [sym_float] = ACTIONS(2141),
    [sym_char] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [649] = {
    [sym__expression] = STATE(3439),
    [sym_block] = STATE(3439),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3439),
    [sym_nil] = STATE(3439),
    [sym__atom] = STATE(3439),
    [sym_quoted_atom] = STATE(3439),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3439),
    [sym_charlist] = STATE(3439),
    [sym_sigil] = STATE(3439),
    [sym_list] = STATE(3439),
    [sym_tuple] = STATE(3439),
    [sym_bitstring] = STATE(3439),
    [sym_map] = STATE(3439),
    [sym__nullary_operator] = STATE(3439),
    [sym_unary_operator] = STATE(3439),
    [sym_binary_operator] = STATE(3439),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3439),
    [sym_call] = STATE(3439),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3439),
    [sym_anonymous_function] = STATE(3439),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2143),
    [sym_integer] = ACTIONS(2143),
    [sym_float] = ACTIONS(2143),
    [sym_char] = ACTIONS(2143),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [650] = {
    [sym__expression] = STATE(4198),
    [sym_block] = STATE(4198),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4198),
    [sym_nil] = STATE(4198),
    [sym__atom] = STATE(4198),
    [sym_quoted_atom] = STATE(4198),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4198),
    [sym_charlist] = STATE(4198),
    [sym_sigil] = STATE(4198),
    [sym_list] = STATE(4198),
    [sym_tuple] = STATE(4198),
    [sym_bitstring] = STATE(4198),
    [sym_map] = STATE(4198),
    [sym__nullary_operator] = STATE(4198),
    [sym_unary_operator] = STATE(4198),
    [sym_binary_operator] = STATE(4198),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4198),
    [sym_call] = STATE(4198),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4198),
    [sym_anonymous_function] = STATE(4198),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2145),
    [sym_integer] = ACTIONS(2145),
    [sym_float] = ACTIONS(2145),
    [sym_char] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [651] = {
    [sym__expression] = STATE(4530),
    [sym_block] = STATE(4530),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4530),
    [sym_nil] = STATE(4530),
    [sym__atom] = STATE(4530),
    [sym_quoted_atom] = STATE(4530),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4530),
    [sym_charlist] = STATE(4530),
    [sym_sigil] = STATE(4530),
    [sym_list] = STATE(4530),
    [sym_tuple] = STATE(4530),
    [sym_bitstring] = STATE(4530),
    [sym_map] = STATE(4530),
    [sym__nullary_operator] = STATE(4530),
    [sym_unary_operator] = STATE(4530),
    [sym_binary_operator] = STATE(4530),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4530),
    [sym_call] = STATE(4530),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4530),
    [sym_anonymous_function] = STATE(4530),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2147),
    [sym_integer] = ACTIONS(2147),
    [sym_float] = ACTIONS(2147),
    [sym_char] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [652] = {
    [sym__expression] = STATE(4454),
    [sym_block] = STATE(4454),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4454),
    [sym_nil] = STATE(4454),
    [sym__atom] = STATE(4454),
    [sym_quoted_atom] = STATE(4454),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4454),
    [sym_charlist] = STATE(4454),
    [sym_sigil] = STATE(4454),
    [sym_list] = STATE(4454),
    [sym_tuple] = STATE(4454),
    [sym_bitstring] = STATE(4454),
    [sym_map] = STATE(4454),
    [sym__nullary_operator] = STATE(4454),
    [sym_unary_operator] = STATE(4454),
    [sym_binary_operator] = STATE(4454),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4454),
    [sym_call] = STATE(4454),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4454),
    [sym_anonymous_function] = STATE(4454),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2149),
    [sym_integer] = ACTIONS(2149),
    [sym_float] = ACTIONS(2149),
    [sym_char] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2149),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [653] = {
    [sym__expression] = STATE(3324),
    [sym_block] = STATE(3324),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3324),
    [sym_nil] = STATE(3324),
    [sym__atom] = STATE(3324),
    [sym_quoted_atom] = STATE(3324),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3324),
    [sym_charlist] = STATE(3324),
    [sym_sigil] = STATE(3324),
    [sym_list] = STATE(3324),
    [sym_tuple] = STATE(3324),
    [sym_bitstring] = STATE(3324),
    [sym_map] = STATE(3324),
    [sym__nullary_operator] = STATE(3324),
    [sym_unary_operator] = STATE(3324),
    [sym_binary_operator] = STATE(3324),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3324),
    [sym_call] = STATE(3324),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3324),
    [sym_anonymous_function] = STATE(3324),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2151),
    [sym_integer] = ACTIONS(2151),
    [sym_float] = ACTIONS(2151),
    [sym_char] = ACTIONS(2151),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2151),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [654] = {
    [sym__expression] = STATE(4455),
    [sym_block] = STATE(4455),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4455),
    [sym_nil] = STATE(4455),
    [sym__atom] = STATE(4455),
    [sym_quoted_atom] = STATE(4455),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4455),
    [sym_charlist] = STATE(4455),
    [sym_sigil] = STATE(4455),
    [sym_list] = STATE(4455),
    [sym_tuple] = STATE(4455),
    [sym_bitstring] = STATE(4455),
    [sym_map] = STATE(4455),
    [sym__nullary_operator] = STATE(4455),
    [sym_unary_operator] = STATE(4455),
    [sym_binary_operator] = STATE(4455),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4455),
    [sym_call] = STATE(4455),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4455),
    [sym_anonymous_function] = STATE(4455),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2153),
    [sym_integer] = ACTIONS(2153),
    [sym_float] = ACTIONS(2153),
    [sym_char] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2153),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [655] = {
    [sym__expression] = STATE(4529),
    [sym_block] = STATE(4529),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4529),
    [sym_nil] = STATE(4529),
    [sym__atom] = STATE(4529),
    [sym_quoted_atom] = STATE(4529),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4529),
    [sym_charlist] = STATE(4529),
    [sym_sigil] = STATE(4529),
    [sym_list] = STATE(4529),
    [sym_tuple] = STATE(4529),
    [sym_bitstring] = STATE(4529),
    [sym_map] = STATE(4529),
    [sym__nullary_operator] = STATE(4529),
    [sym_unary_operator] = STATE(4529),
    [sym_binary_operator] = STATE(4529),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4529),
    [sym_call] = STATE(4529),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4529),
    [sym_anonymous_function] = STATE(4529),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2155),
    [sym_integer] = ACTIONS(2155),
    [sym_float] = ACTIONS(2155),
    [sym_char] = ACTIONS(2155),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [656] = {
    [sym__expression] = STATE(3649),
    [sym_block] = STATE(3649),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3649),
    [sym_nil] = STATE(3649),
    [sym__atom] = STATE(3649),
    [sym_quoted_atom] = STATE(3649),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3649),
    [sym_charlist] = STATE(3649),
    [sym_sigil] = STATE(3649),
    [sym_list] = STATE(3649),
    [sym_tuple] = STATE(3649),
    [sym_bitstring] = STATE(3649),
    [sym_map] = STATE(3649),
    [sym__nullary_operator] = STATE(3649),
    [sym_unary_operator] = STATE(3649),
    [sym_binary_operator] = STATE(3649),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3649),
    [sym_call] = STATE(3649),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3649),
    [sym_anonymous_function] = STATE(3649),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2157),
    [sym_integer] = ACTIONS(2157),
    [sym_float] = ACTIONS(2157),
    [sym_char] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2157),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [657] = {
    [sym__expression] = STATE(1667),
    [sym_block] = STATE(1667),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(1667),
    [sym_nil] = STATE(1667),
    [sym__atom] = STATE(1667),
    [sym_quoted_atom] = STATE(1667),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(1667),
    [sym_charlist] = STATE(1667),
    [sym_sigil] = STATE(1667),
    [sym_list] = STATE(1667),
    [sym_tuple] = STATE(1667),
    [sym_bitstring] = STATE(1667),
    [sym_map] = STATE(1667),
    [sym__nullary_operator] = STATE(1667),
    [sym_unary_operator] = STATE(1667),
    [sym_binary_operator] = STATE(1667),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(1667),
    [sym_call] = STATE(1667),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(1667),
    [sym_anonymous_function] = STATE(1667),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1801),
    [sym_integer] = ACTIONS(1801),
    [sym_float] = ACTIONS(1801),
    [sym_char] = ACTIONS(1801),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(1801),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [658] = {
    [sym__expression] = STATE(4079),
    [sym_block] = STATE(4079),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4079),
    [sym_nil] = STATE(4079),
    [sym__atom] = STATE(4079),
    [sym_quoted_atom] = STATE(4079),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4079),
    [sym_charlist] = STATE(4079),
    [sym_sigil] = STATE(4079),
    [sym_list] = STATE(4079),
    [sym_tuple] = STATE(4079),
    [sym_bitstring] = STATE(4079),
    [sym_map] = STATE(4079),
    [sym__nullary_operator] = STATE(4079),
    [sym_unary_operator] = STATE(4079),
    [sym_binary_operator] = STATE(4079),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4079),
    [sym_call] = STATE(4079),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4079),
    [sym_anonymous_function] = STATE(4079),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2159),
    [sym_integer] = ACTIONS(2159),
    [sym_float] = ACTIONS(2159),
    [sym_char] = ACTIONS(2159),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2159),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [659] = {
    [sym__expression] = STATE(3293),
    [sym_block] = STATE(3293),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3293),
    [sym_nil] = STATE(3293),
    [sym__atom] = STATE(3293),
    [sym_quoted_atom] = STATE(3293),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3293),
    [sym_charlist] = STATE(3293),
    [sym_sigil] = STATE(3293),
    [sym_list] = STATE(3293),
    [sym_tuple] = STATE(3293),
    [sym_bitstring] = STATE(3293),
    [sym_map] = STATE(3293),
    [sym__nullary_operator] = STATE(3293),
    [sym_unary_operator] = STATE(3293),
    [sym_binary_operator] = STATE(3293),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3293),
    [sym_call] = STATE(3293),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3293),
    [sym_anonymous_function] = STATE(3293),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2161),
    [sym_integer] = ACTIONS(2161),
    [sym_float] = ACTIONS(2161),
    [sym_char] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2161),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [660] = {
    [sym__expression] = STATE(4528),
    [sym_block] = STATE(4528),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4528),
    [sym_nil] = STATE(4528),
    [sym__atom] = STATE(4528),
    [sym_quoted_atom] = STATE(4528),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4528),
    [sym_charlist] = STATE(4528),
    [sym_sigil] = STATE(4528),
    [sym_list] = STATE(4528),
    [sym_tuple] = STATE(4528),
    [sym_bitstring] = STATE(4528),
    [sym_map] = STATE(4528),
    [sym__nullary_operator] = STATE(4528),
    [sym_unary_operator] = STATE(4528),
    [sym_binary_operator] = STATE(4528),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4528),
    [sym_call] = STATE(4528),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4528),
    [sym_anonymous_function] = STATE(4528),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2163),
    [sym_integer] = ACTIONS(2163),
    [sym_float] = ACTIONS(2163),
    [sym_char] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [661] = {
    [sym__expression] = STATE(4527),
    [sym_block] = STATE(4527),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4527),
    [sym_nil] = STATE(4527),
    [sym__atom] = STATE(4527),
    [sym_quoted_atom] = STATE(4527),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4527),
    [sym_charlist] = STATE(4527),
    [sym_sigil] = STATE(4527),
    [sym_list] = STATE(4527),
    [sym_tuple] = STATE(4527),
    [sym_bitstring] = STATE(4527),
    [sym_map] = STATE(4527),
    [sym__nullary_operator] = STATE(4527),
    [sym_unary_operator] = STATE(4527),
    [sym_binary_operator] = STATE(4527),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4527),
    [sym_call] = STATE(4527),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4527),
    [sym_anonymous_function] = STATE(4527),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2165),
    [sym_integer] = ACTIONS(2165),
    [sym_float] = ACTIONS(2165),
    [sym_char] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2165),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [662] = {
    [sym__expression] = STATE(4526),
    [sym_block] = STATE(4526),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4526),
    [sym_nil] = STATE(4526),
    [sym__atom] = STATE(4526),
    [sym_quoted_atom] = STATE(4526),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4526),
    [sym_charlist] = STATE(4526),
    [sym_sigil] = STATE(4526),
    [sym_list] = STATE(4526),
    [sym_tuple] = STATE(4526),
    [sym_bitstring] = STATE(4526),
    [sym_map] = STATE(4526),
    [sym__nullary_operator] = STATE(4526),
    [sym_unary_operator] = STATE(4526),
    [sym_binary_operator] = STATE(4526),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4526),
    [sym_call] = STATE(4526),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4526),
    [sym_anonymous_function] = STATE(4526),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2167),
    [sym_integer] = ACTIONS(2167),
    [sym_float] = ACTIONS(2167),
    [sym_char] = ACTIONS(2167),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [663] = {
    [sym__expression] = STATE(4525),
    [sym_block] = STATE(4525),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4525),
    [sym_nil] = STATE(4525),
    [sym__atom] = STATE(4525),
    [sym_quoted_atom] = STATE(4525),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4525),
    [sym_charlist] = STATE(4525),
    [sym_sigil] = STATE(4525),
    [sym_list] = STATE(4525),
    [sym_tuple] = STATE(4525),
    [sym_bitstring] = STATE(4525),
    [sym_map] = STATE(4525),
    [sym__nullary_operator] = STATE(4525),
    [sym_unary_operator] = STATE(4525),
    [sym_binary_operator] = STATE(4525),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4525),
    [sym_call] = STATE(4525),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4525),
    [sym_anonymous_function] = STATE(4525),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2169),
    [sym_integer] = ACTIONS(2169),
    [sym_float] = ACTIONS(2169),
    [sym_char] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2169),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [664] = {
    [sym__expression] = STATE(4457),
    [sym_block] = STATE(4457),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4457),
    [sym_nil] = STATE(4457),
    [sym__atom] = STATE(4457),
    [sym_quoted_atom] = STATE(4457),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4457),
    [sym_charlist] = STATE(4457),
    [sym_sigil] = STATE(4457),
    [sym_list] = STATE(4457),
    [sym_tuple] = STATE(4457),
    [sym_bitstring] = STATE(4457),
    [sym_map] = STATE(4457),
    [sym__nullary_operator] = STATE(4457),
    [sym_unary_operator] = STATE(4457),
    [sym_binary_operator] = STATE(4457),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4457),
    [sym_call] = STATE(4457),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4457),
    [sym_anonymous_function] = STATE(4457),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2171),
    [sym_integer] = ACTIONS(2171),
    [sym_float] = ACTIONS(2171),
    [sym_char] = ACTIONS(2171),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [665] = {
    [sym__expression] = STATE(4129),
    [sym_block] = STATE(4129),
    [sym_identifier] = STATE(60),
    [sym_boolean] = STATE(4129),
    [sym_nil] = STATE(4129),
    [sym__atom] = STATE(4129),
    [sym_quoted_atom] = STATE(4129),
    [sym__quoted_i_double] = STATE(4094),
    [sym__quoted_i_single] = STATE(4099),
    [sym__quoted_i_heredoc_single] = STATE(4101),
    [sym__quoted_i_heredoc_double] = STATE(4200),
    [sym_string] = STATE(4129),
    [sym_charlist] = STATE(4129),
    [sym_sigil] = STATE(4129),
    [sym_list] = STATE(4129),
    [sym_tuple] = STATE(4129),
    [sym_bitstring] = STATE(4129),
    [sym_map] = STATE(4129),
    [sym__nullary_operator] = STATE(4129),
    [sym_unary_operator] = STATE(4129),
    [sym_binary_operator] = STATE(4129),
    [sym_operator_identifier] = STATE(6916),
    [sym_dot] = STATE(4129),
    [sym_call] = STATE(4129),
    [sym__call_without_parentheses] = STATE(4204),
    [sym__call_with_parentheses] = STATE(4207),
    [sym__local_call_without_parentheses] = STATE(4223),
    [sym__local_call_with_parentheses] = STATE(3178),
    [sym__local_call_just_do_block] = STATE(4254),
    [sym__remote_call_without_parentheses] = STATE(4361),
    [sym__remote_call_with_parentheses] = STATE(3406),
    [sym__remote_dot] = STATE(50),
    [sym__anonymous_call] = STATE(3323),
    [sym__anonymous_dot] = STATE(6837),
    [sym__double_call] = STATE(4417),
    [sym_access_call] = STATE(4129),
    [sym_anonymous_function] = STATE(4129),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(13),
    [aux_sym_identifier_token1] = ACTIONS(15),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(15),
    [sym_alias] = ACTIONS(2173),
    [sym_integer] = ACTIONS(2173),
    [sym_float] = ACTIONS(2173),
    [sym_char] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [anon_sym_nil] = ACTIONS(21),
    [sym_atom] = ACTIONS(2173),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_SQUOTE] = ACTIONS(25),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(37),
    [anon_sym_LT_LT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(41),
    [anon_sym_DOT_DOT] = ACTIONS(43),
    [anon_sym_AMP] = ACTIONS(45),
    [anon_sym_PLUS] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(47),
    [anon_sym_BANG] = ACTIONS(47),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(47),
    [anon_sym_not] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(51),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(53),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(57),
  },
  [666] = {
    [sym__expression] = STATE(4126),
    [sym_block] = STATE(4126),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4126),
    [sym_nil] = STATE(4126),
    [sym__atom] = STATE(4126),
    [sym_quoted_atom] = STATE(4126),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4126),
    [sym_charlist] = STATE(4126),
    [sym_sigil] = STATE(4126),
    [sym_list] = STATE(4126),
    [sym_tuple] = STATE(4126),
    [sym_bitstring] = STATE(4126),
    [sym_map] = STATE(4126),
    [sym__nullary_operator] = STATE(4126),
    [sym_unary_operator] = STATE(4126),
    [sym_binary_operator] = STATE(4126),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4126),
    [sym_call] = STATE(4126),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4126),
    [sym_anonymous_function] = STATE(4126),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2175),
    [sym_integer] = ACTIONS(2175),
    [sym_float] = ACTIONS(2175),
    [sym_char] = ACTIONS(2175),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [667] = {
    [sym__expression] = STATE(3299),
    [sym_block] = STATE(3299),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3299),
    [sym_nil] = STATE(3299),
    [sym__atom] = STATE(3299),
    [sym_quoted_atom] = STATE(3299),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3299),
    [sym_charlist] = STATE(3299),
    [sym_sigil] = STATE(3299),
    [sym_list] = STATE(3299),
    [sym_tuple] = STATE(3299),
    [sym_bitstring] = STATE(3299),
    [sym_map] = STATE(3299),
    [sym__nullary_operator] = STATE(3299),
    [sym_unary_operator] = STATE(3299),
    [sym_binary_operator] = STATE(3299),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3299),
    [sym_call] = STATE(3299),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3299),
    [sym_anonymous_function] = STATE(3299),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2177),
    [sym_integer] = ACTIONS(2177),
    [sym_float] = ACTIONS(2177),
    [sym_char] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2177),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [668] = {
    [sym__expression] = STATE(3285),
    [sym_block] = STATE(3285),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3285),
    [sym_nil] = STATE(3285),
    [sym__atom] = STATE(3285),
    [sym_quoted_atom] = STATE(3285),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3285),
    [sym_charlist] = STATE(3285),
    [sym_sigil] = STATE(3285),
    [sym_list] = STATE(3285),
    [sym_tuple] = STATE(3285),
    [sym_bitstring] = STATE(3285),
    [sym_map] = STATE(3285),
    [sym__nullary_operator] = STATE(3285),
    [sym_unary_operator] = STATE(3285),
    [sym_binary_operator] = STATE(3285),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3285),
    [sym_call] = STATE(3285),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3285),
    [sym_anonymous_function] = STATE(3285),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2179),
    [sym_integer] = ACTIONS(2179),
    [sym_float] = ACTIONS(2179),
    [sym_char] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [669] = {
    [sym__expression] = STATE(4128),
    [sym_block] = STATE(4128),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4128),
    [sym_nil] = STATE(4128),
    [sym__atom] = STATE(4128),
    [sym_quoted_atom] = STATE(4128),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4128),
    [sym_charlist] = STATE(4128),
    [sym_sigil] = STATE(4128),
    [sym_list] = STATE(4128),
    [sym_tuple] = STATE(4128),
    [sym_bitstring] = STATE(4128),
    [sym_map] = STATE(4128),
    [sym__nullary_operator] = STATE(4128),
    [sym_unary_operator] = STATE(4128),
    [sym_binary_operator] = STATE(4128),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4128),
    [sym_call] = STATE(4128),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4128),
    [sym_anonymous_function] = STATE(4128),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2181),
    [sym_integer] = ACTIONS(2181),
    [sym_float] = ACTIONS(2181),
    [sym_char] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [670] = {
    [sym__expression] = STATE(3282),
    [sym_block] = STATE(3282),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3282),
    [sym_nil] = STATE(3282),
    [sym__atom] = STATE(3282),
    [sym_quoted_atom] = STATE(3282),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3282),
    [sym_charlist] = STATE(3282),
    [sym_sigil] = STATE(3282),
    [sym_list] = STATE(3282),
    [sym_tuple] = STATE(3282),
    [sym_bitstring] = STATE(3282),
    [sym_map] = STATE(3282),
    [sym__nullary_operator] = STATE(3282),
    [sym_unary_operator] = STATE(3282),
    [sym_binary_operator] = STATE(3282),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3282),
    [sym_call] = STATE(3282),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3282),
    [sym_anonymous_function] = STATE(3282),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2183),
    [sym_integer] = ACTIONS(2183),
    [sym_float] = ACTIONS(2183),
    [sym_char] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [671] = {
    [sym__expression] = STATE(4523),
    [sym_block] = STATE(4523),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4523),
    [sym_nil] = STATE(4523),
    [sym__atom] = STATE(4523),
    [sym_quoted_atom] = STATE(4523),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4523),
    [sym_charlist] = STATE(4523),
    [sym_sigil] = STATE(4523),
    [sym_list] = STATE(4523),
    [sym_tuple] = STATE(4523),
    [sym_bitstring] = STATE(4523),
    [sym_map] = STATE(4523),
    [sym__nullary_operator] = STATE(4523),
    [sym_unary_operator] = STATE(4523),
    [sym_binary_operator] = STATE(4523),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4523),
    [sym_call] = STATE(4523),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4523),
    [sym_anonymous_function] = STATE(4523),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2185),
    [sym_integer] = ACTIONS(2185),
    [sym_float] = ACTIONS(2185),
    [sym_char] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [672] = {
    [sym__expression] = STATE(3243),
    [sym_block] = STATE(3243),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3243),
    [sym_nil] = STATE(3243),
    [sym__atom] = STATE(3243),
    [sym_quoted_atom] = STATE(3243),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3243),
    [sym_charlist] = STATE(3243),
    [sym_sigil] = STATE(3243),
    [sym_list] = STATE(3243),
    [sym_tuple] = STATE(3243),
    [sym_bitstring] = STATE(3243),
    [sym_map] = STATE(3243),
    [sym__nullary_operator] = STATE(3243),
    [sym_unary_operator] = STATE(3243),
    [sym_binary_operator] = STATE(3243),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3243),
    [sym_call] = STATE(3243),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3243),
    [sym_anonymous_function] = STATE(3243),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2187),
    [sym_integer] = ACTIONS(2187),
    [sym_float] = ACTIONS(2187),
    [sym_char] = ACTIONS(2187),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [673] = {
    [sym__expression] = STATE(4212),
    [sym_block] = STATE(4212),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4212),
    [sym_nil] = STATE(4212),
    [sym__atom] = STATE(4212),
    [sym_quoted_atom] = STATE(4212),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4212),
    [sym_charlist] = STATE(4212),
    [sym_sigil] = STATE(4212),
    [sym_list] = STATE(4212),
    [sym_tuple] = STATE(4212),
    [sym_bitstring] = STATE(4212),
    [sym_map] = STATE(4212),
    [sym__nullary_operator] = STATE(4212),
    [sym_unary_operator] = STATE(4212),
    [sym_binary_operator] = STATE(4212),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4212),
    [sym_call] = STATE(4212),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4212),
    [sym_anonymous_function] = STATE(4212),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2189),
    [sym_integer] = ACTIONS(2189),
    [sym_float] = ACTIONS(2189),
    [sym_char] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2189),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [674] = {
    [sym__expression] = STATE(4522),
    [sym_block] = STATE(4522),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4522),
    [sym_nil] = STATE(4522),
    [sym__atom] = STATE(4522),
    [sym_quoted_atom] = STATE(4522),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4522),
    [sym_charlist] = STATE(4522),
    [sym_sigil] = STATE(4522),
    [sym_list] = STATE(4522),
    [sym_tuple] = STATE(4522),
    [sym_bitstring] = STATE(4522),
    [sym_map] = STATE(4522),
    [sym__nullary_operator] = STATE(4522),
    [sym_unary_operator] = STATE(4522),
    [sym_binary_operator] = STATE(4522),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4522),
    [sym_call] = STATE(4522),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4522),
    [sym_anonymous_function] = STATE(4522),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2191),
    [sym_integer] = ACTIONS(2191),
    [sym_float] = ACTIONS(2191),
    [sym_char] = ACTIONS(2191),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [675] = {
    [sym__expression] = STATE(4132),
    [sym_block] = STATE(4132),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4132),
    [sym_nil] = STATE(4132),
    [sym__atom] = STATE(4132),
    [sym_quoted_atom] = STATE(4132),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4132),
    [sym_charlist] = STATE(4132),
    [sym_sigil] = STATE(4132),
    [sym_list] = STATE(4132),
    [sym_tuple] = STATE(4132),
    [sym_bitstring] = STATE(4132),
    [sym_map] = STATE(4132),
    [sym__nullary_operator] = STATE(4132),
    [sym_unary_operator] = STATE(4132),
    [sym_binary_operator] = STATE(4132),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4132),
    [sym_call] = STATE(4132),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4132),
    [sym_anonymous_function] = STATE(4132),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2193),
    [sym_integer] = ACTIONS(2193),
    [sym_float] = ACTIONS(2193),
    [sym_char] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2193),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [676] = {
    [sym__expression] = STATE(4521),
    [sym_block] = STATE(4521),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4521),
    [sym_nil] = STATE(4521),
    [sym__atom] = STATE(4521),
    [sym_quoted_atom] = STATE(4521),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4521),
    [sym_charlist] = STATE(4521),
    [sym_sigil] = STATE(4521),
    [sym_list] = STATE(4521),
    [sym_tuple] = STATE(4521),
    [sym_bitstring] = STATE(4521),
    [sym_map] = STATE(4521),
    [sym__nullary_operator] = STATE(4521),
    [sym_unary_operator] = STATE(4521),
    [sym_binary_operator] = STATE(4521),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4521),
    [sym_call] = STATE(4521),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4521),
    [sym_anonymous_function] = STATE(4521),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2195),
    [sym_integer] = ACTIONS(2195),
    [sym_float] = ACTIONS(2195),
    [sym_char] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [677] = {
    [sym__expression] = STATE(4133),
    [sym_block] = STATE(4133),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4133),
    [sym_nil] = STATE(4133),
    [sym__atom] = STATE(4133),
    [sym_quoted_atom] = STATE(4133),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4133),
    [sym_charlist] = STATE(4133),
    [sym_sigil] = STATE(4133),
    [sym_list] = STATE(4133),
    [sym_tuple] = STATE(4133),
    [sym_bitstring] = STATE(4133),
    [sym_map] = STATE(4133),
    [sym__nullary_operator] = STATE(4133),
    [sym_unary_operator] = STATE(4133),
    [sym_binary_operator] = STATE(4133),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4133),
    [sym_call] = STATE(4133),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4133),
    [sym_anonymous_function] = STATE(4133),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2197),
    [sym_integer] = ACTIONS(2197),
    [sym_float] = ACTIONS(2197),
    [sym_char] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2197),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [678] = {
    [sym__expression] = STATE(4520),
    [sym_block] = STATE(4520),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4520),
    [sym_nil] = STATE(4520),
    [sym__atom] = STATE(4520),
    [sym_quoted_atom] = STATE(4520),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4520),
    [sym_charlist] = STATE(4520),
    [sym_sigil] = STATE(4520),
    [sym_list] = STATE(4520),
    [sym_tuple] = STATE(4520),
    [sym_bitstring] = STATE(4520),
    [sym_map] = STATE(4520),
    [sym__nullary_operator] = STATE(4520),
    [sym_unary_operator] = STATE(4520),
    [sym_binary_operator] = STATE(4520),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4520),
    [sym_call] = STATE(4520),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4520),
    [sym_anonymous_function] = STATE(4520),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2199),
    [sym_integer] = ACTIONS(2199),
    [sym_float] = ACTIONS(2199),
    [sym_char] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [679] = {
    [sym__expression] = STATE(4137),
    [sym_block] = STATE(4137),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4137),
    [sym_nil] = STATE(4137),
    [sym__atom] = STATE(4137),
    [sym_quoted_atom] = STATE(4137),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4137),
    [sym_charlist] = STATE(4137),
    [sym_sigil] = STATE(4137),
    [sym_list] = STATE(4137),
    [sym_tuple] = STATE(4137),
    [sym_bitstring] = STATE(4137),
    [sym_map] = STATE(4137),
    [sym__nullary_operator] = STATE(4137),
    [sym_unary_operator] = STATE(4137),
    [sym_binary_operator] = STATE(4137),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4137),
    [sym_call] = STATE(4137),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4137),
    [sym_anonymous_function] = STATE(4137),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2201),
    [sym_integer] = ACTIONS(2201),
    [sym_float] = ACTIONS(2201),
    [sym_char] = ACTIONS(2201),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2201),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [680] = {
    [sym__expression] = STATE(3684),
    [sym_block] = STATE(3684),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3684),
    [sym_nil] = STATE(3684),
    [sym__atom] = STATE(3684),
    [sym_quoted_atom] = STATE(3684),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3684),
    [sym_charlist] = STATE(3684),
    [sym_sigil] = STATE(3684),
    [sym_list] = STATE(3684),
    [sym_tuple] = STATE(3684),
    [sym_bitstring] = STATE(3684),
    [sym_map] = STATE(3684),
    [sym__nullary_operator] = STATE(3684),
    [sym_unary_operator] = STATE(3684),
    [sym_binary_operator] = STATE(3684),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3684),
    [sym_call] = STATE(3684),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3684),
    [sym_anonymous_function] = STATE(3684),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2203),
    [sym_integer] = ACTIONS(2203),
    [sym_float] = ACTIONS(2203),
    [sym_char] = ACTIONS(2203),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [681] = {
    [sym__expression] = STATE(3685),
    [sym_block] = STATE(3685),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3685),
    [sym_nil] = STATE(3685),
    [sym__atom] = STATE(3685),
    [sym_quoted_atom] = STATE(3685),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3685),
    [sym_charlist] = STATE(3685),
    [sym_sigil] = STATE(3685),
    [sym_list] = STATE(3685),
    [sym_tuple] = STATE(3685),
    [sym_bitstring] = STATE(3685),
    [sym_map] = STATE(3685),
    [sym__nullary_operator] = STATE(3685),
    [sym_unary_operator] = STATE(3685),
    [sym_binary_operator] = STATE(3685),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3685),
    [sym_call] = STATE(3685),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3685),
    [sym_anonymous_function] = STATE(3685),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2205),
    [sym_integer] = ACTIONS(2205),
    [sym_float] = ACTIONS(2205),
    [sym_char] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2205),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [682] = {
    [sym__expression] = STATE(4552),
    [sym_block] = STATE(4552),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4552),
    [sym_nil] = STATE(4552),
    [sym__atom] = STATE(4552),
    [sym_quoted_atom] = STATE(4552),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4552),
    [sym_charlist] = STATE(4552),
    [sym_sigil] = STATE(4552),
    [sym_list] = STATE(4552),
    [sym_tuple] = STATE(4552),
    [sym_bitstring] = STATE(4552),
    [sym_map] = STATE(4552),
    [sym__nullary_operator] = STATE(4552),
    [sym_unary_operator] = STATE(4552),
    [sym_binary_operator] = STATE(4552),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4552),
    [sym_call] = STATE(4552),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4552),
    [sym_anonymous_function] = STATE(4552),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2207),
    [sym_integer] = ACTIONS(2207),
    [sym_float] = ACTIONS(2207),
    [sym_char] = ACTIONS(2207),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [683] = {
    [sym__expression] = STATE(3687),
    [sym_block] = STATE(3687),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3687),
    [sym_nil] = STATE(3687),
    [sym__atom] = STATE(3687),
    [sym_quoted_atom] = STATE(3687),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3687),
    [sym_charlist] = STATE(3687),
    [sym_sigil] = STATE(3687),
    [sym_list] = STATE(3687),
    [sym_tuple] = STATE(3687),
    [sym_bitstring] = STATE(3687),
    [sym_map] = STATE(3687),
    [sym__nullary_operator] = STATE(3687),
    [sym_unary_operator] = STATE(3687),
    [sym_binary_operator] = STATE(3687),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3687),
    [sym_call] = STATE(3687),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3687),
    [sym_anonymous_function] = STATE(3687),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2209),
    [sym_integer] = ACTIONS(2209),
    [sym_float] = ACTIONS(2209),
    [sym_char] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [684] = {
    [sym__expression] = STATE(3741),
    [sym_block] = STATE(3741),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3741),
    [sym_nil] = STATE(3741),
    [sym__atom] = STATE(3741),
    [sym_quoted_atom] = STATE(3741),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3741),
    [sym_charlist] = STATE(3741),
    [sym_sigil] = STATE(3741),
    [sym_list] = STATE(3741),
    [sym_tuple] = STATE(3741),
    [sym_bitstring] = STATE(3741),
    [sym_map] = STATE(3741),
    [sym__nullary_operator] = STATE(3741),
    [sym_unary_operator] = STATE(3741),
    [sym_binary_operator] = STATE(3741),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3741),
    [sym_call] = STATE(3741),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3741),
    [sym_anonymous_function] = STATE(3741),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2211),
    [sym_integer] = ACTIONS(2211),
    [sym_float] = ACTIONS(2211),
    [sym_char] = ACTIONS(2211),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [685] = {
    [sym__expression] = STATE(3697),
    [sym_block] = STATE(3697),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3697),
    [sym_nil] = STATE(3697),
    [sym__atom] = STATE(3697),
    [sym_quoted_atom] = STATE(3697),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3697),
    [sym_charlist] = STATE(3697),
    [sym_sigil] = STATE(3697),
    [sym_list] = STATE(3697),
    [sym_tuple] = STATE(3697),
    [sym_bitstring] = STATE(3697),
    [sym_map] = STATE(3697),
    [sym__nullary_operator] = STATE(3697),
    [sym_unary_operator] = STATE(3697),
    [sym_binary_operator] = STATE(3697),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3697),
    [sym_call] = STATE(3697),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3697),
    [sym_anonymous_function] = STATE(3697),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2213),
    [sym_integer] = ACTIONS(2213),
    [sym_float] = ACTIONS(2213),
    [sym_char] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [686] = {
    [sym__expression] = STATE(3698),
    [sym_block] = STATE(3698),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3698),
    [sym_nil] = STATE(3698),
    [sym__atom] = STATE(3698),
    [sym_quoted_atom] = STATE(3698),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3698),
    [sym_charlist] = STATE(3698),
    [sym_sigil] = STATE(3698),
    [sym_list] = STATE(3698),
    [sym_tuple] = STATE(3698),
    [sym_bitstring] = STATE(3698),
    [sym_map] = STATE(3698),
    [sym__nullary_operator] = STATE(3698),
    [sym_unary_operator] = STATE(3698),
    [sym_binary_operator] = STATE(3698),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3698),
    [sym_call] = STATE(3698),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3698),
    [sym_anonymous_function] = STATE(3698),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2215),
    [sym_integer] = ACTIONS(2215),
    [sym_float] = ACTIONS(2215),
    [sym_char] = ACTIONS(2215),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [687] = {
    [sym__expression] = STATE(4518),
    [sym_block] = STATE(4518),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4518),
    [sym_nil] = STATE(4518),
    [sym__atom] = STATE(4518),
    [sym_quoted_atom] = STATE(4518),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4518),
    [sym_charlist] = STATE(4518),
    [sym_sigil] = STATE(4518),
    [sym_list] = STATE(4518),
    [sym_tuple] = STATE(4518),
    [sym_bitstring] = STATE(4518),
    [sym_map] = STATE(4518),
    [sym__nullary_operator] = STATE(4518),
    [sym_unary_operator] = STATE(4518),
    [sym_binary_operator] = STATE(4518),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4518),
    [sym_call] = STATE(4518),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4518),
    [sym_anonymous_function] = STATE(4518),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2217),
    [sym_integer] = ACTIONS(2217),
    [sym_float] = ACTIONS(2217),
    [sym_char] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2217),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [688] = {
    [sym__expression] = STATE(3700),
    [sym_block] = STATE(3700),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3700),
    [sym_nil] = STATE(3700),
    [sym__atom] = STATE(3700),
    [sym_quoted_atom] = STATE(3700),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3700),
    [sym_charlist] = STATE(3700),
    [sym_sigil] = STATE(3700),
    [sym_list] = STATE(3700),
    [sym_tuple] = STATE(3700),
    [sym_bitstring] = STATE(3700),
    [sym_map] = STATE(3700),
    [sym__nullary_operator] = STATE(3700),
    [sym_unary_operator] = STATE(3700),
    [sym_binary_operator] = STATE(3700),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3700),
    [sym_call] = STATE(3700),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2219),
    [sym_integer] = ACTIONS(2219),
    [sym_float] = ACTIONS(2219),
    [sym_char] = ACTIONS(2219),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [689] = {
    [sym__expression] = STATE(3701),
    [sym_block] = STATE(3701),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3701),
    [sym_nil] = STATE(3701),
    [sym__atom] = STATE(3701),
    [sym_quoted_atom] = STATE(3701),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3701),
    [sym_charlist] = STATE(3701),
    [sym_sigil] = STATE(3701),
    [sym_list] = STATE(3701),
    [sym_tuple] = STATE(3701),
    [sym_bitstring] = STATE(3701),
    [sym_map] = STATE(3701),
    [sym__nullary_operator] = STATE(3701),
    [sym_unary_operator] = STATE(3701),
    [sym_binary_operator] = STATE(3701),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3701),
    [sym_call] = STATE(3701),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3701),
    [sym_anonymous_function] = STATE(3701),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2221),
    [sym_integer] = ACTIONS(2221),
    [sym_float] = ACTIONS(2221),
    [sym_char] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2221),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [690] = {
    [sym__expression] = STATE(3499),
    [sym_block] = STATE(3499),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3499),
    [sym_nil] = STATE(3499),
    [sym__atom] = STATE(3499),
    [sym_quoted_atom] = STATE(3499),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3499),
    [sym_charlist] = STATE(3499),
    [sym_sigil] = STATE(3499),
    [sym_list] = STATE(3499),
    [sym_tuple] = STATE(3499),
    [sym_bitstring] = STATE(3499),
    [sym_map] = STATE(3499),
    [sym__nullary_operator] = STATE(3499),
    [sym_unary_operator] = STATE(3499),
    [sym_binary_operator] = STATE(3499),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3499),
    [sym_call] = STATE(3499),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3499),
    [sym_anonymous_function] = STATE(3499),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2223),
    [sym_integer] = ACTIONS(2223),
    [sym_float] = ACTIONS(2223),
    [sym_char] = ACTIONS(2223),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [691] = {
    [sym__expression] = STATE(3703),
    [sym_block] = STATE(3703),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3703),
    [sym_nil] = STATE(3703),
    [sym__atom] = STATE(3703),
    [sym_quoted_atom] = STATE(3703),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3703),
    [sym_charlist] = STATE(3703),
    [sym_sigil] = STATE(3703),
    [sym_list] = STATE(3703),
    [sym_tuple] = STATE(3703),
    [sym_bitstring] = STATE(3703),
    [sym_map] = STATE(3703),
    [sym__nullary_operator] = STATE(3703),
    [sym_unary_operator] = STATE(3703),
    [sym_binary_operator] = STATE(3703),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3703),
    [sym_call] = STATE(3703),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3703),
    [sym_anonymous_function] = STATE(3703),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2225),
    [sym_integer] = ACTIONS(2225),
    [sym_float] = ACTIONS(2225),
    [sym_char] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2225),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [692] = {
    [sym__expression] = STATE(3704),
    [sym_block] = STATE(3704),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3704),
    [sym_nil] = STATE(3704),
    [sym__atom] = STATE(3704),
    [sym_quoted_atom] = STATE(3704),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3704),
    [sym_charlist] = STATE(3704),
    [sym_sigil] = STATE(3704),
    [sym_list] = STATE(3704),
    [sym_tuple] = STATE(3704),
    [sym_bitstring] = STATE(3704),
    [sym_map] = STATE(3704),
    [sym__nullary_operator] = STATE(3704),
    [sym_unary_operator] = STATE(3704),
    [sym_binary_operator] = STATE(3704),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3704),
    [sym_call] = STATE(3704),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3704),
    [sym_anonymous_function] = STATE(3704),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2227),
    [sym_integer] = ACTIONS(2227),
    [sym_float] = ACTIONS(2227),
    [sym_char] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [693] = {
    [sym__expression] = STATE(3705),
    [sym_block] = STATE(3705),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3705),
    [sym_nil] = STATE(3705),
    [sym__atom] = STATE(3705),
    [sym_quoted_atom] = STATE(3705),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3705),
    [sym_charlist] = STATE(3705),
    [sym_sigil] = STATE(3705),
    [sym_list] = STATE(3705),
    [sym_tuple] = STATE(3705),
    [sym_bitstring] = STATE(3705),
    [sym_map] = STATE(3705),
    [sym__nullary_operator] = STATE(3705),
    [sym_unary_operator] = STATE(3705),
    [sym_binary_operator] = STATE(3705),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3705),
    [sym_call] = STATE(3705),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3705),
    [sym_anonymous_function] = STATE(3705),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2229),
    [sym_integer] = ACTIONS(2229),
    [sym_float] = ACTIONS(2229),
    [sym_char] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2229),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [694] = {
    [sym__expression] = STATE(3706),
    [sym_block] = STATE(3706),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3706),
    [sym_nil] = STATE(3706),
    [sym__atom] = STATE(3706),
    [sym_quoted_atom] = STATE(3706),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3706),
    [sym_charlist] = STATE(3706),
    [sym_sigil] = STATE(3706),
    [sym_list] = STATE(3706),
    [sym_tuple] = STATE(3706),
    [sym_bitstring] = STATE(3706),
    [sym_map] = STATE(3706),
    [sym__nullary_operator] = STATE(3706),
    [sym_unary_operator] = STATE(3706),
    [sym_binary_operator] = STATE(3706),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3706),
    [sym_call] = STATE(3706),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3706),
    [sym_anonymous_function] = STATE(3706),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2231),
    [sym_integer] = ACTIONS(2231),
    [sym_float] = ACTIONS(2231),
    [sym_char] = ACTIONS(2231),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2231),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [695] = {
    [sym__expression] = STATE(3707),
    [sym_block] = STATE(3707),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3707),
    [sym_nil] = STATE(3707),
    [sym__atom] = STATE(3707),
    [sym_quoted_atom] = STATE(3707),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3707),
    [sym_charlist] = STATE(3707),
    [sym_sigil] = STATE(3707),
    [sym_list] = STATE(3707),
    [sym_tuple] = STATE(3707),
    [sym_bitstring] = STATE(3707),
    [sym_map] = STATE(3707),
    [sym__nullary_operator] = STATE(3707),
    [sym_unary_operator] = STATE(3707),
    [sym_binary_operator] = STATE(3707),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3707),
    [sym_call] = STATE(3707),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3707),
    [sym_anonymous_function] = STATE(3707),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2233),
    [sym_integer] = ACTIONS(2233),
    [sym_float] = ACTIONS(2233),
    [sym_char] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2233),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [696] = {
    [sym__expression] = STATE(3708),
    [sym_block] = STATE(3708),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3708),
    [sym_nil] = STATE(3708),
    [sym__atom] = STATE(3708),
    [sym_quoted_atom] = STATE(3708),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3708),
    [sym_charlist] = STATE(3708),
    [sym_sigil] = STATE(3708),
    [sym_list] = STATE(3708),
    [sym_tuple] = STATE(3708),
    [sym_bitstring] = STATE(3708),
    [sym_map] = STATE(3708),
    [sym__nullary_operator] = STATE(3708),
    [sym_unary_operator] = STATE(3708),
    [sym_binary_operator] = STATE(3708),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3708),
    [sym_call] = STATE(3708),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3708),
    [sym_anonymous_function] = STATE(3708),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2235),
    [sym_integer] = ACTIONS(2235),
    [sym_float] = ACTIONS(2235),
    [sym_char] = ACTIONS(2235),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2235),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [697] = {
    [sym__expression] = STATE(3709),
    [sym_block] = STATE(3709),
    [sym_identifier] = STATE(55),
    [sym_boolean] = STATE(3709),
    [sym_nil] = STATE(3709),
    [sym__atom] = STATE(3709),
    [sym_quoted_atom] = STATE(3709),
    [sym__quoted_i_double] = STATE(1587),
    [sym__quoted_i_single] = STATE(1586),
    [sym__quoted_i_heredoc_single] = STATE(1757),
    [sym__quoted_i_heredoc_double] = STATE(1756),
    [sym_string] = STATE(3709),
    [sym_charlist] = STATE(3709),
    [sym_sigil] = STATE(3709),
    [sym_list] = STATE(3709),
    [sym_tuple] = STATE(3709),
    [sym_bitstring] = STATE(3709),
    [sym_map] = STATE(3709),
    [sym__nullary_operator] = STATE(3709),
    [sym_unary_operator] = STATE(3709),
    [sym_binary_operator] = STATE(3709),
    [sym_operator_identifier] = STATE(6886),
    [sym_dot] = STATE(3709),
    [sym_call] = STATE(3709),
    [sym__call_without_parentheses] = STATE(1755),
    [sym__call_with_parentheses] = STATE(1754),
    [sym__local_call_without_parentheses] = STATE(1753),
    [sym__local_call_with_parentheses] = STATE(1229),
    [sym__local_call_just_do_block] = STATE(1752),
    [sym__remote_call_without_parentheses] = STATE(1751),
    [sym__remote_call_with_parentheses] = STATE(1228),
    [sym__remote_dot] = STATE(43),
    [sym__anonymous_call] = STATE(1227),
    [sym__anonymous_dot] = STATE(6826),
    [sym__double_call] = STATE(1750),
    [sym_access_call] = STATE(3709),
    [sym_anonymous_function] = STATE(3709),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(2237),
    [sym_integer] = ACTIONS(2237),
    [sym_float] = ACTIONS(2237),
    [sym_char] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(69),
    [anon_sym_false] = ACTIONS(69),
    [anon_sym_nil] = ACTIONS(71),
    [sym_atom] = ACTIONS(2237),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(77),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(79),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(91),
    [anon_sym_DOT_DOT] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(692),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(694),
    [anon_sym_not] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(111),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(700),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(117),
  },
  [698] = {
    [sym__expression] = STATE(4517),
    [sym_block] = STATE(4517),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(4517),
    [sym_nil] = STATE(4517),
    [sym__atom] = STATE(4517),
    [sym_quoted_atom] = STATE(4517),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(4517),
    [sym_charlist] = STATE(4517),
    [sym_sigil] = STATE(4517),
    [sym_list] = STATE(4517),
    [sym_tuple] = STATE(4517),
    [sym_bitstring] = STATE(4517),
    [sym_map] = STATE(4517),
    [sym__nullary_operator] = STATE(4517),
    [sym_unary_operator] = STATE(4517),
    [sym_binary_operator] = STATE(4517),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(4517),
    [sym_call] = STATE(4517),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(4517),
    [sym_anonymous_function] = STATE(4517),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2239),
    [sym_integer] = ACTIONS(2239),
    [sym_float] = ACTIONS(2239),
    [sym_char] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2239),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [699] = {
    [sym__expression] = STATE(4201),
    [sym_block] = STATE(4201),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4201),
    [sym_nil] = STATE(4201),
    [sym__atom] = STATE(4201),
    [sym_quoted_atom] = STATE(4201),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4201),
    [sym_charlist] = STATE(4201),
    [sym_sigil] = STATE(4201),
    [sym_list] = STATE(4201),
    [sym_tuple] = STATE(4201),
    [sym_bitstring] = STATE(4201),
    [sym_map] = STATE(4201),
    [sym__nullary_operator] = STATE(4201),
    [sym_unary_operator] = STATE(4201),
    [sym_binary_operator] = STATE(4201),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4201),
    [sym_call] = STATE(4201),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4201),
    [sym_anonymous_function] = STATE(4201),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2241),
    [sym_integer] = ACTIONS(2241),
    [sym_float] = ACTIONS(2241),
    [sym_char] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2241),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [700] = {
    [sym__expression] = STATE(4419),
    [sym_block] = STATE(4419),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4419),
    [sym_nil] = STATE(4419),
    [sym__atom] = STATE(4419),
    [sym_quoted_atom] = STATE(4419),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4419),
    [sym_charlist] = STATE(4419),
    [sym_sigil] = STATE(4419),
    [sym_list] = STATE(4419),
    [sym_tuple] = STATE(4419),
    [sym_bitstring] = STATE(4419),
    [sym_map] = STATE(4419),
    [sym__nullary_operator] = STATE(4419),
    [sym_unary_operator] = STATE(4419),
    [sym_binary_operator] = STATE(4419),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4419),
    [sym_call] = STATE(4419),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4419),
    [sym_anonymous_function] = STATE(4419),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2243),
    [sym_integer] = ACTIONS(2243),
    [sym_float] = ACTIONS(2243),
    [sym_char] = ACTIONS(2243),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [701] = {
    [sym__expression] = STATE(4467),
    [sym_block] = STATE(4467),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4467),
    [sym_nil] = STATE(4467),
    [sym__atom] = STATE(4467),
    [sym_quoted_atom] = STATE(4467),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4467),
    [sym_charlist] = STATE(4467),
    [sym_sigil] = STATE(4467),
    [sym_list] = STATE(4467),
    [sym_tuple] = STATE(4467),
    [sym_bitstring] = STATE(4467),
    [sym_map] = STATE(4467),
    [sym__nullary_operator] = STATE(4467),
    [sym_unary_operator] = STATE(4467),
    [sym_binary_operator] = STATE(4467),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4467),
    [sym_call] = STATE(4467),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4467),
    [sym_anonymous_function] = STATE(4467),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2245),
    [sym_integer] = ACTIONS(2245),
    [sym_float] = ACTIONS(2245),
    [sym_char] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2245),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [702] = {
    [sym__expression] = STATE(4202),
    [sym_block] = STATE(4202),
    [sym_identifier] = STATE(71),
    [sym_boolean] = STATE(4202),
    [sym_nil] = STATE(4202),
    [sym__atom] = STATE(4202),
    [sym_quoted_atom] = STATE(4202),
    [sym__quoted_i_double] = STATE(4229),
    [sym__quoted_i_single] = STATE(4228),
    [sym__quoted_i_heredoc_single] = STATE(4227),
    [sym__quoted_i_heredoc_double] = STATE(4226),
    [sym_string] = STATE(4202),
    [sym_charlist] = STATE(4202),
    [sym_sigil] = STATE(4202),
    [sym_list] = STATE(4202),
    [sym_tuple] = STATE(4202),
    [sym_bitstring] = STATE(4202),
    [sym_map] = STATE(4202),
    [sym__nullary_operator] = STATE(4202),
    [sym_unary_operator] = STATE(4202),
    [sym_binary_operator] = STATE(4202),
    [sym_operator_identifier] = STATE(6910),
    [sym_dot] = STATE(4202),
    [sym_call] = STATE(4202),
    [sym__call_without_parentheses] = STATE(4224),
    [sym__call_with_parentheses] = STATE(4221),
    [sym__local_call_without_parentheses] = STATE(4220),
    [sym__local_call_with_parentheses] = STATE(3168),
    [sym__local_call_just_do_block] = STATE(4216),
    [sym__remote_call_without_parentheses] = STATE(4209),
    [sym__remote_call_with_parentheses] = STATE(3165),
    [sym__remote_dot] = STATE(58),
    [sym__anonymous_call] = STATE(3163),
    [sym__anonymous_dot] = STATE(6775),
    [sym__double_call] = STATE(4206),
    [sym_access_call] = STATE(4202),
    [sym_anonymous_function] = STATE(4202),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2247),
    [sym_integer] = ACTIONS(2247),
    [sym_float] = ACTIONS(2247),
    [sym_char] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(808),
    [anon_sym_false] = ACTIONS(808),
    [anon_sym_nil] = ACTIONS(810),
    [sym_atom] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(814),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_DOT_DOT] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(832),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(834),
    [anon_sym_not] = ACTIONS(834),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(840),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(842),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(844),
  },
  [703] = {
    [sym__expression] = STATE(4141),
    [sym_block] = STATE(4141),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4141),
    [sym_nil] = STATE(4141),
    [sym__atom] = STATE(4141),
    [sym_quoted_atom] = STATE(4141),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4141),
    [sym_charlist] = STATE(4141),
    [sym_sigil] = STATE(4141),
    [sym_list] = STATE(4141),
    [sym_tuple] = STATE(4141),
    [sym_bitstring] = STATE(4141),
    [sym_map] = STATE(4141),
    [sym__nullary_operator] = STATE(4141),
    [sym_unary_operator] = STATE(4141),
    [sym_binary_operator] = STATE(4141),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4141),
    [sym_call] = STATE(4141),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4141),
    [sym_anonymous_function] = STATE(4141),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2249),
    [sym_integer] = ACTIONS(2249),
    [sym_float] = ACTIONS(2249),
    [sym_char] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2249),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [704] = {
    [sym__expression] = STATE(4139),
    [sym_block] = STATE(4139),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4139),
    [sym_nil] = STATE(4139),
    [sym__atom] = STATE(4139),
    [sym_quoted_atom] = STATE(4139),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4139),
    [sym_charlist] = STATE(4139),
    [sym_sigil] = STATE(4139),
    [sym_list] = STATE(4139),
    [sym_tuple] = STATE(4139),
    [sym_bitstring] = STATE(4139),
    [sym_map] = STATE(4139),
    [sym__nullary_operator] = STATE(4139),
    [sym_unary_operator] = STATE(4139),
    [sym_binary_operator] = STATE(4139),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4139),
    [sym_call] = STATE(4139),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4139),
    [sym_anonymous_function] = STATE(4139),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2251),
    [sym_integer] = ACTIONS(2251),
    [sym_float] = ACTIONS(2251),
    [sym_char] = ACTIONS(2251),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [705] = {
    [sym__expression] = STATE(4138),
    [sym_block] = STATE(4138),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4138),
    [sym_nil] = STATE(4138),
    [sym__atom] = STATE(4138),
    [sym_quoted_atom] = STATE(4138),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4138),
    [sym_charlist] = STATE(4138),
    [sym_sigil] = STATE(4138),
    [sym_list] = STATE(4138),
    [sym_tuple] = STATE(4138),
    [sym_bitstring] = STATE(4138),
    [sym_map] = STATE(4138),
    [sym__nullary_operator] = STATE(4138),
    [sym_unary_operator] = STATE(4138),
    [sym_binary_operator] = STATE(4138),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4138),
    [sym_call] = STATE(4138),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4138),
    [sym_anonymous_function] = STATE(4138),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2253),
    [sym_integer] = ACTIONS(2253),
    [sym_float] = ACTIONS(2253),
    [sym_char] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [706] = {
    [sym__expression] = STATE(3191),
    [sym_block] = STATE(3191),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3191),
    [sym_nil] = STATE(3191),
    [sym__atom] = STATE(3191),
    [sym_quoted_atom] = STATE(3191),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3191),
    [sym_charlist] = STATE(3191),
    [sym_sigil] = STATE(3191),
    [sym_list] = STATE(3191),
    [sym_tuple] = STATE(3191),
    [sym_bitstring] = STATE(3191),
    [sym_map] = STATE(3191),
    [sym__nullary_operator] = STATE(3191),
    [sym_unary_operator] = STATE(3191),
    [sym_binary_operator] = STATE(3191),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3191),
    [sym_call] = STATE(3191),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3191),
    [sym_anonymous_function] = STATE(3191),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2255),
    [sym_integer] = ACTIONS(2255),
    [sym_float] = ACTIONS(2255),
    [sym_char] = ACTIONS(2255),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [707] = {
    [sym__expression] = STATE(1432),
    [sym_block] = STATE(1432),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(1432),
    [sym_nil] = STATE(1432),
    [sym__atom] = STATE(1432),
    [sym_quoted_atom] = STATE(1432),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1432),
    [sym_charlist] = STATE(1432),
    [sym_sigil] = STATE(1432),
    [sym_list] = STATE(1432),
    [sym_tuple] = STATE(1432),
    [sym_bitstring] = STATE(1432),
    [sym_map] = STATE(1432),
    [sym__nullary_operator] = STATE(1432),
    [sym_unary_operator] = STATE(1432),
    [sym_binary_operator] = STATE(1432),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1432),
    [sym_call] = STATE(1432),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1432),
    [sym_anonymous_function] = STATE(1432),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2257),
    [sym_integer] = ACTIONS(2257),
    [sym_float] = ACTIONS(2257),
    [sym_char] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [708] = {
    [sym__expression] = STATE(3223),
    [sym_block] = STATE(3223),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3223),
    [sym_nil] = STATE(3223),
    [sym__atom] = STATE(3223),
    [sym_quoted_atom] = STATE(3223),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3223),
    [sym_charlist] = STATE(3223),
    [sym_sigil] = STATE(3223),
    [sym_list] = STATE(3223),
    [sym_tuple] = STATE(3223),
    [sym_bitstring] = STATE(3223),
    [sym_map] = STATE(3223),
    [sym__nullary_operator] = STATE(3223),
    [sym_unary_operator] = STATE(3223),
    [sym_binary_operator] = STATE(3223),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3223),
    [sym_call] = STATE(3223),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3223),
    [sym_anonymous_function] = STATE(3223),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2259),
    [sym_integer] = ACTIONS(2259),
    [sym_float] = ACTIONS(2259),
    [sym_char] = ACTIONS(2259),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [709] = {
    [sym__expression] = STATE(1403),
    [sym_block] = STATE(1403),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(1403),
    [sym_nil] = STATE(1403),
    [sym__atom] = STATE(1403),
    [sym_quoted_atom] = STATE(1403),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1403),
    [sym_charlist] = STATE(1403),
    [sym_sigil] = STATE(1403),
    [sym_list] = STATE(1403),
    [sym_tuple] = STATE(1403),
    [sym_bitstring] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym__nullary_operator] = STATE(1403),
    [sym_unary_operator] = STATE(1403),
    [sym_binary_operator] = STATE(1403),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1403),
    [sym_call] = STATE(1403),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1403),
    [sym_anonymous_function] = STATE(1403),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2261),
    [sym_integer] = ACTIONS(2261),
    [sym_float] = ACTIONS(2261),
    [sym_char] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [710] = {
    [sym__expression] = STATE(4136),
    [sym_block] = STATE(4136),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4136),
    [sym_nil] = STATE(4136),
    [sym__atom] = STATE(4136),
    [sym_quoted_atom] = STATE(4136),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4136),
    [sym_charlist] = STATE(4136),
    [sym_sigil] = STATE(4136),
    [sym_list] = STATE(4136),
    [sym_tuple] = STATE(4136),
    [sym_bitstring] = STATE(4136),
    [sym_map] = STATE(4136),
    [sym__nullary_operator] = STATE(4136),
    [sym_unary_operator] = STATE(4136),
    [sym_binary_operator] = STATE(4136),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4136),
    [sym_call] = STATE(4136),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4136),
    [sym_anonymous_function] = STATE(4136),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2263),
    [sym_integer] = ACTIONS(2263),
    [sym_float] = ACTIONS(2263),
    [sym_char] = ACTIONS(2263),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [711] = {
    [sym__expression] = STATE(4135),
    [sym_block] = STATE(4135),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4135),
    [sym_nil] = STATE(4135),
    [sym__atom] = STATE(4135),
    [sym_quoted_atom] = STATE(4135),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4135),
    [sym_charlist] = STATE(4135),
    [sym_sigil] = STATE(4135),
    [sym_list] = STATE(4135),
    [sym_tuple] = STATE(4135),
    [sym_bitstring] = STATE(4135),
    [sym_map] = STATE(4135),
    [sym__nullary_operator] = STATE(4135),
    [sym_unary_operator] = STATE(4135),
    [sym_binary_operator] = STATE(4135),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4135),
    [sym_call] = STATE(4135),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4135),
    [sym_anonymous_function] = STATE(4135),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2265),
    [sym_integer] = ACTIONS(2265),
    [sym_float] = ACTIONS(2265),
    [sym_char] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [712] = {
    [sym__expression] = STATE(3437),
    [sym_block] = STATE(3437),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3437),
    [sym_nil] = STATE(3437),
    [sym__atom] = STATE(3437),
    [sym_quoted_atom] = STATE(3437),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3437),
    [sym_charlist] = STATE(3437),
    [sym_sigil] = STATE(3437),
    [sym_list] = STATE(3437),
    [sym_tuple] = STATE(3437),
    [sym_bitstring] = STATE(3437),
    [sym_map] = STATE(3437),
    [sym__nullary_operator] = STATE(3437),
    [sym_unary_operator] = STATE(3437),
    [sym_binary_operator] = STATE(3437),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3437),
    [sym_call] = STATE(3437),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3437),
    [sym_anonymous_function] = STATE(3437),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2267),
    [sym_integer] = ACTIONS(2267),
    [sym_float] = ACTIONS(2267),
    [sym_char] = ACTIONS(2267),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2267),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [713] = {
    [sym__expression] = STATE(3436),
    [sym_block] = STATE(3436),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3436),
    [sym_nil] = STATE(3436),
    [sym__atom] = STATE(3436),
    [sym_quoted_atom] = STATE(3436),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3436),
    [sym_charlist] = STATE(3436),
    [sym_sigil] = STATE(3436),
    [sym_list] = STATE(3436),
    [sym_tuple] = STATE(3436),
    [sym_bitstring] = STATE(3436),
    [sym_map] = STATE(3436),
    [sym__nullary_operator] = STATE(3436),
    [sym_unary_operator] = STATE(3436),
    [sym_binary_operator] = STATE(3436),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3436),
    [sym_call] = STATE(3436),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3436),
    [sym_anonymous_function] = STATE(3436),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2269),
    [sym_integer] = ACTIONS(2269),
    [sym_float] = ACTIONS(2269),
    [sym_char] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2269),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [714] = {
    [sym__expression] = STATE(3235),
    [sym_block] = STATE(3235),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(3235),
    [sym_nil] = STATE(3235),
    [sym__atom] = STATE(3235),
    [sym_quoted_atom] = STATE(3235),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3235),
    [sym_charlist] = STATE(3235),
    [sym_sigil] = STATE(3235),
    [sym_list] = STATE(3235),
    [sym_tuple] = STATE(3235),
    [sym_bitstring] = STATE(3235),
    [sym_map] = STATE(3235),
    [sym__nullary_operator] = STATE(3235),
    [sym_unary_operator] = STATE(3235),
    [sym_binary_operator] = STATE(3235),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3235),
    [sym_call] = STATE(3235),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3235),
    [sym_anonymous_function] = STATE(3235),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2271),
    [sym_integer] = ACTIONS(2271),
    [sym_float] = ACTIONS(2271),
    [sym_char] = ACTIONS(2271),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2271),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [715] = {
    [sym__expression] = STATE(3434),
    [sym_block] = STATE(3434),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3434),
    [sym_nil] = STATE(3434),
    [sym__atom] = STATE(3434),
    [sym_quoted_atom] = STATE(3434),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3434),
    [sym_charlist] = STATE(3434),
    [sym_sigil] = STATE(3434),
    [sym_list] = STATE(3434),
    [sym_tuple] = STATE(3434),
    [sym_bitstring] = STATE(3434),
    [sym_map] = STATE(3434),
    [sym__nullary_operator] = STATE(3434),
    [sym_unary_operator] = STATE(3434),
    [sym_binary_operator] = STATE(3434),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3434),
    [sym_call] = STATE(3434),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3434),
    [sym_anonymous_function] = STATE(3434),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2273),
    [sym_integer] = ACTIONS(2273),
    [sym_float] = ACTIONS(2273),
    [sym_char] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [716] = {
    [sym__expression] = STATE(3236),
    [sym_block] = STATE(3236),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(3236),
    [sym_nil] = STATE(3236),
    [sym__atom] = STATE(3236),
    [sym_quoted_atom] = STATE(3236),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3236),
    [sym_charlist] = STATE(3236),
    [sym_sigil] = STATE(3236),
    [sym_list] = STATE(3236),
    [sym_tuple] = STATE(3236),
    [sym_bitstring] = STATE(3236),
    [sym_map] = STATE(3236),
    [sym__nullary_operator] = STATE(3236),
    [sym_unary_operator] = STATE(3236),
    [sym_binary_operator] = STATE(3236),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3236),
    [sym_call] = STATE(3236),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3236),
    [sym_anonymous_function] = STATE(3236),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2275),
    [sym_integer] = ACTIONS(2275),
    [sym_float] = ACTIONS(2275),
    [sym_char] = ACTIONS(2275),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2275),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [717] = {
    [sym__expression] = STATE(3433),
    [sym_block] = STATE(3433),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3433),
    [sym_nil] = STATE(3433),
    [sym__atom] = STATE(3433),
    [sym_quoted_atom] = STATE(3433),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3433),
    [sym_charlist] = STATE(3433),
    [sym_sigil] = STATE(3433),
    [sym_list] = STATE(3433),
    [sym_tuple] = STATE(3433),
    [sym_bitstring] = STATE(3433),
    [sym_map] = STATE(3433),
    [sym__nullary_operator] = STATE(3433),
    [sym_unary_operator] = STATE(3433),
    [sym_binary_operator] = STATE(3433),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3433),
    [sym_call] = STATE(3433),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3433),
    [sym_anonymous_function] = STATE(3433),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2277),
    [sym_integer] = ACTIONS(2277),
    [sym_float] = ACTIONS(2277),
    [sym_char] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2277),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [718] = {
    [sym__expression] = STATE(3432),
    [sym_block] = STATE(3432),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3432),
    [sym_nil] = STATE(3432),
    [sym__atom] = STATE(3432),
    [sym_quoted_atom] = STATE(3432),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3432),
    [sym_charlist] = STATE(3432),
    [sym_sigil] = STATE(3432),
    [sym_list] = STATE(3432),
    [sym_tuple] = STATE(3432),
    [sym_bitstring] = STATE(3432),
    [sym_map] = STATE(3432),
    [sym__nullary_operator] = STATE(3432),
    [sym_unary_operator] = STATE(3432),
    [sym_binary_operator] = STATE(3432),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3432),
    [sym_call] = STATE(3432),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3432),
    [sym_anonymous_function] = STATE(3432),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2279),
    [sym_integer] = ACTIONS(2279),
    [sym_float] = ACTIONS(2279),
    [sym_char] = ACTIONS(2279),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2279),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [719] = {
    [sym__expression] = STATE(3431),
    [sym_block] = STATE(3431),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3431),
    [sym_nil] = STATE(3431),
    [sym__atom] = STATE(3431),
    [sym_quoted_atom] = STATE(3431),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3431),
    [sym_charlist] = STATE(3431),
    [sym_sigil] = STATE(3431),
    [sym_list] = STATE(3431),
    [sym_tuple] = STATE(3431),
    [sym_bitstring] = STATE(3431),
    [sym_map] = STATE(3431),
    [sym__nullary_operator] = STATE(3431),
    [sym_unary_operator] = STATE(3431),
    [sym_binary_operator] = STATE(3431),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3431),
    [sym_call] = STATE(3431),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3431),
    [sym_anonymous_function] = STATE(3431),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2281),
    [sym_integer] = ACTIONS(2281),
    [sym_float] = ACTIONS(2281),
    [sym_char] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2281),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [720] = {
    [sym__expression] = STATE(3245),
    [sym_block] = STATE(3245),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(3245),
    [sym_nil] = STATE(3245),
    [sym__atom] = STATE(3245),
    [sym_quoted_atom] = STATE(3245),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3245),
    [sym_charlist] = STATE(3245),
    [sym_sigil] = STATE(3245),
    [sym_list] = STATE(3245),
    [sym_tuple] = STATE(3245),
    [sym_bitstring] = STATE(3245),
    [sym_map] = STATE(3245),
    [sym__nullary_operator] = STATE(3245),
    [sym_unary_operator] = STATE(3245),
    [sym_binary_operator] = STATE(3245),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3245),
    [sym_call] = STATE(3245),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3245),
    [sym_anonymous_function] = STATE(3245),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2283),
    [sym_integer] = ACTIONS(2283),
    [sym_float] = ACTIONS(2283),
    [sym_char] = ACTIONS(2283),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2283),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [721] = {
    [sym__expression] = STATE(3246),
    [sym_block] = STATE(3246),
    [sym_identifier] = STATE(81),
    [sym_boolean] = STATE(3246),
    [sym_nil] = STATE(3246),
    [sym__atom] = STATE(3246),
    [sym_quoted_atom] = STATE(3246),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3246),
    [sym_charlist] = STATE(3246),
    [sym_sigil] = STATE(3246),
    [sym_list] = STATE(3246),
    [sym_tuple] = STATE(3246),
    [sym_bitstring] = STATE(3246),
    [sym_map] = STATE(3246),
    [sym__nullary_operator] = STATE(3246),
    [sym_unary_operator] = STATE(3246),
    [sym_binary_operator] = STATE(3246),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3246),
    [sym_call] = STATE(3246),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(65),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3246),
    [sym_anonymous_function] = STATE(3246),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2285),
    [sym_integer] = ACTIONS(2285),
    [sym_float] = ACTIONS(2285),
    [sym_char] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2285),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1339),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [722] = {
    [sym__expression] = STATE(3429),
    [sym_block] = STATE(3429),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3429),
    [sym_nil] = STATE(3429),
    [sym__atom] = STATE(3429),
    [sym_quoted_atom] = STATE(3429),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3429),
    [sym_charlist] = STATE(3429),
    [sym_sigil] = STATE(3429),
    [sym_list] = STATE(3429),
    [sym_tuple] = STATE(3429),
    [sym_bitstring] = STATE(3429),
    [sym_map] = STATE(3429),
    [sym__nullary_operator] = STATE(3429),
    [sym_unary_operator] = STATE(3429),
    [sym_binary_operator] = STATE(3429),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3429),
    [sym_call] = STATE(3429),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3429),
    [sym_anonymous_function] = STATE(3429),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2287),
    [sym_integer] = ACTIONS(2287),
    [sym_float] = ACTIONS(2287),
    [sym_char] = ACTIONS(2287),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [723] = {
    [sym__expression] = STATE(3428),
    [sym_block] = STATE(3428),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3428),
    [sym_nil] = STATE(3428),
    [sym__atom] = STATE(3428),
    [sym_quoted_atom] = STATE(3428),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3428),
    [sym_charlist] = STATE(3428),
    [sym_sigil] = STATE(3428),
    [sym_list] = STATE(3428),
    [sym_tuple] = STATE(3428),
    [sym_bitstring] = STATE(3428),
    [sym_map] = STATE(3428),
    [sym__nullary_operator] = STATE(3428),
    [sym_unary_operator] = STATE(3428),
    [sym_binary_operator] = STATE(3428),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3428),
    [sym_call] = STATE(3428),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3428),
    [sym_anonymous_function] = STATE(3428),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2289),
    [sym_integer] = ACTIONS(2289),
    [sym_float] = ACTIONS(2289),
    [sym_char] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [724] = {
    [sym__expression] = STATE(4466),
    [sym_block] = STATE(4466),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4466),
    [sym_nil] = STATE(4466),
    [sym__atom] = STATE(4466),
    [sym_quoted_atom] = STATE(4466),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4466),
    [sym_charlist] = STATE(4466),
    [sym_sigil] = STATE(4466),
    [sym_list] = STATE(4466),
    [sym_tuple] = STATE(4466),
    [sym_bitstring] = STATE(4466),
    [sym_map] = STATE(4466),
    [sym__nullary_operator] = STATE(4466),
    [sym_unary_operator] = STATE(4466),
    [sym_binary_operator] = STATE(4466),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4466),
    [sym_call] = STATE(4466),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4466),
    [sym_anonymous_function] = STATE(4466),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2291),
    [sym_integer] = ACTIONS(2291),
    [sym_float] = ACTIONS(2291),
    [sym_char] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2291),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [725] = {
    [sym__expression] = STATE(4468),
    [sym_block] = STATE(4468),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4468),
    [sym_nil] = STATE(4468),
    [sym__atom] = STATE(4468),
    [sym_quoted_atom] = STATE(4468),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4468),
    [sym_charlist] = STATE(4468),
    [sym_sigil] = STATE(4468),
    [sym_list] = STATE(4468),
    [sym_tuple] = STATE(4468),
    [sym_bitstring] = STATE(4468),
    [sym_map] = STATE(4468),
    [sym__nullary_operator] = STATE(4468),
    [sym_unary_operator] = STATE(4468),
    [sym_binary_operator] = STATE(4468),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4468),
    [sym_call] = STATE(4468),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4468),
    [sym_anonymous_function] = STATE(4468),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2293),
    [sym_integer] = ACTIONS(2293),
    [sym_float] = ACTIONS(2293),
    [sym_char] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2293),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [726] = {
    [sym__expression] = STATE(3427),
    [sym_block] = STATE(3427),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3427),
    [sym_nil] = STATE(3427),
    [sym__atom] = STATE(3427),
    [sym_quoted_atom] = STATE(3427),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3427),
    [sym_charlist] = STATE(3427),
    [sym_sigil] = STATE(3427),
    [sym_list] = STATE(3427),
    [sym_tuple] = STATE(3427),
    [sym_bitstring] = STATE(3427),
    [sym_map] = STATE(3427),
    [sym__nullary_operator] = STATE(3427),
    [sym_unary_operator] = STATE(3427),
    [sym_binary_operator] = STATE(3427),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3427),
    [sym_call] = STATE(3427),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3427),
    [sym_anonymous_function] = STATE(3427),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2295),
    [sym_integer] = ACTIONS(2295),
    [sym_float] = ACTIONS(2295),
    [sym_char] = ACTIONS(2295),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [727] = {
    [sym__expression] = STATE(3260),
    [sym_block] = STATE(3260),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3260),
    [sym_nil] = STATE(3260),
    [sym__atom] = STATE(3260),
    [sym_quoted_atom] = STATE(3260),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3260),
    [sym_charlist] = STATE(3260),
    [sym_sigil] = STATE(3260),
    [sym_list] = STATE(3260),
    [sym_tuple] = STATE(3260),
    [sym_bitstring] = STATE(3260),
    [sym_map] = STATE(3260),
    [sym__nullary_operator] = STATE(3260),
    [sym_unary_operator] = STATE(3260),
    [sym_binary_operator] = STATE(3260),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3260),
    [sym_call] = STATE(3260),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3260),
    [sym_anonymous_function] = STATE(3260),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2297),
    [sym_integer] = ACTIONS(2297),
    [sym_float] = ACTIONS(2297),
    [sym_char] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [728] = {
    [sym__expression] = STATE(3426),
    [sym_block] = STATE(3426),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3426),
    [sym_nil] = STATE(3426),
    [sym__atom] = STATE(3426),
    [sym_quoted_atom] = STATE(3426),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3426),
    [sym_charlist] = STATE(3426),
    [sym_sigil] = STATE(3426),
    [sym_list] = STATE(3426),
    [sym_tuple] = STATE(3426),
    [sym_bitstring] = STATE(3426),
    [sym_map] = STATE(3426),
    [sym__nullary_operator] = STATE(3426),
    [sym_unary_operator] = STATE(3426),
    [sym_binary_operator] = STATE(3426),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3426),
    [sym_call] = STATE(3426),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3426),
    [sym_anonymous_function] = STATE(3426),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2299),
    [sym_integer] = ACTIONS(2299),
    [sym_float] = ACTIONS(2299),
    [sym_char] = ACTIONS(2299),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2299),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [729] = {
    [sym__expression] = STATE(3266),
    [sym_block] = STATE(3266),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3266),
    [sym_nil] = STATE(3266),
    [sym__atom] = STATE(3266),
    [sym_quoted_atom] = STATE(3266),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3266),
    [sym_charlist] = STATE(3266),
    [sym_sigil] = STATE(3266),
    [sym_list] = STATE(3266),
    [sym_tuple] = STATE(3266),
    [sym_bitstring] = STATE(3266),
    [sym_map] = STATE(3266),
    [sym__nullary_operator] = STATE(3266),
    [sym_unary_operator] = STATE(3266),
    [sym_binary_operator] = STATE(3266),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3266),
    [sym_call] = STATE(3266),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3266),
    [sym_anonymous_function] = STATE(3266),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2301),
    [sym_integer] = ACTIONS(2301),
    [sym_float] = ACTIONS(2301),
    [sym_char] = ACTIONS(2301),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [730] = {
    [sym__expression] = STATE(3425),
    [sym_block] = STATE(3425),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3425),
    [sym_nil] = STATE(3425),
    [sym__atom] = STATE(3425),
    [sym_quoted_atom] = STATE(3425),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3425),
    [sym_charlist] = STATE(3425),
    [sym_sigil] = STATE(3425),
    [sym_list] = STATE(3425),
    [sym_tuple] = STATE(3425),
    [sym_bitstring] = STATE(3425),
    [sym_map] = STATE(3425),
    [sym__nullary_operator] = STATE(3425),
    [sym_unary_operator] = STATE(3425),
    [sym_binary_operator] = STATE(3425),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3425),
    [sym_call] = STATE(3425),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3425),
    [sym_anonymous_function] = STATE(3425),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2303),
    [sym_integer] = ACTIONS(2303),
    [sym_float] = ACTIONS(2303),
    [sym_char] = ACTIONS(2303),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2303),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [731] = {
    [sym__expression] = STATE(3424),
    [sym_block] = STATE(3424),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3424),
    [sym_nil] = STATE(3424),
    [sym__atom] = STATE(3424),
    [sym_quoted_atom] = STATE(3424),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3424),
    [sym_charlist] = STATE(3424),
    [sym_sigil] = STATE(3424),
    [sym_list] = STATE(3424),
    [sym_tuple] = STATE(3424),
    [sym_bitstring] = STATE(3424),
    [sym_map] = STATE(3424),
    [sym__nullary_operator] = STATE(3424),
    [sym_unary_operator] = STATE(3424),
    [sym_binary_operator] = STATE(3424),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3424),
    [sym_call] = STATE(3424),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3424),
    [sym_anonymous_function] = STATE(3424),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2305),
    [sym_integer] = ACTIONS(2305),
    [sym_float] = ACTIONS(2305),
    [sym_char] = ACTIONS(2305),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2305),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [732] = {
    [sym__expression] = STATE(3423),
    [sym_block] = STATE(3423),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3423),
    [sym_nil] = STATE(3423),
    [sym__atom] = STATE(3423),
    [sym_quoted_atom] = STATE(3423),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3423),
    [sym_charlist] = STATE(3423),
    [sym_sigil] = STATE(3423),
    [sym_list] = STATE(3423),
    [sym_tuple] = STATE(3423),
    [sym_bitstring] = STATE(3423),
    [sym_map] = STATE(3423),
    [sym__nullary_operator] = STATE(3423),
    [sym_unary_operator] = STATE(3423),
    [sym_binary_operator] = STATE(3423),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3423),
    [sym_call] = STATE(3423),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3423),
    [sym_anonymous_function] = STATE(3423),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2307),
    [sym_integer] = ACTIONS(2307),
    [sym_float] = ACTIONS(2307),
    [sym_char] = ACTIONS(2307),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2307),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [733] = {
    [sym__expression] = STATE(4507),
    [sym_block] = STATE(4507),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4507),
    [sym_nil] = STATE(4507),
    [sym__atom] = STATE(4507),
    [sym_quoted_atom] = STATE(4507),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4507),
    [sym_charlist] = STATE(4507),
    [sym_sigil] = STATE(4507),
    [sym_list] = STATE(4507),
    [sym_tuple] = STATE(4507),
    [sym_bitstring] = STATE(4507),
    [sym_map] = STATE(4507),
    [sym__nullary_operator] = STATE(4507),
    [sym_unary_operator] = STATE(4507),
    [sym_binary_operator] = STATE(4507),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4507),
    [sym_call] = STATE(4507),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4507),
    [sym_anonymous_function] = STATE(4507),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(1299),
    [sym_integer] = ACTIONS(1299),
    [sym_float] = ACTIONS(1299),
    [sym_char] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(1299),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [734] = {
    [sym__expression] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2584),
    [sym_nil] = STATE(2584),
    [sym__atom] = STATE(2584),
    [sym_quoted_atom] = STATE(2584),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2584),
    [sym_charlist] = STATE(2584),
    [sym_sigil] = STATE(2584),
    [sym_list] = STATE(2584),
    [sym_tuple] = STATE(2584),
    [sym_bitstring] = STATE(2584),
    [sym_map] = STATE(2584),
    [sym__nullary_operator] = STATE(2584),
    [sym_unary_operator] = STATE(2584),
    [sym_binary_operator] = STATE(2584),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2584),
    [sym_anonymous_function] = STATE(2584),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(920),
    [sym_integer] = ACTIONS(920),
    [sym_float] = ACTIONS(920),
    [sym_char] = ACTIONS(920),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [735] = {
    [sym__expression] = STATE(3420),
    [sym_block] = STATE(3420),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3420),
    [sym_nil] = STATE(3420),
    [sym__atom] = STATE(3420),
    [sym_quoted_atom] = STATE(3420),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3420),
    [sym_charlist] = STATE(3420),
    [sym_sigil] = STATE(3420),
    [sym_list] = STATE(3420),
    [sym_tuple] = STATE(3420),
    [sym_bitstring] = STATE(3420),
    [sym_map] = STATE(3420),
    [sym__nullary_operator] = STATE(3420),
    [sym_unary_operator] = STATE(3420),
    [sym_binary_operator] = STATE(3420),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3420),
    [sym_call] = STATE(3420),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3420),
    [sym_anonymous_function] = STATE(3420),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2309),
    [sym_integer] = ACTIONS(2309),
    [sym_float] = ACTIONS(2309),
    [sym_char] = ACTIONS(2309),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2309),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [736] = {
    [sym__expression] = STATE(3419),
    [sym_block] = STATE(3419),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3419),
    [sym_nil] = STATE(3419),
    [sym__atom] = STATE(3419),
    [sym_quoted_atom] = STATE(3419),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3419),
    [sym_charlist] = STATE(3419),
    [sym_sigil] = STATE(3419),
    [sym_list] = STATE(3419),
    [sym_tuple] = STATE(3419),
    [sym_bitstring] = STATE(3419),
    [sym_map] = STATE(3419),
    [sym__nullary_operator] = STATE(3419),
    [sym_unary_operator] = STATE(3419),
    [sym_binary_operator] = STATE(3419),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3419),
    [sym_call] = STATE(3419),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3419),
    [sym_anonymous_function] = STATE(3419),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2311),
    [sym_integer] = ACTIONS(2311),
    [sym_float] = ACTIONS(2311),
    [sym_char] = ACTIONS(2311),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [737] = {
    [sym__expression] = STATE(3276),
    [sym_block] = STATE(3276),
    [sym_identifier] = STATE(41),
    [sym_boolean] = STATE(3276),
    [sym_nil] = STATE(3276),
    [sym__atom] = STATE(3276),
    [sym_quoted_atom] = STATE(3276),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3276),
    [sym_charlist] = STATE(3276),
    [sym_sigil] = STATE(3276),
    [sym_list] = STATE(3276),
    [sym_tuple] = STATE(3276),
    [sym_bitstring] = STATE(3276),
    [sym_map] = STATE(3276),
    [sym__nullary_operator] = STATE(3276),
    [sym_unary_operator] = STATE(3276),
    [sym_binary_operator] = STATE(3276),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3276),
    [sym_call] = STATE(3276),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(48),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3276),
    [sym_anonymous_function] = STATE(3276),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2313),
    [sym_integer] = ACTIONS(2313),
    [sym_float] = ACTIONS(2313),
    [sym_char] = ACTIONS(2313),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2313),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(435),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(444),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(444),
    [anon_sym_not] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(446),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(448),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [738] = {
    [sym__expression] = STATE(4130),
    [sym_block] = STATE(4130),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4130),
    [sym_nil] = STATE(4130),
    [sym__atom] = STATE(4130),
    [sym_quoted_atom] = STATE(4130),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4130),
    [sym_charlist] = STATE(4130),
    [sym_sigil] = STATE(4130),
    [sym_list] = STATE(4130),
    [sym_tuple] = STATE(4130),
    [sym_bitstring] = STATE(4130),
    [sym_map] = STATE(4130),
    [sym__nullary_operator] = STATE(4130),
    [sym_unary_operator] = STATE(4130),
    [sym_binary_operator] = STATE(4130),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4130),
    [sym_call] = STATE(4130),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4130),
    [sym_anonymous_function] = STATE(4130),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2315),
    [sym_integer] = ACTIONS(2315),
    [sym_float] = ACTIONS(2315),
    [sym_char] = ACTIONS(2315),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2315),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [739] = {
    [sym__expression] = STATE(4110),
    [sym_block] = STATE(4110),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4110),
    [sym_nil] = STATE(4110),
    [sym__atom] = STATE(4110),
    [sym_quoted_atom] = STATE(4110),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4110),
    [sym_charlist] = STATE(4110),
    [sym_sigil] = STATE(4110),
    [sym_list] = STATE(4110),
    [sym_tuple] = STATE(4110),
    [sym_bitstring] = STATE(4110),
    [sym_map] = STATE(4110),
    [sym__nullary_operator] = STATE(4110),
    [sym_unary_operator] = STATE(4110),
    [sym_binary_operator] = STATE(4110),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4110),
    [sym_call] = STATE(4110),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4110),
    [sym_anonymous_function] = STATE(4110),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2317),
    [sym_integer] = ACTIONS(2317),
    [sym_float] = ACTIONS(2317),
    [sym_char] = ACTIONS(2317),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [740] = {
    [sym__expression] = STATE(3058),
    [sym_block] = STATE(3058),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3058),
    [sym_nil] = STATE(3058),
    [sym__atom] = STATE(3058),
    [sym_quoted_atom] = STATE(3058),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3058),
    [sym_charlist] = STATE(3058),
    [sym_sigil] = STATE(3058),
    [sym_list] = STATE(3058),
    [sym_tuple] = STATE(3058),
    [sym_bitstring] = STATE(3058),
    [sym_map] = STATE(3058),
    [sym__nullary_operator] = STATE(3058),
    [sym_unary_operator] = STATE(3058),
    [sym_binary_operator] = STATE(3058),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3058),
    [sym_call] = STATE(3058),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3058),
    [sym_anonymous_function] = STATE(3058),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2319),
    [sym_integer] = ACTIONS(2319),
    [sym_float] = ACTIONS(2319),
    [sym_char] = ACTIONS(2319),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2319),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [741] = {
    [sym__expression] = STATE(1432),
    [sym_block] = STATE(1432),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(1432),
    [sym_nil] = STATE(1432),
    [sym__atom] = STATE(1432),
    [sym_quoted_atom] = STATE(1432),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1432),
    [sym_charlist] = STATE(1432),
    [sym_sigil] = STATE(1432),
    [sym_list] = STATE(1432),
    [sym_tuple] = STATE(1432),
    [sym_bitstring] = STATE(1432),
    [sym_map] = STATE(1432),
    [sym__nullary_operator] = STATE(1432),
    [sym_unary_operator] = STATE(1432),
    [sym_binary_operator] = STATE(1432),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1432),
    [sym_call] = STATE(1432),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1432),
    [sym_anonymous_function] = STATE(1432),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2257),
    [sym_integer] = ACTIONS(2257),
    [sym_float] = ACTIONS(2257),
    [sym_char] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [742] = {
    [sym__expression] = STATE(3652),
    [sym_block] = STATE(3652),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3652),
    [sym_nil] = STATE(3652),
    [sym__atom] = STATE(3652),
    [sym_quoted_atom] = STATE(3652),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3652),
    [sym_charlist] = STATE(3652),
    [sym_sigil] = STATE(3652),
    [sym_list] = STATE(3652),
    [sym_tuple] = STATE(3652),
    [sym_bitstring] = STATE(3652),
    [sym_map] = STATE(3652),
    [sym__nullary_operator] = STATE(3652),
    [sym_unary_operator] = STATE(3652),
    [sym_binary_operator] = STATE(3652),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3652),
    [sym_call] = STATE(3652),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3652),
    [sym_anonymous_function] = STATE(3652),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2321),
    [sym_integer] = ACTIONS(2321),
    [sym_float] = ACTIONS(2321),
    [sym_char] = ACTIONS(2321),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2321),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [743] = {
    [sym__expression] = STATE(3046),
    [sym_block] = STATE(3046),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3046),
    [sym_nil] = STATE(3046),
    [sym__atom] = STATE(3046),
    [sym_quoted_atom] = STATE(3046),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3046),
    [sym_charlist] = STATE(3046),
    [sym_sigil] = STATE(3046),
    [sym_list] = STATE(3046),
    [sym_tuple] = STATE(3046),
    [sym_bitstring] = STATE(3046),
    [sym_map] = STATE(3046),
    [sym__nullary_operator] = STATE(3046),
    [sym_unary_operator] = STATE(3046),
    [sym_binary_operator] = STATE(3046),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3046),
    [sym_call] = STATE(3046),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3046),
    [sym_anonymous_function] = STATE(3046),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2323),
    [sym_integer] = ACTIONS(2323),
    [sym_float] = ACTIONS(2323),
    [sym_char] = ACTIONS(2323),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [744] = {
    [sym__expression] = STATE(1403),
    [sym_block] = STATE(1403),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(1403),
    [sym_nil] = STATE(1403),
    [sym__atom] = STATE(1403),
    [sym_quoted_atom] = STATE(1403),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1403),
    [sym_charlist] = STATE(1403),
    [sym_sigil] = STATE(1403),
    [sym_list] = STATE(1403),
    [sym_tuple] = STATE(1403),
    [sym_bitstring] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym__nullary_operator] = STATE(1403),
    [sym_unary_operator] = STATE(1403),
    [sym_binary_operator] = STATE(1403),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1403),
    [sym_call] = STATE(1403),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1403),
    [sym_anonymous_function] = STATE(1403),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2261),
    [sym_integer] = ACTIONS(2261),
    [sym_float] = ACTIONS(2261),
    [sym_char] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [745] = {
    [sym__expression] = STATE(4482),
    [sym_block] = STATE(4482),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4482),
    [sym_nil] = STATE(4482),
    [sym__atom] = STATE(4482),
    [sym_quoted_atom] = STATE(4482),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4482),
    [sym_charlist] = STATE(4482),
    [sym_sigil] = STATE(4482),
    [sym_list] = STATE(4482),
    [sym_tuple] = STATE(4482),
    [sym_bitstring] = STATE(4482),
    [sym_map] = STATE(4482),
    [sym__nullary_operator] = STATE(4482),
    [sym_unary_operator] = STATE(4482),
    [sym_binary_operator] = STATE(4482),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4482),
    [sym_call] = STATE(4482),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4482),
    [sym_anonymous_function] = STATE(4482),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2325),
    [sym_integer] = ACTIONS(2325),
    [sym_float] = ACTIONS(2325),
    [sym_char] = ACTIONS(2325),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [746] = {
    [sym__expression] = STATE(2544),
    [sym_block] = STATE(2544),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2544),
    [sym_nil] = STATE(2544),
    [sym__atom] = STATE(2544),
    [sym_quoted_atom] = STATE(2544),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2544),
    [sym_charlist] = STATE(2544),
    [sym_sigil] = STATE(2544),
    [sym_list] = STATE(2544),
    [sym_tuple] = STATE(2544),
    [sym_bitstring] = STATE(2544),
    [sym_map] = STATE(2544),
    [sym__nullary_operator] = STATE(2544),
    [sym_unary_operator] = STATE(2544),
    [sym_binary_operator] = STATE(2544),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2544),
    [sym_call] = STATE(2544),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2544),
    [sym_anonymous_function] = STATE(2544),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2327),
    [sym_integer] = ACTIONS(2327),
    [sym_float] = ACTIONS(2327),
    [sym_char] = ACTIONS(2327),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2327),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [747] = {
    [sym__expression] = STATE(3289),
    [sym_block] = STATE(3289),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3289),
    [sym_nil] = STATE(3289),
    [sym__atom] = STATE(3289),
    [sym_quoted_atom] = STATE(3289),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3289),
    [sym_charlist] = STATE(3289),
    [sym_sigil] = STATE(3289),
    [sym_list] = STATE(3289),
    [sym_tuple] = STATE(3289),
    [sym_bitstring] = STATE(3289),
    [sym_map] = STATE(3289),
    [sym__nullary_operator] = STATE(3289),
    [sym_unary_operator] = STATE(3289),
    [sym_binary_operator] = STATE(3289),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3289),
    [sym_call] = STATE(3289),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3289),
    [sym_anonymous_function] = STATE(3289),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2329),
    [sym_integer] = ACTIONS(2329),
    [sym_float] = ACTIONS(2329),
    [sym_char] = ACTIONS(2329),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [748] = {
    [sym__expression] = STATE(3279),
    [sym_block] = STATE(3279),
    [sym_identifier] = STATE(53),
    [sym_boolean] = STATE(3279),
    [sym_nil] = STATE(3279),
    [sym__atom] = STATE(3279),
    [sym_quoted_atom] = STATE(3279),
    [sym__quoted_i_double] = STATE(3252),
    [sym__quoted_i_single] = STATE(3253),
    [sym__quoted_i_heredoc_single] = STATE(3306),
    [sym__quoted_i_heredoc_double] = STATE(3305),
    [sym_string] = STATE(3279),
    [sym_charlist] = STATE(3279),
    [sym_sigil] = STATE(3279),
    [sym_list] = STATE(3279),
    [sym_tuple] = STATE(3279),
    [sym_bitstring] = STATE(3279),
    [sym_map] = STATE(3279),
    [sym__nullary_operator] = STATE(3279),
    [sym_unary_operator] = STATE(3279),
    [sym_binary_operator] = STATE(3279),
    [sym_operator_identifier] = STATE(6917),
    [sym_dot] = STATE(3279),
    [sym_call] = STATE(3279),
    [sym__call_without_parentheses] = STATE(3304),
    [sym__call_with_parentheses] = STATE(3303),
    [sym__local_call_without_parentheses] = STATE(3300),
    [sym__local_call_with_parentheses] = STATE(2195),
    [sym__local_call_just_do_block] = STATE(3153),
    [sym__remote_call_without_parentheses] = STATE(3031),
    [sym__remote_call_with_parentheses] = STATE(2159),
    [sym__remote_dot] = STATE(52),
    [sym__anonymous_call] = STATE(2139),
    [sym__anonymous_dot] = STATE(6759),
    [sym__double_call] = STATE(3493),
    [sym_access_call] = STATE(3279),
    [sym_anonymous_function] = STATE(3279),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(486),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2331),
    [sym_integer] = ACTIONS(2331),
    [sym_float] = ACTIONS(2331),
    [sym_char] = ACTIONS(2331),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [anon_sym_nil] = ACTIONS(494),
    [sym_atom] = ACTIONS(2331),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(500),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(518),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(518),
    [anon_sym_not] = ACTIONS(518),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(524),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(530),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(532),
  },
  [749] = {
    [sym__expression] = STATE(4489),
    [sym_block] = STATE(4489),
    [sym_identifier] = STATE(68),
    [sym_boolean] = STATE(4489),
    [sym_nil] = STATE(4489),
    [sym__atom] = STATE(4489),
    [sym_quoted_atom] = STATE(4489),
    [sym__quoted_i_double] = STATE(4502),
    [sym__quoted_i_single] = STATE(4481),
    [sym__quoted_i_heredoc_single] = STATE(4514),
    [sym__quoted_i_heredoc_double] = STATE(4515),
    [sym_string] = STATE(4489),
    [sym_charlist] = STATE(4489),
    [sym_sigil] = STATE(4489),
    [sym_list] = STATE(4489),
    [sym_tuple] = STATE(4489),
    [sym_bitstring] = STATE(4489),
    [sym_map] = STATE(4489),
    [sym__nullary_operator] = STATE(4489),
    [sym_unary_operator] = STATE(4489),
    [sym_binary_operator] = STATE(4489),
    [sym_operator_identifier] = STATE(6903),
    [sym_dot] = STATE(4489),
    [sym_call] = STATE(4489),
    [sym__call_without_parentheses] = STATE(4433),
    [sym__call_with_parentheses] = STATE(4436),
    [sym__local_call_without_parentheses] = STATE(4534),
    [sym__local_call_with_parentheses] = STATE(3547),
    [sym__local_call_just_do_block] = STATE(4550),
    [sym__remote_call_without_parentheses] = STATE(4551),
    [sym__remote_call_with_parentheses] = STATE(3541),
    [sym__remote_dot] = STATE(62),
    [sym__anonymous_call] = STATE(3539),
    [sym__anonymous_dot] = STATE(6839),
    [sym__double_call] = STATE(4458),
    [sym_access_call] = STATE(4489),
    [sym_anonymous_function] = STATE(4489),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [aux_sym_identifier_token1] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1093),
    [sym_alias] = ACTIONS(2333),
    [sym_integer] = ACTIONS(2333),
    [sym_float] = ACTIONS(2333),
    [sym_char] = ACTIONS(2333),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_nil] = ACTIONS(1099),
    [sym_atom] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_DOT_DOT] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_PLUS] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1127),
    [anon_sym_not] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1131),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1133),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1135),
  },
  [750] = {
    [sym__expression] = STATE(3220),
    [sym_block] = STATE(3220),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3220),
    [sym_nil] = STATE(3220),
    [sym__atom] = STATE(3220),
    [sym_quoted_atom] = STATE(3220),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3220),
    [sym_charlist] = STATE(3220),
    [sym_sigil] = STATE(3220),
    [sym_list] = STATE(3220),
    [sym_tuple] = STATE(3220),
    [sym_bitstring] = STATE(3220),
    [sym_map] = STATE(3220),
    [sym__nullary_operator] = STATE(3220),
    [sym_unary_operator] = STATE(3220),
    [sym_binary_operator] = STATE(3220),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3220),
    [sym_call] = STATE(3220),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3220),
    [sym_anonymous_function] = STATE(3220),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2335),
    [sym_integer] = ACTIONS(2335),
    [sym_float] = ACTIONS(2335),
    [sym_char] = ACTIONS(2335),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2335),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [751] = {
    [sym__expression] = STATE(1261),
    [sym_block] = STATE(1261),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(1261),
    [sym_nil] = STATE(1261),
    [sym__atom] = STATE(1261),
    [sym_quoted_atom] = STATE(1261),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1261),
    [sym_charlist] = STATE(1261),
    [sym_sigil] = STATE(1261),
    [sym_list] = STATE(1261),
    [sym_tuple] = STATE(1261),
    [sym_bitstring] = STATE(1261),
    [sym_map] = STATE(1261),
    [sym__nullary_operator] = STATE(1261),
    [sym_unary_operator] = STATE(1261),
    [sym_binary_operator] = STATE(1261),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1261),
    [sym_call] = STATE(1261),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1261),
    [sym_anonymous_function] = STATE(1261),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2337),
    [sym_integer] = ACTIONS(2337),
    [sym_float] = ACTIONS(2337),
    [sym_char] = ACTIONS(2337),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [752] = {
    [sym__expression] = STATE(3219),
    [sym_block] = STATE(3219),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3219),
    [sym_nil] = STATE(3219),
    [sym__atom] = STATE(3219),
    [sym_quoted_atom] = STATE(3219),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3219),
    [sym_charlist] = STATE(3219),
    [sym_sigil] = STATE(3219),
    [sym_list] = STATE(3219),
    [sym_tuple] = STATE(3219),
    [sym_bitstring] = STATE(3219),
    [sym_map] = STATE(3219),
    [sym__nullary_operator] = STATE(3219),
    [sym_unary_operator] = STATE(3219),
    [sym_binary_operator] = STATE(3219),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3219),
    [sym_call] = STATE(3219),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3219),
    [sym_anonymous_function] = STATE(3219),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2339),
    [sym_integer] = ACTIONS(2339),
    [sym_float] = ACTIONS(2339),
    [sym_char] = ACTIONS(2339),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2339),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [753] = {
    [sym__expression] = STATE(3217),
    [sym_block] = STATE(3217),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3217),
    [sym_nil] = STATE(3217),
    [sym__atom] = STATE(3217),
    [sym_quoted_atom] = STATE(3217),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3217),
    [sym_charlist] = STATE(3217),
    [sym_sigil] = STATE(3217),
    [sym_list] = STATE(3217),
    [sym_tuple] = STATE(3217),
    [sym_bitstring] = STATE(3217),
    [sym_map] = STATE(3217),
    [sym__nullary_operator] = STATE(3217),
    [sym_unary_operator] = STATE(3217),
    [sym_binary_operator] = STATE(3217),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3217),
    [sym_call] = STATE(3217),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3217),
    [sym_anonymous_function] = STATE(3217),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2341),
    [sym_integer] = ACTIONS(2341),
    [sym_float] = ACTIONS(2341),
    [sym_char] = ACTIONS(2341),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2341),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [754] = {
    [sym__expression] = STATE(3216),
    [sym_block] = STATE(3216),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3216),
    [sym_nil] = STATE(3216),
    [sym__atom] = STATE(3216),
    [sym_quoted_atom] = STATE(3216),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3216),
    [sym_charlist] = STATE(3216),
    [sym_sigil] = STATE(3216),
    [sym_list] = STATE(3216),
    [sym_tuple] = STATE(3216),
    [sym_bitstring] = STATE(3216),
    [sym_map] = STATE(3216),
    [sym__nullary_operator] = STATE(3216),
    [sym_unary_operator] = STATE(3216),
    [sym_binary_operator] = STATE(3216),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3216),
    [sym_call] = STATE(3216),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3216),
    [sym_anonymous_function] = STATE(3216),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2343),
    [sym_integer] = ACTIONS(2343),
    [sym_float] = ACTIONS(2343),
    [sym_char] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2343),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [755] = {
    [sym__expression] = STATE(3215),
    [sym_block] = STATE(3215),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3215),
    [sym_nil] = STATE(3215),
    [sym__atom] = STATE(3215),
    [sym_quoted_atom] = STATE(3215),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3215),
    [sym_charlist] = STATE(3215),
    [sym_sigil] = STATE(3215),
    [sym_list] = STATE(3215),
    [sym_tuple] = STATE(3215),
    [sym_bitstring] = STATE(3215),
    [sym_map] = STATE(3215),
    [sym__nullary_operator] = STATE(3215),
    [sym_unary_operator] = STATE(3215),
    [sym_binary_operator] = STATE(3215),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3215),
    [sym_call] = STATE(3215),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3215),
    [sym_anonymous_function] = STATE(3215),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2345),
    [sym_integer] = ACTIONS(2345),
    [sym_float] = ACTIONS(2345),
    [sym_char] = ACTIONS(2345),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2345),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [756] = {
    [sym__expression] = STATE(3214),
    [sym_block] = STATE(3214),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3214),
    [sym_nil] = STATE(3214),
    [sym__atom] = STATE(3214),
    [sym_quoted_atom] = STATE(3214),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3214),
    [sym_charlist] = STATE(3214),
    [sym_sigil] = STATE(3214),
    [sym_list] = STATE(3214),
    [sym_tuple] = STATE(3214),
    [sym_bitstring] = STATE(3214),
    [sym_map] = STATE(3214),
    [sym__nullary_operator] = STATE(3214),
    [sym_unary_operator] = STATE(3214),
    [sym_binary_operator] = STATE(3214),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3214),
    [sym_call] = STATE(3214),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3214),
    [sym_anonymous_function] = STATE(3214),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2347),
    [sym_integer] = ACTIONS(2347),
    [sym_float] = ACTIONS(2347),
    [sym_char] = ACTIONS(2347),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2347),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [757] = {
    [sym__expression] = STATE(3212),
    [sym_block] = STATE(3212),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3212),
    [sym_nil] = STATE(3212),
    [sym__atom] = STATE(3212),
    [sym_quoted_atom] = STATE(3212),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3212),
    [sym_charlist] = STATE(3212),
    [sym_sigil] = STATE(3212),
    [sym_list] = STATE(3212),
    [sym_tuple] = STATE(3212),
    [sym_bitstring] = STATE(3212),
    [sym_map] = STATE(3212),
    [sym__nullary_operator] = STATE(3212),
    [sym_unary_operator] = STATE(3212),
    [sym_binary_operator] = STATE(3212),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3212),
    [sym_call] = STATE(3212),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3212),
    [sym_anonymous_function] = STATE(3212),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2349),
    [sym_integer] = ACTIONS(2349),
    [sym_float] = ACTIONS(2349),
    [sym_char] = ACTIONS(2349),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2349),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [758] = {
    [sym__expression] = STATE(3211),
    [sym_block] = STATE(3211),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3211),
    [sym_nil] = STATE(3211),
    [sym__atom] = STATE(3211),
    [sym_quoted_atom] = STATE(3211),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3211),
    [sym_charlist] = STATE(3211),
    [sym_sigil] = STATE(3211),
    [sym_list] = STATE(3211),
    [sym_tuple] = STATE(3211),
    [sym_bitstring] = STATE(3211),
    [sym_map] = STATE(3211),
    [sym__nullary_operator] = STATE(3211),
    [sym_unary_operator] = STATE(3211),
    [sym_binary_operator] = STATE(3211),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3211),
    [sym_call] = STATE(3211),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3211),
    [sym_anonymous_function] = STATE(3211),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2351),
    [sym_integer] = ACTIONS(2351),
    [sym_float] = ACTIONS(2351),
    [sym_char] = ACTIONS(2351),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2351),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [759] = {
    [sym__expression] = STATE(3210),
    [sym_block] = STATE(3210),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3210),
    [sym_nil] = STATE(3210),
    [sym__atom] = STATE(3210),
    [sym_quoted_atom] = STATE(3210),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3210),
    [sym_charlist] = STATE(3210),
    [sym_sigil] = STATE(3210),
    [sym_list] = STATE(3210),
    [sym_tuple] = STATE(3210),
    [sym_bitstring] = STATE(3210),
    [sym_map] = STATE(3210),
    [sym__nullary_operator] = STATE(3210),
    [sym_unary_operator] = STATE(3210),
    [sym_binary_operator] = STATE(3210),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3210),
    [sym_call] = STATE(3210),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3210),
    [sym_anonymous_function] = STATE(3210),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2353),
    [sym_integer] = ACTIONS(2353),
    [sym_float] = ACTIONS(2353),
    [sym_char] = ACTIONS(2353),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2353),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [760] = {
    [sym__expression] = STATE(3209),
    [sym_block] = STATE(3209),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3209),
    [sym_nil] = STATE(3209),
    [sym__atom] = STATE(3209),
    [sym_quoted_atom] = STATE(3209),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3209),
    [sym_charlist] = STATE(3209),
    [sym_sigil] = STATE(3209),
    [sym_list] = STATE(3209),
    [sym_tuple] = STATE(3209),
    [sym_bitstring] = STATE(3209),
    [sym_map] = STATE(3209),
    [sym__nullary_operator] = STATE(3209),
    [sym_unary_operator] = STATE(3209),
    [sym_binary_operator] = STATE(3209),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3209),
    [sym_call] = STATE(3209),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3209),
    [sym_anonymous_function] = STATE(3209),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2355),
    [sym_integer] = ACTIONS(2355),
    [sym_float] = ACTIONS(2355),
    [sym_char] = ACTIONS(2355),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2355),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [761] = {
    [sym__expression] = STATE(2920),
    [sym_block] = STATE(2920),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(2920),
    [sym_nil] = STATE(2920),
    [sym__atom] = STATE(2920),
    [sym_quoted_atom] = STATE(2920),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(2920),
    [sym_charlist] = STATE(2920),
    [sym_sigil] = STATE(2920),
    [sym_list] = STATE(2920),
    [sym_tuple] = STATE(2920),
    [sym_bitstring] = STATE(2920),
    [sym_map] = STATE(2920),
    [sym__nullary_operator] = STATE(2920),
    [sym_unary_operator] = STATE(2920),
    [sym_binary_operator] = STATE(2920),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(2920),
    [sym_call] = STATE(2920),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(2920),
    [sym_anonymous_function] = STATE(2920),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2357),
    [sym_integer] = ACTIONS(2357),
    [sym_float] = ACTIONS(2357),
    [sym_char] = ACTIONS(2357),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2357),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [762] = {
    [sym__expression] = STATE(3207),
    [sym_block] = STATE(3207),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3207),
    [sym_nil] = STATE(3207),
    [sym__atom] = STATE(3207),
    [sym_quoted_atom] = STATE(3207),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3207),
    [sym_charlist] = STATE(3207),
    [sym_sigil] = STATE(3207),
    [sym_list] = STATE(3207),
    [sym_tuple] = STATE(3207),
    [sym_bitstring] = STATE(3207),
    [sym_map] = STATE(3207),
    [sym__nullary_operator] = STATE(3207),
    [sym_unary_operator] = STATE(3207),
    [sym_binary_operator] = STATE(3207),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3207),
    [sym_call] = STATE(3207),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3207),
    [sym_anonymous_function] = STATE(3207),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2359),
    [sym_integer] = ACTIONS(2359),
    [sym_float] = ACTIONS(2359),
    [sym_char] = ACTIONS(2359),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2359),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [763] = {
    [sym__expression] = STATE(3206),
    [sym_block] = STATE(3206),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3206),
    [sym_nil] = STATE(3206),
    [sym__atom] = STATE(3206),
    [sym_quoted_atom] = STATE(3206),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3206),
    [sym_charlist] = STATE(3206),
    [sym_sigil] = STATE(3206),
    [sym_list] = STATE(3206),
    [sym_tuple] = STATE(3206),
    [sym_bitstring] = STATE(3206),
    [sym_map] = STATE(3206),
    [sym__nullary_operator] = STATE(3206),
    [sym_unary_operator] = STATE(3206),
    [sym_binary_operator] = STATE(3206),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3206),
    [sym_call] = STATE(3206),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3206),
    [sym_anonymous_function] = STATE(3206),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2361),
    [sym_integer] = ACTIONS(2361),
    [sym_float] = ACTIONS(2361),
    [sym_char] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2361),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [764] = {
    [sym__expression] = STATE(3205),
    [sym_block] = STATE(3205),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3205),
    [sym_nil] = STATE(3205),
    [sym__atom] = STATE(3205),
    [sym_quoted_atom] = STATE(3205),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3205),
    [sym_charlist] = STATE(3205),
    [sym_sigil] = STATE(3205),
    [sym_list] = STATE(3205),
    [sym_tuple] = STATE(3205),
    [sym_bitstring] = STATE(3205),
    [sym_map] = STATE(3205),
    [sym__nullary_operator] = STATE(3205),
    [sym_unary_operator] = STATE(3205),
    [sym_binary_operator] = STATE(3205),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3205),
    [sym_call] = STATE(3205),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3205),
    [sym_anonymous_function] = STATE(3205),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2363),
    [sym_integer] = ACTIONS(2363),
    [sym_float] = ACTIONS(2363),
    [sym_char] = ACTIONS(2363),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2363),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [765] = {
    [sym__expression] = STATE(3204),
    [sym_block] = STATE(3204),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3204),
    [sym_nil] = STATE(3204),
    [sym__atom] = STATE(3204),
    [sym_quoted_atom] = STATE(3204),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3204),
    [sym_charlist] = STATE(3204),
    [sym_sigil] = STATE(3204),
    [sym_list] = STATE(3204),
    [sym_tuple] = STATE(3204),
    [sym_bitstring] = STATE(3204),
    [sym_map] = STATE(3204),
    [sym__nullary_operator] = STATE(3204),
    [sym_unary_operator] = STATE(3204),
    [sym_binary_operator] = STATE(3204),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3204),
    [sym_call] = STATE(3204),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3204),
    [sym_anonymous_function] = STATE(3204),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2365),
    [sym_integer] = ACTIONS(2365),
    [sym_float] = ACTIONS(2365),
    [sym_char] = ACTIONS(2365),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2365),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [766] = {
    [sym__expression] = STATE(3005),
    [sym_block] = STATE(3005),
    [sym_identifier] = STATE(42),
    [sym_boolean] = STATE(3005),
    [sym_nil] = STATE(3005),
    [sym__atom] = STATE(3005),
    [sym_quoted_atom] = STATE(3005),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(3005),
    [sym_charlist] = STATE(3005),
    [sym_sigil] = STATE(3005),
    [sym_list] = STATE(3005),
    [sym_tuple] = STATE(3005),
    [sym_bitstring] = STATE(3005),
    [sym_map] = STATE(3005),
    [sym__nullary_operator] = STATE(3005),
    [sym_unary_operator] = STATE(3005),
    [sym_binary_operator] = STATE(3005),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(3005),
    [sym_call] = STATE(3005),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(51),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(3005),
    [sym_anonymous_function] = STATE(3005),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2367),
    [sym_integer] = ACTIONS(2367),
    [sym_float] = ACTIONS(2367),
    [sym_char] = ACTIONS(2367),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(454),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(463),
    [anon_sym_not] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(467),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [767] = {
    [sym__expression] = STATE(2032),
    [sym_block] = STATE(2032),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(2032),
    [sym_nil] = STATE(2032),
    [sym__atom] = STATE(2032),
    [sym_quoted_atom] = STATE(2032),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2032),
    [sym_charlist] = STATE(2032),
    [sym_sigil] = STATE(2032),
    [sym_list] = STATE(2032),
    [sym_tuple] = STATE(2032),
    [sym_bitstring] = STATE(2032),
    [sym_map] = STATE(2032),
    [sym__nullary_operator] = STATE(2032),
    [sym_unary_operator] = STATE(2032),
    [sym_binary_operator] = STATE(2032),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2032),
    [sym_call] = STATE(2032),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2032),
    [sym_anonymous_function] = STATE(2032),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1903),
    [sym_integer] = ACTIONS(1903),
    [sym_float] = ACTIONS(1903),
    [sym_char] = ACTIONS(1903),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1903),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [768] = {
    [sym__expression] = STATE(3975),
    [sym_block] = STATE(3975),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3975),
    [sym_nil] = STATE(3975),
    [sym__atom] = STATE(3975),
    [sym_quoted_atom] = STATE(3975),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3975),
    [sym_charlist] = STATE(3975),
    [sym_sigil] = STATE(3975),
    [sym_list] = STATE(3975),
    [sym_tuple] = STATE(3975),
    [sym_bitstring] = STATE(3975),
    [sym_map] = STATE(3975),
    [sym__nullary_operator] = STATE(3975),
    [sym_unary_operator] = STATE(3975),
    [sym_binary_operator] = STATE(3975),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3975),
    [sym_call] = STATE(3975),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3975),
    [sym_anonymous_function] = STATE(3975),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2369),
    [sym_integer] = ACTIONS(2369),
    [sym_float] = ACTIONS(2369),
    [sym_char] = ACTIONS(2369),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2369),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [769] = {
    [sym__expression] = STATE(2145),
    [sym_block] = STATE(2145),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2145),
    [sym_nil] = STATE(2145),
    [sym__atom] = STATE(2145),
    [sym_quoted_atom] = STATE(2145),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2145),
    [sym_charlist] = STATE(2145),
    [sym_sigil] = STATE(2145),
    [sym_list] = STATE(2145),
    [sym_tuple] = STATE(2145),
    [sym_bitstring] = STATE(2145),
    [sym_map] = STATE(2145),
    [sym__nullary_operator] = STATE(2145),
    [sym_unary_operator] = STATE(2145),
    [sym_binary_operator] = STATE(2145),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2145),
    [sym_call] = STATE(2145),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2145),
    [sym_anonymous_function] = STATE(2145),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2371),
    [sym_integer] = ACTIONS(2371),
    [sym_float] = ACTIONS(2371),
    [sym_char] = ACTIONS(2371),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2371),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [770] = {
    [sym__expression] = STATE(1999),
    [sym_block] = STATE(1999),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(1999),
    [sym_nil] = STATE(1999),
    [sym__atom] = STATE(1999),
    [sym_quoted_atom] = STATE(1999),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(1999),
    [sym_charlist] = STATE(1999),
    [sym_sigil] = STATE(1999),
    [sym_list] = STATE(1999),
    [sym_tuple] = STATE(1999),
    [sym_bitstring] = STATE(1999),
    [sym_map] = STATE(1999),
    [sym__nullary_operator] = STATE(1999),
    [sym_unary_operator] = STATE(1999),
    [sym_binary_operator] = STATE(1999),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(1999),
    [sym_call] = STATE(1999),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(1999),
    [sym_anonymous_function] = STATE(1999),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1859),
    [sym_integer] = ACTIONS(1859),
    [sym_float] = ACTIONS(1859),
    [sym_char] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [771] = {
    [sym__expression] = STATE(2144),
    [sym_block] = STATE(2144),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2144),
    [sym_nil] = STATE(2144),
    [sym__atom] = STATE(2144),
    [sym_quoted_atom] = STATE(2144),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2144),
    [sym_charlist] = STATE(2144),
    [sym_sigil] = STATE(2144),
    [sym_list] = STATE(2144),
    [sym_tuple] = STATE(2144),
    [sym_bitstring] = STATE(2144),
    [sym_map] = STATE(2144),
    [sym__nullary_operator] = STATE(2144),
    [sym_unary_operator] = STATE(2144),
    [sym_binary_operator] = STATE(2144),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2144),
    [sym_call] = STATE(2144),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2144),
    [sym_anonymous_function] = STATE(2144),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2373),
    [sym_integer] = ACTIONS(2373),
    [sym_float] = ACTIONS(2373),
    [sym_char] = ACTIONS(2373),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2373),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [772] = {
    [sym__expression] = STATE(2032),
    [sym_block] = STATE(2032),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2032),
    [sym_nil] = STATE(2032),
    [sym__atom] = STATE(2032),
    [sym_quoted_atom] = STATE(2032),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2032),
    [sym_charlist] = STATE(2032),
    [sym_sigil] = STATE(2032),
    [sym_list] = STATE(2032),
    [sym_tuple] = STATE(2032),
    [sym_bitstring] = STATE(2032),
    [sym_map] = STATE(2032),
    [sym__nullary_operator] = STATE(2032),
    [sym_unary_operator] = STATE(2032),
    [sym_binary_operator] = STATE(2032),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2032),
    [sym_call] = STATE(2032),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2032),
    [sym_anonymous_function] = STATE(2032),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(1903),
    [sym_integer] = ACTIONS(1903),
    [sym_float] = ACTIONS(1903),
    [sym_char] = ACTIONS(1903),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1903),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [773] = {
    [sym__expression] = STATE(2148),
    [sym_block] = STATE(2148),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2148),
    [sym_nil] = STATE(2148),
    [sym__atom] = STATE(2148),
    [sym_quoted_atom] = STATE(2148),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2148),
    [sym_charlist] = STATE(2148),
    [sym_sigil] = STATE(2148),
    [sym_list] = STATE(2148),
    [sym_tuple] = STATE(2148),
    [sym_bitstring] = STATE(2148),
    [sym_map] = STATE(2148),
    [sym__nullary_operator] = STATE(2148),
    [sym_unary_operator] = STATE(2148),
    [sym_binary_operator] = STATE(2148),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2148),
    [sym_call] = STATE(2148),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2148),
    [sym_anonymous_function] = STATE(2148),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2375),
    [sym_integer] = ACTIONS(2375),
    [sym_float] = ACTIONS(2375),
    [sym_char] = ACTIONS(2375),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2375),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [774] = {
    [sym__expression] = STATE(2149),
    [sym_block] = STATE(2149),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2149),
    [sym_nil] = STATE(2149),
    [sym__atom] = STATE(2149),
    [sym_quoted_atom] = STATE(2149),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2149),
    [sym_charlist] = STATE(2149),
    [sym_sigil] = STATE(2149),
    [sym_list] = STATE(2149),
    [sym_tuple] = STATE(2149),
    [sym_bitstring] = STATE(2149),
    [sym_map] = STATE(2149),
    [sym__nullary_operator] = STATE(2149),
    [sym_unary_operator] = STATE(2149),
    [sym_binary_operator] = STATE(2149),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2149),
    [sym_call] = STATE(2149),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2149),
    [sym_anonymous_function] = STATE(2149),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2377),
    [sym_integer] = ACTIONS(2377),
    [sym_float] = ACTIONS(2377),
    [sym_char] = ACTIONS(2377),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [775] = {
    [sym__expression] = STATE(2151),
    [sym_block] = STATE(2151),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2151),
    [sym_nil] = STATE(2151),
    [sym__atom] = STATE(2151),
    [sym_quoted_atom] = STATE(2151),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2151),
    [sym_charlist] = STATE(2151),
    [sym_sigil] = STATE(2151),
    [sym_list] = STATE(2151),
    [sym_tuple] = STATE(2151),
    [sym_bitstring] = STATE(2151),
    [sym_map] = STATE(2151),
    [sym__nullary_operator] = STATE(2151),
    [sym_unary_operator] = STATE(2151),
    [sym_binary_operator] = STATE(2151),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2151),
    [sym_call] = STATE(2151),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2151),
    [sym_anonymous_function] = STATE(2151),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2379),
    [sym_integer] = ACTIONS(2379),
    [sym_float] = ACTIONS(2379),
    [sym_char] = ACTIONS(2379),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2379),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [776] = {
    [sym__expression] = STATE(2152),
    [sym_block] = STATE(2152),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2152),
    [sym_nil] = STATE(2152),
    [sym__atom] = STATE(2152),
    [sym_quoted_atom] = STATE(2152),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2152),
    [sym_charlist] = STATE(2152),
    [sym_sigil] = STATE(2152),
    [sym_list] = STATE(2152),
    [sym_tuple] = STATE(2152),
    [sym_bitstring] = STATE(2152),
    [sym_map] = STATE(2152),
    [sym__nullary_operator] = STATE(2152),
    [sym_unary_operator] = STATE(2152),
    [sym_binary_operator] = STATE(2152),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2152),
    [sym_call] = STATE(2152),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2152),
    [sym_anonymous_function] = STATE(2152),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2381),
    [sym_integer] = ACTIONS(2381),
    [sym_float] = ACTIONS(2381),
    [sym_char] = ACTIONS(2381),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2381),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [777] = {
    [sym__expression] = STATE(2153),
    [sym_block] = STATE(2153),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2153),
    [sym_nil] = STATE(2153),
    [sym__atom] = STATE(2153),
    [sym_quoted_atom] = STATE(2153),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2153),
    [sym_charlist] = STATE(2153),
    [sym_sigil] = STATE(2153),
    [sym_list] = STATE(2153),
    [sym_tuple] = STATE(2153),
    [sym_bitstring] = STATE(2153),
    [sym_map] = STATE(2153),
    [sym__nullary_operator] = STATE(2153),
    [sym_unary_operator] = STATE(2153),
    [sym_binary_operator] = STATE(2153),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2153),
    [sym_call] = STATE(2153),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2153),
    [sym_anonymous_function] = STATE(2153),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2383),
    [sym_integer] = ACTIONS(2383),
    [sym_float] = ACTIONS(2383),
    [sym_char] = ACTIONS(2383),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2383),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [778] = {
    [sym__expression] = STATE(2154),
    [sym_block] = STATE(2154),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2154),
    [sym_nil] = STATE(2154),
    [sym__atom] = STATE(2154),
    [sym_quoted_atom] = STATE(2154),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2154),
    [sym_charlist] = STATE(2154),
    [sym_sigil] = STATE(2154),
    [sym_list] = STATE(2154),
    [sym_tuple] = STATE(2154),
    [sym_bitstring] = STATE(2154),
    [sym_map] = STATE(2154),
    [sym__nullary_operator] = STATE(2154),
    [sym_unary_operator] = STATE(2154),
    [sym_binary_operator] = STATE(2154),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2154),
    [sym_call] = STATE(2154),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2154),
    [sym_anonymous_function] = STATE(2154),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2385),
    [sym_integer] = ACTIONS(2385),
    [sym_float] = ACTIONS(2385),
    [sym_char] = ACTIONS(2385),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2385),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [779] = {
    [sym__expression] = STATE(2156),
    [sym_block] = STATE(2156),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2156),
    [sym_nil] = STATE(2156),
    [sym__atom] = STATE(2156),
    [sym_quoted_atom] = STATE(2156),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2156),
    [sym_charlist] = STATE(2156),
    [sym_sigil] = STATE(2156),
    [sym_list] = STATE(2156),
    [sym_tuple] = STATE(2156),
    [sym_bitstring] = STATE(2156),
    [sym_map] = STATE(2156),
    [sym__nullary_operator] = STATE(2156),
    [sym_unary_operator] = STATE(2156),
    [sym_binary_operator] = STATE(2156),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2156),
    [sym_call] = STATE(2156),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2156),
    [sym_anonymous_function] = STATE(2156),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2387),
    [sym_integer] = ACTIONS(2387),
    [sym_float] = ACTIONS(2387),
    [sym_char] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2387),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [780] = {
    [sym__expression] = STATE(2157),
    [sym_block] = STATE(2157),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2157),
    [sym_nil] = STATE(2157),
    [sym__atom] = STATE(2157),
    [sym_quoted_atom] = STATE(2157),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2157),
    [sym_charlist] = STATE(2157),
    [sym_sigil] = STATE(2157),
    [sym_list] = STATE(2157),
    [sym_tuple] = STATE(2157),
    [sym_bitstring] = STATE(2157),
    [sym_map] = STATE(2157),
    [sym__nullary_operator] = STATE(2157),
    [sym_unary_operator] = STATE(2157),
    [sym_binary_operator] = STATE(2157),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2157),
    [sym_call] = STATE(2157),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2157),
    [sym_anonymous_function] = STATE(2157),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2389),
    [sym_integer] = ACTIONS(2389),
    [sym_float] = ACTIONS(2389),
    [sym_char] = ACTIONS(2389),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2389),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [781] = {
    [sym__expression] = STATE(2160),
    [sym_block] = STATE(2160),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2160),
    [sym_nil] = STATE(2160),
    [sym__atom] = STATE(2160),
    [sym_quoted_atom] = STATE(2160),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2160),
    [sym_charlist] = STATE(2160),
    [sym_sigil] = STATE(2160),
    [sym_list] = STATE(2160),
    [sym_tuple] = STATE(2160),
    [sym_bitstring] = STATE(2160),
    [sym_map] = STATE(2160),
    [sym__nullary_operator] = STATE(2160),
    [sym_unary_operator] = STATE(2160),
    [sym_binary_operator] = STATE(2160),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2160),
    [sym_call] = STATE(2160),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2160),
    [sym_anonymous_function] = STATE(2160),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2391),
    [sym_integer] = ACTIONS(2391),
    [sym_float] = ACTIONS(2391),
    [sym_char] = ACTIONS(2391),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2391),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [782] = {
    [sym__expression] = STATE(2161),
    [sym_block] = STATE(2161),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2161),
    [sym_nil] = STATE(2161),
    [sym__atom] = STATE(2161),
    [sym_quoted_atom] = STATE(2161),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2161),
    [sym_charlist] = STATE(2161),
    [sym_sigil] = STATE(2161),
    [sym_list] = STATE(2161),
    [sym_tuple] = STATE(2161),
    [sym_bitstring] = STATE(2161),
    [sym_map] = STATE(2161),
    [sym__nullary_operator] = STATE(2161),
    [sym_unary_operator] = STATE(2161),
    [sym_binary_operator] = STATE(2161),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2161),
    [sym_call] = STATE(2161),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2161),
    [sym_anonymous_function] = STATE(2161),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2393),
    [sym_integer] = ACTIONS(2393),
    [sym_float] = ACTIONS(2393),
    [sym_char] = ACTIONS(2393),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2393),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [783] = {
    [sym__expression] = STATE(2162),
    [sym_block] = STATE(2162),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2162),
    [sym_nil] = STATE(2162),
    [sym__atom] = STATE(2162),
    [sym_quoted_atom] = STATE(2162),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2162),
    [sym_charlist] = STATE(2162),
    [sym_sigil] = STATE(2162),
    [sym_list] = STATE(2162),
    [sym_tuple] = STATE(2162),
    [sym_bitstring] = STATE(2162),
    [sym_map] = STATE(2162),
    [sym__nullary_operator] = STATE(2162),
    [sym_unary_operator] = STATE(2162),
    [sym_binary_operator] = STATE(2162),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2162),
    [sym_call] = STATE(2162),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2162),
    [sym_anonymous_function] = STATE(2162),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2395),
    [sym_integer] = ACTIONS(2395),
    [sym_float] = ACTIONS(2395),
    [sym_char] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [784] = {
    [sym__expression] = STATE(2163),
    [sym_block] = STATE(2163),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2163),
    [sym_nil] = STATE(2163),
    [sym__atom] = STATE(2163),
    [sym_quoted_atom] = STATE(2163),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2163),
    [sym_charlist] = STATE(2163),
    [sym_sigil] = STATE(2163),
    [sym_list] = STATE(2163),
    [sym_tuple] = STATE(2163),
    [sym_bitstring] = STATE(2163),
    [sym_map] = STATE(2163),
    [sym__nullary_operator] = STATE(2163),
    [sym_unary_operator] = STATE(2163),
    [sym_binary_operator] = STATE(2163),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2163),
    [sym_call] = STATE(2163),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2163),
    [sym_anonymous_function] = STATE(2163),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2397),
    [sym_integer] = ACTIONS(2397),
    [sym_float] = ACTIONS(2397),
    [sym_char] = ACTIONS(2397),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [785] = {
    [sym__expression] = STATE(2164),
    [sym_block] = STATE(2164),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2164),
    [sym_nil] = STATE(2164),
    [sym__atom] = STATE(2164),
    [sym_quoted_atom] = STATE(2164),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2164),
    [sym_charlist] = STATE(2164),
    [sym_sigil] = STATE(2164),
    [sym_list] = STATE(2164),
    [sym_tuple] = STATE(2164),
    [sym_bitstring] = STATE(2164),
    [sym_map] = STATE(2164),
    [sym__nullary_operator] = STATE(2164),
    [sym_unary_operator] = STATE(2164),
    [sym_binary_operator] = STATE(2164),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2164),
    [sym_call] = STATE(2164),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2164),
    [sym_anonymous_function] = STATE(2164),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2399),
    [sym_integer] = ACTIONS(2399),
    [sym_float] = ACTIONS(2399),
    [sym_char] = ACTIONS(2399),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2399),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [786] = {
    [sym__expression] = STATE(2454),
    [sym_block] = STATE(2454),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2454),
    [sym_nil] = STATE(2454),
    [sym__atom] = STATE(2454),
    [sym_quoted_atom] = STATE(2454),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2454),
    [sym_charlist] = STATE(2454),
    [sym_sigil] = STATE(2454),
    [sym_list] = STATE(2454),
    [sym_tuple] = STATE(2454),
    [sym_bitstring] = STATE(2454),
    [sym_map] = STATE(2454),
    [sym__nullary_operator] = STATE(2454),
    [sym_unary_operator] = STATE(2454),
    [sym_binary_operator] = STATE(2454),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2454),
    [sym_call] = STATE(2454),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2454),
    [sym_anonymous_function] = STATE(2454),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2401),
    [sym_integer] = ACTIONS(2401),
    [sym_float] = ACTIONS(2401),
    [sym_char] = ACTIONS(2401),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2401),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [787] = {
    [sym__expression] = STATE(2165),
    [sym_block] = STATE(2165),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2165),
    [sym_nil] = STATE(2165),
    [sym__atom] = STATE(2165),
    [sym_quoted_atom] = STATE(2165),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2165),
    [sym_charlist] = STATE(2165),
    [sym_sigil] = STATE(2165),
    [sym_list] = STATE(2165),
    [sym_tuple] = STATE(2165),
    [sym_bitstring] = STATE(2165),
    [sym_map] = STATE(2165),
    [sym__nullary_operator] = STATE(2165),
    [sym_unary_operator] = STATE(2165),
    [sym_binary_operator] = STATE(2165),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2165),
    [sym_call] = STATE(2165),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2165),
    [sym_anonymous_function] = STATE(2165),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2403),
    [sym_integer] = ACTIONS(2403),
    [sym_float] = ACTIONS(2403),
    [sym_char] = ACTIONS(2403),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [788] = {
    [sym__expression] = STATE(1240),
    [sym_block] = STATE(1240),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(1240),
    [sym_nil] = STATE(1240),
    [sym__atom] = STATE(1240),
    [sym_quoted_atom] = STATE(1240),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1240),
    [sym_charlist] = STATE(1240),
    [sym_sigil] = STATE(1240),
    [sym_list] = STATE(1240),
    [sym_tuple] = STATE(1240),
    [sym_bitstring] = STATE(1240),
    [sym_map] = STATE(1240),
    [sym__nullary_operator] = STATE(1240),
    [sym_unary_operator] = STATE(1240),
    [sym_binary_operator] = STATE(1240),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1240),
    [sym_call] = STATE(1240),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1240),
    [sym_anonymous_function] = STATE(1240),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2405),
    [sym_integer] = ACTIONS(2405),
    [sym_float] = ACTIONS(2405),
    [sym_char] = ACTIONS(2405),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2405),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [789] = {
    [sym__expression] = STATE(2166),
    [sym_block] = STATE(2166),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2166),
    [sym_nil] = STATE(2166),
    [sym__atom] = STATE(2166),
    [sym_quoted_atom] = STATE(2166),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2166),
    [sym_charlist] = STATE(2166),
    [sym_sigil] = STATE(2166),
    [sym_list] = STATE(2166),
    [sym_tuple] = STATE(2166),
    [sym_bitstring] = STATE(2166),
    [sym_map] = STATE(2166),
    [sym__nullary_operator] = STATE(2166),
    [sym_unary_operator] = STATE(2166),
    [sym_binary_operator] = STATE(2166),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2166),
    [sym_call] = STATE(2166),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2166),
    [sym_anonymous_function] = STATE(2166),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2407),
    [sym_integer] = ACTIONS(2407),
    [sym_float] = ACTIONS(2407),
    [sym_char] = ACTIONS(2407),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2407),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [790] = {
    [sym__expression] = STATE(2138),
    [sym_block] = STATE(2138),
    [sym_identifier] = STATE(29),
    [sym_boolean] = STATE(2138),
    [sym_nil] = STATE(2138),
    [sym__atom] = STATE(2138),
    [sym_quoted_atom] = STATE(2138),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(2138),
    [sym_charlist] = STATE(2138),
    [sym_sigil] = STATE(2138),
    [sym_list] = STATE(2138),
    [sym_tuple] = STATE(2138),
    [sym_bitstring] = STATE(2138),
    [sym_map] = STATE(2138),
    [sym__nullary_operator] = STATE(2138),
    [sym_unary_operator] = STATE(2138),
    [sym_binary_operator] = STATE(2138),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(2138),
    [sym_call] = STATE(2138),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(16),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(2138),
    [sym_anonymous_function] = STATE(2138),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(65),
    [sym_alias] = ACTIONS(2409),
    [sym_integer] = ACTIONS(2409),
    [sym_float] = ACTIONS(2409),
    [sym_char] = ACTIONS(2409),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(948),
    [anon_sym_CARET] = ACTIONS(948),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(948),
    [anon_sym_not] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(950),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(956),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [791] = {
    [sym__expression] = STATE(1416),
    [sym_block] = STATE(1416),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1416),
    [sym_nil] = STATE(1416),
    [sym__atom] = STATE(1416),
    [sym_quoted_atom] = STATE(1416),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1416),
    [sym_charlist] = STATE(1416),
    [sym_sigil] = STATE(1416),
    [sym_list] = STATE(1416),
    [sym_tuple] = STATE(1416),
    [sym_bitstring] = STATE(1416),
    [sym_map] = STATE(1416),
    [sym__nullary_operator] = STATE(1416),
    [sym_unary_operator] = STATE(1416),
    [sym_binary_operator] = STATE(1416),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1416),
    [sym_call] = STATE(1416),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1416),
    [sym_anonymous_function] = STATE(1416),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2411),
    [sym_integer] = ACTIONS(2411),
    [sym_float] = ACTIONS(2411),
    [sym_char] = ACTIONS(2411),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2411),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [792] = {
    [sym__expression] = STATE(1261),
    [sym_block] = STATE(1261),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1261),
    [sym_nil] = STATE(1261),
    [sym__atom] = STATE(1261),
    [sym_quoted_atom] = STATE(1261),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1261),
    [sym_charlist] = STATE(1261),
    [sym_sigil] = STATE(1261),
    [sym_list] = STATE(1261),
    [sym_tuple] = STATE(1261),
    [sym_bitstring] = STATE(1261),
    [sym_map] = STATE(1261),
    [sym__nullary_operator] = STATE(1261),
    [sym_unary_operator] = STATE(1261),
    [sym_binary_operator] = STATE(1261),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1261),
    [sym_call] = STATE(1261),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1261),
    [sym_anonymous_function] = STATE(1261),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2337),
    [sym_integer] = ACTIONS(2337),
    [sym_float] = ACTIONS(2337),
    [sym_char] = ACTIONS(2337),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [793] = {
    [sym__expression] = STATE(1240),
    [sym_block] = STATE(1240),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1240),
    [sym_nil] = STATE(1240),
    [sym__atom] = STATE(1240),
    [sym_quoted_atom] = STATE(1240),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1240),
    [sym_charlist] = STATE(1240),
    [sym_sigil] = STATE(1240),
    [sym_list] = STATE(1240),
    [sym_tuple] = STATE(1240),
    [sym_bitstring] = STATE(1240),
    [sym_map] = STATE(1240),
    [sym__nullary_operator] = STATE(1240),
    [sym_unary_operator] = STATE(1240),
    [sym_binary_operator] = STATE(1240),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1240),
    [sym_call] = STATE(1240),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1240),
    [sym_anonymous_function] = STATE(1240),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2405),
    [sym_integer] = ACTIONS(2405),
    [sym_float] = ACTIONS(2405),
    [sym_char] = ACTIONS(2405),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2405),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [794] = {
    [sym__expression] = STATE(1511),
    [sym_block] = STATE(1511),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1511),
    [sym_nil] = STATE(1511),
    [sym__atom] = STATE(1511),
    [sym_quoted_atom] = STATE(1511),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1511),
    [sym_charlist] = STATE(1511),
    [sym_sigil] = STATE(1511),
    [sym_list] = STATE(1511),
    [sym_tuple] = STATE(1511),
    [sym_bitstring] = STATE(1511),
    [sym_map] = STATE(1511),
    [sym__nullary_operator] = STATE(1511),
    [sym_unary_operator] = STATE(1511),
    [sym_binary_operator] = STATE(1511),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1511),
    [sym_call] = STATE(1511),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1511),
    [sym_anonymous_function] = STATE(1511),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2413),
    [sym_integer] = ACTIONS(2413),
    [sym_float] = ACTIONS(2413),
    [sym_char] = ACTIONS(2413),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2413),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [795] = {
    [sym__expression] = STATE(1512),
    [sym_block] = STATE(1512),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1512),
    [sym_nil] = STATE(1512),
    [sym__atom] = STATE(1512),
    [sym_quoted_atom] = STATE(1512),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1512),
    [sym_charlist] = STATE(1512),
    [sym_sigil] = STATE(1512),
    [sym_list] = STATE(1512),
    [sym_tuple] = STATE(1512),
    [sym_bitstring] = STATE(1512),
    [sym_map] = STATE(1512),
    [sym__nullary_operator] = STATE(1512),
    [sym_unary_operator] = STATE(1512),
    [sym_binary_operator] = STATE(1512),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1512),
    [sym_call] = STATE(1512),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1512),
    [sym_anonymous_function] = STATE(1512),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2415),
    [sym_integer] = ACTIONS(2415),
    [sym_float] = ACTIONS(2415),
    [sym_char] = ACTIONS(2415),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2415),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [796] = {
    [sym__expression] = STATE(4061),
    [sym_block] = STATE(4061),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4061),
    [sym_nil] = STATE(4061),
    [sym__atom] = STATE(4061),
    [sym_quoted_atom] = STATE(4061),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4061),
    [sym_charlist] = STATE(4061),
    [sym_sigil] = STATE(4061),
    [sym_list] = STATE(4061),
    [sym_tuple] = STATE(4061),
    [sym_bitstring] = STATE(4061),
    [sym_map] = STATE(4061),
    [sym__nullary_operator] = STATE(4061),
    [sym_unary_operator] = STATE(4061),
    [sym_binary_operator] = STATE(4061),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4061),
    [sym_call] = STATE(4061),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4061),
    [sym_anonymous_function] = STATE(4061),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2417),
    [sym_integer] = ACTIONS(2417),
    [sym_float] = ACTIONS(2417),
    [sym_char] = ACTIONS(2417),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2417),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [797] = {
    [sym__expression] = STATE(4490),
    [sym_block] = STATE(4490),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4490),
    [sym_nil] = STATE(4490),
    [sym__atom] = STATE(4490),
    [sym_quoted_atom] = STATE(4490),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4490),
    [sym_charlist] = STATE(4490),
    [sym_sigil] = STATE(4490),
    [sym_list] = STATE(4490),
    [sym_tuple] = STATE(4490),
    [sym_bitstring] = STATE(4490),
    [sym_map] = STATE(4490),
    [sym__nullary_operator] = STATE(4490),
    [sym_unary_operator] = STATE(4490),
    [sym_binary_operator] = STATE(4490),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4490),
    [sym_call] = STATE(4490),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4490),
    [sym_anonymous_function] = STATE(4490),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1519),
    [sym_integer] = ACTIONS(1519),
    [sym_float] = ACTIONS(1519),
    [sym_char] = ACTIONS(1519),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [798] = {
    [sym__expression] = STATE(1514),
    [sym_block] = STATE(1514),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1514),
    [sym_nil] = STATE(1514),
    [sym__atom] = STATE(1514),
    [sym_quoted_atom] = STATE(1514),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1514),
    [sym_charlist] = STATE(1514),
    [sym_sigil] = STATE(1514),
    [sym_list] = STATE(1514),
    [sym_tuple] = STATE(1514),
    [sym_bitstring] = STATE(1514),
    [sym_map] = STATE(1514),
    [sym__nullary_operator] = STATE(1514),
    [sym_unary_operator] = STATE(1514),
    [sym_binary_operator] = STATE(1514),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1514),
    [sym_call] = STATE(1514),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1514),
    [sym_anonymous_function] = STATE(1514),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2419),
    [sym_integer] = ACTIONS(2419),
    [sym_float] = ACTIONS(2419),
    [sym_char] = ACTIONS(2419),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2419),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [799] = {
    [sym__expression] = STATE(1515),
    [sym_block] = STATE(1515),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1515),
    [sym_nil] = STATE(1515),
    [sym__atom] = STATE(1515),
    [sym_quoted_atom] = STATE(1515),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1515),
    [sym_charlist] = STATE(1515),
    [sym_sigil] = STATE(1515),
    [sym_list] = STATE(1515),
    [sym_tuple] = STATE(1515),
    [sym_bitstring] = STATE(1515),
    [sym_map] = STATE(1515),
    [sym__nullary_operator] = STATE(1515),
    [sym_unary_operator] = STATE(1515),
    [sym_binary_operator] = STATE(1515),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1515),
    [sym_call] = STATE(1515),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1515),
    [sym_anonymous_function] = STATE(1515),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2421),
    [sym_integer] = ACTIONS(2421),
    [sym_float] = ACTIONS(2421),
    [sym_char] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [800] = {
    [sym__expression] = STATE(1516),
    [sym_block] = STATE(1516),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1516),
    [sym_nil] = STATE(1516),
    [sym__atom] = STATE(1516),
    [sym_quoted_atom] = STATE(1516),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1516),
    [sym_charlist] = STATE(1516),
    [sym_sigil] = STATE(1516),
    [sym_list] = STATE(1516),
    [sym_tuple] = STATE(1516),
    [sym_bitstring] = STATE(1516),
    [sym_map] = STATE(1516),
    [sym__nullary_operator] = STATE(1516),
    [sym_unary_operator] = STATE(1516),
    [sym_binary_operator] = STATE(1516),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1516),
    [sym_call] = STATE(1516),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1516),
    [sym_anonymous_function] = STATE(1516),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2423),
    [sym_integer] = ACTIONS(2423),
    [sym_float] = ACTIONS(2423),
    [sym_char] = ACTIONS(2423),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2423),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [801] = {
    [sym__expression] = STATE(1517),
    [sym_block] = STATE(1517),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1517),
    [sym_nil] = STATE(1517),
    [sym__atom] = STATE(1517),
    [sym_quoted_atom] = STATE(1517),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1517),
    [sym_charlist] = STATE(1517),
    [sym_sigil] = STATE(1517),
    [sym_list] = STATE(1517),
    [sym_tuple] = STATE(1517),
    [sym_bitstring] = STATE(1517),
    [sym_map] = STATE(1517),
    [sym__nullary_operator] = STATE(1517),
    [sym_unary_operator] = STATE(1517),
    [sym_binary_operator] = STATE(1517),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1517),
    [sym_call] = STATE(1517),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1517),
    [sym_anonymous_function] = STATE(1517),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2425),
    [sym_integer] = ACTIONS(2425),
    [sym_float] = ACTIONS(2425),
    [sym_char] = ACTIONS(2425),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [802] = {
    [sym__expression] = STATE(1519),
    [sym_block] = STATE(1519),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1519),
    [sym_nil] = STATE(1519),
    [sym__atom] = STATE(1519),
    [sym_quoted_atom] = STATE(1519),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1519),
    [sym_charlist] = STATE(1519),
    [sym_sigil] = STATE(1519),
    [sym_list] = STATE(1519),
    [sym_tuple] = STATE(1519),
    [sym_bitstring] = STATE(1519),
    [sym_map] = STATE(1519),
    [sym__nullary_operator] = STATE(1519),
    [sym_unary_operator] = STATE(1519),
    [sym_binary_operator] = STATE(1519),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1519),
    [sym_call] = STATE(1519),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1519),
    [sym_anonymous_function] = STATE(1519),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2427),
    [sym_integer] = ACTIONS(2427),
    [sym_float] = ACTIONS(2427),
    [sym_char] = ACTIONS(2427),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2427),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [803] = {
    [sym__expression] = STATE(1520),
    [sym_block] = STATE(1520),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1520),
    [sym_nil] = STATE(1520),
    [sym__atom] = STATE(1520),
    [sym_quoted_atom] = STATE(1520),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1520),
    [sym_charlist] = STATE(1520),
    [sym_sigil] = STATE(1520),
    [sym_list] = STATE(1520),
    [sym_tuple] = STATE(1520),
    [sym_bitstring] = STATE(1520),
    [sym_map] = STATE(1520),
    [sym__nullary_operator] = STATE(1520),
    [sym_unary_operator] = STATE(1520),
    [sym_binary_operator] = STATE(1520),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1520),
    [sym_call] = STATE(1520),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1520),
    [sym_anonymous_function] = STATE(1520),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2429),
    [sym_integer] = ACTIONS(2429),
    [sym_float] = ACTIONS(2429),
    [sym_char] = ACTIONS(2429),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [804] = {
    [sym__expression] = STATE(1521),
    [sym_block] = STATE(1521),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1521),
    [sym_nil] = STATE(1521),
    [sym__atom] = STATE(1521),
    [sym_quoted_atom] = STATE(1521),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1521),
    [sym_charlist] = STATE(1521),
    [sym_sigil] = STATE(1521),
    [sym_list] = STATE(1521),
    [sym_tuple] = STATE(1521),
    [sym_bitstring] = STATE(1521),
    [sym_map] = STATE(1521),
    [sym__nullary_operator] = STATE(1521),
    [sym_unary_operator] = STATE(1521),
    [sym_binary_operator] = STATE(1521),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1521),
    [sym_call] = STATE(1521),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1521),
    [sym_anonymous_function] = STATE(1521),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2431),
    [sym_integer] = ACTIONS(2431),
    [sym_float] = ACTIONS(2431),
    [sym_char] = ACTIONS(2431),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2431),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [805] = {
    [sym__expression] = STATE(1522),
    [sym_block] = STATE(1522),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1522),
    [sym_nil] = STATE(1522),
    [sym__atom] = STATE(1522),
    [sym_quoted_atom] = STATE(1522),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1522),
    [sym_charlist] = STATE(1522),
    [sym_sigil] = STATE(1522),
    [sym_list] = STATE(1522),
    [sym_tuple] = STATE(1522),
    [sym_bitstring] = STATE(1522),
    [sym_map] = STATE(1522),
    [sym__nullary_operator] = STATE(1522),
    [sym_unary_operator] = STATE(1522),
    [sym_binary_operator] = STATE(1522),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1522),
    [sym_call] = STATE(1522),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1522),
    [sym_anonymous_function] = STATE(1522),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2433),
    [sym_integer] = ACTIONS(2433),
    [sym_float] = ACTIONS(2433),
    [sym_char] = ACTIONS(2433),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [806] = {
    [sym__expression] = STATE(2431),
    [sym_block] = STATE(2431),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2431),
    [sym_nil] = STATE(2431),
    [sym__atom] = STATE(2431),
    [sym_quoted_atom] = STATE(2431),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2431),
    [sym_charlist] = STATE(2431),
    [sym_sigil] = STATE(2431),
    [sym_list] = STATE(2431),
    [sym_tuple] = STATE(2431),
    [sym_bitstring] = STATE(2431),
    [sym_map] = STATE(2431),
    [sym__nullary_operator] = STATE(2431),
    [sym_unary_operator] = STATE(2431),
    [sym_binary_operator] = STATE(2431),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2431),
    [sym_call] = STATE(2431),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2431),
    [sym_anonymous_function] = STATE(2431),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2435),
    [sym_integer] = ACTIONS(2435),
    [sym_float] = ACTIONS(2435),
    [sym_char] = ACTIONS(2435),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2435),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [807] = {
    [sym__expression] = STATE(2430),
    [sym_block] = STATE(2430),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2430),
    [sym_nil] = STATE(2430),
    [sym__atom] = STATE(2430),
    [sym_quoted_atom] = STATE(2430),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2430),
    [sym_charlist] = STATE(2430),
    [sym_sigil] = STATE(2430),
    [sym_list] = STATE(2430),
    [sym_tuple] = STATE(2430),
    [sym_bitstring] = STATE(2430),
    [sym_map] = STATE(2430),
    [sym__nullary_operator] = STATE(2430),
    [sym_unary_operator] = STATE(2430),
    [sym_binary_operator] = STATE(2430),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2430),
    [sym_call] = STATE(2430),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2430),
    [sym_anonymous_function] = STATE(2430),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2437),
    [sym_integer] = ACTIONS(2437),
    [sym_float] = ACTIONS(2437),
    [sym_char] = ACTIONS(2437),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2437),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [808] = {
    [sym__expression] = STATE(2427),
    [sym_block] = STATE(2427),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2427),
    [sym_nil] = STATE(2427),
    [sym__atom] = STATE(2427),
    [sym_quoted_atom] = STATE(2427),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2427),
    [sym_charlist] = STATE(2427),
    [sym_sigil] = STATE(2427),
    [sym_list] = STATE(2427),
    [sym_tuple] = STATE(2427),
    [sym_bitstring] = STATE(2427),
    [sym_map] = STATE(2427),
    [sym__nullary_operator] = STATE(2427),
    [sym_unary_operator] = STATE(2427),
    [sym_binary_operator] = STATE(2427),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2427),
    [sym_call] = STATE(2427),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2427),
    [sym_anonymous_function] = STATE(2427),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2439),
    [sym_integer] = ACTIONS(2439),
    [sym_float] = ACTIONS(2439),
    [sym_char] = ACTIONS(2439),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2439),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [809] = {
    [sym__expression] = STATE(1523),
    [sym_block] = STATE(1523),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1523),
    [sym_nil] = STATE(1523),
    [sym__atom] = STATE(1523),
    [sym_quoted_atom] = STATE(1523),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1523),
    [sym_charlist] = STATE(1523),
    [sym_sigil] = STATE(1523),
    [sym_list] = STATE(1523),
    [sym_tuple] = STATE(1523),
    [sym_bitstring] = STATE(1523),
    [sym_map] = STATE(1523),
    [sym__nullary_operator] = STATE(1523),
    [sym_unary_operator] = STATE(1523),
    [sym_binary_operator] = STATE(1523),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1523),
    [sym_call] = STATE(1523),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1523),
    [sym_anonymous_function] = STATE(1523),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2441),
    [sym_integer] = ACTIONS(2441),
    [sym_float] = ACTIONS(2441),
    [sym_char] = ACTIONS(2441),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2441),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [810] = {
    [sym__expression] = STATE(1524),
    [sym_block] = STATE(1524),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1524),
    [sym_nil] = STATE(1524),
    [sym__atom] = STATE(1524),
    [sym_quoted_atom] = STATE(1524),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1524),
    [sym_charlist] = STATE(1524),
    [sym_sigil] = STATE(1524),
    [sym_list] = STATE(1524),
    [sym_tuple] = STATE(1524),
    [sym_bitstring] = STATE(1524),
    [sym_map] = STATE(1524),
    [sym__nullary_operator] = STATE(1524),
    [sym_unary_operator] = STATE(1524),
    [sym_binary_operator] = STATE(1524),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1524),
    [sym_call] = STATE(1524),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1524),
    [sym_anonymous_function] = STATE(1524),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2443),
    [sym_integer] = ACTIONS(2443),
    [sym_float] = ACTIONS(2443),
    [sym_char] = ACTIONS(2443),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2443),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [811] = {
    [sym__expression] = STATE(1525),
    [sym_block] = STATE(1525),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1525),
    [sym_nil] = STATE(1525),
    [sym__atom] = STATE(1525),
    [sym_quoted_atom] = STATE(1525),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1525),
    [sym_charlist] = STATE(1525),
    [sym_sigil] = STATE(1525),
    [sym_list] = STATE(1525),
    [sym_tuple] = STATE(1525),
    [sym_bitstring] = STATE(1525),
    [sym_map] = STATE(1525),
    [sym__nullary_operator] = STATE(1525),
    [sym_unary_operator] = STATE(1525),
    [sym_binary_operator] = STATE(1525),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1525),
    [sym_call] = STATE(1525),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1525),
    [sym_anonymous_function] = STATE(1525),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2445),
    [sym_integer] = ACTIONS(2445),
    [sym_float] = ACTIONS(2445),
    [sym_char] = ACTIONS(2445),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2445),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [812] = {
    [sym__expression] = STATE(1526),
    [sym_block] = STATE(1526),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1526),
    [sym_nil] = STATE(1526),
    [sym__atom] = STATE(1526),
    [sym_quoted_atom] = STATE(1526),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1526),
    [sym_charlist] = STATE(1526),
    [sym_sigil] = STATE(1526),
    [sym_list] = STATE(1526),
    [sym_tuple] = STATE(1526),
    [sym_bitstring] = STATE(1526),
    [sym_map] = STATE(1526),
    [sym__nullary_operator] = STATE(1526),
    [sym_unary_operator] = STATE(1526),
    [sym_binary_operator] = STATE(1526),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1526),
    [sym_call] = STATE(1526),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1526),
    [sym_anonymous_function] = STATE(1526),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2447),
    [sym_integer] = ACTIONS(2447),
    [sym_float] = ACTIONS(2447),
    [sym_char] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2447),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [813] = {
    [sym__expression] = STATE(1527),
    [sym_block] = STATE(1527),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1527),
    [sym_nil] = STATE(1527),
    [sym__atom] = STATE(1527),
    [sym_quoted_atom] = STATE(1527),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1527),
    [sym_charlist] = STATE(1527),
    [sym_sigil] = STATE(1527),
    [sym_list] = STATE(1527),
    [sym_tuple] = STATE(1527),
    [sym_bitstring] = STATE(1527),
    [sym_map] = STATE(1527),
    [sym__nullary_operator] = STATE(1527),
    [sym_unary_operator] = STATE(1527),
    [sym_binary_operator] = STATE(1527),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1527),
    [sym_call] = STATE(1527),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1527),
    [sym_anonymous_function] = STATE(1527),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2449),
    [sym_integer] = ACTIONS(2449),
    [sym_float] = ACTIONS(2449),
    [sym_char] = ACTIONS(2449),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [814] = {
    [sym__expression] = STATE(1414),
    [sym_block] = STATE(1414),
    [sym_identifier] = STATE(17),
    [sym_boolean] = STATE(1414),
    [sym_nil] = STATE(1414),
    [sym__atom] = STATE(1414),
    [sym_quoted_atom] = STATE(1414),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(1414),
    [sym_charlist] = STATE(1414),
    [sym_sigil] = STATE(1414),
    [sym_list] = STATE(1414),
    [sym_tuple] = STATE(1414),
    [sym_bitstring] = STATE(1414),
    [sym_map] = STATE(1414),
    [sym__nullary_operator] = STATE(1414),
    [sym_unary_operator] = STATE(1414),
    [sym_binary_operator] = STATE(1414),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(1414),
    [sym_call] = STATE(1414),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(14),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(1414),
    [sym_anonymous_function] = STATE(1414),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2451),
    [sym_integer] = ACTIONS(2451),
    [sym_float] = ACTIONS(2451),
    [sym_char] = ACTIONS(2451),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(211),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(221),
    [anon_sym_not] = ACTIONS(221),
    [anon_sym_AT] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(229),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [815] = {
    [sym__expression] = STATE(1999),
    [sym_block] = STATE(1999),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(1999),
    [sym_nil] = STATE(1999),
    [sym__atom] = STATE(1999),
    [sym_quoted_atom] = STATE(1999),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(1999),
    [sym_charlist] = STATE(1999),
    [sym_sigil] = STATE(1999),
    [sym_list] = STATE(1999),
    [sym_tuple] = STATE(1999),
    [sym_bitstring] = STATE(1999),
    [sym_map] = STATE(1999),
    [sym__nullary_operator] = STATE(1999),
    [sym_unary_operator] = STATE(1999),
    [sym_binary_operator] = STATE(1999),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(1999),
    [sym_call] = STATE(1999),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(1999),
    [sym_anonymous_function] = STATE(1999),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(1859),
    [sym_integer] = ACTIONS(1859),
    [sym_float] = ACTIONS(1859),
    [sym_char] = ACTIONS(1859),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [816] = {
    [sym__expression] = STATE(2426),
    [sym_block] = STATE(2426),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2426),
    [sym_nil] = STATE(2426),
    [sym__atom] = STATE(2426),
    [sym_quoted_atom] = STATE(2426),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2426),
    [sym_charlist] = STATE(2426),
    [sym_sigil] = STATE(2426),
    [sym_list] = STATE(2426),
    [sym_tuple] = STATE(2426),
    [sym_bitstring] = STATE(2426),
    [sym_map] = STATE(2426),
    [sym__nullary_operator] = STATE(2426),
    [sym_unary_operator] = STATE(2426),
    [sym_binary_operator] = STATE(2426),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2426),
    [sym_call] = STATE(2426),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2426),
    [sym_anonymous_function] = STATE(2426),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2453),
    [sym_integer] = ACTIONS(2453),
    [sym_float] = ACTIONS(2453),
    [sym_char] = ACTIONS(2453),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2453),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [817] = {
    [sym__expression] = STATE(2425),
    [sym_block] = STATE(2425),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2425),
    [sym_nil] = STATE(2425),
    [sym__atom] = STATE(2425),
    [sym_quoted_atom] = STATE(2425),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2425),
    [sym_charlist] = STATE(2425),
    [sym_sigil] = STATE(2425),
    [sym_list] = STATE(2425),
    [sym_tuple] = STATE(2425),
    [sym_bitstring] = STATE(2425),
    [sym_map] = STATE(2425),
    [sym__nullary_operator] = STATE(2425),
    [sym_unary_operator] = STATE(2425),
    [sym_binary_operator] = STATE(2425),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2425),
    [sym_call] = STATE(2425),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2425),
    [sym_anonymous_function] = STATE(2425),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2455),
    [sym_integer] = ACTIONS(2455),
    [sym_float] = ACTIONS(2455),
    [sym_char] = ACTIONS(2455),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [818] = {
    [sym__expression] = STATE(2424),
    [sym_block] = STATE(2424),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2424),
    [sym_nil] = STATE(2424),
    [sym__atom] = STATE(2424),
    [sym_quoted_atom] = STATE(2424),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2424),
    [sym_charlist] = STATE(2424),
    [sym_sigil] = STATE(2424),
    [sym_list] = STATE(2424),
    [sym_tuple] = STATE(2424),
    [sym_bitstring] = STATE(2424),
    [sym_map] = STATE(2424),
    [sym__nullary_operator] = STATE(2424),
    [sym_unary_operator] = STATE(2424),
    [sym_binary_operator] = STATE(2424),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2424),
    [sym_call] = STATE(2424),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2424),
    [sym_anonymous_function] = STATE(2424),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2457),
    [sym_integer] = ACTIONS(2457),
    [sym_float] = ACTIONS(2457),
    [sym_char] = ACTIONS(2457),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2457),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [819] = {
    [sym__expression] = STATE(2421),
    [sym_block] = STATE(2421),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2421),
    [sym_nil] = STATE(2421),
    [sym__atom] = STATE(2421),
    [sym_quoted_atom] = STATE(2421),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2421),
    [sym_charlist] = STATE(2421),
    [sym_sigil] = STATE(2421),
    [sym_list] = STATE(2421),
    [sym_tuple] = STATE(2421),
    [sym_bitstring] = STATE(2421),
    [sym_map] = STATE(2421),
    [sym__nullary_operator] = STATE(2421),
    [sym_unary_operator] = STATE(2421),
    [sym_binary_operator] = STATE(2421),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2421),
    [sym_call] = STATE(2421),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2421),
    [sym_anonymous_function] = STATE(2421),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2459),
    [sym_integer] = ACTIONS(2459),
    [sym_float] = ACTIONS(2459),
    [sym_char] = ACTIONS(2459),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2459),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [820] = {
    [sym__expression] = STATE(2420),
    [sym_block] = STATE(2420),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2420),
    [sym_nil] = STATE(2420),
    [sym__atom] = STATE(2420),
    [sym_quoted_atom] = STATE(2420),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2420),
    [sym_charlist] = STATE(2420),
    [sym_sigil] = STATE(2420),
    [sym_list] = STATE(2420),
    [sym_tuple] = STATE(2420),
    [sym_bitstring] = STATE(2420),
    [sym_map] = STATE(2420),
    [sym__nullary_operator] = STATE(2420),
    [sym_unary_operator] = STATE(2420),
    [sym_binary_operator] = STATE(2420),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2420),
    [sym_call] = STATE(2420),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2420),
    [sym_anonymous_function] = STATE(2420),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2461),
    [sym_integer] = ACTIONS(2461),
    [sym_float] = ACTIONS(2461),
    [sym_char] = ACTIONS(2461),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2461),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [821] = {
    [sym__expression] = STATE(2419),
    [sym_block] = STATE(2419),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2419),
    [sym_nil] = STATE(2419),
    [sym__atom] = STATE(2419),
    [sym_quoted_atom] = STATE(2419),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2419),
    [sym_charlist] = STATE(2419),
    [sym_sigil] = STATE(2419),
    [sym_list] = STATE(2419),
    [sym_tuple] = STATE(2419),
    [sym_bitstring] = STATE(2419),
    [sym_map] = STATE(2419),
    [sym__nullary_operator] = STATE(2419),
    [sym_unary_operator] = STATE(2419),
    [sym_binary_operator] = STATE(2419),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2419),
    [sym_call] = STATE(2419),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2419),
    [sym_anonymous_function] = STATE(2419),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2463),
    [sym_integer] = ACTIONS(2463),
    [sym_float] = ACTIONS(2463),
    [sym_char] = ACTIONS(2463),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2463),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [822] = {
    [sym__expression] = STATE(2414),
    [sym_block] = STATE(2414),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2414),
    [sym_nil] = STATE(2414),
    [sym__atom] = STATE(2414),
    [sym_quoted_atom] = STATE(2414),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2414),
    [sym_charlist] = STATE(2414),
    [sym_sigil] = STATE(2414),
    [sym_list] = STATE(2414),
    [sym_tuple] = STATE(2414),
    [sym_bitstring] = STATE(2414),
    [sym_map] = STATE(2414),
    [sym__nullary_operator] = STATE(2414),
    [sym_unary_operator] = STATE(2414),
    [sym_binary_operator] = STATE(2414),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2414),
    [sym_call] = STATE(2414),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2414),
    [sym_anonymous_function] = STATE(2414),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2465),
    [sym_integer] = ACTIONS(2465),
    [sym_float] = ACTIONS(2465),
    [sym_char] = ACTIONS(2465),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [823] = {
    [sym__expression] = STATE(2413),
    [sym_block] = STATE(2413),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2413),
    [sym_nil] = STATE(2413),
    [sym__atom] = STATE(2413),
    [sym_quoted_atom] = STATE(2413),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2413),
    [sym_charlist] = STATE(2413),
    [sym_sigil] = STATE(2413),
    [sym_list] = STATE(2413),
    [sym_tuple] = STATE(2413),
    [sym_bitstring] = STATE(2413),
    [sym_map] = STATE(2413),
    [sym__nullary_operator] = STATE(2413),
    [sym_unary_operator] = STATE(2413),
    [sym_binary_operator] = STATE(2413),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2413),
    [sym_call] = STATE(2413),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2413),
    [sym_anonymous_function] = STATE(2413),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2467),
    [sym_integer] = ACTIONS(2467),
    [sym_float] = ACTIONS(2467),
    [sym_char] = ACTIONS(2467),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2467),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [824] = {
    [sym__expression] = STATE(2412),
    [sym_block] = STATE(2412),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2412),
    [sym_nil] = STATE(2412),
    [sym__atom] = STATE(2412),
    [sym_quoted_atom] = STATE(2412),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2412),
    [sym_charlist] = STATE(2412),
    [sym_sigil] = STATE(2412),
    [sym_list] = STATE(2412),
    [sym_tuple] = STATE(2412),
    [sym_bitstring] = STATE(2412),
    [sym_map] = STATE(2412),
    [sym__nullary_operator] = STATE(2412),
    [sym_unary_operator] = STATE(2412),
    [sym_binary_operator] = STATE(2412),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2412),
    [sym_call] = STATE(2412),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2412),
    [sym_anonymous_function] = STATE(2412),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2469),
    [sym_integer] = ACTIONS(2469),
    [sym_float] = ACTIONS(2469),
    [sym_char] = ACTIONS(2469),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [825] = {
    [sym__expression] = STATE(2411),
    [sym_block] = STATE(2411),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2411),
    [sym_nil] = STATE(2411),
    [sym__atom] = STATE(2411),
    [sym_quoted_atom] = STATE(2411),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2411),
    [sym_charlist] = STATE(2411),
    [sym_sigil] = STATE(2411),
    [sym_list] = STATE(2411),
    [sym_tuple] = STATE(2411),
    [sym_bitstring] = STATE(2411),
    [sym_map] = STATE(2411),
    [sym__nullary_operator] = STATE(2411),
    [sym_unary_operator] = STATE(2411),
    [sym_binary_operator] = STATE(2411),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2411),
    [sym_call] = STATE(2411),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2411),
    [sym_anonymous_function] = STATE(2411),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2471),
    [sym_integer] = ACTIONS(2471),
    [sym_float] = ACTIONS(2471),
    [sym_char] = ACTIONS(2471),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2471),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [826] = {
    [sym__expression] = STATE(2410),
    [sym_block] = STATE(2410),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2410),
    [sym_nil] = STATE(2410),
    [sym__atom] = STATE(2410),
    [sym_quoted_atom] = STATE(2410),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2410),
    [sym_charlist] = STATE(2410),
    [sym_sigil] = STATE(2410),
    [sym_list] = STATE(2410),
    [sym_tuple] = STATE(2410),
    [sym_bitstring] = STATE(2410),
    [sym_map] = STATE(2410),
    [sym__nullary_operator] = STATE(2410),
    [sym_unary_operator] = STATE(2410),
    [sym_binary_operator] = STATE(2410),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2410),
    [sym_call] = STATE(2410),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2410),
    [sym_anonymous_function] = STATE(2410),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2473),
    [sym_integer] = ACTIONS(2473),
    [sym_float] = ACTIONS(2473),
    [sym_char] = ACTIONS(2473),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2473),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [827] = {
    [sym__expression] = STATE(2409),
    [sym_block] = STATE(2409),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2409),
    [sym_nil] = STATE(2409),
    [sym__atom] = STATE(2409),
    [sym_quoted_atom] = STATE(2409),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2409),
    [sym_charlist] = STATE(2409),
    [sym_sigil] = STATE(2409),
    [sym_list] = STATE(2409),
    [sym_tuple] = STATE(2409),
    [sym_bitstring] = STATE(2409),
    [sym_map] = STATE(2409),
    [sym__nullary_operator] = STATE(2409),
    [sym_unary_operator] = STATE(2409),
    [sym_binary_operator] = STATE(2409),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2409),
    [sym_call] = STATE(2409),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2409),
    [sym_anonymous_function] = STATE(2409),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2475),
    [sym_integer] = ACTIONS(2475),
    [sym_float] = ACTIONS(2475),
    [sym_char] = ACTIONS(2475),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2475),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [828] = {
    [sym__expression] = STATE(2408),
    [sym_block] = STATE(2408),
    [sym_identifier] = STATE(45),
    [sym_boolean] = STATE(2408),
    [sym_nil] = STATE(2408),
    [sym__atom] = STATE(2408),
    [sym_quoted_atom] = STATE(2408),
    [sym__quoted_i_double] = STATE(1182),
    [sym__quoted_i_single] = STATE(1179),
    [sym__quoted_i_heredoc_single] = STATE(1175),
    [sym__quoted_i_heredoc_double] = STATE(1161),
    [sym_string] = STATE(2408),
    [sym_charlist] = STATE(2408),
    [sym_sigil] = STATE(2408),
    [sym_list] = STATE(2408),
    [sym_tuple] = STATE(2408),
    [sym_bitstring] = STATE(2408),
    [sym_map] = STATE(2408),
    [sym__nullary_operator] = STATE(2408),
    [sym_unary_operator] = STATE(2408),
    [sym_binary_operator] = STATE(2408),
    [sym_operator_identifier] = STATE(6931),
    [sym_dot] = STATE(2408),
    [sym_call] = STATE(2408),
    [sym__call_without_parentheses] = STATE(1139),
    [sym__call_with_parentheses] = STATE(1159),
    [sym__local_call_without_parentheses] = STATE(1158),
    [sym__local_call_with_parentheses] = STATE(1090),
    [sym__local_call_just_do_block] = STATE(1156),
    [sym__remote_call_without_parentheses] = STATE(1153),
    [sym__remote_call_with_parentheses] = STATE(1087),
    [sym__remote_dot] = STATE(44),
    [sym__anonymous_call] = STATE(1088),
    [sym__anonymous_dot] = STATE(6768),
    [sym__double_call] = STATE(1144),
    [sym_access_call] = STATE(2408),
    [sym_anonymous_function] = STATE(2408),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2477),
    [sym_integer] = ACTIONS(2477),
    [sym_float] = ACTIONS(2477),
    [sym_char] = ACTIONS(2477),
    [anon_sym_true] = ACTIONS(195),
    [anon_sym_false] = ACTIONS(195),
    [anon_sym_nil] = ACTIONS(197),
    [sym_atom] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(199),
    [anon_sym_SQUOTE] = ACTIONS(201),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(205),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(471),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(477),
    [anon_sym_DASH] = ACTIONS(477),
    [anon_sym_BANG] = ACTIONS(477),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(477),
    [anon_sym_not] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(225),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(481),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(231),
  },
  [829] = {
    [sym__expression] = STATE(4057),
    [sym_block] = STATE(4057),
    [sym_identifier] = STATE(54),
    [sym_boolean] = STATE(4057),
    [sym_nil] = STATE(4057),
    [sym__atom] = STATE(4057),
    [sym_quoted_atom] = STATE(4057),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4057),
    [sym_charlist] = STATE(4057),
    [sym_sigil] = STATE(4057),
    [sym_list] = STATE(4057),
    [sym_tuple] = STATE(4057),
    [sym_bitstring] = STATE(4057),
    [sym_map] = STATE(4057),
    [sym__nullary_operator] = STATE(4057),
    [sym_unary_operator] = STATE(4057),
    [sym_binary_operator] = STATE(4057),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4057),
    [sym_call] = STATE(4057),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(49),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4057),
    [sym_anonymous_function] = STATE(4057),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(1393),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1393),
    [sym_alias] = ACTIONS(2479),
    [sym_integer] = ACTIONS(2479),
    [sym_float] = ACTIONS(2479),
    [sym_char] = ACTIONS(2479),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(2479),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1401),
    [anon_sym_DASH] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1401),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1401),
    [anon_sym_not] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [830] = {
    [sym__expression] = STATE(3944),
    [sym_block] = STATE(3944),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3944),
    [sym_nil] = STATE(3944),
    [sym__atom] = STATE(3944),
    [sym_quoted_atom] = STATE(3944),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3944),
    [sym_charlist] = STATE(3944),
    [sym_sigil] = STATE(3944),
    [sym_list] = STATE(3944),
    [sym_tuple] = STATE(3944),
    [sym_bitstring] = STATE(3944),
    [sym_map] = STATE(3944),
    [sym__nullary_operator] = STATE(3944),
    [sym_unary_operator] = STATE(3944),
    [sym_binary_operator] = STATE(3944),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3944),
    [sym_call] = STATE(3944),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3944),
    [sym_anonymous_function] = STATE(3944),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2481),
    [sym_integer] = ACTIONS(2481),
    [sym_float] = ACTIONS(2481),
    [sym_char] = ACTIONS(2481),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [831] = {
    [sym__expression] = STATE(3945),
    [sym_block] = STATE(3945),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3945),
    [sym_nil] = STATE(3945),
    [sym__atom] = STATE(3945),
    [sym_quoted_atom] = STATE(3945),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3945),
    [sym_charlist] = STATE(3945),
    [sym_sigil] = STATE(3945),
    [sym_list] = STATE(3945),
    [sym_tuple] = STATE(3945),
    [sym_bitstring] = STATE(3945),
    [sym_map] = STATE(3945),
    [sym__nullary_operator] = STATE(3945),
    [sym_unary_operator] = STATE(3945),
    [sym_binary_operator] = STATE(3945),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3945),
    [sym_call] = STATE(3945),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3945),
    [sym_anonymous_function] = STATE(3945),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2483),
    [sym_integer] = ACTIONS(2483),
    [sym_float] = ACTIONS(2483),
    [sym_char] = ACTIONS(2483),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2483),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [832] = {
    [sym__expression] = STATE(3946),
    [sym_block] = STATE(3946),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3946),
    [sym_nil] = STATE(3946),
    [sym__atom] = STATE(3946),
    [sym_quoted_atom] = STATE(3946),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3946),
    [sym_charlist] = STATE(3946),
    [sym_sigil] = STATE(3946),
    [sym_list] = STATE(3946),
    [sym_tuple] = STATE(3946),
    [sym_bitstring] = STATE(3946),
    [sym_map] = STATE(3946),
    [sym__nullary_operator] = STATE(3946),
    [sym_unary_operator] = STATE(3946),
    [sym_binary_operator] = STATE(3946),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3946),
    [sym_call] = STATE(3946),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3946),
    [sym_anonymous_function] = STATE(3946),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2485),
    [sym_integer] = ACTIONS(2485),
    [sym_float] = ACTIONS(2485),
    [sym_char] = ACTIONS(2485),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2485),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [833] = {
    [sym__expression] = STATE(3947),
    [sym_block] = STATE(3947),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3947),
    [sym_nil] = STATE(3947),
    [sym__atom] = STATE(3947),
    [sym_quoted_atom] = STATE(3947),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3947),
    [sym_charlist] = STATE(3947),
    [sym_sigil] = STATE(3947),
    [sym_list] = STATE(3947),
    [sym_tuple] = STATE(3947),
    [sym_bitstring] = STATE(3947),
    [sym_map] = STATE(3947),
    [sym__nullary_operator] = STATE(3947),
    [sym_unary_operator] = STATE(3947),
    [sym_binary_operator] = STATE(3947),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3947),
    [sym_call] = STATE(3947),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3947),
    [sym_anonymous_function] = STATE(3947),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2487),
    [sym_integer] = ACTIONS(2487),
    [sym_float] = ACTIONS(2487),
    [sym_char] = ACTIONS(2487),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2487),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [834] = {
    [sym__expression] = STATE(3948),
    [sym_block] = STATE(3948),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3948),
    [sym_nil] = STATE(3948),
    [sym__atom] = STATE(3948),
    [sym_quoted_atom] = STATE(3948),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3948),
    [sym_charlist] = STATE(3948),
    [sym_sigil] = STATE(3948),
    [sym_list] = STATE(3948),
    [sym_tuple] = STATE(3948),
    [sym_bitstring] = STATE(3948),
    [sym_map] = STATE(3948),
    [sym__nullary_operator] = STATE(3948),
    [sym_unary_operator] = STATE(3948),
    [sym_binary_operator] = STATE(3948),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3948),
    [sym_call] = STATE(3948),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3948),
    [sym_anonymous_function] = STATE(3948),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2489),
    [sym_integer] = ACTIONS(2489),
    [sym_float] = ACTIONS(2489),
    [sym_char] = ACTIONS(2489),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [835] = {
    [sym__expression] = STATE(3949),
    [sym_block] = STATE(3949),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3949),
    [sym_nil] = STATE(3949),
    [sym__atom] = STATE(3949),
    [sym_quoted_atom] = STATE(3949),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3949),
    [sym_charlist] = STATE(3949),
    [sym_sigil] = STATE(3949),
    [sym_list] = STATE(3949),
    [sym_tuple] = STATE(3949),
    [sym_bitstring] = STATE(3949),
    [sym_map] = STATE(3949),
    [sym__nullary_operator] = STATE(3949),
    [sym_unary_operator] = STATE(3949),
    [sym_binary_operator] = STATE(3949),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3949),
    [sym_call] = STATE(3949),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3949),
    [sym_anonymous_function] = STATE(3949),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2491),
    [sym_integer] = ACTIONS(2491),
    [sym_float] = ACTIONS(2491),
    [sym_char] = ACTIONS(2491),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2491),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [836] = {
    [sym__expression] = STATE(3950),
    [sym_block] = STATE(3950),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3950),
    [sym_nil] = STATE(3950),
    [sym__atom] = STATE(3950),
    [sym_quoted_atom] = STATE(3950),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3950),
    [sym_charlist] = STATE(3950),
    [sym_sigil] = STATE(3950),
    [sym_list] = STATE(3950),
    [sym_tuple] = STATE(3950),
    [sym_bitstring] = STATE(3950),
    [sym_map] = STATE(3950),
    [sym__nullary_operator] = STATE(3950),
    [sym_unary_operator] = STATE(3950),
    [sym_binary_operator] = STATE(3950),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3950),
    [sym_call] = STATE(3950),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3950),
    [sym_anonymous_function] = STATE(3950),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2493),
    [sym_integer] = ACTIONS(2493),
    [sym_float] = ACTIONS(2493),
    [sym_char] = ACTIONS(2493),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2493),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [837] = {
    [sym__expression] = STATE(3951),
    [sym_block] = STATE(3951),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3951),
    [sym_nil] = STATE(3951),
    [sym__atom] = STATE(3951),
    [sym_quoted_atom] = STATE(3951),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3951),
    [sym_charlist] = STATE(3951),
    [sym_sigil] = STATE(3951),
    [sym_list] = STATE(3951),
    [sym_tuple] = STATE(3951),
    [sym_bitstring] = STATE(3951),
    [sym_map] = STATE(3951),
    [sym__nullary_operator] = STATE(3951),
    [sym_unary_operator] = STATE(3951),
    [sym_binary_operator] = STATE(3951),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3951),
    [sym_call] = STATE(3951),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3951),
    [sym_anonymous_function] = STATE(3951),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2495),
    [sym_integer] = ACTIONS(2495),
    [sym_float] = ACTIONS(2495),
    [sym_char] = ACTIONS(2495),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [838] = {
    [sym__expression] = STATE(3953),
    [sym_block] = STATE(3953),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3953),
    [sym_nil] = STATE(3953),
    [sym__atom] = STATE(3953),
    [sym_quoted_atom] = STATE(3953),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3953),
    [sym_charlist] = STATE(3953),
    [sym_sigil] = STATE(3953),
    [sym_list] = STATE(3953),
    [sym_tuple] = STATE(3953),
    [sym_bitstring] = STATE(3953),
    [sym_map] = STATE(3953),
    [sym__nullary_operator] = STATE(3953),
    [sym_unary_operator] = STATE(3953),
    [sym_binary_operator] = STATE(3953),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3953),
    [sym_call] = STATE(3953),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3953),
    [sym_anonymous_function] = STATE(3953),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2497),
    [sym_integer] = ACTIONS(2497),
    [sym_float] = ACTIONS(2497),
    [sym_char] = ACTIONS(2497),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [839] = {
    [sym__expression] = STATE(3954),
    [sym_block] = STATE(3954),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3954),
    [sym_nil] = STATE(3954),
    [sym__atom] = STATE(3954),
    [sym_quoted_atom] = STATE(3954),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3954),
    [sym_charlist] = STATE(3954),
    [sym_sigil] = STATE(3954),
    [sym_list] = STATE(3954),
    [sym_tuple] = STATE(3954),
    [sym_bitstring] = STATE(3954),
    [sym_map] = STATE(3954),
    [sym__nullary_operator] = STATE(3954),
    [sym_unary_operator] = STATE(3954),
    [sym_binary_operator] = STATE(3954),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3954),
    [sym_call] = STATE(3954),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3954),
    [sym_anonymous_function] = STATE(3954),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2499),
    [sym_integer] = ACTIONS(2499),
    [sym_float] = ACTIONS(2499),
    [sym_char] = ACTIONS(2499),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [840] = {
    [sym__expression] = STATE(3961),
    [sym_block] = STATE(3961),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3961),
    [sym_nil] = STATE(3961),
    [sym__atom] = STATE(3961),
    [sym_quoted_atom] = STATE(3961),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3961),
    [sym_charlist] = STATE(3961),
    [sym_sigil] = STATE(3961),
    [sym_list] = STATE(3961),
    [sym_tuple] = STATE(3961),
    [sym_bitstring] = STATE(3961),
    [sym_map] = STATE(3961),
    [sym__nullary_operator] = STATE(3961),
    [sym_unary_operator] = STATE(3961),
    [sym_binary_operator] = STATE(3961),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3961),
    [sym_call] = STATE(3961),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3961),
    [sym_anonymous_function] = STATE(3961),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2501),
    [sym_integer] = ACTIONS(2501),
    [sym_float] = ACTIONS(2501),
    [sym_char] = ACTIONS(2501),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2501),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [841] = {
    [sym__expression] = STATE(3962),
    [sym_block] = STATE(3962),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3962),
    [sym_nil] = STATE(3962),
    [sym__atom] = STATE(3962),
    [sym_quoted_atom] = STATE(3962),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3962),
    [sym_charlist] = STATE(3962),
    [sym_sigil] = STATE(3962),
    [sym_list] = STATE(3962),
    [sym_tuple] = STATE(3962),
    [sym_bitstring] = STATE(3962),
    [sym_map] = STATE(3962),
    [sym__nullary_operator] = STATE(3962),
    [sym_unary_operator] = STATE(3962),
    [sym_binary_operator] = STATE(3962),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3962),
    [sym_call] = STATE(3962),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3962),
    [sym_anonymous_function] = STATE(3962),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2503),
    [sym_integer] = ACTIONS(2503),
    [sym_float] = ACTIONS(2503),
    [sym_char] = ACTIONS(2503),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2503),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [842] = {
    [sym__expression] = STATE(1787),
    [sym_block] = STATE(1787),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1787),
    [sym_nil] = STATE(1787),
    [sym__atom] = STATE(1787),
    [sym_quoted_atom] = STATE(1787),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1787),
    [sym_charlist] = STATE(1787),
    [sym_sigil] = STATE(1787),
    [sym_list] = STATE(1787),
    [sym_tuple] = STATE(1787),
    [sym_bitstring] = STATE(1787),
    [sym_map] = STATE(1787),
    [sym__nullary_operator] = STATE(1787),
    [sym_unary_operator] = STATE(1787),
    [sym_binary_operator] = STATE(1787),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1787),
    [sym_call] = STATE(1787),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1787),
    [sym_anonymous_function] = STATE(1787),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2505),
    [sym_integer] = ACTIONS(2505),
    [sym_float] = ACTIONS(2505),
    [sym_char] = ACTIONS(2505),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2505),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [843] = {
    [sym__expression] = STATE(1432),
    [sym_block] = STATE(1432),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1432),
    [sym_nil] = STATE(1432),
    [sym__atom] = STATE(1432),
    [sym_quoted_atom] = STATE(1432),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1432),
    [sym_charlist] = STATE(1432),
    [sym_sigil] = STATE(1432),
    [sym_list] = STATE(1432),
    [sym_tuple] = STATE(1432),
    [sym_bitstring] = STATE(1432),
    [sym_map] = STATE(1432),
    [sym__nullary_operator] = STATE(1432),
    [sym_unary_operator] = STATE(1432),
    [sym_binary_operator] = STATE(1432),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1432),
    [sym_call] = STATE(1432),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1432),
    [sym_anonymous_function] = STATE(1432),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2257),
    [sym_integer] = ACTIONS(2257),
    [sym_float] = ACTIONS(2257),
    [sym_char] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2257),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [844] = {
    [sym__expression] = STATE(1788),
    [sym_block] = STATE(1788),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1788),
    [sym_nil] = STATE(1788),
    [sym__atom] = STATE(1788),
    [sym_quoted_atom] = STATE(1788),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1788),
    [sym_charlist] = STATE(1788),
    [sym_sigil] = STATE(1788),
    [sym_list] = STATE(1788),
    [sym_tuple] = STATE(1788),
    [sym_bitstring] = STATE(1788),
    [sym_map] = STATE(1788),
    [sym__nullary_operator] = STATE(1788),
    [sym_unary_operator] = STATE(1788),
    [sym_binary_operator] = STATE(1788),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1788),
    [sym_call] = STATE(1788),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1788),
    [sym_anonymous_function] = STATE(1788),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2507),
    [sym_integer] = ACTIONS(2507),
    [sym_float] = ACTIONS(2507),
    [sym_char] = ACTIONS(2507),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [845] = {
    [sym__expression] = STATE(1403),
    [sym_block] = STATE(1403),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1403),
    [sym_nil] = STATE(1403),
    [sym__atom] = STATE(1403),
    [sym_quoted_atom] = STATE(1403),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1403),
    [sym_charlist] = STATE(1403),
    [sym_sigil] = STATE(1403),
    [sym_list] = STATE(1403),
    [sym_tuple] = STATE(1403),
    [sym_bitstring] = STATE(1403),
    [sym_map] = STATE(1403),
    [sym__nullary_operator] = STATE(1403),
    [sym_unary_operator] = STATE(1403),
    [sym_binary_operator] = STATE(1403),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1403),
    [sym_call] = STATE(1403),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1403),
    [sym_anonymous_function] = STATE(1403),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2261),
    [sym_integer] = ACTIONS(2261),
    [sym_float] = ACTIONS(2261),
    [sym_char] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [846] = {
    [sym__expression] = STATE(1574),
    [sym_block] = STATE(1574),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1574),
    [sym_nil] = STATE(1574),
    [sym__atom] = STATE(1574),
    [sym_quoted_atom] = STATE(1574),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1574),
    [sym_charlist] = STATE(1574),
    [sym_sigil] = STATE(1574),
    [sym_list] = STATE(1574),
    [sym_tuple] = STATE(1574),
    [sym_bitstring] = STATE(1574),
    [sym_map] = STATE(1574),
    [sym__nullary_operator] = STATE(1574),
    [sym_unary_operator] = STATE(1574),
    [sym_binary_operator] = STATE(1574),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1574),
    [sym_call] = STATE(1574),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1574),
    [sym_anonymous_function] = STATE(1574),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2509),
    [sym_integer] = ACTIONS(2509),
    [sym_float] = ACTIONS(2509),
    [sym_char] = ACTIONS(2509),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2509),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [847] = {
    [sym__expression] = STATE(1575),
    [sym_block] = STATE(1575),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1575),
    [sym_nil] = STATE(1575),
    [sym__atom] = STATE(1575),
    [sym_quoted_atom] = STATE(1575),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1575),
    [sym_charlist] = STATE(1575),
    [sym_sigil] = STATE(1575),
    [sym_list] = STATE(1575),
    [sym_tuple] = STATE(1575),
    [sym_bitstring] = STATE(1575),
    [sym_map] = STATE(1575),
    [sym__nullary_operator] = STATE(1575),
    [sym_unary_operator] = STATE(1575),
    [sym_binary_operator] = STATE(1575),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1575),
    [sym_call] = STATE(1575),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1575),
    [sym_anonymous_function] = STATE(1575),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2511),
    [sym_integer] = ACTIONS(2511),
    [sym_float] = ACTIONS(2511),
    [sym_char] = ACTIONS(2511),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [848] = {
    [sym__expression] = STATE(1577),
    [sym_block] = STATE(1577),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1577),
    [sym_nil] = STATE(1577),
    [sym__atom] = STATE(1577),
    [sym_quoted_atom] = STATE(1577),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1577),
    [sym_charlist] = STATE(1577),
    [sym_sigil] = STATE(1577),
    [sym_list] = STATE(1577),
    [sym_tuple] = STATE(1577),
    [sym_bitstring] = STATE(1577),
    [sym_map] = STATE(1577),
    [sym__nullary_operator] = STATE(1577),
    [sym_unary_operator] = STATE(1577),
    [sym_binary_operator] = STATE(1577),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1577),
    [sym_call] = STATE(1577),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1577),
    [sym_anonymous_function] = STATE(1577),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2513),
    [sym_integer] = ACTIONS(2513),
    [sym_float] = ACTIONS(2513),
    [sym_char] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2513),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [849] = {
    [sym__expression] = STATE(1581),
    [sym_block] = STATE(1581),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1581),
    [sym_nil] = STATE(1581),
    [sym__atom] = STATE(1581),
    [sym_quoted_atom] = STATE(1581),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1581),
    [sym_charlist] = STATE(1581),
    [sym_sigil] = STATE(1581),
    [sym_list] = STATE(1581),
    [sym_tuple] = STATE(1581),
    [sym_bitstring] = STATE(1581),
    [sym_map] = STATE(1581),
    [sym__nullary_operator] = STATE(1581),
    [sym_unary_operator] = STATE(1581),
    [sym_binary_operator] = STATE(1581),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1581),
    [sym_call] = STATE(1581),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1581),
    [sym_anonymous_function] = STATE(1581),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2515),
    [sym_integer] = ACTIONS(2515),
    [sym_float] = ACTIONS(2515),
    [sym_char] = ACTIONS(2515),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [850] = {
    [sym__expression] = STATE(1582),
    [sym_block] = STATE(1582),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1582),
    [sym_nil] = STATE(1582),
    [sym__atom] = STATE(1582),
    [sym_quoted_atom] = STATE(1582),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1582),
    [sym_charlist] = STATE(1582),
    [sym_sigil] = STATE(1582),
    [sym_list] = STATE(1582),
    [sym_tuple] = STATE(1582),
    [sym_bitstring] = STATE(1582),
    [sym_map] = STATE(1582),
    [sym__nullary_operator] = STATE(1582),
    [sym_unary_operator] = STATE(1582),
    [sym_binary_operator] = STATE(1582),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1582),
    [sym_call] = STATE(1582),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1582),
    [sym_anonymous_function] = STATE(1582),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2517),
    [sym_integer] = ACTIONS(2517),
    [sym_float] = ACTIONS(2517),
    [sym_char] = ACTIONS(2517),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2517),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [851] = {
    [sym__expression] = STATE(1583),
    [sym_block] = STATE(1583),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1583),
    [sym_nil] = STATE(1583),
    [sym__atom] = STATE(1583),
    [sym_quoted_atom] = STATE(1583),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1583),
    [sym_charlist] = STATE(1583),
    [sym_sigil] = STATE(1583),
    [sym_list] = STATE(1583),
    [sym_tuple] = STATE(1583),
    [sym_bitstring] = STATE(1583),
    [sym_map] = STATE(1583),
    [sym__nullary_operator] = STATE(1583),
    [sym_unary_operator] = STATE(1583),
    [sym_binary_operator] = STATE(1583),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1583),
    [sym_call] = STATE(1583),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1583),
    [sym_anonymous_function] = STATE(1583),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2519),
    [sym_integer] = ACTIONS(2519),
    [sym_float] = ACTIONS(2519),
    [sym_char] = ACTIONS(2519),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2519),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [852] = {
    [sym__expression] = STATE(1585),
    [sym_block] = STATE(1585),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1585),
    [sym_nil] = STATE(1585),
    [sym__atom] = STATE(1585),
    [sym_quoted_atom] = STATE(1585),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1585),
    [sym_charlist] = STATE(1585),
    [sym_sigil] = STATE(1585),
    [sym_list] = STATE(1585),
    [sym_tuple] = STATE(1585),
    [sym_bitstring] = STATE(1585),
    [sym_map] = STATE(1585),
    [sym__nullary_operator] = STATE(1585),
    [sym_unary_operator] = STATE(1585),
    [sym_binary_operator] = STATE(1585),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1585),
    [sym_call] = STATE(1585),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1585),
    [sym_anonymous_function] = STATE(1585),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2521),
    [sym_integer] = ACTIONS(2521),
    [sym_float] = ACTIONS(2521),
    [sym_char] = ACTIONS(2521),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2521),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [853] = {
    [sym__expression] = STATE(4492),
    [sym_block] = STATE(4492),
    [sym_identifier] = STATE(57),
    [sym_boolean] = STATE(4492),
    [sym_nil] = STATE(4492),
    [sym__atom] = STATE(4492),
    [sym_quoted_atom] = STATE(4492),
    [sym__quoted_i_double] = STATE(1936),
    [sym__quoted_i_single] = STATE(1937),
    [sym__quoted_i_heredoc_single] = STATE(1967),
    [sym__quoted_i_heredoc_double] = STATE(1968),
    [sym_string] = STATE(4492),
    [sym_charlist] = STATE(4492),
    [sym_sigil] = STATE(4492),
    [sym_list] = STATE(4492),
    [sym_tuple] = STATE(4492),
    [sym_bitstring] = STATE(4492),
    [sym_map] = STATE(4492),
    [sym__nullary_operator] = STATE(4492),
    [sym_unary_operator] = STATE(4492),
    [sym_binary_operator] = STATE(4492),
    [sym_operator_identifier] = STATE(6924),
    [sym_dot] = STATE(4492),
    [sym_call] = STATE(4492),
    [sym__call_without_parentheses] = STATE(1969),
    [sym__call_with_parentheses] = STATE(1970),
    [sym__local_call_without_parentheses] = STATE(1971),
    [sym__local_call_with_parentheses] = STATE(1418),
    [sym__local_call_just_do_block] = STATE(1973),
    [sym__remote_call_without_parentheses] = STATE(1974),
    [sym__remote_call_with_parentheses] = STATE(1419),
    [sym__remote_dot] = STATE(46),
    [sym__anonymous_call] = STATE(1420),
    [sym__anonymous_dot] = STATE(6809),
    [sym__double_call] = STATE(1978),
    [sym_access_call] = STATE(4492),
    [sym_anonymous_function] = STATE(4492),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(918),
    [aux_sym_identifier_token1] = ACTIONS(686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(686),
    [sym_alias] = ACTIONS(1517),
    [sym_integer] = ACTIONS(1517),
    [sym_float] = ACTIONS(1517),
    [sym_char] = ACTIONS(1517),
    [anon_sym_true] = ACTIONS(922),
    [anon_sym_false] = ACTIONS(922),
    [anon_sym_nil] = ACTIONS(924),
    [sym_atom] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(926),
    [anon_sym_SQUOTE] = ACTIONS(928),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(930),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(940),
    [anon_sym_PERCENT] = ACTIONS(942),
    [anon_sym_DOT_DOT] = ACTIONS(944),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(954),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1367),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(958),
  },
  [854] = {
    [sym__expression] = STATE(1588),
    [sym_block] = STATE(1588),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1588),
    [sym_nil] = STATE(1588),
    [sym__atom] = STATE(1588),
    [sym_quoted_atom] = STATE(1588),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1588),
    [sym_charlist] = STATE(1588),
    [sym_sigil] = STATE(1588),
    [sym_list] = STATE(1588),
    [sym_tuple] = STATE(1588),
    [sym_bitstring] = STATE(1588),
    [sym_map] = STATE(1588),
    [sym__nullary_operator] = STATE(1588),
    [sym_unary_operator] = STATE(1588),
    [sym_binary_operator] = STATE(1588),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1588),
    [sym_call] = STATE(1588),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1588),
    [sym_anonymous_function] = STATE(1588),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2523),
    [sym_integer] = ACTIONS(2523),
    [sym_float] = ACTIONS(2523),
    [sym_char] = ACTIONS(2523),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2523),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [855] = {
    [sym__expression] = STATE(1589),
    [sym_block] = STATE(1589),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1589),
    [sym_nil] = STATE(1589),
    [sym__atom] = STATE(1589),
    [sym_quoted_atom] = STATE(1589),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1589),
    [sym_charlist] = STATE(1589),
    [sym_sigil] = STATE(1589),
    [sym_list] = STATE(1589),
    [sym_tuple] = STATE(1589),
    [sym_bitstring] = STATE(1589),
    [sym_map] = STATE(1589),
    [sym__nullary_operator] = STATE(1589),
    [sym_unary_operator] = STATE(1589),
    [sym_binary_operator] = STATE(1589),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1589),
    [sym_call] = STATE(1589),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1589),
    [sym_anonymous_function] = STATE(1589),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2525),
    [sym_integer] = ACTIONS(2525),
    [sym_float] = ACTIONS(2525),
    [sym_char] = ACTIONS(2525),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2525),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [856] = {
    [sym__expression] = STATE(1590),
    [sym_block] = STATE(1590),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1590),
    [sym_nil] = STATE(1590),
    [sym__atom] = STATE(1590),
    [sym_quoted_atom] = STATE(1590),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1590),
    [sym_charlist] = STATE(1590),
    [sym_sigil] = STATE(1590),
    [sym_list] = STATE(1590),
    [sym_tuple] = STATE(1590),
    [sym_bitstring] = STATE(1590),
    [sym_map] = STATE(1590),
    [sym__nullary_operator] = STATE(1590),
    [sym_unary_operator] = STATE(1590),
    [sym_binary_operator] = STATE(1590),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1590),
    [sym_call] = STATE(1590),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1590),
    [sym_anonymous_function] = STATE(1590),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2527),
    [sym_integer] = ACTIONS(2527),
    [sym_float] = ACTIONS(2527),
    [sym_char] = ACTIONS(2527),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [857] = {
    [sym__expression] = STATE(1591),
    [sym_block] = STATE(1591),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1591),
    [sym_nil] = STATE(1591),
    [sym__atom] = STATE(1591),
    [sym_quoted_atom] = STATE(1591),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1591),
    [sym_charlist] = STATE(1591),
    [sym_sigil] = STATE(1591),
    [sym_list] = STATE(1591),
    [sym_tuple] = STATE(1591),
    [sym_bitstring] = STATE(1591),
    [sym_map] = STATE(1591),
    [sym__nullary_operator] = STATE(1591),
    [sym_unary_operator] = STATE(1591),
    [sym_binary_operator] = STATE(1591),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1591),
    [sym_call] = STATE(1591),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1591),
    [sym_anonymous_function] = STATE(1591),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2529),
    [sym_integer] = ACTIONS(2529),
    [sym_float] = ACTIONS(2529),
    [sym_char] = ACTIONS(2529),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2529),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [858] = {
    [sym__expression] = STATE(1592),
    [sym_block] = STATE(1592),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1592),
    [sym_nil] = STATE(1592),
    [sym__atom] = STATE(1592),
    [sym_quoted_atom] = STATE(1592),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1592),
    [sym_charlist] = STATE(1592),
    [sym_sigil] = STATE(1592),
    [sym_list] = STATE(1592),
    [sym_tuple] = STATE(1592),
    [sym_bitstring] = STATE(1592),
    [sym_map] = STATE(1592),
    [sym__nullary_operator] = STATE(1592),
    [sym_unary_operator] = STATE(1592),
    [sym_binary_operator] = STATE(1592),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1592),
    [sym_call] = STATE(1592),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1592),
    [sym_anonymous_function] = STATE(1592),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2531),
    [sym_integer] = ACTIONS(2531),
    [sym_float] = ACTIONS(2531),
    [sym_char] = ACTIONS(2531),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [859] = {
    [sym__expression] = STATE(1593),
    [sym_block] = STATE(1593),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1593),
    [sym_nil] = STATE(1593),
    [sym__atom] = STATE(1593),
    [sym_quoted_atom] = STATE(1593),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1593),
    [sym_charlist] = STATE(1593),
    [sym_sigil] = STATE(1593),
    [sym_list] = STATE(1593),
    [sym_tuple] = STATE(1593),
    [sym_bitstring] = STATE(1593),
    [sym_map] = STATE(1593),
    [sym__nullary_operator] = STATE(1593),
    [sym_unary_operator] = STATE(1593),
    [sym_binary_operator] = STATE(1593),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1593),
    [sym_call] = STATE(1593),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1593),
    [sym_anonymous_function] = STATE(1593),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2533),
    [sym_integer] = ACTIONS(2533),
    [sym_float] = ACTIONS(2533),
    [sym_char] = ACTIONS(2533),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2533),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [860] = {
    [sym__expression] = STATE(1570),
    [sym_block] = STATE(1570),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1570),
    [sym_nil] = STATE(1570),
    [sym__atom] = STATE(1570),
    [sym_quoted_atom] = STATE(1570),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1570),
    [sym_charlist] = STATE(1570),
    [sym_sigil] = STATE(1570),
    [sym_list] = STATE(1570),
    [sym_tuple] = STATE(1570),
    [sym_bitstring] = STATE(1570),
    [sym_map] = STATE(1570),
    [sym__nullary_operator] = STATE(1570),
    [sym_unary_operator] = STATE(1570),
    [sym_binary_operator] = STATE(1570),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1570),
    [sym_call] = STATE(1570),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1570),
    [sym_anonymous_function] = STATE(1570),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2535),
    [sym_integer] = ACTIONS(2535),
    [sym_float] = ACTIONS(2535),
    [sym_char] = ACTIONS(2535),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2535),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [861] = {
    [sym__expression] = STATE(1572),
    [sym_block] = STATE(1572),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1572),
    [sym_nil] = STATE(1572),
    [sym__atom] = STATE(1572),
    [sym_quoted_atom] = STATE(1572),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1572),
    [sym_charlist] = STATE(1572),
    [sym_sigil] = STATE(1572),
    [sym_list] = STATE(1572),
    [sym_tuple] = STATE(1572),
    [sym_bitstring] = STATE(1572),
    [sym_map] = STATE(1572),
    [sym__nullary_operator] = STATE(1572),
    [sym_unary_operator] = STATE(1572),
    [sym_binary_operator] = STATE(1572),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1572),
    [sym_call] = STATE(1572),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1572),
    [sym_anonymous_function] = STATE(1572),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2537),
    [sym_integer] = ACTIONS(2537),
    [sym_float] = ACTIONS(2537),
    [sym_char] = ACTIONS(2537),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2537),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [862] = {
    [sym__expression] = STATE(1789),
    [sym_block] = STATE(1789),
    [sym_identifier] = STATE(18),
    [sym_boolean] = STATE(1789),
    [sym_nil] = STATE(1789),
    [sym__atom] = STATE(1789),
    [sym_quoted_atom] = STATE(1789),
    [sym__quoted_i_double] = STATE(1464),
    [sym__quoted_i_single] = STATE(1463),
    [sym__quoted_i_heredoc_single] = STATE(1460),
    [sym__quoted_i_heredoc_double] = STATE(1349),
    [sym_string] = STATE(1789),
    [sym_charlist] = STATE(1789),
    [sym_sigil] = STATE(1789),
    [sym_list] = STATE(1789),
    [sym_tuple] = STATE(1789),
    [sym_bitstring] = STATE(1789),
    [sym_map] = STATE(1789),
    [sym__nullary_operator] = STATE(1789),
    [sym_unary_operator] = STATE(1789),
    [sym_binary_operator] = STATE(1789),
    [sym_operator_identifier] = STATE(6959),
    [sym_dot] = STATE(1789),
    [sym_call] = STATE(1789),
    [sym__call_without_parentheses] = STATE(1457),
    [sym__call_with_parentheses] = STATE(1456),
    [sym__local_call_without_parentheses] = STATE(1455),
    [sym__local_call_with_parentheses] = STATE(1109),
    [sym__local_call_just_do_block] = STATE(1453),
    [sym__remote_call_without_parentheses] = STATE(1452),
    [sym__remote_call_with_parentheses] = STATE(1108),
    [sym__remote_dot] = STATE(19),
    [sym__anonymous_call] = STATE(1107),
    [sym__anonymous_dot] = STATE(6811),
    [sym__double_call] = STATE(1449),
    [sym_access_call] = STATE(1789),
    [sym_anonymous_function] = STATE(1789),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(237),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2539),
    [sym_integer] = ACTIONS(2539),
    [sym_float] = ACTIONS(2539),
    [sym_char] = ACTIONS(2539),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [anon_sym_nil] = ACTIONS(243),
    [sym_atom] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_LT_LT] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(263),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(267),
    [anon_sym_DASH] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(267),
    [anon_sym_CARET] = ACTIONS(267),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(273),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(279),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(281),
  },
  [863] = {
    [sym__expression] = STATE(3963),
    [sym_block] = STATE(3963),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3963),
    [sym_nil] = STATE(3963),
    [sym__atom] = STATE(3963),
    [sym_quoted_atom] = STATE(3963),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3963),
    [sym_charlist] = STATE(3963),
    [sym_sigil] = STATE(3963),
    [sym_list] = STATE(3963),
    [sym_tuple] = STATE(3963),
    [sym_bitstring] = STATE(3963),
    [sym_map] = STATE(3963),
    [sym__nullary_operator] = STATE(3963),
    [sym_unary_operator] = STATE(3963),
    [sym_binary_operator] = STATE(3963),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3963),
    [sym_call] = STATE(3963),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3963),
    [sym_anonymous_function] = STATE(3963),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2541),
    [sym_integer] = ACTIONS(2541),
    [sym_float] = ACTIONS(2541),
    [sym_char] = ACTIONS(2541),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2541),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [864] = {
    [sym__expression] = STATE(3964),
    [sym_block] = STATE(3964),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3964),
    [sym_nil] = STATE(3964),
    [sym__atom] = STATE(3964),
    [sym_quoted_atom] = STATE(3964),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3964),
    [sym_charlist] = STATE(3964),
    [sym_sigil] = STATE(3964),
    [sym_list] = STATE(3964),
    [sym_tuple] = STATE(3964),
    [sym_bitstring] = STATE(3964),
    [sym_map] = STATE(3964),
    [sym__nullary_operator] = STATE(3964),
    [sym_unary_operator] = STATE(3964),
    [sym_binary_operator] = STATE(3964),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3964),
    [sym_call] = STATE(3964),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3964),
    [sym_anonymous_function] = STATE(3964),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2543),
    [sym_integer] = ACTIONS(2543),
    [sym_float] = ACTIONS(2543),
    [sym_char] = ACTIONS(2543),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2543),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [865] = {
    [sym__expression] = STATE(3967),
    [sym_block] = STATE(3967),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3967),
    [sym_nil] = STATE(3967),
    [sym__atom] = STATE(3967),
    [sym_quoted_atom] = STATE(3967),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3967),
    [sym_charlist] = STATE(3967),
    [sym_sigil] = STATE(3967),
    [sym_list] = STATE(3967),
    [sym_tuple] = STATE(3967),
    [sym_bitstring] = STATE(3967),
    [sym_map] = STATE(3967),
    [sym__nullary_operator] = STATE(3967),
    [sym_unary_operator] = STATE(3967),
    [sym_binary_operator] = STATE(3967),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3967),
    [sym_call] = STATE(3967),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3967),
    [sym_anonymous_function] = STATE(3967),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2545),
    [sym_integer] = ACTIONS(2545),
    [sym_float] = ACTIONS(2545),
    [sym_char] = ACTIONS(2545),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2545),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [866] = {
    [sym__expression] = STATE(3968),
    [sym_block] = STATE(3968),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3968),
    [sym_nil] = STATE(3968),
    [sym__atom] = STATE(3968),
    [sym_quoted_atom] = STATE(3968),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3968),
    [sym_charlist] = STATE(3968),
    [sym_sigil] = STATE(3968),
    [sym_list] = STATE(3968),
    [sym_tuple] = STATE(3968),
    [sym_bitstring] = STATE(3968),
    [sym_map] = STATE(3968),
    [sym__nullary_operator] = STATE(3968),
    [sym_unary_operator] = STATE(3968),
    [sym_binary_operator] = STATE(3968),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3968),
    [sym_call] = STATE(3968),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3968),
    [sym_anonymous_function] = STATE(3968),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2547),
    [sym_integer] = ACTIONS(2547),
    [sym_float] = ACTIONS(2547),
    [sym_char] = ACTIONS(2547),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [867] = {
    [sym__expression] = STATE(3997),
    [sym_block] = STATE(3997),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3997),
    [sym_nil] = STATE(3997),
    [sym__atom] = STATE(3997),
    [sym_quoted_atom] = STATE(3997),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3997),
    [sym_charlist] = STATE(3997),
    [sym_sigil] = STATE(3997),
    [sym_list] = STATE(3997),
    [sym_tuple] = STATE(3997),
    [sym_bitstring] = STATE(3997),
    [sym_map] = STATE(3997),
    [sym__nullary_operator] = STATE(3997),
    [sym_unary_operator] = STATE(3997),
    [sym_binary_operator] = STATE(3997),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3997),
    [sym_call] = STATE(3997),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3997),
    [sym_anonymous_function] = STATE(3997),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2549),
    [sym_integer] = ACTIONS(2549),
    [sym_float] = ACTIONS(2549),
    [sym_char] = ACTIONS(2549),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2549),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [868] = {
    [sym__expression] = STATE(3998),
    [sym_block] = STATE(3998),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(3998),
    [sym_nil] = STATE(3998),
    [sym__atom] = STATE(3998),
    [sym_quoted_atom] = STATE(3998),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(3998),
    [sym_charlist] = STATE(3998),
    [sym_sigil] = STATE(3998),
    [sym_list] = STATE(3998),
    [sym_tuple] = STATE(3998),
    [sym_bitstring] = STATE(3998),
    [sym_map] = STATE(3998),
    [sym__nullary_operator] = STATE(3998),
    [sym_unary_operator] = STATE(3998),
    [sym_binary_operator] = STATE(3998),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(3998),
    [sym_call] = STATE(3998),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(3998),
    [sym_anonymous_function] = STATE(3998),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2551),
    [sym_integer] = ACTIONS(2551),
    [sym_float] = ACTIONS(2551),
    [sym_char] = ACTIONS(2551),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [869] = {
    [sym__expression] = STATE(4023),
    [sym_block] = STATE(4023),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(4023),
    [sym_nil] = STATE(4023),
    [sym__atom] = STATE(4023),
    [sym_quoted_atom] = STATE(4023),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(4023),
    [sym_charlist] = STATE(4023),
    [sym_sigil] = STATE(4023),
    [sym_list] = STATE(4023),
    [sym_tuple] = STATE(4023),
    [sym_bitstring] = STATE(4023),
    [sym_map] = STATE(4023),
    [sym__nullary_operator] = STATE(4023),
    [sym_unary_operator] = STATE(4023),
    [sym_binary_operator] = STATE(4023),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(4023),
    [sym_call] = STATE(4023),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(4023),
    [sym_anonymous_function] = STATE(4023),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2553),
    [sym_integer] = ACTIONS(2553),
    [sym_float] = ACTIONS(2553),
    [sym_char] = ACTIONS(2553),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2553),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [870] = {
    [sym__expression] = STATE(4024),
    [sym_block] = STATE(4024),
    [sym_identifier] = STATE(63),
    [sym_boolean] = STATE(4024),
    [sym_nil] = STATE(4024),
    [sym__atom] = STATE(4024),
    [sym_quoted_atom] = STATE(4024),
    [sym__quoted_i_double] = STATE(4011),
    [sym__quoted_i_single] = STATE(4014),
    [sym__quoted_i_heredoc_single] = STATE(4015),
    [sym__quoted_i_heredoc_double] = STATE(4016),
    [sym_string] = STATE(4024),
    [sym_charlist] = STATE(4024),
    [sym_sigil] = STATE(4024),
    [sym_list] = STATE(4024),
    [sym_tuple] = STATE(4024),
    [sym_bitstring] = STATE(4024),
    [sym_map] = STATE(4024),
    [sym__nullary_operator] = STATE(4024),
    [sym_unary_operator] = STATE(4024),
    [sym_binary_operator] = STATE(4024),
    [sym_operator_identifier] = STATE(6945),
    [sym_dot] = STATE(4024),
    [sym_call] = STATE(4024),
    [sym__call_without_parentheses] = STATE(4020),
    [sym__call_with_parentheses] = STATE(4027),
    [sym__local_call_without_parentheses] = STATE(4035),
    [sym__local_call_with_parentheses] = STATE(2691),
    [sym__local_call_just_do_block] = STATE(4044),
    [sym__remote_call_without_parentheses] = STATE(4046),
    [sym__remote_call_with_parentheses] = STATE(2694),
    [sym__remote_dot] = STATE(59),
    [sym__anonymous_call] = STATE(2696),
    [sym__anonymous_dot] = STATE(6849),
    [sym__double_call] = STATE(4047),
    [sym_access_call] = STATE(4024),
    [sym_anonymous_function] = STATE(4024),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(592),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2555),
    [sym_integer] = ACTIONS(2555),
    [sym_float] = ACTIONS(2555),
    [sym_char] = ACTIONS(2555),
    [anon_sym_true] = ACTIONS(598),
    [anon_sym_false] = ACTIONS(598),
    [anon_sym_nil] = ACTIONS(600),
    [sym_atom] = ACTIONS(2555),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(608),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_PERCENT] = ACTIONS(620),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(624),
    [anon_sym_not] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(632),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(634),
  },
  [871] = {
    [sym__expression] = STATE(2234),
    [sym_block] = STATE(2234),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2234),
    [sym_nil] = STATE(2234),
    [sym__atom] = STATE(2234),
    [sym_quoted_atom] = STATE(2234),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2234),
    [sym_charlist] = STATE(2234),
    [sym_sigil] = STATE(2234),
    [sym_list] = STATE(2234),
    [sym_tuple] = STATE(2234),
    [sym_bitstring] = STATE(2234),
    [sym_map] = STATE(2234),
    [sym__nullary_operator] = STATE(2234),
    [sym_unary_operator] = STATE(2234),
    [sym_binary_operator] = STATE(2234),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2234),
    [sym_call] = STATE(2234),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2234),
    [sym_anonymous_function] = STATE(2234),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2061),
    [sym_integer] = ACTIONS(2061),
    [sym_float] = ACTIONS(2061),
    [sym_char] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2061),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [872] = {
    [sym__expression] = STATE(2564),
    [sym_block] = STATE(2564),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2564),
    [sym_nil] = STATE(2564),
    [sym__atom] = STATE(2564),
    [sym_quoted_atom] = STATE(2564),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2564),
    [sym_charlist] = STATE(2564),
    [sym_sigil] = STATE(2564),
    [sym_list] = STATE(2564),
    [sym_tuple] = STATE(2564),
    [sym_bitstring] = STATE(2564),
    [sym_map] = STATE(2564),
    [sym__nullary_operator] = STATE(2564),
    [sym_unary_operator] = STATE(2564),
    [sym_binary_operator] = STATE(2564),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2564),
    [sym_call] = STATE(2564),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2564),
    [sym_anonymous_function] = STATE(2564),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2557),
    [sym_integer] = ACTIONS(2557),
    [sym_float] = ACTIONS(2557),
    [sym_char] = ACTIONS(2557),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [873] = {
    [sym__expression] = STATE(2563),
    [sym_block] = STATE(2563),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2563),
    [sym_nil] = STATE(2563),
    [sym__atom] = STATE(2563),
    [sym_quoted_atom] = STATE(2563),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2563),
    [sym_charlist] = STATE(2563),
    [sym_sigil] = STATE(2563),
    [sym_list] = STATE(2563),
    [sym_tuple] = STATE(2563),
    [sym_bitstring] = STATE(2563),
    [sym_map] = STATE(2563),
    [sym__nullary_operator] = STATE(2563),
    [sym_unary_operator] = STATE(2563),
    [sym_binary_operator] = STATE(2563),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2563),
    [sym_call] = STATE(2563),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2563),
    [sym_anonymous_function] = STATE(2563),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2559),
    [sym_integer] = ACTIONS(2559),
    [sym_float] = ACTIONS(2559),
    [sym_char] = ACTIONS(2559),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [874] = {
    [sym__expression] = STATE(2562),
    [sym_block] = STATE(2562),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2562),
    [sym_nil] = STATE(2562),
    [sym__atom] = STATE(2562),
    [sym_quoted_atom] = STATE(2562),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2562),
    [sym_charlist] = STATE(2562),
    [sym_sigil] = STATE(2562),
    [sym_list] = STATE(2562),
    [sym_tuple] = STATE(2562),
    [sym_bitstring] = STATE(2562),
    [sym_map] = STATE(2562),
    [sym__nullary_operator] = STATE(2562),
    [sym_unary_operator] = STATE(2562),
    [sym_binary_operator] = STATE(2562),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2562),
    [sym_call] = STATE(2562),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2562),
    [sym_anonymous_function] = STATE(2562),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2561),
    [sym_integer] = ACTIONS(2561),
    [sym_float] = ACTIONS(2561),
    [sym_char] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2561),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [875] = {
    [sym__expression] = STATE(2561),
    [sym_block] = STATE(2561),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2561),
    [sym_nil] = STATE(2561),
    [sym__atom] = STATE(2561),
    [sym_quoted_atom] = STATE(2561),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2561),
    [sym_charlist] = STATE(2561),
    [sym_sigil] = STATE(2561),
    [sym_list] = STATE(2561),
    [sym_tuple] = STATE(2561),
    [sym_bitstring] = STATE(2561),
    [sym_map] = STATE(2561),
    [sym__nullary_operator] = STATE(2561),
    [sym_unary_operator] = STATE(2561),
    [sym_binary_operator] = STATE(2561),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2561),
    [sym_call] = STATE(2561),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2561),
    [sym_anonymous_function] = STATE(2561),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2563),
    [sym_integer] = ACTIONS(2563),
    [sym_float] = ACTIONS(2563),
    [sym_char] = ACTIONS(2563),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2563),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [876] = {
    [sym__expression] = STATE(2560),
    [sym_block] = STATE(2560),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2560),
    [sym_nil] = STATE(2560),
    [sym__atom] = STATE(2560),
    [sym_quoted_atom] = STATE(2560),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2560),
    [sym_charlist] = STATE(2560),
    [sym_sigil] = STATE(2560),
    [sym_list] = STATE(2560),
    [sym_tuple] = STATE(2560),
    [sym_bitstring] = STATE(2560),
    [sym_map] = STATE(2560),
    [sym__nullary_operator] = STATE(2560),
    [sym_unary_operator] = STATE(2560),
    [sym_binary_operator] = STATE(2560),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2560),
    [sym_call] = STATE(2560),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2560),
    [sym_anonymous_function] = STATE(2560),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2565),
    [sym_integer] = ACTIONS(2565),
    [sym_float] = ACTIONS(2565),
    [sym_char] = ACTIONS(2565),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2565),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [877] = {
    [sym__expression] = STATE(2559),
    [sym_block] = STATE(2559),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2559),
    [sym_nil] = STATE(2559),
    [sym__atom] = STATE(2559),
    [sym_quoted_atom] = STATE(2559),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2559),
    [sym_charlist] = STATE(2559),
    [sym_sigil] = STATE(2559),
    [sym_list] = STATE(2559),
    [sym_tuple] = STATE(2559),
    [sym_bitstring] = STATE(2559),
    [sym_map] = STATE(2559),
    [sym__nullary_operator] = STATE(2559),
    [sym_unary_operator] = STATE(2559),
    [sym_binary_operator] = STATE(2559),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2559),
    [sym_call] = STATE(2559),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2559),
    [sym_anonymous_function] = STATE(2559),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2567),
    [sym_integer] = ACTIONS(2567),
    [sym_float] = ACTIONS(2567),
    [sym_char] = ACTIONS(2567),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [878] = {
    [sym__expression] = STATE(3193),
    [sym_block] = STATE(3193),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3193),
    [sym_nil] = STATE(3193),
    [sym__atom] = STATE(3193),
    [sym_quoted_atom] = STATE(3193),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3193),
    [sym_charlist] = STATE(3193),
    [sym_sigil] = STATE(3193),
    [sym_list] = STATE(3193),
    [sym_tuple] = STATE(3193),
    [sym_bitstring] = STATE(3193),
    [sym_map] = STATE(3193),
    [sym__nullary_operator] = STATE(3193),
    [sym_unary_operator] = STATE(3193),
    [sym_binary_operator] = STATE(3193),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3193),
    [sym_call] = STATE(3193),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3193),
    [sym_anonymous_function] = STATE(3193),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2119),
    [sym_integer] = ACTIONS(2119),
    [sym_float] = ACTIONS(2119),
    [sym_char] = ACTIONS(2119),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [879] = {
    [sym__expression] = STATE(2558),
    [sym_block] = STATE(2558),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2558),
    [sym_nil] = STATE(2558),
    [sym__atom] = STATE(2558),
    [sym_quoted_atom] = STATE(2558),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2558),
    [sym_charlist] = STATE(2558),
    [sym_sigil] = STATE(2558),
    [sym_list] = STATE(2558),
    [sym_tuple] = STATE(2558),
    [sym_bitstring] = STATE(2558),
    [sym_map] = STATE(2558),
    [sym__nullary_operator] = STATE(2558),
    [sym_unary_operator] = STATE(2558),
    [sym_binary_operator] = STATE(2558),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2558),
    [sym_call] = STATE(2558),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2558),
    [sym_anonymous_function] = STATE(2558),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2569),
    [sym_integer] = ACTIONS(2569),
    [sym_float] = ACTIONS(2569),
    [sym_char] = ACTIONS(2569),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2569),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [880] = {
    [sym__expression] = STATE(3976),
    [sym_block] = STATE(3976),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3976),
    [sym_nil] = STATE(3976),
    [sym__atom] = STATE(3976),
    [sym_quoted_atom] = STATE(3976),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3976),
    [sym_charlist] = STATE(3976),
    [sym_sigil] = STATE(3976),
    [sym_list] = STATE(3976),
    [sym_tuple] = STATE(3976),
    [sym_bitstring] = STATE(3976),
    [sym_map] = STATE(3976),
    [sym__nullary_operator] = STATE(3976),
    [sym_unary_operator] = STATE(3976),
    [sym_binary_operator] = STATE(3976),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3976),
    [sym_call] = STATE(3976),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3976),
    [sym_anonymous_function] = STATE(3976),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2571),
    [sym_integer] = ACTIONS(2571),
    [sym_float] = ACTIONS(2571),
    [sym_char] = ACTIONS(2571),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [881] = {
    [sym__expression] = STATE(3977),
    [sym_block] = STATE(3977),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3977),
    [sym_nil] = STATE(3977),
    [sym__atom] = STATE(3977),
    [sym_quoted_atom] = STATE(3977),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3977),
    [sym_charlist] = STATE(3977),
    [sym_sigil] = STATE(3977),
    [sym_list] = STATE(3977),
    [sym_tuple] = STATE(3977),
    [sym_bitstring] = STATE(3977),
    [sym_map] = STATE(3977),
    [sym__nullary_operator] = STATE(3977),
    [sym_unary_operator] = STATE(3977),
    [sym_binary_operator] = STATE(3977),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3977),
    [sym_call] = STATE(3977),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3977),
    [sym_anonymous_function] = STATE(3977),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2573),
    [sym_integer] = ACTIONS(2573),
    [sym_float] = ACTIONS(2573),
    [sym_char] = ACTIONS(2573),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2573),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [882] = {
    [sym__expression] = STATE(3978),
    [sym_block] = STATE(3978),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3978),
    [sym_nil] = STATE(3978),
    [sym__atom] = STATE(3978),
    [sym_quoted_atom] = STATE(3978),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3978),
    [sym_charlist] = STATE(3978),
    [sym_sigil] = STATE(3978),
    [sym_list] = STATE(3978),
    [sym_tuple] = STATE(3978),
    [sym_bitstring] = STATE(3978),
    [sym_map] = STATE(3978),
    [sym__nullary_operator] = STATE(3978),
    [sym_unary_operator] = STATE(3978),
    [sym_binary_operator] = STATE(3978),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3978),
    [sym_call] = STATE(3978),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3978),
    [sym_anonymous_function] = STATE(3978),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2575),
    [sym_integer] = ACTIONS(2575),
    [sym_float] = ACTIONS(2575),
    [sym_char] = ACTIONS(2575),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [883] = {
    [sym__expression] = STATE(3979),
    [sym_block] = STATE(3979),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3979),
    [sym_nil] = STATE(3979),
    [sym__atom] = STATE(3979),
    [sym_quoted_atom] = STATE(3979),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3979),
    [sym_charlist] = STATE(3979),
    [sym_sigil] = STATE(3979),
    [sym_list] = STATE(3979),
    [sym_tuple] = STATE(3979),
    [sym_bitstring] = STATE(3979),
    [sym_map] = STATE(3979),
    [sym__nullary_operator] = STATE(3979),
    [sym_unary_operator] = STATE(3979),
    [sym_binary_operator] = STATE(3979),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3979),
    [sym_call] = STATE(3979),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3979),
    [sym_anonymous_function] = STATE(3979),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2577),
    [sym_integer] = ACTIONS(2577),
    [sym_float] = ACTIONS(2577),
    [sym_char] = ACTIONS(2577),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2577),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [884] = {
    [sym__expression] = STATE(3980),
    [sym_block] = STATE(3980),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3980),
    [sym_nil] = STATE(3980),
    [sym__atom] = STATE(3980),
    [sym_quoted_atom] = STATE(3980),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3980),
    [sym_charlist] = STATE(3980),
    [sym_sigil] = STATE(3980),
    [sym_list] = STATE(3980),
    [sym_tuple] = STATE(3980),
    [sym_bitstring] = STATE(3980),
    [sym_map] = STATE(3980),
    [sym__nullary_operator] = STATE(3980),
    [sym_unary_operator] = STATE(3980),
    [sym_binary_operator] = STATE(3980),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3980),
    [sym_call] = STATE(3980),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3980),
    [sym_anonymous_function] = STATE(3980),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2579),
    [sym_integer] = ACTIONS(2579),
    [sym_float] = ACTIONS(2579),
    [sym_char] = ACTIONS(2579),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [885] = {
    [sym__expression] = STATE(3981),
    [sym_block] = STATE(3981),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3981),
    [sym_nil] = STATE(3981),
    [sym__atom] = STATE(3981),
    [sym_quoted_atom] = STATE(3981),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3981),
    [sym_charlist] = STATE(3981),
    [sym_sigil] = STATE(3981),
    [sym_list] = STATE(3981),
    [sym_tuple] = STATE(3981),
    [sym_bitstring] = STATE(3981),
    [sym_map] = STATE(3981),
    [sym__nullary_operator] = STATE(3981),
    [sym_unary_operator] = STATE(3981),
    [sym_binary_operator] = STATE(3981),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3981),
    [sym_call] = STATE(3981),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3981),
    [sym_anonymous_function] = STATE(3981),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2581),
    [sym_integer] = ACTIONS(2581),
    [sym_float] = ACTIONS(2581),
    [sym_char] = ACTIONS(2581),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2581),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [886] = {
    [sym__expression] = STATE(3982),
    [sym_block] = STATE(3982),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3982),
    [sym_nil] = STATE(3982),
    [sym__atom] = STATE(3982),
    [sym_quoted_atom] = STATE(3982),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3982),
    [sym_charlist] = STATE(3982),
    [sym_sigil] = STATE(3982),
    [sym_list] = STATE(3982),
    [sym_tuple] = STATE(3982),
    [sym_bitstring] = STATE(3982),
    [sym_map] = STATE(3982),
    [sym__nullary_operator] = STATE(3982),
    [sym_unary_operator] = STATE(3982),
    [sym_binary_operator] = STATE(3982),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3982),
    [sym_call] = STATE(3982),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3982),
    [sym_anonymous_function] = STATE(3982),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2583),
    [sym_integer] = ACTIONS(2583),
    [sym_float] = ACTIONS(2583),
    [sym_char] = ACTIONS(2583),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2583),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [887] = {
    [sym__expression] = STATE(3983),
    [sym_block] = STATE(3983),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3983),
    [sym_nil] = STATE(3983),
    [sym__atom] = STATE(3983),
    [sym_quoted_atom] = STATE(3983),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3983),
    [sym_charlist] = STATE(3983),
    [sym_sigil] = STATE(3983),
    [sym_list] = STATE(3983),
    [sym_tuple] = STATE(3983),
    [sym_bitstring] = STATE(3983),
    [sym_map] = STATE(3983),
    [sym__nullary_operator] = STATE(3983),
    [sym_unary_operator] = STATE(3983),
    [sym_binary_operator] = STATE(3983),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3983),
    [sym_call] = STATE(3983),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3983),
    [sym_anonymous_function] = STATE(3983),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2585),
    [sym_integer] = ACTIONS(2585),
    [sym_float] = ACTIONS(2585),
    [sym_char] = ACTIONS(2585),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2585),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [888] = {
    [sym__expression] = STATE(2557),
    [sym_block] = STATE(2557),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2557),
    [sym_nil] = STATE(2557),
    [sym__atom] = STATE(2557),
    [sym_quoted_atom] = STATE(2557),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2557),
    [sym_charlist] = STATE(2557),
    [sym_sigil] = STATE(2557),
    [sym_list] = STATE(2557),
    [sym_tuple] = STATE(2557),
    [sym_bitstring] = STATE(2557),
    [sym_map] = STATE(2557),
    [sym__nullary_operator] = STATE(2557),
    [sym_unary_operator] = STATE(2557),
    [sym_binary_operator] = STATE(2557),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2557),
    [sym_call] = STATE(2557),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2557),
    [sym_anonymous_function] = STATE(2557),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2587),
    [sym_integer] = ACTIONS(2587),
    [sym_float] = ACTIONS(2587),
    [sym_char] = ACTIONS(2587),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [889] = {
    [sym__expression] = STATE(3986),
    [sym_block] = STATE(3986),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3986),
    [sym_nil] = STATE(3986),
    [sym__atom] = STATE(3986),
    [sym_quoted_atom] = STATE(3986),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3986),
    [sym_charlist] = STATE(3986),
    [sym_sigil] = STATE(3986),
    [sym_list] = STATE(3986),
    [sym_tuple] = STATE(3986),
    [sym_bitstring] = STATE(3986),
    [sym_map] = STATE(3986),
    [sym__nullary_operator] = STATE(3986),
    [sym_unary_operator] = STATE(3986),
    [sym_binary_operator] = STATE(3986),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3986),
    [sym_call] = STATE(3986),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3986),
    [sym_anonymous_function] = STATE(3986),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2589),
    [sym_integer] = ACTIONS(2589),
    [sym_float] = ACTIONS(2589),
    [sym_char] = ACTIONS(2589),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2589),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [890] = {
    [sym__expression] = STATE(3987),
    [sym_block] = STATE(3987),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3987),
    [sym_nil] = STATE(3987),
    [sym__atom] = STATE(3987),
    [sym_quoted_atom] = STATE(3987),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3987),
    [sym_charlist] = STATE(3987),
    [sym_sigil] = STATE(3987),
    [sym_list] = STATE(3987),
    [sym_tuple] = STATE(3987),
    [sym_bitstring] = STATE(3987),
    [sym_map] = STATE(3987),
    [sym__nullary_operator] = STATE(3987),
    [sym_unary_operator] = STATE(3987),
    [sym_binary_operator] = STATE(3987),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3987),
    [sym_call] = STATE(3987),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3987),
    [sym_anonymous_function] = STATE(3987),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2591),
    [sym_integer] = ACTIONS(2591),
    [sym_float] = ACTIONS(2591),
    [sym_char] = ACTIONS(2591),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [891] = {
    [sym__expression] = STATE(3988),
    [sym_block] = STATE(3988),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3988),
    [sym_nil] = STATE(3988),
    [sym__atom] = STATE(3988),
    [sym_quoted_atom] = STATE(3988),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3988),
    [sym_charlist] = STATE(3988),
    [sym_sigil] = STATE(3988),
    [sym_list] = STATE(3988),
    [sym_tuple] = STATE(3988),
    [sym_bitstring] = STATE(3988),
    [sym_map] = STATE(3988),
    [sym__nullary_operator] = STATE(3988),
    [sym_unary_operator] = STATE(3988),
    [sym_binary_operator] = STATE(3988),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3988),
    [sym_call] = STATE(3988),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3988),
    [sym_anonymous_function] = STATE(3988),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2593),
    [sym_integer] = ACTIONS(2593),
    [sym_float] = ACTIONS(2593),
    [sym_char] = ACTIONS(2593),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2593),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [892] = {
    [sym__expression] = STATE(3989),
    [sym_block] = STATE(3989),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3989),
    [sym_nil] = STATE(3989),
    [sym__atom] = STATE(3989),
    [sym_quoted_atom] = STATE(3989),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3989),
    [sym_charlist] = STATE(3989),
    [sym_sigil] = STATE(3989),
    [sym_list] = STATE(3989),
    [sym_tuple] = STATE(3989),
    [sym_bitstring] = STATE(3989),
    [sym_map] = STATE(3989),
    [sym__nullary_operator] = STATE(3989),
    [sym_unary_operator] = STATE(3989),
    [sym_binary_operator] = STATE(3989),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3989),
    [sym_call] = STATE(3989),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3989),
    [sym_anonymous_function] = STATE(3989),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2595),
    [sym_integer] = ACTIONS(2595),
    [sym_float] = ACTIONS(2595),
    [sym_char] = ACTIONS(2595),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [893] = {
    [sym__expression] = STATE(2556),
    [sym_block] = STATE(2556),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2556),
    [sym_nil] = STATE(2556),
    [sym__atom] = STATE(2556),
    [sym_quoted_atom] = STATE(2556),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2556),
    [sym_charlist] = STATE(2556),
    [sym_sigil] = STATE(2556),
    [sym_list] = STATE(2556),
    [sym_tuple] = STATE(2556),
    [sym_bitstring] = STATE(2556),
    [sym_map] = STATE(2556),
    [sym__nullary_operator] = STATE(2556),
    [sym_unary_operator] = STATE(2556),
    [sym_binary_operator] = STATE(2556),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2556),
    [sym_call] = STATE(2556),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2556),
    [sym_anonymous_function] = STATE(2556),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2597),
    [sym_integer] = ACTIONS(2597),
    [sym_float] = ACTIONS(2597),
    [sym_char] = ACTIONS(2597),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2597),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [894] = {
    [sym__expression] = STATE(3992),
    [sym_block] = STATE(3992),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3992),
    [sym_nil] = STATE(3992),
    [sym__atom] = STATE(3992),
    [sym_quoted_atom] = STATE(3992),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3992),
    [sym_charlist] = STATE(3992),
    [sym_sigil] = STATE(3992),
    [sym_list] = STATE(3992),
    [sym_tuple] = STATE(3992),
    [sym_bitstring] = STATE(3992),
    [sym_map] = STATE(3992),
    [sym__nullary_operator] = STATE(3992),
    [sym_unary_operator] = STATE(3992),
    [sym_binary_operator] = STATE(3992),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3992),
    [sym_call] = STATE(3992),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3992),
    [sym_anonymous_function] = STATE(3992),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2599),
    [sym_integer] = ACTIONS(2599),
    [sym_float] = ACTIONS(2599),
    [sym_char] = ACTIONS(2599),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [895] = {
    [sym__expression] = STATE(3993),
    [sym_block] = STATE(3993),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3993),
    [sym_nil] = STATE(3993),
    [sym__atom] = STATE(3993),
    [sym_quoted_atom] = STATE(3993),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3993),
    [sym_charlist] = STATE(3993),
    [sym_sigil] = STATE(3993),
    [sym_list] = STATE(3993),
    [sym_tuple] = STATE(3993),
    [sym_bitstring] = STATE(3993),
    [sym_map] = STATE(3993),
    [sym__nullary_operator] = STATE(3993),
    [sym_unary_operator] = STATE(3993),
    [sym_binary_operator] = STATE(3993),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3993),
    [sym_call] = STATE(3993),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3993),
    [sym_anonymous_function] = STATE(3993),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2601),
    [sym_integer] = ACTIONS(2601),
    [sym_float] = ACTIONS(2601),
    [sym_char] = ACTIONS(2601),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2601),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [896] = {
    [sym__expression] = STATE(2553),
    [sym_block] = STATE(2553),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2553),
    [sym_nil] = STATE(2553),
    [sym__atom] = STATE(2553),
    [sym_quoted_atom] = STATE(2553),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2553),
    [sym_charlist] = STATE(2553),
    [sym_sigil] = STATE(2553),
    [sym_list] = STATE(2553),
    [sym_tuple] = STATE(2553),
    [sym_bitstring] = STATE(2553),
    [sym_map] = STATE(2553),
    [sym__nullary_operator] = STATE(2553),
    [sym_unary_operator] = STATE(2553),
    [sym_binary_operator] = STATE(2553),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2553),
    [sym_call] = STATE(2553),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2553),
    [sym_anonymous_function] = STATE(2553),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2603),
    [sym_integer] = ACTIONS(2603),
    [sym_float] = ACTIONS(2603),
    [sym_char] = ACTIONS(2603),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [897] = {
    [sym__expression] = STATE(2552),
    [sym_block] = STATE(2552),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2552),
    [sym_nil] = STATE(2552),
    [sym__atom] = STATE(2552),
    [sym_quoted_atom] = STATE(2552),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2552),
    [sym_charlist] = STATE(2552),
    [sym_sigil] = STATE(2552),
    [sym_list] = STATE(2552),
    [sym_tuple] = STATE(2552),
    [sym_bitstring] = STATE(2552),
    [sym_map] = STATE(2552),
    [sym__nullary_operator] = STATE(2552),
    [sym_unary_operator] = STATE(2552),
    [sym_binary_operator] = STATE(2552),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2552),
    [sym_call] = STATE(2552),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2552),
    [sym_anonymous_function] = STATE(2552),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2605),
    [sym_integer] = ACTIONS(2605),
    [sym_float] = ACTIONS(2605),
    [sym_char] = ACTIONS(2605),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [898] = {
    [sym__expression] = STATE(2551),
    [sym_block] = STATE(2551),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2551),
    [sym_nil] = STATE(2551),
    [sym__atom] = STATE(2551),
    [sym_quoted_atom] = STATE(2551),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2551),
    [sym_charlist] = STATE(2551),
    [sym_sigil] = STATE(2551),
    [sym_list] = STATE(2551),
    [sym_tuple] = STATE(2551),
    [sym_bitstring] = STATE(2551),
    [sym_map] = STATE(2551),
    [sym__nullary_operator] = STATE(2551),
    [sym_unary_operator] = STATE(2551),
    [sym_binary_operator] = STATE(2551),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2551),
    [sym_call] = STATE(2551),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2551),
    [sym_anonymous_function] = STATE(2551),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2607),
    [sym_integer] = ACTIONS(2607),
    [sym_float] = ACTIONS(2607),
    [sym_char] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [899] = {
    [sym__expression] = STATE(2550),
    [sym_block] = STATE(2550),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2550),
    [sym_nil] = STATE(2550),
    [sym__atom] = STATE(2550),
    [sym_quoted_atom] = STATE(2550),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2550),
    [sym_charlist] = STATE(2550),
    [sym_sigil] = STATE(2550),
    [sym_list] = STATE(2550),
    [sym_tuple] = STATE(2550),
    [sym_bitstring] = STATE(2550),
    [sym_map] = STATE(2550),
    [sym__nullary_operator] = STATE(2550),
    [sym_unary_operator] = STATE(2550),
    [sym_binary_operator] = STATE(2550),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2550),
    [sym_call] = STATE(2550),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2550),
    [sym_anonymous_function] = STATE(2550),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2609),
    [sym_integer] = ACTIONS(2609),
    [sym_float] = ACTIONS(2609),
    [sym_char] = ACTIONS(2609),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2609),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [900] = {
    [sym__expression] = STATE(2547),
    [sym_block] = STATE(2547),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2547),
    [sym_nil] = STATE(2547),
    [sym__atom] = STATE(2547),
    [sym_quoted_atom] = STATE(2547),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2547),
    [sym_charlist] = STATE(2547),
    [sym_sigil] = STATE(2547),
    [sym_list] = STATE(2547),
    [sym_tuple] = STATE(2547),
    [sym_bitstring] = STATE(2547),
    [sym_map] = STATE(2547),
    [sym__nullary_operator] = STATE(2547),
    [sym_unary_operator] = STATE(2547),
    [sym_binary_operator] = STATE(2547),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2547),
    [sym_call] = STATE(2547),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2547),
    [sym_anonymous_function] = STATE(2547),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2611),
    [sym_integer] = ACTIONS(2611),
    [sym_float] = ACTIONS(2611),
    [sym_char] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [901] = {
    [sym__expression] = STATE(2546),
    [sym_block] = STATE(2546),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2546),
    [sym_nil] = STATE(2546),
    [sym__atom] = STATE(2546),
    [sym_quoted_atom] = STATE(2546),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2546),
    [sym_charlist] = STATE(2546),
    [sym_sigil] = STATE(2546),
    [sym_list] = STATE(2546),
    [sym_tuple] = STATE(2546),
    [sym_bitstring] = STATE(2546),
    [sym_map] = STATE(2546),
    [sym__nullary_operator] = STATE(2546),
    [sym_unary_operator] = STATE(2546),
    [sym_binary_operator] = STATE(2546),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2546),
    [sym_call] = STATE(2546),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2546),
    [sym_anonymous_function] = STATE(2546),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2613),
    [sym_integer] = ACTIONS(2613),
    [sym_float] = ACTIONS(2613),
    [sym_char] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2613),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [902] = {
    [sym__expression] = STATE(2245),
    [sym_block] = STATE(2245),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2245),
    [sym_nil] = STATE(2245),
    [sym__atom] = STATE(2245),
    [sym_quoted_atom] = STATE(2245),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2245),
    [sym_charlist] = STATE(2245),
    [sym_sigil] = STATE(2245),
    [sym_list] = STATE(2245),
    [sym_tuple] = STATE(2245),
    [sym_bitstring] = STATE(2245),
    [sym_map] = STATE(2245),
    [sym__nullary_operator] = STATE(2245),
    [sym_unary_operator] = STATE(2245),
    [sym_binary_operator] = STATE(2245),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2245),
    [sym_call] = STATE(2245),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2245),
    [sym_anonymous_function] = STATE(2245),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2093),
    [sym_integer] = ACTIONS(2093),
    [sym_float] = ACTIONS(2093),
    [sym_char] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2093),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [903] = {
    [sym__expression] = STATE(2246),
    [sym_block] = STATE(2246),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2246),
    [sym_nil] = STATE(2246),
    [sym__atom] = STATE(2246),
    [sym_quoted_atom] = STATE(2246),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2246),
    [sym_charlist] = STATE(2246),
    [sym_sigil] = STATE(2246),
    [sym_list] = STATE(2246),
    [sym_tuple] = STATE(2246),
    [sym_bitstring] = STATE(2246),
    [sym_map] = STATE(2246),
    [sym__nullary_operator] = STATE(2246),
    [sym_unary_operator] = STATE(2246),
    [sym_binary_operator] = STATE(2246),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2246),
    [sym_call] = STATE(2246),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2246),
    [sym_anonymous_function] = STATE(2246),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2095),
    [sym_integer] = ACTIONS(2095),
    [sym_float] = ACTIONS(2095),
    [sym_char] = ACTIONS(2095),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [904] = {
    [sym__expression] = STATE(2257),
    [sym_block] = STATE(2257),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2257),
    [sym_nil] = STATE(2257),
    [sym__atom] = STATE(2257),
    [sym_quoted_atom] = STATE(2257),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2257),
    [sym_charlist] = STATE(2257),
    [sym_sigil] = STATE(2257),
    [sym_list] = STATE(2257),
    [sym_tuple] = STATE(2257),
    [sym_bitstring] = STATE(2257),
    [sym_map] = STATE(2257),
    [sym__nullary_operator] = STATE(2257),
    [sym_unary_operator] = STATE(2257),
    [sym_binary_operator] = STATE(2257),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2257),
    [sym_call] = STATE(2257),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2257),
    [sym_anonymous_function] = STATE(2257),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2097),
    [sym_integer] = ACTIONS(2097),
    [sym_float] = ACTIONS(2097),
    [sym_char] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [905] = {
    [sym__expression] = STATE(2258),
    [sym_block] = STATE(2258),
    [sym_identifier] = STATE(35),
    [sym_boolean] = STATE(2258),
    [sym_nil] = STATE(2258),
    [sym__atom] = STATE(2258),
    [sym_quoted_atom] = STATE(2258),
    [sym__quoted_i_double] = STATE(2278),
    [sym__quoted_i_single] = STATE(2277),
    [sym__quoted_i_heredoc_single] = STATE(2276),
    [sym__quoted_i_heredoc_double] = STATE(2275),
    [sym_string] = STATE(2258),
    [sym_charlist] = STATE(2258),
    [sym_sigil] = STATE(2258),
    [sym_list] = STATE(2258),
    [sym_tuple] = STATE(2258),
    [sym_bitstring] = STATE(2258),
    [sym_map] = STATE(2258),
    [sym__nullary_operator] = STATE(2258),
    [sym_unary_operator] = STATE(2258),
    [sym_binary_operator] = STATE(2258),
    [sym_operator_identifier] = STATE(6938),
    [sym_dot] = STATE(2258),
    [sym_call] = STATE(2258),
    [sym__call_without_parentheses] = STATE(2274),
    [sym__call_with_parentheses] = STATE(2273),
    [sym__local_call_without_parentheses] = STATE(2272),
    [sym__local_call_with_parentheses] = STATE(1580),
    [sym__local_call_just_do_block] = STATE(2271),
    [sym__remote_call_without_parentheses] = STATE(2270),
    [sym__remote_call_with_parentheses] = STATE(1579),
    [sym__remote_dot] = STATE(40),
    [sym__anonymous_call] = STATE(1578),
    [sym__anonymous_dot] = STATE(6806),
    [sym__double_call] = STATE(2269),
    [sym_access_call] = STATE(2258),
    [sym_anonymous_function] = STATE(2258),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(359),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2099),
    [sym_integer] = ACTIONS(2099),
    [sym_float] = ACTIONS(2099),
    [sym_char] = ACTIONS(2099),
    [anon_sym_true] = ACTIONS(365),
    [anon_sym_false] = ACTIONS(365),
    [anon_sym_nil] = ACTIONS(367),
    [sym_atom] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(381),
    [anon_sym_LT_LT] = ACTIONS(385),
    [anon_sym_PERCENT] = ACTIONS(387),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(397),
    [anon_sym_DASH] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_CARET] = ACTIONS(397),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(397),
    [anon_sym_not] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(401),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(405),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(407),
  },
  [906] = {
    [sym__expression] = STATE(3235),
    [sym_block] = STATE(3235),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3235),
    [sym_nil] = STATE(3235),
    [sym__atom] = STATE(3235),
    [sym_quoted_atom] = STATE(3235),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3235),
    [sym_charlist] = STATE(3235),
    [sym_sigil] = STATE(3235),
    [sym_list] = STATE(3235),
    [sym_tuple] = STATE(3235),
    [sym_bitstring] = STATE(3235),
    [sym_map] = STATE(3235),
    [sym__nullary_operator] = STATE(3235),
    [sym_unary_operator] = STATE(3235),
    [sym_binary_operator] = STATE(3235),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3235),
    [sym_call] = STATE(3235),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3235),
    [sym_anonymous_function] = STATE(3235),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2271),
    [sym_integer] = ACTIONS(2271),
    [sym_float] = ACTIONS(2271),
    [sym_char] = ACTIONS(2271),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2271),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [907] = {
    [sym__expression] = STATE(3236),
    [sym_block] = STATE(3236),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3236),
    [sym_nil] = STATE(3236),
    [sym__atom] = STATE(3236),
    [sym_quoted_atom] = STATE(3236),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3236),
    [sym_charlist] = STATE(3236),
    [sym_sigil] = STATE(3236),
    [sym_list] = STATE(3236),
    [sym_tuple] = STATE(3236),
    [sym_bitstring] = STATE(3236),
    [sym_map] = STATE(3236),
    [sym__nullary_operator] = STATE(3236),
    [sym_unary_operator] = STATE(3236),
    [sym_binary_operator] = STATE(3236),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3236),
    [sym_call] = STATE(3236),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3236),
    [sym_anonymous_function] = STATE(3236),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2275),
    [sym_integer] = ACTIONS(2275),
    [sym_float] = ACTIONS(2275),
    [sym_char] = ACTIONS(2275),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2275),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [908] = {
    [sym__expression] = STATE(3245),
    [sym_block] = STATE(3245),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3245),
    [sym_nil] = STATE(3245),
    [sym__atom] = STATE(3245),
    [sym_quoted_atom] = STATE(3245),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3245),
    [sym_charlist] = STATE(3245),
    [sym_sigil] = STATE(3245),
    [sym_list] = STATE(3245),
    [sym_tuple] = STATE(3245),
    [sym_bitstring] = STATE(3245),
    [sym_map] = STATE(3245),
    [sym__nullary_operator] = STATE(3245),
    [sym_unary_operator] = STATE(3245),
    [sym_binary_operator] = STATE(3245),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3245),
    [sym_call] = STATE(3245),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3245),
    [sym_anonymous_function] = STATE(3245),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2283),
    [sym_integer] = ACTIONS(2283),
    [sym_float] = ACTIONS(2283),
    [sym_char] = ACTIONS(2283),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2283),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [909] = {
    [sym__expression] = STATE(3246),
    [sym_block] = STATE(3246),
    [sym_identifier] = STATE(47),
    [sym_boolean] = STATE(3246),
    [sym_nil] = STATE(3246),
    [sym__atom] = STATE(3246),
    [sym_quoted_atom] = STATE(3246),
    [sym__quoted_i_double] = STATE(3314),
    [sym__quoted_i_single] = STATE(3319),
    [sym__quoted_i_heredoc_single] = STATE(3336),
    [sym__quoted_i_heredoc_double] = STATE(3334),
    [sym_string] = STATE(3246),
    [sym_charlist] = STATE(3246),
    [sym_sigil] = STATE(3246),
    [sym_list] = STATE(3246),
    [sym_tuple] = STATE(3246),
    [sym_bitstring] = STATE(3246),
    [sym_map] = STATE(3246),
    [sym__nullary_operator] = STATE(3246),
    [sym_unary_operator] = STATE(3246),
    [sym_binary_operator] = STATE(3246),
    [sym_operator_identifier] = STATE(6884),
    [sym_dot] = STATE(3246),
    [sym_call] = STATE(3246),
    [sym__call_without_parentheses] = STATE(3333),
    [sym__call_with_parentheses] = STATE(3332),
    [sym__local_call_without_parentheses] = STATE(3331),
    [sym__local_call_with_parentheses] = STATE(2222),
    [sym__local_call_just_do_block] = STATE(3329),
    [sym__remote_call_without_parentheses] = STATE(3321),
    [sym__remote_call_with_parentheses] = STATE(2211),
    [sym__remote_dot] = STATE(38),
    [sym__anonymous_call] = STATE(2210),
    [sym__anonymous_dot] = STATE(6761),
    [sym__double_call] = STATE(3318),
    [sym_access_call] = STATE(3246),
    [sym_anonymous_function] = STATE(3246),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [aux_sym_identifier_token1] = ACTIONS(804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(804),
    [sym_alias] = ACTIONS(2285),
    [sym_integer] = ACTIONS(2285),
    [sym_float] = ACTIONS(2285),
    [sym_char] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [anon_sym_nil] = ACTIONS(1049),
    [sym_atom] = ACTIONS(2285),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_PIPE] = ACTIONS(35),
    [anon_sym_SLASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_DOT_DOT] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(1077),
    [anon_sym_not] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(35),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(35),
    [anon_sym_when] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(35),
    [anon_sym_EQ] = ACTIONS(35),
    [anon_sym_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(35),
    [anon_sym_or] = ACTIONS(35),
    [anon_sym_AMP_AMP] = ACTIONS(35),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(35),
    [anon_sym_and] = ACTIONS(35),
    [anon_sym_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ] = ACTIONS(35),
    [anon_sym_EQ_TILDE] = ACTIONS(35),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(35),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(35),
    [anon_sym_LT_EQ] = ACTIONS(35),
    [anon_sym_GT_EQ] = ACTIONS(35),
    [anon_sym_PIPE_GT] = ACTIONS(35),
    [anon_sym_LT_LT_LT] = ACTIONS(35),
    [anon_sym_GT_GT_GT] = ACTIONS(35),
    [anon_sym_LT_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE] = ACTIONS(35),
    [anon_sym_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_TILDE_GT] = ACTIONS(35),
    [anon_sym_LT_PIPE_GT] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(35),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(35),
    [anon_sym_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH] = ACTIONS(35),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(35),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(35),
    [anon_sym_LT_GT] = ACTIONS(35),
    [anon_sym_STAR] = ACTIONS(35),
    [anon_sym_STAR_STAR] = ACTIONS(35),
    [anon_sym_DASH_GT] = ACTIONS(35),
    [anon_sym_fn] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(1083),
    [sym__not_in] = ACTIONS(55),
    [sym__quoted_atom_start] = ACTIONS(1085),
  },
  [910] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_after] = ACTIONS(2617),
    [anon_sym_catch] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_rescue] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [911] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_after] = ACTIONS(2621),
    [anon_sym_catch] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_end] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_rescue] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [912] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_after] = ACTIONS(2617),
    [anon_sym_catch] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_rescue] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [913] = {
    [aux_sym__terminator_token1] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2625),
    [sym_alias] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_char] = ACTIONS(2625),
    [anon_sym_true] = ACTIONS(2625),
    [anon_sym_false] = ACTIONS(2625),
    [anon_sym_nil] = ACTIONS(2625),
    [sym_atom] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2625),
    [sym_keyword] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [anon_sym_DOT_DOT] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2625),
    [anon_sym_when] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_EQ_GT] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_or] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2625),
    [anon_sym_and] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_EQ_TILDE] = ACTIONS(2625),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_LT] = ACTIONS(2625),
    [anon_sym_GT_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2625),
    [anon_sym_SLASH_SLASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2625),
    [anon_sym_LT_GT] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_STAR_STAR] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_after] = ACTIONS(2625),
    [anon_sym_catch] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_end] = ACTIONS(2625),
    [anon_sym_fn] = ACTIONS(2625),
    [anon_sym_rescue] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_LBRACK2] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2623),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2623),
    [sym__not_in] = ACTIONS(2623),
    [sym__quoted_atom_start] = ACTIONS(2623),
  },
  [914] = {
    [aux_sym__terminator_token1] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2629),
    [sym_alias] = ACTIONS(2629),
    [sym_integer] = ACTIONS(2629),
    [sym_float] = ACTIONS(2629),
    [sym_char] = ACTIONS(2629),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_nil] = ACTIONS(2629),
    [sym_atom] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_GT] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_COMMA] = ACTIONS(2629),
    [sym_keyword] = ACTIONS(2629),
    [anon_sym_LT_LT] = ACTIONS(2629),
    [anon_sym_PERCENT] = ACTIONS(2629),
    [anon_sym_DOT_DOT] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2629),
    [anon_sym_when] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2629),
    [anon_sym_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_or] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2629),
    [anon_sym_and] = ACTIONS(2629),
    [anon_sym_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ] = ACTIONS(2629),
    [anon_sym_EQ_TILDE] = ACTIONS(2629),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2629),
    [anon_sym_LT_EQ] = ACTIONS(2629),
    [anon_sym_GT_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_LT] = ACTIONS(2629),
    [anon_sym_GT_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2629),
    [anon_sym_SLASH_SLASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2629),
    [anon_sym_LT_GT] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_STAR_STAR] = ACTIONS(2629),
    [anon_sym_DASH_GT] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_after] = ACTIONS(2629),
    [anon_sym_catch] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_end] = ACTIONS(2629),
    [anon_sym_fn] = ACTIONS(2629),
    [anon_sym_rescue] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_LBRACK2] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2627),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2627),
    [sym__not_in] = ACTIONS(2627),
    [sym__quoted_atom_start] = ACTIONS(2627),
  },
  [915] = {
    [aux_sym__terminator_token1] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2633),
    [sym_alias] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_char] = ACTIONS(2633),
    [anon_sym_true] = ACTIONS(2633),
    [anon_sym_false] = ACTIONS(2633),
    [anon_sym_nil] = ACTIONS(2633),
    [sym_atom] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2633),
    [sym_keyword] = ACTIONS(2633),
    [anon_sym_LT_LT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_DOT_DOT] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2633),
    [anon_sym_when] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_EQ_GT] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2633),
    [anon_sym_and] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_EQ_TILDE] = ACTIONS(2633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_LT] = ACTIONS(2633),
    [anon_sym_GT_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2633),
    [anon_sym_SLASH_SLASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2633),
    [anon_sym_LT_GT] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_STAR_STAR] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_after] = ACTIONS(2633),
    [anon_sym_catch] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_end] = ACTIONS(2633),
    [anon_sym_fn] = ACTIONS(2633),
    [anon_sym_rescue] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_LBRACK2] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2631),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2631),
    [sym__not_in] = ACTIONS(2631),
    [sym__quoted_atom_start] = ACTIONS(2631),
  },
  [916] = {
    [aux_sym__terminator_token1] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2637),
    [sym_alias] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_char] = ACTIONS(2637),
    [anon_sym_true] = ACTIONS(2637),
    [anon_sym_false] = ACTIONS(2637),
    [anon_sym_nil] = ACTIONS(2637),
    [sym_atom] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2637),
    [sym_keyword] = ACTIONS(2637),
    [anon_sym_LT_LT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_DOT_DOT] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2637),
    [anon_sym_when] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_EQ_GT] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2637),
    [anon_sym_and] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_EQ_TILDE] = ACTIONS(2637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_LT] = ACTIONS(2637),
    [anon_sym_GT_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2637),
    [anon_sym_SLASH_SLASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2637),
    [anon_sym_LT_GT] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_STAR_STAR] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_after] = ACTIONS(2637),
    [anon_sym_catch] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_end] = ACTIONS(2637),
    [anon_sym_fn] = ACTIONS(2637),
    [anon_sym_rescue] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_LBRACK2] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2635),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2635),
    [sym__not_in] = ACTIONS(2635),
    [sym__quoted_atom_start] = ACTIONS(2635),
  },
  [917] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_after] = ACTIONS(2617),
    [anon_sym_catch] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_rescue] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [918] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_after] = ACTIONS(2617),
    [anon_sym_catch] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_rescue] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [919] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_after] = ACTIONS(2621),
    [anon_sym_catch] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_end] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_rescue] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [920] = {
    [aux_sym__terminator_token1] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2641),
    [sym_alias] = ACTIONS(2641),
    [sym_integer] = ACTIONS(2641),
    [sym_float] = ACTIONS(2641),
    [sym_char] = ACTIONS(2641),
    [anon_sym_true] = ACTIONS(2641),
    [anon_sym_false] = ACTIONS(2641),
    [anon_sym_nil] = ACTIONS(2641),
    [sym_atom] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_GT] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2641),
    [sym_keyword] = ACTIONS(2641),
    [anon_sym_LT_LT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_DOT_DOT] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_CARET] = ACTIONS(2641),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2641),
    [anon_sym_when] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_EQ_GT] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2641),
    [anon_sym_and] = ACTIONS(2641),
    [anon_sym_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2641),
    [anon_sym_EQ_TILDE] = ACTIONS(2641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2641),
    [anon_sym_LT_EQ] = ACTIONS(2641),
    [anon_sym_GT_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_LT] = ACTIONS(2641),
    [anon_sym_GT_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2641),
    [anon_sym_SLASH_SLASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2641),
    [anon_sym_LT_GT] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_STAR_STAR] = ACTIONS(2641),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_after] = ACTIONS(2641),
    [anon_sym_catch] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_end] = ACTIONS(2641),
    [anon_sym_fn] = ACTIONS(2641),
    [anon_sym_rescue] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_LBRACK2] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2639),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2639),
    [sym__not_in] = ACTIONS(2639),
    [sym__quoted_atom_start] = ACTIONS(2639),
  },
  [921] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_after] = ACTIONS(2621),
    [anon_sym_catch] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_end] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_rescue] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [922] = {
    [aux_sym__terminator_token1] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2645),
    [sym_alias] = ACTIONS(2645),
    [sym_integer] = ACTIONS(2645),
    [sym_float] = ACTIONS(2645),
    [sym_char] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(2645),
    [sym_atom] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_GT] = ACTIONS(2645),
    [anon_sym_PIPE] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2645),
    [sym_keyword] = ACTIONS(2645),
    [anon_sym_LT_LT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_DOT_DOT] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_CARET] = ACTIONS(2645),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_AT] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2645),
    [anon_sym_when] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_EQ_GT] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2645),
    [anon_sym_and] = ACTIONS(2645),
    [anon_sym_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2645),
    [anon_sym_EQ_TILDE] = ACTIONS(2645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2645),
    [anon_sym_LT_EQ] = ACTIONS(2645),
    [anon_sym_GT_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_LT] = ACTIONS(2645),
    [anon_sym_GT_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2645),
    [anon_sym_SLASH_SLASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2645),
    [anon_sym_LT_GT] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_STAR_STAR] = ACTIONS(2645),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_after] = ACTIONS(2645),
    [anon_sym_catch] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_else] = ACTIONS(2645),
    [anon_sym_end] = ACTIONS(2645),
    [anon_sym_fn] = ACTIONS(2645),
    [anon_sym_rescue] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_LBRACK2] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2643),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2643),
    [sym__not_in] = ACTIONS(2643),
    [sym__quoted_atom_start] = ACTIONS(2643),
  },
  [923] = {
    [aux_sym__terminator_token1] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [aux_sym_identifier_token1] = ACTIONS(2649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2649),
    [sym_alias] = ACTIONS(2649),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2649),
    [sym_char] = ACTIONS(2649),
    [anon_sym_true] = ACTIONS(2649),
    [anon_sym_false] = ACTIONS(2649),
    [anon_sym_nil] = ACTIONS(2649),
    [sym_atom] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_GT] = ACTIONS(2649),
    [anon_sym_PIPE] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2649),
    [sym_keyword] = ACTIONS(2649),
    [anon_sym_LT_LT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2649),
    [anon_sym_when] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_EQ_GT] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2649),
    [anon_sym_and] = ACTIONS(2649),
    [anon_sym_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2649),
    [anon_sym_EQ_TILDE] = ACTIONS(2649),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2649),
    [anon_sym_LT_EQ] = ACTIONS(2649),
    [anon_sym_GT_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_LT] = ACTIONS(2649),
    [anon_sym_GT_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2649),
    [anon_sym_SLASH_SLASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2649),
    [anon_sym_LT_GT] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_STAR_STAR] = ACTIONS(2649),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_after] = ACTIONS(2649),
    [anon_sym_catch] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_end] = ACTIONS(2649),
    [anon_sym_fn] = ACTIONS(2649),
    [anon_sym_rescue] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_LBRACK2] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2647),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2647),
    [sym__not_in] = ACTIONS(2647),
    [sym__quoted_atom_start] = ACTIONS(2647),
  },
  [924] = {
    [aux_sym__terminator_token1] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [aux_sym_identifier_token1] = ACTIONS(2653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2653),
    [sym_alias] = ACTIONS(2653),
    [sym_integer] = ACTIONS(2653),
    [sym_float] = ACTIONS(2653),
    [sym_char] = ACTIONS(2653),
    [anon_sym_true] = ACTIONS(2653),
    [anon_sym_false] = ACTIONS(2653),
    [anon_sym_nil] = ACTIONS(2653),
    [sym_atom] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_COMMA] = ACTIONS(2653),
    [sym_keyword] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2653),
    [anon_sym_LT_DASH] = ACTIONS(2653),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2653),
    [anon_sym_when] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_EQ_GT] = ACTIONS(2653),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_or] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2653),
    [anon_sym_and] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2653),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_LT] = ACTIONS(2653),
    [anon_sym_GT_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_GT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_after] = ACTIONS(2653),
    [anon_sym_catch] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_end] = ACTIONS(2653),
    [anon_sym_fn] = ACTIONS(2653),
    [anon_sym_rescue] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_LBRACK2] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2651),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2651),
    [sym__not_in] = ACTIONS(2651),
    [sym__quoted_atom_start] = ACTIONS(2651),
  },
  [925] = {
    [aux_sym__terminator_token1] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [aux_sym_identifier_token1] = ACTIONS(2657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2657),
    [sym_alias] = ACTIONS(2657),
    [sym_integer] = ACTIONS(2657),
    [sym_float] = ACTIONS(2657),
    [sym_char] = ACTIONS(2657),
    [anon_sym_true] = ACTIONS(2657),
    [anon_sym_false] = ACTIONS(2657),
    [anon_sym_nil] = ACTIONS(2657),
    [sym_atom] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(2657),
    [sym_keyword] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_LT_DASH] = ACTIONS(2657),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2657),
    [anon_sym_when] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_EQ_GT] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_or] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2657),
    [anon_sym_and] = ACTIONS(2657),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_LT] = ACTIONS(2657),
    [anon_sym_GT_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2657),
    [anon_sym_LT_GT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_DASH_GT] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_after] = ACTIONS(2657),
    [anon_sym_catch] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_end] = ACTIONS(2657),
    [anon_sym_fn] = ACTIONS(2657),
    [anon_sym_rescue] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_LBRACK2] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2655),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2655),
    [sym__not_in] = ACTIONS(2655),
    [sym__quoted_atom_start] = ACTIONS(2655),
  },
  [926] = {
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_after] = ACTIONS(2661),
    [anon_sym_catch] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_end] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_rescue] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2659),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [927] = {
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_after] = ACTIONS(2661),
    [anon_sym_catch] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_end] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_rescue] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [928] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2625),
    [sym_alias] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_char] = ACTIONS(2625),
    [anon_sym_true] = ACTIONS(2625),
    [anon_sym_false] = ACTIONS(2625),
    [anon_sym_nil] = ACTIONS(2625),
    [sym_atom] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_RBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2625),
    [sym_keyword] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [anon_sym_DOT_DOT] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2625),
    [anon_sym_when] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_EQ_GT] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_or] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2625),
    [anon_sym_and] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_EQ_TILDE] = ACTIONS(2625),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_LT] = ACTIONS(2625),
    [anon_sym_GT_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2625),
    [anon_sym_SLASH_SLASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2625),
    [anon_sym_LT_GT] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_STAR_STAR] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_fn] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_LBRACK2] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2623),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2623),
    [sym__not_in] = ACTIONS(2623),
    [sym__quoted_atom_start] = ACTIONS(2623),
  },
  [929] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_RBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [930] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_RPAREN] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2641),
    [sym_alias] = ACTIONS(2641),
    [sym_integer] = ACTIONS(2641),
    [sym_float] = ACTIONS(2641),
    [sym_char] = ACTIONS(2641),
    [anon_sym_true] = ACTIONS(2641),
    [anon_sym_false] = ACTIONS(2641),
    [anon_sym_nil] = ACTIONS(2641),
    [sym_atom] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_RBRACK] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_GT] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2641),
    [sym_keyword] = ACTIONS(2641),
    [anon_sym_LT_LT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_DOT_DOT] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_CARET] = ACTIONS(2641),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2641),
    [anon_sym_when] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_EQ_GT] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2641),
    [anon_sym_and] = ACTIONS(2641),
    [anon_sym_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2641),
    [anon_sym_EQ_TILDE] = ACTIONS(2641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2641),
    [anon_sym_LT_EQ] = ACTIONS(2641),
    [anon_sym_GT_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_LT] = ACTIONS(2641),
    [anon_sym_GT_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2641),
    [anon_sym_SLASH_SLASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2641),
    [anon_sym_LT_GT] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_STAR_STAR] = ACTIONS(2641),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_fn] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_LBRACK2] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2639),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2639),
    [sym__not_in] = ACTIONS(2639),
    [sym__quoted_atom_start] = ACTIONS(2639),
  },
  [931] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_RPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_RBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [932] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_RPAREN] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2637),
    [sym_alias] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_char] = ACTIONS(2637),
    [anon_sym_true] = ACTIONS(2637),
    [anon_sym_false] = ACTIONS(2637),
    [anon_sym_nil] = ACTIONS(2637),
    [sym_atom] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_RBRACK] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2637),
    [sym_keyword] = ACTIONS(2637),
    [anon_sym_LT_LT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_DOT_DOT] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2637),
    [anon_sym_when] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_EQ_GT] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2637),
    [anon_sym_and] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_EQ_TILDE] = ACTIONS(2637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_LT] = ACTIONS(2637),
    [anon_sym_GT_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2637),
    [anon_sym_SLASH_SLASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2637),
    [anon_sym_LT_GT] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_STAR_STAR] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_fn] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_LBRACK2] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2635),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2635),
    [sym__not_in] = ACTIONS(2635),
    [sym__quoted_atom_start] = ACTIONS(2635),
  },
  [933] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_RPAREN] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2633),
    [sym_alias] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_char] = ACTIONS(2633),
    [anon_sym_true] = ACTIONS(2633),
    [anon_sym_false] = ACTIONS(2633),
    [anon_sym_nil] = ACTIONS(2633),
    [sym_atom] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_RBRACK] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2633),
    [sym_keyword] = ACTIONS(2633),
    [anon_sym_LT_LT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_DOT_DOT] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2633),
    [anon_sym_when] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_EQ_GT] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2633),
    [anon_sym_and] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_EQ_TILDE] = ACTIONS(2633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_LT] = ACTIONS(2633),
    [anon_sym_GT_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2633),
    [anon_sym_SLASH_SLASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2633),
    [anon_sym_LT_GT] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_STAR_STAR] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_fn] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_LBRACK2] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2631),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2631),
    [sym__not_in] = ACTIONS(2631),
    [sym__quoted_atom_start] = ACTIONS(2631),
  },
  [934] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_RBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [935] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_RBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2659),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [936] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_RPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_RBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [937] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_RBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [938] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_RBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [939] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_RPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_RBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [940] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_RPAREN] = ACTIONS(2649),
    [aux_sym_identifier_token1] = ACTIONS(2649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2649),
    [sym_alias] = ACTIONS(2649),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2649),
    [sym_char] = ACTIONS(2649),
    [anon_sym_true] = ACTIONS(2649),
    [anon_sym_false] = ACTIONS(2649),
    [anon_sym_nil] = ACTIONS(2649),
    [sym_atom] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_RBRACE] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_RBRACK] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_GT] = ACTIONS(2649),
    [anon_sym_PIPE] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2649),
    [sym_keyword] = ACTIONS(2649),
    [anon_sym_LT_LT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2649),
    [anon_sym_when] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_EQ_GT] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2649),
    [anon_sym_and] = ACTIONS(2649),
    [anon_sym_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2649),
    [anon_sym_EQ_TILDE] = ACTIONS(2649),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2649),
    [anon_sym_LT_EQ] = ACTIONS(2649),
    [anon_sym_GT_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_LT] = ACTIONS(2649),
    [anon_sym_GT_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2649),
    [anon_sym_SLASH_SLASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2649),
    [anon_sym_LT_GT] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_STAR_STAR] = ACTIONS(2649),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_fn] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_LBRACK2] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2647),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2647),
    [sym__not_in] = ACTIONS(2647),
    [sym__quoted_atom_start] = ACTIONS(2647),
  },
  [941] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [anon_sym_RPAREN] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2629),
    [sym_alias] = ACTIONS(2629),
    [sym_integer] = ACTIONS(2629),
    [sym_float] = ACTIONS(2629),
    [sym_char] = ACTIONS(2629),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_nil] = ACTIONS(2629),
    [sym_atom] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_RBRACE] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_RBRACK] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_GT] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_COMMA] = ACTIONS(2629),
    [sym_keyword] = ACTIONS(2629),
    [anon_sym_LT_LT] = ACTIONS(2629),
    [anon_sym_PERCENT] = ACTIONS(2629),
    [anon_sym_DOT_DOT] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2629),
    [anon_sym_when] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2629),
    [anon_sym_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_or] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2629),
    [anon_sym_and] = ACTIONS(2629),
    [anon_sym_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ] = ACTIONS(2629),
    [anon_sym_EQ_TILDE] = ACTIONS(2629),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2629),
    [anon_sym_LT_EQ] = ACTIONS(2629),
    [anon_sym_GT_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_LT] = ACTIONS(2629),
    [anon_sym_GT_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2629),
    [anon_sym_SLASH_SLASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2629),
    [anon_sym_LT_GT] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_STAR_STAR] = ACTIONS(2629),
    [anon_sym_DASH_GT] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_fn] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_LBRACK2] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2627),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2627),
    [sym__not_in] = ACTIONS(2627),
    [sym__quoted_atom_start] = ACTIONS(2627),
  },
  [942] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_RPAREN] = ACTIONS(2653),
    [aux_sym_identifier_token1] = ACTIONS(2653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2653),
    [sym_alias] = ACTIONS(2653),
    [sym_integer] = ACTIONS(2653),
    [sym_float] = ACTIONS(2653),
    [sym_char] = ACTIONS(2653),
    [anon_sym_true] = ACTIONS(2653),
    [anon_sym_false] = ACTIONS(2653),
    [anon_sym_nil] = ACTIONS(2653),
    [sym_atom] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_RBRACK] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_COMMA] = ACTIONS(2653),
    [sym_keyword] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2653),
    [anon_sym_LT_DASH] = ACTIONS(2653),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2653),
    [anon_sym_when] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_EQ_GT] = ACTIONS(2653),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_or] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2653),
    [anon_sym_and] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2653),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_LT] = ACTIONS(2653),
    [anon_sym_GT_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_GT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_fn] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_LBRACK2] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2651),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2651),
    [sym__not_in] = ACTIONS(2651),
    [sym__quoted_atom_start] = ACTIONS(2651),
  },
  [943] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_RPAREN] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2645),
    [sym_alias] = ACTIONS(2645),
    [sym_integer] = ACTIONS(2645),
    [sym_float] = ACTIONS(2645),
    [sym_char] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(2645),
    [sym_atom] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_RBRACE] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_RBRACK] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_GT] = ACTIONS(2645),
    [anon_sym_PIPE] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2645),
    [sym_keyword] = ACTIONS(2645),
    [anon_sym_LT_LT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_DOT_DOT] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_CARET] = ACTIONS(2645),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_AT] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2645),
    [anon_sym_when] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_EQ_GT] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2645),
    [anon_sym_and] = ACTIONS(2645),
    [anon_sym_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2645),
    [anon_sym_EQ_TILDE] = ACTIONS(2645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2645),
    [anon_sym_LT_EQ] = ACTIONS(2645),
    [anon_sym_GT_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_LT] = ACTIONS(2645),
    [anon_sym_GT_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2645),
    [anon_sym_SLASH_SLASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2645),
    [anon_sym_LT_GT] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_STAR_STAR] = ACTIONS(2645),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_fn] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_LBRACK2] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2643),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2643),
    [sym__not_in] = ACTIONS(2643),
    [sym__quoted_atom_start] = ACTIONS(2643),
  },
  [944] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(2657),
    [aux_sym_identifier_token1] = ACTIONS(2657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2657),
    [sym_alias] = ACTIONS(2657),
    [sym_integer] = ACTIONS(2657),
    [sym_float] = ACTIONS(2657),
    [sym_char] = ACTIONS(2657),
    [anon_sym_true] = ACTIONS(2657),
    [anon_sym_false] = ACTIONS(2657),
    [anon_sym_nil] = ACTIONS(2657),
    [sym_atom] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_RBRACE] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_RBRACK] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(2657),
    [sym_keyword] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_LT_DASH] = ACTIONS(2657),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2657),
    [anon_sym_when] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_EQ_GT] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_or] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2657),
    [anon_sym_and] = ACTIONS(2657),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_LT] = ACTIONS(2657),
    [anon_sym_GT_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2657),
    [anon_sym_LT_GT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_DASH_GT] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_fn] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_LBRACK2] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2655),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2655),
    [sym__not_in] = ACTIONS(2655),
    [sym__quoted_atom_start] = ACTIONS(2655),
  },
  [945] = {
    [aux_sym__terminator_token1] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2633),
    [sym_alias] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_char] = ACTIONS(2633),
    [anon_sym_true] = ACTIONS(2633),
    [anon_sym_false] = ACTIONS(2633),
    [anon_sym_nil] = ACTIONS(2633),
    [sym_atom] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2633),
    [sym_keyword] = ACTIONS(2633),
    [anon_sym_LT_LT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_DOT_DOT] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2633),
    [anon_sym_when] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_EQ_GT] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2633),
    [anon_sym_and] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_EQ_TILDE] = ACTIONS(2633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_LT] = ACTIONS(2633),
    [anon_sym_GT_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2633),
    [anon_sym_SLASH_SLASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2633),
    [anon_sym_LT_GT] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_STAR_STAR] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_end] = ACTIONS(2633),
    [anon_sym_fn] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_LBRACK2] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2631),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2631),
    [sym__not_in] = ACTIONS(2631),
    [sym__quoted_atom_start] = ACTIONS(2631),
  },
  [946] = {
    [aux_sym__terminator_token1] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [anon_sym_RPAREN] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2629),
    [sym_alias] = ACTIONS(2629),
    [sym_integer] = ACTIONS(2629),
    [sym_float] = ACTIONS(2629),
    [sym_char] = ACTIONS(2629),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_nil] = ACTIONS(2629),
    [sym_atom] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_GT] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_COMMA] = ACTIONS(2629),
    [sym_keyword] = ACTIONS(2629),
    [anon_sym_LT_LT] = ACTIONS(2629),
    [anon_sym_PERCENT] = ACTIONS(2629),
    [anon_sym_DOT_DOT] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2629),
    [anon_sym_when] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2629),
    [anon_sym_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_or] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2629),
    [anon_sym_and] = ACTIONS(2629),
    [anon_sym_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ] = ACTIONS(2629),
    [anon_sym_EQ_TILDE] = ACTIONS(2629),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2629),
    [anon_sym_LT_EQ] = ACTIONS(2629),
    [anon_sym_GT_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_LT] = ACTIONS(2629),
    [anon_sym_GT_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2629),
    [anon_sym_SLASH_SLASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2629),
    [anon_sym_LT_GT] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_STAR_STAR] = ACTIONS(2629),
    [anon_sym_DASH_GT] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_fn] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_LBRACK2] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2627),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2627),
    [sym__not_in] = ACTIONS(2627),
    [sym__quoted_atom_start] = ACTIONS(2627),
  },
  [947] = {
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2659),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [948] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [aux_sym__terminator_token1] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2625),
    [sym_alias] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_char] = ACTIONS(2625),
    [anon_sym_true] = ACTIONS(2625),
    [anon_sym_false] = ACTIONS(2625),
    [anon_sym_nil] = ACTIONS(2625),
    [sym_atom] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2625),
    [sym_keyword] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [anon_sym_DOT_DOT] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2625),
    [anon_sym_when] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_EQ_GT] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_or] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2625),
    [anon_sym_and] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_EQ_TILDE] = ACTIONS(2625),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_LT] = ACTIONS(2625),
    [anon_sym_GT_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2625),
    [anon_sym_SLASH_SLASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2625),
    [anon_sym_LT_GT] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_STAR_STAR] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_fn] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_LBRACK2] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2623),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2623),
    [sym__not_in] = ACTIONS(2623),
    [sym__quoted_atom_start] = ACTIONS(2623),
  },
  [949] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [aux_sym__terminator_token1] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2629),
    [sym_alias] = ACTIONS(2629),
    [sym_integer] = ACTIONS(2629),
    [sym_float] = ACTIONS(2629),
    [sym_char] = ACTIONS(2629),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_nil] = ACTIONS(2629),
    [sym_atom] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_GT] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_COMMA] = ACTIONS(2629),
    [sym_keyword] = ACTIONS(2629),
    [anon_sym_LT_LT] = ACTIONS(2629),
    [anon_sym_PERCENT] = ACTIONS(2629),
    [anon_sym_DOT_DOT] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2629),
    [anon_sym_when] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2629),
    [anon_sym_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_or] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2629),
    [anon_sym_and] = ACTIONS(2629),
    [anon_sym_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ] = ACTIONS(2629),
    [anon_sym_EQ_TILDE] = ACTIONS(2629),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2629),
    [anon_sym_LT_EQ] = ACTIONS(2629),
    [anon_sym_GT_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_LT] = ACTIONS(2629),
    [anon_sym_GT_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2629),
    [anon_sym_SLASH_SLASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2629),
    [anon_sym_LT_GT] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_STAR_STAR] = ACTIONS(2629),
    [anon_sym_DASH_GT] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_fn] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_LBRACK2] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2627),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2627),
    [sym__not_in] = ACTIONS(2627),
    [sym__quoted_atom_start] = ACTIONS(2627),
  },
  [950] = {
    [aux_sym__terminator_token1] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2629),
    [sym_alias] = ACTIONS(2629),
    [sym_integer] = ACTIONS(2629),
    [sym_float] = ACTIONS(2629),
    [sym_char] = ACTIONS(2629),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_nil] = ACTIONS(2629),
    [sym_atom] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_GT] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_COMMA] = ACTIONS(2629),
    [sym_keyword] = ACTIONS(2629),
    [anon_sym_LT_LT] = ACTIONS(2629),
    [anon_sym_PERCENT] = ACTIONS(2629),
    [anon_sym_DOT_DOT] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2629),
    [anon_sym_when] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2629),
    [anon_sym_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_or] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2629),
    [anon_sym_and] = ACTIONS(2629),
    [anon_sym_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ] = ACTIONS(2629),
    [anon_sym_EQ_TILDE] = ACTIONS(2629),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2629),
    [anon_sym_LT_EQ] = ACTIONS(2629),
    [anon_sym_GT_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_LT] = ACTIONS(2629),
    [anon_sym_GT_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2629),
    [anon_sym_SLASH_SLASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2629),
    [anon_sym_LT_GT] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_STAR_STAR] = ACTIONS(2629),
    [anon_sym_DASH_GT] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_end] = ACTIONS(2629),
    [anon_sym_fn] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_LBRACK2] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2627),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2627),
    [sym__not_in] = ACTIONS(2627),
    [sym__quoted_atom_start] = ACTIONS(2627),
  },
  [951] = {
    [aux_sym__terminator_token1] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2625),
    [sym_alias] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_char] = ACTIONS(2625),
    [anon_sym_true] = ACTIONS(2625),
    [anon_sym_false] = ACTIONS(2625),
    [anon_sym_nil] = ACTIONS(2625),
    [sym_atom] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2625),
    [sym_keyword] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [anon_sym_DOT_DOT] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2625),
    [anon_sym_when] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_EQ_GT] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_or] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2625),
    [anon_sym_and] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_EQ_TILDE] = ACTIONS(2625),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_LT] = ACTIONS(2625),
    [anon_sym_GT_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2625),
    [anon_sym_SLASH_SLASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2625),
    [anon_sym_LT_GT] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_STAR_STAR] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_end] = ACTIONS(2625),
    [anon_sym_fn] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_LBRACK2] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2623),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2623),
    [sym__not_in] = ACTIONS(2623),
    [sym__quoted_atom_start] = ACTIONS(2623),
  },
  [952] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [953] = {
    [aux_sym__terminator_token1] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2637),
    [sym_alias] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_char] = ACTIONS(2637),
    [anon_sym_true] = ACTIONS(2637),
    [anon_sym_false] = ACTIONS(2637),
    [anon_sym_nil] = ACTIONS(2637),
    [sym_atom] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2637),
    [sym_keyword] = ACTIONS(2637),
    [anon_sym_LT_LT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_DOT_DOT] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2637),
    [anon_sym_when] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_EQ_GT] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2637),
    [anon_sym_and] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_EQ_TILDE] = ACTIONS(2637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_LT] = ACTIONS(2637),
    [anon_sym_GT_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2637),
    [anon_sym_SLASH_SLASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2637),
    [anon_sym_LT_GT] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_STAR_STAR] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_end] = ACTIONS(2637),
    [anon_sym_fn] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_LBRACK2] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2635),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2635),
    [sym__not_in] = ACTIONS(2635),
    [sym__quoted_atom_start] = ACTIONS(2635),
  },
  [954] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [aux_sym__terminator_token1] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2637),
    [sym_alias] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_char] = ACTIONS(2637),
    [anon_sym_true] = ACTIONS(2637),
    [anon_sym_false] = ACTIONS(2637),
    [anon_sym_nil] = ACTIONS(2637),
    [sym_atom] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2637),
    [sym_keyword] = ACTIONS(2637),
    [anon_sym_LT_LT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_DOT_DOT] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2637),
    [anon_sym_when] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_EQ_GT] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2637),
    [anon_sym_and] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_EQ_TILDE] = ACTIONS(2637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_LT] = ACTIONS(2637),
    [anon_sym_GT_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2637),
    [anon_sym_SLASH_SLASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2637),
    [anon_sym_LT_GT] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_STAR_STAR] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_fn] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_LBRACK2] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2635),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2635),
    [sym__not_in] = ACTIONS(2635),
    [sym__quoted_atom_start] = ACTIONS(2635),
  },
  [955] = {
    [aux_sym__terminator_token1] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [aux_sym_identifier_token1] = ACTIONS(2657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2657),
    [sym_alias] = ACTIONS(2657),
    [sym_integer] = ACTIONS(2657),
    [sym_float] = ACTIONS(2657),
    [sym_char] = ACTIONS(2657),
    [anon_sym_true] = ACTIONS(2657),
    [anon_sym_false] = ACTIONS(2657),
    [anon_sym_nil] = ACTIONS(2657),
    [sym_atom] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(2657),
    [sym_keyword] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_LT_DASH] = ACTIONS(2657),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2657),
    [anon_sym_when] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_EQ_GT] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_or] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2657),
    [anon_sym_and] = ACTIONS(2657),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_LT] = ACTIONS(2657),
    [anon_sym_GT_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2657),
    [anon_sym_LT_GT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_DASH_GT] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_end] = ACTIONS(2657),
    [anon_sym_fn] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_LBRACK2] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2655),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2655),
    [sym__not_in] = ACTIONS(2655),
    [sym__quoted_atom_start] = ACTIONS(2655),
  },
  [956] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [957] = {
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_end] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2659),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [958] = {
    [aux_sym__terminator_token1] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(2657),
    [aux_sym_identifier_token1] = ACTIONS(2657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2657),
    [sym_alias] = ACTIONS(2657),
    [sym_integer] = ACTIONS(2657),
    [sym_float] = ACTIONS(2657),
    [sym_char] = ACTIONS(2657),
    [anon_sym_true] = ACTIONS(2657),
    [anon_sym_false] = ACTIONS(2657),
    [anon_sym_nil] = ACTIONS(2657),
    [sym_atom] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(2657),
    [sym_keyword] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_LT_DASH] = ACTIONS(2657),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2657),
    [anon_sym_when] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_EQ_GT] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_or] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2657),
    [anon_sym_and] = ACTIONS(2657),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_LT] = ACTIONS(2657),
    [anon_sym_GT_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2657),
    [anon_sym_LT_GT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_DASH_GT] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_fn] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_LBRACK2] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2655),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2655),
    [sym__not_in] = ACTIONS(2655),
    [sym__quoted_atom_start] = ACTIONS(2655),
  },
  [959] = {
    [aux_sym__terminator_token1] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_RPAREN] = ACTIONS(2653),
    [aux_sym_identifier_token1] = ACTIONS(2653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2653),
    [sym_alias] = ACTIONS(2653),
    [sym_integer] = ACTIONS(2653),
    [sym_float] = ACTIONS(2653),
    [sym_char] = ACTIONS(2653),
    [anon_sym_true] = ACTIONS(2653),
    [anon_sym_false] = ACTIONS(2653),
    [anon_sym_nil] = ACTIONS(2653),
    [sym_atom] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_COMMA] = ACTIONS(2653),
    [sym_keyword] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2653),
    [anon_sym_LT_DASH] = ACTIONS(2653),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2653),
    [anon_sym_when] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_EQ_GT] = ACTIONS(2653),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_or] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2653),
    [anon_sym_and] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2653),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_LT] = ACTIONS(2653),
    [anon_sym_GT_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_GT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_fn] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_LBRACK2] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2651),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2651),
    [sym__not_in] = ACTIONS(2651),
    [sym__quoted_atom_start] = ACTIONS(2651),
  },
  [960] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [961] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [962] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [aux_sym__terminator_token1] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [aux_sym_identifier_token1] = ACTIONS(2653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2653),
    [sym_alias] = ACTIONS(2653),
    [sym_integer] = ACTIONS(2653),
    [sym_float] = ACTIONS(2653),
    [sym_char] = ACTIONS(2653),
    [anon_sym_true] = ACTIONS(2653),
    [anon_sym_false] = ACTIONS(2653),
    [anon_sym_nil] = ACTIONS(2653),
    [sym_atom] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_COMMA] = ACTIONS(2653),
    [sym_keyword] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2653),
    [anon_sym_LT_DASH] = ACTIONS(2653),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2653),
    [anon_sym_when] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_EQ_GT] = ACTIONS(2653),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_or] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2653),
    [anon_sym_and] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2653),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_LT] = ACTIONS(2653),
    [anon_sym_GT_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_GT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_fn] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_LBRACK2] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2651),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2651),
    [sym__not_in] = ACTIONS(2651),
    [sym__quoted_atom_start] = ACTIONS(2651),
  },
  [963] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [aux_sym__terminator_token1] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [aux_sym_identifier_token1] = ACTIONS(2657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2657),
    [sym_alias] = ACTIONS(2657),
    [sym_integer] = ACTIONS(2657),
    [sym_float] = ACTIONS(2657),
    [sym_char] = ACTIONS(2657),
    [anon_sym_true] = ACTIONS(2657),
    [anon_sym_false] = ACTIONS(2657),
    [anon_sym_nil] = ACTIONS(2657),
    [sym_atom] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(2657),
    [sym_keyword] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_LT_DASH] = ACTIONS(2657),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2657),
    [anon_sym_when] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_EQ_GT] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_or] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2657),
    [anon_sym_and] = ACTIONS(2657),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_LT] = ACTIONS(2657),
    [anon_sym_GT_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2657),
    [anon_sym_LT_GT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_DASH_GT] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_fn] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_LBRACK2] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2655),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2655),
    [sym__not_in] = ACTIONS(2655),
    [sym__quoted_atom_start] = ACTIONS(2655),
  },
  [964] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [aux_sym__terminator_token1] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2641),
    [sym_alias] = ACTIONS(2641),
    [sym_integer] = ACTIONS(2641),
    [sym_float] = ACTIONS(2641),
    [sym_char] = ACTIONS(2641),
    [anon_sym_true] = ACTIONS(2641),
    [anon_sym_false] = ACTIONS(2641),
    [anon_sym_nil] = ACTIONS(2641),
    [sym_atom] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_GT] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2641),
    [sym_keyword] = ACTIONS(2641),
    [anon_sym_LT_LT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_DOT_DOT] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_CARET] = ACTIONS(2641),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2641),
    [anon_sym_when] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_EQ_GT] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2641),
    [anon_sym_and] = ACTIONS(2641),
    [anon_sym_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2641),
    [anon_sym_EQ_TILDE] = ACTIONS(2641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2641),
    [anon_sym_LT_EQ] = ACTIONS(2641),
    [anon_sym_GT_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_LT] = ACTIONS(2641),
    [anon_sym_GT_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2641),
    [anon_sym_SLASH_SLASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2641),
    [anon_sym_LT_GT] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_STAR_STAR] = ACTIONS(2641),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_fn] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_LBRACK2] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2639),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2639),
    [sym__not_in] = ACTIONS(2639),
    [sym__quoted_atom_start] = ACTIONS(2639),
  },
  [965] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [aux_sym__terminator_token1] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2645),
    [sym_alias] = ACTIONS(2645),
    [sym_integer] = ACTIONS(2645),
    [sym_float] = ACTIONS(2645),
    [sym_char] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(2645),
    [sym_atom] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_GT] = ACTIONS(2645),
    [anon_sym_PIPE] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2645),
    [sym_keyword] = ACTIONS(2645),
    [anon_sym_LT_LT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_DOT_DOT] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_CARET] = ACTIONS(2645),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_AT] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2645),
    [anon_sym_when] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_EQ_GT] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2645),
    [anon_sym_and] = ACTIONS(2645),
    [anon_sym_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2645),
    [anon_sym_EQ_TILDE] = ACTIONS(2645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2645),
    [anon_sym_LT_EQ] = ACTIONS(2645),
    [anon_sym_GT_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_LT] = ACTIONS(2645),
    [anon_sym_GT_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2645),
    [anon_sym_SLASH_SLASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2645),
    [anon_sym_LT_GT] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_STAR_STAR] = ACTIONS(2645),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_fn] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_LBRACK2] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2643),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2643),
    [sym__not_in] = ACTIONS(2643),
    [sym__quoted_atom_start] = ACTIONS(2643),
  },
  [966] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [aux_sym__terminator_token1] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [aux_sym_identifier_token1] = ACTIONS(2649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2649),
    [sym_alias] = ACTIONS(2649),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2649),
    [sym_char] = ACTIONS(2649),
    [anon_sym_true] = ACTIONS(2649),
    [anon_sym_false] = ACTIONS(2649),
    [anon_sym_nil] = ACTIONS(2649),
    [sym_atom] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_GT] = ACTIONS(2649),
    [anon_sym_PIPE] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2649),
    [sym_keyword] = ACTIONS(2649),
    [anon_sym_LT_LT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2649),
    [anon_sym_when] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_EQ_GT] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2649),
    [anon_sym_and] = ACTIONS(2649),
    [anon_sym_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2649),
    [anon_sym_EQ_TILDE] = ACTIONS(2649),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2649),
    [anon_sym_LT_EQ] = ACTIONS(2649),
    [anon_sym_GT_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_LT] = ACTIONS(2649),
    [anon_sym_GT_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2649),
    [anon_sym_SLASH_SLASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2649),
    [anon_sym_LT_GT] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_STAR_STAR] = ACTIONS(2649),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_fn] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_LBRACK2] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2647),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2647),
    [sym__not_in] = ACTIONS(2647),
    [sym__quoted_atom_start] = ACTIONS(2647),
  },
  [967] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2659),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [968] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [969] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [970] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_end] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [971] = {
    [aux_sym__terminator_token1] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_RPAREN] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2625),
    [sym_alias] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_char] = ACTIONS(2625),
    [anon_sym_true] = ACTIONS(2625),
    [anon_sym_false] = ACTIONS(2625),
    [anon_sym_nil] = ACTIONS(2625),
    [sym_atom] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2625),
    [sym_keyword] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [anon_sym_DOT_DOT] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2625),
    [anon_sym_when] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_EQ_GT] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_or] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2625),
    [anon_sym_and] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_EQ_TILDE] = ACTIONS(2625),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_LT] = ACTIONS(2625),
    [anon_sym_GT_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2625),
    [anon_sym_SLASH_SLASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2625),
    [anon_sym_LT_GT] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_STAR_STAR] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_fn] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_LBRACK2] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2623),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2623),
    [sym__not_in] = ACTIONS(2623),
    [sym__quoted_atom_start] = ACTIONS(2623),
  },
  [972] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_end] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [973] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [974] = {
    [aux_sym__terminator_token1] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_RPAREN] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2641),
    [sym_alias] = ACTIONS(2641),
    [sym_integer] = ACTIONS(2641),
    [sym_float] = ACTIONS(2641),
    [sym_char] = ACTIONS(2641),
    [anon_sym_true] = ACTIONS(2641),
    [anon_sym_false] = ACTIONS(2641),
    [anon_sym_nil] = ACTIONS(2641),
    [sym_atom] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_GT] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2641),
    [sym_keyword] = ACTIONS(2641),
    [anon_sym_LT_LT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_DOT_DOT] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_CARET] = ACTIONS(2641),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2641),
    [anon_sym_when] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_EQ_GT] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2641),
    [anon_sym_and] = ACTIONS(2641),
    [anon_sym_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2641),
    [anon_sym_EQ_TILDE] = ACTIONS(2641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2641),
    [anon_sym_LT_EQ] = ACTIONS(2641),
    [anon_sym_GT_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_LT] = ACTIONS(2641),
    [anon_sym_GT_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2641),
    [anon_sym_SLASH_SLASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2641),
    [anon_sym_LT_GT] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_STAR_STAR] = ACTIONS(2641),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_fn] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_LBRACK2] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2639),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2639),
    [sym__not_in] = ACTIONS(2639),
    [sym__quoted_atom_start] = ACTIONS(2639),
  },
  [975] = {
    [aux_sym__terminator_token1] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_RPAREN] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2645),
    [sym_alias] = ACTIONS(2645),
    [sym_integer] = ACTIONS(2645),
    [sym_float] = ACTIONS(2645),
    [sym_char] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(2645),
    [sym_atom] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_GT] = ACTIONS(2645),
    [anon_sym_PIPE] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2645),
    [sym_keyword] = ACTIONS(2645),
    [anon_sym_LT_LT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_DOT_DOT] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_CARET] = ACTIONS(2645),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_AT] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2645),
    [anon_sym_when] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_EQ_GT] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2645),
    [anon_sym_and] = ACTIONS(2645),
    [anon_sym_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2645),
    [anon_sym_EQ_TILDE] = ACTIONS(2645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2645),
    [anon_sym_LT_EQ] = ACTIONS(2645),
    [anon_sym_GT_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_LT] = ACTIONS(2645),
    [anon_sym_GT_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2645),
    [anon_sym_SLASH_SLASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2645),
    [anon_sym_LT_GT] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_STAR_STAR] = ACTIONS(2645),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_fn] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_LBRACK2] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2643),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2643),
    [sym__not_in] = ACTIONS(2643),
    [sym__quoted_atom_start] = ACTIONS(2643),
  },
  [976] = {
    [aux_sym__terminator_token1] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_RPAREN] = ACTIONS(2649),
    [aux_sym_identifier_token1] = ACTIONS(2649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2649),
    [sym_alias] = ACTIONS(2649),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2649),
    [sym_char] = ACTIONS(2649),
    [anon_sym_true] = ACTIONS(2649),
    [anon_sym_false] = ACTIONS(2649),
    [anon_sym_nil] = ACTIONS(2649),
    [sym_atom] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_GT] = ACTIONS(2649),
    [anon_sym_PIPE] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2649),
    [sym_keyword] = ACTIONS(2649),
    [anon_sym_LT_LT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2649),
    [anon_sym_when] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_EQ_GT] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2649),
    [anon_sym_and] = ACTIONS(2649),
    [anon_sym_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2649),
    [anon_sym_EQ_TILDE] = ACTIONS(2649),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2649),
    [anon_sym_LT_EQ] = ACTIONS(2649),
    [anon_sym_GT_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_LT] = ACTIONS(2649),
    [anon_sym_GT_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2649),
    [anon_sym_SLASH_SLASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2649),
    [anon_sym_LT_GT] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_STAR_STAR] = ACTIONS(2649),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_fn] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_LBRACK2] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2647),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2647),
    [sym__not_in] = ACTIONS(2647),
    [sym__quoted_atom_start] = ACTIONS(2647),
  },
  [977] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [978] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_RPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [979] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [980] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_end] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [981] = {
    [aux_sym__terminator_token1] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [aux_sym_identifier_token1] = ACTIONS(2649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2649),
    [sym_alias] = ACTIONS(2649),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2649),
    [sym_char] = ACTIONS(2649),
    [anon_sym_true] = ACTIONS(2649),
    [anon_sym_false] = ACTIONS(2649),
    [anon_sym_nil] = ACTIONS(2649),
    [sym_atom] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_GT] = ACTIONS(2649),
    [anon_sym_PIPE] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2649),
    [sym_keyword] = ACTIONS(2649),
    [anon_sym_LT_LT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2649),
    [anon_sym_when] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_EQ_GT] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2649),
    [anon_sym_and] = ACTIONS(2649),
    [anon_sym_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2649),
    [anon_sym_EQ_TILDE] = ACTIONS(2649),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2649),
    [anon_sym_LT_EQ] = ACTIONS(2649),
    [anon_sym_GT_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_LT] = ACTIONS(2649),
    [anon_sym_GT_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2649),
    [anon_sym_SLASH_SLASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2649),
    [anon_sym_LT_GT] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_STAR_STAR] = ACTIONS(2649),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_end] = ACTIONS(2649),
    [anon_sym_fn] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_LBRACK2] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2647),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2647),
    [sym__not_in] = ACTIONS(2647),
    [sym__quoted_atom_start] = ACTIONS(2647),
  },
  [982] = {
    [aux_sym__terminator_token1] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2645),
    [sym_alias] = ACTIONS(2645),
    [sym_integer] = ACTIONS(2645),
    [sym_float] = ACTIONS(2645),
    [sym_char] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(2645),
    [sym_atom] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_GT] = ACTIONS(2645),
    [anon_sym_PIPE] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2645),
    [sym_keyword] = ACTIONS(2645),
    [anon_sym_LT_LT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_DOT_DOT] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_CARET] = ACTIONS(2645),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_AT] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2645),
    [anon_sym_when] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_EQ_GT] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2645),
    [anon_sym_and] = ACTIONS(2645),
    [anon_sym_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2645),
    [anon_sym_EQ_TILDE] = ACTIONS(2645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2645),
    [anon_sym_LT_EQ] = ACTIONS(2645),
    [anon_sym_GT_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_LT] = ACTIONS(2645),
    [anon_sym_GT_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2645),
    [anon_sym_SLASH_SLASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2645),
    [anon_sym_LT_GT] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_STAR_STAR] = ACTIONS(2645),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_end] = ACTIONS(2645),
    [anon_sym_fn] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_LBRACK2] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2643),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2643),
    [sym__not_in] = ACTIONS(2643),
    [sym__quoted_atom_start] = ACTIONS(2643),
  },
  [983] = {
    [aux_sym__terminator_token1] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2641),
    [sym_alias] = ACTIONS(2641),
    [sym_integer] = ACTIONS(2641),
    [sym_float] = ACTIONS(2641),
    [sym_char] = ACTIONS(2641),
    [anon_sym_true] = ACTIONS(2641),
    [anon_sym_false] = ACTIONS(2641),
    [anon_sym_nil] = ACTIONS(2641),
    [sym_atom] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_GT] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2641),
    [sym_keyword] = ACTIONS(2641),
    [anon_sym_LT_LT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_DOT_DOT] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_CARET] = ACTIONS(2641),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2641),
    [anon_sym_when] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_EQ_GT] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2641),
    [anon_sym_and] = ACTIONS(2641),
    [anon_sym_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2641),
    [anon_sym_EQ_TILDE] = ACTIONS(2641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2641),
    [anon_sym_LT_EQ] = ACTIONS(2641),
    [anon_sym_GT_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_LT] = ACTIONS(2641),
    [anon_sym_GT_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2641),
    [anon_sym_SLASH_SLASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2641),
    [anon_sym_LT_GT] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_STAR_STAR] = ACTIONS(2641),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_end] = ACTIONS(2641),
    [anon_sym_fn] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_LBRACK2] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2639),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2639),
    [sym__not_in] = ACTIONS(2639),
    [sym__quoted_atom_start] = ACTIONS(2639),
  },
  [984] = {
    [aux_sym__terminator_token1] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [aux_sym_identifier_token1] = ACTIONS(2653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2653),
    [sym_alias] = ACTIONS(2653),
    [sym_integer] = ACTIONS(2653),
    [sym_float] = ACTIONS(2653),
    [sym_char] = ACTIONS(2653),
    [anon_sym_true] = ACTIONS(2653),
    [anon_sym_false] = ACTIONS(2653),
    [anon_sym_nil] = ACTIONS(2653),
    [sym_atom] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_COMMA] = ACTIONS(2653),
    [sym_keyword] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2653),
    [anon_sym_LT_DASH] = ACTIONS(2653),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2653),
    [anon_sym_when] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_EQ_GT] = ACTIONS(2653),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_or] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2653),
    [anon_sym_and] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2653),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_LT] = ACTIONS(2653),
    [anon_sym_GT_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_GT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_end] = ACTIONS(2653),
    [anon_sym_fn] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_LBRACK2] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2651),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2651),
    [sym__not_in] = ACTIONS(2651),
    [sym__quoted_atom_start] = ACTIONS(2651),
  },
  [985] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [aux_sym__terminator_token1] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2633),
    [sym_alias] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_char] = ACTIONS(2633),
    [anon_sym_true] = ACTIONS(2633),
    [anon_sym_false] = ACTIONS(2633),
    [anon_sym_nil] = ACTIONS(2633),
    [sym_atom] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2633),
    [sym_keyword] = ACTIONS(2633),
    [anon_sym_LT_LT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_DOT_DOT] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2633),
    [anon_sym_when] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_EQ_GT] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2633),
    [anon_sym_and] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_EQ_TILDE] = ACTIONS(2633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_LT] = ACTIONS(2633),
    [anon_sym_GT_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2633),
    [anon_sym_SLASH_SLASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2633),
    [anon_sym_LT_GT] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_STAR_STAR] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_fn] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_LBRACK2] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2631),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2631),
    [sym__not_in] = ACTIONS(2631),
    [sym__quoted_atom_start] = ACTIONS(2631),
  },
  [986] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [987] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_RPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [988] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [989] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [990] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [991] = {
    [aux_sym__terminator_token1] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_RPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [992] = {
    [aux_sym__terminator_token1] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_RPAREN] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2633),
    [sym_alias] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_char] = ACTIONS(2633),
    [anon_sym_true] = ACTIONS(2633),
    [anon_sym_false] = ACTIONS(2633),
    [anon_sym_nil] = ACTIONS(2633),
    [sym_atom] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2633),
    [sym_keyword] = ACTIONS(2633),
    [anon_sym_LT_LT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_DOT_DOT] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2633),
    [anon_sym_when] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_EQ_GT] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2633),
    [anon_sym_and] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_EQ_TILDE] = ACTIONS(2633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_LT] = ACTIONS(2633),
    [anon_sym_GT_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2633),
    [anon_sym_SLASH_SLASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2633),
    [anon_sym_LT_GT] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_STAR_STAR] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_fn] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_LBRACK2] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2631),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2631),
    [sym__not_in] = ACTIONS(2631),
    [sym__quoted_atom_start] = ACTIONS(2631),
  },
  [993] = {
    [aux_sym__terminator_token1] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_RPAREN] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2637),
    [sym_alias] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_char] = ACTIONS(2637),
    [anon_sym_true] = ACTIONS(2637),
    [anon_sym_false] = ACTIONS(2637),
    [anon_sym_nil] = ACTIONS(2637),
    [sym_atom] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2637),
    [sym_keyword] = ACTIONS(2637),
    [anon_sym_LT_LT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_DOT_DOT] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2637),
    [anon_sym_when] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_EQ_GT] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2637),
    [anon_sym_and] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_EQ_TILDE] = ACTIONS(2637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_LT] = ACTIONS(2637),
    [anon_sym_GT_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2637),
    [anon_sym_SLASH_SLASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2637),
    [anon_sym_LT_GT] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_STAR_STAR] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_fn] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_LBRACK2] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2635),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2635),
    [sym__not_in] = ACTIONS(2635),
    [sym__quoted_atom_start] = ACTIONS(2635),
  },
  [994] = {
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [995] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_RBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [aux_sym__terminator_token1] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [997] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [998] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [aux_sym_identifier_token1] = ACTIONS(2637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2637),
    [sym_alias] = ACTIONS(2637),
    [sym_integer] = ACTIONS(2637),
    [sym_float] = ACTIONS(2637),
    [sym_char] = ACTIONS(2637),
    [anon_sym_true] = ACTIONS(2637),
    [anon_sym_false] = ACTIONS(2637),
    [anon_sym_nil] = ACTIONS(2637),
    [sym_atom] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2637),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_GT] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2637),
    [sym_keyword] = ACTIONS(2637),
    [anon_sym_LT_LT] = ACTIONS(2637),
    [anon_sym_GT_GT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(2637),
    [anon_sym_DOT_DOT] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2637),
    [anon_sym_not] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2637),
    [anon_sym_LT_DASH] = ACTIONS(2637),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2637),
    [anon_sym_when] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_EQ_GT] = ACTIONS(2637),
    [anon_sym_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2637),
    [anon_sym_or] = ACTIONS(2637),
    [anon_sym_AMP_AMP] = ACTIONS(2637),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2637),
    [anon_sym_and] = ACTIONS(2637),
    [anon_sym_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ] = ACTIONS(2637),
    [anon_sym_EQ_TILDE] = ACTIONS(2637),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2637),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2637),
    [anon_sym_LT_EQ] = ACTIONS(2637),
    [anon_sym_GT_EQ] = ACTIONS(2637),
    [anon_sym_PIPE_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_LT] = ACTIONS(2637),
    [anon_sym_GT_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE] = ACTIONS(2637),
    [anon_sym_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2637),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2637),
    [anon_sym_in] = ACTIONS(2637),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2637),
    [anon_sym_SLASH_SLASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2637),
    [anon_sym_LT_GT] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_STAR_STAR] = ACTIONS(2637),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_fn] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(2635),
    [anon_sym_LBRACK2] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2635),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2635),
    [sym__not_in] = ACTIONS(2635),
    [sym__quoted_atom_start] = ACTIONS(2635),
  },
  [999] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [aux_sym_identifier_token1] = ACTIONS(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2641),
    [sym_alias] = ACTIONS(2641),
    [sym_integer] = ACTIONS(2641),
    [sym_float] = ACTIONS(2641),
    [sym_char] = ACTIONS(2641),
    [anon_sym_true] = ACTIONS(2641),
    [anon_sym_false] = ACTIONS(2641),
    [anon_sym_nil] = ACTIONS(2641),
    [sym_atom] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_GT] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_COMMA] = ACTIONS(2641),
    [sym_keyword] = ACTIONS(2641),
    [anon_sym_LT_LT] = ACTIONS(2641),
    [anon_sym_GT_GT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(2641),
    [anon_sym_DOT_DOT] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_CARET] = ACTIONS(2641),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2641),
    [anon_sym_not] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2641),
    [anon_sym_LT_DASH] = ACTIONS(2641),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2641),
    [anon_sym_when] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_EQ_GT] = ACTIONS(2641),
    [anon_sym_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2641),
    [anon_sym_or] = ACTIONS(2641),
    [anon_sym_AMP_AMP] = ACTIONS(2641),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2641),
    [anon_sym_and] = ACTIONS(2641),
    [anon_sym_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ] = ACTIONS(2641),
    [anon_sym_EQ_TILDE] = ACTIONS(2641),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2641),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2641),
    [anon_sym_LT_EQ] = ACTIONS(2641),
    [anon_sym_GT_EQ] = ACTIONS(2641),
    [anon_sym_PIPE_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_LT] = ACTIONS(2641),
    [anon_sym_GT_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE] = ACTIONS(2641),
    [anon_sym_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2641),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2641),
    [anon_sym_in] = ACTIONS(2641),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2641),
    [anon_sym_SLASH_SLASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2641),
    [anon_sym_LT_GT] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_STAR_STAR] = ACTIONS(2641),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_DOT] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_fn] = ACTIONS(2641),
    [anon_sym_LPAREN2] = ACTIONS(2639),
    [anon_sym_LBRACK2] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2639),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2639),
    [sym__not_in] = ACTIONS(2639),
    [sym__quoted_atom_start] = ACTIONS(2639),
  },
  [1000] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [aux_sym_identifier_token1] = ACTIONS(2645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2645),
    [sym_alias] = ACTIONS(2645),
    [sym_integer] = ACTIONS(2645),
    [sym_float] = ACTIONS(2645),
    [sym_char] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(2645),
    [anon_sym_false] = ACTIONS(2645),
    [anon_sym_nil] = ACTIONS(2645),
    [sym_atom] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_GT] = ACTIONS(2645),
    [anon_sym_PIPE] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_COMMA] = ACTIONS(2645),
    [sym_keyword] = ACTIONS(2645),
    [anon_sym_LT_LT] = ACTIONS(2645),
    [anon_sym_GT_GT] = ACTIONS(2645),
    [anon_sym_PERCENT] = ACTIONS(2645),
    [anon_sym_DOT_DOT] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_CARET] = ACTIONS(2645),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2645),
    [anon_sym_not] = ACTIONS(2645),
    [anon_sym_AT] = ACTIONS(2645),
    [anon_sym_LT_DASH] = ACTIONS(2645),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2645),
    [anon_sym_when] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_EQ_GT] = ACTIONS(2645),
    [anon_sym_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2645),
    [anon_sym_or] = ACTIONS(2645),
    [anon_sym_AMP_AMP] = ACTIONS(2645),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2645),
    [anon_sym_and] = ACTIONS(2645),
    [anon_sym_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ] = ACTIONS(2645),
    [anon_sym_EQ_TILDE] = ACTIONS(2645),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2645),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2645),
    [anon_sym_LT_EQ] = ACTIONS(2645),
    [anon_sym_GT_EQ] = ACTIONS(2645),
    [anon_sym_PIPE_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_LT] = ACTIONS(2645),
    [anon_sym_GT_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE] = ACTIONS(2645),
    [anon_sym_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2645),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2645),
    [anon_sym_in] = ACTIONS(2645),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2645),
    [anon_sym_SLASH_SLASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2645),
    [anon_sym_LT_GT] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_STAR_STAR] = ACTIONS(2645),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_fn] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(2643),
    [anon_sym_LBRACK2] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2643),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2643),
    [sym__not_in] = ACTIONS(2643),
    [sym__quoted_atom_start] = ACTIONS(2643),
  },
  [1001] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [aux_sym_identifier_token1] = ACTIONS(2649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2649),
    [sym_alias] = ACTIONS(2649),
    [sym_integer] = ACTIONS(2649),
    [sym_float] = ACTIONS(2649),
    [sym_char] = ACTIONS(2649),
    [anon_sym_true] = ACTIONS(2649),
    [anon_sym_false] = ACTIONS(2649),
    [anon_sym_nil] = ACTIONS(2649),
    [sym_atom] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2649),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_GT] = ACTIONS(2649),
    [anon_sym_PIPE] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_COMMA] = ACTIONS(2649),
    [sym_keyword] = ACTIONS(2649),
    [anon_sym_LT_LT] = ACTIONS(2649),
    [anon_sym_GT_GT] = ACTIONS(2649),
    [anon_sym_PERCENT] = ACTIONS(2649),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_CARET] = ACTIONS(2649),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2649),
    [anon_sym_not] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2649),
    [anon_sym_LT_DASH] = ACTIONS(2649),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2649),
    [anon_sym_when] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_EQ_GT] = ACTIONS(2649),
    [anon_sym_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2649),
    [anon_sym_or] = ACTIONS(2649),
    [anon_sym_AMP_AMP] = ACTIONS(2649),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2649),
    [anon_sym_and] = ACTIONS(2649),
    [anon_sym_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ] = ACTIONS(2649),
    [anon_sym_EQ_TILDE] = ACTIONS(2649),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2649),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2649),
    [anon_sym_LT_EQ] = ACTIONS(2649),
    [anon_sym_GT_EQ] = ACTIONS(2649),
    [anon_sym_PIPE_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_LT] = ACTIONS(2649),
    [anon_sym_GT_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE] = ACTIONS(2649),
    [anon_sym_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2649),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2649),
    [anon_sym_in] = ACTIONS(2649),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2649),
    [anon_sym_SLASH_SLASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2649),
    [anon_sym_LT_GT] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_STAR_STAR] = ACTIONS(2649),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_DOT] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_fn] = ACTIONS(2649),
    [anon_sym_LPAREN2] = ACTIONS(2647),
    [anon_sym_LBRACK2] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2647),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2647),
    [sym__not_in] = ACTIONS(2647),
    [sym__quoted_atom_start] = ACTIONS(2647),
  },
  [1002] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [1003] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [1004] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2659),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [1005] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [aux_sym_identifier_token1] = ACTIONS(2629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2629),
    [sym_alias] = ACTIONS(2629),
    [sym_integer] = ACTIONS(2629),
    [sym_float] = ACTIONS(2629),
    [sym_char] = ACTIONS(2629),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_nil] = ACTIONS(2629),
    [sym_atom] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_GT] = ACTIONS(2629),
    [anon_sym_PIPE] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_COMMA] = ACTIONS(2629),
    [sym_keyword] = ACTIONS(2629),
    [anon_sym_LT_LT] = ACTIONS(2629),
    [anon_sym_GT_GT] = ACTIONS(2629),
    [anon_sym_PERCENT] = ACTIONS(2629),
    [anon_sym_DOT_DOT] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_CARET] = ACTIONS(2629),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2629),
    [anon_sym_not] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2629),
    [anon_sym_LT_DASH] = ACTIONS(2629),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2629),
    [anon_sym_when] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2629),
    [anon_sym_EQ_GT] = ACTIONS(2629),
    [anon_sym_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2629),
    [anon_sym_or] = ACTIONS(2629),
    [anon_sym_AMP_AMP] = ACTIONS(2629),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2629),
    [anon_sym_and] = ACTIONS(2629),
    [anon_sym_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ] = ACTIONS(2629),
    [anon_sym_EQ_TILDE] = ACTIONS(2629),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2629),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2629),
    [anon_sym_LT_EQ] = ACTIONS(2629),
    [anon_sym_GT_EQ] = ACTIONS(2629),
    [anon_sym_PIPE_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_LT] = ACTIONS(2629),
    [anon_sym_GT_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE] = ACTIONS(2629),
    [anon_sym_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2629),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2629),
    [anon_sym_in] = ACTIONS(2629),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2629),
    [anon_sym_SLASH_SLASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2629),
    [anon_sym_LT_GT] = ACTIONS(2629),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_STAR_STAR] = ACTIONS(2629),
    [anon_sym_DASH_GT] = ACTIONS(2629),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_fn] = ACTIONS(2629),
    [anon_sym_LPAREN2] = ACTIONS(2627),
    [anon_sym_LBRACK2] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2627),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2627),
    [sym__not_in] = ACTIONS(2627),
    [sym__quoted_atom_start] = ACTIONS(2627),
  },
  [1006] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [aux_sym_identifier_token1] = ACTIONS(2625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2625),
    [sym_alias] = ACTIONS(2625),
    [sym_integer] = ACTIONS(2625),
    [sym_float] = ACTIONS(2625),
    [sym_char] = ACTIONS(2625),
    [anon_sym_true] = ACTIONS(2625),
    [anon_sym_false] = ACTIONS(2625),
    [anon_sym_nil] = ACTIONS(2625),
    [sym_atom] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_GT] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2625),
    [sym_keyword] = ACTIONS(2625),
    [anon_sym_LT_LT] = ACTIONS(2625),
    [anon_sym_GT_GT] = ACTIONS(2625),
    [anon_sym_PERCENT] = ACTIONS(2625),
    [anon_sym_DOT_DOT] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_CARET] = ACTIONS(2625),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2625),
    [anon_sym_not] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2625),
    [anon_sym_LT_DASH] = ACTIONS(2625),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2625),
    [anon_sym_when] = ACTIONS(2625),
    [anon_sym_COLON_COLON] = ACTIONS(2625),
    [anon_sym_EQ_GT] = ACTIONS(2625),
    [anon_sym_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2625),
    [anon_sym_or] = ACTIONS(2625),
    [anon_sym_AMP_AMP] = ACTIONS(2625),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2625),
    [anon_sym_and] = ACTIONS(2625),
    [anon_sym_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ] = ACTIONS(2625),
    [anon_sym_EQ_TILDE] = ACTIONS(2625),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2625),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2625),
    [anon_sym_LT_EQ] = ACTIONS(2625),
    [anon_sym_GT_EQ] = ACTIONS(2625),
    [anon_sym_PIPE_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_LT] = ACTIONS(2625),
    [anon_sym_GT_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE] = ACTIONS(2625),
    [anon_sym_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2625),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2625),
    [anon_sym_in] = ACTIONS(2625),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2625),
    [anon_sym_SLASH_SLASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2625),
    [anon_sym_LT_GT] = ACTIONS(2625),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_STAR_STAR] = ACTIONS(2625),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_DOT] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_fn] = ACTIONS(2625),
    [anon_sym_LPAREN2] = ACTIONS(2623),
    [anon_sym_LBRACK2] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2623),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2623),
    [sym__not_in] = ACTIONS(2623),
    [sym__quoted_atom_start] = ACTIONS(2623),
  },
  [1007] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [aux_sym_identifier_token1] = ACTIONS(2621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2621),
    [sym_alias] = ACTIONS(2621),
    [sym_integer] = ACTIONS(2621),
    [sym_float] = ACTIONS(2621),
    [sym_char] = ACTIONS(2621),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_nil] = ACTIONS(2621),
    [sym_atom] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2621),
    [anon_sym_PIPE] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2621),
    [sym_keyword] = ACTIONS(2621),
    [anon_sym_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT] = ACTIONS(2621),
    [anon_sym_PERCENT] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_CARET] = ACTIONS(2621),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2621),
    [anon_sym_not] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LT_DASH] = ACTIONS(2621),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2621),
    [anon_sym_when] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_EQ_GT] = ACTIONS(2621),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_or] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2621),
    [anon_sym_and] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2621),
    [anon_sym_EQ_TILDE] = ACTIONS(2621),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_PIPE_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_LT] = ACTIONS(2621),
    [anon_sym_GT_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE] = ACTIONS(2621),
    [anon_sym_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2621),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2621),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2621),
    [anon_sym_LT_GT] = ACTIONS(2621),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_STAR_STAR] = ACTIONS(2621),
    [anon_sym_DASH_GT] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_LPAREN2] = ACTIONS(2619),
    [anon_sym_LBRACK2] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2619),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2619),
    [sym__not_in] = ACTIONS(2619),
    [sym__quoted_atom_start] = ACTIONS(2619),
  },
  [1008] = {
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [1009] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [1010] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [1012] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [aux_sym_identifier_token1] = ACTIONS(2617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2617),
    [sym_alias] = ACTIONS(2617),
    [sym_integer] = ACTIONS(2617),
    [sym_float] = ACTIONS(2617),
    [sym_char] = ACTIONS(2617),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_nil] = ACTIONS(2617),
    [sym_atom] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_GT] = ACTIONS(2617),
    [anon_sym_PIPE] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_COMMA] = ACTIONS(2617),
    [sym_keyword] = ACTIONS(2617),
    [anon_sym_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT] = ACTIONS(2617),
    [anon_sym_PERCENT] = ACTIONS(2617),
    [anon_sym_DOT_DOT] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_CARET] = ACTIONS(2617),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2617),
    [anon_sym_not] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2617),
    [anon_sym_LT_DASH] = ACTIONS(2617),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2617),
    [anon_sym_when] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(2617),
    [anon_sym_EQ_GT] = ACTIONS(2617),
    [anon_sym_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2617),
    [anon_sym_or] = ACTIONS(2617),
    [anon_sym_AMP_AMP] = ACTIONS(2617),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2617),
    [anon_sym_and] = ACTIONS(2617),
    [anon_sym_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ] = ACTIONS(2617),
    [anon_sym_EQ_TILDE] = ACTIONS(2617),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2617),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2617),
    [anon_sym_LT_EQ] = ACTIONS(2617),
    [anon_sym_GT_EQ] = ACTIONS(2617),
    [anon_sym_PIPE_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_LT] = ACTIONS(2617),
    [anon_sym_GT_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE] = ACTIONS(2617),
    [anon_sym_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2617),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2617),
    [anon_sym_in] = ACTIONS(2617),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2617),
    [anon_sym_LT_GT] = ACTIONS(2617),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_STAR_STAR] = ACTIONS(2617),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_DOT] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_LPAREN2] = ACTIONS(2615),
    [anon_sym_LBRACK2] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2615),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2615),
    [sym__not_in] = ACTIONS(2615),
    [sym__quoted_atom_start] = ACTIONS(2615),
  },
  [1013] = {
    [aux_sym__terminator_token1] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_end] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [1014] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [aux_sym_identifier_token1] = ACTIONS(2633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2633),
    [sym_alias] = ACTIONS(2633),
    [sym_integer] = ACTIONS(2633),
    [sym_float] = ACTIONS(2633),
    [sym_char] = ACTIONS(2633),
    [anon_sym_true] = ACTIONS(2633),
    [anon_sym_false] = ACTIONS(2633),
    [anon_sym_nil] = ACTIONS(2633),
    [sym_atom] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_GT] = ACTIONS(2633),
    [anon_sym_PIPE] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_COMMA] = ACTIONS(2633),
    [sym_keyword] = ACTIONS(2633),
    [anon_sym_LT_LT] = ACTIONS(2633),
    [anon_sym_GT_GT] = ACTIONS(2633),
    [anon_sym_PERCENT] = ACTIONS(2633),
    [anon_sym_DOT_DOT] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_CARET] = ACTIONS(2633),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2633),
    [anon_sym_not] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2633),
    [anon_sym_LT_DASH] = ACTIONS(2633),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2633),
    [anon_sym_when] = ACTIONS(2633),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_EQ_GT] = ACTIONS(2633),
    [anon_sym_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2633),
    [anon_sym_or] = ACTIONS(2633),
    [anon_sym_AMP_AMP] = ACTIONS(2633),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2633),
    [anon_sym_and] = ACTIONS(2633),
    [anon_sym_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ] = ACTIONS(2633),
    [anon_sym_EQ_TILDE] = ACTIONS(2633),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2633),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2633),
    [anon_sym_LT_EQ] = ACTIONS(2633),
    [anon_sym_GT_EQ] = ACTIONS(2633),
    [anon_sym_PIPE_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_LT] = ACTIONS(2633),
    [anon_sym_GT_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE] = ACTIONS(2633),
    [anon_sym_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2633),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2633),
    [anon_sym_in] = ACTIONS(2633),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2633),
    [anon_sym_SLASH_SLASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2633),
    [anon_sym_LT_GT] = ACTIONS(2633),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_STAR_STAR] = ACTIONS(2633),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_DOT] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_fn] = ACTIONS(2633),
    [anon_sym_LPAREN2] = ACTIONS(2631),
    [anon_sym_LBRACK2] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2631),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2631),
    [sym__not_in] = ACTIONS(2631),
    [sym__quoted_atom_start] = ACTIONS(2631),
  },
  [1015] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [aux_sym_identifier_token1] = ACTIONS(2657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2657),
    [sym_alias] = ACTIONS(2657),
    [sym_integer] = ACTIONS(2657),
    [sym_float] = ACTIONS(2657),
    [sym_char] = ACTIONS(2657),
    [anon_sym_true] = ACTIONS(2657),
    [anon_sym_false] = ACTIONS(2657),
    [anon_sym_nil] = ACTIONS(2657),
    [sym_atom] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2657),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(2657),
    [sym_keyword] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_GT_GT] = ACTIONS(2657),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2657),
    [anon_sym_not] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2657),
    [anon_sym_LT_DASH] = ACTIONS(2657),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2657),
    [anon_sym_when] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_EQ_GT] = ACTIONS(2657),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_or] = ACTIONS(2657),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2657),
    [anon_sym_and] = ACTIONS(2657),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2657),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_LT] = ACTIONS(2657),
    [anon_sym_GT_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE] = ACTIONS(2657),
    [anon_sym_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2657),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2657),
    [anon_sym_in] = ACTIONS(2657),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2657),
    [anon_sym_LT_GT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_DASH_GT] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_fn] = ACTIONS(2657),
    [anon_sym_LPAREN2] = ACTIONS(2655),
    [anon_sym_LBRACK2] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2655),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2655),
    [sym__not_in] = ACTIONS(2655),
    [sym__quoted_atom_start] = ACTIONS(2655),
  },
  [1016] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [aux_sym_identifier_token1] = ACTIONS(2653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2653),
    [sym_alias] = ACTIONS(2653),
    [sym_integer] = ACTIONS(2653),
    [sym_float] = ACTIONS(2653),
    [sym_char] = ACTIONS(2653),
    [anon_sym_true] = ACTIONS(2653),
    [anon_sym_false] = ACTIONS(2653),
    [anon_sym_nil] = ACTIONS(2653),
    [sym_atom] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2653),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_COMMA] = ACTIONS(2653),
    [sym_keyword] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_GT_GT] = ACTIONS(2653),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2653),
    [anon_sym_LT_DASH] = ACTIONS(2653),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2653),
    [anon_sym_when] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_EQ_GT] = ACTIONS(2653),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_or] = ACTIONS(2653),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2653),
    [anon_sym_and] = ACTIONS(2653),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2653),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_LT] = ACTIONS(2653),
    [anon_sym_GT_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE] = ACTIONS(2653),
    [anon_sym_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2653),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2653),
    [anon_sym_in] = ACTIONS(2653),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_GT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_fn] = ACTIONS(2653),
    [anon_sym_LPAREN2] = ACTIONS(2651),
    [anon_sym_LBRACK2] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2651),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2651),
    [sym__not_in] = ACTIONS(2651),
    [sym__quoted_atom_start] = ACTIONS(2651),
  },
  [1017] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [aux_sym_identifier_token1] = ACTIONS(2661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2661),
    [sym_alias] = ACTIONS(2661),
    [sym_integer] = ACTIONS(2661),
    [sym_float] = ACTIONS(2661),
    [sym_char] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_nil] = ACTIONS(2661),
    [sym_atom] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2661),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_COMMA] = ACTIONS(2661),
    [sym_keyword] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT] = ACTIONS(2661),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2661),
    [anon_sym_not] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_LT_DASH] = ACTIONS(2661),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2661),
    [anon_sym_when] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_EQ_GT] = ACTIONS(2661),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_or] = ACTIONS(2661),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2661),
    [anon_sym_and] = ACTIONS(2661),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2661),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_LT] = ACTIONS(2661),
    [anon_sym_GT_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE] = ACTIONS(2661),
    [anon_sym_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2661),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2661),
    [anon_sym_in] = ACTIONS(2661),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2661),
    [anon_sym_LT_GT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_fn] = ACTIONS(2661),
    [anon_sym_LPAREN2] = ACTIONS(2659),
    [anon_sym_LBRACK2] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2659),
    [sym__not_in] = ACTIONS(2659),
    [sym__quoted_atom_start] = ACTIONS(2659),
  },
  [1018] = {
    [aux_sym__terminator_repeat1] = STATE(1019),
    [aux_sym__terminator_token1] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [sym_keyword] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_after] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_end] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [anon_sym_rescue] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1019] = {
    [aux_sym__terminator_repeat1] = STATE(1019),
    [aux_sym__terminator_token1] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2674),
    [aux_sym_identifier_token1] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [sym_alias] = ACTIONS(2674),
    [sym_integer] = ACTIONS(2674),
    [sym_float] = ACTIONS(2674),
    [sym_char] = ACTIONS(2674),
    [anon_sym_true] = ACTIONS(2674),
    [anon_sym_false] = ACTIONS(2674),
    [anon_sym_nil] = ACTIONS(2674),
    [sym_atom] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [sym_keyword] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_LT_DASH] = ACTIONS(2674),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2674),
    [anon_sym_when] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_or] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2674),
    [anon_sym_LT_GT] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_after] = ACTIONS(2674),
    [anon_sym_catch] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_end] = ACTIONS(2674),
    [anon_sym_fn] = ACTIONS(2674),
    [anon_sym_rescue] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2676),
    [sym__not_in] = ACTIONS(2676),
    [sym__quoted_atom_start] = ACTIONS(2676),
  },
  [1020] = {
    [aux_sym__terminator_repeat1] = STATE(1021),
    [aux_sym__terminator_token1] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_after] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_end] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [anon_sym_rescue] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1021] = {
    [aux_sym__terminator_repeat1] = STATE(1021),
    [aux_sym__terminator_token1] = ACTIONS(2682),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2674),
    [aux_sym_identifier_token1] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [sym_alias] = ACTIONS(2674),
    [sym_integer] = ACTIONS(2674),
    [sym_float] = ACTIONS(2674),
    [sym_char] = ACTIONS(2674),
    [anon_sym_true] = ACTIONS(2674),
    [anon_sym_false] = ACTIONS(2674),
    [anon_sym_nil] = ACTIONS(2674),
    [sym_atom] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_LT_DASH] = ACTIONS(2674),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2674),
    [anon_sym_when] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_or] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2674),
    [anon_sym_LT_GT] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_after] = ACTIONS(2674),
    [anon_sym_catch] = ACTIONS(2674),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_end] = ACTIONS(2674),
    [anon_sym_fn] = ACTIONS(2674),
    [anon_sym_rescue] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2676),
    [sym__not_in] = ACTIONS(2676),
    [sym__quoted_atom_start] = ACTIONS(2676),
  },
  [1022] = {
    [aux_sym__terminator_repeat1] = STATE(1021),
    [aux_sym__terminator_token1] = ACTIONS(2678),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_after] = ACTIONS(2667),
    [anon_sym_catch] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2667),
    [anon_sym_end] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [anon_sym_rescue] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1023] = {
    [aux_sym__terminator_token1] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_after] = ACTIONS(2689),
    [anon_sym_catch] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_end] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [anon_sym_rescue] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1024] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [sym_keyword] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_after] = ACTIONS(2689),
    [anon_sym_catch] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_end] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [anon_sym_rescue] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1025] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_after] = ACTIONS(2689),
    [anon_sym_catch] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_end] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [anon_sym_rescue] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1026] = {
    [aux_sym__terminator_repeat1] = STATE(1027),
    [aux_sym__terminator_token1] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [anon_sym_RPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [sym_keyword] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1027] = {
    [aux_sym__terminator_repeat1] = STATE(1027),
    [aux_sym__terminator_token1] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2674),
    [anon_sym_RPAREN] = ACTIONS(2674),
    [aux_sym_identifier_token1] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [sym_alias] = ACTIONS(2674),
    [sym_integer] = ACTIONS(2674),
    [sym_float] = ACTIONS(2674),
    [sym_char] = ACTIONS(2674),
    [anon_sym_true] = ACTIONS(2674),
    [anon_sym_false] = ACTIONS(2674),
    [anon_sym_nil] = ACTIONS(2674),
    [sym_atom] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [sym_keyword] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_LT_DASH] = ACTIONS(2674),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2674),
    [anon_sym_when] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_or] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2674),
    [anon_sym_LT_GT] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_fn] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2676),
    [sym__not_in] = ACTIONS(2676),
    [sym__quoted_atom_start] = ACTIONS(2676),
  },
  [1028] = {
    [aux_sym__terminator_repeat1] = STATE(1028),
    [ts_builtin_sym_end] = ACTIONS(2676),
    [aux_sym__terminator_token1] = ACTIONS(2698),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2674),
    [aux_sym_identifier_token1] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [sym_alias] = ACTIONS(2674),
    [sym_integer] = ACTIONS(2674),
    [sym_float] = ACTIONS(2674),
    [sym_char] = ACTIONS(2674),
    [anon_sym_true] = ACTIONS(2674),
    [anon_sym_false] = ACTIONS(2674),
    [anon_sym_nil] = ACTIONS(2674),
    [sym_atom] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_LT_DASH] = ACTIONS(2674),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2674),
    [anon_sym_when] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_or] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2674),
    [anon_sym_LT_GT] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_fn] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2676),
    [sym__not_in] = ACTIONS(2676),
    [sym__quoted_atom_start] = ACTIONS(2676),
  },
  [1029] = {
    [aux_sym__terminator_repeat1] = STATE(1033),
    [aux_sym__terminator_token1] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2703),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_end] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1030] = {
    [aux_sym__terminator_repeat1] = STATE(1032),
    [aux_sym__terminator_token1] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2707),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [anon_sym_RPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1031] = {
    [aux_sym__terminator_repeat1] = STATE(1028),
    [ts_builtin_sym_end] = ACTIONS(2669),
    [aux_sym__terminator_token1] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1032] = {
    [aux_sym__terminator_repeat1] = STATE(1032),
    [aux_sym__terminator_token1] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2674),
    [anon_sym_RPAREN] = ACTIONS(2674),
    [aux_sym_identifier_token1] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [sym_alias] = ACTIONS(2674),
    [sym_integer] = ACTIONS(2674),
    [sym_float] = ACTIONS(2674),
    [sym_char] = ACTIONS(2674),
    [anon_sym_true] = ACTIONS(2674),
    [anon_sym_false] = ACTIONS(2674),
    [anon_sym_nil] = ACTIONS(2674),
    [sym_atom] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_LT_DASH] = ACTIONS(2674),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2674),
    [anon_sym_when] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_or] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2674),
    [anon_sym_LT_GT] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_fn] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2676),
    [sym__not_in] = ACTIONS(2676),
    [sym__quoted_atom_start] = ACTIONS(2676),
  },
  [1033] = {
    [aux_sym__terminator_repeat1] = STATE(1033),
    [aux_sym__terminator_token1] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2674),
    [aux_sym_identifier_token1] = ACTIONS(2674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2674),
    [sym_alias] = ACTIONS(2674),
    [sym_integer] = ACTIONS(2674),
    [sym_float] = ACTIONS(2674),
    [sym_char] = ACTIONS(2674),
    [anon_sym_true] = ACTIONS(2674),
    [anon_sym_false] = ACTIONS(2674),
    [anon_sym_nil] = ACTIONS(2674),
    [sym_atom] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2674),
    [anon_sym_not] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_LT_DASH] = ACTIONS(2674),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2674),
    [anon_sym_when] = ACTIONS(2674),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_or] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2674),
    [anon_sym_and] = ACTIONS(2674),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_LT] = ACTIONS(2674),
    [anon_sym_GT_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE] = ACTIONS(2674),
    [anon_sym_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2674),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2674),
    [anon_sym_LT_GT] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_DASH_GT] = ACTIONS(2674),
    [anon_sym_end] = ACTIONS(2674),
    [anon_sym_fn] = ACTIONS(2674),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2676),
    [sym__not_in] = ACTIONS(2676),
    [sym__quoted_atom_start] = ACTIONS(2676),
  },
  [1034] = {
    [aux_sym__terminator_repeat1] = STATE(1032),
    [aux_sym__terminator_token1] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [anon_sym_RPAREN] = ACTIONS(2667),
    [aux_sym_identifier_token1] = ACTIONS(2667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2667),
    [sym_alias] = ACTIONS(2667),
    [sym_integer] = ACTIONS(2667),
    [sym_float] = ACTIONS(2667),
    [sym_char] = ACTIONS(2667),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_nil] = ACTIONS(2667),
    [sym_atom] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2667),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2667),
    [anon_sym_not] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_LT_DASH] = ACTIONS(2667),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2667),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2667),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_LT] = ACTIONS(2667),
    [anon_sym_GT_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE] = ACTIONS(2667),
    [anon_sym_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2667),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2667),
    [anon_sym_LT_GT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2669),
    [sym__not_in] = ACTIONS(2669),
    [sym__quoted_atom_start] = ACTIONS(2669),
  },
  [1035] = {
    [aux_sym__terminator_token1] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_end] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1036] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [sym_keyword] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1037] = {
    [aux_sym__terminator_token1] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1039] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [aux_sym_identifier_token1] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [sym_alias] = ACTIONS(2689),
    [sym_integer] = ACTIONS(2689),
    [sym_float] = ACTIONS(2689),
    [sym_char] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2689),
    [anon_sym_false] = ACTIONS(2689),
    [anon_sym_nil] = ACTIONS(2689),
    [sym_atom] = ACTIONS(2689),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2689),
    [anon_sym_LT_LT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_CARET] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_not] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_LT_DASH] = ACTIONS(2689),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2689),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_EQ_TILDE] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_LT] = ACTIONS(2689),
    [anon_sym_GT_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE] = ACTIONS(2689),
    [anon_sym_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2689),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2689),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2689),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2689),
    [anon_sym_LT_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_STAR_STAR] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_fn] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2687),
    [sym__not_in] = ACTIONS(2687),
    [sym__quoted_atom_start] = ACTIONS(2687),
  },
  [1040] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [aux_sym_identifier_token1] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2721),
    [sym_alias] = ACTIONS(2721),
    [sym_integer] = ACTIONS(2721),
    [sym_float] = ACTIONS(2721),
    [sym_char] = ACTIONS(2721),
    [anon_sym_true] = ACTIONS(2721),
    [anon_sym_false] = ACTIONS(2721),
    [anon_sym_nil] = ACTIONS(2721),
    [sym_atom] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_GT] = ACTIONS(2721),
    [anon_sym_PIPE] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_LT_LT] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_CARET] = ACTIONS(2721),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_AT] = ACTIONS(2721),
    [anon_sym_LT_DASH] = ACTIONS(2721),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2721),
    [anon_sym_when] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_PIPE] = ACTIONS(2721),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2721),
    [anon_sym_or] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2721),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2721),
    [anon_sym_and] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2721),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_EQ_TILDE] = ACTIONS(2721),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2721),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2721),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_GT] = ACTIONS(2721),
    [anon_sym_LT_LT_LT] = ACTIONS(2721),
    [anon_sym_GT_GT_GT] = ACTIONS(2721),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2721),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2721),
    [anon_sym_LT_TILDE] = ACTIONS(2721),
    [anon_sym_TILDE_GT] = ACTIONS(2721),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2721),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2721),
    [anon_sym_LT_GT] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_STAR_STAR] = ACTIONS(2721),
    [anon_sym_DASH_GT] = ACTIONS(2721),
    [anon_sym_fn] = ACTIONS(2721),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2723),
    [sym__not_in] = ACTIONS(2723),
    [sym__quoted_atom_start] = ACTIONS(2723),
  },
  [1041] = {
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [aux_sym_identifier_token1] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2721),
    [sym_alias] = ACTIONS(2721),
    [sym_integer] = ACTIONS(2721),
    [sym_float] = ACTIONS(2721),
    [sym_char] = ACTIONS(2721),
    [anon_sym_true] = ACTIONS(2721),
    [anon_sym_false] = ACTIONS(2721),
    [anon_sym_nil] = ACTIONS(2721),
    [sym_atom] = ACTIONS(2721),
    [anon_sym_DQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2721),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_GT] = ACTIONS(2721),
    [anon_sym_PIPE] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2721),
    [anon_sym_LT_LT] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_CARET] = ACTIONS(2721),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2721),
    [anon_sym_not] = ACTIONS(2721),
    [anon_sym_AT] = ACTIONS(2721),
    [anon_sym_LT_DASH] = ACTIONS(2721),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2721),
    [anon_sym_when] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_PIPE] = ACTIONS(2721),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2721),
    [anon_sym_or] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2721),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2721),
    [anon_sym_and] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2721),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_EQ_TILDE] = ACTIONS(2721),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2721),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2721),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_GT] = ACTIONS(2721),
    [anon_sym_LT_LT_LT] = ACTIONS(2721),
    [anon_sym_GT_GT_GT] = ACTIONS(2721),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2721),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2721),
    [anon_sym_LT_TILDE] = ACTIONS(2721),
    [anon_sym_TILDE_GT] = ACTIONS(2721),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2721),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2721),
    [anon_sym_in] = ACTIONS(2721),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2721),
    [anon_sym_LT_GT] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_STAR_STAR] = ACTIONS(2721),
    [anon_sym_DASH_GT] = ACTIONS(2721),
    [anon_sym_fn] = ACTIONS(2721),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__before_unary_op] = ACTIONS(2723),
    [sym__not_in] = ACTIONS(2723),
    [sym__quoted_atom_start] = ACTIONS(2723),
  },
  [1042] = {
    [sym_identifier] = STATE(923),
    [sym__quoted_i_double] = STATE(922),
    [sym__quoted_i_single] = STATE(920),
    [sym_tuple] = STATE(1689),
    [sym_operator_identifier] = STATE(923),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2727),
    [anon_sym_true] = ACTIONS(2729),
    [anon_sym_false] = ACTIONS(2729),
    [anon_sym_nil] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_BANG] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2743),
    [anon_sym_LT_DASH] = ACTIONS(2735),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2735),
    [anon_sym_when] = ACTIONS(2745),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_or] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2735),
    [anon_sym_and] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2735),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2735),
    [anon_sym_in] = ACTIONS(2745),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2735),
    [anon_sym_LT_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_after] = ACTIONS(2729),
    [anon_sym_catch] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_else] = ACTIONS(2729),
    [anon_sym_end] = ACTIONS(2729),
    [anon_sym_fn] = ACTIONS(2729),
    [anon_sym_rescue] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2747),
  },
  [1043] = {
    [sym_identifier] = STATE(981),
    [sym__quoted_i_double] = STATE(982),
    [sym__quoted_i_single] = STATE(983),
    [sym_tuple] = STATE(2086),
    [sym_operator_identifier] = STATE(981),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2749),
    [anon_sym_true] = ACTIONS(2751),
    [anon_sym_false] = ACTIONS(2751),
    [anon_sym_nil] = ACTIONS(2751),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_PIPE] = ACTIONS(2757),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2757),
    [anon_sym_when] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_or] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2757),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_EQ_TILDE] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2757),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_GT] = ACTIONS(2757),
    [anon_sym_LT_LT_LT] = ACTIONS(2757),
    [anon_sym_GT_GT_GT] = ACTIONS(2757),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2757),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2757),
    [anon_sym_LT_TILDE] = ACTIONS(2757),
    [anon_sym_TILDE_GT] = ACTIONS(2757),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2757),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2757),
    [anon_sym_in] = ACTIONS(2767),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2757),
    [anon_sym_LT_GT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_STAR_STAR] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_after] = ACTIONS(2751),
    [anon_sym_catch] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_fn] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2769),
  },
  [1044] = {
    [sym_identifier] = STATE(923),
    [sym__quoted_i_double] = STATE(922),
    [sym__quoted_i_single] = STATE(920),
    [sym_tuple] = STATE(1394),
    [sym_operator_identifier] = STATE(923),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2771),
    [anon_sym_true] = ACTIONS(2729),
    [anon_sym_false] = ACTIONS(2729),
    [anon_sym_nil] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_BANG] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2743),
    [anon_sym_LT_DASH] = ACTIONS(2735),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2735),
    [anon_sym_when] = ACTIONS(2745),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_or] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2735),
    [anon_sym_and] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2735),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2735),
    [anon_sym_in] = ACTIONS(2745),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2735),
    [anon_sym_LT_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_after] = ACTIONS(2729),
    [anon_sym_catch] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_else] = ACTIONS(2729),
    [anon_sym_end] = ACTIONS(2729),
    [anon_sym_fn] = ACTIONS(2729),
    [anon_sym_rescue] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2747),
  },
  [1045] = {
    [sym_identifier] = STATE(923),
    [sym__quoted_i_double] = STATE(922),
    [sym__quoted_i_single] = STATE(920),
    [sym_tuple] = STATE(1260),
    [sym_operator_identifier] = STATE(923),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2773),
    [anon_sym_true] = ACTIONS(2729),
    [anon_sym_false] = ACTIONS(2729),
    [anon_sym_nil] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_BANG] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2743),
    [anon_sym_LT_DASH] = ACTIONS(2735),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2735),
    [anon_sym_when] = ACTIONS(2745),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_or] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2735),
    [anon_sym_and] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2735),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2735),
    [anon_sym_in] = ACTIONS(2745),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2735),
    [anon_sym_LT_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_after] = ACTIONS(2729),
    [anon_sym_catch] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_else] = ACTIONS(2729),
    [anon_sym_end] = ACTIONS(2729),
    [anon_sym_fn] = ACTIONS(2729),
    [anon_sym_rescue] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2747),
  },
  [1046] = {
    [sym_identifier] = STATE(923),
    [sym__quoted_i_double] = STATE(922),
    [sym__quoted_i_single] = STATE(920),
    [sym_tuple] = STATE(2086),
    [sym_operator_identifier] = STATE(923),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(191),
    [sym_alias] = ACTIONS(2749),
    [anon_sym_true] = ACTIONS(2729),
    [anon_sym_false] = ACTIONS(2729),
    [anon_sym_nil] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_BANG] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2739),
    [anon_sym_not] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2743),
    [anon_sym_LT_DASH] = ACTIONS(2735),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2735),
    [anon_sym_when] = ACTIONS(2745),
    [anon_sym_COLON_COLON] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_or] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2735),
    [anon_sym_and] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2735),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_LT] = ACTIONS(2735),
    [anon_sym_GT_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE] = ACTIONS(2735),
    [anon_sym_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2735),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2735),
    [anon_sym_in] = ACTIONS(2745),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2735),
    [anon_sym_LT_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_after] = ACTIONS(2729),
    [anon_sym_catch] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_else] = ACTIONS(2729),
    [anon_sym_end] = ACTIONS(2729),
    [anon_sym_fn] = ACTIONS(2729),
    [anon_sym_rescue] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2747),
  },
  [1047] = {
    [sym_identifier] = STATE(981),
    [sym__quoted_i_double] = STATE(982),
    [sym__quoted_i_single] = STATE(983),
    [sym_tuple] = STATE(1394),
    [sym_operator_identifier] = STATE(981),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_alias] = ACTIONS(2771),
    [anon_sym_true] = ACTIONS(2751),
    [anon_sym_false] = ACTIONS(2751),
    [anon_sym_nil] = ACTIONS(2751),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_PIPE] = ACTIONS(2757),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2761),
    [anon_sym_not] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LT_DASH] = ACTIONS(2757),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2757),
    [anon_sym_when] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2757),
    [anon_sym_or] = ACTIONS(2767),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2757),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_EQ_TILDE] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2757),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_GT] = ACTIONS(2757),
    [anon_sym_LT_LT_LT] = ACTIONS(2757),
    [anon_sym_GT_GT_GT] = ACTIONS(2757),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2757),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2757),
    [anon_sym_LT_TILDE] = ACTIONS(2757),
    [anon_sym_TILDE_GT] = ACTIONS(2757),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2757),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2757),
    [anon_sym_in] = ACTIONS(2767),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2757),
    [anon_sym_LT_GT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_STAR_STAR] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_after] = ACTIONS(2751),
    [anon_sym_catch] = ACTIONS(2751),
    [anon_sym_do] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2751),
    [anon_sym_end] = ACTIONS(2751),
    [anon_sym_fn] = ACTIONS(2751),
    [anon_sym_rescue] = ACTIONS(2751),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2769),
  },
  [1048] = {
    [sym_identifier] = STATE(940),
    [sym__quoted_i_double] = STATE(943),
    [sym__quoted_i_single] = STATE(930),
    [sym_tuple] = STATE(3192),
    [sym_operator_identifier] = STATE(940),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2775),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_nil] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2791),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2783),
    [anon_sym_when] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2783),
    [anon_sym_and] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_LT] = ACTIONS(2783),
    [anon_sym_GT_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2783),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2783),
    [anon_sym_LT_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_after] = ACTIONS(2777),
    [anon_sym_catch] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_end] = ACTIONS(2777),
    [anon_sym_fn] = ACTIONS(2777),
    [anon_sym_rescue] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2795),
  },
  [1049] = {
    [sym_identifier] = STATE(976),
    [sym__quoted_i_double] = STATE(975),
    [sym__quoted_i_single] = STATE(974),
    [sym_tuple] = STATE(1689),
    [sym_operator_identifier] = STATE(976),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2727),
    [anon_sym_true] = ACTIONS(2797),
    [anon_sym_false] = ACTIONS(2797),
    [anon_sym_nil] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2807),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_LT_DASH] = ACTIONS(2803),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2803),
    [anon_sym_when] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2803),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2803),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_LT] = ACTIONS(2803),
    [anon_sym_GT_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2803),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2803),
    [anon_sym_LT_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_after] = ACTIONS(2797),
    [anon_sym_catch] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_end] = ACTIONS(2797),
    [anon_sym_fn] = ACTIONS(2797),
    [anon_sym_rescue] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2815),
  },
  [1050] = {
    [sym_identifier] = STATE(976),
    [sym__quoted_i_double] = STATE(975),
    [sym__quoted_i_single] = STATE(974),
    [sym_tuple] = STATE(1394),
    [sym_operator_identifier] = STATE(976),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2771),
    [anon_sym_true] = ACTIONS(2797),
    [anon_sym_false] = ACTIONS(2797),
    [anon_sym_nil] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2807),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_LT_DASH] = ACTIONS(2803),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2803),
    [anon_sym_when] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2803),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2803),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_LT] = ACTIONS(2803),
    [anon_sym_GT_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2803),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2803),
    [anon_sym_LT_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_after] = ACTIONS(2797),
    [anon_sym_catch] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_end] = ACTIONS(2797),
    [anon_sym_fn] = ACTIONS(2797),
    [anon_sym_rescue] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2815),
  },
  [1051] = {
    [sym_identifier] = STATE(940),
    [sym__quoted_i_double] = STATE(943),
    [sym__quoted_i_single] = STATE(930),
    [sym_tuple] = STATE(3041),
    [sym_operator_identifier] = STATE(940),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2817),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_nil] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2791),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2783),
    [anon_sym_when] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2783),
    [anon_sym_and] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_LT] = ACTIONS(2783),
    [anon_sym_GT_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2783),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2783),
    [anon_sym_LT_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_after] = ACTIONS(2777),
    [anon_sym_catch] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_end] = ACTIONS(2777),
    [anon_sym_fn] = ACTIONS(2777),
    [anon_sym_rescue] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2795),
  },
  [1052] = {
    [sym_identifier] = STATE(1001),
    [sym__quoted_i_double] = STATE(1000),
    [sym__quoted_i_single] = STATE(999),
    [sym_tuple] = STATE(4423),
    [sym_operator_identifier] = STATE(1001),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2819),
    [anon_sym_true] = ACTIONS(2821),
    [anon_sym_false] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2831),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2835),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2827),
    [anon_sym_when] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2827),
    [anon_sym_and] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_GT] = ACTIONS(2827),
    [anon_sym_LT_LT_LT] = ACTIONS(2827),
    [anon_sym_GT_GT_GT] = ACTIONS(2827),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2827),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2827),
    [anon_sym_LT_TILDE] = ACTIONS(2827),
    [anon_sym_TILDE_GT] = ACTIONS(2827),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2827),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2827),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2827),
    [anon_sym_LT_GT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_DASH_GT] = ACTIONS(2827),
    [anon_sym_after] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_end] = ACTIONS(2821),
    [anon_sym_fn] = ACTIONS(2821),
    [anon_sym_rescue] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2839),
  },
  [1053] = {
    [sym_identifier] = STATE(1001),
    [sym__quoted_i_double] = STATE(1000),
    [sym__quoted_i_single] = STATE(999),
    [sym_tuple] = STATE(3943),
    [sym_operator_identifier] = STATE(1001),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(594),
    [sym_alias] = ACTIONS(2841),
    [anon_sym_true] = ACTIONS(2821),
    [anon_sym_false] = ACTIONS(2821),
    [anon_sym_nil] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2831),
    [anon_sym_not] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2835),
    [anon_sym_LT_DASH] = ACTIONS(2827),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2827),
    [anon_sym_when] = ACTIONS(2837),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2827),
    [anon_sym_and] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2827),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_GT] = ACTIONS(2827),
    [anon_sym_LT_LT_LT] = ACTIONS(2827),
    [anon_sym_GT_GT_GT] = ACTIONS(2827),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2827),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2827),
    [anon_sym_LT_TILDE] = ACTIONS(2827),
    [anon_sym_TILDE_GT] = ACTIONS(2827),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2827),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2827),
    [anon_sym_in] = ACTIONS(2837),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2827),
    [anon_sym_LT_GT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_DASH_GT] = ACTIONS(2827),
    [anon_sym_after] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_end] = ACTIONS(2821),
    [anon_sym_fn] = ACTIONS(2821),
    [anon_sym_rescue] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2839),
  },
  [1054] = {
    [sym_identifier] = STATE(940),
    [sym__quoted_i_double] = STATE(943),
    [sym__quoted_i_single] = STATE(930),
    [sym_tuple] = STATE(2233),
    [sym_operator_identifier] = STATE(940),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_nil] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(377),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2791),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2783),
    [anon_sym_when] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2783),
    [anon_sym_and] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_LT] = ACTIONS(2783),
    [anon_sym_GT_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2783),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2783),
    [anon_sym_LT_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_after] = ACTIONS(2777),
    [anon_sym_catch] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_end] = ACTIONS(2777),
    [anon_sym_fn] = ACTIONS(2777),
    [anon_sym_rescue] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2795),
  },
  [1055] = {
    [sym_identifier] = STATE(966),
    [sym__quoted_i_double] = STATE(965),
    [sym__quoted_i_single] = STATE(964),
    [sym_tuple] = STATE(4390),
    [sym_operator_identifier] = STATE(966),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2845),
    [anon_sym_true] = ACTIONS(2847),
    [anon_sym_false] = ACTIONS(2847),
    [anon_sym_nil] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(31),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_GT] = ACTIONS(2853),
    [anon_sym_PIPE] = ACTIONS(2853),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_LT_DASH] = ACTIONS(2853),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2853),
    [anon_sym_when] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_PIPE] = ACTIONS(2853),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2853),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2863),
    [anon_sym_EQ_EQ] = ACTIONS(2853),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2853),
    [anon_sym_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_GT] = ACTIONS(2853),
    [anon_sym_LT_LT_LT] = ACTIONS(2853),
    [anon_sym_GT_GT_GT] = ACTIONS(2853),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2853),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2853),
    [anon_sym_LT_TILDE] = ACTIONS(2853),
    [anon_sym_TILDE_GT] = ACTIONS(2853),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2853),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2853),
    [anon_sym_in] = ACTIONS(2863),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2853),
    [anon_sym_LT_GT] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2853),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_after] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_end] = ACTIONS(2847),
    [anon_sym_fn] = ACTIONS(2847),
    [anon_sym_rescue] = ACTIONS(2847),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2865),
  },
  [1056] = {
    [sym_identifier] = STATE(940),
    [sym__quoted_i_double] = STATE(943),
    [sym__quoted_i_single] = STATE(930),
    [sym_tuple] = STATE(4205),
    [sym_operator_identifier] = STATE(940),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(361),
    [sym_alias] = ACTIONS(2867),
    [anon_sym_true] = ACTIONS(2777),
    [anon_sym_false] = ACTIONS(2777),
    [anon_sym_nil] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2791),
    [anon_sym_LT_DASH] = ACTIONS(2783),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2783),
    [anon_sym_when] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2783),
    [anon_sym_and] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2783),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_LT] = ACTIONS(2783),
    [anon_sym_GT_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE] = ACTIONS(2783),
    [anon_sym_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2783),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2783),
    [anon_sym_in] = ACTIONS(2793),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2783),
    [anon_sym_LT_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_after] = ACTIONS(2777),
    [anon_sym_catch] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_end] = ACTIONS(2777),
    [anon_sym_fn] = ACTIONS(2777),
    [anon_sym_rescue] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2795),
  },
  [1057] = {
    [sym_identifier] = STATE(976),
    [sym__quoted_i_double] = STATE(975),
    [sym__quoted_i_single] = STATE(974),
    [sym_tuple] = STATE(1260),
    [sym_operator_identifier] = STATE(976),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2773),
    [anon_sym_true] = ACTIONS(2797),
    [anon_sym_false] = ACTIONS(2797),
    [anon_sym_nil] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2807),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_LT_DASH] = ACTIONS(2803),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2803),
    [anon_sym_when] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2803),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2803),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_LT] = ACTIONS(2803),
    [anon_sym_GT_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2803),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2803),
    [anon_sym_LT_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_after] = ACTIONS(2797),
    [anon_sym_catch] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_end] = ACTIONS(2797),
    [anon_sym_fn] = ACTIONS(2797),
    [anon_sym_rescue] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2815),
  },
  [1058] = {
    [sym_identifier] = STATE(976),
    [sym__quoted_i_double] = STATE(975),
    [sym__quoted_i_single] = STATE(974),
    [sym_tuple] = STATE(2086),
    [sym_operator_identifier] = STATE(976),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(431),
    [sym_alias] = ACTIONS(2749),
    [anon_sym_true] = ACTIONS(2797),
    [anon_sym_false] = ACTIONS(2797),
    [anon_sym_nil] = ACTIONS(2797),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2807),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2807),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_LT_DASH] = ACTIONS(2803),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2803),
    [anon_sym_when] = ACTIONS(2813),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2803),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2803),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_LT] = ACTIONS(2803),
    [anon_sym_GT_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE] = ACTIONS(2803),
    [anon_sym_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2803),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2803),
    [anon_sym_in] = ACTIONS(2813),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2803),
    [anon_sym_LT_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_after] = ACTIONS(2797),
    [anon_sym_catch] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_end] = ACTIONS(2797),
    [anon_sym_fn] = ACTIONS(2797),
    [anon_sym_rescue] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2815),
  },
  [1059] = {
    [sym_identifier] = STATE(966),
    [sym__quoted_i_double] = STATE(965),
    [sym__quoted_i_single] = STATE(964),
    [sym_tuple] = STATE(3470),
    [sym_operator_identifier] = STATE(966),
    [aux_sym__terminator_token1] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2725),
    [aux_sym_identifier_token1] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(488),
    [sym_alias] = ACTIONS(2869),
    [anon_sym_true] = ACTIONS(2847),
    [anon_sym_false] = ACTIONS(2847),
    [anon_sym_nil] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2849),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_GT] = ACTIONS(2853),
    [anon_sym_PIPE] = ACTIONS(2853),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_CARET] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2859),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_LT_DASH] = ACTIONS(2853),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2853),
    [anon_sym_when] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_PIPE] = ACTIONS(2853),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2853),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2863),
    [anon_sym_EQ_EQ] = ACTIONS(2853),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2853),
    [anon_sym_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_GT] = ACTIONS(2853),
    [anon_sym_LT_LT_LT] = ACTIONS(2853),
    [anon_sym_GT_GT_GT] = ACTIONS(2853),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2853),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2853),
    [anon_sym_LT_TILDE] = ACTIONS(2853),
    [anon_sym_TILDE_GT] = ACTIONS(2853),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2853),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2853),
    [anon_sym_in] = ACTIONS(2863),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2853),
    [anon_sym_LT_GT] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2853),
    [anon_sym_STAR_STAR] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_after] = ACTIONS(2847),
    [anon_sym_catch] = ACTIONS(2847),
    [anon_sym_do] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_end] = ACTIONS(2847),
    [anon_sym_fn] = ACTIONS(2847),
    [anon_sym_rescue] = ACTIONS(2847),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2865),
  },
  [1060] = {
    [sym__terminator] = STATE(174),
    [sym_after_block] = STATE(4700),
    [sym_rescue_block] = STATE(4700),
    [sym_catch_block] = STATE(4700),
    [sym_else_block] = STATE(4700),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4685),
    [aux_sym_do_block_repeat1] = STATE(4700),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1022),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1061] = {
    [sym__terminator] = STATE(150),
    [sym_after_block] = STATE(4725),
    [sym_rescue_block] = STATE(4725),
    [sym_catch_block] = STATE(4725),
    [sym_else_block] = STATE(4725),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4665),
    [aux_sym_do_block_repeat1] = STATE(4725),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(976),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1062] = {
    [sym__terminator] = STATE(173),
    [sym_after_block] = STATE(4697),
    [sym_rescue_block] = STATE(4697),
    [sym_catch_block] = STATE(4697),
    [sym_else_block] = STATE(4697),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4647),
    [aux_sym_do_block_repeat1] = STATE(4697),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2924),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(331),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1063] = {
    [sym__terminator] = STATE(168),
    [sym_after_block] = STATE(4703),
    [sym_rescue_block] = STATE(4703),
    [sym_catch_block] = STATE(4703),
    [sym_else_block] = STATE(4703),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4642),
    [aux_sym_do_block_repeat1] = STATE(4703),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2926),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1024),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1064] = {
    [sym__terminator] = STATE(163),
    [sym_after_block] = STATE(4699),
    [sym_rescue_block] = STATE(4699),
    [sym_catch_block] = STATE(4699),
    [sym_else_block] = STATE(4699),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4649),
    [aux_sym_do_block_repeat1] = STATE(4699),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1065] = {
    [sym__terminator] = STATE(158),
    [sym_after_block] = STATE(4713),
    [sym_rescue_block] = STATE(4713),
    [sym_catch_block] = STATE(4713),
    [sym_else_block] = STATE(4713),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4635),
    [aux_sym_do_block_repeat1] = STATE(4713),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(323),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1066] = {
    [sym__terminator] = STATE(154),
    [sym_after_block] = STATE(4717),
    [sym_rescue_block] = STATE(4717),
    [sym_catch_block] = STATE(4717),
    [sym_else_block] = STATE(4717),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4639),
    [aux_sym_do_block_repeat1] = STATE(4717),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2932),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(994),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1067] = {
    [sym__terminator] = STATE(143),
    [sym_after_block] = STATE(4714),
    [sym_rescue_block] = STATE(4714),
    [sym_catch_block] = STATE(4714),
    [sym_else_block] = STATE(4714),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4627),
    [aux_sym_do_block_repeat1] = STATE(4714),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2934),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(982),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1068] = {
    [sym__terminator] = STATE(144),
    [sym_after_block] = STATE(4727),
    [sym_rescue_block] = STATE(4727),
    [sym_catch_block] = STATE(4727),
    [sym_else_block] = STATE(4727),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4687),
    [aux_sym_do_block_repeat1] = STATE(4727),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2936),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(343),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1069] = {
    [sym__terminator] = STATE(148),
    [sym_after_block] = STATE(4729),
    [sym_rescue_block] = STATE(4729),
    [sym_catch_block] = STATE(4729),
    [sym_else_block] = STATE(4729),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4668),
    [aux_sym_do_block_repeat1] = STATE(4729),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2938),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(966),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1070] = {
    [sym__terminator] = STATE(145),
    [sym_after_block] = STATE(4712),
    [sym_rescue_block] = STATE(4712),
    [sym_catch_block] = STATE(4712),
    [sym_else_block] = STATE(4712),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4672),
    [aux_sym_do_block_repeat1] = STATE(4712),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2940),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(335),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1071] = {
    [sym__terminator] = STATE(152),
    [sym_after_block] = STATE(4709),
    [sym_rescue_block] = STATE(4709),
    [sym_catch_block] = STATE(4709),
    [sym_else_block] = STATE(4709),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4632),
    [aux_sym_do_block_repeat1] = STATE(4709),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2942),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(311),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1072] = {
    [sym__terminator] = STATE(140),
    [sym_after_block] = STATE(4702),
    [sym_rescue_block] = STATE(4702),
    [sym_catch_block] = STATE(4702),
    [sym_else_block] = STATE(4702),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4686),
    [aux_sym_do_block_repeat1] = STATE(4702),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2944),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1016),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1073] = {
    [sym__terminator] = STATE(149),
    [sym_after_block] = STATE(4690),
    [sym_rescue_block] = STATE(4690),
    [sym_catch_block] = STATE(4690),
    [sym_else_block] = STATE(4690),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4675),
    [aux_sym_do_block_repeat1] = STATE(4690),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2946),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(327),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1074] = {
    [sym__terminator] = STATE(164),
    [sym_after_block] = STATE(4694),
    [sym_rescue_block] = STATE(4694),
    [sym_catch_block] = STATE(4694),
    [sym_else_block] = STATE(4694),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4678),
    [aux_sym_do_block_repeat1] = STATE(4694),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2948),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1004),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1075] = {
    [sym__terminator] = STATE(141),
    [sym_after_block] = STATE(4736),
    [sym_rescue_block] = STATE(4736),
    [sym_catch_block] = STATE(4736),
    [sym_else_block] = STATE(4736),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4648),
    [aux_sym_do_block_repeat1] = STATE(4736),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1076] = {
    [sym__terminator] = STATE(170),
    [sym_after_block] = STATE(4691),
    [sym_rescue_block] = STATE(4691),
    [sym_catch_block] = STATE(4691),
    [sym_else_block] = STATE(4691),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4633),
    [aux_sym_do_block_repeat1] = STATE(4691),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2952),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1012),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1077] = {
    [sym__terminator] = STATE(167),
    [sym_after_block] = STATE(4750),
    [sym_rescue_block] = STATE(4750),
    [sym_catch_block] = STATE(4750),
    [sym_else_block] = STATE(4750),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4629),
    [aux_sym_do_block_repeat1] = STATE(4750),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(347),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1078] = {
    [sym__terminator] = STATE(160),
    [sym_after_block] = STATE(4739),
    [sym_rescue_block] = STATE(4739),
    [sym_catch_block] = STATE(4739),
    [sym_else_block] = STATE(4739),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4644),
    [aux_sym_do_block_repeat1] = STATE(4739),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2956),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(960),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1079] = {
    [sym__terminator] = STATE(146),
    [sym_after_block] = STATE(4738),
    [sym_rescue_block] = STATE(4738),
    [sym_catch_block] = STATE(4738),
    [sym_else_block] = STATE(4738),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4652),
    [aux_sym_do_block_repeat1] = STATE(4738),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(968),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1080] = {
    [sym__terminator] = STATE(172),
    [sym_after_block] = STATE(4704),
    [sym_rescue_block] = STATE(4704),
    [sym_catch_block] = STATE(4704),
    [sym_else_block] = STATE(4704),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4683),
    [aux_sym_do_block_repeat1] = STATE(4704),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(351),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1081] = {
    [sym__terminator] = STATE(169),
    [sym_after_block] = STATE(4707),
    [sym_rescue_block] = STATE(4707),
    [sym_catch_block] = STATE(4707),
    [sym_else_block] = STATE(4707),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4616),
    [aux_sym_do_block_repeat1] = STATE(4707),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2962),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(319),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1082] = {
    [sym__terminator] = STATE(156),
    [sym_after_block] = STATE(4731),
    [sym_rescue_block] = STATE(4731),
    [sym_catch_block] = STATE(4731),
    [sym_else_block] = STATE(4731),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4663),
    [aux_sym_do_block_repeat1] = STATE(4731),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2964),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(1002),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1083] = {
    [sym__terminator] = STATE(162),
    [sym_after_block] = STATE(4719),
    [sym_rescue_block] = STATE(4719),
    [sym_catch_block] = STATE(4719),
    [sym_else_block] = STATE(4719),
    [aux_sym__terminator_repeat1] = STATE(1022),
    [aux_sym_block_repeat2] = STATE(4667),
    [aux_sym_do_block_repeat1] = STATE(4719),
    [aux_sym__stab_clause_arguments_without_parentheses_repeat1] = STATE(6121),
    [aux_sym__terminator_token1] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2966),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_LT_DASH] = ACTIONS(2887),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2887),
    [anon_sym_when] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2892),
    [anon_sym_EQ_GT] = ACTIONS(2894),
    [anon_sym_EQ] = ACTIONS(2896),
    [anon_sym_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2898),
    [anon_sym_or] = ACTIONS(2898),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2900),
    [anon_sym_and] = ACTIONS(2900),
    [anon_sym_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ] = ACTIONS(2902),
    [anon_sym_EQ_TILDE] = ACTIONS(2902),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2902),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2902),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_LT] = ACTIONS(2904),
    [anon_sym_GT_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE] = ACTIONS(2904),
    [anon_sym_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2904),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2904),
    [anon_sym_in] = ACTIONS(2906),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2908),
    [anon_sym_SLASH_SLASH] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2883),
    [anon_sym_LT_GT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2912),
    [anon_sym_DASH_GT] = ACTIONS(2914),
    [anon_sym_DOT] = ACTIONS(2916),
    [anon_sym_after] = ACTIONS(103),
    [anon_sym_catch] = ACTIONS(105),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_end] = ACTIONS(339),
    [anon_sym_rescue] = ACTIONS(113),
    [anon_sym_LBRACK2] = ACTIONS(2918),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2920),
  },
  [1084] = {
    [sym_do_block] = STATE(1111),
    [aux_sym__terminator_token1] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(2970),
    [anon_sym_LT] = ACTIONS(2970),
    [anon_sym_GT] = ACTIONS(2970),
    [anon_sym_PIPE] = ACTIONS(2970),
    [anon_sym_SLASH] = ACTIONS(2970),
    [anon_sym_COMMA] = ACTIONS(2970),
    [anon_sym_DOT_DOT] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_LT_DASH] = ACTIONS(2970),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2970),
    [anon_sym_when] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_EQ_GT] = ACTIONS(2970),
    [anon_sym_EQ] = ACTIONS(2970),
    [anon_sym_PIPE_PIPE] = ACTIONS(2970),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2970),
    [anon_sym_or] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2970),
    [anon_sym_and] = ACTIONS(2970),
    [anon_sym_EQ_EQ] = ACTIONS(2970),
    [anon_sym_BANG_EQ] = ACTIONS(2970),
    [anon_sym_EQ_TILDE] = ACTIONS(2970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2970),
    [anon_sym_LT_EQ] = ACTIONS(2970),
    [anon_sym_GT_EQ] = ACTIONS(2970),
    [anon_sym_PIPE_GT] = ACTIONS(2970),
    [anon_sym_LT_LT_LT] = ACTIONS(2970),
    [anon_sym_GT_GT_GT] = ACTIONS(2970),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2970),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2970),
    [anon_sym_LT_TILDE] = ACTIONS(2970),
    [anon_sym_TILDE_GT] = ACTIONS(2970),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2970),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(2970),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2970),
    [anon_sym_SLASH_SLASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2970),
    [anon_sym_LT_GT] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_STAR_STAR] = ACTIONS(2970),
    [anon_sym_DASH_GT] = ACTIONS(2970),
    [anon_sym_DOT] = ACTIONS(2970),
    [anon_sym_after] = ACTIONS(2970),
    [anon_sym_catch] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_else] = ACTIONS(2970),
    [anon_sym_end] = ACTIONS(2970),
    [anon_sym_rescue] = ACTIONS(2970),
    [anon_sym_LBRACK2] = ACTIONS(2968),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2968),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2968),
  },
  [1085] = {
    [sym_do_block] = STATE(1465),
    [aux_sym__terminator_token1] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LPAREN] = ACTIONS(2974),
    [anon_sym_RPAREN] = ACTIONS(2974),
    [anon_sym_LT] = ACTIONS(2974),
    [anon_sym_GT] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2974),
    [anon_sym_SLASH] = ACTIONS(2974),
    [anon_sym_COMMA] = ACTIONS(2974),
    [anon_sym_DOT_DOT] = ACTIONS(2974),
    [anon_sym_PLUS] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2974),
    [anon_sym_LT_DASH] = ACTIONS(2974),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2974),
    [anon_sym_when] = ACTIONS(2974),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_EQ_GT] = ACTIONS(2974),
    [anon_sym_EQ] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_or] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2974),
    [anon_sym_and] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2974),
    [anon_sym_EQ_TILDE] = ACTIONS(2974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_PIPE_GT] = ACTIONS(2974),
    [anon_sym_LT_LT_LT] = ACTIONS(2974),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2974),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_TILDE] = ACTIONS(2974),
    [anon_sym_TILDE_GT] = ACTIONS(2974),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2974),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2974),
    [anon_sym_in] = ACTIONS(2974),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2974),
    [anon_sym_SLASH_SLASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2974),
    [anon_sym_LT_GT] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_STAR_STAR] = ACTIONS(2974),
    [anon_sym_DASH_GT] = ACTIONS(2974),
    [anon_sym_DOT] = ACTIONS(2974),
    [anon_sym_after] = ACTIONS(2974),
    [anon_sym_catch] = ACTIONS(2974),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_else] = ACTIONS(2974),
    [anon_sym_end] = ACTIONS(2974),
    [anon_sym_rescue] = ACTIONS(2974),
    [anon_sym_LBRACK2] = ACTIONS(2972),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2976),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2972),
  },
  [1086] = {
    [sym_do_block] = STATE(1461),
    [aux_sym__terminator_token1] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2970),
    [anon_sym_RPAREN] = ACTIONS(2970),
    [anon_sym_LT] = ACTIONS(2970),
    [anon_sym_GT] = ACTIONS(2970),
    [anon_sym_PIPE] = ACTIONS(2970),
    [anon_sym_SLASH] = ACTIONS(2970),
    [anon_sym_COMMA] = ACTIONS(2970),
    [anon_sym_DOT_DOT] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_LT_DASH] = ACTIONS(2970),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2970),
    [anon_sym_when] = ACTIONS(2970),
    [anon_sym_COLON_COLON] = ACTIONS(2970),
    [anon_sym_EQ_GT] = ACTIONS(2970),
    [anon_sym_EQ] = ACTIONS(2970),
    [anon_sym_PIPE_PIPE] = ACTIONS(2970),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2970),
    [anon_sym_or] = ACTIONS(2970),
    [anon_sym_AMP_AMP] = ACTIONS(2970),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2970),
    [anon_sym_and] = ACTIONS(2970),
    [anon_sym_EQ_EQ] = ACTIONS(2970),
    [anon_sym_BANG_EQ] = ACTIONS(2970),
    [anon_sym_EQ_TILDE] = ACTIONS(2970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2970),
    [anon_sym_LT_EQ] = ACTIONS(2970),
    [anon_sym_GT_EQ] = ACTIONS(2970),
    [anon_sym_PIPE_GT] = ACTIONS(2970),
    [anon_sym_LT_LT_LT] = ACTIONS(2970),
    [anon_sym_GT_GT_GT] = ACTIONS(2970),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2970),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2970),
    [anon_sym_LT_TILDE] = ACTIONS(2970),
    [anon_sym_TILDE_GT] = ACTIONS(2970),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2970),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(2970),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2970),
    [anon_sym_SLASH_SLASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2970),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2970),
    [anon_sym_LT_GT] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2970),
    [anon_sym_STAR_STAR] = ACTIONS(2970),
    [anon_sym_DASH_GT] = ACTIONS(2970),
    [anon_sym_DOT] = ACTIONS(2970),
    [anon_sym_after] = ACTIONS(2970),
    [anon_sym_catch] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_else] = ACTIONS(2970),
    [anon_sym_end] = ACTIONS(2970),
    [anon_sym_rescue] = ACTIONS(2970),
    [anon_sym_LBRACK2] = ACTIONS(2968),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2978),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2968),
  },
  [1087] = {
    [sym__call_arguments_with_parentheses] = STATE(1138),
    [aux_sym__terminator_token1] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym_LPAREN] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2982),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_COMMA] = ACTIONS(2982),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_LT_DASH] = ACTIONS(2982),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2982),
    [anon_sym_when] = ACTIONS(2982),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_EQ_GT] = ACTIONS(2982),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_or] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2982),
    [anon_sym_and] = ACTIONS(2982),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_GT] = ACTIONS(2982),
    [anon_sym_LT_LT_LT] = ACTIONS(2982),
    [anon_sym_GT_GT_GT] = ACTIONS(2982),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2982),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2982),
    [anon_sym_LT_TILDE] = ACTIONS(2982),
    [anon_sym_TILDE_GT] = ACTIONS(2982),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2982),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2982),
    [anon_sym_in] = ACTIONS(2982),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_DASH_GT] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_after] = ACTIONS(2982),
    [anon_sym_catch] = ACTIONS(2982),
    [anon_sym_do] = ACTIONS(2982),
    [anon_sym_else] = ACTIONS(2982),
    [anon_sym_end] = ACTIONS(2982),
    [anon_sym_rescue] = ACTIONS(2982),
    [anon_sym_LBRACK2] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2980),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2980),
  },
  [1088] = {
    [sym__call_arguments_with_parentheses] = STATE(1122),
    [aux_sym__terminator_token1] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym_LPAREN] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2982),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_COMMA] = ACTIONS(2982),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_LT_DASH] = ACTIONS(2982),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2982),
    [anon_sym_when] = ACTIONS(2982),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_EQ_GT] = ACTIONS(2982),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_or] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2982),
    [anon_sym_and] = ACTIONS(2982),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_GT] = ACTIONS(2982),
    [anon_sym_LT_LT_LT] = ACTIONS(2982),
    [anon_sym_GT_GT_GT] = ACTIONS(2982),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2982),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2982),
    [anon_sym_LT_TILDE] = ACTIONS(2982),
    [anon_sym_TILDE_GT] = ACTIONS(2982),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2982),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2982),
    [anon_sym_in] = ACTIONS(2982),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_DASH_GT] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_after] = ACTIONS(2982),
    [anon_sym_catch] = ACTIONS(2982),
    [anon_sym_do] = ACTIONS(2982),
    [anon_sym_else] = ACTIONS(2982),
    [anon_sym_end] = ACTIONS(2982),
    [anon_sym_rescue] = ACTIONS(2982),
    [anon_sym_LBRACK2] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2980),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2980),
  },
  [1089] = {
    [sym_do_block] = STATE(1106),
    [aux_sym__terminator_token1] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2974),
    [anon_sym_LPAREN] = ACTIONS(2974),
    [anon_sym_RPAREN] = ACTIONS(2974),
    [anon_sym_LT] = ACTIONS(2974),
    [anon_sym_GT] = ACTIONS(2974),
    [anon_sym_PIPE] = ACTIONS(2974),
    [anon_sym_SLASH] = ACTIONS(2974),
    [anon_sym_COMMA] = ACTIONS(2974),
    [anon_sym_DOT_DOT] = ACTIONS(2974),
    [anon_sym_PLUS] = ACTIONS(2974),
    [anon_sym_DASH] = ACTIONS(2974),
    [anon_sym_LT_DASH] = ACTIONS(2974),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2974),
    [anon_sym_when] = ACTIONS(2974),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_EQ_GT] = ACTIONS(2974),
    [anon_sym_EQ] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2974),
    [anon_sym_or] = ACTIONS(2974),
    [anon_sym_AMP_AMP] = ACTIONS(2974),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2974),
    [anon_sym_and] = ACTIONS(2974),
    [anon_sym_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ] = ACTIONS(2974),
    [anon_sym_EQ_TILDE] = ACTIONS(2974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2974),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2974),
    [anon_sym_LT_EQ] = ACTIONS(2974),
    [anon_sym_GT_EQ] = ACTIONS(2974),
    [anon_sym_PIPE_GT] = ACTIONS(2974),
    [anon_sym_LT_LT_LT] = ACTIONS(2974),
    [anon_sym_GT_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2974),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2974),
    [anon_sym_LT_TILDE] = ACTIONS(2974),
    [anon_sym_TILDE_GT] = ACTIONS(2974),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2974),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2974),
    [anon_sym_in] = ACTIONS(2974),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2974),
    [anon_sym_SLASH_SLASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_DASH_DASH] = ACTIONS(2974),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2974),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2974),
    [anon_sym_LT_GT] = ACTIONS(2974),
    [anon_sym_STAR] = ACTIONS(2974),
    [anon_sym_STAR_STAR] = ACTIONS(2974),
    [anon_sym_DASH_GT] = ACTIONS(2974),
    [anon_sym_DOT] = ACTIONS(2974),
    [anon_sym_after] = ACTIONS(2974),
    [anon_sym_catch] = ACTIONS(2974),
    [anon_sym_do] = ACTIONS(2974),
    [anon_sym_else] = ACTIONS(2974),
    [anon_sym_end] = ACTIONS(2974),
    [anon_sym_rescue] = ACTIONS(2974),
    [anon_sym_LBRACK2] = ACTIONS(2972),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2972),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2972),
  },
  [1090] = {
    [sym__call_arguments_with_parentheses] = STATE(1133),
    [aux_sym__terminator_token1] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym_LPAREN] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2982),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_COMMA] = ACTIONS(2982),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_LT_DASH] = ACTIONS(2982),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(2982),
    [anon_sym_when] = ACTIONS(2982),
    [anon_sym_COLON_COLON] = ACTIONS(2982),
    [anon_sym_EQ_GT] = ACTIONS(2982),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_or] = ACTIONS(2982),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_AMP_AMP_AMP] = ACTIONS(2982),
    [anon_sym_and] = ACTIONS(2982),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_GT] = ACTIONS(2982),
    [anon_sym_LT_LT_LT] = ACTIONS(2982),
    [anon_sym_GT_GT_GT] = ACTIONS(2982),
    [anon_sym_LT_LT_TILDE] = ACTIONS(2982),
    [anon_sym_TILDE_GT_GT] = ACTIONS(2982),
    [anon_sym_LT_TILDE] = ACTIONS(2982),
    [anon_sym_TILDE_GT] = ACTIONS(2982),
    [anon_sym_LT_TILDE_GT] = ACTIONS(2982),
    [anon_sym_LT_PIPE_GT] = ACTIONS(2982),
    [anon_sym_in] = ACTIONS(2982),
    [anon_sym_CARET_CARET_CARET] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH] = ACTIONS(2982),
    [anon_sym_PLUS_PLUS_PLUS] = ACTIONS(2982),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(2982),
    [anon_sym_LT_GT] = ACTIONS(2982),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_DASH_GT] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_after] = ACTIONS(2982),
    [anon_sym_catch] = ACTIONS(2982),
    [anon_sym_do] = ACTIONS(2982),
    [anon_sym_else] = ACTIONS(2982),
    [anon_sym_end] = ACTIONS(2982),
    [anon_sym_rescue] = ACTIONS(2982),
    [anon_sym_LBRACK2] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [sym__newline_before_do] = ACTIONS(2980),
    [sym__newline_before_binary_operator] = ACTIONS(3),
    [sym__newline_before_comment] = ACTIONS(3),
    [sym__not_in] = ACTIONS(2980),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [73] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    ACTIONS(2990), 1,
      sym__newline_before_do,
    STATE(1675), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [152] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(2992), 1,
      anon_sym_SEMI,
    STATE(324), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4759), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(666), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [281] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(2994), 1,
      anon_sym_SEMI,
    STATE(317), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4772), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(670), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2996), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2998), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [483] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3000), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3002), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [556] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3004), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3006), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [629] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3008), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3010), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [702] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3012), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3014), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [775] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3016), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3018), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [848] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3020), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3022), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [921] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1346), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2972), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2974), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [996] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1345), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2968), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2970), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1071] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1144] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1217] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3024), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3026), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1290] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1326), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1367] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1302), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1444] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1301), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1521] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3030), 1,
      anon_sym_SEMI,
    STATE(309), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4758), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1499), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [1650] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3032), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3034), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1723] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3036), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3038), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [1796] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3040), 1,
      anon_sym_SEMI,
    STATE(333), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4778), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(674), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [1925] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3042), 1,
      anon_sym_SEMI,
    STATE(282), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4753), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [2054] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3044), 1,
      anon_sym_SEMI,
    STATE(303), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4751), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1481), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [2183] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3046), 1,
      anon_sym_SEMI,
    STATE(299), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4779), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1467), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [2312] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3048), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3050), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [2385] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2889), 1,
      anon_sym_when,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3052), 1,
      anon_sym_SEMI,
    STATE(334), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4766), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(678), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [2514] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [2587] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [2660] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3054), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3056), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [2733] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1277), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [2808] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    ACTIONS(3062), 1,
      sym__newline_before_do,
    STATE(1571), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3058), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3060), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [2887] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    ACTIONS(3064), 1,
      sym__newline_before_do,
    STATE(1720), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2968), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2970), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [2966] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    ACTIONS(3066), 1,
      sym__newline_before_do,
    STATE(1680), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3045] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    ACTIONS(3068), 1,
      sym__newline_before_do,
    STATE(1679), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3124] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3070), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3072), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3197] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    ACTIONS(3078), 1,
      sym__newline_before_do,
    STATE(1676), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3276] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3349] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1276), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3424] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1267), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3058), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3060), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3499] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    ACTIONS(3080), 1,
      sym__newline_before_do,
    STATE(1718), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2972), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2974), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3578] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1269), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3653] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3082), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3084), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3726] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3801] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3092), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3094), 57,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3874] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [3949] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1270), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4024] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4096] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4168] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3110), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3112), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4240] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4312] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4384] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4456] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4528] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4600] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4672] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4744] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4816] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4888] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [4960] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5032] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5104] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5176] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5248] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5320] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5392] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5464] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5536] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3170), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5610] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5682] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5754] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5826] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5898] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [5970] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6042] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6114] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6186] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6258] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6330] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6402] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6474] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6546] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6618] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6690] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6762] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6834] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6906] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [6978] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7050] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7122] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7194] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7266] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7338] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 5,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7482] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3212), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3214), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7554] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3216), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3218), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7626] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3220), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3222), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7698] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7770] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7842] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7916] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [7990] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8062] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8134] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8206] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8278] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8350] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8422] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8494] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8566] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8638] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8710] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    ACTIONS(3290), 1,
      anon_sym_when,
    ACTIONS(3292), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    STATE(1298), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3288), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3274), 8,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [8828] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8900] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [8972] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9044] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    ACTIONS(3332), 1,
      sym__newline_before_do,
    STATE(2097), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9122] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9194] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    ACTIONS(3338), 1,
      sym__newline_before_do,
    STATE(2096), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9272] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    ACTIONS(3340), 1,
      sym__newline_before_do,
    STATE(2093), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9350] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3342), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3344), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9422] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9494] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    ACTIONS(3350), 1,
      sym__newline_before_do,
    STATE(2092), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9572] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    ACTIONS(3352), 1,
      sym__newline_before_do,
    STATE(1795), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3058), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3060), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9650] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3354), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9724] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9796] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3360), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3362), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9868] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3004), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3006), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [9940] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10012] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10084] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10156] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3274), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10228] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10300] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10372] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10444] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LPAREN,
    STATE(1092), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10520] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LPAREN,
    STATE(1126), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10596] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LPAREN,
    STATE(1125), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10672] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10744] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10816] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10888] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [10960] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11032] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11104] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3408), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3410), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11176] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3412), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3414), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11248] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11320] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11392] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11464] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3420), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3422), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11536] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3424), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3426), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11608] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11680] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11752] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11824] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11896] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [11968] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12040] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3448), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3450), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12112] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3452), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3454), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12184] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3456), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3458), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12256] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3460), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3462), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12328] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3464), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3466), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12400] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3468), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3470), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12472] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3472), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12546] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12618] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3478), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3480), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12690] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12762] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3482), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12836] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3484), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3486), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12908] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [12980] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13052] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3082), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3084), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13124] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3070), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3072), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13196] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13268] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3488), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13342] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3490), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3492), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13414] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13486] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13558] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13630] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13702] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3502), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13776] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13848] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 56,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13920] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3504), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [13994] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14066] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14138] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3506), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3508), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14210] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3510), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14284] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3512), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14358] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14430] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14502] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3514), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3516), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14574] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14646] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14718] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14790] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14862] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [14934] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15006] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15078] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15150] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15222] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15294] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15366] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15438] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15510] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15582] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3526), 1,
      anon_sym_COMMA,
    STATE(1307), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3522), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3524), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15658] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3528), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15732] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1391), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3058), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3060), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15806] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1387), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15880] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1386), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [15954] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3530), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16028] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1383), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16102] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16174] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16246] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(1307), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3534), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16322] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16394] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16466] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3048), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3050), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16538] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16610] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3539), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16684] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3541), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16758] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3543), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16832] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3545), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3547), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16904] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3549), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [16978] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3551), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3553), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17050] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3555), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3557), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17122] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3559), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3561), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17194] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17266] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3563), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3565), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17338] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3571), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3573), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17482] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    STATE(1325), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17558] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    STATE(1327), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17634] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1382), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17708] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    STATE(1327), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17784] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3588), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17858] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3092), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3094), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [17930] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18002] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18074] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3590), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3592), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18146] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3594), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18220] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18294] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3598), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3600), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18366] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3602), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18440] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3604), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3606), 56,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18512] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3608), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18586] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3020), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3022), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18658] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3016), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3018), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18730] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3012), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3014), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18802] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3054), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3056), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18874] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3008), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3010), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [18946] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3036), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3038), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19018] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3032), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3034), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19090] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3024), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3026), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19162] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2996), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2998), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19234] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3000), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3002), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19306] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19377] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3020), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3022), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19448] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19519] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19590] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_COMMA,
    STATE(1422), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19665] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3590), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3592), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19736] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_COMMA,
    STATE(1353), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19811] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3598), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3600), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19882] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3604), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3606), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [19953] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3342), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3344), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20024] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3360), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3362), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20095] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3563), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3565), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20166] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20237] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20308] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20379] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20450] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20521] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20592] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20663] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20734] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20805] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20876] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [20947] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21018] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21089] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21160] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21231] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21302] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21373] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21444] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21515] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21586] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3506), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3508), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21657] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21728] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21799] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21870] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [21941] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22012] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22083] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_COMMA,
    STATE(1388), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3534), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22158] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3070), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3072), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22229] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22300] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3490), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3492), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22371] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3559), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3561), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22442] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3555), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3557), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22513] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3484), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3486), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22584] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22655] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22726] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3468), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3470), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22797] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3464), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3466), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22868] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3460), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3462), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [22939] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3456), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3458), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23010] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3452), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3454), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23081] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3420), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3422), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23152] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23223] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23294] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23365] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3551), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3553), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23436] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3545), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3547), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23507] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23578] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3082), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3084), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23649] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3615), 1,
      anon_sym_COMMA,
    STATE(1388), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3522), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3524), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23724] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3448), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3450), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23795] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3514), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3516), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23866] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3110), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3112), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [23937] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24012] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24087] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24162] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24235] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1214), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24310] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1211), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24385] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1208), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24460] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24533] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3617), 1,
      anon_sym_COMMA,
    STATE(1422), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24608] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3626), 1,
      anon_sym_COMMA,
    ACTIONS(3634), 1,
      anon_sym_when,
    ACTIONS(3636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    STATE(1410), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3632), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3274), 7,
      anon_sym_SEMI,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [24725] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3290), 1,
      anon_sym_when,
    ACTIONS(3292), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3288), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3664), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3666), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24838] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3290), 1,
      anon_sym_when,
    ACTIONS(3292), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3288), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3668), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3670), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [24951] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3290), 1,
      anon_sym_when,
    ACTIONS(3292), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3288), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3532), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3534), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25064] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3274), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25135] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25206] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25277] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3054), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3056), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25348] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25419] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25490] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25561] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25632] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3424), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3426), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25703] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25774] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25845] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3412), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3414), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25916] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3408), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3410), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [25987] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26058] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26129] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26200] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26271] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3478), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3480), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26342] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26413] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26484] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26555] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26626] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26697] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26768] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26839] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26910] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [26981] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27052] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27123] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27194] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27265] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3036), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3038), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27336] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27407] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27478] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3032), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3034), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27549] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27620] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27691] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27762] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3024), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3026), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27833] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27904] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [27975] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3212), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3214), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28046] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3216), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3218), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28117] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3220), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3222), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28188] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2996), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2998), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28259] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3000), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3002), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28330] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3004), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3006), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28401] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28472] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28543] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28614] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28685] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28756] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28827] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28898] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [28969] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29040] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29111] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29182] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29253] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29324] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3008), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3010), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29395] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29466] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29537] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29608] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29679] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29750] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29821] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29892] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [29963] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30034] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30105] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30176] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30247] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30318] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30389] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30460] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30531] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30602] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30673] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30744] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30815] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3016), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3018), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [30957] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31028] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 41,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31115] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 31,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31208] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31315] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31392] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 43,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31475] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31554] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3290), 1,
      anon_sym_when,
    ACTIONS(3292), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31665] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3290), 1,
      anon_sym_when,
    ACTIONS(3292), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31776] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3278), 1,
      anon_sym_PIPE,
    ACTIONS(3292), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31885] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3294), 1,
      anon_sym_EQ_GT,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [31990] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_EQ,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3298), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 15,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32093] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3300), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32192] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3302), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 22,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32289] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3276), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3304), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32384] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_in,
    ACTIONS(3308), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3318), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 40,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32475] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 42,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32560] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3312), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3314), 1,
      anon_sym_DOT,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3280), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3286), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3284), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 42,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32645] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32718] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3674), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32791] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32864] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3678), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [32937] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3680), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33010] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3682), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33083] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33156] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3686), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33229] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33300] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3012), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3014), 56,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33371] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33442] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3688), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33515] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33588] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3692), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33661] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3694), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33734] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3696), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33807] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33880] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3700), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [33953] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3702), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34026] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3704), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34099] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3706), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34172] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3708), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34245] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3710), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34318] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3571), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3573), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34389] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34460] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34531] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34602] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34673] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34744] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34815] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [34957] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35028] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35099] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35170] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35241] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35312] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35383] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35454] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35525] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35596] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35667] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 41,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35751] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3490), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3492), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35821] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 41,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [35905] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    ACTIONS(3712), 1,
      sym__newline_before_do,
    STATE(2782), 1,
      sym_do_block,
    ACTIONS(2968), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2970), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [35981] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 40,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36067] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 30,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36159] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36265] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36341] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN,
    STATE(2082), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [36415] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN,
    STATE(2084), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [36489] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN,
    STATE(2085), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [36563] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 42,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36645] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36723] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_when,
    ACTIONS(3636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36833] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_when,
    ACTIONS(3636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [36943] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37051] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37121] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37191] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37295] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37397] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37495] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37591] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37685] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 39,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37775] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [37845] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2052), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2968), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2970), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [37917] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2051), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2972), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2974), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [37989] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38059] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    ACTIONS(3716), 1,
      sym__newline_before_do,
    STATE(2788), 1,
      sym_do_block,
    ACTIONS(2972), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2974), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [38135] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38205] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38275] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38345] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38415] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38485] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3718), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3420), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3422), 53,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38557] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38627] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38697] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38767] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38837] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38907] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [38977] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39047] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3545), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3547), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39117] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39187] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39257] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3551), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3553), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39327] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3555), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3557), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39397] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39467] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39537] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39607] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39677] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39747] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39817] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39887] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [39957] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40027] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40097] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40167] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40237] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40307] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3559), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3561), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40377] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40447] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3571), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3573), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40517] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40587] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40657] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40727] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3590), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3592), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40797] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40867] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [40937] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3598), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3600), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41007] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3604), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3606), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41077] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3342), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3344), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41147] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3360), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3362), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41217] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3563), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3565), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41287] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41357] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41427] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41497] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41567] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41637] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41707] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41777] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41847] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41917] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [41987] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42057] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42127] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42197] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42267] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42337] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42407] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42477] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42547] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42617] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42687] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42757] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42827] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42897] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [42967] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43037] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43107] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43177] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43247] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3070), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3072), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43317] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43387] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3506), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3508), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43457] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43527] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43597] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43667] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43737] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43807] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43877] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3478), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3480), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [43947] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44017] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44087] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44157] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44227] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44297] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44367] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44437] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3484), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3486), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44507] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44577] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44647] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44717] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44787] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44857] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44927] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [44997] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45067] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45137] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45207] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3468), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3470), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45277] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3464), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3466), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45347] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3460), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3462), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45417] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45487] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45557] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45627] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45697] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45769] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45841] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3020), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3022), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45911] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3016), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3018), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [45981] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3012), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3014), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46051] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3008), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3010), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46121] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3004), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3006), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46191] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3000), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3002), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46261] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2996), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2998), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46331] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46401] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46471] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3024), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3026), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46541] = 33,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3722), 1,
      anon_sym_SEMI,
    ACTIONS(3724), 1,
      anon_sym_RPAREN,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    STATE(443), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5363), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    STATE(6482), 1,
      aux_sym__stab_clause_arguments_with_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [46669] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3032), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3034), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46739] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3456), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3458), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46809] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3452), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3454), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46879] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3036), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3038), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [46949] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47019] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47089] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47159] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47229] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47299] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3054), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3056), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47369] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47439] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3420), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3422), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47509] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_when,
    ACTIONS(3636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3632), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3664), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3666), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [47621] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47691] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47761] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47831] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47901] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3110), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3112), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [47971] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48041] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48111] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48181] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3424), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3426), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48251] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3412), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3414), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48321] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3408), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3410), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48391] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48461] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48531] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3769), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48603] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3771), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48675] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48745] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48815] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48885] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [48955] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49025] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49095] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49165] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49235] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49305] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49375] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3212), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3214), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49445] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3216), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3218), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49515] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3773), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49587] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3220), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3222), 55,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49657] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3775), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49729] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3777), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49801] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3779), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [49873] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3781), 1,
      aux_sym__terminator_token1,
    ACTIONS(3784), 1,
      anon_sym_SEMI,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    STATE(258), 1,
      sym__terminator,
    STATE(1020), 1,
      aux_sym__terminator_repeat1,
    STATE(4780), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3797), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1303), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [49993] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3829), 1,
      aux_sym__terminator_token1,
    ACTIONS(3832), 1,
      anon_sym_SEMI,
    STATE(263), 1,
      sym__terminator,
    STATE(1020), 1,
      aux_sym__terminator_repeat1,
    STATE(4781), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3797), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1295), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [50113] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3835), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [50185] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_when,
    ACTIONS(3636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3632), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3534), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [50297] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [50367] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__not_in,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [50437] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 1,
      anon_sym_when,
    ACTIONS(3636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3638), 1,
      anon_sym_EQ_GT,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3650), 1,
      anon_sym_in,
    ACTIONS(3652), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3654), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3656), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3662), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3624), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3630), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3632), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3668), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(3642), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3644), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3620), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3646), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3628), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3670), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3648), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [50549] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3837), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [50621] = 33,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3732), 1,
      anon_sym_COMMA,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3839), 1,
      anon_sym_SEMI,
    ACTIONS(3841), 1,
      anon_sym_RPAREN,
    STATE(393), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5382), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    STATE(6482), 1,
      aux_sym__stab_clause_arguments_with_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [50749] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3843), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3478), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3480), 53,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [50821] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3845), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [50893] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3847), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [50965] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3849), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51037] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3851), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51109] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3853), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51181] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3855), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51253] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3857), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51325] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3859), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51397] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3861), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51469] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3863), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51541] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 55,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51611] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3865), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51683] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51757] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51831] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_DOT,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51905] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_COMMA,
    STATE(1791), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [51979] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [52053] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3869), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [52127] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3082), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3084), 55,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [52197] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3872), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [52269] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3490), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3492), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [52338] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [52407] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3874), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5244), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [52532] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3876), 1,
      anon_sym_SEMI,
    STATE(450), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5136), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [52657] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3878), 1,
      anon_sym_SEMI,
    ACTIONS(3880), 1,
      anon_sym_RPAREN,
    STATE(449), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5098), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [52782] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(878), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3882), 1,
      anon_sym_SEMI,
    STATE(426), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5395), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [52907] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3884), 1,
      anon_sym_SEMI,
    STATE(438), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5288), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53032] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3874), 1,
      anon_sym_SEMI,
    ACTIONS(3886), 1,
      anon_sym_RPAREN,
    STATE(447), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5244), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53157] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3888), 1,
      anon_sym_SEMI,
    STATE(379), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5167), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53282] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3722), 1,
      anon_sym_SEMI,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3890), 1,
      anon_sym_RPAREN,
    STATE(443), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5363), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53407] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3892), 1,
      anon_sym_SEMI,
    STATE(444), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5270), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53532] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3722), 1,
      anon_sym_SEMI,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    STATE(443), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5363), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53657] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3894), 1,
      anon_sym_SEMI,
    STATE(420), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5432), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53782] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3839), 1,
      anon_sym_SEMI,
    STATE(393), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5382), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [53907] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3882), 1,
      anon_sym_SEMI,
    ACTIONS(3896), 1,
      anon_sym_RPAREN,
    STATE(426), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5395), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54032] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(910), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3898), 1,
      anon_sym_SEMI,
    STATE(395), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5539), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54157] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1657), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3900), 1,
      anon_sym_SEMI,
    STATE(389), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5576), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54282] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3898), 1,
      anon_sym_SEMI,
    ACTIONS(3902), 1,
      anon_sym_RPAREN,
    STATE(395), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5539), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54407] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(902), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3904), 1,
      anon_sym_SEMI,
    STATE(376), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5683), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54532] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3906), 1,
      anon_sym_SEMI,
    ACTIONS(3908), 1,
      anon_sym_RPAREN,
    STATE(433), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5712), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54657] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1615), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3910), 1,
      anon_sym_SEMI,
    STATE(356), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5720), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54782] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3904), 1,
      anon_sym_SEMI,
    ACTIONS(3912), 1,
      anon_sym_RPAREN,
    STATE(376), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5683), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [54907] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    STATE(434), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5643), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55032] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3878), 1,
      anon_sym_SEMI,
    STATE(449), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5098), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55157] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3916), 1,
      anon_sym_SEMI,
    ACTIONS(3918), 1,
      anon_sym_RPAREN,
    STATE(445), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5269), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55282] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(890), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3920), 1,
      anon_sym_SEMI,
    STATE(362), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5826), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55407] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3922), 1,
      anon_sym_SEMI,
    STATE(368), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5861), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55532] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3920), 1,
      anon_sym_SEMI,
    ACTIONS(3924), 1,
      anon_sym_RPAREN,
    STATE(362), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5826), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55657] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3926), 1,
      anon_sym_SEMI,
    STATE(404), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5846), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55782] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3928), 1,
      anon_sym_SEMI,
    STATE(398), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5741), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [55907] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3926), 1,
      anon_sym_SEMI,
    ACTIONS(3930), 1,
      anon_sym_RPAREN,
    STATE(404), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5846), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56032] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3916), 1,
      anon_sym_SEMI,
    STATE(445), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5269), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56157] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3932), 1,
      anon_sym_SEMI,
    ACTIONS(3934), 1,
      anon_sym_RPAREN,
    STATE(419), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5117), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56282] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3936), 1,
      anon_sym_SEMI,
    STATE(421), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5849), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56407] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3906), 1,
      anon_sym_SEMI,
    STATE(433), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5712), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56532] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3664), 1,
      aux_sym__terminator_token1,
    ACTIONS(3938), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3666), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56643] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3839), 1,
      anon_sym_SEMI,
    ACTIONS(3940), 1,
      anon_sym_RPAREN,
    STATE(393), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5382), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56768] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1653), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3942), 1,
      anon_sym_SEMI,
    STATE(399), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5627), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [56893] = 32,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(914), 1,
      anon_sym_RPAREN,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3740), 1,
      anon_sym_when,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3932), 1,
      anon_sym_SEMI,
    STATE(419), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5117), 1,
      aux_sym_block_repeat2,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [57018] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57087] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57156] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57225] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57294] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57363] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57432] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57501] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57570] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57639] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57708] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57777] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [57846] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2657), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [57915] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2653), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [57984] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2629), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58053] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2625), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58122] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2633), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58191] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2637), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58260] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3440), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3442), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58329] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3444), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3446), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58398] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3436), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3438), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58467] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3106), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3108), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58536] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3368), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3370), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58605] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3364), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3366), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [58674] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [58747] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [58820] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [58893] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    ACTIONS(3944), 1,
      sym__newline_before_do,
    STATE(3164), 1,
      sym_do_block,
    ACTIONS(3058), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3060), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [58968] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    ACTIONS(3946), 1,
      sym__newline_before_do,
    STATE(3161), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [59043] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    ACTIONS(3948), 1,
      sym__newline_before_do,
    STATE(3160), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [59118] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    ACTIONS(3950), 1,
      sym__newline_before_do,
    STATE(3158), 1,
      sym_do_block,
    ACTIONS(3074), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3076), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [59193] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    ACTIONS(3952), 1,
      sym__newline_before_do,
    STATE(3157), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [59268] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3092), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3094), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [59337] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3048), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3050), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [59406] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59475] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59544] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59613] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59682] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59751] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59820] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59889] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [59958] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60027] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60096] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60165] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60234] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60303] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60372] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60441] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60510] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60579] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60648] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60717] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60786] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60855] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60924] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [60993] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61062] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61131] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61200] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61269] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61338] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61407] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61476] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61545] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61614] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61683] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61752] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61821] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61890] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [61959] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62028] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62097] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62166] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62235] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62304] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62373] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62442] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62511] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62580] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62649] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 54,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62718] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3954), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62789] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3956), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62860] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3958), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [62931] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3960), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63002] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3962), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63073] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3964), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63144] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3966), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63215] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3968), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63286] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3970), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63357] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3972), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63428] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3974), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63499] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3976), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63570] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3978), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63641] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3980), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63712] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3982), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63783] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3984), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63854] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3986), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63925] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3988), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [63996] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3990), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64067] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3992), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 53,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64138] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64207] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64276] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3668), 1,
      aux_sym__terminator_token1,
    ACTIONS(3938), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2887), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3670), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [64387] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3994), 1,
      anon_sym_COMMA,
    STATE(1940), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64460] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3994), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64533] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_COMMA,
    STATE(1941), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64606] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64675] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 41,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64758] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 41,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64841] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 39,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [64930] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65023] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65118] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65215] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65316] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65419] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65526] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3938), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65635] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2892), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3938), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65744] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65821] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 42,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65902] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [65977] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_PIPE,
    ACTIONS(2894), 1,
      anon_sym_EQ_GT,
    ACTIONS(2896), 1,
      anon_sym_EQ,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2898), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(2900), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(2875), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2902), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66082] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3220), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3222), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66151] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3216), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3218), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66220] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3212), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3214), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66289] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(2920), 1,
      sym__not_in,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(2904), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 30,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66380] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(2910), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(2912), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2879), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2885), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(2883), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 40,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66465] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3020), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3022), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [66534] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3016), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3018), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [66603] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3012), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3014), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [66672] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3404), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3406), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [66741] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66810] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66879] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [66948] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [67017] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [67086] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3400), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3402), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67155] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [67224] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [67293] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3396), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3398), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67362] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3392), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3394), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67431] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3388), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3390), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67500] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [67569] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3384), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3386), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67638] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3380), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3382), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67707] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3376), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3378), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67776] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [67845] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [67914] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3372), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3374), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [67983] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [68054] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [68125] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3356), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3358), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [68194] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3346), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3348), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [68263] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3208), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3210), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [68332] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [68401] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [68470] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3408), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3410), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [68539] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3412), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3414), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [68608] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3424), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3426), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [68677] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [68746] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3334), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3336), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [68815] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [68884] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3328), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3330), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [68953] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [69022] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3324), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3326), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69091] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3320), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3322), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69160] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3008), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3010), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69229] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3268), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3270), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69298] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3264), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3266), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69367] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3260), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3262), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69436] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3256), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3258), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69505] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3252), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3254), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69574] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3248), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3250), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69643] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3244), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3246), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69712] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3240), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3242), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69781] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3236), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3238), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69850] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3232), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3234), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69919] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3228), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3230), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [69988] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3224), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3226), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70057] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3432), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3434), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70126] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3204), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3206), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70195] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3200), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3202), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70264] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3196), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3198), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70333] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3004), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3006), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70402] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3110), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3112), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [70471] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3000), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3002), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70540] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2996), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2998), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70609] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3192), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3194), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70678] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3188), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3190), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70747] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [70816] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3184), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3186), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70885] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3180), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3182), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [70954] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3176), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3178), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [71023] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71092] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71161] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3172), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3174), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [71230] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71299] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3420), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3422), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71368] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3162), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3164), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [71437] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3158), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3160), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [71506] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3154), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3156), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [71575] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3146), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3148), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [71644] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3478), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3480), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71713] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71782] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71851] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3452), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3454), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71920] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3456), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3458), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [71989] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3142), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3144), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72058] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3138), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3140), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72127] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3134), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3136), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72196] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3130), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3132), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72265] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3126), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3128), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72334] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3122), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3124), 53,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72403] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72472] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72541] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3024), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3026), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72610] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3032), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3034), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72679] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3036), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3038), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72748] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3999), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72819] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4001), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72890] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4003), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [72961] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4005), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73032] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4007), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73103] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4009), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73174] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4011), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73245] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4013), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73316] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4015), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73387] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3460), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3462), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [73456] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3464), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3466), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [73525] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3468), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3470), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [73594] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4017), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73665] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4019), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73736] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4021), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73807] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [73876] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4023), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [73947] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4025), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74018] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4027), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74089] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4029), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74160] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4031), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74231] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [74300] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4033), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74371] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4035), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74442] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4037), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74513] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74582] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74651] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3054), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3056), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74720] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2226), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74791] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2227), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3074), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3076), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74862] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2229), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [74933] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2230), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [75004] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3484), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3486), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75073] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2232), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3058), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3060), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [75144] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [75213] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [75282] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75351] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3082), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3084), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [75420] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75489] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75558] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75627] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3070), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3072), 53,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [75696] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75765] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75834] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3506), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3508), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75903] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [75972] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76041] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76110] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76179] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76248] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76317] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76386] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76455] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76524] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76593] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76662] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3563), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3565), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76731] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3360), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3362), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76800] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3342), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3344), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76869] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3604), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3606), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [76938] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77007] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77076] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77145] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77214] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77283] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77352] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77421] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77490] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77559] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77628] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3598), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3600), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77697] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3559), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3561), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77766] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3545), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3547), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77835] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3590), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3592), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77904] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3555), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3557), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [77973] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [78042] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [78111] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3551), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3553), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [78180] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3571), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3573), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [78249] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 54,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [78318] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [78386] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [78454] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(2137), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3575), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3577), 50,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [78526] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(2142), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3581), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3583), 50,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [78598] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [78670] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    STATE(2888), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [78742] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [78810] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3118), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3120), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [78878] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(2142), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3118), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3120), 50,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [78950] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_COMMA,
    STATE(2143), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3532), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3534), 50,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [79022] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79094] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 52,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79166] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3668), 1,
      aux_sym__terminator_token1,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3797), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3670), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [79276] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3514), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3516), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [79344] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 39,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79428] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 29,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79518] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79622] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79696] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 41,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79776] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [79852] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [79960] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [80068] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80174] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 12,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80276] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    ACTIONS(4049), 1,
      sym__newline_before_do,
    STATE(4013), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2972), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2974), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [80350] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    STATE(2651), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [80422] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80522] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80618] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80712] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80804] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80892] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 40,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [80974] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 40,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [81056] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    ACTIONS(4051), 1,
      sym__newline_before_do,
    STATE(3675), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2968), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2970), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [81130] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2868), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2972), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2974), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81200] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2870), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2968), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2970), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81270] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    ACTIONS(4053), 1,
      sym__newline_before_do,
    STATE(3742), 1,
      sym_do_block,
    ACTIONS(2968), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2970), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [81344] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    ACTIONS(4055), 1,
      sym__newline_before_do,
    STATE(3740), 1,
      sym_do_block,
    ACTIONS(2972), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2974), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [81418] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(2899), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81490] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(2892), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81562] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(2911), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81634] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3448), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3450), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [81702] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4059), 1,
      anon_sym_COMMA,
    STATE(2176), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3534), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81774] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4062), 1,
      anon_sym_COMMA,
    STATE(2177), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81846] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4065), 1,
      anon_sym_COMMA,
    STATE(2143), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3522), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3524), 50,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [81918] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(2177), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [81990] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3272), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3274), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82058] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3272), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4075), 1,
      anon_sym_COMMA,
    ACTIONS(4083), 1,
      anon_sym_when,
    ACTIONS(4085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    STATE(2178), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4081), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3274), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_do,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [82172] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(2179), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [82244] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym__terminator_token1,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3797), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3666), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [82354] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3545), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3547), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82422] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3551), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3553), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82490] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3555), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3557), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82558] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2382), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2972), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2974), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82628] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2400), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2968), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2970), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82698] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3559), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3561), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82766] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82834] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3571), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3573), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82902] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [82970] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83038] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3590), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3592), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83106] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    STATE(2650), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83178] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3598), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3600), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83246] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3604), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3606), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83314] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3342), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3344), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83382] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3360), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3362), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83450] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3563), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3565), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83518] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83586] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83654] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83722] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83790] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83858] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83926] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [83994] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84062] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84130] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN,
    STATE(1865), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [84202] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN,
    STATE(1863), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [84274] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84342] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84478] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84546] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4119), 1,
      anon_sym_COMMA,
    ACTIONS(4127), 1,
      anon_sym_when,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    STATE(2281), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4125), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3274), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [84660] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84728] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84796] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84864] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [84932] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85000] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN,
    STATE(1862), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [85072] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3440), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3442), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85140] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3444), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3446), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85208] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3506), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3508), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85276] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85344] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3498), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3500), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85412] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3498), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3500), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85480] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85548] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85616] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85684] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3490), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3492), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85752] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3484), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3486), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85820] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [85892] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [85960] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86028] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3468), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3470), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86096] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3464), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3466), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86164] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3460), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3462), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86232] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3456), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3458), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86300] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3452), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3454), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86368] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3436), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3438), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86436] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3106), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3108), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86504] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3420), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3422), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86572] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86640] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3416), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [86712] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86780] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86848] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3074), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3076), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86916] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3110), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3112), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [86984] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [87052] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [87120] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [87188] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [87256] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [87324] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [87392] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [87460] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3428), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [87532] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [87600] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [87668] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3424), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3426), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [87736] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3412), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3414), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [87804] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3408), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3410), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [87872] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3368), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3370), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [87940] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3364), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3366), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88008] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3478), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3480), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88076] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3114), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3116), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88144] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3114), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3116), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88212] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88280] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88348] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88416] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88484] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3102), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3104), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88552] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3102), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3104), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88620] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88688] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88756] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88824] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88892] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3212), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3214), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [88960] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3216), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3218), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [89028] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_COMMA,
    STATE(2176), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3522), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3524), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89100] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3220), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3222), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [89168] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89236] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3510), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89306] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3512), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89376] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3528), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89446] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3530), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89516] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3539), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89586] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3541), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89656] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3543), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89726] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3549), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89796] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3588), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89866] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3594), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [89936] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90006] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3602), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90076] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3608), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90146] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3354), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90216] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3170), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90286] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3472), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90356] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3482), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90426] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3488), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90496] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3502), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90566] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3504), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90636] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90704] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90772] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90840] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90908] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [90976] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91044] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91112] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91180] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91248] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91316] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91384] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91452] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91520] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91588] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91656] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91724] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91792] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91860] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91928] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [91996] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92064] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92132] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92200] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92268] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92336] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92404] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92472] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92540] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92608] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92676] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92744] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92812] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92880] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [92948] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93016] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93084] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93152] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93220] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93288] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93356] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93424] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93492] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93560] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93628] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93696] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93764] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93832] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93900] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [93968] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [94036] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [94104] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 52,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [94172] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [94241] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [94308] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [94375] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [94442] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3404), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3406), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [94509] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4157), 1,
      anon_sym_COMMA,
    STATE(2361), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [94580] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [94647] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [94718] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [94785] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [94852] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [94919] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    ACTIONS(4163), 1,
      sym__newline_before_do,
    STATE(4345), 1,
      sym_do_block,
    ACTIONS(2968), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2970), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [94992] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95059] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [95126] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [95193] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    ACTIONS(4165), 1,
      sym__newline_before_do,
    STATE(4347), 1,
      sym_do_block,
    ACTIONS(2972), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2974), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [95266] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95333] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95400] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95467] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95536] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3674), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95605] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95672] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95739] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95808] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3532), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4083), 1,
      anon_sym_when,
    ACTIONS(4085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4081), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3534), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [95917] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3678), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [95986] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3024), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3026), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96053] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96120] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96187] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3680), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96256] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3682), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96325] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96394] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3686), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96463] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96532] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3692), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96601] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3694), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96670] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3696), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96739] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [96806] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [96875] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3440), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3442), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [96942] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_COMMA,
    STATE(2686), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3522), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3524), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [97013] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3092), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3094), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [97080] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3444), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3446), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [97147] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97214] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3032), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3034), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97281] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    STATE(2494), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3522), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3524), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97352] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3036), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3038), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97419] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97486] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97553] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97620] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97687] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [97754] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [97825] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_do,
  [97906] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_do,
  [97987] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_DASH_GT,
      anon_sym_do,
  [98074] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_DASH_GT,
      anon_sym_do,
  [98165] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 18,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_DASH_GT,
      anon_sym_do,
  [98258] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_DASH_GT,
      anon_sym_do,
  [98353] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3436), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3438), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [98420] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3106), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3108), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [98487] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3368), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3370), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [98554] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3364), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3366), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [98621] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 11,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
      anon_sym_do,
  [98720] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_do,
  [98821] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [98926] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_COMMA,
    STATE(2422), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3534), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [98997] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4127), 1,
      anon_sym_when,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [99104] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4127), 1,
      anon_sym_when,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [99211] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_DASH_GT,
      anon_sym_do,
  [99286] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 39,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_DASH_GT,
      anon_sym_do,
  [99365] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [99438] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [99509] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [99612] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
      anon_sym_do,
  [99701] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_do,
  [99784] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [99851] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2637), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [99918] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2633), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [99985] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100052] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100119] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100186] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100253] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2625), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [100320] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2629), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [100387] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2653), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [100454] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100521] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100588] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100655] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3048), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3050), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100722] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2657), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [100789] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100856] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100923] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [100990] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4177), 1,
      anon_sym_COMMA,
    STATE(2361), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101061] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101128] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101195] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3012), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3014), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101262] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [101333] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101400] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3016), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3018), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101467] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3020), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3022), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101534] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 6,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101601] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3048), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3050), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [101668] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3700), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101737] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3688), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101806] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101873] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3702), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [101942] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [102009] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [102076] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [102145] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [102214] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3704), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [102283] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3706), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [102352] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3708), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [102421] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [102488] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [102555] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [102626] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [102693] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [102760] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [102827] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3664), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4083), 1,
      anon_sym_when,
    ACTIONS(4085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4081), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3666), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [102936] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3710), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103005] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103072] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103139] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103206] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103273] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_COMMA,
    STATE(2483), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3118), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3120), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [103344] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 6,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103411] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103478] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103545] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 6,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103612] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103679] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103746] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103813] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103880] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [103947] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104014] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_COMMA,
    STATE(2494), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3534), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104085] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104152] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104219] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4187), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104288] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4189), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104357] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104424] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104491] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104558] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104625] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104692] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104759] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104826] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104893] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [104960] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [105027] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4127), 1,
      anon_sym_when,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4125), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3534), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [105136] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4191), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [105205] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3404), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3406), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105272] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3400), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3402), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105339] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3082), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3084), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [105406] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3396), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3398), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105473] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3392), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3394), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105540] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3388), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3390), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105607] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3384), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3386), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105674] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3380), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3382), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105741] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3376), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3378), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105808] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3372), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3374), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [105875] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_COMMA,
    STATE(2422), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3522), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3524), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [105946] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3356), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3358), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106013] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3346), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3348), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106080] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3208), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3210), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106147] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3334), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3336), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106214] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3328), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3330), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106281] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3324), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3326), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106348] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3320), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3322), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106415] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [106482] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [106549] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [106616] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [106683] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3268), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3270), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106750] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3264), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3266), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106817] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3260), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3262), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106884] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3256), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3258), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [106951] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3252), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3254), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [107018] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3248), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3250), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [107085] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3244), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3246), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [107152] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3240), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3242), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [107219] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3236), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3238), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [107286] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3232), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3234), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [107353] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3092), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3094), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [107420] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [107491] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3228), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3230), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [107558] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_do,
  [107641] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 27,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_do,
  [107730] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [107833] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4127), 1,
      anon_sym_when,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3664), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4125), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3666), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [107942] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_do,
  [108015] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 39,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_do,
  [108094] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_do,
  [108169] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4083), 1,
      anon_sym_when,
    ACTIONS(4085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [108276] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4083), 1,
      anon_sym_when,
    ACTIONS(4085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [108383] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3224), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3226), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [108450] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_do,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [108555] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
  [108656] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 11,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_do,
  [108755] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 15,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_do,
  [108850] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 18,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_do,
  [108943] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_do,
  [109034] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_do,
  [109121] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [109202] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [109283] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3432), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3434), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [109350] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3204), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3206), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [109417] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3200), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3202), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [109484] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3196), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3198), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [109551] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [109618] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [109685] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3082), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3084), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [109752] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [109819] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [109886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [109953] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [110020] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4177), 1,
      anon_sym_COMMA,
    STATE(2450), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110091] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110158] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110225] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110292] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110359] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110426] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110493] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110560] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(4195), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3797), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4197), 6,
      anon_sym_SEMI,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [110669] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110736] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110803] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110870] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [110937] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [111004] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4199), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [111073] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4201), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [111142] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [111209] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [111276] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3364), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3366), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [111343] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [111410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3368), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3370), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [111477] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3020), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3022), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [111544] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3192), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3194), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [111611] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_COMMA,
    STATE(2473), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [111682] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [111751] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [111820] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3188), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3190), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [111887] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3184), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3186), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [111954] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    STATE(2671), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3575), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3577), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112025] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3180), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3182), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112092] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3176), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3178), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112159] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3172), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3174), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112226] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 6,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [112293] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 6,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [112360] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3162), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3164), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112427] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3158), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3160), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112494] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3154), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3156), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112561] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3146), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3148), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [112628] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3016), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3018), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [112695] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3012), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3014), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [112762] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3228), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3230), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [112829] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    STATE(2621), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [112900] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4213), 1,
      anon_sym_COMMA,
    ACTIONS(4221), 1,
      anon_sym_when,
    ACTIONS(4223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    STATE(2718), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4219), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3274), 3,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [113013] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3400), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3402), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [113080] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3396), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3398), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [113147] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [113218] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3392), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3394), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [113285] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3388), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3390), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [113352] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3384), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3386), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [113419] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3380), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3382), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [113486] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3376), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3378), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [113553] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3142), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3144), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [113620] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3138), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3140), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [113687] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3134), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3136), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [113754] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3070), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3072), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [113821] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3130), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3132), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [113888] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3126), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3128), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [113955] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3122), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3124), 51,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [114022] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [114089] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [114156] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3372), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3374), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [114223] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 6,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [114290] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3356), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3358), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [114357] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4249), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [114426] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [114493] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3346), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3348), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [114560] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [114627] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2655), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2657), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [114694] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2651), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2653), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [114761] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    ACTIONS(4265), 1,
      anon_sym_when,
    ACTIONS(4267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    STATE(2401), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4263), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3274), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_do,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [114874] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4293), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [114943] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3461), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3058), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3060), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [115012] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3208), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3210), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [115079] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3106), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3108), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [115146] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3481), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [115215] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3475), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [115284] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3436), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3438), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [115351] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [115420] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3674), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [115489] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3472), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [115558] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3676), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [115627] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3678), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [115696] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3680), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [115765] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3682), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [115834] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    ACTIONS(3799), 1,
      anon_sym_when,
    ACTIONS(3801), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_EQ_GT,
    ACTIONS(3805), 1,
      anon_sym_EQ,
    ACTIONS(3815), 1,
      anon_sym_in,
    ACTIONS(3817), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3819), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3821), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3823), 1,
      anon_sym_DOT,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(3827), 1,
      sym__not_in,
    ACTIONS(4295), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3791), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3797), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3807), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3809), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3787), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3811), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3793), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4297), 6,
      anon_sym_SEMI,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
    ACTIONS(3813), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [115943] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [116010] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3054), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3056), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [116077] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [116146] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [116213] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3686), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [116282] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [116351] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3692), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [116420] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3694), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [116489] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3696), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [116558] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4299), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [116627] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    STATE(2483), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3581), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3583), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [116698] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3668), 1,
      sym__newline_before_do,
    ACTIONS(4071), 1,
      anon_sym_PIPE,
    ACTIONS(4083), 1,
      anon_sym_when,
    ACTIONS(4085), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4087), 1,
      anon_sym_EQ_GT,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(4099), 1,
      anon_sym_in,
    ACTIONS(4101), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4103), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4105), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4111), 1,
      sym__not_in,
    ACTIONS(4073), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4079), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4081), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4091), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4093), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3670), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4095), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4077), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4097), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [116807] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4301), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [116876] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4303), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [116945] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4305), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117014] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4307), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117083] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4309), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117152] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4311), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117221] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4313), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117290] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4315), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117359] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4317), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117428] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4319), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117497] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3070), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3072), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [117564] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4321), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117633] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4323), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117702] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_COMMA,
    STATE(2686), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3532), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3534), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117773] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4328), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [117842] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [117909] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [117976] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [118043] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    STATE(3222), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [118114] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4332), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [118183] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [118252] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    STATE(3221), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [118323] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3054), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3056), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [118390] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    STATE(3114), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [118461] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [118530] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4338), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [118599] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4340), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [118668] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4342), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [118737] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [118804] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [118871] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [118938] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2627), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2629), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [119005] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2623), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2625), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [119072] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [119141] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3700), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [119210] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [119277] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [119344] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [119411] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [119478] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3688), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [119547] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3702), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [119616] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3704), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [119685] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4344), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [119754] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4346), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [119823] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4348), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [119892] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_COMMA,
    STATE(2791), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3522), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3524), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [119963] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4352), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120032] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4354), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120101] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [120168] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [120235] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2631), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2633), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120302] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2635), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2637), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120369] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4356), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120438] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4358), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120507] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4360), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120576] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4362), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120645] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4364), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120714] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4366), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120783] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120852] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4370), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [120921] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_LBRACK2,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    ACTIONS(4127), 1,
      anon_sym_when,
    ACTIONS(4129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4131), 1,
      anon_sym_EQ_GT,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4143), 1,
      anon_sym_in,
    ACTIONS(4145), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4147), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4149), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4151), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3668), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4117), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4123), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4125), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4135), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4137), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4113), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3670), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4139), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4121), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4141), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [121030] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3706), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [121099] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4372), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121168] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4374), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121237] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3147), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2968), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2970), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [121306] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3708), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [121375] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4376), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121444] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3710), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [121513] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3334), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3336), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121580] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3141), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2972), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2974), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [121649] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3328), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3330), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121716] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4378), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121785] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3444), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3446), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121852] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3440), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3442), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121919] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4380), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [121988] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4382), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [122057] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4384), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [122126] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122193] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122260] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122327] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122394] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122461] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122528] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3324), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3326), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [122595] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3320), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3322), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [122662] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122729] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3036), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3038), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [122796] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [122863] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122930] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [122997] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123064] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123131] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [123198] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [123265] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123332] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123399] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123466] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123533] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123600] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123667] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123734] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123801] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123868] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [123935] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124002] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124069] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124136] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124203] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4386), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [124272] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3032), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3034), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [124339] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124406] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124473] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124540] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124607] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [124676] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3024), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3026), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [124743] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124810] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124877] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym_COMMA,
    STATE(2791), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3534), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [124948] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [125015] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [125082] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [125149] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [125216] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [125283] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [125350] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3020), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3022), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [125417] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3016), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3018), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [125484] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3122), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3124), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [125551] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3126), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3128), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [125618] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3130), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3132), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [125685] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3134), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3136), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [125752] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3138), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3140), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [125819] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3012), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3014), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [125886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [125953] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3142), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3144), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [126020] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126087] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126154] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126221] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126288] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126355] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126422] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126489] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126556] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126623] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 51,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_end,
  [126690] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3008), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3010), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [126757] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3268), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3270), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [126824] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3008), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3010), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [126891] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3146), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3148), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [126958] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3154), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3156), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127025] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3158), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3160), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127092] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3264), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3266), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127159] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3260), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3262), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127226] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3256), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3258), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127293] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3252), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3254), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127360] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3248), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3250), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127427] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3244), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3246), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127494] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3172), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3174), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127561] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3176), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3178), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127628] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3180), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3182), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127695] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3184), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3186), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127762] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3188), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3190), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127829] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3192), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3194), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127896] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3240), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3242), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [127963] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3236), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3238), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128030] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3162), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3164), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128097] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3232), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3234), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128164] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3224), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3226), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128231] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3432), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3434), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128298] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3204), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3206), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128365] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3200), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3202), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128432] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3196), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3198), 52,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [128499] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3004), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3006), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [128566] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [128633] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3000), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3002), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [128700] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2996), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2998), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [128767] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3008), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3010), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [128834] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [128901] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [128968] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129035] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129102] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129169] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129236] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129303] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129370] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129437] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129504] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129571] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2996), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2998), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [129638] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129705] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129772] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3000), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3002), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [129839] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129906] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [129973] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [130040] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3024), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3026), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [130107] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    ACTIONS(4391), 1,
      sym__newline_before_do,
    STATE(4145), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [130180] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3032), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3034), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [130247] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3036), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3038), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [130314] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4393), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [130383] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4395), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [130452] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4397), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [130521] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    ACTIONS(4399), 1,
      sym__newline_before_do,
    STATE(4087), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [130594] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    ACTIONS(4401), 1,
      sym__newline_before_do,
    STATE(4058), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [130667] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4403), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [130736] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4405), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [130805] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4407), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [130874] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    ACTIONS(4409), 1,
      sym__newline_before_do,
    STATE(4131), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [130947] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131014] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    ACTIONS(4411), 1,
      sym__newline_before_do,
    STATE(4330), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3058), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3060), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [131087] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4413), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131156] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131223] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3004), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3006), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131290] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3070), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3072), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [131357] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3000), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3002), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131424] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3239), 1,
      sym_do_block,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2986), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2988), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131493] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2996), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2998), 50,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131560] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [131627] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3004), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3006), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [131694] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3048), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [131763] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4421), 1,
      anon_sym_COMMA,
    ACTIONS(4429), 1,
      anon_sym_when,
    ACTIONS(4431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    STATE(2521), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3274), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4427), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3272), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [131876] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3051), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3074), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3076), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [131945] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3054), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3056), 51,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [132012] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4459), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [132081] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3044), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3058), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3060), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [132150] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3082), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3084), 52,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [132217] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3052), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [132286] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4461), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [132355] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4463), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [132424] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    ACTIONS(4465), 1,
      sym__newline_before_do,
    STATE(4214), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [132497] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4467), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [132566] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [132633] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    ACTIONS(4469), 1,
      sym__newline_before_do,
    STATE(4213), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [132706] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [132773] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    ACTIONS(4471), 1,
      sym__newline_before_do,
    STATE(4208), 1,
      sym_do_block,
    ACTIONS(3058), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3060), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [132846] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4473), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [132915] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    ACTIONS(4475), 1,
      sym__newline_before_do,
    STATE(4218), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [132988] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133055] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3047), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [133124] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3272), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4483), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_when,
    ACTIONS(4493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    STATE(2396), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4489), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3274), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [133237] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133304] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    ACTIONS(4521), 1,
      sym__newline_before_do,
    STATE(4217), 1,
      sym_do_block,
    ACTIONS(3074), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3076), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [133377] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133444] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133511] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133578] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133645] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3102), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3104), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [133711] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_do,
      anon_sym_end,
  [133803] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133869] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3008), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3010), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [133935] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134001] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3320), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3322), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134067] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3324), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3326), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134133] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3328), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3330), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134199] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3334), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3336), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134265] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3208), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3210), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134331] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3346), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3348), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134397] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3356), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3358), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134463] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3372), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3374), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134529] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3376), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3378), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134595] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3380), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3382), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134661] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3384), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3386), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134727] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3388), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3390), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134793] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3392), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3394), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134859] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3396), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3398), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134925] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3400), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3402), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [134991] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3404), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3406), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135057] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3012), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3014), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135123] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3016), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3018), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135189] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3020), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3022), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135255] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135321] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3220), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3222), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [135387] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3216), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3218), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [135453] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3212), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3214), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [135519] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135585] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135651] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [135717] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9), 1,
      aux_sym__terminator_token1,
    ACTIONS(1721), 1,
      ts_builtin_sym_end,
    ACTIONS(4523), 1,
      anon_sym_SEMI,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_when,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    STATE(354), 1,
      sym__terminator,
    STATE(1031), 1,
      aux_sym__terminator_repeat1,
    STATE(5429), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4535), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [135833] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [135899] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [135965] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136031] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136097] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3102), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3104), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136163] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136229] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136295] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136361] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [136427] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9), 1,
      aux_sym__terminator_token1,
    ACTIONS(1525), 1,
      ts_builtin_sym_end,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_when,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(4567), 1,
      anon_sym_SEMI,
    STATE(424), 1,
      sym__terminator,
    STATE(1031), 1,
      aux_sym__terminator_repeat1,
    STATE(5795), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4535), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [136543] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136609] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [136675] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [136741] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3114), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3116), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136807] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3114), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3116), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136873] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3478), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3480), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [136939] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [137005] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [137071] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [137137] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3408), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3410), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [137203] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3412), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3414), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [137269] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3424), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3426), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [137335] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [137401] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3664), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_when,
    ACTIONS(4493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4489), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3666), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [137509] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [137575] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3428), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [137645] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [137711] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3272), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3274), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [137777] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [137843] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [137909] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [137975] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [138041] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3110), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3112), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [138107] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3074), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3076), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [138173] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [138239] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [138305] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3416), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [138375] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [138441] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3420), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3422), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [138507] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [138573] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [138639] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [138705] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [138771] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [138837] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [138903] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3452), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3454), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [138969] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3456), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3458), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [139035] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139101] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139167] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3563), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3565), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139233] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3360), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3362), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139299] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3342), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3344), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139365] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3604), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3606), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139431] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3598), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3600), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139497] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
      anon_sym_end,
  [139567] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3264), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3266), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139633] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3452), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3454), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139699] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3260), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3262), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139765] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3590), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3592), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139831] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3256), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3258), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139897] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [139963] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140029] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3252), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3254), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140095] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3571), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3573), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140161] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140227] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3559), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3561), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140293] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3248), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3250), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140359] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3460), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3462), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [140425] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3464), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3466), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [140491] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3468), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3470), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [140557] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3571), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3573), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [140623] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [140689] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3244), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3246), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140755] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [140821] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3240), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3242), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140887] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3236), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3238), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [140953] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3232), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3234), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141019] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3228), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3230), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141085] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3224), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3226), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141151] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [141217] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141283] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3070), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3072), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141349] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3432), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3434), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141415] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3204), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3206), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141481] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3200), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3202), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141547] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3196), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3198), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [141613] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [141679] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_RPAREN,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4569), 1,
      aux_sym__terminator_token1,
    ACTIONS(4572), 1,
      anon_sym_SEMI,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    STATE(346), 1,
      sym__terminator,
    STATE(1034), 1,
      aux_sym__terminator_repeat1,
    STATE(5169), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4585), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [141795] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(4615), 1,
      aux_sym__terminator_token1,
    ACTIONS(4618), 1,
      anon_sym_SEMI,
    STATE(352), 1,
      sym__terminator,
    STATE(1034), 1,
      aux_sym__terminator_repeat1,
    STATE(5163), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4585), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [141911] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [141981] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3484), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3486), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142047] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3162), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3164), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [142113] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3004), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3006), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [142179] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3490), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3492), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142245] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142311] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
      anon_sym_end,
  [142381] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142447] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142513] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3498), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3500), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142579] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [142645] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3498), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3500), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142711] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142777] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3506), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3508), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [142843] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3514), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3516), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [142909] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3590), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3592), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [142975] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [143041] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 4,
      sym__newline_before_do,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [143107] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
      anon_sym_end,
  [143177] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3000), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3002), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [143243] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2996), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2998), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [143309] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3272), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3274), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [143375] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3598), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3600), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [143441] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3604), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3606), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [143507] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3342), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3344), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [143573] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3360), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3362), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [143639] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [143705] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [143771] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [143837] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [143903] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [143969] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [144035] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [144101] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [144167] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [144233] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [144299] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3563), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3565), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [144365] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [144431] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [144497] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [144563] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [144629] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [144695] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3555), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3557), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [144761] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3551), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3553), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [144827] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [144893] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [144959] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145025] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145091] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145157] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145223] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145289] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145355] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145421] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145487] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145553] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145619] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3563), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3565), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145685] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3360), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3362), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145751] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3342), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3344), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145817] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3604), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3606), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145883] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3598), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3600), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [145949] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3192), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3194), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146015] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3188), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3190), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146081] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3590), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3592), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [146147] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3184), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3186), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146213] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [146279] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [146345] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3180), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3182), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146411] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3571), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3573), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [146477] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [146543] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3559), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3561), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [146609] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3559), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3561), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [146675] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3176), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3178), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146741] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3172), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3174), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146807] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3935), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146875] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3158), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3160), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [146941] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3154), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3156), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147007] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [147073] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3146), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3148), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147139] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [147205] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [147271] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [147337] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3142), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3144), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147403] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3138), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3140), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147469] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3134), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3136), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147535] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3130), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3132), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147601] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3126), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3128), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147667] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3555), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3557), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [147733] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3551), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3553), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [147799] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3122), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3124), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [147865] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3545), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3547), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [147931] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [147997] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3555), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3557), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148063] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3551), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3553), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148129] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148195] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4621), 1,
      anon_sym_COMMA,
    STATE(3135), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3118), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 49,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148265] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3545), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3547), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148331] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3118), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148397] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148463] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148529] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148595] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3024), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3026), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [148661] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148727] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148793] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148859] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148925] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [148991] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3032), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3034), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [149057] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3036), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3038), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [149123] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3456), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3458), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [149189] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4429), 1,
      anon_sym_when,
    ACTIONS(4431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4427), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3532), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3534), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [149297] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3440), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3442), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149363] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3444), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3446), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149429] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [149495] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3508), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149561] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_COMMA,
    STATE(3225), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3575), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3577), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [149631] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    ACTIONS(4626), 1,
      sym__newline_before_do,
    STATE(4438), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149703] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149769] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3498), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3500), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149835] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3498), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3500), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149901] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [149967] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [150033] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [150099] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(2909), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [150169] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3490), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3492), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [150235] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(2902), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [150305] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4628), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150373] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4630), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150441] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(2905), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [150511] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4632), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150579] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4634), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150647] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4636), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150715] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4638), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150783] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4640), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150851] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4642), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150919] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4644), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [150987] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4646), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151055] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4648), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151123] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    STATE(2869), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [151193] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4650), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151261] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4652), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151329] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4654), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151397] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4656), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151465] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3364), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3366), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [151531] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3368), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3370), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [151597] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4658), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151665] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4660), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151733] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4662), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151801] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4664), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [151869] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4265), 1,
      anon_sym_when,
    ACTIONS(4267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3664), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4263), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3666), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [151977] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4666), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3166), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [152045] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [152115] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3484), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3486), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [152181] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 50,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [152251] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [152317] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [152383] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3468), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3470), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [152449] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4265), 1,
      anon_sym_when,
    ACTIONS(4267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3668), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4263), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3670), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [152557] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_COMMA,
    STATE(3135), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3581), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3583), 49,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [152627] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3464), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3466), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [152693] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3460), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3462), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [152759] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3054), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3056), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [152825] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3468), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3470), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [152891] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3936), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3074), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3076), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [152959] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
      anon_sym_end,
  [153039] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
      anon_sym_end,
  [153119] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_do,
      anon_sym_end,
  [153205] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 22,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_do,
      anon_sym_end,
  [153295] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3268), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3270), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [153361] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_do,
      anon_sym_end,
  [153455] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_do,
      anon_sym_end,
  [153553] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [153653] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [153757] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4221), 1,
      anon_sym_when,
    ACTIONS(4223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [153863] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4221), 1,
      anon_sym_when,
    ACTIONS(4223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [153969] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 46,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_do,
      anon_sym_end,
  [154043] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_do,
      anon_sym_end,
  [154121] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_do,
      anon_sym_end,
  [154193] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [154295] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 26,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_do,
      anon_sym_end,
  [154383] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_do,
      anon_sym_end,
  [154465] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3938), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [154533] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3939), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2986), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2988), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [154601] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [154671] = 5,
    ACTIONS(5), 1,
      sym_comment,
    STATE(3942), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3058), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3060), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [154739] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_COMMA,
    STATE(3471), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3581), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3583), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [154809] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3456), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3458), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [154875] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3452), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3454), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [154941] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3436), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3438), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155007] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3106), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3108), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155073] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3106), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3108), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [155139] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3436), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3438), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [155205] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3464), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3466), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [155271] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3420), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3422), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155337] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_COMMA,
    STATE(3198), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3575), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3577), 49,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155407] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155473] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 50,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [155543] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155609] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155675] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [155741] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3074), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3076), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155807] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3110), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3112), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [155873] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3212), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3214), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [155939] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_do,
  [156021] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_COMMA,
    STATE(3244), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3532), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3534), 48,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [156091] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156157] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 50,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [156227] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156293] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156359] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3424), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3426), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156425] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3412), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3414), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156491] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3408), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3410), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156557] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [156623] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [156689] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3368), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3370), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156755] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3420), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3422), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [156821] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3364), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3366), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [156887] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_DASH_GT,
      anon_sym_do,
  [156969] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 26,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
      anon_sym_do,
  [157057] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [157159] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [157225] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_DASH_GT,
      anon_sym_do,
  [157297] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_DASH_GT,
      anon_sym_do,
  [157375] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 46,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_DASH_GT,
      anon_sym_do,
  [157449] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_when,
    ACTIONS(4493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [157555] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_when,
    ACTIONS(4493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [157661] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [157731] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [157835] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [157935] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
      anon_sym_do,
  [158033] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_DASH_GT,
      anon_sym_do,
  [158127] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 17,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_DASH_GT,
      anon_sym_do,
  [158219] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 22,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_DASH_GT,
      anon_sym_do,
  [158309] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_DASH_GT,
      anon_sym_do,
  [158395] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_do,
  [158475] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
      anon_sym_do,
  [158555] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [158625] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [158691] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [158757] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [158827] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [158893] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_COMMA,
    STATE(3244), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3522), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3524), 48,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [158963] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 25,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_do,
  [159051] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [159153] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [159219] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_do,
  [159291] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3048), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3050), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [159357] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3114), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3116), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [159423] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3110), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3112), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [159489] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [159555] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [159621] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4429), 1,
      anon_sym_when,
    ACTIONS(4431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4427), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3664), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3666), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [159729] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3476), 45,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_do,
  [159803] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4429), 1,
      anon_sym_when,
    ACTIONS(4431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [159909] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3444), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3446), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [159975] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3440), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3442), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [160041] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4429), 1,
      anon_sym_when,
    ACTIONS(4431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [160147] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3424), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3426), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160213] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160279] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_do,
  [160357] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160423] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3412), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3414), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160489] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3408), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3410), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160555] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160621] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160687] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160753] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [160819] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4221), 1,
      anon_sym_when,
    ACTIONS(4223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3664), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4219), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3666), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [160927] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4221), 1,
      anon_sym_when,
    ACTIONS(4223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3668), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4219), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3670), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [161035] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4209), 1,
      anon_sym_PIPE,
    ACTIONS(4221), 1,
      anon_sym_when,
    ACTIONS(4223), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4225), 1,
      anon_sym_EQ_GT,
    ACTIONS(4227), 1,
      anon_sym_EQ,
    ACTIONS(4237), 1,
      anon_sym_in,
    ACTIONS(4239), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4241), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4243), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4245), 1,
      anon_sym_DOT,
    ACTIONS(4247), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4211), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4217), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4219), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4229), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4231), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3534), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_do,
      anon_sym_end,
    ACTIONS(4207), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4233), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4215), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4235), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [161143] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [161209] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3216), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3218), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [161275] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3114), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3116), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [161341] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3220), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3222), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [161407] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [161473] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [161539] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [161605] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3272), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4685), 1,
      anon_sym_COMMA,
    ACTIONS(4693), 1,
      anon_sym_when,
    ACTIONS(4695), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    STATE(3281), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3274), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4691), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [161717] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [161783] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [161849] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3478), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3480), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [161915] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [161981] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3460), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3462), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [162047] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    STATE(2875), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [162117] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_do,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [162221] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3865), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [162289] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3872), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [162357] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3863), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [162425] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3861), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [162493] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [162559] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3859), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [162627] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [162693] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3102), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3104), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [162759] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3102), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3104), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [162825] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [162891] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3857), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [162959] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [163025] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3212), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3214), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [163091] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3216), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3218), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [163157] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_COMMA,
    STATE(3339), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [163227] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3220), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3222), 51,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [163293] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [163361] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [163429] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_end,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4722), 1,
      aux_sym__terminator_token1,
    ACTIONS(4725), 1,
      anon_sym_SEMI,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      anon_sym_when,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    STATE(348), 1,
      sym__terminator,
    STATE(1029), 1,
      aux_sym__terminator_repeat1,
    STATE(5889), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [163545] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3853), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [163613] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3851), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [163681] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3849), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [163749] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_do,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [163847] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [163913] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [163979] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_do,
  [164073] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_end,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      anon_sym_when,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(4768), 1,
      aux_sym__terminator_token1,
    ACTIONS(4771), 1,
      anon_sym_SEMI,
    STATE(349), 1,
      sym__terminator,
    STATE(1029), 1,
      aux_sym__terminator_repeat1,
    STATE(5601), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [164189] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3514), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3516), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [164255] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3847), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164323] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164389] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164455] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164521] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164587] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164653] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164719] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164785] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164851] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164917] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [164983] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165049] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165115] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165181] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165247] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165313] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165379] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165445] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165511] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165577] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165643] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3845), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165711] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3837), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165779] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_do,
  [165871] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [165937] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166003] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166069] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166135] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_COMMA,
    STATE(3339), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166205] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3835), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166273] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3779), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166341] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_COMMA,
    STATE(3384), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3118), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3120), 48,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [166411] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3777), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166479] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166545] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166611] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3775), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166679] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [166745] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166811] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [166877] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [166943] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3773), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167011] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [167077] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167143] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167209] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167275] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167341] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167407] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [167473] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3771), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167541] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3769), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167609] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3855), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [167677] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_do,
  [167767] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_do,
  [167853] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    STATE(2880), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [167923] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [168003] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168069] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2657), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [168135] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168201] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4779), 1,
      anon_sym_COMMA,
    STATE(3474), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3522), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3524), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [168271] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3092), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3094), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [168337] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168403] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168469] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168535] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [168615] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168681] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168747] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [168827] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [168907] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [168973] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [169039] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_do,
  [169125] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_do,
  [169215] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_do,
  [169307] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_do,
  [169401] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_do,
  [169499] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [169599] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_do,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [169703] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4265), 1,
      anon_sym_when,
    ACTIONS(4267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [169809] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4265), 1,
      anon_sym_when,
    ACTIONS(4267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [169915] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 46,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_do,
  [169989] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_do,
  [170067] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_do,
  [170139] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [170241] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 26,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_do,
  [170329] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_do,
  [170411] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [170481] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [170581] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3118), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3120), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [170647] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3082), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3084), 50,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [170713] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_COMMA,
    STATE(3381), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [170783] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3448), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3450), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
      anon_sym_do,
  [170849] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3506), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3508), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [170915] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3364), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3366), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [170981] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3368), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3370), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171047] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171113] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3106), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3108), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171179] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3448), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3450), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171245] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3436), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3438), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171311] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3444), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3446), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171377] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3668), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_when,
    ACTIONS(4493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4489), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3670), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [171485] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4781), 1,
      anon_sym_COMMA,
    STATE(3384), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3581), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3583), 48,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171555] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3440), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3442), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171621] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [171687] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [171753] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [171819] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [171885] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [171951] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172017] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3490), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3492), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [172083] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [172149] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172215] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172281] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172347] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172413] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172479] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172545] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [172611] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3484), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3486), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [172677] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4783), 1,
      anon_sym_COMMA,
    STATE(3471), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3118), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3120), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [172747] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [172813] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [172879] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COMMA,
    STATE(3474), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3532), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3534), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [172949] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [173015] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [173081] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [173147] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3545), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3547), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [173213] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3532), 1,
      sym__newline_before_do,
    ACTIONS(4479), 1,
      anon_sym_PIPE,
    ACTIONS(4491), 1,
      anon_sym_when,
    ACTIONS(4493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4495), 1,
      anon_sym_EQ_GT,
    ACTIONS(4497), 1,
      anon_sym_EQ,
    ACTIONS(4507), 1,
      anon_sym_in,
    ACTIONS(4509), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4511), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4513), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4515), 1,
      anon_sym_DOT,
    ACTIONS(4517), 1,
      anon_sym_LBRACK2,
    ACTIONS(4519), 1,
      sym__not_in,
    ACTIONS(4481), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4489), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4499), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4501), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3534), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_do,
    ACTIONS(4477), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4503), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4485), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4505), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [173321] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3478), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3480), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [173387] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [173453] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    ACTIONS(4789), 1,
      sym__newline_before_do,
    STATE(4545), 1,
      sym_do_block,
    ACTIONS(3074), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3076), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [173525] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2637), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [173591] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    ACTIONS(4791), 1,
      sym__newline_before_do,
    STATE(4431), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [173663] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    ACTIONS(4793), 1,
      sym__newline_before_do,
    STATE(4425), 1,
      sym_do_block,
    ACTIONS(2986), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2988), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [173735] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2633), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [173801] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    ACTIONS(4795), 1,
      sym__newline_before_do,
    STATE(4420), 1,
      sym_do_block,
    ACTIONS(3058), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3060), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [173873] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2625), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [173939] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK2,
    ACTIONS(4253), 1,
      anon_sym_PIPE,
    ACTIONS(4265), 1,
      anon_sym_when,
    ACTIONS(4267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4269), 1,
      anon_sym_EQ_GT,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      anon_sym_in,
    ACTIONS(4283), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4285), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4289), 1,
      anon_sym_DOT,
    ACTIONS(4291), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3532), 2,
      sym__newline_before_do,
      aux_sym__terminator_token1,
    ACTIONS(4255), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4263), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4273), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4275), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3534), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4251), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4277), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4259), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4279), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [174047] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(4429), 1,
      anon_sym_when,
    ACTIONS(4431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      anon_sym_EQ_GT,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4445), 1,
      anon_sym_in,
    ACTIONS(4447), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4449), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4451), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4453), 1,
      anon_sym_DOT,
    ACTIONS(4455), 1,
      anon_sym_LBRACK2,
    ACTIONS(4457), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4419), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4425), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4427), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3668), 3,
      sym__newline_before_do,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3670), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4437), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4439), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4415), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4441), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4423), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4443), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [174155] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2629), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [174221] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3272), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4803), 1,
      anon_sym_COMMA,
    ACTIONS(4811), 1,
      anon_sym_when,
    ACTIONS(4813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    STATE(3411), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3274), 2,
      anon_sym_GT_GT,
      anon_sym_do,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4809), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [174333] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 5,
      sym__newline_before_do,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [174399] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4781), 1,
      anon_sym_COMMA,
    STATE(3453), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3575), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3577), 48,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [174469] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [174535] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 51,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [174601] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2653), 50,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [174667] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [174732] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
  [174829] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [174894] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 5,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [174959] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175024] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175089] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 5,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175154] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3008), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3010), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175219] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175284] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175349] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175414] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175479] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175544] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4841), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175611] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175676] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4843), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175743] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175808] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [175873] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3272), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3274), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [175938] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4845), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176005] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176070] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4847), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176137] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_COMMA,
    STATE(3520), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176206] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4852), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176273] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4854), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176340] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4856), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176407] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176472] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4858), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176539] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3054), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3056), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176604] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176669] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176734] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3244), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3246), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [176799] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [176864] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [176931] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [176998] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4860), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177065] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177130] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4862), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177197] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177262] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177327] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177392] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    STATE(3156), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177461] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177526] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    STATE(3484), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177595] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177660] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177725] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177790] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177855] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177920] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    STATE(3485), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [177989] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178054] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178119] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178184] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178249] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178314] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178379] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178444] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178509] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4864), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178576] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4866), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178643] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4868), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178710] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178775] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178840] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178907] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_COMMA,
    STATE(3562), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [178976] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179041] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2996), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2998), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179106] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179171] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179236] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179301] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4875), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179368] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179433] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4877), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179500] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4879), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179567] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179632] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4881), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179699] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179764] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4883), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179831] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179896] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [179961] = 26,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4893), 1,
      anon_sym_COMMA,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    STATE(6046), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(4885), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [180070] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180135] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180200] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180265] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180330] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180395] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180460] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180525] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180590] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180655] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180720] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180785] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COMMA,
    STATE(3562), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180854] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180919] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 5,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [180984] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181049] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 5,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181114] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181179] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181244] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181309] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181374] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181439] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181504] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181569] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4929), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181636] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181701] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181766] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 5,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181831] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181896] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [181961] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4927), 1,
      anon_sym_COMMA,
    STATE(3590), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [182030] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [182095] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [182160] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [182225] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [182290] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3534), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [182395] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [182460] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [182539] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 5,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [182604] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [182683] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_do,
  [182768] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_do,
  [182857] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 16,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_do,
  [182948] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_do,
  [183041] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_do,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [183138] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [183237] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4695), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_do,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [183340] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4693), 1,
      anon_sym_when,
    ACTIONS(4695), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [183445] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4693), 1,
      anon_sym_when,
    ACTIONS(4695), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [183550] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 45,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_do,
  [183623] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_do,
  [183700] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_do,
  [183771] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [183872] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 25,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_do,
  [183959] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_do,
  [184040] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [184105] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3012), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3014), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [184170] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [184235] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3020), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3022), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [184300] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3016), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3018), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [184365] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3020), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3022), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [184430] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3016), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3018), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [184495] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3012), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3014), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [184560] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3404), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3406), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [184625] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3400), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3402), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [184690] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3396), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3398), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [184755] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3392), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3394), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [184820] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3664), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(4931), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3666), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [184927] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [184992] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [185057] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
  [185126] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
  [185195] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [185260] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3388), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3390), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [185325] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3670), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [185430] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [185495] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3384), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3386), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [185560] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3380), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3382), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [185625] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3376), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3378), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [185690] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3372), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3374), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [185755] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3356), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3358), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [185820] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [185885] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [185950] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [186015] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3346), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3348), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186080] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3208), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3210), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186145] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3334), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3336), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186210] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3328), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3330), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186275] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3324), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3326), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186340] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    STATE(3667), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3118), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 48,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186409] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3320), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3322), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186474] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3008), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3010), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186539] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3268), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3270), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186604] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [186669] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3448), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3450), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [186734] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3264), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3266), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186799] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3260), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3262), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186864] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3032), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3034), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [186929] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3256), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3258), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [186994] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3036), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3038), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [187059] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3252), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3254), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187124] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3248), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3250), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187189] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3240), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3242), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187254] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3236), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3238), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187319] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3232), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3234), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187384] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3228), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3230), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187449] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_DASH_GT,
  [187530] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 26,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
  [187617] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [187718] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_DASH_GT,
  [187789] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3224), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3226), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187854] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_COMMA,
    STATE(3667), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3581), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3583), 48,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187923] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3432), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3434), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [187988] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3204), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3206), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [188053] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3200), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3202), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [188118] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3196), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3198), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [188183] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3004), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3006), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [188248] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3000), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3002), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [188313] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2996), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2998), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [188378] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3476), 46,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_DASH_GT,
  [188451] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(4931), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [188556] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(4931), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [188661] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [188764] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [188863] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3514), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3516), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [188928] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_DASH_GT,
  [189021] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_DASH_GT,
  [189112] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_DASH_GT,
  [189201] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_DASH_GT,
  [189286] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
  [189365] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
  [189444] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
  [189513] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3082), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3084), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [189578] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3192), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3194), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [189643] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3188), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3190), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [189708] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3184), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3186), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [189773] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3180), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3182), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [189838] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3176), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3178), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [189903] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [189968] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [190033] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3172), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3174), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190098] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3162), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3164), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190163] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [190228] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [190293] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3158), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3160), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190358] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3154), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3156), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190423] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [190488] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [190553] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3146), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3148), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190618] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3142), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3144), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190683] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3138), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3140), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190748] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_COMMA,
    STATE(3689), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3575), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3577), 48,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190817] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [190882] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3134), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3136), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [190947] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3130), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3132), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191012] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3126), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3128), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191077] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3122), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3124), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191142] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4938), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191209] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191274] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191339] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3118), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3120), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [191404] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [191469] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3024), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3026), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191534] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_DASH_GT,
  [191611] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3032), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3034), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191676] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3036), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3038), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [191741] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [191806] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3228), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3230), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [191871] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [191936] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [192001] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [192066] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [192131] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [192196] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [192261] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [192326] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3404), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3406), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192391] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3400), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3402), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192456] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3396), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3398), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192521] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3392), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3394), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192586] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3388), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3390), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192651] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3384), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3386), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192716] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3380), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3382), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192781] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3376), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3378), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192846] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3372), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3374), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192911] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [192976] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3356), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3358), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193041] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193106] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193171] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193236] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [193301] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3346), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3348), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193366] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3208), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3210), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193431] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3334), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3336), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193496] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3328), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3330), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193561] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193626] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193691] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3324), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3326), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193756] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3320), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3322), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193821] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_COMMA,
    STATE(3776), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193890] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3268), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3270), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [193955] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3264), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3266), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194020] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3260), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3262), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194085] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3256), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3258), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194150] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2655), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2657), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [194215] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3252), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3254), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194280] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3248), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3250), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194345] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3244), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3246), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3240), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3242), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194475] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3236), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3238), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194540] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3232), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3234), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194605] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2651), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2653), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [194670] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3224), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3226), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194735] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3432), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3434), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194800] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3204), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3206), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194865] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194930] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_COMMA,
    STATE(3776), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [194999] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3000), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3002), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [195064] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2627), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2629), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [195129] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3196), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3198), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195194] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2623), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2625), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [195259] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3192), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3194), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195324] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3188), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3190), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195389] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195454] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195519] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195584] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3172), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3174), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195649] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3162), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3164), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195714] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3158), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3160), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195779] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3154), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3156), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195844] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195909] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3142), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3144), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [195974] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3138), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3140), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [196039] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [196104] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [196169] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [196234] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3122), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3124), 50,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [196299] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3440), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3442), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [196364] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3444), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3446), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [196429] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2631), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2633), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [196494] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2635), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2637), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [196559] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4945), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [196626] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4947), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [196693] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4949), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [196760] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4951), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [196827] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4953), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [196894] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [196959] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197024] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4955), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [197091] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3004), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3006), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197156] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4957), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [197223] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197288] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197353] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4959), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [197420] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197485] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 50,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197550] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4961), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [197617] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3972), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197684] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3954), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197751] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3956), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197818] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3958), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [197885] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3954), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [197952] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3956), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198019] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3958), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198086] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3960), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198153] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3962), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198220] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3964), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198287] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3966), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198354] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3968), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198421] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3970), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198488] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3972), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198555] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3974), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198622] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3976), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198689] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3978), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198756] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3980), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198823] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3982), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198890] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3984), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [198957] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3986), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [199024] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3988), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [199091] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3990), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [199158] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3992), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [199225] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3436), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3438), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [199290] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3106), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3108), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [199355] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LBRACK2,
    ACTIONS(3668), 1,
      aux_sym__terminator_token1,
    ACTIONS(3728), 1,
      anon_sym_PIPE,
    ACTIONS(3743), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_EQ_GT,
    ACTIONS(3747), 1,
      anon_sym_EQ,
    ACTIONS(3757), 1,
      anon_sym_in,
    ACTIONS(3759), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(3761), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(3763), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3765), 1,
      anon_sym_DOT,
    ACTIONS(3767), 1,
      sym__not_in,
    ACTIONS(4931), 1,
      anon_sym_when,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3730), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3749), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(3751), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3670), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(3726), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3753), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3755), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [199462] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3960), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [199529] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3962), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [199596] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3964), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [199663] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3966), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [199730] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3968), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [199797] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3970), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [199864] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3974), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [199931] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4963), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [199998] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3976), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200065] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3978), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200132] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3532), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4811), 1,
      anon_sym_when,
    ACTIONS(4813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4809), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3534), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_do,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [200239] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3126), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3128), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200304] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3368), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3370), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [200369] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3364), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3366), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [200434] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3980), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200501] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3982), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200568] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3054), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3056), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [200633] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3984), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200700] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3986), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200767] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3988), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200834] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3990), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200901] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3992), 1,
      aux_sym_sigil_token3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3166), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3168), 49,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [200968] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201033] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3545), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3547), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201098] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_COMMA,
    STATE(3793), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 3,
      sym__not_in,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_end,
  [201167] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3551), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3553), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201232] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3555), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3557), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201297] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3559), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3561), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201362] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201427] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3571), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3573), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201492] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201557] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3567), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3569), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201622] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3070), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3072), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [201687] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3668), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4811), 1,
      anon_sym_when,
    ACTIONS(4813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4809), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3670), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_do,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [201794] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3364), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3366), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [201859] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3368), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3370), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [201924] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3590), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3592), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [201989] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3598), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3600), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202054] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3604), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3606), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202119] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3342), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3344), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202184] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3360), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3362), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202249] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3563), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3565), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202314] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202379] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3184), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3186), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [202444] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202509] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202574] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202639] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202704] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202769] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202834] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202899] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [202964] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203029] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203094] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4965), 1,
      anon_sym_COMMA,
    STATE(3520), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3581), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3583), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [203163] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3146), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3148), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [203228] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3106), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3108), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [203293] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3436), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3438), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [203358] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3460), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3462), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203423] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203488] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203553] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203618] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203683] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203748] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203813] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [203878] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3664), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4693), 1,
      anon_sym_when,
    ACTIONS(4695), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4691), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3666), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [203985] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3518), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3520), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204050] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [204115] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [204180] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2655), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [204245] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4965), 1,
      anon_sym_COMMA,
    STATE(3915), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3575), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3577), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [204314] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2651), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [204379] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3506), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3508), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204444] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204509] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3498), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3500), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204574] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3498), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3500), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204639] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204704] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3494), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3496), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204769] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3082), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3084), 50,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [204834] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204899] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3490), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3492), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [204964] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3484), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3486), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [205029] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [205098] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [205177] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_do,
  [205256] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_do,
  [205341] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_do,
  [205430] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 16,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_do,
  [205521] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_do,
  [205614] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_do,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [205711] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3220), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3222), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [205776] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [205875] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_do,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [205978] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [206043] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4811), 1,
      anon_sym_when,
    ACTIONS(4813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [206148] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3216), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3218), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [206213] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3444), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3446), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [206278] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3440), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3442), 50,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [206343] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3176), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3178), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [206408] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4811), 1,
      anon_sym_when,
    ACTIONS(4813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_do,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [206513] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 45,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_do,
  [206586] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_do,
  [206663] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_do,
  [206734] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3474), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3476), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [206799] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_do,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [206900] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__newline_before_do,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 25,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_do,
  [206987] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3474), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_do,
  [207068] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3468), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3470), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [207133] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3464), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3466), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [207198] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4967), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [207265] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3456), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3458), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [207330] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3452), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3454), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [207395] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [207460] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [207539] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [207618] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [207701] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 22,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
  [207788] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 17,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
  [207877] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 14,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
  [207968] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 10,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
  [208063] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [208160] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [208261] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [208326] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [208429] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [208532] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 46,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
  [208605] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 38,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
  [208682] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
  [208753] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2627), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [208818] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [208917] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 26,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [209002] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
  [209083] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3200), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3202), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [209148] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2623), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [209213] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3420), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3422), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [209278] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [209343] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3416), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [209412] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [209477] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3416), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3418), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [209542] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3074), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3076), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [209607] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3110), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3112), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [209672] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3212), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3214), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [209737] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3666), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [209842] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [209907] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3130), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3132), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [209972] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [210037] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4969), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [210104] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4971), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [210171] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3180), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3182), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [210236] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [210301] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3070), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3072), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [210366] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3024), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3026), 49,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [210431] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [210496] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3096), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3098), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [210561] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3086), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3088), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [210626] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4973), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [210693] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4975), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [210760] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4977), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [210827] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3102), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3104), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [210892] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4979), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [210959] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4981), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [211026] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [211091] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(3428), 2,
      sym__newline_before_do,
      sym__not_in,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_do,
  [211160] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [211225] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3664), 1,
      sym__newline_before_do,
    ACTIONS(4799), 1,
      anon_sym_PIPE,
    ACTIONS(4811), 1,
      anon_sym_when,
    ACTIONS(4813), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4815), 1,
      anon_sym_EQ_GT,
    ACTIONS(4817), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4831), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_DOT,
    ACTIONS(4837), 1,
      anon_sym_LBRACK2,
    ACTIONS(4839), 1,
      sym__not_in,
    ACTIONS(4801), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4807), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4809), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3666), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_do,
    ACTIONS(4819), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4821), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4797), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4823), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4825), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [211332] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3102), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3104), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [211397] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3428), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3430), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [211462] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3424), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3426), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [211527] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3412), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3414), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [211592] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3408), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3410), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [211657] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3668), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4693), 1,
      anon_sym_when,
    ACTIONS(4695), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4691), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3670), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [211764] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [211829] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3532), 1,
      sym__newline_before_do,
    ACTIONS(4107), 1,
      anon_sym_DOT,
    ACTIONS(4109), 1,
      anon_sym_LBRACK2,
    ACTIONS(4681), 1,
      anon_sym_PIPE,
    ACTIONS(4693), 1,
      anon_sym_when,
    ACTIONS(4695), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4697), 1,
      anon_sym_EQ_GT,
    ACTIONS(4699), 1,
      anon_sym_EQ,
    ACTIONS(4709), 1,
      anon_sym_in,
    ACTIONS(4711), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4713), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4715), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4717), 1,
      sym__not_in,
    ACTIONS(4683), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4689), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4691), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3534), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(4701), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4703), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4679), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4705), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4687), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4707), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [211936] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [212001] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [212066] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2631), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [212131] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2635), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [212196] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [212263] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [212330] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3478), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3480), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [212395] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3114), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3116), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [212460] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3114), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3116), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [212525] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [212590] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4983), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [212657] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3150), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3152), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [212722] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2980), 3,
      sym__newline_before_do,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(2982), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
      anon_sym_do,
  [212787] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3134), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3136), 49,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [212852] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [212916] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [212980] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4985), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [213046] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [213110] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3452), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3454), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [213174] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3456), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3458), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [213238] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3436), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3438), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [213302] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3452), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3454), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [213366] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_end,
  [213434] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3498), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3500), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [213498] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3436), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3438), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [213562] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3106), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3108), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [213626] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_end,
  [213694] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [213758] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3420), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3422), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [213822] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [213886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3212), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3214), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [213950] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_end,
  [214018] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3456), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3458), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214082] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
  [214150] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214214] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214278] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214342] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214406] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4585), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3666), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [214512] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214578] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214644] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [214712] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3106), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3108), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214776] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214840] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
  [214932] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2627), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2629), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [214996] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_COMMA,
    STATE(4086), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3575), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3577), 47,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215064] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_when,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3670), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [215168] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2623), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2625), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215232] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3598), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3600), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215296] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [215364] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_COMMA,
    STATE(4088), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3581), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3583), 47,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215432] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215496] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5031), 1,
      anon_sym_COMMA,
    STATE(4088), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3118), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 47,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215564] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3420), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3422), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215628] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3571), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3573), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215692] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [215756] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [215820] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3567), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3569), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215884] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [215948] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3074), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3076), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [216012] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COMMA,
    STATE(4109), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3575), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3577), 47,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [216080] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3551), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3553), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [216144] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3110), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3112), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [216208] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [216272] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3054), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3056), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [216336] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3096), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3098), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [216400] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3412), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3414), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [216464] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [216528] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
  [216596] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [216660] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_when,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3666), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [216764] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [216828] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3424), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3426), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [216892] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3581), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3583), 47,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [216960] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_end,
  [217040] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3440), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3442), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [217104] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3444), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3446), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [217168] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
  [217248] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 25,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [217334] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [217434] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
  [217504] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
  [217580] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3476), 45,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
  [217652] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [217716] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [217820] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [217924] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [218026] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [218124] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [218220] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 45,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_DASH_GT,
  [218292] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
  [218382] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3216), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3218), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [218446] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
  [218534] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_when,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3668), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3670), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4535), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [218640] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 25,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_end,
  [218726] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [218790] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [218868] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [218946] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_end,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [219046] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_end,
  [219116] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_end,
  [219192] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [219260] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3476), 45,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_end,
  [219332] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      anon_sym_when,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_end,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [219436] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      anon_sym_when,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_end,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [219540] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_end,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [219642] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [219738] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_end,
  [219830] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_end,
  [219920] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3494), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3496), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [219984] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3418), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [220052] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2635), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2637), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [220116] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2631), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2633), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [220180] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_end,
  [220268] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_end,
  [220352] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2623), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2625), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [220416] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2627), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2629), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [220480] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_end,
  [220558] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      aux_sym__terminator_token1,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_end,
  [220636] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2651), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2653), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [220700] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2655), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2657), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [220764] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3368), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3370), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [220828] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3460), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3462), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [220892] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3464), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3466), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [220956] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3468), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3470), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [221020] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3220), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3222), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [221084] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [221148] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_DASH_GT,
  [221228] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 25,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DASH_GT,
  [221312] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [221410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [221474] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3590), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3592), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [221538] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_DASH_GT,
  [221608] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 37,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_DASH_GT,
  [221684] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3416), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3418), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [221748] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3074), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3076), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [221812] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5036), 1,
      anon_sym_COMMA,
    STATE(4172), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3118), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 47,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [221880] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3070), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3072), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [221944] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_when,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [222046] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3408), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3410), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [222110] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3436), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3438), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [222174] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3106), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3108), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [222238] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_when,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_DASH_GT,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [222340] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_end,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [222438] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3506), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3508), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [222502] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2631), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2633), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [222566] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [222666] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [222762] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 9,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [222856] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3368), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3370), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [222920] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3364), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3366), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [222984] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2635), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2637), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [223048] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 13,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_DASH_GT,
  [223138] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3545), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3547), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [223202] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3559), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3561), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [223266] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 16,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_DASH_GT,
  [223354] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 21,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_DASH_GT,
  [223440] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3110), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3112), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [223504] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5039), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [223570] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3555), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3557), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [223634] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3364), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3366), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [223698] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_DASH_GT,
  [223780] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
  [223858] = 26,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(5041), 1,
      anon_sym_RPAREN,
    ACTIONS(5043), 1,
      anon_sym_COMMA,
    ACTIONS(5046), 1,
      anon_sym_when,
    ACTIONS(5049), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [223966] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3086), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3088), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [224030] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_DASH_GT,
  [224108] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
  [224176] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3114), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3116), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224240] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [224304] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3484), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3486), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224368] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224432] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3102), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3104), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [224496] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3490), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3492), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224560] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224624] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224688] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224752] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [224836] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224900] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [224964] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3498), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3500), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225028] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225092] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3498), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3500), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225156] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225220] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3508), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225284] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225348] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3102), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3104), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225412] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5051), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [225478] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [225542] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3102), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3104), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225606] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3440), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3442), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225670] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225734] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225798] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225862] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225926] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3212), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3214), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [225990] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3216), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3218), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226054] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226118] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226182] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3444), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3446), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226246] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226310] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3604), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3606), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [226374] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226438] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226502] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226566] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226630] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226694] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3220), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3222), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [226758] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3020), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3022), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [226822] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3016), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3018), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [226886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3012), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3014), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [226950] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3404), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3406), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227014] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3400), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3402), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227078] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5053), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227144] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5055), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227210] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3396), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3398), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227274] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3392), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3394), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227338] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3388), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3390), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227402] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3384), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3386), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227466] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227530] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3082), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3084), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227594] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3380), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3382), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227658] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3376), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3378), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227722] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3372), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3374), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227786] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [227850] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [227914] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5057), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [227980] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [228046] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5061), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [228112] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228176] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228240] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5063), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [228306] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228370] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228434] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5065), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [228500] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3356), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3358), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [228564] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228628] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228692] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228756] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5067), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [228822] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3563), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3565), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [228950] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5069), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229016] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3346), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3348), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229080] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3208), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3210), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229144] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3334), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3336), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229208] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3328), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3330), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229272] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3324), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3326), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229336] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3320), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3322), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229400] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5071), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229466] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5073), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229532] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3008), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3010), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229596] = 26,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_COMMA,
    ACTIONS(2914), 1,
      anon_sym_DASH_GT,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(5075), 1,
      anon_sym_when,
    STATE(6121), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [229704] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229768] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3268), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3270), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229832] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3264), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3266), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [229896] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3360), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3362), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [229960] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3342), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3344), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230024] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3604), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3606), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230088] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3598), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3600), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230152] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3260), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3262), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [230216] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3256), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3258), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [230280] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3590), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3592), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230344] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [230408] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230472] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3478), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3480), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230536] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3252), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3254), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [230600] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3571), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3573), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230664] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230728] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3559), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3561), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [230792] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3248), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3250), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [230856] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3244), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3246), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [230920] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3240), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3242), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [230984] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3236), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3238), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231048] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3668), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4585), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3670), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [231154] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3232), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3234), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231218] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3228), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3230), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231282] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3224), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3226), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231346] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3432), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3434), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231410] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3204), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3206), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231474] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3200), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3202), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231538] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3196), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3198), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231602] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5078), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231668] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [231732] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3430), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [231800] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231864] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5080), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [231930] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_when,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3664), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3666), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4535), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [232036] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3004), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3006), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232100] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5082), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232166] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5084), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232232] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5086), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232298] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3428), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3430), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232362] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5088), 1,
      aux_sym_sigil_token3,
    ACTIONS(3166), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3168), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232428] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232492] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3490), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3492), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232556] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3424), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3426), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232620] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3412), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3414), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232684] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3460), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3462), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232748] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3464), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3466), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232812] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3000), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3002), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232876] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3408), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3410), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [232940] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3468), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3470), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233004] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3368), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3370), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233068] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3364), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3366), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233132] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3668), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      anon_sym_when,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3670), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [233238] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
  [233318] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 24,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [233404] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [233504] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3036), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3038), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233568] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3032), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3034), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233632] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233696] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3024), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3026), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233760] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3478), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3480), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233824] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233888] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3118), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3120), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [233952] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
  [234028] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2996), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2998), 49,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [234092] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3474), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3476), 44,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
  [234164] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3114), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3116), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [234228] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3114), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3116), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [234292] = 26,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5090), 1,
      anon_sym_RPAREN,
    ACTIONS(5092), 1,
      anon_sym_COMMA,
    STATE(6241), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [234400] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_when,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3476), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [234504] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3555), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3557), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [234568] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2651), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2653), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [234632] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3551), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3553), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [234696] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3150), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3152), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [234760] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3545), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3547), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [234824] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_when,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3476), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [234928] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3476), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [234992] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3476), 46,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
  [235062] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3444), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3446), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [235126] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [235224] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [235320] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3440), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3442), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [235384] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 12,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
  [235476] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 15,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
  [235566] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
  [235654] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 33,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [235738] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [235816] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2655), 3,
      sym__not_in,
      aux_sym_quoted_keyword_token1,
      anon_sym_LBRACK2,
    ACTIONS(2657), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [235880] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3122), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3124), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [235944] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3126), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3128), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236008] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3130), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3132), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236072] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3134), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3136), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236136] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3138), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3140), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236200] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3142), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3144), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236264] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236328] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [236392] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3342), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3344), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236456] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3474), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [236534] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3146), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3148), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236598] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 3,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [236666] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3154), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3156), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236730] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3360), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3362), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236794] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3484), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3486), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236858] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3563), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3565), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236922] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [236986] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3118), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 49,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_DOT,
  [237050] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3474), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [237152] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237216] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237280] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3664), 1,
      aux_sym__terminator_token1,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      anon_sym_when,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3666), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [237386] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3158), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3160), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237450] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3162), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3164), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237514] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237578] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237642] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237706] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237770] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237834] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3172), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3174), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237898] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3176), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3178), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [237962] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3180), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3182), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238026] = 26,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_GT_GT,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5100), 1,
      anon_sym_COMMA,
    ACTIONS(5108), 1,
      anon_sym_when,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    STATE(6714), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5106), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [238134] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238198] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3184), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3186), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238262] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3188), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3190), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238326] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238390] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238454] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238518] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3192), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3194), 49,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      aux_sym_sigil_token3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238582] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(3518), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(3520), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238646] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(2980), 4,
      sym__not_in,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
      anon_sym_LBRACK2,
    ACTIONS(2982), 48,
      anon_sym_SEMI,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238710] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238773] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 24,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [238856] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3490), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3492), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238919] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [238982] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5108), 1,
      anon_sym_when,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(3670), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5106), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [239085] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3484), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3486), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239148] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 47,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [239215] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239278] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3456), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3458), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239341] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3452), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3454), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239404] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239467] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3478), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3480), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239530] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3436), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3438), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239593] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239656] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3498), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3500), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239719] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3102), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3104), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239782] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239845] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3368), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3370), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239908] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3102), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3104), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [239971] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [240048] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3494), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3496), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [240111] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 20,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
  [240196] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 15,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
  [240283] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(5041), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [240386] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 12,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
  [240475] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [240568] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [240663] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3506), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3508), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [240726] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [240825] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3598), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3600), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [240888] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3590), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3592), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [240951] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241014] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3106), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3108), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241077] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241140] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5108), 1,
      anon_sym_when,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3476), 4,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [241241] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3478), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3843), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3480), 46,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241306] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5108), 1,
      anon_sym_when,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3476), 4,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [241407] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 44,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
  [241478] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_SEMI,
    ACTIONS(4527), 1,
      anon_sym_PIPE,
    ACTIONS(4537), 1,
      anon_sym_when,
    ACTIONS(4539), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4541), 1,
      anon_sym_EQ_GT,
    ACTIONS(4543), 1,
      anon_sym_EQ,
    ACTIONS(4553), 1,
      anon_sym_in,
    ACTIONS(4555), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4557), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4559), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4561), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_LBRACK2,
    ACTIONS(4565), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4295), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(4529), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4533), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4535), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4545), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4547), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4525), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4549), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4531), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4551), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [241583] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
  [241658] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2980), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(2982), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241721] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3604), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3606), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241784] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241847] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241910] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [241973] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [242070] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3420), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3422), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242133] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3559), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3561), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242196] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242259] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
  [242338] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 1,
      sym__not_in,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 47,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [242405] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3468), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3470), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242468] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5140), 1,
      anon_sym_PIPE,
    ACTIONS(5150), 1,
      anon_sym_when,
    ACTIONS(5152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5154), 1,
      anon_sym_EQ_GT,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(3666), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5148), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [242571] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242634] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3464), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3466), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242697] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3460), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3462), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242760] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242823] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3571), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3573), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242886] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3416), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3418), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [242949] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3567), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3569), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243012] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3074), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3076), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243075] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3110), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3112), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243138] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243201] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243264] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243327] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243390] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3555), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3557), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243453] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243516] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3551), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3553), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243579] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243642] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243705] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 1,
      sym__not_in,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 47,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
  [243772] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4295), 1,
      aux_sym__terminator_token1,
    ACTIONS(4730), 1,
      anon_sym_PIPE,
    ACTIONS(4740), 1,
      anon_sym_when,
    ACTIONS(4742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
    ACTIONS(4746), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_in,
    ACTIONS(4758), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4760), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4762), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4764), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4297), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(4732), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4738), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4748), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4750), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4728), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4752), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4754), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [243877] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3545), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3547), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [243940] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4295), 1,
      aux_sym__terminator_token1,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4297), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4585), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [244045] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3220), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3222), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244108] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5140), 1,
      anon_sym_PIPE,
    ACTIONS(5150), 1,
      anon_sym_when,
    ACTIONS(5152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5154), 1,
      anon_sym_EQ_GT,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(3670), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5148), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [244211] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244274] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3216), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3218), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244337] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3212), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3214), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244400] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3420), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3718), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3422), 46,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244465] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244528] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5108), 1,
      anon_sym_when,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(3666), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5106), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [244631] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3428), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3430), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244694] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244757] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244820] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3444), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3446), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244883] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3424), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3426), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [244946] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3440), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3442), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245009] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_PIPE,
    ACTIONS(5108), 1,
      anon_sym_when,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    ACTIONS(5114), 1,
      anon_sym_EQ,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(3534), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5106), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5116), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5118), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5094), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5120), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5122), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [245112] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3412), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3414), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245175] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245238] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245301] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3408), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3410), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245364] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3118), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245427] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3563), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3565), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245490] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3096), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3098), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245553] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3086), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3088), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245616] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3364), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3366), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [245679] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 34,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
  [245758] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 24,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [245841] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5140), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_EQ_GT,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3476), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [245938] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 46,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
  [246007] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 36,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
  [246082] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 44,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
  [246153] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5140), 1,
      anon_sym_PIPE,
    ACTIONS(5150), 1,
      anon_sym_when,
    ACTIONS(5152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5154), 1,
      anon_sym_EQ_GT,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3476), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [246254] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5140), 1,
      anon_sym_PIPE,
    ACTIONS(5150), 1,
      anon_sym_when,
    ACTIONS(5152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5154), 1,
      anon_sym_EQ_GT,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(3476), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [246355] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5140), 1,
      anon_sym_PIPE,
    ACTIONS(5152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5154), 1,
      anon_sym_EQ_GT,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(3476), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [246454] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5154), 1,
      anon_sym_EQ_GT,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 7,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [246549] = 19,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5156), 1,
      anon_sym_EQ,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5158), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 8,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [246642] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5160), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 12,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
  [246731] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5162), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 15,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
  [246818] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5164), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
    ACTIONS(3476), 20,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
  [246903] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5166), 1,
      anon_sym_in,
    ACTIONS(5168), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5174), 1,
      sym__not_in,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 33,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [246984] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [247061] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(5170), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5172), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5142), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5146), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5144), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [247138] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247201] = 25,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK2,
    ACTIONS(4195), 1,
      aux_sym__terminator_token1,
    ACTIONS(4577), 1,
      anon_sym_PIPE,
    ACTIONS(4587), 1,
      anon_sym_when,
    ACTIONS(4589), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4591), 1,
      anon_sym_EQ_GT,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4603), 1,
      anon_sym_in,
    ACTIONS(4605), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4607), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4609), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT,
    ACTIONS(4613), 1,
      sym__not_in,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4197), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(4579), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4583), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4585), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(4595), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4597), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4575), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4599), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4581), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4601), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [247306] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(5046), 1,
      anon_sym_when,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(5049), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [247409] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247472] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3360), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3362), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247535] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3342), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3344), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247598] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247661] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 35,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
  [247738] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3114), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3116), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247801] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247864] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3114), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3116), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247927] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3498), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3500), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [247990] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [248053] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [248116] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3520), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [248179] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_in,
    ACTIONS(5126), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5128), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(5136), 1,
      sym__not_in,
    ACTIONS(5098), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5104), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5102), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(3476), 33,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [248260] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [248323] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3150), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3152), 48,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [248386] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym__not_in,
    ACTIONS(5130), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3476), 46,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
  [248455] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [248557] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5178), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [248659] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5180), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [248761] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5182), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [248863] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5184), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [248965] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5186), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249067] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5188), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249169] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5190), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249271] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_LBRACE,
    ACTIONS(283), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(285), 46,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [249335] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_LBRACE,
    ACTIONS(3102), 2,
      sym__not_in,
      anon_sym_LBRACK2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3104), 46,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
      anon_sym_when,
      anon_sym_COLON_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
      anon_sym_in,
      anon_sym_CARET_CARET_CARET,
      anon_sym_SLASH_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_DOT,
  [249399] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5194), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249501] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249603] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5198), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249705] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5200), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249807] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5202), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [249909] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5204), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250011] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5206), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250113] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5208), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250215] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250317] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5212), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250419] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5214), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250521] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5216), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250623] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_when,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(5218), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250725] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_LBRACK2,
    ACTIONS(4995), 1,
      anon_sym_PIPE,
    ACTIONS(5005), 1,
      anon_sym_when,
    ACTIONS(5007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5011), 1,
      anon_sym_EQ,
    ACTIONS(5021), 1,
      anon_sym_in,
    ACTIONS(5023), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(5025), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5027), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5029), 1,
      sym__not_in,
    ACTIONS(5220), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(5001), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5003), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5013), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5015), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4993), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5017), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4999), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(5019), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250827] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5222), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [250929] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [251031] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DOT,
    ACTIONS(4670), 1,
      anon_sym_LBRACK2,
    ACTIONS(4889), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_when,
    ACTIONS(4903), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_EQ_GT,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    ACTIONS(4917), 1,
      anon_sym_in,
    ACTIONS(4919), 1,
      anon_sym_CARET_CARET_CARET,
    ACTIONS(4921), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(4923), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4925), 1,
      sym__not_in,
    ACTIONS(4891), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(4897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4899), 2,
      anon_sym_LT_DASH,
      anon_sym_BSLASH_BSLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(4911), 3,
      anon_sym_AMP_AMP,
      anon_sym_AMP_AMP_AMP,
      anon_sym_and,
    ACTIONS(4887), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(4913), 5,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4895), 6,
      anon_sym_DOT_DOT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS_PLUS,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LT_GT,
    ACTIONS(4915), 9,
      anon_sym_PIPE_GT,
      anon_sym_LT_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT_TILDE,
      anon_sym_TILDE_GT_GT,
      anon_sym_LT_TILDE,
      anon_sym_TILDE_GT,
      anon_sym_LT_TILDE_GT,
      anon_sym_LT_PIPE_GT,
  [251130] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5226), 1,
      anon_sym_LPAREN,
    ACTIONS(5228), 1,
      anon_sym_DQUOTE,
    ACTIONS(5230), 1,
      anon_sym_SQUOTE,
    ACTIONS(5232), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5234), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5236), 1,
      anon_sym_LBRACE,
    ACTIONS(5238), 1,
      anon_sym_LBRACK,
    ACTIONS(5240), 1,
      anon_sym_LT,
    ACTIONS(5242), 1,
      anon_sym_PIPE,
    ACTIONS(5244), 1,
      anon_sym_SLASH,
    STATE(3838), 1,
      sym__quoted_slash,
    STATE(3839), 1,
      sym__quoted_bar,
    STATE(3840), 1,
      sym__quoted_angle,
    STATE(3841), 1,
      sym__quoted_square,
    STATE(3842), 1,
      sym__quoted_curly,
    STATE(3843), 1,
      sym__quoted_parenthesis,
    STATE(3844), 1,
      sym__quoted_heredoc_double,
    STATE(3845), 1,
      sym__quoted_heredoc_single,
    STATE(3846), 1,
      sym__quoted_single,
    STATE(3847), 1,
      sym__quoted_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251199] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_LPAREN,
    ACTIONS(5248), 1,
      anon_sym_DQUOTE,
    ACTIONS(5250), 1,
      anon_sym_SQUOTE,
    ACTIONS(5252), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5254), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5256), 1,
      anon_sym_LBRACE,
    ACTIONS(5258), 1,
      anon_sym_LBRACK,
    ACTIONS(5260), 1,
      anon_sym_LT,
    ACTIONS(5262), 1,
      anon_sym_PIPE,
    ACTIONS(5264), 1,
      anon_sym_SLASH,
    STATE(4269), 1,
      sym__quoted_double,
    STATE(4274), 1,
      sym__quoted_single,
    STATE(4277), 1,
      sym__quoted_heredoc_single,
    STATE(4284), 1,
      sym__quoted_heredoc_double,
    STATE(4317), 1,
      sym__quoted_parenthesis,
    STATE(4321), 1,
      sym__quoted_curly,
    STATE(4324), 1,
      sym__quoted_square,
    STATE(4325), 1,
      sym__quoted_angle,
    STATE(4326), 1,
      sym__quoted_bar,
    STATE(4328), 1,
      sym__quoted_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251268] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5266), 1,
      anon_sym_LPAREN,
    ACTIONS(5268), 1,
      anon_sym_DQUOTE,
    ACTIONS(5270), 1,
      anon_sym_SQUOTE,
    ACTIONS(5272), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5274), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5276), 1,
      anon_sym_LBRACE,
    ACTIONS(5278), 1,
      anon_sym_LBRACK,
    ACTIONS(5280), 1,
      anon_sym_LT,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5284), 1,
      anon_sym_SLASH,
    STATE(2054), 1,
      sym__quoted_slash,
    STATE(2055), 1,
      sym__quoted_bar,
    STATE(2056), 1,
      sym__quoted_angle,
    STATE(2057), 1,
      sym__quoted_square,
    STATE(2058), 1,
      sym__quoted_curly,
    STATE(2059), 1,
      sym__quoted_parenthesis,
    STATE(2060), 1,
      sym__quoted_heredoc_double,
    STATE(2061), 1,
      sym__quoted_heredoc_single,
    STATE(2062), 1,
      sym__quoted_single,
    STATE(2066), 1,
      sym__quoted_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251337] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5286), 1,
      anon_sym_LPAREN,
    ACTIONS(5288), 1,
      anon_sym_DQUOTE,
    ACTIONS(5290), 1,
      anon_sym_SQUOTE,
    ACTIONS(5292), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5294), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5296), 1,
      anon_sym_LBRACE,
    ACTIONS(5298), 1,
      anon_sym_LBRACK,
    ACTIONS(5300), 1,
      anon_sym_LT,
    ACTIONS(5302), 1,
      anon_sym_PIPE,
    ACTIONS(5304), 1,
      anon_sym_SLASH,
    STATE(3868), 1,
      sym__quoted_i_slash,
    STATE(3971), 1,
      sym__quoted_i_curly,
    STATE(4008), 1,
      sym__quoted_i_bar,
    STATE(4009), 1,
      sym__quoted_i_angle,
    STATE(4017), 1,
      sym__quoted_i_double,
    STATE(4018), 1,
      sym__quoted_i_single,
    STATE(4019), 1,
      sym__quoted_i_heredoc_single,
    STATE(4021), 1,
      sym__quoted_i_heredoc_double,
    STATE(4022), 1,
      sym__quoted_i_parenthesis,
    STATE(4045), 1,
      sym__quoted_i_square,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251406] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5306), 1,
      anon_sym_LPAREN,
    ACTIONS(5308), 1,
      anon_sym_DQUOTE,
    ACTIONS(5310), 1,
      anon_sym_SQUOTE,
    ACTIONS(5312), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5314), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5316), 1,
      anon_sym_LBRACE,
    ACTIONS(5318), 1,
      anon_sym_LBRACK,
    ACTIONS(5320), 1,
      anon_sym_LT,
    ACTIONS(5322), 1,
      anon_sym_PIPE,
    ACTIONS(5324), 1,
      anon_sym_SLASH,
    STATE(3735), 1,
      sym__quoted_double,
    STATE(3818), 1,
      sym__quoted_slash,
    STATE(3819), 1,
      sym__quoted_bar,
    STATE(3820), 1,
      sym__quoted_angle,
    STATE(3821), 1,
      sym__quoted_square,
    STATE(3822), 1,
      sym__quoted_curly,
    STATE(3825), 1,
      sym__quoted_parenthesis,
    STATE(3827), 1,
      sym__quoted_heredoc_double,
    STATE(3830), 1,
      sym__quoted_heredoc_single,
    STATE(3833), 1,
      sym__quoted_single,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251475] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5326), 1,
      anon_sym_LPAREN,
    ACTIONS(5328), 1,
      anon_sym_DQUOTE,
    ACTIONS(5330), 1,
      anon_sym_SQUOTE,
    ACTIONS(5332), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5334), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5336), 1,
      anon_sym_LBRACE,
    ACTIONS(5338), 1,
      anon_sym_LBRACK,
    ACTIONS(5340), 1,
      anon_sym_LT,
    ACTIONS(5342), 1,
      anon_sym_PIPE,
    ACTIONS(5344), 1,
      anon_sym_SLASH,
    STATE(1926), 1,
      sym__quoted_i_slash,
    STATE(1927), 1,
      sym__quoted_i_bar,
    STATE(1928), 1,
      sym__quoted_i_angle,
    STATE(1929), 1,
      sym__quoted_i_square,
    STATE(1930), 1,
      sym__quoted_i_curly,
    STATE(1931), 1,
      sym__quoted_i_parenthesis,
    STATE(1932), 1,
      sym__quoted_i_heredoc_double,
    STATE(1933), 1,
      sym__quoted_i_heredoc_single,
    STATE(1934), 1,
      sym__quoted_i_single,
    STATE(1935), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251544] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_LPAREN,
    ACTIONS(5348), 1,
      anon_sym_DQUOTE,
    ACTIONS(5350), 1,
      anon_sym_SQUOTE,
    ACTIONS(5352), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5354), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5356), 1,
      anon_sym_LBRACE,
    ACTIONS(5358), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_LT,
    ACTIONS(5362), 1,
      anon_sym_PIPE,
    ACTIONS(5364), 1,
      anon_sym_SLASH,
    STATE(3556), 1,
      sym__quoted_double,
    STATE(3557), 1,
      sym__quoted_single,
    STATE(3558), 1,
      sym__quoted_heredoc_single,
    STATE(3561), 1,
      sym__quoted_heredoc_double,
    STATE(3568), 1,
      sym__quoted_parenthesis,
    STATE(3570), 1,
      sym__quoted_square,
    STATE(3571), 1,
      sym__quoted_angle,
    STATE(3573), 1,
      sym__quoted_bar,
    STATE(3575), 1,
      sym__quoted_slash,
    STATE(3602), 1,
      sym__quoted_curly,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251613] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5366), 1,
      anon_sym_LPAREN,
    ACTIONS(5368), 1,
      anon_sym_DQUOTE,
    ACTIONS(5370), 1,
      anon_sym_SQUOTE,
    ACTIONS(5372), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5374), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5376), 1,
      anon_sym_LBRACE,
    ACTIONS(5378), 1,
      anon_sym_LBRACK,
    ACTIONS(5380), 1,
      anon_sym_LT,
    ACTIONS(5382), 1,
      anon_sym_PIPE,
    ACTIONS(5384), 1,
      anon_sym_SLASH,
    STATE(2284), 1,
      sym__quoted_i_double,
    STATE(2285), 1,
      sym__quoted_i_single,
    STATE(2286), 1,
      sym__quoted_i_heredoc_single,
    STATE(2287), 1,
      sym__quoted_i_heredoc_double,
    STATE(2288), 1,
      sym__quoted_i_parenthesis,
    STATE(2289), 1,
      sym__quoted_i_curly,
    STATE(2290), 1,
      sym__quoted_i_square,
    STATE(2291), 1,
      sym__quoted_i_angle,
    STATE(2292), 1,
      sym__quoted_i_bar,
    STATE(2293), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251682] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5386), 1,
      anon_sym_LPAREN,
    ACTIONS(5388), 1,
      anon_sym_DQUOTE,
    ACTIONS(5390), 1,
      anon_sym_SQUOTE,
    ACTIONS(5392), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5394), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5396), 1,
      anon_sym_LBRACE,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_LT,
    ACTIONS(5402), 1,
      anon_sym_PIPE,
    ACTIONS(5404), 1,
      anon_sym_SLASH,
    STATE(1777), 1,
      sym__quoted_i_slash,
    STATE(1778), 1,
      sym__quoted_i_bar,
    STATE(1779), 1,
      sym__quoted_i_angle,
    STATE(1780), 1,
      sym__quoted_i_square,
    STATE(1781), 1,
      sym__quoted_i_curly,
    STATE(1782), 1,
      sym__quoted_i_parenthesis,
    STATE(1783), 1,
      sym__quoted_i_heredoc_double,
    STATE(1784), 1,
      sym__quoted_i_heredoc_single,
    STATE(1786), 1,
      sym__quoted_i_double,
    STATE(1794), 1,
      sym__quoted_i_single,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251751] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5406), 1,
      anon_sym_LPAREN,
    ACTIONS(5408), 1,
      anon_sym_DQUOTE,
    ACTIONS(5410), 1,
      anon_sym_SQUOTE,
    ACTIONS(5412), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5414), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(5418), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_LT,
    ACTIONS(5422), 1,
      anon_sym_PIPE,
    ACTIONS(5424), 1,
      anon_sym_SLASH,
    STATE(1746), 1,
      sym__quoted_slash,
    STATE(1747), 1,
      sym__quoted_bar,
    STATE(1760), 1,
      sym__quoted_angle,
    STATE(1762), 1,
      sym__quoted_square,
    STATE(1763), 1,
      sym__quoted_curly,
    STATE(1764), 1,
      sym__quoted_parenthesis,
    STATE(1767), 1,
      sym__quoted_heredoc_double,
    STATE(1772), 1,
      sym__quoted_heredoc_single,
    STATE(1775), 1,
      sym__quoted_single,
    STATE(1776), 1,
      sym__quoted_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251820] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_LPAREN,
    ACTIONS(5428), 1,
      anon_sym_DQUOTE,
    ACTIONS(5430), 1,
      anon_sym_SQUOTE,
    ACTIONS(5432), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5434), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5436), 1,
      anon_sym_LBRACE,
    ACTIONS(5438), 1,
      anon_sym_LBRACK,
    ACTIONS(5440), 1,
      anon_sym_LT,
    ACTIONS(5442), 1,
      anon_sym_PIPE,
    ACTIONS(5444), 1,
      anon_sym_SLASH,
    STATE(1160), 1,
      sym__quoted_parenthesis,
    STATE(1216), 1,
      sym__quoted_heredoc_double,
    STATE(1255), 1,
      sym__quoted_curly,
    STATE(1259), 1,
      sym__quoted_square,
    STATE(1266), 1,
      sym__quoted_angle,
    STATE(1272), 1,
      sym__quoted_bar,
    STATE(1275), 1,
      sym__quoted_slash,
    STATE(1334), 1,
      sym__quoted_double,
    STATE(1336), 1,
      sym__quoted_single,
    STATE(1338), 1,
      sym__quoted_heredoc_single,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251889] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5446), 1,
      anon_sym_LPAREN,
    ACTIONS(5448), 1,
      anon_sym_DQUOTE,
    ACTIONS(5450), 1,
      anon_sym_SQUOTE,
    ACTIONS(5452), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5454), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5456), 1,
      anon_sym_LBRACE,
    ACTIONS(5458), 1,
      anon_sym_LBRACK,
    ACTIONS(5460), 1,
      anon_sym_LT,
    ACTIONS(5462), 1,
      anon_sym_PIPE,
    ACTIONS(5464), 1,
      anon_sym_SLASH,
    STATE(1279), 1,
      sym__quoted_i_double,
    STATE(1280), 1,
      sym__quoted_i_single,
    STATE(1299), 1,
      sym__quoted_i_heredoc_single,
    STATE(1303), 1,
      sym__quoted_i_heredoc_double,
    STATE(1312), 1,
      sym__quoted_i_parenthesis,
    STATE(1313), 1,
      sym__quoted_i_curly,
    STATE(1314), 1,
      sym__quoted_i_square,
    STATE(1316), 1,
      sym__quoted_i_angle,
    STATE(1328), 1,
      sym__quoted_i_bar,
    STATE(1333), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [251958] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5466), 1,
      anon_sym_LPAREN,
    ACTIONS(5468), 1,
      anon_sym_DQUOTE,
    ACTIONS(5470), 1,
      anon_sym_SQUOTE,
    ACTIONS(5472), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5474), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5476), 1,
      anon_sym_LBRACE,
    ACTIONS(5478), 1,
      anon_sym_LBRACK,
    ACTIONS(5480), 1,
      anon_sym_LT,
    ACTIONS(5482), 1,
      anon_sym_PIPE,
    ACTIONS(5484), 1,
      anon_sym_SLASH,
    STATE(3867), 1,
      sym__quoted_i_slash,
    STATE(3869), 1,
      sym__quoted_i_bar,
    STATE(3870), 1,
      sym__quoted_i_angle,
    STATE(3875), 1,
      sym__quoted_i_square,
    STATE(3876), 1,
      sym__quoted_i_curly,
    STATE(3878), 1,
      sym__quoted_i_parenthesis,
    STATE(3879), 1,
      sym__quoted_i_heredoc_double,
    STATE(3880), 1,
      sym__quoted_i_heredoc_single,
    STATE(3881), 1,
      sym__quoted_i_single,
    STATE(3882), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252027] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5486), 1,
      anon_sym_LPAREN,
    ACTIONS(5488), 1,
      anon_sym_DQUOTE,
    ACTIONS(5490), 1,
      anon_sym_SQUOTE,
    ACTIONS(5492), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5494), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5496), 1,
      anon_sym_LBRACE,
    ACTIONS(5498), 1,
      anon_sym_LBRACK,
    ACTIONS(5500), 1,
      anon_sym_LT,
    ACTIONS(5502), 1,
      anon_sym_PIPE,
    ACTIONS(5504), 1,
      anon_sym_SLASH,
    STATE(3834), 1,
      sym__quoted_double,
    STATE(3835), 1,
      sym__quoted_slash,
    STATE(3836), 1,
      sym__quoted_bar,
    STATE(3837), 1,
      sym__quoted_angle,
    STATE(3861), 1,
      sym__quoted_square,
    STATE(3862), 1,
      sym__quoted_curly,
    STATE(3863), 1,
      sym__quoted_parenthesis,
    STATE(3864), 1,
      sym__quoted_heredoc_double,
    STATE(3865), 1,
      sym__quoted_heredoc_single,
    STATE(3866), 1,
      sym__quoted_single,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252096] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5506), 1,
      anon_sym_LPAREN,
    ACTIONS(5508), 1,
      anon_sym_DQUOTE,
    ACTIONS(5510), 1,
      anon_sym_SQUOTE,
    ACTIONS(5512), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5514), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5516), 1,
      anon_sym_LBRACE,
    ACTIONS(5518), 1,
      anon_sym_LBRACK,
    ACTIONS(5520), 1,
      anon_sym_LT,
    ACTIONS(5522), 1,
      anon_sym_PIPE,
    ACTIONS(5524), 1,
      anon_sym_SLASH,
    STATE(2294), 1,
      sym__quoted_double,
    STATE(2295), 1,
      sym__quoted_single,
    STATE(2296), 1,
      sym__quoted_heredoc_single,
    STATE(2297), 1,
      sym__quoted_heredoc_double,
    STATE(2298), 1,
      sym__quoted_parenthesis,
    STATE(2299), 1,
      sym__quoted_curly,
    STATE(2300), 1,
      sym__quoted_square,
    STATE(2301), 1,
      sym__quoted_angle,
    STATE(2302), 1,
      sym__quoted_bar,
    STATE(2303), 1,
      sym__quoted_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252165] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5526), 1,
      anon_sym_LPAREN,
    ACTIONS(5528), 1,
      anon_sym_DQUOTE,
    ACTIONS(5530), 1,
      anon_sym_SQUOTE,
    ACTIONS(5532), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5534), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5536), 1,
      anon_sym_LBRACE,
    ACTIONS(5538), 1,
      anon_sym_LBRACK,
    ACTIONS(5540), 1,
      anon_sym_LT,
    ACTIONS(5542), 1,
      anon_sym_PIPE,
    ACTIONS(5544), 1,
      anon_sym_SLASH,
    STATE(4051), 1,
      sym__quoted_i_double,
    STATE(4194), 1,
      sym__quoted_i_heredoc_single,
    STATE(4222), 1,
      sym__quoted_i_heredoc_double,
    STATE(4248), 1,
      sym__quoted_i_parenthesis,
    STATE(4249), 1,
      sym__quoted_i_curly,
    STATE(4261), 1,
      sym__quoted_i_square,
    STATE(4262), 1,
      sym__quoted_i_angle,
    STATE(4263), 1,
      sym__quoted_i_bar,
    STATE(4266), 1,
      sym__quoted_i_slash,
    STATE(4285), 1,
      sym__quoted_i_single,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252234] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5546), 1,
      anon_sym_LPAREN,
    ACTIONS(5548), 1,
      anon_sym_DQUOTE,
    ACTIONS(5550), 1,
      anon_sym_SQUOTE,
    ACTIONS(5552), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5554), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5556), 1,
      anon_sym_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_LBRACK,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5562), 1,
      anon_sym_PIPE,
    ACTIONS(5564), 1,
      anon_sym_SLASH,
    STATE(3848), 1,
      sym__quoted_i_slash,
    STATE(3849), 1,
      sym__quoted_i_bar,
    STATE(3850), 1,
      sym__quoted_i_angle,
    STATE(3851), 1,
      sym__quoted_i_square,
    STATE(3852), 1,
      sym__quoted_i_curly,
    STATE(3853), 1,
      sym__quoted_i_parenthesis,
    STATE(3854), 1,
      sym__quoted_i_heredoc_double,
    STATE(3855), 1,
      sym__quoted_i_heredoc_single,
    STATE(3856), 1,
      sym__quoted_i_single,
    STATE(3857), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252303] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5566), 1,
      anon_sym_LPAREN,
    ACTIONS(5568), 1,
      anon_sym_DQUOTE,
    ACTIONS(5570), 1,
      anon_sym_SQUOTE,
    ACTIONS(5572), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5574), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5576), 1,
      anon_sym_LBRACE,
    ACTIONS(5578), 1,
      anon_sym_LBRACK,
    ACTIONS(5580), 1,
      anon_sym_LT,
    ACTIONS(5582), 1,
      anon_sym_PIPE,
    ACTIONS(5584), 1,
      anon_sym_SLASH,
    STATE(2067), 1,
      sym__quoted_i_slash,
    STATE(2068), 1,
      sym__quoted_i_bar,
    STATE(2070), 1,
      sym__quoted_i_angle,
    STATE(2071), 1,
      sym__quoted_i_square,
    STATE(2072), 1,
      sym__quoted_i_curly,
    STATE(2073), 1,
      sym__quoted_i_parenthesis,
    STATE(2074), 1,
      sym__quoted_i_heredoc_double,
    STATE(2076), 1,
      sym__quoted_i_heredoc_single,
    STATE(2077), 1,
      sym__quoted_i_single,
    STATE(2078), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252372] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5586), 1,
      anon_sym_LPAREN,
    ACTIONS(5588), 1,
      anon_sym_DQUOTE,
    ACTIONS(5590), 1,
      anon_sym_SQUOTE,
    ACTIONS(5592), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5594), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5596), 1,
      anon_sym_LBRACE,
    ACTIONS(5598), 1,
      anon_sym_LBRACK,
    ACTIONS(5600), 1,
      anon_sym_LT,
    ACTIONS(5602), 1,
      anon_sym_PIPE,
    ACTIONS(5604), 1,
      anon_sym_SLASH,
    STATE(3353), 1,
      sym__quoted_double,
    STATE(3374), 1,
      sym__quoted_single,
    STATE(3375), 1,
      sym__quoted_heredoc_single,
    STATE(3382), 1,
      sym__quoted_heredoc_double,
    STATE(3383), 1,
      sym__quoted_parenthesis,
    STATE(3385), 1,
      sym__quoted_curly,
    STATE(3388), 1,
      sym__quoted_square,
    STATE(3393), 1,
      sym__quoted_angle,
    STATE(3401), 1,
      sym__quoted_bar,
    STATE(3402), 1,
      sym__quoted_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252441] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5606), 1,
      anon_sym_LPAREN,
    ACTIONS(5608), 1,
      anon_sym_DQUOTE,
    ACTIONS(5610), 1,
      anon_sym_SQUOTE,
    ACTIONS(5612), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5614), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5616), 1,
      anon_sym_LBRACE,
    ACTIONS(5618), 1,
      anon_sym_LBRACK,
    ACTIONS(5620), 1,
      anon_sym_LT,
    ACTIONS(5622), 1,
      anon_sym_PIPE,
    ACTIONS(5624), 1,
      anon_sym_SLASH,
    STATE(3511), 1,
      sym__quoted_i_double,
    STATE(3513), 1,
      sym__quoted_i_single,
    STATE(3517), 1,
      sym__quoted_i_heredoc_single,
    STATE(3519), 1,
      sym__quoted_i_heredoc_double,
    STATE(3521), 1,
      sym__quoted_i_parenthesis,
    STATE(3522), 1,
      sym__quoted_i_curly,
    STATE(3523), 1,
      sym__quoted_i_square,
    STATE(3525), 1,
      sym__quoted_i_angle,
    STATE(3533), 1,
      sym__quoted_i_bar,
    STATE(3535), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252510] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_LPAREN,
    ACTIONS(5628), 1,
      anon_sym_DQUOTE,
    ACTIONS(5630), 1,
      anon_sym_SQUOTE,
    ACTIONS(5632), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5636), 1,
      anon_sym_LBRACE,
    ACTIONS(5638), 1,
      anon_sym_LBRACK,
    ACTIONS(5640), 1,
      anon_sym_LT,
    ACTIONS(5642), 1,
      anon_sym_PIPE,
    ACTIONS(5644), 1,
      anon_sym_SLASH,
    STATE(3325), 1,
      sym__quoted_i_double,
    STATE(3326), 1,
      sym__quoted_i_single,
    STATE(3327), 1,
      sym__quoted_i_heredoc_single,
    STATE(3328), 1,
      sym__quoted_i_heredoc_double,
    STATE(3330), 1,
      sym__quoted_i_parenthesis,
    STATE(3335), 1,
      sym__quoted_i_curly,
    STATE(3344), 1,
      sym__quoted_i_angle,
    STATE(3345), 1,
      sym__quoted_i_bar,
    STATE(3346), 1,
      sym__quoted_i_slash,
    STATE(3403), 1,
      sym__quoted_i_square,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252579] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym_LPAREN,
    ACTIONS(5648), 1,
      anon_sym_DQUOTE,
    ACTIONS(5650), 1,
      anon_sym_SQUOTE,
    ACTIONS(5652), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5654), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(5658), 1,
      anon_sym_LBRACK,
    ACTIONS(5660), 1,
      anon_sym_LT,
    ACTIONS(5662), 1,
      anon_sym_PIPE,
    ACTIONS(5664), 1,
      anon_sym_SLASH,
    STATE(2653), 1,
      sym__quoted_i_double,
    STATE(2654), 1,
      sym__quoted_i_single,
    STATE(2656), 1,
      sym__quoted_i_heredoc_single,
    STATE(2657), 1,
      sym__quoted_i_heredoc_double,
    STATE(2658), 1,
      sym__quoted_i_parenthesis,
    STATE(2659), 1,
      sym__quoted_i_curly,
    STATE(2663), 1,
      sym__quoted_i_square,
    STATE(2665), 1,
      sym__quoted_i_angle,
    STATE(2666), 1,
      sym__quoted_i_bar,
    STATE(2667), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252648] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5666), 1,
      anon_sym_LPAREN,
    ACTIONS(5668), 1,
      anon_sym_DQUOTE,
    ACTIONS(5670), 1,
      anon_sym_SQUOTE,
    ACTIONS(5672), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5674), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      anon_sym_LBRACK,
    ACTIONS(5680), 1,
      anon_sym_LT,
    ACTIONS(5682), 1,
      anon_sym_PIPE,
    ACTIONS(5684), 1,
      anon_sym_SLASH,
    STATE(3177), 1,
      sym__quoted_i_slash,
    STATE(3179), 1,
      sym__quoted_i_bar,
    STATE(3180), 1,
      sym__quoted_i_angle,
    STATE(3181), 1,
      sym__quoted_i_square,
    STATE(3182), 1,
      sym__quoted_i_curly,
    STATE(3185), 1,
      sym__quoted_i_parenthesis,
    STATE(3186), 1,
      sym__quoted_i_heredoc_double,
    STATE(3187), 1,
      sym__quoted_i_heredoc_single,
    STATE(3188), 1,
      sym__quoted_i_single,
    STATE(3190), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252717] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5686), 1,
      anon_sym_LPAREN,
    ACTIONS(5688), 1,
      anon_sym_DQUOTE,
    ACTIONS(5690), 1,
      anon_sym_SQUOTE,
    ACTIONS(5692), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5694), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5696), 1,
      anon_sym_LBRACE,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5700), 1,
      anon_sym_LT,
    ACTIONS(5702), 1,
      anon_sym_PIPE,
    ACTIONS(5704), 1,
      anon_sym_SLASH,
    STATE(3166), 1,
      sym__quoted_slash,
    STATE(3167), 1,
      sym__quoted_bar,
    STATE(3169), 1,
      sym__quoted_angle,
    STATE(3170), 1,
      sym__quoted_square,
    STATE(3171), 1,
      sym__quoted_curly,
    STATE(3172), 1,
      sym__quoted_parenthesis,
    STATE(3173), 1,
      sym__quoted_heredoc_double,
    STATE(3174), 1,
      sym__quoted_heredoc_single,
    STATE(3175), 1,
      sym__quoted_single,
    STATE(3176), 1,
      sym__quoted_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252786] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym_LPAREN,
    ACTIONS(5708), 1,
      anon_sym_DQUOTE,
    ACTIONS(5710), 1,
      anon_sym_SQUOTE,
    ACTIONS(5712), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5714), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5716), 1,
      anon_sym_LBRACE,
    ACTIONS(5718), 1,
      anon_sym_LBRACK,
    ACTIONS(5720), 1,
      anon_sym_LT,
    ACTIONS(5722), 1,
      anon_sym_PIPE,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    STATE(1528), 1,
      sym__quoted_i_double,
    STATE(1529), 1,
      sym__quoted_i_single,
    STATE(1530), 1,
      sym__quoted_i_heredoc_single,
    STATE(1531), 1,
      sym__quoted_i_heredoc_double,
    STATE(1532), 1,
      sym__quoted_i_parenthesis,
    STATE(1533), 1,
      sym__quoted_i_curly,
    STATE(1534), 1,
      sym__quoted_i_square,
    STATE(1535), 1,
      sym__quoted_i_angle,
    STATE(1540), 1,
      sym__quoted_i_bar,
    STATE(1541), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252855] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5726), 1,
      anon_sym_LPAREN,
    ACTIONS(5728), 1,
      anon_sym_DQUOTE,
    ACTIONS(5730), 1,
      anon_sym_SQUOTE,
    ACTIONS(5732), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5736), 1,
      anon_sym_LBRACE,
    ACTIONS(5738), 1,
      anon_sym_LBRACK,
    ACTIONS(5740), 1,
      anon_sym_LT,
    ACTIONS(5742), 1,
      anon_sym_PIPE,
    ACTIONS(5744), 1,
      anon_sym_SLASH,
    STATE(2668), 1,
      sym__quoted_double,
    STATE(2669), 1,
      sym__quoted_single,
    STATE(2706), 1,
      sym__quoted_heredoc_single,
    STATE(2707), 1,
      sym__quoted_heredoc_double,
    STATE(2712), 1,
      sym__quoted_parenthesis,
    STATE(2713), 1,
      sym__quoted_curly,
    STATE(2714), 1,
      sym__quoted_square,
    STATE(2734), 1,
      sym__quoted_angle,
    STATE(2738), 1,
      sym__quoted_bar,
    STATE(2740), 1,
      sym__quoted_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252924] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5746), 1,
      anon_sym_LPAREN,
    ACTIONS(5748), 1,
      anon_sym_DQUOTE,
    ACTIONS(5750), 1,
      anon_sym_SQUOTE,
    ACTIONS(5752), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5754), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5756), 1,
      anon_sym_LBRACE,
    ACTIONS(5758), 1,
      anon_sym_LBRACK,
    ACTIONS(5760), 1,
      anon_sym_LT,
    ACTIONS(5762), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_SLASH,
    STATE(1539), 1,
      sym__quoted_parenthesis,
    STATE(1542), 1,
      sym__quoted_double,
    STATE(1543), 1,
      sym__quoted_single,
    STATE(1544), 1,
      sym__quoted_heredoc_single,
    STATE(1545), 1,
      sym__quoted_heredoc_double,
    STATE(1546), 1,
      sym__quoted_curly,
    STATE(1547), 1,
      sym__quoted_square,
    STATE(1548), 1,
      sym__quoted_angle,
    STATE(1549), 1,
      sym__quoted_bar,
    STATE(1550), 1,
      sym__quoted_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [252993] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LPAREN,
    ACTIONS(5768), 1,
      anon_sym_DQUOTE,
    ACTIONS(5770), 1,
      anon_sym_SQUOTE,
    ACTIONS(5772), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5774), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5776), 1,
      anon_sym_LBRACE,
    ACTIONS(5778), 1,
      anon_sym_LBRACK,
    ACTIONS(5780), 1,
      anon_sym_LT,
    ACTIONS(5782), 1,
      anon_sym_PIPE,
    ACTIONS(5784), 1,
      anon_sym_SLASH,
    STATE(2646), 1,
      sym__quoted_bar,
    STATE(2781), 1,
      sym__quoted_slash,
    STATE(2874), 1,
      sym__quoted_double,
    STATE(2877), 1,
      sym__quoted_single,
    STATE(2878), 1,
      sym__quoted_heredoc_single,
    STATE(2879), 1,
      sym__quoted_heredoc_double,
    STATE(2896), 1,
      sym__quoted_parenthesis,
    STATE(2901), 1,
      sym__quoted_square,
    STATE(2903), 1,
      sym__quoted_angle,
    STATE(2908), 1,
      sym__quoted_curly,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253062] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LPAREN,
    ACTIONS(5788), 1,
      anon_sym_DQUOTE,
    ACTIONS(5790), 1,
      anon_sym_SQUOTE,
    ACTIONS(5792), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5794), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(5798), 1,
      anon_sym_LBRACK,
    ACTIONS(5800), 1,
      anon_sym_LT,
    ACTIONS(5802), 1,
      anon_sym_PIPE,
    ACTIONS(5804), 1,
      anon_sym_SLASH,
    STATE(2497), 1,
      sym__quoted_i_heredoc_single,
    STATE(2498), 1,
      sym__quoted_i_heredoc_double,
    STATE(2510), 1,
      sym__quoted_i_single,
    STATE(2590), 1,
      sym__quoted_i_curly,
    STATE(2591), 1,
      sym__quoted_i_square,
    STATE(2639), 1,
      sym__quoted_i_parenthesis,
    STATE(2872), 1,
      sym__quoted_i_bar,
    STATE(2873), 1,
      sym__quoted_i_double,
    STATE(2883), 1,
      sym__quoted_i_angle,
    STATE(2900), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253131] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5806), 1,
      anon_sym_LPAREN,
    ACTIONS(5808), 1,
      anon_sym_DQUOTE,
    ACTIONS(5810), 1,
      anon_sym_SQUOTE,
    ACTIONS(5812), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5814), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5816), 1,
      anon_sym_LBRACE,
    ACTIONS(5818), 1,
      anon_sym_LBRACK,
    ACTIONS(5820), 1,
      anon_sym_LT,
    ACTIONS(5822), 1,
      anon_sym_PIPE,
    ACTIONS(5824), 1,
      anon_sym_SLASH,
    STATE(2670), 1,
      sym__quoted_slash,
    STATE(2673), 1,
      sym__quoted_bar,
    STATE(2674), 1,
      sym__quoted_angle,
    STATE(2675), 1,
      sym__quoted_square,
    STATE(2676), 1,
      sym__quoted_curly,
    STATE(2677), 1,
      sym__quoted_parenthesis,
    STATE(2678), 1,
      sym__quoted_heredoc_double,
    STATE(2679), 1,
      sym__quoted_heredoc_single,
    STATE(2680), 1,
      sym__quoted_single,
    STATE(2681), 1,
      sym__quoted_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253200] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    ACTIONS(5828), 1,
      anon_sym_DQUOTE,
    ACTIONS(5830), 1,
      anon_sym_SQUOTE,
    ACTIONS(5832), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5834), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5836), 1,
      anon_sym_LBRACE,
    ACTIONS(5838), 1,
      anon_sym_LBRACK,
    ACTIONS(5840), 1,
      anon_sym_LT,
    ACTIONS(5842), 1,
      anon_sym_PIPE,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    STATE(2391), 1,
      sym__quoted_double,
    STATE(2392), 1,
      sym__quoted_single,
    STATE(2394), 1,
      sym__quoted_heredoc_single,
    STATE(2460), 1,
      sym__quoted_heredoc_double,
    STATE(2461), 1,
      sym__quoted_parenthesis,
    STATE(2463), 1,
      sym__quoted_curly,
    STATE(2468), 1,
      sym__quoted_square,
    STATE(2469), 1,
      sym__quoted_angle,
    STATE(2470), 1,
      sym__quoted_bar,
    STATE(2478), 1,
      sym__quoted_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253269] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5846), 1,
      anon_sym_LPAREN,
    ACTIONS(5848), 1,
      anon_sym_DQUOTE,
    ACTIONS(5850), 1,
      anon_sym_SQUOTE,
    ACTIONS(5852), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5854), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5856), 1,
      anon_sym_LBRACE,
    ACTIONS(5858), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 1,
      anon_sym_LT,
    ACTIONS(5862), 1,
      anon_sym_PIPE,
    ACTIONS(5864), 1,
      anon_sym_SLASH,
    STATE(2375), 1,
      sym__quoted_i_double,
    STATE(2376), 1,
      sym__quoted_i_single,
    STATE(2379), 1,
      sym__quoted_i_heredoc_single,
    STATE(2381), 1,
      sym__quoted_i_heredoc_double,
    STATE(2385), 1,
      sym__quoted_i_parenthesis,
    STATE(2386), 1,
      sym__quoted_i_curly,
    STATE(2387), 1,
      sym__quoted_i_square,
    STATE(2388), 1,
      sym__quoted_i_angle,
    STATE(2389), 1,
      sym__quoted_i_bar,
    STATE(2390), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253338] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_LPAREN,
    ACTIONS(5868), 1,
      anon_sym_DQUOTE,
    ACTIONS(5870), 1,
      anon_sym_SQUOTE,
    ACTIONS(5872), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5874), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(5878), 1,
      anon_sym_LBRACK,
    ACTIONS(5880), 1,
      anon_sym_LT,
    ACTIONS(5882), 1,
      anon_sym_PIPE,
    ACTIONS(5884), 1,
      anon_sym_SLASH,
    STATE(2715), 1,
      sym__quoted_i_double,
    STATE(2716), 1,
      sym__quoted_i_single,
    STATE(2717), 1,
      sym__quoted_i_heredoc_single,
    STATE(2719), 1,
      sym__quoted_i_heredoc_double,
    STATE(2720), 1,
      sym__quoted_i_parenthesis,
    STATE(2725), 1,
      sym__quoted_i_curly,
    STATE(2726), 1,
      sym__quoted_i_square,
    STATE(2727), 1,
      sym__quoted_i_angle,
    STATE(2728), 1,
      sym__quoted_i_bar,
    STATE(2729), 1,
      sym__quoted_i_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253407] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5886), 1,
      anon_sym_LPAREN,
    ACTIONS(5888), 1,
      anon_sym_DQUOTE,
    ACTIONS(5890), 1,
      anon_sym_SQUOTE,
    ACTIONS(5892), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5894), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5896), 1,
      anon_sym_LBRACE,
    ACTIONS(5898), 1,
      anon_sym_LBRACK,
    ACTIONS(5900), 1,
      anon_sym_LT,
    ACTIONS(5902), 1,
      anon_sym_PIPE,
    ACTIONS(5904), 1,
      anon_sym_SLASH,
    STATE(2730), 1,
      sym__quoted_double,
    STATE(2731), 1,
      sym__quoted_single,
    STATE(2732), 1,
      sym__quoted_heredoc_single,
    STATE(2735), 1,
      sym__quoted_heredoc_double,
    STATE(2736), 1,
      sym__quoted_parenthesis,
    STATE(2739), 1,
      sym__quoted_curly,
    STATE(2744), 1,
      sym__quoted_square,
    STATE(2747), 1,
      sym__quoted_angle,
    STATE(2748), 1,
      sym__quoted_bar,
    STATE(2749), 1,
      sym__quoted_slash,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253476] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5906), 1,
      anon_sym_LPAREN,
    ACTIONS(5908), 1,
      anon_sym_DQUOTE,
    ACTIONS(5910), 1,
      anon_sym_SQUOTE,
    ACTIONS(5912), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5914), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5916), 1,
      anon_sym_LBRACE,
    ACTIONS(5918), 1,
      anon_sym_LBRACK,
    ACTIONS(5920), 1,
      anon_sym_LT,
    ACTIONS(5922), 1,
      anon_sym_PIPE,
    ACTIONS(5924), 1,
      anon_sym_SLASH,
    STATE(1916), 1,
      sym__quoted_slash,
    STATE(1917), 1,
      sym__quoted_bar,
    STATE(1918), 1,
      sym__quoted_angle,
    STATE(1919), 1,
      sym__quoted_square,
    STATE(1920), 1,
      sym__quoted_curly,
    STATE(1921), 1,
      sym__quoted_parenthesis,
    STATE(1922), 1,
      sym__quoted_heredoc_double,
    STATE(1923), 1,
      sym__quoted_heredoc_single,
    STATE(1924), 1,
      sym__quoted_single,
    STATE(1925), 1,
      sym__quoted_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253545] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5926), 1,
      anon_sym_LPAREN,
    ACTIONS(5928), 1,
      anon_sym_DQUOTE,
    ACTIONS(5930), 1,
      anon_sym_SQUOTE,
    ACTIONS(5932), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(5934), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(5936), 1,
      anon_sym_LBRACE,
    ACTIONS(5938), 1,
      anon_sym_LBRACK,
    ACTIONS(5940), 1,
      anon_sym_LT,
    ACTIONS(5942), 1,
      anon_sym_PIPE,
    ACTIONS(5944), 1,
      anon_sym_SLASH,
    STATE(2682), 1,
      sym__quoted_i_slash,
    STATE(2684), 1,
      sym__quoted_i_bar,
    STATE(2685), 1,
      sym__quoted_i_angle,
    STATE(2687), 1,
      sym__quoted_i_square,
    STATE(2692), 1,
      sym__quoted_i_curly,
    STATE(2693), 1,
      sym__quoted_i_parenthesis,
    STATE(2697), 1,
      sym__quoted_i_heredoc_double,
    STATE(2698), 1,
      sym__quoted_i_heredoc_single,
    STATE(2699), 1,
      sym__quoted_i_single,
    STATE(2700), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [253614] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1016), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2944), 1,
      anon_sym_SEMI,
    STATE(140), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4702), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253659] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1004), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4694), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253704] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1026), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4698), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253749] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1016), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4702), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253794] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(323), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4637), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4713), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253839] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(347), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4630), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4750), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253884] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1004), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4680), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4694), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253929] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(966), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4729), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [253974] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(982), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4714), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254019] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(307), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4617), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4699), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254064] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(327), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4650), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4690), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254109] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(964), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5948), 1,
      anon_sym_SEMI,
    STATE(147), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4715), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254154] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1012), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4634), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4691), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254199] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1012), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2952), 1,
      anon_sym_SEMI,
    STATE(170), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4691), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254244] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1012), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4691), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254289] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(964), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4715), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254334] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(982), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2934), 1,
      anon_sym_SEMI,
    STATE(143), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4714), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254379] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1018), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5950), 1,
      anon_sym_SEMI,
    STATE(171), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4748), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254424] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1018), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4748), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254469] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(994), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2932), 1,
      anon_sym_SEMI,
    STATE(154), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4717), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254514] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(982), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4631), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4714), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254559] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(994), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4717), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254604] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1016), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4661), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4702), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254649] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(986), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5952), 1,
      anon_sym_SEMI,
    STATE(153), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4718), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254694] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(986), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4718), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254739] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1014), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4705), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254784] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1014), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5954), 1,
      anon_sym_SEMI,
    STATE(166), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4705), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254829] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(998), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4741), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254874] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(998), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5956), 1,
      anon_sym_SEMI,
    STATE(161), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4741), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254919] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(960), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4739), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [254964] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1024), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4703), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255009] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1024), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2926), 1,
      anon_sym_SEMI,
    STATE(168), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4703), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255054] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(960), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2956), 1,
      anon_sym_SEMI,
    STATE(160), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4739), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255099] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1004), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2948), 1,
      anon_sym_SEMI,
    STATE(164), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4694), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255144] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(976), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4725), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255189] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(970), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4740), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255234] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(970), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5958), 1,
      anon_sym_SEMI,
    STATE(159), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4740), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255279] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(994), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4640), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4717), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255324] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1024), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4641), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4703), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255369] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(990), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4737), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255414] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(960), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4643), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4739), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255459] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(315), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4645), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4736), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255504] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(311), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4624), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4709), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255549] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(335), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4669), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4712), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255594] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(319), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4619), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4707), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255639] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(952), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4728), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255684] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(331), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4646), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4697), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255729] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(990), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5960), 1,
      anon_sym_SEMI,
    STATE(151), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4737), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255774] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(978), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4724), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255819] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(978), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5962), 1,
      anon_sym_SEMI,
    STATE(155), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4724), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255864] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1002), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4731), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255909] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1002), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2964), 1,
      anon_sym_SEMI,
    STATE(156), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4731), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255954] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(974), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5964), 1,
      anon_sym_SEMI,
    STATE(142), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4730), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [255999] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(968), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4738), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256044] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1002), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4655), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4731), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256089] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(976), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4664), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4725), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256134] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(968), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2958), 1,
      anon_sym_SEMI,
    STATE(146), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4738), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256179] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(968), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4651), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4738), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256224] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(343), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4623), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4727), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256269] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(976), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2922), 1,
      anon_sym_SEMI,
    STATE(150), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4725), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256314] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(339), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4666), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4719), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256359] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(966), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4681), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4729), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256404] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1006), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5966), 1,
      anon_sym_SEMI,
    STATE(165), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4693), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256449] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(351), 1,
      anon_sym_end,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4684), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4704), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256494] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1006), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4693), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256539] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(974), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4730), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256584] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1022), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4618), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4700), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256629] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1022), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2873), 1,
      anon_sym_SEMI,
    STATE(174), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4700), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256674] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1022), 1,
      anon_sym_end,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4700), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256719] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1026), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5968), 1,
      anon_sym_SEMI,
    STATE(175), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4698), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256764] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(952), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(5970), 1,
      anon_sym_SEMI,
    STATE(157), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4728), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256809] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(966), 1,
      anon_sym_end,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(2938), 1,
      anon_sym_SEMI,
    STATE(148), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    STATE(4729), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256854] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4827), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(742), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5972), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [256890] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4827), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(742), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5978), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [256926] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(976), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256957] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1018), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [256988] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(5980), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257019] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1008), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257050] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1006), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257081] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(331), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257112] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(5982), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257143] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1024), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257174] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1028), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257205] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1004), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257236] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1026), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257267] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(339), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257298] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(952), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257329] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1014), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257360] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1022), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257391] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1010), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257422] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(5984), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257453] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1016), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257484] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(351), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257515] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(982), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257546] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(323), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257577] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(307), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257608] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(968), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257639] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(994), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257670] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(964), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257701] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(972), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257732] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(5986), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257763] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(986), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257794] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(984), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257825] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1002), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257856] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(5988), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257887] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(311), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257918] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(5990), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257949] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(5992), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [257980] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(988), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258011] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(978), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258042] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(343), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258073] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(966), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258104] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(992), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258135] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(974), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258166] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(962), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258197] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(990), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258228] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(335), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258259] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5994), 1,
      anon_sym_after,
    ACTIONS(5997), 1,
      anon_sym_catch,
    ACTIONS(6000), 1,
      anon_sym_else,
    ACTIONS(6003), 1,
      anon_sym_end,
    ACTIONS(6005), 1,
      anon_sym_rescue,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258290] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(6008), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258321] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(315), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258352] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(960), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258383] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(980), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258414] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(970), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258445] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(998), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258476] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(996), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258507] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1000), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258538] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(6010), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258569] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(6012), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258600] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(327), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258631] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(6014), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258662] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(319), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258693] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(6016), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258724] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1020), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258755] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(347), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258786] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(103), 1,
      anon_sym_after,
    ACTIONS(105), 1,
      anon_sym_catch,
    ACTIONS(107), 1,
      anon_sym_else,
    ACTIONS(113), 1,
      anon_sym_rescue,
    ACTIONS(1012), 1,
      anon_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    STATE(4733), 5,
      sym_after_block,
      sym_rescue_block,
      sym_catch_block,
      sym_else_block,
      aux_sym_do_block_repeat1,
  [258817] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(6018), 1,
      anon_sym_SEMI,
    STATE(289), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1441), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [258847] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1115), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    ACTIONS(5978), 1,
      anon_sym_GT_GT,
    STATE(4827), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(605), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [258881] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(6020), 1,
      anon_sym_SEMI,
    STATE(294), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1379), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [258911] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6022), 1,
      aux_sym__terminator_token1,
    ACTIONS(6025), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(6028), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [258941] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1451), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [258971] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4774), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(666), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259001] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6030), 1,
      aux_sym__terminator_token1,
    ACTIONS(6033), 1,
      anon_sym_SEMI,
    STATE(734), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4197), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259031] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(6036), 1,
      anon_sym_SEMI,
    STATE(298), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1451), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259061] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(3044), 1,
      anon_sym_SEMI,
    STATE(303), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1481), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259091] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1115), 1,
      sym_keyword,
    ACTIONS(5972), 1,
      anon_sym_GT_GT,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4827), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(605), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [259125] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1441), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259155] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1437), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259185] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4755), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1499), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259215] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6038), 1,
      aux_sym__terminator_token1,
    ACTIONS(6041), 1,
      anon_sym_SEMI,
    STATE(630), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(4764), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(4297), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259245] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1379), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259275] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(3030), 1,
      anon_sym_SEMI,
    STATE(309), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1499), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259305] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1499), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259335] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4767), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(678), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259365] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4765), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1497), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259395] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1467), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259425] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4777), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(674), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259455] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(3046), 1,
      anon_sym_SEMI,
    STATE(299), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1467), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259485] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4762), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1467), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259515] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1481), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259545] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4770), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(670), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259575] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4761), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1481), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259605] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(5946), 1,
      anon_sym_SEMI,
    STATE(129), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(4754), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1497), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259635] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(3042), 1,
      anon_sym_SEMI,
    STATE(282), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1497), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259665] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym__terminator_token1,
    ACTIONS(6044), 1,
      anon_sym_SEMI,
    STATE(287), 1,
      sym__terminator,
    STATE(1022), 1,
      aux_sym__terminator_repeat1,
    STATE(4757), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1437), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259695] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3829), 1,
      aux_sym__terminator_token1,
    ACTIONS(3832), 1,
      anon_sym_SEMI,
    STATE(263), 1,
      sym__terminator,
    STATE(1020), 1,
      aux_sym__terminator_repeat1,
    STATE(4764), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1295), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259725] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6046), 1,
      aux_sym__terminator_token1,
    ACTIONS(6049), 1,
      anon_sym_SEMI,
    STATE(261), 1,
      sym__terminator,
    STATE(1020), 1,
      aux_sym__terminator_repeat1,
    STATE(4764), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(1313), 5,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [259755] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(616), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(3738), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(575), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [259786] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6052), 1,
      anon_sym_AMP,
    ACTIONS(6056), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6054), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [259809] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1331), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(3137), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(507), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [259840] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6058), 1,
      anon_sym_AMP,
    ACTIONS(6062), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6060), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [259863] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(473), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1145), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(589), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [259894] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_AMP,
    ACTIONS(6068), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6066), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [259917] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_AMP,
    ACTIONS(6074), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6072), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [259940] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(510), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(3455), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(594), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [259971] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1385), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1597), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(530), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260002] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6076), 1,
      anon_sym_AMP,
    ACTIONS(6080), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6078), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260025] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(383), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(2141), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(583), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260056] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_AMP,
    ACTIONS(6086), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6084), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260079] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1409), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4350), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(665), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260110] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(87), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4827), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(517), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260141] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6088), 1,
      anon_sym_AMP,
    ACTIONS(6092), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6090), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260164] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(259), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1486), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(503), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260195] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_AMP,
    ACTIONS(6098), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6096), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260218] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6100), 1,
      anon_sym_AMP,
    ACTIONS(6104), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6102), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260241] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1115), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4827), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(605), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260272] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(213), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1145), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(511), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260303] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6106), 1,
      anon_sym_AMP,
    ACTIONS(6110), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6108), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260326] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(437), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1486), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(547), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260357] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_AMP,
    ACTIONS(6116), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6114), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260380] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6118), 1,
      anon_sym_AMP,
    ACTIONS(6122), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6120), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260403] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(87), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4393), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(517), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260434] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1449), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1942), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(509), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260465] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(3137), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(742), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260496] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(651), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(2141), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(525), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260527] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1509), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1942), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(505), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260558] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4827), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(742), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260589] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(456), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1486), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(519), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260620] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6124), 1,
      anon_sym_AMP,
    ACTIONS(6128), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6126), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260643] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1493), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1597), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(501), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260674] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1115), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(4512), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(605), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260705] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6130), 1,
      anon_sym_AMP,
    ACTIONS(6134), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6132), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260728] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6136), 1,
      anon_sym_AMP,
    ACTIONS(6140), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6138), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260751] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1471), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(1942), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(499), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260782] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6142), 1,
      anon_sym_AMP,
    ACTIONS(6146), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6144), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260805] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(562), 1,
      sym_keyword,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5976), 1,
      anon_sym_SQUOTE,
    STATE(3440), 1,
      sym_pair,
    STATE(6890), 1,
      sym__quoted_i_double,
    STATE(6891), 1,
      sym__quoted_i_single,
    STATE(560), 2,
      sym__keyword,
      sym_quoted_keyword,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [260836] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_AMP,
    ACTIONS(6152), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6150), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260859] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_AMP,
    ACTIONS(6158), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6156), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260882] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_AMP,
    ACTIONS(6164), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6162), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260905] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6166), 1,
      anon_sym_AMP,
    ACTIONS(6170), 1,
      anon_sym_AT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(6168), 6,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_TILDE_TILDE_TILDE,
      anon_sym_not,
  [260928] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6172), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(6174), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [260948] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6176), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(6028), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [260968] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_when,
      anon_sym_DASH_GT,
  [260986] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6178), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(6180), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_after,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_end,
      anon_sym_rescue,
  [261006] = 8,
    ACTIONS(6182), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6188), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5389), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261033] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6190), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6192), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5094), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261060] = 8,
    ACTIONS(6194), 1,
      anon_sym_SQUOTE,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6200), 1,
      sym__quoted_content_i_single,
    STATE(5275), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261087] = 8,
    ACTIONS(6202), 1,
      anon_sym_DQUOTE,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6208), 1,
      sym__quoted_content_i_double,
    STATE(5230), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261114] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6210), 1,
      anon_sym_DQUOTE,
    ACTIONS(6212), 1,
      sym__quoted_content_i_double,
    STATE(5194), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261141] = 8,
    ACTIONS(6214), 1,
      anon_sym_RPAREN,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6220), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5613), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261168] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6222), 1,
      anon_sym_DQUOTE,
    ACTIONS(6224), 1,
      sym__quoted_content_i_double,
    STATE(5465), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261195] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6226), 1,
      anon_sym_SQUOTE,
    ACTIONS(6228), 1,
      sym__quoted_content_i_single,
    STATE(5314), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261222] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6230), 1,
      anon_sym_SQUOTE,
    ACTIONS(6232), 1,
      sym__quoted_content_i_single,
    STATE(5488), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261249] = 8,
    ACTIONS(6234), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6240), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5420), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261276] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6242), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6244), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5490), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261303] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6246), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6248), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5668), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261330] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6252), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5666), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261357] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6254), 1,
      anon_sym_SQUOTE,
    ACTIONS(6256), 1,
      sym__quoted_content_i_single,
    STATE(5664), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261384] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6258), 1,
      anon_sym_DQUOTE,
    ACTIONS(6260), 1,
      sym__quoted_content_i_double,
    STATE(5662), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261411] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6262), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6264), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5427), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261438] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6266), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6268), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5326), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261465] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6270), 1,
      anon_sym_SQUOTE,
    ACTIONS(6272), 1,
      sym__quoted_content_i_single,
    STATE(5430), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261492] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6274), 1,
      anon_sym_DQUOTE,
    ACTIONS(6276), 1,
      sym__quoted_content_i_double,
    STATE(5446), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261519] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6278), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6280), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5177), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261546] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6282), 1,
      anon_sym_SQUOTE,
    ACTIONS(6284), 1,
      sym__quoted_content_i_single,
    STATE(5807), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261573] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6286), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6288), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5168), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261600] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6290), 1,
      anon_sym_SQUOTE,
    ACTIONS(6292), 1,
      sym__quoted_content_i_single,
    STATE(5192), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261627] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6294), 1,
      anon_sym_SQUOTE,
    ACTIONS(6296), 1,
      sym__quoted_content_i_single,
    STATE(5160), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261654] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6298), 1,
      anon_sym_DQUOTE,
    ACTIONS(6300), 1,
      sym__quoted_content_i_double,
    STATE(5358), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261681] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6302), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6304), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5324), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261708] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6306), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6308), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5455), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261735] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6310), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6312), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5498), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261762] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6314), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6316), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5809), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261789] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6318), 1,
      anon_sym_RPAREN,
    ACTIONS(6320), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5631), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261816] = 8,
    ACTIONS(6322), 1,
      anon_sym_RBRACE,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6328), 1,
      sym__quoted_content_i_curly,
    STATE(5654), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261843] = 8,
    ACTIONS(6330), 1,
      anon_sym_SLASH,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6336), 1,
      sym__quoted_content_i_slash,
    STATE(5589), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261870] = 8,
    ACTIONS(6338), 1,
      anon_sym_PIPE,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6344), 1,
      sym__quoted_content_i_bar,
    STATE(5587), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261897] = 8,
    ACTIONS(6346), 1,
      anon_sym_GT,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6352), 1,
      sym__quoted_content_i_angle,
    STATE(5585), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261924] = 8,
    ACTIONS(6354), 1,
      anon_sym_RBRACK,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6360), 1,
      sym__quoted_content_i_square,
    STATE(5583), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261951] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6362), 1,
      anon_sym_RBRACE,
    ACTIONS(6364), 1,
      sym__quoted_content_i_curly,
    STATE(5581), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [261978] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6366), 1,
      anon_sym_RPAREN,
    ACTIONS(6368), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5579), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262005] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6370), 1,
      anon_sym_RBRACK,
    ACTIONS(6372), 1,
      sym__quoted_content_i_square,
    STATE(5656), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262032] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6374), 1,
      anon_sym_GT,
    ACTIONS(6376), 1,
      sym__quoted_content_i_angle,
    STATE(5749), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262059] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6378), 1,
      anon_sym_PIPE,
    ACTIONS(6380), 1,
      sym__quoted_content_i_bar,
    STATE(5751), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262086] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6382), 1,
      anon_sym_SLASH,
    ACTIONS(6384), 1,
      sym__quoted_content_i_slash,
    STATE(5753), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262113] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6386), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6388), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5457), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262140] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6390), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6392), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5524), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262167] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6394), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6396), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5522), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262194] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6398), 1,
      anon_sym_SQUOTE,
    ACTIONS(6400), 1,
      sym__quoted_content_i_single,
    STATE(5520), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262221] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6402), 1,
      anon_sym_DQUOTE,
    ACTIONS(6404), 1,
      sym__quoted_content_i_double,
    STATE(5518), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262248] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6406), 1,
      anon_sym_DQUOTE,
    ACTIONS(6408), 1,
      sym__quoted_content_i_double,
    STATE(5210), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262275] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6410), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6412), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5811), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262302] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6414), 1,
      anon_sym_SQUOTE,
    ACTIONS(6416), 1,
      sym__quoted_content_i_single,
    STATE(5459), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262329] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6418), 1,
      anon_sym_SQUOTE,
    ACTIONS(6420), 1,
      sym__quoted_content_i_single,
    STATE(5216), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262356] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6422), 1,
      anon_sym_DQUOTE,
    ACTIONS(6424), 1,
      sym__quoted_content_i_double,
    STATE(5316), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262383] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6426), 1,
      anon_sym_DQUOTE,
    ACTIONS(6428), 1,
      sym__quoted_content_i_double,
    STATE(5461), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262410] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6430), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6432), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5926), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262437] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6434), 1,
      anon_sym_DQUOTE,
    ACTIONS(6436), 1,
      sym__quoted_content_i_double,
    STATE(5218), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262464] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6438), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6440), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5091), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262491] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6442), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6444), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5473), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262518] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6446), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6448), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5475), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262545] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6450), 1,
      anon_sym_SQUOTE,
    ACTIONS(6452), 1,
      sym__quoted_content_i_single,
    STATE(5850), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262572] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6454), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6456), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5305), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262599] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6458), 1,
      anon_sym_SQUOTE,
    ACTIONS(6460), 1,
      sym__quoted_content_i_single,
    STATE(5484), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262626] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6462), 1,
      anon_sym_SQUOTE,
    ACTIONS(6464), 1,
      sym__quoted_content_i_single,
    STATE(5233), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262653] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6466), 1,
      anon_sym_SLASH,
    ACTIONS(6468), 1,
      sym__quoted_content_i_slash,
    STATE(5075), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262680] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6470), 1,
      anon_sym_PIPE,
    ACTIONS(6472), 1,
      sym__quoted_content_i_bar,
    STATE(5084), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262707] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6474), 1,
      anon_sym_DQUOTE,
    ACTIONS(6476), 1,
      sym__quoted_content_i_double,
    STATE(5486), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262734] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6478), 1,
      anon_sym_RPAREN,
    ACTIONS(6480), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5864), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262761] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6482), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6484), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5506), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262788] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6486), 1,
      anon_sym_GT,
    ACTIONS(6488), 1,
      sym__quoted_content_i_angle,
    STATE(5114), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262815] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6490), 1,
      anon_sym_RBRACK,
    ACTIONS(6492), 1,
      sym__quoted_content_i_square,
    STATE(5118), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262842] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6494), 1,
      anon_sym_RBRACE,
    ACTIONS(6496), 1,
      sym__quoted_content_i_curly,
    STATE(5120), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262869] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6498), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6500), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5609), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262896] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6502), 1,
      anon_sym_RBRACE,
    ACTIONS(6504), 1,
      sym__quoted_content_i_curly,
    STATE(5866), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262923] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6506), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6508), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5508), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262950] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6510), 1,
      anon_sym_RBRACK,
    ACTIONS(6512), 1,
      sym__quoted_content_i_square,
    STATE(5868), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [262977] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6514), 1,
      anon_sym_SQUOTE,
    ACTIONS(6516), 1,
      sym__quoted_content_i_single,
    STATE(5510), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263004] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6518), 1,
      anon_sym_GT,
    ACTIONS(6520), 1,
      sym__quoted_content_i_angle,
    STATE(5870), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263031] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6522), 1,
      anon_sym_SLASH,
    ACTIONS(6524), 1,
      sym__quoted_content_i_slash,
    STATE(5445), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263058] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6526), 1,
      anon_sym_RPAREN,
    ACTIONS(6528), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5122), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263085] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6530), 1,
      anon_sym_PIPE,
    ACTIONS(6532), 1,
      sym__quoted_content_i_bar,
    STATE(5443), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263112] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6534), 1,
      anon_sym_GT,
    ACTIONS(6536), 1,
      sym__quoted_content_i_angle,
    STATE(5441), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263139] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6538), 1,
      anon_sym_DQUOTE,
    ACTIONS(6540), 1,
      sym__quoted_content_i_double,
    STATE(5396), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263166] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6542), 1,
      anon_sym_SQUOTE,
    ACTIONS(6544), 1,
      sym__quoted_content_i_single,
    STATE(5392), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263193] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6546), 1,
      anon_sym_RPAREN,
    ACTIONS(6548), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5723), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263220] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6550), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6552), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5386), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263247] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6554), 1,
      anon_sym_RBRACK,
    ACTIONS(6556), 1,
      sym__quoted_content_i_square,
    STATE(5439), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263274] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6558), 1,
      anon_sym_RBRACE,
    ACTIONS(6560), 1,
      sym__quoted_content_i_curly,
    STATE(5437), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263301] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6562), 1,
      anon_sym_RBRACE,
    ACTIONS(6564), 1,
      sym__quoted_content_i_curly,
    STATE(5153), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263328] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6566), 1,
      anon_sym_RPAREN,
    ACTIONS(6568), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5435), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263355] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6570), 1,
      anon_sym_DQUOTE,
    ACTIONS(6572), 1,
      sym__quoted_content_i_double,
    STATE(5512), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263382] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6574), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6576), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5530), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263409] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6578), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6580), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5533), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263436] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6582), 1,
      anon_sym_PIPE,
    ACTIONS(6584), 1,
      sym__quoted_content_i_bar,
    STATE(5872), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263463] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6586), 1,
      anon_sym_SLASH,
    ACTIONS(6588), 1,
      sym__quoted_content_i_slash,
    STATE(5571), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263490] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6590), 1,
      anon_sym_PIPE,
    ACTIONS(6592), 1,
      sym__quoted_content_i_bar,
    STATE(5573), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263517] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6594), 1,
      anon_sym_GT,
    ACTIONS(6596), 1,
      sym__quoted_content_i_angle,
    STATE(5614), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263544] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6598), 1,
      anon_sym_RBRACK,
    ACTIONS(6600), 1,
      sym__quoted_content_i_square,
    STATE(5617), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263571] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6602), 1,
      anon_sym_SLASH,
    ACTIONS(6604), 1,
      sym__quoted_content_i_slash,
    STATE(5874), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263598] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6606), 1,
      anon_sym_SQUOTE,
    ACTIONS(6608), 1,
      sym__quoted_content_i_single,
    STATE(5535), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263625] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6610), 1,
      anon_sym_RBRACE,
    ACTIONS(6612), 1,
      sym__quoted_content_i_curly,
    STATE(5638), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263652] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6614), 1,
      anon_sym_DQUOTE,
    ACTIONS(6616), 1,
      sym__quoted_content_i_double,
    STATE(5538), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263679] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6618), 1,
      anon_sym_RPAREN,
    ACTIONS(6620), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5640), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263706] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6622), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6624), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5552), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263733] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6626), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6628), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5564), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263760] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6630), 1,
      anon_sym_SQUOTE,
    ACTIONS(6632), 1,
      sym__quoted_content_i_single,
    STATE(5568), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263787] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6634), 1,
      anon_sym_DQUOTE,
    ACTIONS(6636), 1,
      sym__quoted_content_i_double,
    STATE(5570), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263814] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6638), 1,
      anon_sym_RBRACE,
    ACTIONS(6640), 1,
      sym__quoted_content_i_curly,
    STATE(5725), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263841] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6642), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6644), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5593), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263868] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6646), 1,
      anon_sym_RBRACK,
    ACTIONS(6648), 1,
      sym__quoted_content_i_square,
    STATE(5727), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263895] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6650), 1,
      anon_sym_GT,
    ACTIONS(6652), 1,
      sym__quoted_content_i_angle,
    STATE(5729), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263922] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6654), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6656), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5595), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263949] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6658), 1,
      anon_sym_SQUOTE,
    ACTIONS(6660), 1,
      sym__quoted_content_i_single,
    STATE(5597), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [263976] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6662), 1,
      anon_sym_DQUOTE,
    ACTIONS(6664), 1,
      sym__quoted_content_i_double,
    STATE(5414), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264003] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6666), 1,
      anon_sym_DQUOTE,
    ACTIONS(6668), 1,
      sym__quoted_content_i_double,
    STATE(5599), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264030] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6670), 1,
      anon_sym_PIPE,
    ACTIONS(6672), 1,
      sym__quoted_content_i_bar,
    STATE(5731), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264057] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6674), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6676), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5607), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264084] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6678), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6680), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5380), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264111] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6682), 1,
      anon_sym_SLASH,
    ACTIONS(6684), 1,
      sym__quoted_content_i_slash,
    STATE(5733), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264138] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6686), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6688), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5378), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264165] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6690), 1,
      anon_sym_SQUOTE,
    ACTIONS(6692), 1,
      sym__quoted_content_i_single,
    STATE(5367), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264192] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6694), 1,
      anon_sym_SQUOTE,
    ACTIONS(6696), 1,
      sym__quoted_content_i_single,
    STATE(5376), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264219] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6698), 1,
      anon_sym_DQUOTE,
    ACTIONS(6700), 1,
      sym__quoted_content_i_double,
    STATE(5374), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264246] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6702), 1,
      anon_sym_SQUOTE,
    ACTIONS(6704), 1,
      sym__quoted_content_i_single,
    STATE(5612), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264273] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6706), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6708), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5283), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264300] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6710), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6712), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5365), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264327] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6714), 1,
      anon_sym_SQUOTE,
    ACTIONS(6716), 1,
      sym__quoted_content_i_single,
    STATE(5198), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264354] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6718), 1,
      anon_sym_RPAREN,
    ACTIONS(6720), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5255), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264381] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6722), 1,
      anon_sym_RBRACE,
    ACTIONS(6724), 1,
      sym__quoted_content_i_curly,
    STATE(5253), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264408] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6726), 1,
      anon_sym_RBRACK,
    ACTIONS(6728), 1,
      sym__quoted_content_i_square,
    STATE(5248), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264435] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6730), 1,
      anon_sym_GT,
    ACTIONS(6732), 1,
      sym__quoted_content_i_angle,
    STATE(5241), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264462] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6734), 1,
      anon_sym_PIPE,
    ACTIONS(6736), 1,
      sym__quoted_content_i_bar,
    STATE(5237), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264489] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6738), 1,
      anon_sym_SLASH,
    ACTIONS(6740), 1,
      sym__quoted_content_i_slash,
    STATE(5234), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264516] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6742), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6744), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5928), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264543] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6746), 1,
      anon_sym_SQUOTE,
    ACTIONS(6748), 1,
      sym__quoted_content_i_single,
    STATE(5106), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264570] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6750), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6752), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5312), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264597] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6754), 1,
      anon_sym_RBRACE,
    ACTIONS(6756), 1,
      sym__quoted_content_i_curly,
    STATE(5671), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264624] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6758), 1,
      anon_sym_DQUOTE,
    ACTIONS(6760), 1,
      sym__quoted_content_i_double,
    STATE(5240), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264651] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6762), 1,
      anon_sym_RBRACK,
    ACTIONS(6764), 1,
      sym__quoted_content_i_square,
    STATE(5674), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264678] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6766), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6768), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5347), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264705] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6770), 1,
      anon_sym_DQUOTE,
    ACTIONS(6772), 1,
      sym__quoted_content_i_double,
    STATE(5110), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264732] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6774), 1,
      anon_sym_GT,
    ACTIONS(6776), 1,
      sym__quoted_content_i_angle,
    STATE(5680), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264759] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6778), 1,
      anon_sym_PIPE,
    ACTIONS(6780), 1,
      sym__quoted_content_i_bar,
    STATE(5686), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264786] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6782), 1,
      anon_sym_DQUOTE,
    ACTIONS(6784), 1,
      sym__quoted_content_i_double,
    STATE(5340), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264813] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6786), 1,
      anon_sym_SQUOTE,
    ACTIONS(6788), 1,
      sym__quoted_content_i_single,
    STATE(5278), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264840] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6790), 1,
      anon_sym_SQUOTE,
    ACTIONS(6792), 1,
      sym__quoted_content_i_single,
    STATE(5331), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264867] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6794), 1,
      anon_sym_SLASH,
    ACTIONS(6796), 1,
      sym__quoted_content_i_slash,
    STATE(5691), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264894] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6798), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6800), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5310), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264921] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6802), 1,
      anon_sym_SLASH,
    ACTIONS(6804), 1,
      sym__quoted_content_i_slash,
    STATE(5262), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264948] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6806), 1,
      anon_sym_DQUOTE,
    ACTIONS(6808), 1,
      sym__quoted_content_i_double,
    STATE(5903), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [264975] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6810), 1,
      anon_sym_DQUOTE,
    ACTIONS(6812), 1,
      sym__quoted_content_i_double,
    STATE(5921), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265002] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6814), 1,
      anon_sym_SQUOTE,
    ACTIONS(6816), 1,
      sym__quoted_content_i_single,
    STATE(5923), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265029] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6818), 1,
      anon_sym_DQUOTE,
    ACTIONS(6820), 1,
      sym__quoted_content_i_double,
    STATE(5280), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265056] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6822), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6824), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5925), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265083] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6826), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6828), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5940), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265110] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6830), 1,
      anon_sym_PIPE,
    ACTIONS(6832), 1,
      sym__quoted_content_i_bar,
    STATE(5264), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265137] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6834), 1,
      anon_sym_RPAREN,
    ACTIONS(6836), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5917), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265164] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6838), 1,
      anon_sym_RBRACE,
    ACTIONS(6840), 1,
      sym__quoted_content_i_curly,
    STATE(5915), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265191] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6842), 1,
      anon_sym_DQUOTE,
    ACTIONS(6844), 1,
      sym__quoted_content_i_double,
    STATE(5373), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265218] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6846), 1,
      anon_sym_RBRACK,
    ACTIONS(6848), 1,
      sym__quoted_content_i_square,
    STATE(5913), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265245] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6850), 1,
      anon_sym_GT,
    ACTIONS(6852), 1,
      sym__quoted_content_i_angle,
    STATE(5911), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265272] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6854), 1,
      anon_sym_PIPE,
    ACTIONS(6856), 1,
      sym__quoted_content_i_bar,
    STATE(5902), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265299] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6858), 1,
      anon_sym_SLASH,
    ACTIONS(6860), 1,
      sym__quoted_content_i_slash,
    STATE(5899), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265326] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6862), 1,
      anon_sym_SLASH,
    ACTIONS(6864), 1,
      sym__quoted_content_i_slash,
    STATE(5087), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265353] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6866), 1,
      anon_sym_SLASH,
    ACTIONS(6868), 1,
      sym__quoted_content_i_slash,
    STATE(5301), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265380] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6870), 1,
      anon_sym_PIPE,
    ACTIONS(6872), 1,
      sym__quoted_content_i_bar,
    STATE(5299), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265407] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6874), 1,
      anon_sym_GT,
    ACTIONS(6876), 1,
      sym__quoted_content_i_angle,
    STATE(5297), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265434] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6878), 1,
      anon_sym_RBRACK,
    ACTIONS(6880), 1,
      sym__quoted_content_i_square,
    STATE(5295), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265461] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6882), 1,
      anon_sym_RBRACE,
    ACTIONS(6884), 1,
      sym__quoted_content_i_curly,
    STATE(5293), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265488] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6886), 1,
      anon_sym_RPAREN,
    ACTIONS(6888), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5291), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265515] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6890), 1,
      anon_sym_GT,
    ACTIONS(6892), 1,
      sym__quoted_content_i_angle,
    STATE(5266), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265542] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6894), 1,
      anon_sym_RBRACK,
    ACTIONS(6896), 1,
      sym__quoted_content_i_square,
    STATE(5330), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265569] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6898), 1,
      anon_sym_DQUOTE,
    ACTIONS(6900), 1,
      sym__quoted_content_i_double,
    STATE(5619), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265596] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6902), 1,
      anon_sym_DQUOTE,
    ACTIONS(6904), 1,
      sym__quoted_content_i_double,
    STATE(5200), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265623] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6906), 1,
      anon_sym_RBRACE,
    ACTIONS(6908), 1,
      sym__quoted_content_i_curly,
    STATE(5349), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265650] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6910), 1,
      anon_sym_RPAREN,
    ACTIONS(6912), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5351), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265677] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6914), 1,
      anon_sym_RPAREN,
    ACTIONS(6916), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5745), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265704] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6918), 1,
      anon_sym_DQUOTE,
    ACTIONS(6920), 1,
      sym__quoted_content_i_double,
    STATE(5885), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265731] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6922), 1,
      anon_sym_SLASH,
    ACTIONS(6924), 1,
      sym__quoted_content_i_slash,
    STATE(5697), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265758] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6926), 1,
      anon_sym_RBRACE,
    ACTIONS(6928), 1,
      sym__quoted_content_i_curly,
    STATE(5797), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265785] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6930), 1,
      anon_sym_RBRACK,
    ACTIONS(6932), 1,
      sym__quoted_content_i_square,
    STATE(5823), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265812] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6934), 1,
      anon_sym_PIPE,
    ACTIONS(6936), 1,
      sym__quoted_content_i_bar,
    STATE(5699), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265839] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6938), 1,
      anon_sym_SQUOTE,
    ACTIONS(6940), 1,
      sym__quoted_content_i_single,
    STATE(5883), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265866] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6942), 1,
      anon_sym_GT,
    ACTIONS(6944), 1,
      sym__quoted_content_i_angle,
    STATE(5833), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265893] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6946), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6948), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5228), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265920] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6950), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6952), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5226), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265947] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(6954), 1,
      anon_sym_SQUOTE,
    ACTIONS(6956), 1,
      sym__quoted_content_i_single,
    STATE(5224), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [265974] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(6958), 1,
      anon_sym_DQUOTE,
    ACTIONS(6960), 1,
      sym__quoted_content_i_double,
    STATE(5222), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266001] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(6962), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(6964), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5881), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266028] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      sym__quoted_content_i_bar,
    STATE(5839), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266055] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(6970), 1,
      anon_sym_GT,
    ACTIONS(6972), 1,
      sym__quoted_content_i_angle,
    STATE(5701), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266082] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(6974), 1,
      anon_sym_RBRACK,
    ACTIONS(6976), 1,
      sym__quoted_content_i_square,
    STATE(5703), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266109] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(6978), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(6980), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5879), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266136] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6982), 1,
      anon_sym_RBRACE,
    ACTIONS(6984), 1,
      sym__quoted_content_i_curly,
    STATE(5705), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266163] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(6986), 1,
      anon_sym_SLASH,
    ACTIONS(6988), 1,
      sym__quoted_content_i_slash,
    STATE(5834), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266190] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6990), 1,
      anon_sym_RPAREN,
    ACTIONS(6992), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5817), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266217] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(6994), 1,
      anon_sym_RPAREN,
    ACTIONS(6996), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5716), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266244] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(6998), 1,
      anon_sym_RBRACE,
    ACTIONS(7000), 1,
      sym__quoted_content_i_curly,
    STATE(5815), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266271] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7002), 1,
      anon_sym_RBRACK,
    ACTIONS(7004), 1,
      sym__quoted_content_i_square,
    STATE(5813), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266298] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7006), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7008), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5408), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266325] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7010), 1,
      anon_sym_GT,
    ACTIONS(7012), 1,
      sym__quoted_content_i_angle,
    STATE(5802), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266352] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7016), 1,
      sym__quoted_content_i_bar,
    STATE(5799), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266379] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7018), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7020), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5761), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266406] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7022), 1,
      anon_sym_PIPE,
    ACTIONS(7024), 1,
      sym__quoted_content_i_bar,
    STATE(5102), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266433] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7026), 1,
      anon_sym_SLASH,
    ACTIONS(7028), 1,
      sym__quoted_content_i_slash,
    STATE(5791), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266460] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7030), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(7032), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5764), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266487] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7034), 1,
      anon_sym_GT,
    ACTIONS(7036), 1,
      sym__quoted_content_i_angle,
    STATE(5108), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266514] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7038), 1,
      anon_sym_RBRACK,
    ACTIONS(7040), 1,
      sym__quoted_content_i_square,
    STATE(5124), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266541] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7042), 1,
      anon_sym_DQUOTE,
    ACTIONS(7044), 1,
      sym__quoted_content_i_double,
    STATE(5302), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266568] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7046), 1,
      anon_sym_DQUOTE,
    ACTIONS(7048), 1,
      sym__quoted_content_i_double,
    STATE(5774), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266595] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7050), 1,
      anon_sym_SQUOTE,
    ACTIONS(7052), 1,
      sym__quoted_content_i_single,
    STATE(5772), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266622] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7054), 1,
      anon_sym_SQUOTE,
    ACTIONS(7056), 1,
      sym__quoted_content_i_single,
    STATE(5286), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266649] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7058), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(7060), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5763), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266676] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7062), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7064), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5759), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266703] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7066), 1,
      anon_sym_SQUOTE,
    ACTIONS(7068), 1,
      sym__quoted_content_i_single,
    STATE(5783), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266730] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7070), 1,
      anon_sym_RPAREN,
    ACTIONS(7072), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5737), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266757] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7074), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      sym__quoted_content_i_slash,
    STATE(5149), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266784] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7078), 1,
      anon_sym_PIPE,
    ACTIONS(7080), 1,
      sym__quoted_content_i_bar,
    STATE(5147), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266811] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7082), 1,
      anon_sym_GT,
    ACTIONS(7084), 1,
      sym__quoted_content_i_angle,
    STATE(5145), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266838] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7086), 1,
      anon_sym_RBRACK,
    ACTIONS(7088), 1,
      sym__quoted_content_i_square,
    STATE(5143), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266865] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7090), 1,
      anon_sym_RBRACE,
    ACTIONS(7092), 1,
      sym__quoted_content_i_curly,
    STATE(5141), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266892] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7094), 1,
      anon_sym_RPAREN,
    ACTIONS(7096), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5139), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266919] = 8,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7098), 1,
      anon_sym_RBRACE,
    ACTIONS(7100), 1,
      sym__quoted_content_i_curly,
    STATE(5735), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266946] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7102), 1,
      anon_sym_DQUOTE,
    ACTIONS(7104), 1,
      sym__quoted_content_i_double,
    STATE(5785), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [266973] = 8,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7106), 1,
      anon_sym_RBRACK,
    ACTIONS(7108), 1,
      sym__quoted_content_i_square,
    STATE(5718), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267000] = 8,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7110), 1,
      anon_sym_GT,
    ACTIONS(7112), 1,
      sym__quoted_content_i_angle,
    STATE(5715), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267027] = 8,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7114), 1,
      anon_sym_PIPE,
    ACTIONS(7116), 1,
      sym__quoted_content_i_bar,
    STATE(5709), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267054] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7118), 1,
      anon_sym_SQUOTE,
    ACTIONS(7120), 1,
      sym__quoted_content_i_single,
    STATE(5208), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267081] = 8,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7122), 1,
      anon_sym_SLASH,
    ACTIONS(7124), 1,
      sym__quoted_content_i_slash,
    STATE(5707), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267108] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7126), 1,
      anon_sym_DQUOTE,
    ACTIONS(7128), 1,
      sym__quoted_content_i_double,
    STATE(5944), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267135] = 8,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7130), 1,
      anon_sym_RPAREN,
    ACTIONS(7132), 1,
      sym__quoted_content_i_parenthesis,
    STATE(5151), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267162] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7134), 1,
      anon_sym_SQUOTE,
    ACTIONS(7136), 1,
      sym__quoted_content_i_single,
    STATE(5931), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267189] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7138), 1,
      anon_sym_DQUOTE,
    ACTIONS(7140), 1,
      sym__quoted_content_i_double,
    STATE(5805), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267216] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7142), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(7144), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5410), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267243] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7146), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7148), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5796), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267270] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7150), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(7152), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5682), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267297] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7154), 1,
      anon_sym_DQUOTE,
    ACTIONS(7156), 1,
      sym__quoted_content_i_double,
    STATE(5076), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267324] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7158), 1,
      anon_sym_SQUOTE,
    ACTIONS(7160), 1,
      sym__quoted_content_i_single,
    STATE(5078), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267351] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7162), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(7164), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5080), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267378] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7166), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7168), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5082), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267405] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7170), 1,
      anon_sym_SQUOTE,
    ACTIONS(7172), 1,
      sym__quoted_content_i_single,
    STATE(5412), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267432] = 8,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7174), 1,
      anon_sym_DQUOTE,
    ACTIONS(7176), 1,
      sym__quoted_content_i_double,
    STATE(5650), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267459] = 8,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7178), 1,
      anon_sym_SQUOTE,
    ACTIONS(7180), 1,
      sym__quoted_content_i_single,
    STATE(5648), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267486] = 8,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7182), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(7184), 1,
      sym__quoted_content_i_heredoc_single,
    STATE(5645), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267513] = 8,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7186), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7188), 1,
      sym__quoted_content_i_heredoc_double,
    STATE(5636), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267540] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7190), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267564] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    STATE(5606), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267588] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(894), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5100), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [267614] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7196), 1,
      anon_sym_DQUOTE,
    STATE(5101), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267638] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267662] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7196), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267686] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7200), 1,
      anon_sym_SQUOTE,
    STATE(5103), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267710] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7200), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267734] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7202), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5104), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267758] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7202), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267782] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7204), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5105), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267806] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7204), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267830] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7198), 1,
      anon_sym_SLASH,
    STATE(5417), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267854] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267878] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7206), 1,
      anon_sym_PIPE,
    STATE(5261), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267902] = 7,
    ACTIONS(7208), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(7210), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7213), 1,
      sym_escape_sequence,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267926] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7216), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267950] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7218), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [267974] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7222), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5126), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268000] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7224), 1,
      anon_sym_COMMA,
    STATE(5630), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(5972), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [268020] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7226), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268044] = 7,
    ACTIONS(7228), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(7230), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7233), 1,
      sym_escape_sequence,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268068] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7226), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5180), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268092] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268116] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5202), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268140] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5137), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268166] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7238), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268190] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3876), 1,
      anon_sym_SEMI,
    STATE(450), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268216] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7216), 1,
      anon_sym_SLASH,
    STATE(5416), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268240] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268266] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7240), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268290] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7242), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268314] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7244), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268338] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7246), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268362] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7248), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268386] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7250), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268410] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7250), 1,
      anon_sym_SQUOTE,
    STATE(5206), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268434] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7252), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268458] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7242), 1,
      anon_sym_PIPE,
    STATE(5112), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268482] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7254), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268506] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7254), 1,
      anon_sym_DQUOTE,
    STATE(5620), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268530] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7256), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268554] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7258), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5421), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268580] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7260), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268604] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7260), 1,
      anon_sym_GT,
    STATE(5260), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268628] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5742), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268654] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3936), 1,
      anon_sym_SEMI,
    STATE(421), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268680] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7262), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268704] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7262), 1,
      anon_sym_RBRACK,
    STATE(5259), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268728] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7264), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268752] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7264), 1,
      anon_sym_RBRACE,
    STATE(5258), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268776] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268800] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7252), 1,
      anon_sym_GT,
    STATE(5463), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268824] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7268), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268848] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7270), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5171), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268874] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7270), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [268900] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7272), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268924] = 7,
    ACTIONS(7274), 1,
      anon_sym_SQUOTE,
    ACTIONS(7276), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7279), 1,
      sym_escape_sequence,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268948] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(5243), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268972] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7282), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [268996] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7284), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269020] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7286), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269044] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7288), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269068] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7290), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269092] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7292), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269116] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7294), 1,
      anon_sym_SEMI,
    STATE(451), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269142] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1779), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269168] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7296), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269192] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7296), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269216] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7298), 1,
      anon_sym_RBRACE,
    STATE(5182), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269240] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7298), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269264] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7300), 1,
      anon_sym_RBRACK,
    STATE(5183), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269288] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7300), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269312] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7302), 1,
      anon_sym_GT,
    STATE(5184), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269336] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7302), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269360] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7304), 1,
      anon_sym_PIPE,
    STATE(5185), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269384] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7304), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269408] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7306), 1,
      anon_sym_SLASH,
    STATE(5186), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269432] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7306), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269456] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7308), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269480] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7310), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269504] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7268), 1,
      anon_sym_RBRACK,
    STATE(5652), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269528] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7312), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269552] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7314), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269576] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7312), 1,
      anon_sym_RBRACE,
    STATE(5179), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269600] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7316), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269624] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7310), 1,
      anon_sym_RPAREN,
    STATE(5175), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269648] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7318), 1,
      anon_sym_COMMA,
    STATE(5158), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3534), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [269668] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7321), 1,
      anon_sym_SQUOTE,
    STATE(5355), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269692] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7321), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269716] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    STATE(5161), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 3,
      anon_sym_RPAREN,
      anon_sym_when,
      anon_sym_DASH_GT,
  [269736] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7326), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5356), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269760] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_RPAREN,
    ACTIONS(7328), 1,
      aux_sym__terminator_token1,
    ACTIONS(7331), 1,
      anon_sym_SEMI,
    STATE(353), 1,
      sym__terminator,
    STATE(1034), 1,
      aux_sym__terminator_repeat1,
    STATE(5189), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269786] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(6022), 1,
      aux_sym__terminator_token1,
    ACTIONS(6028), 1,
      anon_sym_RPAREN,
    ACTIONS(7334), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269812] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_RPAREN,
    ACTIONS(6030), 1,
      aux_sym__terminator_token1,
    ACTIONS(7337), 1,
      anon_sym_SEMI,
    STATE(486), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269838] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1623), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269864] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1623), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7340), 1,
      anon_sym_SEMI,
    STATE(452), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269890] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7326), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269914] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
    ACTIONS(4615), 1,
      aux_sym__terminator_token1,
    ACTIONS(4618), 1,
      anon_sym_SEMI,
    STATE(352), 1,
      sym__terminator,
    STATE(1034), 1,
      aux_sym__terminator_repeat1,
    STATE(5189), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269940] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7342), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5559), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [269964] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7344), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [269990] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7346), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270014] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7348), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270038] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7350), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270062] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7352), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270086] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7354), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [270112] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7342), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270136] = 7,
    ACTIONS(7356), 1,
      anon_sym_DQUOTE,
    ACTIONS(7358), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7361), 1,
      sym_escape_sequence,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270160] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7364), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270184] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7366), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270208] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7368), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270232] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7370), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270256] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7372), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270280] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7374), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270304] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7376), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270328] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7378), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270352] = 7,
    ACTIONS(7380), 1,
      anon_sym_RBRACE,
    ACTIONS(7382), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7385), 1,
      sym_escape_sequence,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270376] = 7,
    ACTIONS(7388), 1,
      anon_sym_RPAREN,
    ACTIONS(7390), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7393), 1,
      sym_escape_sequence,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270400] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_RPAREN,
    ACTIONS(6038), 1,
      aux_sym__terminator_token1,
    ACTIONS(7396), 1,
      anon_sym_SEMI,
    STATE(853), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5189), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [270426] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7399), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270450] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7401), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270474] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7403), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270498] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7403), 1,
      anon_sym_SQUOTE,
    STATE(5190), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270522] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7405), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270546] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7405), 1,
      anon_sym_DQUOTE,
    STATE(5191), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270570] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7407), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270594] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7409), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270618] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7411), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270642] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7411), 1,
      anon_sym_SQUOTE,
    STATE(5196), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270666] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7413), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270690] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7413), 1,
      anon_sym_DQUOTE,
    STATE(5197), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270714] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7415), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270738] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(882), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5383), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [270764] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7417), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270788] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7419), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270812] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7421), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270836] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7423), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270860] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7425), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270884] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7425), 1,
      anon_sym_SQUOTE,
    STATE(5205), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270908] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7427), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270932] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7427), 1,
      anon_sym_DQUOTE,
    STATE(5207), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270956] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7429), 1,
      anon_sym_DQUOTE,
    STATE(5629), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [270980] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7431), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271004] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [271030] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7433), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271054] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7435), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271078] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7435), 1,
      anon_sym_SQUOTE,
    STATE(5213), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271102] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7437), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271126] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(898), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5246), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [271152] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7439), 1,
      anon_sym_DQUOTE,
    STATE(5247), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271176] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7441), 1,
      anon_sym_COMMA,
    STATE(5161), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3583), 3,
      anon_sym_RPAREN,
      anon_sym_when,
      anon_sym_DASH_GT,
  [271196] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7439), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271220] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7443), 1,
      anon_sym_SQUOTE,
    STATE(5249), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271244] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7443), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271268] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7445), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5250), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271292] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7445), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271316] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7447), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5251), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271340] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7447), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271364] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7437), 1,
      anon_sym_DQUOTE,
    STATE(5215), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271388] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7429), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271412] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7449), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271436] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7451), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271460] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7453), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271484] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271508] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7457), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5272), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [271534] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7455), 1,
      anon_sym_SLASH,
    STATE(5127), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271558] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7459), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271582] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7453), 1,
      anon_sym_SQUOTE,
    STATE(5231), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271606] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7459), 1,
      anon_sym_PIPE,
    STATE(5130), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271630] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7461), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271654] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7463), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271678] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5289), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [271704] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7465), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271728] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3884), 1,
      anon_sym_SEMI,
    STATE(438), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [271754] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7463), 1,
      anon_sym_GT,
    STATE(5131), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271778] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [271804] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7467), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271828] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7469), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271852] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7471), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271876] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7473), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271900] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7475), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271924] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7469), 1,
      anon_sym_RBRACK,
    STATE(5172), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271948] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7477), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271972] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7477), 1,
      anon_sym_RBRACE,
    STATE(5173), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [271996] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7479), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272020] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7479), 1,
      anon_sym_RPAREN,
    STATE(5174), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272044] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272070] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7481), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272094] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7483), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272118] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7485), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272142] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7487), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272166] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7489), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272190] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7489), 1,
      anon_sym_SLASH,
    STATE(5132), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272214] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272238] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7491), 1,
      anon_sym_PIPE,
    STATE(5133), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272262] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7493), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272286] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7493), 1,
      anon_sym_GT,
    STATE(5134), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272310] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7461), 1,
      anon_sym_DQUOTE,
    STATE(5232), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272334] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3888), 1,
      anon_sym_SEMI,
    STATE(379), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272360] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7495), 1,
      anon_sym_SEMI,
    STATE(446), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272386] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7497), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5323), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272412] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7497), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272438] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7499), 1,
      anon_sym_SQUOTE,
    STATE(5448), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272462] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5166), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272488] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7499), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272512] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7501), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272536] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7503), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272560] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7505), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272584] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7505), 1,
      anon_sym_SQUOTE,
    STATE(5276), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272608] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7507), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272632] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7507), 1,
      anon_sym_DQUOTE,
    STATE(5277), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272656] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7509), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5449), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272680] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7509), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272704] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7511), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272728] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7513), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272752] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7515), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272776] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7515), 1,
      anon_sym_SQUOTE,
    STATE(5284), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272800] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7517), 1,
      anon_sym_SEMI,
    STATE(437), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272826] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1751), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [272852] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7519), 1,
      anon_sym_RPAREN,
    STATE(5333), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272876] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7519), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272900] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7521), 1,
      anon_sym_RBRACE,
    STATE(5334), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272924] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7521), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272948] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7523), 1,
      anon_sym_RBRACK,
    STATE(5335), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272972] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7523), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [272996] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7525), 1,
      anon_sym_GT,
    STATE(5336), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273020] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7525), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273044] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7527), 1,
      anon_sym_PIPE,
    STATE(5337), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273068] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7527), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273092] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    STATE(5338), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273116] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7529), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273140] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7531), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273164] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7531), 1,
      anon_sym_DQUOTE,
    STATE(5285), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273188] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7533), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5450), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273212] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7533), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273236] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7535), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273260] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7537), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273284] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7539), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273308] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7541), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273332] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7543), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273356] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7543), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5306), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273380] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7545), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273404] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7545), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5307), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273428] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7547), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273452] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7547), 1,
      anon_sym_SQUOTE,
    STATE(5308), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273476] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7549), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273500] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7549), 1,
      anon_sym_DQUOTE,
    STATE(5309), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273524] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7551), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5543), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [273550] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7553), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273574] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7555), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273598] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7557), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273622] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7559), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273646] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7561), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [273672] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7563), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273696] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7563), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5319), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273720] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7565), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273744] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7567), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [273770] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7567), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5176), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [273796] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7565), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5320), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273820] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7569), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273844] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7571), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273868] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7569), 1,
      anon_sym_RBRACK,
    STATE(5150), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273892] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7573), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273916] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7575), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273940] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7577), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273964] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7579), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [273988] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7581), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274012] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7583), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274036] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7571), 1,
      anon_sym_SQUOTE,
    STATE(5321), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274060] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7585), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274084] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7585), 1,
      anon_sym_DQUOTE,
    STATE(5322), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274108] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1653), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5628), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274134] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7587), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274158] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7589), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274182] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7591), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274206] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7593), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274230] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7595), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274254] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7595), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5343), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274278] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7597), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274302] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7597), 1,
      anon_sym_RBRACE,
    STATE(5154), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274326] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7599), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274350] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7599), 1,
      anon_sym_RPAREN,
    STATE(5156), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274374] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274400] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7601), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274424] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7603), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274448] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7605), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274472] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7607), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274496] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7609), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274520] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7611), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274544] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7613), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274568] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7615), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274592] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274618] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3892), 1,
      anon_sym_SEMI,
    STATE(444), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274644] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5257), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274670] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7617), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274694] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7617), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5344), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274718] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7619), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274742] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7619), 1,
      anon_sym_SQUOTE,
    STATE(5345), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274766] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7621), 1,
      aux_sym__terminator_token1,
    ACTIONS(7624), 1,
      anon_sym_SEMI,
    ACTIONS(7627), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274792] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7629), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5327), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274818] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(878), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5397), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [274844] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7631), 1,
      anon_sym_DQUOTE,
    STATE(5398), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274868] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7633), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274892] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7631), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274916] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7635), 1,
      anon_sym_SQUOTE,
    STATE(5400), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274940] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7635), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274964] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7637), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5401), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [274988] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7637), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275012] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7639), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5402), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275036] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7639), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275060] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7633), 1,
      anon_sym_DQUOTE,
    STATE(5346), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275084] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1653), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3942), 1,
      anon_sym_SEMI,
    STATE(399), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275110] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1653), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275136] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7641), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275160] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7643), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275184] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7645), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275208] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7647), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5423), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275234] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7645), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5357), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275258] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7649), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275282] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7651), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275306] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7649), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5359), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275330] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7653), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275354] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5433), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275380] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7653), 1,
      anon_sym_SQUOTE,
    STATE(5360), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275404] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3894), 1,
      anon_sym_SEMI,
    STATE(420), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275430] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7655), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275454] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1725), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275480] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7657), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275504] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7655), 1,
      anon_sym_DQUOTE,
    STATE(5361), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275528] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7659), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275552] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7661), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275576] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7663), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275600] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(886), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5362), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275626] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7665), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275650] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7667), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275674] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7669), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275698] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7671), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275722] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7673), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275746] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7673), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5384), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275770] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7675), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275794] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7675), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5405), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275818] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275842] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7677), 1,
      anon_sym_SQUOTE,
    STATE(5406), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275866] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275890] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7679), 1,
      anon_sym_DQUOTE,
    STATE(5407), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275914] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7681), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275938] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7683), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [275962] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7685), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5858), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [275988] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7687), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276012] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7689), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276036] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7685), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [276062] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7691), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5467), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [276088] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7691), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [276114] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7609), 1,
      anon_sym_DQUOTE,
    STATE(5354), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276138] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(914), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5353), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [276164] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7689), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5385), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276188] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7693), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276212] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7693), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5390), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276236] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9), 1,
      aux_sym__terminator_token1,
    ACTIONS(1525), 1,
      ts_builtin_sym_end,
    ACTIONS(4567), 1,
      anon_sym_SEMI,
    STATE(424), 1,
      sym__terminator,
    STATE(1031), 1,
      aux_sym__terminator_repeat1,
    STATE(5602), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [276262] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7695), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276286] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7695), 1,
      anon_sym_SQUOTE,
    STATE(5404), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276310] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7697), 1,
      anon_sym_SEMI,
    STATE(411), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [276336] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1711), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [276362] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7699), 1,
      anon_sym_RPAREN,
    STATE(5477), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276386] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7699), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276410] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7701), 1,
      anon_sym_RBRACE,
    STATE(5478), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276434] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7701), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276458] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7703), 1,
      anon_sym_RBRACK,
    STATE(5479), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276482] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7703), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276506] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7705), 1,
      anon_sym_GT,
    STATE(5480), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276530] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7705), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276554] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(5481), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276578] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276602] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7709), 1,
      anon_sym_SLASH,
    STATE(5482), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276626] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7709), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276650] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7711), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276674] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7711), 1,
      anon_sym_DQUOTE,
    STATE(5419), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276698] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7713), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276722] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7715), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276746] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7717), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276770] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7719), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276794] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7721), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276818] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7723), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276842] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7725), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276866] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7727), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276890] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7727), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5451), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276914] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7729), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276938] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7729), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5452), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276962] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7731), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [276986] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7731), 1,
      anon_sym_SQUOTE,
    STATE(5453), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277010] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7733), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277034] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7733), 1,
      anon_sym_DQUOTE,
    STATE(5454), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277058] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7735), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277082] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7737), 1,
      anon_sym_DQUOTE,
    STATE(5501), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277106] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7737), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277130] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7739), 1,
      anon_sym_SQUOTE,
    STATE(5555), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277154] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7741), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [277180] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7743), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277204] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7745), 1,
      anon_sym_PIPE,
    STATE(5493), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277228] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7747), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277252] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7749), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277276] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7751), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277300] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7753), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277324] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7753), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5468), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277348] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7755), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277372] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7757), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277396] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7759), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277420] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7761), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277444] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7763), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277468] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7765), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277492] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7767), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277516] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7769), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277540] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7755), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5470), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277564] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7771), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277588] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7771), 1,
      anon_sym_SQUOTE,
    STATE(5471), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277612] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7773), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277636] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7773), 1,
      anon_sym_DQUOTE,
    STATE(5472), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277660] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7739), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277684] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7775), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5556), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277708] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7775), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277732] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7777), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5557), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277756] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7779), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277780] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7781), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277804] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7783), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277828] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7785), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277852] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7787), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277876] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7789), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277900] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7777), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277924] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7791), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [277950] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7793), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277974] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7795), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [277998] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7797), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278022] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7799), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278046] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7801), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [278072] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7803), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278096] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7805), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278120] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7805), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5492), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278144] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7807), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278168] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7807), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5500), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278192] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7809), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278216] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7809), 1,
      anon_sym_SQUOTE,
    STATE(5503), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278240] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7811), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278264] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7811), 1,
      anon_sym_DQUOTE,
    STATE(5505), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278288] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7813), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278312] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(910), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5541), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [278338] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7815), 1,
      anon_sym_DQUOTE,
    STATE(5542), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278362] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7817), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278386] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7815), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278410] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7819), 1,
      anon_sym_SQUOTE,
    STATE(5544), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278434] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7819), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278458] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7821), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5545), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278482] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7821), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278506] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7823), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5546), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278530] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7823), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278554] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7825), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5888), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [278580] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7827), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278604] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7829), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278628] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7831), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278652] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7833), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278676] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7835), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278700] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7837), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5567), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [278726] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7835), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5526), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278750] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7839), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278774] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7839), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5527), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278798] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7841), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278822] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7841), 1,
      anon_sym_SQUOTE,
    STATE(5528), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278846] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1657), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5577), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [278872] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7843), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278896] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1657), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3900), 1,
      anon_sym_SEMI,
    STATE(389), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [278922] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7843), 1,
      anon_sym_DQUOTE,
    STATE(5529), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278946] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1657), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [278972] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7845), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [278996] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7825), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [279022] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7847), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279046] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7849), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279070] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7851), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279094] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7853), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279118] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7855), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279142] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7857), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279166] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7859), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279190] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7861), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279214] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7863), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279238] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7865), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279262] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7867), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279286] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7869), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279310] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7871), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279334] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7873), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279358] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_end,
    ACTIONS(6038), 1,
      aux_sym__terminator_token1,
    ACTIONS(7875), 1,
      anon_sym_SEMI,
    STATE(797), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5558), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [279384] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7878), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279408] = 7,
    ACTIONS(7880), 1,
      anon_sym_SLASH,
    ACTIONS(7882), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(7885), 1,
      sym_escape_sequence,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279432] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7888), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [279458] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7890), 1,
      anon_sym_RPAREN,
    STATE(5743), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279482] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7863), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5547), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279506] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7892), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279530] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7892), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5548), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279554] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7894), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5611), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [279580] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7894), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [279606] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7896), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279630] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7896), 1,
      anon_sym_SQUOTE,
    STATE(5549), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279654] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7898), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279678] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7900), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279702] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7900), 1,
      anon_sym_SLASH,
    STATE(5476), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279726] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7745), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279750] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7898), 1,
      anon_sym_DQUOTE,
    STATE(5551), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279774] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7902), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279798] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7904), 1,
      anon_sym_SEMI,
    STATE(388), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [279824] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1639), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [279850] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7906), 1,
      anon_sym_RPAREN,
    STATE(5621), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279874] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7906), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279898] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7908), 1,
      anon_sym_RBRACE,
    STATE(5622), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279922] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7908), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279946] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7910), 1,
      anon_sym_RBRACK,
    STATE(5623), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279970] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7910), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [279994] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7912), 1,
      anon_sym_GT,
    STATE(5624), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280018] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7912), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280042] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    STATE(5625), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280066] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7914), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280090] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7916), 1,
      anon_sym_SLASH,
    STATE(5626), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280114] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7916), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280138] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7918), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280162] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7920), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280186] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280210] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7924), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280234] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7924), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5575), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280258] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7926), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280282] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7926), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5590), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280306] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7928), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280330] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7928), 1,
      anon_sym_SQUOTE,
    STATE(5591), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280354] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280378] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7930), 1,
      anon_sym_DQUOTE,
    STATE(5592), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280402] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_end,
    ACTIONS(4722), 1,
      aux_sym__terminator_token1,
    ACTIONS(4725), 1,
      anon_sym_SEMI,
    STATE(348), 1,
      sym__terminator,
    STATE(1029), 1,
      aux_sym__terminator_repeat1,
    STATE(5558), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [280428] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4295), 1,
      ts_builtin_sym_end,
    ACTIONS(6038), 1,
      aux_sym__terminator_token1,
    ACTIONS(7932), 1,
      anon_sym_SEMI,
    STATE(578), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5602), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [280454] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7935), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280478] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7937), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280502] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7939), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280526] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7941), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280550] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7943), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280574] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7943), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5603), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280598] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7945), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280622] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7945), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5604), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280646] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7947), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [280672] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7949), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280696] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7890), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280720] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7951), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280744] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7949), 1,
      anon_sym_SQUOTE,
    STATE(5605), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280768] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7951), 1,
      anon_sym_GT,
    STATE(5494), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280792] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7953), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280816] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7953), 1,
      anon_sym_RBRACK,
    STATE(5495), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280840] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7192), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280864] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7955), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280888] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7957), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280912] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7959), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280936] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(7961), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280960] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(7963), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [280984] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(7965), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281008] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(7967), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281032] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7969), 1,
      anon_sym_SEMI,
    STATE(401), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281058] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1671), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281084] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7971), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281108] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_COMMA,
    STATE(5630), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3120), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [281128] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7976), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281152] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7978), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281176] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7980), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281200] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(7982), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281224] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(7984), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281248] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281272] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5632), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281296] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7988), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281320] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7988), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281344] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7990), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281368] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7990), 1,
      anon_sym_RPAREN,
    STATE(5497), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281392] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281418] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(7992), 1,
      anon_sym_SEMI,
    STATE(436), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281444] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(7994), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5794), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281470] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7996), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281494] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7998), 1,
      anon_sym_RBRACE,
    STATE(5746), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281518] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(7996), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5633), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281542] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8000), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281566] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8000), 1,
      anon_sym_SQUOTE,
    STATE(5634), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281590] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8002), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281614] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8002), 1,
      anon_sym_DQUOTE,
    STATE(5635), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281638] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8004), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281662] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8006), 1,
      anon_sym_RBRACE,
    STATE(5891), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281686] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8006), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281710] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8008), 1,
      anon_sym_RBRACK,
    STATE(5932), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281734] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8008), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281758] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8010), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281784] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8010), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5504), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281810] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(902), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5685), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [281836] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    STATE(5071), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281860] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8014), 1,
      anon_sym_GT,
    STATE(5933), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281884] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281908] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8016), 1,
      anon_sym_SQUOTE,
    STATE(5688), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281932] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8016), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281956] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8018), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5689), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [281980] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8018), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282004] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8020), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5690), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282028] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8020), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282052] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8022), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282076] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8024), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282100] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(7998), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282124] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8026), 1,
      anon_sym_RBRACK,
    STATE(5820), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282148] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8028), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282172] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8026), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282196] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8030), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5711), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [282222] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8032), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282246] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8034), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282270] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8036), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282294] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8038), 1,
      anon_sym_GT,
    STATE(5821), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282318] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8038), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282342] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1615), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5721), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [282368] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8040), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282392] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1615), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3910), 1,
      anon_sym_SEMI,
    STATE(356), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [282418] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8042), 1,
      anon_sym_PIPE,
    STATE(5855), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282442] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1615), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [282468] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8042), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282492] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8044), 1,
      anon_sym_SLASH,
    STATE(5856), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282516] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8046), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282540] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8048), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282564] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8050), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282588] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8044), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282612] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [282638] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8052), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282662] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8054), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282686] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8056), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282710] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8058), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282734] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8060), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282758] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8060), 1,
      anon_sym_SLASH,
    STATE(5502), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282782] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8062), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282806] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8062), 1,
      anon_sym_PIPE,
    STATE(5514), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282830] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8064), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282854] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8064), 1,
      anon_sym_GT,
    STATE(5517), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282878] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8066), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282902] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8066), 1,
      anon_sym_RBRACK,
    STATE(5550), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282926] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8068), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282950] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8068), 1,
      anon_sym_RBRACE,
    STATE(5553), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282974] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8070), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [282998] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8070), 1,
      anon_sym_SLASH,
    STATE(5669), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283022] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8072), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283046] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8074), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5755), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283072] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8074), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283098] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    STATE(434), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283124] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5642), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283150] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8072), 1,
      anon_sym_PIPE,
    STATE(5670), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283174] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8076), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283198] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8078), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283222] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8076), 1,
      anon_sym_GT,
    STATE(5673), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283246] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8080), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283270] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8082), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5657), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283296] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(8084), 1,
      anon_sym_SEMI,
    STATE(439), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283322] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1535), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283348] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8086), 1,
      anon_sym_RPAREN,
    STATE(5765), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283372] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8086), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283396] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8088), 1,
      anon_sym_RBRACE,
    STATE(5766), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283420] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8088), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283444] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8090), 1,
      anon_sym_RBRACK,
    STATE(5767), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283468] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8090), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283492] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8092), 1,
      anon_sym_GT,
    STATE(5768), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283516] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8092), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283540] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8094), 1,
      anon_sym_PIPE,
    STATE(5769), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283564] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8094), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283588] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8096), 1,
      anon_sym_SLASH,
    STATE(5770), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283612] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8096), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283636] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8080), 1,
      anon_sym_RBRACK,
    STATE(5676), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283660] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8098), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283684] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8098), 1,
      anon_sym_RBRACE,
    STATE(5677), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283708] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8100), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283732] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8100), 1,
      anon_sym_RPAREN,
    STATE(5678), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283756] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8078), 1,
      anon_sym_RPAREN,
    STATE(5554), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283780] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1669), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283806] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(8102), 1,
      anon_sym_SEMI,
    STATE(403), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283832] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [283858] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8104), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283882] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8106), 1,
      anon_sym_RPAREN,
    STATE(5857), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283906] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8106), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283930] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8108), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283954] = 7,
    ACTIONS(8110), 1,
      anon_sym_PIPE,
    ACTIONS(8112), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(8115), 1,
      sym_escape_sequence,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [283978] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8118), 1,
      anon_sym_RBRACE,
    STATE(5854), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284002] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8014), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284026] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8120), 1,
      anon_sym_PIPE,
    STATE(5934), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284050] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8120), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284074] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8122), 1,
      anon_sym_SLASH,
    STATE(5935), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284098] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8122), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284122] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8124), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284146] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8126), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [284172] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8128), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284196] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8130), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284220] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8132), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284244] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8134), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284268] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8134), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5754), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284292] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8136), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284316] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8136), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5693), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284340] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8138), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284364] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8140), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284388] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8142), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284412] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8144), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284436] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8146), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284460] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8148), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284484] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8150), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284508] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8152), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284532] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8138), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5756), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284556] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8154), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284580] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8154), 1,
      anon_sym_SQUOTE,
    STATE(5757), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284604] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8156), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284628] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8156), 1,
      anon_sym_DQUOTE,
    STATE(5758), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284652] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(7976), 1,
      anon_sym_RPAREN,
    STATE(5890), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284676] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8158), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284700] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8160), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284724] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8162), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284748] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8164), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284772] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    STATE(5090), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(8166), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [284792] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8140), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5694), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284816] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8170), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284840] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8170), 1,
      anon_sym_SQUOTE,
    STATE(5695), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284864] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8172), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284888] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8174), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284912] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8172), 1,
      anon_sym_DQUOTE,
    STATE(5696), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284936] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(874), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5692), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [284962] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8176), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [284986] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8178), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285012] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8180), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285036] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8182), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5499), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285062] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8178), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5561), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285088] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8182), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285114] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9), 1,
      aux_sym__terminator_token1,
    ACTIONS(1719), 1,
      ts_builtin_sym_end,
    ACTIONS(8184), 1,
      anon_sym_SEMI,
    STATE(441), 1,
      sym__terminator,
    STATE(1031), 1,
      aux_sym__terminator_repeat1,
    STATE(5602), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285140] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8186), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285164] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8118), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285188] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8180), 1,
      anon_sym_SLASH,
    STATE(5777), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285212] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8188), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285236] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8186), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5088), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285260] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8188), 1,
      anon_sym_PIPE,
    STATE(5778), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285284] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8190), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285308] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(890), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5828), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285334] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8192), 1,
      anon_sym_DQUOTE,
    STATE(5829), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285358] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8192), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285382] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8194), 1,
      anon_sym_SQUOTE,
    STATE(5830), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285406] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8194), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285430] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8196), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5831), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285454] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8196), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285478] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8198), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5832), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285502] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8198), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285526] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8190), 1,
      anon_sym_GT,
    STATE(5779), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285550] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8200), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285574] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8200), 1,
      anon_sym_RBRACK,
    STATE(5780), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285598] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8202), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285622] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8202), 1,
      anon_sym_RBRACE,
    STATE(5786), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285646] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8204), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285670] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8206), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5853), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285696] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8204), 1,
      anon_sym_RPAREN,
    STATE(5789), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285720] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8208), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285744] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8210), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285768] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8212), 1,
      anon_sym_RBRACK,
    STATE(5851), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285792] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8212), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285816] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1567), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5862), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285842] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8040), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5097), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285866] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3922), 1,
      anon_sym_SEMI,
    STATE(368), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285892] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8214), 1,
      anon_sym_GT,
    STATE(5838), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285916] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1567), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [285942] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8216), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285966] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8218), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [285990] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8220), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286014] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8222), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286038] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8214), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286062] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8224), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286086] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8226), 1,
      anon_sym_PIPE,
    STATE(5837), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286110] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8228), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286134] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8230), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286158] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8232), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286182] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8226), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286206] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8234), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286230] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8236), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286254] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8238), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286278] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8240), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286302] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286328] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8224), 1,
      anon_sym_SLASH,
    STATE(5836), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286352] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(3928), 1,
      anon_sym_SEMI,
    STATE(398), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286378] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(7441), 1,
      anon_sym_COMMA,
    STATE(5221), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(3577), 3,
      anon_sym_RPAREN,
      anon_sym_when,
      anon_sym_DASH_GT,
  [286398] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5740), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286424] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(8242), 1,
      anon_sym_SEMI,
    STATE(423), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286450] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8244), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286474] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8246), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286498] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8248), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5896), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286524] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8248), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286550] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8250), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286574] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8252), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286598] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8254), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286622] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8256), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286646] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8258), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286672] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(906), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5214), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286698] = 7,
    ACTIONS(8260), 1,
      anon_sym_GT,
    ACTIONS(8262), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(8265), 1,
      sym_escape_sequence,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286722] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_RPAREN,
    ACTIONS(3720), 1,
      aux_sym__terminator_token1,
    ACTIONS(8268), 1,
      anon_sym_SEMI,
    STATE(373), 1,
      sym__terminator,
    STATE(1030), 1,
      aux_sym__terminator_repeat1,
    STATE(5165), 1,
      aux_sym_block_repeat2,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286748] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(1587), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5164), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [286774] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8270), 1,
      anon_sym_RPAREN,
    STATE(5905), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286798] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8270), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286822] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8272), 1,
      anon_sym_RBRACE,
    STATE(5906), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286846] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8272), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286870] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8274), 1,
      anon_sym_RBRACK,
    STATE(5907), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286894] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8274), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286918] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8276), 1,
      anon_sym_GT,
    STATE(5908), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286942] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8276), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286966] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    STATE(5909), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [286990] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8278), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287014] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8280), 1,
      anon_sym_SLASH,
    STATE(5910), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287038] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8280), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287062] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8282), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287086] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8284), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287110] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8286), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287134] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8288), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287158] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8290), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287182] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8290), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5875), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287206] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8292), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287230] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8292), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5876), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287254] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8294), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287278] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8294), 1,
      anon_sym_SQUOTE,
    STATE(5877), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287302] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8296), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287326] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8296), 1,
      anon_sym_DQUOTE,
    STATE(5878), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287350] = 7,
    ACTIONS(8298), 1,
      anon_sym_RBRACK,
    ACTIONS(8300), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(8303), 1,
      sym_escape_sequence,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287374] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8306), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [287400] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_end,
    ACTIONS(8308), 1,
      aux_sym__terminator_token1,
    ACTIONS(8311), 1,
      anon_sym_SEMI,
    STATE(347), 1,
      sym__terminator,
    STATE(1029), 1,
      aux_sym__terminator_repeat1,
    STATE(5558), 1,
      aux_sym_source_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [287426] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8314), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287450] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8316), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287474] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8318), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287498] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8320), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287522] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8322), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287546] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8324), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287570] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8326), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5369), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [287596] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8328), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287620] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8330), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287644] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8332), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287668] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8244), 1,
      anon_sym_SQUOTE,
    STATE(5135), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287692] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8332), 1,
      anon_sym_SLASH,
    STATE(5892), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287716] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8334), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287740] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8336), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287764] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8334), 1,
      anon_sym_PIPE,
    STATE(5893), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287788] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287812] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8340), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287836] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8342), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287860] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8344), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287884] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8346), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287908] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8348), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287932] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8350), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287956] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8350), 1,
      anon_sym_GT,
    STATE(5894), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [287980] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8352), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288004] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8352), 1,
      anon_sym_RBRACK,
    STATE(5895), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288028] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8354), 1,
      anon_sym_RBRACE,
    STATE(5187), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288052] = 7,
    ACTIONS(6324), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6326), 1,
      sym_escape_sequence,
    ACTIONS(8354), 1,
      anon_sym_RBRACE,
    STATE(5897), 1,
      aux_sym__quoted_i_curly_repeat1,
    STATE(6138), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288076] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8356), 1,
      anon_sym_RPAREN,
    STATE(5188), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288100] = 7,
    ACTIONS(6216), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6218), 1,
      sym_escape_sequence,
    ACTIONS(8356), 1,
      anon_sym_RPAREN,
    STATE(5898), 1,
      aux_sym__quoted_i_parenthesis_repeat1,
    STATE(6137), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288124] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(7220), 1,
      anon_sym_SEMI,
    ACTIONS(8358), 1,
      anon_sym_end,
    STATE(132), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5790), 1,
      aux_sym_anonymous_function_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [288150] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8360), 1,
      anon_sym_DQUOTE,
    STATE(5939), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288174] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8360), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288198] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8362), 1,
      anon_sym_SQUOTE,
    STATE(5938), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288222] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8362), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288246] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8364), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5937), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288270] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8364), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288294] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8366), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288318] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8366), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5840), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288342] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8368), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288366] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8368), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5841), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288390] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8336), 1,
      anon_sym_DQUOTE,
    STATE(5204), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288414] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8370), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288438] = 7,
    ACTIONS(6356), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6358), 1,
      sym_escape_sequence,
    ACTIONS(8372), 1,
      anon_sym_RBRACK,
    STATE(5887), 1,
      aux_sym__quoted_i_square_repeat1,
    STATE(6147), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288462] = 7,
    ACTIONS(6348), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6350), 1,
      sym_escape_sequence,
    ACTIONS(8374), 1,
      anon_sym_GT,
    STATE(5860), 1,
      aux_sym__quoted_i_angle_repeat1,
    STATE(6141), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288486] = 7,
    ACTIONS(6340), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6342), 1,
      sym_escape_sequence,
    ACTIONS(8376), 1,
      anon_sym_PIPE,
    STATE(5747), 1,
      aux_sym__quoted_i_bar_repeat1,
    STATE(6162), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288510] = 7,
    ACTIONS(6332), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6334), 1,
      sym_escape_sequence,
    ACTIONS(8378), 1,
      anon_sym_SLASH,
    STATE(5560), 1,
      aux_sym__quoted_i_slash_repeat1,
    STATE(6163), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288534] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8380), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288558] = 7,
    ACTIONS(6184), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6186), 1,
      sym_escape_sequence,
    ACTIONS(8382), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(5092), 1,
      aux_sym__quoted_i_heredoc_single_repeat1,
    STATE(5989), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288582] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8384), 1,
      anon_sym_SQUOTE,
    STATE(5128), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288606] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288630] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8388), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5086), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288654] = 7,
    ACTIONS(6236), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6238), 1,
      sym_escape_sequence,
    ACTIONS(8388), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(5936), 1,
      aux_sym__quoted_i_heredoc_double_repeat1,
    STATE(5990), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288678] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      aux_sym__terminator_token1,
    ACTIONS(870), 1,
      anon_sym_RPAREN,
    ACTIONS(7194), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym__terminator,
    STATE(1026), 1,
      aux_sym__terminator_repeat1,
    STATE(5844), 1,
      aux_sym_block_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
  [288704] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    STATE(5843), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288728] = 7,
    ACTIONS(6204), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6206), 1,
      sym_escape_sequence,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    STATE(5178), 1,
      aux_sym__quoted_i_double_repeat1,
    STATE(5955), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288752] = 7,
    ACTIONS(6196), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(6198), 1,
      sym_escape_sequence,
    ACTIONS(8370), 1,
      anon_sym_SQUOTE,
    STATE(5842), 1,
      aux_sym__quoted_i_single_repeat1,
    STATE(5961), 1,
      sym_interpolation,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288776] = 6,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8396), 1,
      sym__quoted_content_heredoc_single,
    STATE(6499), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288797] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8398), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8400), 1,
      sym__quoted_content_heredoc_single,
    STATE(6336), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288818] = 6,
    ACTIONS(8402), 1,
      anon_sym_RPAREN,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8406), 1,
      sym__quoted_content_parenthesis,
    STATE(6376), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288839] = 6,
    ACTIONS(8408), 1,
      anon_sym_SQUOTE,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8412), 1,
      sym__quoted_content_single,
    STATE(6380), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288860] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8414), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8416), 1,
      sym__quoted_content_heredoc_single,
    STATE(6382), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288881] = 6,
    ACTIONS(8418), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8422), 1,
      sym__quoted_content_heredoc_double,
    STATE(6384), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288902] = 6,
    ACTIONS(8424), 1,
      anon_sym_RBRACE,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8428), 1,
      sym__quoted_content_curly,
    STATE(6386), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288923] = 6,
    ACTIONS(8430), 1,
      anon_sym_RBRACK,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8434), 1,
      sym__quoted_content_square,
    STATE(6388), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288944] = 6,
    ACTIONS(8436), 1,
      anon_sym_GT,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8440), 1,
      sym__quoted_content_angle,
    STATE(6390), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [288965] = 4,
    ACTIONS(8444), 1,
      sym__quoted_content_i_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8442), 3,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [288982] = 6,
    ACTIONS(8446), 1,
      anon_sym_DQUOTE,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8450), 1,
      sym__quoted_content_double,
    STATE(6511), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289003] = 6,
    ACTIONS(8452), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8456), 1,
      sym__quoted_content_slash,
    STATE(6394), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289024] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    ACTIONS(8460), 1,
      sym__quoted_content_parenthesis,
    STATE(6462), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289045] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8462), 1,
      anon_sym_DQUOTE,
    ACTIONS(8464), 1,
      sym__quoted_content_double,
    STATE(6464), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289066] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8466), 1,
      anon_sym_SQUOTE,
    ACTIONS(8468), 1,
      sym__quoted_content_single,
    STATE(6466), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289087] = 4,
    ACTIONS(8472), 1,
      sym__quoted_content_i_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8470), 3,
      anon_sym_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [289104] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8474), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8476), 1,
      sym__quoted_content_heredoc_single,
    STATE(6468), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289125] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8478), 1,
      anon_sym_SLASH,
    ACTIONS(8480), 1,
      sym__quoted_content_slash,
    STATE(6399), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289146] = 6,
    ACTIONS(8482), 1,
      anon_sym_PIPE,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8486), 1,
      sym__quoted_content_bar,
    STATE(6411), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289167] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8488), 1,
      anon_sym_GT,
    ACTIONS(8490), 1,
      sym__quoted_content_angle,
    STATE(6413), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289188] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8492), 1,
      anon_sym_RBRACK,
    ACTIONS(8494), 1,
      sym__quoted_content_square,
    STATE(6416), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289209] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8496), 1,
      anon_sym_RBRACE,
    ACTIONS(8498), 1,
      sym__quoted_content_curly,
    STATE(6418), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289230] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8500), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8502), 1,
      sym__quoted_content_heredoc_double,
    STATE(6420), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289251] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8504), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8506), 1,
      sym__quoted_content_heredoc_single,
    STATE(6422), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289272] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8508), 1,
      anon_sym_SQUOTE,
    ACTIONS(8510), 1,
      sym__quoted_content_single,
    STATE(6424), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289293] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym__quoted_content_double,
    STATE(6430), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289314] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8516), 1,
      anon_sym_RPAREN,
    ACTIONS(8518), 1,
      sym__quoted_content_parenthesis,
    STATE(6432), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289335] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8520), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8522), 1,
      sym__quoted_content_heredoc_double,
    STATE(6470), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289356] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8524), 1,
      anon_sym_RBRACE,
    ACTIONS(8526), 1,
      sym__quoted_content_curly,
    STATE(6472), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289377] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8528), 1,
      anon_sym_RBRACK,
    ACTIONS(8530), 1,
      sym__quoted_content_square,
    STATE(6474), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289398] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8532), 1,
      anon_sym_GT,
    ACTIONS(8534), 1,
      sym__quoted_content_angle,
    STATE(6476), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289419] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8536), 1,
      anon_sym_PIPE,
    ACTIONS(8538), 1,
      sym__quoted_content_bar,
    STATE(6478), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289440] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8540), 1,
      anon_sym_RPAREN,
    ACTIONS(8542), 1,
      sym__quoted_content_parenthesis,
    STATE(6288), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289461] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8544), 1,
      anon_sym_DQUOTE,
    ACTIONS(8546), 1,
      sym__quoted_content_double,
    STATE(6286), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289482] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8548), 1,
      anon_sym_SQUOTE,
    ACTIONS(8550), 1,
      sym__quoted_content_single,
    STATE(6284), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289503] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8552), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8554), 1,
      sym__quoted_content_heredoc_single,
    STATE(6282), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289524] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8556), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8558), 1,
      sym__quoted_content_heredoc_double,
    STATE(6280), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289545] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8560), 1,
      anon_sym_RBRACE,
    ACTIONS(8562), 1,
      sym__quoted_content_curly,
    STATE(6278), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289566] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    ACTIONS(8566), 1,
      sym__quoted_content_square,
    STATE(6276), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289587] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8568), 1,
      anon_sym_GT,
    ACTIONS(8570), 1,
      sym__quoted_content_angle,
    STATE(6274), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289608] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8572), 1,
      anon_sym_PIPE,
    ACTIONS(8574), 1,
      sym__quoted_content_bar,
    STATE(6272), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289629] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8576), 1,
      anon_sym_SLASH,
    ACTIONS(8578), 1,
      sym__quoted_content_slash,
    STATE(6270), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289650] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8580), 1,
      anon_sym_SLASH,
    ACTIONS(8582), 1,
      sym__quoted_content_slash,
    STATE(6480), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289671] = 4,
    ACTIONS(8586), 1,
      sym__quoted_content_i_heredoc_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8584), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [289688] = 4,
    ACTIONS(8590), 1,
      sym__quoted_content_i_heredoc_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8588), 3,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [289705] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_DQUOTE,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    STATE(4542), 1,
      sym__quoted_i_single,
    STATE(4544), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [289726] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(548), 1,
      anon_sym_DQUOTE,
    ACTIONS(550), 1,
      anon_sym_SQUOTE,
    STATE(2964), 1,
      sym__quoted_i_double,
    STATE(2965), 1,
      sym__quoted_i_single,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [289747] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
    ACTIONS(8594), 1,
      sym__quoted_content_parenthesis,
    STATE(6548), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289768] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8596), 1,
      anon_sym_DQUOTE,
    ACTIONS(8598), 1,
      sym__quoted_content_double,
    STATE(6550), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289789] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8600), 1,
      anon_sym_SQUOTE,
    ACTIONS(8602), 1,
      sym__quoted_content_single,
    STATE(6552), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289810] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8604), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8606), 1,
      sym__quoted_content_heredoc_single,
    STATE(6554), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289831] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8608), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8610), 1,
      sym__quoted_content_heredoc_double,
    STATE(6556), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289852] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8612), 1,
      anon_sym_RBRACE,
    ACTIONS(8614), 1,
      sym__quoted_content_curly,
    STATE(6558), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289873] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
    ACTIONS(8618), 1,
      sym__quoted_content_square,
    STATE(6560), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289894] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8620), 1,
      anon_sym_GT,
    ACTIONS(8622), 1,
      sym__quoted_content_angle,
    STATE(6562), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289915] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8624), 1,
      anon_sym_PIPE,
    ACTIONS(8626), 1,
      sym__quoted_content_bar,
    STATE(6564), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289936] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8628), 1,
      anon_sym_SLASH,
    ACTIONS(8630), 1,
      sym__quoted_content_slash,
    STATE(6566), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289957] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8632), 1,
      anon_sym_RPAREN,
    ACTIONS(8634), 1,
      sym__quoted_content_parenthesis,
    STATE(6203), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289978] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8636), 1,
      anon_sym_SLASH,
    ACTIONS(8638), 1,
      sym__quoted_content_slash,
    STATE(6521), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [289999] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8640), 1,
      anon_sym_PIPE,
    ACTIONS(8642), 1,
      sym__quoted_content_bar,
    STATE(6523), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290020] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8644), 1,
      anon_sym_GT,
    ACTIONS(8646), 1,
      sym__quoted_content_angle,
    STATE(6525), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290041] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8648), 1,
      anon_sym_RBRACK,
    ACTIONS(8650), 1,
      sym__quoted_content_square,
    STATE(6527), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290062] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8652), 1,
      anon_sym_RBRACE,
    ACTIONS(8654), 1,
      sym__quoted_content_curly,
    STATE(6529), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290083] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8656), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8658), 1,
      sym__quoted_content_heredoc_double,
    STATE(6531), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290104] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8660), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8662), 1,
      sym__quoted_content_heredoc_single,
    STATE(6533), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290125] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8664), 1,
      anon_sym_SQUOTE,
    ACTIONS(8666), 1,
      sym__quoted_content_single,
    STATE(6535), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290146] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8668), 1,
      anon_sym_DQUOTE,
    ACTIONS(8670), 1,
      sym__quoted_content_double,
    STATE(6537), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290167] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8672), 1,
      anon_sym_RPAREN,
    ACTIONS(8674), 1,
      sym__quoted_content_parenthesis,
    STATE(6539), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290188] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8676), 1,
      anon_sym_DQUOTE,
    ACTIONS(8678), 1,
      sym__quoted_content_double,
    STATE(6646), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290209] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8680), 1,
      anon_sym_SQUOTE,
    ACTIONS(8682), 1,
      sym__quoted_content_single,
    STATE(6171), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290230] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8684), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8686), 1,
      sym__quoted_content_heredoc_single,
    STATE(6649), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290251] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8688), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8690), 1,
      sym__quoted_content_heredoc_double,
    STATE(6654), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290272] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8692), 1,
      anon_sym_RBRACE,
    ACTIONS(8694), 1,
      sym__quoted_content_curly,
    STATE(6657), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290293] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8696), 1,
      anon_sym_RBRACK,
    ACTIONS(8698), 1,
      sym__quoted_content_square,
    STATE(6664), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290314] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8700), 1,
      anon_sym_GT,
    ACTIONS(8702), 1,
      sym__quoted_content_angle,
    STATE(6669), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290335] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8704), 1,
      anon_sym_PIPE,
    ACTIONS(8706), 1,
      sym__quoted_content_bar,
    STATE(6675), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290356] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8708), 1,
      anon_sym_SLASH,
    ACTIONS(8710), 1,
      sym__quoted_content_slash,
    STATE(6678), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290377] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(602), 1,
      anon_sym_DQUOTE,
    ACTIONS(604), 1,
      anon_sym_SQUOTE,
    STATE(4042), 1,
      sym__quoted_i_single,
    STATE(4043), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [290398] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    ACTIONS(8714), 1,
      sym__quoted_content_parenthesis,
    STATE(6643), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290419] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8716), 1,
      anon_sym_SLASH,
    ACTIONS(8718), 1,
      sym__quoted_content_slash,
    STATE(6612), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290440] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8722), 1,
      sym__quoted_content_slash,
    STATE(6308), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290461] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8724), 1,
      anon_sym_PIPE,
    ACTIONS(8726), 1,
      sym__quoted_content_bar,
    STATE(6306), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290482] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8728), 1,
      anon_sym_GT,
    ACTIONS(8730), 1,
      sym__quoted_content_angle,
    STATE(6304), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290503] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8732), 1,
      anon_sym_RBRACK,
    ACTIONS(8734), 1,
      sym__quoted_content_square,
    STATE(6302), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290524] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8736), 1,
      anon_sym_RBRACE,
    ACTIONS(8738), 1,
      sym__quoted_content_curly,
    STATE(6300), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290545] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8740), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8742), 1,
      sym__quoted_content_heredoc_double,
    STATE(6298), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290566] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8744), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8746), 1,
      sym__quoted_content_heredoc_single,
    STATE(6296), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290587] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8748), 1,
      anon_sym_SQUOTE,
    ACTIONS(8750), 1,
      sym__quoted_content_single,
    STATE(6294), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290608] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8752), 1,
      anon_sym_DQUOTE,
    ACTIONS(8754), 1,
      sym__quoted_content_double,
    STATE(6292), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290629] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8756), 1,
      anon_sym_PIPE,
    ACTIONS(8758), 1,
      sym__quoted_content_bar,
    STATE(6614), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290650] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8760), 1,
      anon_sym_GT,
    ACTIONS(8762), 1,
      sym__quoted_content_angle,
    STATE(6616), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290671] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8764), 1,
      anon_sym_RBRACK,
    ACTIONS(8766), 1,
      sym__quoted_content_square,
    STATE(6618), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290692] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8768), 1,
      anon_sym_RPAREN,
    ACTIONS(8770), 1,
      sym__quoted_content_parenthesis,
    STATE(6290), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290713] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8772), 1,
      anon_sym_RBRACE,
    ACTIONS(8774), 1,
      sym__quoted_content_curly,
    STATE(6622), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290734] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [290751] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8780), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8782), 1,
      sym__quoted_content_heredoc_double,
    STATE(6624), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290772] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8784), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8786), 1,
      sym__quoted_content_heredoc_single,
    STATE(6626), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290793] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8788), 1,
      anon_sym_SQUOTE,
    ACTIONS(8790), 1,
      sym__quoted_content_single,
    STATE(6628), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290814] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8792), 1,
      anon_sym_DQUOTE,
    ACTIONS(8794), 1,
      sym__quoted_content_double,
    STATE(6630), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290835] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8796), 1,
      anon_sym_RPAREN,
    ACTIONS(8798), 1,
      sym__quoted_content_parenthesis,
    STATE(6632), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290856] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8800), 1,
      anon_sym_COMMA,
    STATE(5158), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(1169), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [290875] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8802), 1,
      anon_sym_SLASH,
    ACTIONS(8804), 1,
      sym__quoted_content_slash,
    STATE(6425), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290896] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8806), 1,
      anon_sym_PIPE,
    ACTIONS(8808), 1,
      sym__quoted_content_bar,
    STATE(6427), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290917] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DQUOTE,
    ACTIONS(371), 1,
      anon_sym_SQUOTE,
    STATE(2267), 1,
      sym__quoted_i_single,
    STATE(2268), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [290938] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8810), 1,
      anon_sym_SLASH,
    ACTIONS(8812), 1,
      sym__quoted_content_slash,
    STATE(6739), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290959] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8814), 1,
      anon_sym_PIPE,
    ACTIONS(8816), 1,
      sym__quoted_content_bar,
    STATE(6591), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [290980] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1053), 1,
      anon_sym_SQUOTE,
    STATE(3287), 1,
      sym__quoted_i_single,
    STATE(3312), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [291001] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8818), 1,
      anon_sym_GT,
    ACTIONS(8820), 1,
      sym__quoted_content_angle,
    STATE(6584), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291022] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8822), 1,
      anon_sym_GT,
    ACTIONS(8824), 1,
      sym__quoted_content_angle,
    STATE(6433), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291043] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8826), 1,
      anon_sym_RBRACK,
    ACTIONS(8828), 1,
      sym__quoted_content_square,
    STATE(6435), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291064] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8830), 1,
      anon_sym_RBRACE,
    ACTIONS(8832), 1,
      sym__quoted_content_curly,
    STATE(6437), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291085] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8834), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8836), 1,
      sym__quoted_content_heredoc_double,
    STATE(6347), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291106] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8838), 1,
      anon_sym_DQUOTE,
    ACTIONS(8840), 1,
      sym__quoted_content_double,
    STATE(6378), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291127] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_SQUOTE,
    STATE(1445), 1,
      sym__quoted_i_single,
    STATE(1446), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [291148] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8842), 1,
      anon_sym_PIPE,
    ACTIONS(8844), 1,
      sym__quoted_content_bar,
    STATE(6392), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291169] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8846), 1,
      anon_sym_RPAREN,
    ACTIONS(8848), 1,
      sym__quoted_content_parenthesis,
    STATE(6514), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291190] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8850), 1,
      anon_sym_RBRACK,
    ACTIONS(8852), 1,
      sym__quoted_content_square,
    STATE(6571), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291211] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8854), 1,
      anon_sym_RBRACE,
    ACTIONS(8856), 1,
      sym__quoted_content_curly,
    STATE(6541), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291232] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8858), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8860), 1,
      sym__quoted_content_heredoc_double,
    STATE(6509), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291253] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8862), 1,
      anon_sym_SLASH,
    ACTIONS(8864), 1,
      sym__quoted_content_slash,
    STATE(6700), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291274] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8866), 1,
      anon_sym_PIPE,
    ACTIONS(8868), 1,
      sym__quoted_content_bar,
    STATE(6702), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291295] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(8870), 1,
      anon_sym_SLASH,
    ACTIONS(8872), 1,
      sym__quoted_content_slash,
    STATE(6397), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291316] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(8874), 1,
      anon_sym_PIPE,
    ACTIONS(8876), 1,
      sym__quoted_content_bar,
    STATE(6395), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291337] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8878), 1,
      anon_sym_GT,
    ACTIONS(8880), 1,
      sym__quoted_content_angle,
    STATE(6373), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291358] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8882), 1,
      anon_sym_RBRACK,
    ACTIONS(8884), 1,
      sym__quoted_content_square,
    STATE(6360), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291379] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8886), 1,
      anon_sym_RBRACE,
    ACTIONS(8888), 1,
      sym__quoted_content_curly,
    STATE(6358), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291400] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8890), 1,
      anon_sym_GT,
    ACTIONS(8892), 1,
      sym__quoted_content_angle,
    STATE(6704), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291421] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8894), 1,
      anon_sym_RBRACK,
    ACTIONS(8896), 1,
      sym__quoted_content_square,
    STATE(6633), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291442] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8898), 1,
      anon_sym_RBRACE,
    ACTIONS(8900), 1,
      sym__quoted_content_curly,
    STATE(6708), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291463] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8902), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8904), 1,
      sym__quoted_content_heredoc_double,
    STATE(6710), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291484] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8906), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8908), 1,
      sym__quoted_content_heredoc_single,
    STATE(6712), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291505] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8910), 1,
      anon_sym_SQUOTE,
    ACTIONS(8912), 1,
      sym__quoted_content_single,
    STATE(6715), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291526] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8914), 1,
      anon_sym_DQUOTE,
    ACTIONS(8916), 1,
      sym__quoted_content_double,
    STATE(6717), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291547] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
    ACTIONS(8920), 1,
      sym__quoted_content_parenthesis,
    STATE(6719), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291568] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_DQUOTE,
    ACTIONS(814), 1,
      anon_sym_SQUOTE,
    STATE(4203), 1,
      sym__quoted_i_single,
    STATE(4354), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [291589] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8922), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8924), 1,
      sym__quoted_content_heredoc_double,
    STATE(6356), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291610] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8926), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8928), 1,
      sym__quoted_content_heredoc_single,
    STATE(6354), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291631] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8930), 1,
      anon_sym_SQUOTE,
    ACTIONS(8932), 1,
      sym__quoted_content_single,
    STATE(6352), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291652] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8934), 1,
      anon_sym_DQUOTE,
    ACTIONS(8936), 1,
      sym__quoted_content_double,
    STATE(6343), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291673] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8940), 1,
      sym__quoted_content_heredoc_single,
    STATE(6449), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291694] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8942), 1,
      anon_sym_SQUOTE,
    ACTIONS(8944), 1,
      sym__quoted_content_single,
    STATE(6349), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291715] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8946), 1,
      anon_sym_DQUOTE,
    ACTIONS(8948), 1,
      sym__quoted_content_double,
    STATE(6332), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291736] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE,
    STATE(1748), 1,
      sym__quoted_i_single,
    STATE(1749), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [291757] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8950), 1,
      anon_sym_RPAREN,
    ACTIONS(8952), 1,
      sym__quoted_content_parenthesis,
    STATE(6334), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291778] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(199), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      anon_sym_SQUOTE,
    STATE(1142), 1,
      sym__quoted_i_single,
    STATE(1143), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [291799] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    ACTIONS(8956), 1,
      sym__quoted_content_parenthesis,
    STATE(6679), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291820] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8958), 1,
      anon_sym_DQUOTE,
    ACTIONS(8960), 1,
      sym__quoted_content_double,
    STATE(6672), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291841] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8962), 1,
      anon_sym_SQUOTE,
    ACTIONS(8964), 1,
      sym__quoted_content_single,
    STATE(6667), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291862] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8966), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8968), 1,
      sym__quoted_content_heredoc_single,
    STATE(6663), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291883] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
    ACTIONS(8972), 1,
      sym__quoted_content_parenthesis,
    STATE(6227), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291904] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(8974), 1,
      anon_sym_DQUOTE,
    ACTIONS(8976), 1,
      sym__quoted_content_double,
    STATE(6225), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291925] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(8978), 1,
      anon_sym_SQUOTE,
    ACTIONS(8980), 1,
      sym__quoted_content_single,
    STATE(6578), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291946] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(8982), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(8984), 1,
      sym__quoted_content_heredoc_single,
    STATE(6174), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291967] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(8986), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(8988), 1,
      sym__quoted_content_heredoc_double,
    STATE(6176), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [291988] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(8990), 1,
      anon_sym_RBRACE,
    ACTIONS(8992), 1,
      sym__quoted_content_curly,
    STATE(6178), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292009] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(8994), 1,
      anon_sym_RBRACK,
    ACTIONS(8996), 1,
      sym__quoted_content_square,
    STATE(6180), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292030] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(8998), 1,
      anon_sym_GT,
    ACTIONS(9000), 1,
      sym__quoted_content_angle,
    STATE(6182), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292051] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    ACTIONS(9004), 1,
      sym__quoted_content_bar,
    STATE(6184), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292072] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9006), 1,
      anon_sym_SLASH,
    ACTIONS(9008), 1,
      sym__quoted_content_slash,
    STATE(6186), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292093] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9010), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9012), 1,
      sym__quoted_content_heredoc_double,
    STATE(6659), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292114] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9014), 1,
      anon_sym_RBRACE,
    ACTIONS(9016), 1,
      sym__quoted_content_curly,
    STATE(6651), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292135] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9018), 1,
      anon_sym_RBRACK,
    ACTIONS(9020), 1,
      sym__quoted_content_square,
    STATE(6754), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292156] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9022), 1,
      anon_sym_GT,
    ACTIONS(9024), 1,
      sym__quoted_content_angle,
    STATE(6641), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292177] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9026), 1,
      anon_sym_PIPE,
    ACTIONS(9028), 1,
      sym__quoted_content_bar,
    STATE(6637), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292198] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9030), 1,
      anon_sym_SLASH,
    ACTIONS(9032), 1,
      sym__quoted_content_slash,
    STATE(6585), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292219] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9034), 1,
      anon_sym_SLASH,
    ACTIONS(9036), 1,
      sym__quoted_content_slash,
    STATE(6755), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292240] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(9040), 1,
      sym__quoted_content_bar,
    STATE(6748), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292261] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9042), 1,
      anon_sym_GT,
    ACTIONS(9044), 1,
      sym__quoted_content_angle,
    STATE(6740), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292282] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9046), 1,
      anon_sym_RBRACK,
    ACTIONS(9048), 1,
      sym__quoted_content_square,
    STATE(6737), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292303] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9050), 1,
      anon_sym_RBRACE,
    ACTIONS(9052), 1,
      sym__quoted_content_curly,
    STATE(6735), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292324] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9054), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9056), 1,
      sym__quoted_content_heredoc_double,
    STATE(6733), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292345] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9058), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(9060), 1,
      sym__quoted_content_heredoc_single,
    STATE(6728), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292366] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9062), 1,
      anon_sym_SQUOTE,
    ACTIONS(9064), 1,
      sym__quoted_content_single,
    STATE(6726), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292387] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9066), 1,
      anon_sym_DQUOTE,
    ACTIONS(9068), 1,
      sym__quoted_content_double,
    STATE(6721), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292408] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    ACTIONS(9072), 1,
      sym__quoted_content_parenthesis,
    STATE(6699), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292429] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9074), 1,
      anon_sym_COMMA,
    STATE(6127), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(9076), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [292448] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(926), 1,
      anon_sym_DQUOTE,
    ACTIONS(928), 1,
      anon_sym_SQUOTE,
    STATE(1982), 1,
      sym__quoted_i_double,
    STATE(1983), 1,
      sym__quoted_i_single,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [292469] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292486] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292503] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_heredoc_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292520] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_heredoc_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292537] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9082), 1,
      anon_sym_COMMA,
    STATE(6127), 1,
      aux_sym__stab_clause_arguments_without_parentheses_repeat1,
    ACTIONS(5049), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [292556] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292573] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_heredoc_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292590] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_heredoc_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292607] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9085), 1,
      anon_sym_RPAREN,
    ACTIONS(9087), 1,
      sym__quoted_content_parenthesis,
    STATE(6199), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292628] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9089), 1,
      anon_sym_DQUOTE,
    ACTIONS(9091), 1,
      sym__quoted_content_double,
    STATE(6201), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292649] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9093), 1,
      anon_sym_SQUOTE,
    ACTIONS(9095), 1,
      sym__quoted_content_single,
    STATE(6208), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292670] = 6,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9097), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(9099), 1,
      sym__quoted_content_heredoc_single,
    STATE(6210), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292691] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9101), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9103), 1,
      sym__quoted_content_heredoc_double,
    STATE(6212), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292712] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9105), 1,
      anon_sym_RBRACE,
    ACTIONS(9107), 1,
      sym__quoted_content_curly,
    STATE(6214), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292733] = 4,
    ACTIONS(9111), 1,
      sym__quoted_content_i_parenthesis,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9109), 3,
      anon_sym_RPAREN,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292750] = 4,
    ACTIONS(9115), 1,
      sym__quoted_content_i_curly,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9113), 3,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292767] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_slash,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_SLASH,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292784] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_slash,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_SLASH,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292801] = 4,
    ACTIONS(9119), 1,
      sym__quoted_content_i_angle,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9117), 3,
      anon_sym_GT,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292818] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_parenthesis,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_RPAREN,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292835] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9121), 1,
      anon_sym_RBRACK,
    ACTIONS(9123), 1,
      sym__quoted_content_square,
    STATE(6216), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292856] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9125), 1,
      anon_sym_GT,
    ACTIONS(9127), 1,
      sym__quoted_content_angle,
    STATE(6218), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292877] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9129), 1,
      anon_sym_PIPE,
    ACTIONS(9131), 1,
      sym__quoted_content_bar,
    STATE(6220), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292898] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9133), 1,
      anon_sym_SLASH,
    ACTIONS(9135), 1,
      sym__quoted_content_slash,
    STATE(6222), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292919] = 4,
    ACTIONS(9139), 1,
      sym__quoted_content_i_square,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9137), 3,
      anon_sym_RBRACK,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292936] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_bar,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_PIPE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [292953] = 6,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9141), 1,
      anon_sym_SLASH,
    ACTIONS(9143), 1,
      sym__quoted_content_slash,
    STATE(6517), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292974] = 6,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9145), 1,
      anon_sym_PIPE,
    ACTIONS(9147), 1,
      sym__quoted_content_bar,
    STATE(6510), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [292995] = 6,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9149), 1,
      anon_sym_GT,
    ACTIONS(9151), 1,
      sym__quoted_content_angle,
    STATE(6459), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293016] = 6,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9153), 1,
      anon_sym_RBRACK,
    ACTIONS(9155), 1,
      sym__quoted_content_square,
    STATE(6443), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293037] = 6,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9157), 1,
      anon_sym_RBRACE,
    ACTIONS(9159), 1,
      sym__quoted_content_curly,
    STATE(6440), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293058] = 6,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9161), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9163), 1,
      sym__quoted_content_heredoc_double,
    STATE(6350), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293079] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9165), 1,
      anon_sym_SQUOTE,
    ACTIONS(9167), 1,
      sym__quoted_content_single,
    STATE(6501), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293100] = 6,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9169), 1,
      anon_sym_SQUOTE,
    ACTIONS(9171), 1,
      sym__quoted_content_single,
    STATE(6313), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293121] = 6,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9173), 1,
      anon_sym_DQUOTE,
    ACTIONS(9175), 1,
      sym__quoted_content_double,
    STATE(6310), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293142] = 6,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9177), 1,
      anon_sym_RPAREN,
    ACTIONS(9179), 1,
      sym__quoted_content_parenthesis,
    STATE(6268), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293163] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_bar,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_PIPE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293180] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_parenthesis,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_RPAREN,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293197] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_DQUOTE,
    ACTIONS(25), 1,
      anon_sym_SQUOTE,
    STATE(4349), 1,
      sym__quoted_i_single,
    STATE(4355), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [293218] = 4,
    ACTIONS(9183), 1,
      sym__quoted_content_i_bar,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9181), 3,
      anon_sym_PIPE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293235] = 4,
    ACTIONS(9187), 1,
      sym__quoted_content_i_slash,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9185), 3,
      anon_sym_SLASH,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293252] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_angle,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_GT,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293269] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_angle,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_GT,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293286] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_DQUOTE,
    ACTIONS(498), 1,
      anon_sym_SQUOTE,
    STATE(3392), 1,
      sym__quoted_i_single,
    STATE(3394), 1,
      sym__quoted_i_double,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [293307] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_square,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_RBRACK,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293324] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_square,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_RBRACK,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293341] = 4,
    ACTIONS(9080), 1,
      sym__quoted_content_i_curly,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9078), 3,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293358] = 4,
    ACTIONS(8778), 1,
      sym__quoted_content_i_curly,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8776), 3,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293375] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9189), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293393] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9191), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293411] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9193), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6190), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293429] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9193), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293447] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9195), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6191), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293465] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9195), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293483] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9197), 1,
      anon_sym_RBRACE,
    STATE(6192), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293501] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9197), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293519] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9199), 1,
      anon_sym_RBRACK,
    STATE(6193), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293537] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9199), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293555] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9201), 1,
      anon_sym_GT,
    STATE(6194), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293573] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9201), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293591] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9203), 1,
      anon_sym_PIPE,
    STATE(6195), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293609] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9203), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293627] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9205), 1,
      anon_sym_SLASH,
    STATE(6196), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293645] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9205), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293663] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9207), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293681] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9209), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293699] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9211), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293717] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9213), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293735] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9215), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293753] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9217), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293771] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9219), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293789] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9221), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293807] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9223), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293825] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9225), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293843] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8110), 3,
      anon_sym_PIPE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [293857] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9227), 1,
      anon_sym_RPAREN,
    STATE(6229), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293875] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9227), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293893] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9229), 1,
      anon_sym_DQUOTE,
    STATE(6230), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293911] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9229), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293929] = 4,
    ACTIONS(9233), 1,
      sym__quoted_content_parenthesis,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9231), 2,
      anon_sym_RPAREN,
      sym_escape_sequence,
  [293945] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293963] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9235), 1,
      anon_sym_RPAREN,
    STATE(6311), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293981] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9237), 1,
      anon_sym_DQUOTE,
    STATE(6338), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [293999] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(7228), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [294013] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9239), 1,
      anon_sym_SQUOTE,
    STATE(6231), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294031] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9239), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294049] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9241), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6232), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294067] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9241), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294085] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9243), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6233), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294103] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9243), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294121] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9245), 1,
      anon_sym_RBRACE,
    STATE(6234), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294139] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9245), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294157] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9247), 1,
      anon_sym_RBRACK,
    STATE(6235), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294175] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9247), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294193] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9249), 1,
      anon_sym_GT,
    STATE(6236), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294211] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9249), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294229] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9251), 1,
      anon_sym_PIPE,
    STATE(6237), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294247] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9251), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294265] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9253), 1,
      anon_sym_SLASH,
    STATE(6238), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294283] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9253), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294301] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9255), 1,
      anon_sym_RPAREN,
    STATE(6187), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294319] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9257), 1,
      anon_sym_SQUOTE,
    STATE(6189), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294337] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9259), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294355] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9259), 1,
      anon_sym_DQUOTE,
    STATE(6188), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294373] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9255), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294391] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9261), 1,
      anon_sym_SLASH,
    STATE(6239), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294409] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9263), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294427] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9265), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294445] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9267), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294463] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9269), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294481] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9271), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294499] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9273), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294517] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9275), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294535] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9277), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294553] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9279), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294571] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9281), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294589] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9283), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294607] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9285), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294625] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9287), 1,
      anon_sym_RPAREN,
    ACTIONS(9289), 1,
      anon_sym_COMMA,
    STATE(5158), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [294643] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9291), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294661] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5972), 1,
      anon_sym_GT_GT,
    ACTIONS(9293), 1,
      anon_sym_COMMA,
    STATE(6516), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [294679] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(8166), 1,
      anon_sym_GT_GT,
    ACTIONS(9295), 1,
      anon_sym_COMMA,
    STATE(6243), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [294697] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9297), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294715] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9299), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294733] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9301), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294751] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9303), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294769] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9305), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294787] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9307), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294805] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9309), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294823] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9311), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294841] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9313), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294859] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9315), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294877] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9317), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294895] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9319), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294913] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9321), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294931] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9323), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294949] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(7880), 3,
      anon_sym_SLASH,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [294963] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9325), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294981] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9327), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [294999] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9329), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295017] = 4,
    ACTIONS(9333), 1,
      sym__quoted_content_slash,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9331), 2,
      anon_sym_SLASH,
      sym_escape_sequence,
  [295033] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9335), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295051] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(7274), 3,
      anon_sym_SQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [295065] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9337), 1,
      anon_sym_SLASH,
    STATE(6676), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295083] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9339), 1,
      anon_sym_RPAREN,
    STATE(6590), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295101] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9339), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295119] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9341), 1,
      anon_sym_DQUOTE,
    STATE(6593), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295137] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9343), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295155] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9343), 1,
      anon_sym_SLASH,
    STATE(6247), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295173] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9345), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295191] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9345), 1,
      anon_sym_PIPE,
    STATE(6248), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295209] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9347), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295227] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9347), 1,
      anon_sym_GT,
    STATE(6249), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295245] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9349), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295263] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9349), 1,
      anon_sym_RBRACK,
    STATE(6250), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295281] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9351), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295299] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9351), 1,
      anon_sym_RBRACE,
    STATE(6251), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295317] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9353), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295335] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9353), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6252), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295353] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9355), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295371] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9355), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6253), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295389] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9357), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295407] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9357), 1,
      anon_sym_SQUOTE,
    STATE(6255), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295425] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9359), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295443] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9359), 1,
      anon_sym_DQUOTE,
    STATE(6257), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295461] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9361), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295479] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9363), 1,
      anon_sym_RPAREN,
    STATE(6315), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295497] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9363), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295515] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9365), 1,
      anon_sym_DQUOTE,
    STATE(6316), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295533] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9365), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295551] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9367), 1,
      anon_sym_SQUOTE,
    STATE(6317), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295569] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9367), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295587] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9369), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6318), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295605] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9369), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295623] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9371), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6319), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295641] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9371), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295659] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9373), 1,
      anon_sym_RBRACE,
    STATE(6320), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295677] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9373), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295695] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9375), 1,
      anon_sym_RBRACK,
    STATE(6321), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295713] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9375), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295731] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9377), 1,
      anon_sym_GT,
    STATE(6322), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295749] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9377), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295767] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    STATE(6323), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295785] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295803] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9381), 1,
      anon_sym_SLASH,
    STATE(6324), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295821] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9381), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295839] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9361), 1,
      anon_sym_RPAREN,
    STATE(6258), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295857] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9341), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295875] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9383), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295893] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9385), 1,
      anon_sym_SQUOTE,
    STATE(6595), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295911] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9385), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295929] = 5,
    ACTIONS(9387), 1,
      anon_sym_RPAREN,
    ACTIONS(9389), 1,
      sym_escape_sequence,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295947] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9392), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295965] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9394), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [295983] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9396), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296001] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9398), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296019] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9400), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296037] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9402), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296055] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9404), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296073] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9406), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296091] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9408), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296109] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9410), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296127] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9412), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296145] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9414), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296163] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9416), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296181] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296199] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9420), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296217] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6607), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296235] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    STATE(6444), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296253] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9237), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296271] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9426), 1,
      anon_sym_SQUOTE,
    STATE(6544), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296289] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296307] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9428), 1,
      anon_sym_DQUOTE,
    STATE(6545), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296325] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296343] = 4,
    ACTIONS(9432), 1,
      sym__quoted_content_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9430), 2,
      anon_sym_DQUOTE,
      sym_escape_sequence,
  [296359] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9434), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296377] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9436), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296395] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9438), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296413] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8260), 3,
      anon_sym_GT,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [296427] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9440), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296445] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9428), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296463] = 4,
    ACTIONS(9444), 1,
      sym__quoted_content_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9442), 2,
      anon_sym_SQUOTE,
      sym_escape_sequence,
  [296479] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9446), 1,
      anon_sym_RPAREN,
    ACTIONS(9448), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [296495] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9450), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6610), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296513] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9452), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296531] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9454), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296549] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9426), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296567] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9450), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296585] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9456), 1,
      anon_sym_SQUOTE,
    STATE(6445), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296603] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9456), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296621] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9458), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6446), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296639] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9458), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296657] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9460), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6447), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296675] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9460), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296693] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9462), 1,
      anon_sym_RBRACE,
    STATE(6448), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296711] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9462), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296729] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9464), 1,
      anon_sym_RBRACK,
    STATE(6453), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296747] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9464), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296765] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9466), 1,
      anon_sym_GT,
    STATE(6454), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296783] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9468), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296801] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9470), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296819] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9472), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296837] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9474), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296855] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9476), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296873] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9478), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296891] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9480), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296909] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9482), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296927] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9484), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296945] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296963] = 5,
    ACTIONS(9488), 1,
      anon_sym_DQUOTE,
    ACTIONS(9490), 1,
      sym_escape_sequence,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296981] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9466), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [296999] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9493), 1,
      anon_sym_PIPE,
    STATE(6458), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297017] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9495), 1,
      anon_sym_RPAREN,
    STATE(6401), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297035] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9495), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297053] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9497), 1,
      anon_sym_DQUOTE,
    STATE(6402), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297071] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9497), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297089] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9499), 1,
      anon_sym_SQUOTE,
    STATE(6403), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297107] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9499), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297125] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9501), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6404), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297143] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9501), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297161] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9503), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6405), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297179] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9503), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297197] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9505), 1,
      anon_sym_RBRACE,
    STATE(6406), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297215] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9505), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297233] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9507), 1,
      anon_sym_RBRACK,
    STATE(6407), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297251] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9507), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297269] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9509), 1,
      anon_sym_GT,
    STATE(6408), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297287] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9509), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297305] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9511), 1,
      anon_sym_PIPE,
    STATE(6409), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297323] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9511), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297341] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9513), 1,
      anon_sym_SLASH,
    STATE(6410), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297359] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9513), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297377] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9493), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297395] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9515), 1,
      anon_sym_SLASH,
    STATE(6460), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297413] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9515), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297431] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(1153), 3,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
  [297445] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9517), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297463] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9517), 1,
      anon_sym_SLASH,
    STATE(6362), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297481] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9519), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297499] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9521), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297517] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9523), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297535] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9525), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297553] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9527), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297571] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9529), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297589] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9531), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297607] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9533), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297625] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9535), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297643] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9537), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297661] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9539), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297679] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9539), 1,
      anon_sym_PIPE,
    STATE(6363), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297697] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9541), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297715] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9541), 1,
      anon_sym_GT,
    STATE(6364), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297733] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9543), 1,
      anon_sym_RBRACE,
    STATE(6611), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297751] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9545), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297769] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9545), 1,
      anon_sym_RBRACK,
    STATE(6365), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297787] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9547), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297805] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9547), 1,
      anon_sym_RBRACE,
    STATE(6366), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297823] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9549), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297841] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9549), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6367), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297859] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9551), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297877] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9551), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6368), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297895] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9553), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297913] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9555), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297931] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9555), 1,
      anon_sym_SLASH,
    STATE(6325), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297949] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9557), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297967] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9557), 1,
      anon_sym_PIPE,
    STATE(6326), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [297985] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9553), 1,
      anon_sym_SQUOTE,
    STATE(6369), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298003] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9559), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298021] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9559), 1,
      anon_sym_DQUOTE,
    STATE(6370), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298039] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9561), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298057] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9563), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298075] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9563), 1,
      anon_sym_GT,
    STATE(6327), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298093] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9565), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298111] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9565), 1,
      anon_sym_RBRACK,
    STATE(6328), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298129] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9567), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298147] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9567), 1,
      anon_sym_RBRACE,
    STATE(6329), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298165] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9561), 1,
      anon_sym_RPAREN,
    STATE(6371), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298183] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9543), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298201] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9569), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6518), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298219] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9571), 1,
      anon_sym_RBRACK,
    STATE(6620), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298237] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9571), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298255] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9573), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298273] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9575), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298291] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9577), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298309] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9579), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298327] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9581), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298345] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9569), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298363] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_RPAREN,
    ACTIONS(9583), 1,
      anon_sym_COMMA,
    STATE(6450), 1,
      aux_sym__stab_clause_arguments_with_parentheses_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [298381] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9586), 1,
      anon_sym_GT,
    STATE(6621), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298399] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9588), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6596), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298417] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9590), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298435] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9592), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298453] = 4,
    ACTIONS(9596), 1,
      sym__quoted_content_heredoc_double,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9594), 2,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_escape_sequence,
  [298469] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(9598), 3,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
  [298483] = 5,
    ACTIONS(9600), 1,
      anon_sym_SQUOTE,
    ACTIONS(9602), 1,
      sym_escape_sequence,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298501] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9605), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298519] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9586), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298537] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9607), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298555] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(6487), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298573] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298591] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9611), 1,
      anon_sym_DQUOTE,
    STATE(6488), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298609] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9611), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298627] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9613), 1,
      anon_sym_SQUOTE,
    STATE(6489), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298645] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9613), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298663] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9615), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6490), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298681] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9615), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298699] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9617), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6491), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298717] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9617), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298735] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9619), 1,
      anon_sym_RBRACE,
    STATE(6492), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298753] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9619), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298771] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9621), 1,
      anon_sym_RBRACK,
    STATE(6493), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298789] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9621), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298807] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9623), 1,
      anon_sym_GT,
    STATE(6494), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298825] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9623), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298843] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9625), 1,
      anon_sym_PIPE,
    STATE(6495), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298861] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9625), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298879] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9627), 1,
      anon_sym_SLASH,
    STATE(6496), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298897] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9627), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298915] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9629), 1,
      anon_sym_PIPE,
    STATE(6634), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298933] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9631), 1,
      anon_sym_RPAREN,
    ACTIONS(9633), 1,
      anon_sym_COMMA,
    STATE(6450), 1,
      aux_sym__stab_clause_arguments_with_parentheses_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [298951] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
    ACTIONS(4885), 3,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
  [298965] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9635), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [298983] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9637), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299001] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9639), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299019] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299037] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9643), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299055] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9645), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299073] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9647), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299091] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9649), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299109] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9651), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299127] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9653), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299145] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9655), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299163] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9657), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299181] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9659), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299199] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9661), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299217] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9452), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6339), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299235] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9663), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299253] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9663), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6340), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299271] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9665), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299289] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9665), 1,
      anon_sym_SQUOTE,
    STATE(6342), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299307] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9667), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299325] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9669), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299343] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9671), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299361] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9673), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299379] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9675), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299397] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299415] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9588), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299433] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9629), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299451] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9679), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299469] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9679), 1,
      anon_sym_DQUOTE,
    STATE(6262), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299487] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(8298), 3,
      anon_sym_RBRACK,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [299501] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9681), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299519] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9683), 1,
      anon_sym_SLASH,
    STATE(6635), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299537] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3120), 1,
      anon_sym_GT_GT,
    ACTIONS(9685), 1,
      anon_sym_COMMA,
    STATE(6516), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [299555] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9683), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299573] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9688), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299591] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9681), 1,
      anon_sym_RPAREN,
    STATE(6348), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299609] = 4,
    ACTIONS(9692), 1,
      sym__quoted_content_heredoc_single,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9690), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_escape_sequence,
  [299625] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9694), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299643] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9694), 1,
      anon_sym_SLASH,
    STATE(6484), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299661] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9696), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299679] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9696), 1,
      anon_sym_PIPE,
    STATE(6485), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299697] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9698), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299715] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9698), 1,
      anon_sym_GT,
    STATE(6486), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299733] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9700), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299751] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9700), 1,
      anon_sym_RBRACK,
    STATE(6497), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299769] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9702), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299787] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9702), 1,
      anon_sym_RBRACE,
    STATE(6503), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299805] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9704), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299823] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9704), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6504), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299841] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9706), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299859] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9706), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6505), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299877] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9708), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299895] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9708), 1,
      anon_sym_SQUOTE,
    STATE(6506), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299913] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9710), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299931] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9710), 1,
      anon_sym_DQUOTE,
    STATE(6507), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299949] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299967] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    STATE(6508), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [299985] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9714), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300003] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(7208), 3,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [300017] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9716), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300035] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9718), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300053] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9720), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300071] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(7388), 3,
      anon_sym_RPAREN,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [300085] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
    STATE(6573), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300103] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300121] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    STATE(6574), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300139] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300157] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9726), 1,
      anon_sym_SQUOTE,
    STATE(6575), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300175] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9726), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300193] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9728), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6576), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300211] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9728), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300229] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9730), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6577), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300247] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9730), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300265] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9732), 1,
      anon_sym_RBRACE,
    STATE(6172), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300283] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9732), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300301] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9734), 1,
      anon_sym_RBRACK,
    STATE(6579), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300319] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9734), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300337] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9736), 1,
      anon_sym_GT,
    STATE(6580), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300355] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9736), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300373] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9738), 1,
      anon_sym_PIPE,
    STATE(6581), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300391] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9738), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300409] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9740), 1,
      anon_sym_SLASH,
    STATE(6582), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300427] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9740), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300445] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(7356), 3,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [300459] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9742), 1,
      anon_sym_RBRACK,
    STATE(6640), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300477] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9714), 1,
      anon_sym_RBRACE,
    STATE(6609), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300495] = 5,
    ACTIONS(9744), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(9746), 1,
      sym_escape_sequence,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300513] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9742), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300531] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9749), 1,
      anon_sym_GT,
    STATE(6660), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300549] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9751), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300567] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9753), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300585] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9755), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300603] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9757), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300621] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9759), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300639] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9257), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300657] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9761), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300675] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9763), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300693] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9765), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300711] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9767), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300729] = 4,
    ACTIONS(9771), 1,
      sym__quoted_content_angle,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9769), 2,
      anon_sym_GT,
      sym_escape_sequence,
  [300745] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9749), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300763] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9261), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300781] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9773), 1,
      anon_sym_PIPE,
    STATE(6670), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300799] = 4,
    ACTIONS(9777), 1,
      sym__quoted_content_square,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9775), 2,
      anon_sym_RBRACK,
      sym_escape_sequence,
  [300815] = 4,
    ACTIONS(9781), 1,
      sym__quoted_content_curly,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9779), 2,
      anon_sym_RBRACE,
      sym_escape_sequence,
  [300831] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_GT_GT,
    ACTIONS(9783), 1,
      anon_sym_COMMA,
    STATE(6589), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [300849] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300867] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9773), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300885] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACE,
      sym_escape_sequence,
  [300899] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9788), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300917] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    STATE(6732), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [300935] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9792), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300953] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9794), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300971] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9796), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [300989] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9798), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301007] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9800), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301025] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9802), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301043] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9804), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301061] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9806), 1,
      anon_sym_RPAREN,
    STATE(6606), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301079] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9808), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301097] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9810), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301115] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9812), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301133] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9814), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301151] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9816), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301169] = 5,
    ACTIONS(9818), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(9820), 1,
      sym_escape_sequence,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301187] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9823), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301205] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9825), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301223] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9827), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301241] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9829), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301259] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9829), 1,
      anon_sym_SLASH,
    STATE(6597), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301277] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9831), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301295] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9831), 1,
      anon_sym_PIPE,
    STATE(6598), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301313] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9833), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301331] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9833), 1,
      anon_sym_GT,
    STATE(6599), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301349] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9835), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301367] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9835), 1,
      anon_sym_RBRACK,
    STATE(6600), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301385] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9837), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301403] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9839), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301421] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9841), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301439] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9841), 1,
      anon_sym_RBRACE,
    STATE(6601), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301457] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9843), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301475] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9843), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6543), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301493] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9845), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301511] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9845), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6603), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301529] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9847), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301547] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9847), 1,
      anon_sym_SQUOTE,
    STATE(6604), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301565] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9849), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301583] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9849), 1,
      anon_sym_DQUOTE,
    STATE(6605), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301601] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9806), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301619] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9851), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301637] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9853), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301655] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9855), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301673] = 4,
    ACTIONS(9859), 1,
      sym__quoted_content_bar,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9857), 2,
      anon_sym_PIPE,
      sym_escape_sequence,
  [301689] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9861), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301707] = 5,
    ACTIONS(9863), 1,
      anon_sym_RBRACE,
    ACTIONS(9865), 1,
      sym_escape_sequence,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301725] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9861), 1,
      anon_sym_PIPE,
    STATE(6240), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301743] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9868), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301761] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9870), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301779] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9872), 1,
      anon_sym_RPAREN,
    STATE(6692), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301797] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9872), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301815] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9874), 1,
      anon_sym_DQUOTE,
    STATE(6693), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301833] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9870), 1,
      anon_sym_GT,
    STATE(6242), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301851] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9874), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301869] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9189), 1,
      anon_sym_SQUOTE,
    STATE(6694), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301887] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9876), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6695), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301905] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9876), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301923] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9878), 1,
      anon_sym_RBRACK,
    STATE(6245), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301941] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9880), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301959] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9880), 1,
      anon_sym_RBRACE,
    STATE(6246), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301977] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9882), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6696), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [301995] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9882), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302013] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9884), 1,
      anon_sym_RBRACE,
    STATE(6697), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302031] = 5,
    ACTIONS(9886), 1,
      anon_sym_RBRACK,
    ACTIONS(9888), 1,
      sym_escape_sequence,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302049] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9884), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302067] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    STATE(6731), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302085] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9893), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302103] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9895), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302121] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9893), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6254), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302139] = 5,
    ACTIONS(9897), 1,
      anon_sym_GT,
    ACTIONS(9899), 1,
      sym_escape_sequence,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302157] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9902), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302175] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302193] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9904), 1,
      anon_sym_GT,
    STATE(6723), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302211] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9902), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6256), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302229] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9906), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302247] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9906), 1,
      anon_sym_SQUOTE,
    STATE(6260), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302265] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9904), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302283] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9908), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302301] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9910), 1,
      anon_sym_PIPE,
    STATE(6724), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302319] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9912), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302337] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9912), 1,
      anon_sym_DQUOTE,
    STATE(6261), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302355] = 5,
    ACTIONS(9914), 1,
      anon_sym_PIPE,
    ACTIONS(9916), 1,
      sym_escape_sequence,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302373] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9910), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302391] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9919), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302409] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9921), 1,
      anon_sym_SLASH,
    STATE(6725), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302427] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9921), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302445] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9923), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302463] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9923), 1,
      anon_sym_RPAREN,
    STATE(6264), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302481] = 5,
    ACTIONS(9925), 1,
      anon_sym_SLASH,
    ACTIONS(9927), 1,
      sym_escape_sequence,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302499] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9930), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302517] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9932), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302535] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9934), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302553] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9936), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302571] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9938), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302589] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302607] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9942), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302625] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9944), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302643] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9946), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302661] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9948), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302679] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302697] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9952), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302715] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9954), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302733] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9956), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302751] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9958), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302769] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9960), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302787] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9962), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302805] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9962), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302823] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9964), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302841] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9964), 1,
      anon_sym_SLASH,
    STATE(6682), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302859] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9966), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302877] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9966), 1,
      anon_sym_PIPE,
    STATE(6683), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302895] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9968), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302913] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9968), 1,
      anon_sym_GT,
    STATE(6684), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302931] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9970), 1,
      anon_sym_DQUOTE,
    STATE(6752), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302949] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9851), 1,
      anon_sym_RBRACK,
    STATE(6685), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302967] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9972), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [302985] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(9972), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303003] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9974), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303021] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9974), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6687), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303039] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9976), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303057] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9976), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6688), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303075] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_GT_GT,
    ACTIONS(9978), 1,
      anon_sym_COMMA,
    STATE(6589), 1,
      aux_sym__items_with_trailing_separator_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303093] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9980), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303111] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9980), 1,
      anon_sym_SQUOTE,
    STATE(6689), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303129] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9982), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303147] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9982), 1,
      anon_sym_DQUOTE,
    STATE(6690), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303165] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9984), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303183] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(9984), 1,
      anon_sym_RPAREN,
    STATE(6691), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303201] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(9970), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303219] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9986), 1,
      anon_sym_SQUOTE,
    STATE(6751), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303237] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(9988), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303255] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(9990), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303273] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9992), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303291] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(9986), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303309] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9994), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6750), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303327] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(9994), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303345] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9996), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6746), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303363] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9998), 1,
      anon_sym_RPAREN,
    ACTIONS(2914), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303379] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(10000), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303397] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_RPAREN,
    ACTIONS(9790), 1,
      anon_sym_COMMA,
    STATE(5630), 1,
      aux_sym_keywords_repeat1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303415] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(9996), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303433] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(10002), 1,
      anon_sym_RBRACE,
    STATE(6745), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303451] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(10002), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303469] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(10004), 1,
      anon_sym_RBRACK,
    STATE(6744), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303487] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(10004), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303505] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(10006), 1,
      anon_sym_GT,
    STATE(6743), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303523] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(9337), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303541] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(10006), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303559] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(10008), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303577] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(10010), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303595] = 5,
    ACTIONS(8438), 1,
      sym_escape_sequence,
    ACTIONS(10012), 1,
      anon_sym_GT,
    STATE(6662), 1,
      aux_sym__quoted_angle_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303613] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(10014), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303631] = 5,
    ACTIONS(8426), 1,
      sym_escape_sequence,
    ACTIONS(10016), 1,
      anon_sym_RBRACE,
    STATE(6638), 1,
      aux_sym__quoted_curly_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303649] = 5,
    ACTIONS(8420), 1,
      sym_escape_sequence,
    ACTIONS(10018), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(6608), 1,
      aux_sym__quoted_heredoc_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303667] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(10020), 1,
      anon_sym_PIPE,
    STATE(6742), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303685] = 5,
    ACTIONS(8484), 1,
      sym_escape_sequence,
    ACTIONS(10020), 1,
      anon_sym_PIPE,
    STATE(6674), 1,
      aux_sym__quoted_bar_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303703] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(10022), 1,
      anon_sym_SLASH,
    STATE(6741), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303721] = 5,
    ACTIONS(8394), 1,
      sym_escape_sequence,
    ACTIONS(10024), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(6570), 1,
      aux_sym__quoted_heredoc_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303739] = 5,
    ACTIONS(8410), 1,
      sym_escape_sequence,
    ACTIONS(10026), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      aux_sym__quoted_single_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303757] = 5,
    ACTIONS(8448), 1,
      sym_escape_sequence,
    ACTIONS(10028), 1,
      anon_sym_DQUOTE,
    STATE(6372), 1,
      aux_sym__quoted_double_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303775] = 5,
    ACTIONS(8404), 1,
      sym_escape_sequence,
    ACTIONS(10030), 1,
      anon_sym_RPAREN,
    STATE(6314), 1,
      aux_sym__quoted_parenthesis_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303793] = 5,
    ACTIONS(8432), 1,
      sym_escape_sequence,
    ACTIONS(9878), 1,
      anon_sym_RBRACK,
    STATE(6656), 1,
      aux_sym__quoted_square_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303811] = 5,
    ACTIONS(8454), 1,
      sym_escape_sequence,
    ACTIONS(10022), 1,
      anon_sym_SLASH,
    STATE(6681), 1,
      aux_sym__quoted_slash_repeat1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
  [303829] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10032), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303842] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(3695), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303857] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(3159), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303872] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    STATE(2662), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303887] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10034), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303900] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10036), 1,
      anon_sym_LPAREN,
    STATE(2695), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303915] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(2864), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303930] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10038), 1,
      aux_sym_sigil_token1,
    ACTIONS(10040), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303945] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10042), 1,
      aux_sym_sigil_token1,
    ACTIONS(10044), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303960] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10046), 1,
      aux_sym_sigil_token1,
    ACTIONS(10048), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303975] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1678), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [303990] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(4215), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304005] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_LPAREN,
    STATE(1121), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304020] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10050), 1,
      aux_sym_sigil_token1,
    ACTIONS(10052), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304035] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10054), 1,
      aux_sym_sigil_token1,
    ACTIONS(10056), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304050] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10058), 1,
      aux_sym_sigil_token1,
    ACTIONS(10060), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304065] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(3055), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304080] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10062), 1,
      aux_sym__terminator_token1,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(7627), 2,
      anon_sym_SEMI,
      anon_sym_end,
  [304095] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10064), 1,
      aux_sym_sigil_token1,
    ACTIONS(10066), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304110] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10068), 1,
      anon_sym_LPAREN,
    STATE(3877), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304125] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(3050), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304140] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(4052), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304155] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10070), 1,
      aux_sym_sigil_token1,
    ACTIONS(10072), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304170] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(3037), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304185] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(2891), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304200] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10074), 1,
      aux_sym_sigil_token1,
    ACTIONS(10076), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304215] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9863), 2,
      anon_sym_RBRACE,
      sym_escape_sequence,
  [304228] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10078), 1,
      aux_sym_sigil_token1,
    ACTIONS(10080), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304243] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(2133), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304258] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(2132), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304273] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(1713), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304288] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(2130), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304303] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(2129), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304318] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(3021), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304333] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(2127), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304348] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(1714), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304363] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(4299), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304378] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(4211), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304393] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(3694), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304408] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(4302), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304423] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(4303), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304438] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_do,
    STATE(3022), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304453] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_do,
    STATE(2094), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304468] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10082), 1,
      aux_sym_sigil_token1,
    ACTIONS(10084), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304483] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2914), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304496] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9925), 2,
      anon_sym_SLASH,
      sym_escape_sequence,
  [304509] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10086), 1,
      aux_sym_sigil_token1,
    ACTIONS(10088), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304524] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(3794), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304539] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10090), 1,
      anon_sym_when,
    ACTIONS(10092), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304554] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10094), 1,
      aux_sym_sigil_token1,
    ACTIONS(10096), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304569] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_LPAREN,
    STATE(2081), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304584] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9914), 2,
      anon_sym_PIPE,
      sym_escape_sequence,
  [304597] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9488), 2,
      anon_sym_DQUOTE,
      sym_escape_sequence,
  [304610] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10098), 1,
      anon_sym_LPAREN,
    STATE(1729), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304625] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10100), 1,
      aux_sym_sigil_token1,
    ACTIONS(10102), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304640] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    STATE(1342), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304655] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10104), 1,
      aux_sym_sigil_token1,
    ACTIONS(10106), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304670] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10108), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304683] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9897), 2,
      anon_sym_GT,
      sym_escape_sequence,
  [304696] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10110), 1,
      aux_sym_sigil_token1,
    ACTIONS(10112), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304711] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9387), 2,
      anon_sym_RPAREN,
      sym_escape_sequence,
  [304724] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1472), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304739] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1636), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304754] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(4167), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304769] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9600), 2,
      anon_sym_SQUOTE,
      sym_escape_sequence,
  [304782] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_DASH_GT,
    ACTIONS(10114), 1,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304797] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9886), 2,
      anon_sym_RBRACK,
      sym_escape_sequence,
  [304810] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10116), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304823] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_LPAREN,
    STATE(2895), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304838] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_do,
    STATE(4297), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304853] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10118), 1,
      anon_sym_LPAREN,
    STATE(1430), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304868] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1635), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304883] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1634), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304898] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1473), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304913] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1632), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304928] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_do,
    STATE(1631), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304943] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4432), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304958] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9744), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_escape_sequence,
  [304971] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10120), 1,
      aux_sym_sigil_token1,
    ACTIONS(10122), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [304986] = 3,
    ACTIONS(3), 2,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
    ACTIONS(5), 2,
      aux_sym__terminator_token1,
      sym_comment,
    ACTIONS(9818), 2,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_escape_sequence,
  [304999] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4477), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305014] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10124), 1,
      anon_sym_LPAREN,
    STATE(3526), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305029] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4475), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305044] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10126), 1,
      anon_sym_LPAREN,
    STATE(4100), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305059] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4323), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305074] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4474), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305089] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4451), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305104] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10128), 1,
      aux_sym_sigil_token1,
    ACTIONS(10130), 1,
      aux_sym_sigil_token2,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305119] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4448), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305134] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_do,
    STATE(4335), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305149] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(9448), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305162] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3718), 2,
      anon_sym_when,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305175] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(4072), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305190] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    STATE(3201), 1,
      sym__call_arguments_with_parentheses,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305205] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(3826), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305220] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(4062), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305235] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(4090), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305250] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_do,
    STATE(4093), 1,
      sym_do_block,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305265] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10132), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305277] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10134), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305289] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305301] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10138), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305313] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10140), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305325] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10142), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305337] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10144), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305349] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10146), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305361] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2623), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305373] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2655), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305385] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2651), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305397] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10148), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305409] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10150), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305421] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10152), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305433] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2627), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305445] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10154), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305457] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2631), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305469] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2635), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305481] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10156), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305493] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305505] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10160), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305517] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10162), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305529] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305541] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10166), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305553] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10168), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305565] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10170), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305577] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10172), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305589] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305601] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10176), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305613] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305625] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10180), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305637] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10182), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305649] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10184), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305661] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10186), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305673] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10188), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305685] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10190), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305697] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305709] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym_quoted_keyword_token1,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305721] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305733] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10194), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305745] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305757] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10198), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305769] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10200), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305781] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10202), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305793] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10204), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305805] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305817] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305829] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10210), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305841] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10212), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305853] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10214), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305865] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305877] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10218), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305889] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10220), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305901] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10222), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305913] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10224), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305925] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10224), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305937] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10226), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305949] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10228), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305961] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305973] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10232), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305985] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10234), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [305997] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10236), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306009] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10238), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306021] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10240), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306033] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10242), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306045] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10244), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306057] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10246), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306069] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10248), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306081] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10250), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306093] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10252), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306105] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10254), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306117] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306129] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10258), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306141] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10260), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306153] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306165] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10264), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306177] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10266), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306189] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10268), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306201] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10270), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306213] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306225] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10274), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306237] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10276), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306249] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10278), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306261] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10280), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306273] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10282), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306285] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10284), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306297] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306309] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10288), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306321] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306333] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10292), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306345] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10294), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306357] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10296), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306369] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10298), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306381] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306393] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10302), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306405] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10304), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306417] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10306), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306429] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10308), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306441] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10310), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306453] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10312), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306465] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306477] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10316), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306489] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10318), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306501] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10320), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306513] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306525] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10324), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306537] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10326), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306549] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306561] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10328), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306573] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10330), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306585] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10332), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306597] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10334), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306609] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10336), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306621] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10338), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306633] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10340), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306645] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10342), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306657] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10344), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306669] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10346), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306681] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306693] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10350), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306705] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10352), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306717] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10354), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306729] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10356), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306741] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10358), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306753] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10360), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306765] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10362), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306777] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10364), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306789] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10366), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306801] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10368), 1,
      sym_integer,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306813] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10370), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306825] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10372), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
  [306837] = 3,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(10374), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__newline_before_binary_operator,
      sym__newline_before_comment,
      aux_sym__terminator_token1,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1091)] = 0,
  [SMALL_STATE(1092)] = 73,
  [SMALL_STATE(1093)] = 152,
  [SMALL_STATE(1094)] = 281,
  [SMALL_STATE(1095)] = 410,
  [SMALL_STATE(1096)] = 483,
  [SMALL_STATE(1097)] = 556,
  [SMALL_STATE(1098)] = 629,
  [SMALL_STATE(1099)] = 702,
  [SMALL_STATE(1100)] = 775,
  [SMALL_STATE(1101)] = 848,
  [SMALL_STATE(1102)] = 921,
  [SMALL_STATE(1103)] = 996,
  [SMALL_STATE(1104)] = 1071,
  [SMALL_STATE(1105)] = 1144,
  [SMALL_STATE(1106)] = 1217,
  [SMALL_STATE(1107)] = 1290,
  [SMALL_STATE(1108)] = 1367,
  [SMALL_STATE(1109)] = 1444,
  [SMALL_STATE(1110)] = 1521,
  [SMALL_STATE(1111)] = 1650,
  [SMALL_STATE(1112)] = 1723,
  [SMALL_STATE(1113)] = 1796,
  [SMALL_STATE(1114)] = 1925,
  [SMALL_STATE(1115)] = 2054,
  [SMALL_STATE(1116)] = 2183,
  [SMALL_STATE(1117)] = 2312,
  [SMALL_STATE(1118)] = 2385,
  [SMALL_STATE(1119)] = 2514,
  [SMALL_STATE(1120)] = 2587,
  [SMALL_STATE(1121)] = 2660,
  [SMALL_STATE(1122)] = 2733,
  [SMALL_STATE(1123)] = 2808,
  [SMALL_STATE(1124)] = 2887,
  [SMALL_STATE(1125)] = 2966,
  [SMALL_STATE(1126)] = 3045,
  [SMALL_STATE(1127)] = 3124,
  [SMALL_STATE(1128)] = 3197,
  [SMALL_STATE(1129)] = 3276,
  [SMALL_STATE(1130)] = 3349,
  [SMALL_STATE(1131)] = 3424,
  [SMALL_STATE(1132)] = 3499,
  [SMALL_STATE(1133)] = 3578,
  [SMALL_STATE(1134)] = 3653,
  [SMALL_STATE(1135)] = 3726,
  [SMALL_STATE(1136)] = 3801,
  [SMALL_STATE(1137)] = 3874,
  [SMALL_STATE(1138)] = 3949,
  [SMALL_STATE(1139)] = 4024,
  [SMALL_STATE(1140)] = 4096,
  [SMALL_STATE(1141)] = 4168,
  [SMALL_STATE(1142)] = 4240,
  [SMALL_STATE(1143)] = 4312,
  [SMALL_STATE(1144)] = 4384,
  [SMALL_STATE(1145)] = 4456,
  [SMALL_STATE(1146)] = 4528,
  [SMALL_STATE(1147)] = 4600,
  [SMALL_STATE(1148)] = 4672,
  [SMALL_STATE(1149)] = 4744,
  [SMALL_STATE(1150)] = 4816,
  [SMALL_STATE(1151)] = 4888,
  [SMALL_STATE(1152)] = 4960,
  [SMALL_STATE(1153)] = 5032,
  [SMALL_STATE(1154)] = 5104,
  [SMALL_STATE(1155)] = 5176,
  [SMALL_STATE(1156)] = 5248,
  [SMALL_STATE(1157)] = 5320,
  [SMALL_STATE(1158)] = 5392,
  [SMALL_STATE(1159)] = 5464,
  [SMALL_STATE(1160)] = 5536,
  [SMALL_STATE(1161)] = 5610,
  [SMALL_STATE(1162)] = 5682,
  [SMALL_STATE(1163)] = 5754,
  [SMALL_STATE(1164)] = 5826,
  [SMALL_STATE(1165)] = 5898,
  [SMALL_STATE(1166)] = 5970,
  [SMALL_STATE(1167)] = 6042,
  [SMALL_STATE(1168)] = 6114,
  [SMALL_STATE(1169)] = 6186,
  [SMALL_STATE(1170)] = 6258,
  [SMALL_STATE(1171)] = 6330,
  [SMALL_STATE(1172)] = 6402,
  [SMALL_STATE(1173)] = 6474,
  [SMALL_STATE(1174)] = 6546,
  [SMALL_STATE(1175)] = 6618,
  [SMALL_STATE(1176)] = 6690,
  [SMALL_STATE(1177)] = 6762,
  [SMALL_STATE(1178)] = 6834,
  [SMALL_STATE(1179)] = 6906,
  [SMALL_STATE(1180)] = 6978,
  [SMALL_STATE(1181)] = 7050,
  [SMALL_STATE(1182)] = 7122,
  [SMALL_STATE(1183)] = 7194,
  [SMALL_STATE(1184)] = 7266,
  [SMALL_STATE(1185)] = 7338,
  [SMALL_STATE(1186)] = 7410,
  [SMALL_STATE(1187)] = 7482,
  [SMALL_STATE(1188)] = 7554,
  [SMALL_STATE(1189)] = 7626,
  [SMALL_STATE(1190)] = 7698,
  [SMALL_STATE(1191)] = 7770,
  [SMALL_STATE(1192)] = 7842,
  [SMALL_STATE(1193)] = 7916,
  [SMALL_STATE(1194)] = 7990,
  [SMALL_STATE(1195)] = 8062,
  [SMALL_STATE(1196)] = 8134,
  [SMALL_STATE(1197)] = 8206,
  [SMALL_STATE(1198)] = 8278,
  [SMALL_STATE(1199)] = 8350,
  [SMALL_STATE(1200)] = 8422,
  [SMALL_STATE(1201)] = 8494,
  [SMALL_STATE(1202)] = 8566,
  [SMALL_STATE(1203)] = 8638,
  [SMALL_STATE(1204)] = 8710,
  [SMALL_STATE(1205)] = 8828,
  [SMALL_STATE(1206)] = 8900,
  [SMALL_STATE(1207)] = 8972,
  [SMALL_STATE(1208)] = 9044,
  [SMALL_STATE(1209)] = 9122,
  [SMALL_STATE(1210)] = 9194,
  [SMALL_STATE(1211)] = 9272,
  [SMALL_STATE(1212)] = 9350,
  [SMALL_STATE(1213)] = 9422,
  [SMALL_STATE(1214)] = 9494,
  [SMALL_STATE(1215)] = 9572,
  [SMALL_STATE(1216)] = 9650,
  [SMALL_STATE(1217)] = 9724,
  [SMALL_STATE(1218)] = 9796,
  [SMALL_STATE(1219)] = 9868,
  [SMALL_STATE(1220)] = 9940,
  [SMALL_STATE(1221)] = 10012,
  [SMALL_STATE(1222)] = 10084,
  [SMALL_STATE(1223)] = 10156,
  [SMALL_STATE(1224)] = 10228,
  [SMALL_STATE(1225)] = 10300,
  [SMALL_STATE(1226)] = 10372,
  [SMALL_STATE(1227)] = 10444,
  [SMALL_STATE(1228)] = 10520,
  [SMALL_STATE(1229)] = 10596,
  [SMALL_STATE(1230)] = 10672,
  [SMALL_STATE(1231)] = 10744,
  [SMALL_STATE(1232)] = 10816,
  [SMALL_STATE(1233)] = 10888,
  [SMALL_STATE(1234)] = 10960,
  [SMALL_STATE(1235)] = 11032,
  [SMALL_STATE(1236)] = 11104,
  [SMALL_STATE(1237)] = 11176,
  [SMALL_STATE(1238)] = 11248,
  [SMALL_STATE(1239)] = 11320,
  [SMALL_STATE(1240)] = 11392,
  [SMALL_STATE(1241)] = 11464,
  [SMALL_STATE(1242)] = 11536,
  [SMALL_STATE(1243)] = 11608,
  [SMALL_STATE(1244)] = 11680,
  [SMALL_STATE(1245)] = 11752,
  [SMALL_STATE(1246)] = 11824,
  [SMALL_STATE(1247)] = 11896,
  [SMALL_STATE(1248)] = 11968,
  [SMALL_STATE(1249)] = 12040,
  [SMALL_STATE(1250)] = 12112,
  [SMALL_STATE(1251)] = 12184,
  [SMALL_STATE(1252)] = 12256,
  [SMALL_STATE(1253)] = 12328,
  [SMALL_STATE(1254)] = 12400,
  [SMALL_STATE(1255)] = 12472,
  [SMALL_STATE(1256)] = 12546,
  [SMALL_STATE(1257)] = 12618,
  [SMALL_STATE(1258)] = 12690,
  [SMALL_STATE(1259)] = 12762,
  [SMALL_STATE(1260)] = 12836,
  [SMALL_STATE(1261)] = 12908,
  [SMALL_STATE(1262)] = 12980,
  [SMALL_STATE(1263)] = 13052,
  [SMALL_STATE(1264)] = 13124,
  [SMALL_STATE(1265)] = 13196,
  [SMALL_STATE(1266)] = 13268,
  [SMALL_STATE(1267)] = 13342,
  [SMALL_STATE(1268)] = 13414,
  [SMALL_STATE(1269)] = 13486,
  [SMALL_STATE(1270)] = 13558,
  [SMALL_STATE(1271)] = 13630,
  [SMALL_STATE(1272)] = 13702,
  [SMALL_STATE(1273)] = 13776,
  [SMALL_STATE(1274)] = 13848,
  [SMALL_STATE(1275)] = 13920,
  [SMALL_STATE(1276)] = 13994,
  [SMALL_STATE(1277)] = 14066,
  [SMALL_STATE(1278)] = 14138,
  [SMALL_STATE(1279)] = 14210,
  [SMALL_STATE(1280)] = 14284,
  [SMALL_STATE(1281)] = 14358,
  [SMALL_STATE(1282)] = 14430,
  [SMALL_STATE(1283)] = 14502,
  [SMALL_STATE(1284)] = 14574,
  [SMALL_STATE(1285)] = 14646,
  [SMALL_STATE(1286)] = 14718,
  [SMALL_STATE(1287)] = 14790,
  [SMALL_STATE(1288)] = 14862,
  [SMALL_STATE(1289)] = 14934,
  [SMALL_STATE(1290)] = 15006,
  [SMALL_STATE(1291)] = 15078,
  [SMALL_STATE(1292)] = 15150,
  [SMALL_STATE(1293)] = 15222,
  [SMALL_STATE(1294)] = 15294,
  [SMALL_STATE(1295)] = 15366,
  [SMALL_STATE(1296)] = 15438,
  [SMALL_STATE(1297)] = 15510,
  [SMALL_STATE(1298)] = 15582,
  [SMALL_STATE(1299)] = 15658,
  [SMALL_STATE(1300)] = 15732,
  [SMALL_STATE(1301)] = 15806,
  [SMALL_STATE(1302)] = 15880,
  [SMALL_STATE(1303)] = 15954,
  [SMALL_STATE(1304)] = 16028,
  [SMALL_STATE(1305)] = 16102,
  [SMALL_STATE(1306)] = 16174,
  [SMALL_STATE(1307)] = 16246,
  [SMALL_STATE(1308)] = 16322,
  [SMALL_STATE(1309)] = 16394,
  [SMALL_STATE(1310)] = 16466,
  [SMALL_STATE(1311)] = 16538,
  [SMALL_STATE(1312)] = 16610,
  [SMALL_STATE(1313)] = 16684,
  [SMALL_STATE(1314)] = 16758,
  [SMALL_STATE(1315)] = 16832,
  [SMALL_STATE(1316)] = 16904,
  [SMALL_STATE(1317)] = 16978,
  [SMALL_STATE(1318)] = 17050,
  [SMALL_STATE(1319)] = 17122,
  [SMALL_STATE(1320)] = 17194,
  [SMALL_STATE(1321)] = 17266,
  [SMALL_STATE(1322)] = 17338,
  [SMALL_STATE(1323)] = 17410,
  [SMALL_STATE(1324)] = 17482,
  [SMALL_STATE(1325)] = 17558,
  [SMALL_STATE(1326)] = 17634,
  [SMALL_STATE(1327)] = 17708,
  [SMALL_STATE(1328)] = 17784,
  [SMALL_STATE(1329)] = 17858,
  [SMALL_STATE(1330)] = 17930,
  [SMALL_STATE(1331)] = 18002,
  [SMALL_STATE(1332)] = 18074,
  [SMALL_STATE(1333)] = 18146,
  [SMALL_STATE(1334)] = 18220,
  [SMALL_STATE(1335)] = 18294,
  [SMALL_STATE(1336)] = 18366,
  [SMALL_STATE(1337)] = 18440,
  [SMALL_STATE(1338)] = 18512,
  [SMALL_STATE(1339)] = 18586,
  [SMALL_STATE(1340)] = 18658,
  [SMALL_STATE(1341)] = 18730,
  [SMALL_STATE(1342)] = 18802,
  [SMALL_STATE(1343)] = 18874,
  [SMALL_STATE(1344)] = 18946,
  [SMALL_STATE(1345)] = 19018,
  [SMALL_STATE(1346)] = 19090,
  [SMALL_STATE(1347)] = 19162,
  [SMALL_STATE(1348)] = 19234,
  [SMALL_STATE(1349)] = 19306,
  [SMALL_STATE(1350)] = 19377,
  [SMALL_STATE(1351)] = 19448,
  [SMALL_STATE(1352)] = 19519,
  [SMALL_STATE(1353)] = 19590,
  [SMALL_STATE(1354)] = 19665,
  [SMALL_STATE(1355)] = 19736,
  [SMALL_STATE(1356)] = 19811,
  [SMALL_STATE(1357)] = 19882,
  [SMALL_STATE(1358)] = 19953,
  [SMALL_STATE(1359)] = 20024,
  [SMALL_STATE(1360)] = 20095,
  [SMALL_STATE(1361)] = 20166,
  [SMALL_STATE(1362)] = 20237,
  [SMALL_STATE(1363)] = 20308,
  [SMALL_STATE(1364)] = 20379,
  [SMALL_STATE(1365)] = 20450,
  [SMALL_STATE(1366)] = 20521,
  [SMALL_STATE(1367)] = 20592,
  [SMALL_STATE(1368)] = 20663,
  [SMALL_STATE(1369)] = 20734,
  [SMALL_STATE(1370)] = 20805,
  [SMALL_STATE(1371)] = 20876,
  [SMALL_STATE(1372)] = 20947,
  [SMALL_STATE(1373)] = 21018,
  [SMALL_STATE(1374)] = 21089,
  [SMALL_STATE(1375)] = 21160,
  [SMALL_STATE(1376)] = 21231,
  [SMALL_STATE(1377)] = 21302,
  [SMALL_STATE(1378)] = 21373,
  [SMALL_STATE(1379)] = 21444,
  [SMALL_STATE(1380)] = 21515,
  [SMALL_STATE(1381)] = 21586,
  [SMALL_STATE(1382)] = 21657,
  [SMALL_STATE(1383)] = 21728,
  [SMALL_STATE(1384)] = 21799,
  [SMALL_STATE(1385)] = 21870,
  [SMALL_STATE(1386)] = 21941,
  [SMALL_STATE(1387)] = 22012,
  [SMALL_STATE(1388)] = 22083,
  [SMALL_STATE(1389)] = 22158,
  [SMALL_STATE(1390)] = 22229,
  [SMALL_STATE(1391)] = 22300,
  [SMALL_STATE(1392)] = 22371,
  [SMALL_STATE(1393)] = 22442,
  [SMALL_STATE(1394)] = 22513,
  [SMALL_STATE(1395)] = 22584,
  [SMALL_STATE(1396)] = 22655,
  [SMALL_STATE(1397)] = 22726,
  [SMALL_STATE(1398)] = 22797,
  [SMALL_STATE(1399)] = 22868,
  [SMALL_STATE(1400)] = 22939,
  [SMALL_STATE(1401)] = 23010,
  [SMALL_STATE(1402)] = 23081,
  [SMALL_STATE(1403)] = 23152,
  [SMALL_STATE(1404)] = 23223,
  [SMALL_STATE(1405)] = 23294,
  [SMALL_STATE(1406)] = 23365,
  [SMALL_STATE(1407)] = 23436,
  [SMALL_STATE(1408)] = 23507,
  [SMALL_STATE(1409)] = 23578,
  [SMALL_STATE(1410)] = 23649,
  [SMALL_STATE(1411)] = 23724,
  [SMALL_STATE(1412)] = 23795,
  [SMALL_STATE(1413)] = 23866,
  [SMALL_STATE(1414)] = 23937,
  [SMALL_STATE(1415)] = 24012,
  [SMALL_STATE(1416)] = 24087,
  [SMALL_STATE(1417)] = 24162,
  [SMALL_STATE(1418)] = 24235,
  [SMALL_STATE(1419)] = 24310,
  [SMALL_STATE(1420)] = 24385,
  [SMALL_STATE(1421)] = 24460,
  [SMALL_STATE(1422)] = 24533,
  [SMALL_STATE(1423)] = 24608,
  [SMALL_STATE(1424)] = 24725,
  [SMALL_STATE(1425)] = 24838,
  [SMALL_STATE(1426)] = 24951,
  [SMALL_STATE(1427)] = 25064,
  [SMALL_STATE(1428)] = 25135,
  [SMALL_STATE(1429)] = 25206,
  [SMALL_STATE(1430)] = 25277,
  [SMALL_STATE(1431)] = 25348,
  [SMALL_STATE(1432)] = 25419,
  [SMALL_STATE(1433)] = 25490,
  [SMALL_STATE(1434)] = 25561,
  [SMALL_STATE(1435)] = 25632,
  [SMALL_STATE(1436)] = 25703,
  [SMALL_STATE(1437)] = 25774,
  [SMALL_STATE(1438)] = 25845,
  [SMALL_STATE(1439)] = 25916,
  [SMALL_STATE(1440)] = 25987,
  [SMALL_STATE(1441)] = 26058,
  [SMALL_STATE(1442)] = 26129,
  [SMALL_STATE(1443)] = 26200,
  [SMALL_STATE(1444)] = 26271,
  [SMALL_STATE(1445)] = 26342,
  [SMALL_STATE(1446)] = 26413,
  [SMALL_STATE(1447)] = 26484,
  [SMALL_STATE(1448)] = 26555,
  [SMALL_STATE(1449)] = 26626,
  [SMALL_STATE(1450)] = 26697,
  [SMALL_STATE(1451)] = 26768,
  [SMALL_STATE(1452)] = 26839,
  [SMALL_STATE(1453)] = 26910,
  [SMALL_STATE(1454)] = 26981,
  [SMALL_STATE(1455)] = 27052,
  [SMALL_STATE(1456)] = 27123,
  [SMALL_STATE(1457)] = 27194,
  [SMALL_STATE(1458)] = 27265,
  [SMALL_STATE(1459)] = 27336,
  [SMALL_STATE(1460)] = 27407,
  [SMALL_STATE(1461)] = 27478,
  [SMALL_STATE(1462)] = 27549,
  [SMALL_STATE(1463)] = 27620,
  [SMALL_STATE(1464)] = 27691,
  [SMALL_STATE(1465)] = 27762,
  [SMALL_STATE(1466)] = 27833,
  [SMALL_STATE(1467)] = 27904,
  [SMALL_STATE(1468)] = 27975,
  [SMALL_STATE(1469)] = 28046,
  [SMALL_STATE(1470)] = 28117,
  [SMALL_STATE(1471)] = 28188,
  [SMALL_STATE(1472)] = 28259,
  [SMALL_STATE(1473)] = 28330,
  [SMALL_STATE(1474)] = 28401,
  [SMALL_STATE(1475)] = 28472,
  [SMALL_STATE(1476)] = 28543,
  [SMALL_STATE(1477)] = 28614,
  [SMALL_STATE(1478)] = 28685,
  [SMALL_STATE(1479)] = 28756,
  [SMALL_STATE(1480)] = 28827,
  [SMALL_STATE(1481)] = 28898,
  [SMALL_STATE(1482)] = 28969,
  [SMALL_STATE(1483)] = 29040,
  [SMALL_STATE(1484)] = 29111,
  [SMALL_STATE(1485)] = 29182,
  [SMALL_STATE(1486)] = 29253,
  [SMALL_STATE(1487)] = 29324,
  [SMALL_STATE(1488)] = 29395,
  [SMALL_STATE(1489)] = 29466,
  [SMALL_STATE(1490)] = 29537,
  [SMALL_STATE(1491)] = 29608,
  [SMALL_STATE(1492)] = 29679,
  [SMALL_STATE(1493)] = 29750,
  [SMALL_STATE(1494)] = 29821,
  [SMALL_STATE(1495)] = 29892,
  [SMALL_STATE(1496)] = 29963,
  [SMALL_STATE(1497)] = 30034,
  [SMALL_STATE(1498)] = 30105,
  [SMALL_STATE(1499)] = 30176,
  [SMALL_STATE(1500)] = 30247,
  [SMALL_STATE(1501)] = 30318,
  [SMALL_STATE(1502)] = 30389,
  [SMALL_STATE(1503)] = 30460,
  [SMALL_STATE(1504)] = 30531,
  [SMALL_STATE(1505)] = 30602,
  [SMALL_STATE(1506)] = 30673,
  [SMALL_STATE(1507)] = 30744,
  [SMALL_STATE(1508)] = 30815,
  [SMALL_STATE(1509)] = 30886,
  [SMALL_STATE(1510)] = 30957,
  [SMALL_STATE(1511)] = 31028,
  [SMALL_STATE(1512)] = 31115,
  [SMALL_STATE(1513)] = 31208,
  [SMALL_STATE(1514)] = 31315,
  [SMALL_STATE(1515)] = 31392,
  [SMALL_STATE(1516)] = 31475,
  [SMALL_STATE(1517)] = 31554,
  [SMALL_STATE(1518)] = 31665,
  [SMALL_STATE(1519)] = 31776,
  [SMALL_STATE(1520)] = 31885,
  [SMALL_STATE(1521)] = 31990,
  [SMALL_STATE(1522)] = 32093,
  [SMALL_STATE(1523)] = 32192,
  [SMALL_STATE(1524)] = 32289,
  [SMALL_STATE(1525)] = 32384,
  [SMALL_STATE(1526)] = 32475,
  [SMALL_STATE(1527)] = 32560,
  [SMALL_STATE(1528)] = 32645,
  [SMALL_STATE(1529)] = 32718,
  [SMALL_STATE(1530)] = 32791,
  [SMALL_STATE(1531)] = 32864,
  [SMALL_STATE(1532)] = 32937,
  [SMALL_STATE(1533)] = 33010,
  [SMALL_STATE(1534)] = 33083,
  [SMALL_STATE(1535)] = 33156,
  [SMALL_STATE(1536)] = 33229,
  [SMALL_STATE(1537)] = 33300,
  [SMALL_STATE(1538)] = 33371,
  [SMALL_STATE(1539)] = 33442,
  [SMALL_STATE(1540)] = 33515,
  [SMALL_STATE(1541)] = 33588,
  [SMALL_STATE(1542)] = 33661,
  [SMALL_STATE(1543)] = 33734,
  [SMALL_STATE(1544)] = 33807,
  [SMALL_STATE(1545)] = 33880,
  [SMALL_STATE(1546)] = 33953,
  [SMALL_STATE(1547)] = 34026,
  [SMALL_STATE(1548)] = 34099,
  [SMALL_STATE(1549)] = 34172,
  [SMALL_STATE(1550)] = 34245,
  [SMALL_STATE(1551)] = 34318,
  [SMALL_STATE(1552)] = 34389,
  [SMALL_STATE(1553)] = 34460,
  [SMALL_STATE(1554)] = 34531,
  [SMALL_STATE(1555)] = 34602,
  [SMALL_STATE(1556)] = 34673,
  [SMALL_STATE(1557)] = 34744,
  [SMALL_STATE(1558)] = 34815,
  [SMALL_STATE(1559)] = 34886,
  [SMALL_STATE(1560)] = 34957,
  [SMALL_STATE(1561)] = 35028,
  [SMALL_STATE(1562)] = 35099,
  [SMALL_STATE(1563)] = 35170,
  [SMALL_STATE(1564)] = 35241,
  [SMALL_STATE(1565)] = 35312,
  [SMALL_STATE(1566)] = 35383,
  [SMALL_STATE(1567)] = 35454,
  [SMALL_STATE(1568)] = 35525,
  [SMALL_STATE(1569)] = 35596,
  [SMALL_STATE(1570)] = 35667,
  [SMALL_STATE(1571)] = 35751,
  [SMALL_STATE(1572)] = 35821,
  [SMALL_STATE(1573)] = 35905,
  [SMALL_STATE(1574)] = 35981,
  [SMALL_STATE(1575)] = 36067,
  [SMALL_STATE(1576)] = 36159,
  [SMALL_STATE(1577)] = 36265,
  [SMALL_STATE(1578)] = 36341,
  [SMALL_STATE(1579)] = 36415,
  [SMALL_STATE(1580)] = 36489,
  [SMALL_STATE(1581)] = 36563,
  [SMALL_STATE(1582)] = 36645,
  [SMALL_STATE(1583)] = 36723,
  [SMALL_STATE(1584)] = 36833,
  [SMALL_STATE(1585)] = 36943,
  [SMALL_STATE(1586)] = 37051,
  [SMALL_STATE(1587)] = 37121,
  [SMALL_STATE(1588)] = 37191,
  [SMALL_STATE(1589)] = 37295,
  [SMALL_STATE(1590)] = 37397,
  [SMALL_STATE(1591)] = 37495,
  [SMALL_STATE(1592)] = 37591,
  [SMALL_STATE(1593)] = 37685,
  [SMALL_STATE(1594)] = 37775,
  [SMALL_STATE(1595)] = 37845,
  [SMALL_STATE(1596)] = 37917,
  [SMALL_STATE(1597)] = 37989,
  [SMALL_STATE(1598)] = 38059,
  [SMALL_STATE(1599)] = 38135,
  [SMALL_STATE(1600)] = 38205,
  [SMALL_STATE(1601)] = 38275,
  [SMALL_STATE(1602)] = 38345,
  [SMALL_STATE(1603)] = 38415,
  [SMALL_STATE(1604)] = 38485,
  [SMALL_STATE(1605)] = 38557,
  [SMALL_STATE(1606)] = 38627,
  [SMALL_STATE(1607)] = 38697,
  [SMALL_STATE(1608)] = 38767,
  [SMALL_STATE(1609)] = 38837,
  [SMALL_STATE(1610)] = 38907,
  [SMALL_STATE(1611)] = 38977,
  [SMALL_STATE(1612)] = 39047,
  [SMALL_STATE(1613)] = 39117,
  [SMALL_STATE(1614)] = 39187,
  [SMALL_STATE(1615)] = 39257,
  [SMALL_STATE(1616)] = 39327,
  [SMALL_STATE(1617)] = 39397,
  [SMALL_STATE(1618)] = 39467,
  [SMALL_STATE(1619)] = 39537,
  [SMALL_STATE(1620)] = 39607,
  [SMALL_STATE(1621)] = 39677,
  [SMALL_STATE(1622)] = 39747,
  [SMALL_STATE(1623)] = 39817,
  [SMALL_STATE(1624)] = 39887,
  [SMALL_STATE(1625)] = 39957,
  [SMALL_STATE(1626)] = 40027,
  [SMALL_STATE(1627)] = 40097,
  [SMALL_STATE(1628)] = 40167,
  [SMALL_STATE(1629)] = 40237,
  [SMALL_STATE(1630)] = 40307,
  [SMALL_STATE(1631)] = 40377,
  [SMALL_STATE(1632)] = 40447,
  [SMALL_STATE(1633)] = 40517,
  [SMALL_STATE(1634)] = 40587,
  [SMALL_STATE(1635)] = 40657,
  [SMALL_STATE(1636)] = 40727,
  [SMALL_STATE(1637)] = 40797,
  [SMALL_STATE(1638)] = 40867,
  [SMALL_STATE(1639)] = 40937,
  [SMALL_STATE(1640)] = 41007,
  [SMALL_STATE(1641)] = 41077,
  [SMALL_STATE(1642)] = 41147,
  [SMALL_STATE(1643)] = 41217,
  [SMALL_STATE(1644)] = 41287,
  [SMALL_STATE(1645)] = 41357,
  [SMALL_STATE(1646)] = 41427,
  [SMALL_STATE(1647)] = 41497,
  [SMALL_STATE(1648)] = 41567,
  [SMALL_STATE(1649)] = 41637,
  [SMALL_STATE(1650)] = 41707,
  [SMALL_STATE(1651)] = 41777,
  [SMALL_STATE(1652)] = 41847,
  [SMALL_STATE(1653)] = 41917,
  [SMALL_STATE(1654)] = 41987,
  [SMALL_STATE(1655)] = 42057,
  [SMALL_STATE(1656)] = 42127,
  [SMALL_STATE(1657)] = 42197,
  [SMALL_STATE(1658)] = 42267,
  [SMALL_STATE(1659)] = 42337,
  [SMALL_STATE(1660)] = 42407,
  [SMALL_STATE(1661)] = 42477,
  [SMALL_STATE(1662)] = 42547,
  [SMALL_STATE(1663)] = 42617,
  [SMALL_STATE(1664)] = 42687,
  [SMALL_STATE(1665)] = 42757,
  [SMALL_STATE(1666)] = 42827,
  [SMALL_STATE(1667)] = 42897,
  [SMALL_STATE(1668)] = 42967,
  [SMALL_STATE(1669)] = 43037,
  [SMALL_STATE(1670)] = 43107,
  [SMALL_STATE(1671)] = 43177,
  [SMALL_STATE(1672)] = 43247,
  [SMALL_STATE(1673)] = 43317,
  [SMALL_STATE(1674)] = 43387,
  [SMALL_STATE(1675)] = 43457,
  [SMALL_STATE(1676)] = 43527,
  [SMALL_STATE(1677)] = 43597,
  [SMALL_STATE(1678)] = 43667,
  [SMALL_STATE(1679)] = 43737,
  [SMALL_STATE(1680)] = 43807,
  [SMALL_STATE(1681)] = 43877,
  [SMALL_STATE(1682)] = 43947,
  [SMALL_STATE(1683)] = 44017,
  [SMALL_STATE(1684)] = 44087,
  [SMALL_STATE(1685)] = 44157,
  [SMALL_STATE(1686)] = 44227,
  [SMALL_STATE(1687)] = 44297,
  [SMALL_STATE(1688)] = 44367,
  [SMALL_STATE(1689)] = 44437,
  [SMALL_STATE(1690)] = 44507,
  [SMALL_STATE(1691)] = 44577,
  [SMALL_STATE(1692)] = 44647,
  [SMALL_STATE(1693)] = 44717,
  [SMALL_STATE(1694)] = 44787,
  [SMALL_STATE(1695)] = 44857,
  [SMALL_STATE(1696)] = 44927,
  [SMALL_STATE(1697)] = 44997,
  [SMALL_STATE(1698)] = 45067,
  [SMALL_STATE(1699)] = 45137,
  [SMALL_STATE(1700)] = 45207,
  [SMALL_STATE(1701)] = 45277,
  [SMALL_STATE(1702)] = 45347,
  [SMALL_STATE(1703)] = 45417,
  [SMALL_STATE(1704)] = 45487,
  [SMALL_STATE(1705)] = 45557,
  [SMALL_STATE(1706)] = 45627,
  [SMALL_STATE(1707)] = 45697,
  [SMALL_STATE(1708)] = 45769,
  [SMALL_STATE(1709)] = 45841,
  [SMALL_STATE(1710)] = 45911,
  [SMALL_STATE(1711)] = 45981,
  [SMALL_STATE(1712)] = 46051,
  [SMALL_STATE(1713)] = 46121,
  [SMALL_STATE(1714)] = 46191,
  [SMALL_STATE(1715)] = 46261,
  [SMALL_STATE(1716)] = 46331,
  [SMALL_STATE(1717)] = 46401,
  [SMALL_STATE(1718)] = 46471,
  [SMALL_STATE(1719)] = 46541,
  [SMALL_STATE(1720)] = 46669,
  [SMALL_STATE(1721)] = 46739,
  [SMALL_STATE(1722)] = 46809,
  [SMALL_STATE(1723)] = 46879,
  [SMALL_STATE(1724)] = 46949,
  [SMALL_STATE(1725)] = 47019,
  [SMALL_STATE(1726)] = 47089,
  [SMALL_STATE(1727)] = 47159,
  [SMALL_STATE(1728)] = 47229,
  [SMALL_STATE(1729)] = 47299,
  [SMALL_STATE(1730)] = 47369,
  [SMALL_STATE(1731)] = 47439,
  [SMALL_STATE(1732)] = 47509,
  [SMALL_STATE(1733)] = 47621,
  [SMALL_STATE(1734)] = 47691,
  [SMALL_STATE(1735)] = 47761,
  [SMALL_STATE(1736)] = 47831,
  [SMALL_STATE(1737)] = 47901,
  [SMALL_STATE(1738)] = 47971,
  [SMALL_STATE(1739)] = 48041,
  [SMALL_STATE(1740)] = 48111,
  [SMALL_STATE(1741)] = 48181,
  [SMALL_STATE(1742)] = 48251,
  [SMALL_STATE(1743)] = 48321,
  [SMALL_STATE(1744)] = 48391,
  [SMALL_STATE(1745)] = 48461,
  [SMALL_STATE(1746)] = 48531,
  [SMALL_STATE(1747)] = 48603,
  [SMALL_STATE(1748)] = 48675,
  [SMALL_STATE(1749)] = 48745,
  [SMALL_STATE(1750)] = 48815,
  [SMALL_STATE(1751)] = 48885,
  [SMALL_STATE(1752)] = 48955,
  [SMALL_STATE(1753)] = 49025,
  [SMALL_STATE(1754)] = 49095,
  [SMALL_STATE(1755)] = 49165,
  [SMALL_STATE(1756)] = 49235,
  [SMALL_STATE(1757)] = 49305,
  [SMALL_STATE(1758)] = 49375,
  [SMALL_STATE(1759)] = 49445,
  [SMALL_STATE(1760)] = 49515,
  [SMALL_STATE(1761)] = 49587,
  [SMALL_STATE(1762)] = 49657,
  [SMALL_STATE(1763)] = 49729,
  [SMALL_STATE(1764)] = 49801,
  [SMALL_STATE(1765)] = 49873,
  [SMALL_STATE(1766)] = 49993,
  [SMALL_STATE(1767)] = 50113,
  [SMALL_STATE(1768)] = 50185,
  [SMALL_STATE(1769)] = 50297,
  [SMALL_STATE(1770)] = 50367,
  [SMALL_STATE(1771)] = 50437,
  [SMALL_STATE(1772)] = 50549,
  [SMALL_STATE(1773)] = 50621,
  [SMALL_STATE(1774)] = 50749,
  [SMALL_STATE(1775)] = 50821,
  [SMALL_STATE(1776)] = 50893,
  [SMALL_STATE(1777)] = 50965,
  [SMALL_STATE(1778)] = 51037,
  [SMALL_STATE(1779)] = 51109,
  [SMALL_STATE(1780)] = 51181,
  [SMALL_STATE(1781)] = 51253,
  [SMALL_STATE(1782)] = 51325,
  [SMALL_STATE(1783)] = 51397,
  [SMALL_STATE(1784)] = 51469,
  [SMALL_STATE(1785)] = 51541,
  [SMALL_STATE(1786)] = 51611,
  [SMALL_STATE(1787)] = 51683,
  [SMALL_STATE(1788)] = 51757,
  [SMALL_STATE(1789)] = 51831,
  [SMALL_STATE(1790)] = 51905,
  [SMALL_STATE(1791)] = 51979,
  [SMALL_STATE(1792)] = 52053,
  [SMALL_STATE(1793)] = 52127,
  [SMALL_STATE(1794)] = 52197,
  [SMALL_STATE(1795)] = 52269,
  [SMALL_STATE(1796)] = 52338,
  [SMALL_STATE(1797)] = 52407,
  [SMALL_STATE(1798)] = 52532,
  [SMALL_STATE(1799)] = 52657,
  [SMALL_STATE(1800)] = 52782,
  [SMALL_STATE(1801)] = 52907,
  [SMALL_STATE(1802)] = 53032,
  [SMALL_STATE(1803)] = 53157,
  [SMALL_STATE(1804)] = 53282,
  [SMALL_STATE(1805)] = 53407,
  [SMALL_STATE(1806)] = 53532,
  [SMALL_STATE(1807)] = 53657,
  [SMALL_STATE(1808)] = 53782,
  [SMALL_STATE(1809)] = 53907,
  [SMALL_STATE(1810)] = 54032,
  [SMALL_STATE(1811)] = 54157,
  [SMALL_STATE(1812)] = 54282,
  [SMALL_STATE(1813)] = 54407,
  [SMALL_STATE(1814)] = 54532,
  [SMALL_STATE(1815)] = 54657,
  [SMALL_STATE(1816)] = 54782,
  [SMALL_STATE(1817)] = 54907,
  [SMALL_STATE(1818)] = 55032,
  [SMALL_STATE(1819)] = 55157,
  [SMALL_STATE(1820)] = 55282,
  [SMALL_STATE(1821)] = 55407,
  [SMALL_STATE(1822)] = 55532,
  [SMALL_STATE(1823)] = 55657,
  [SMALL_STATE(1824)] = 55782,
  [SMALL_STATE(1825)] = 55907,
  [SMALL_STATE(1826)] = 56032,
  [SMALL_STATE(1827)] = 56157,
  [SMALL_STATE(1828)] = 56282,
  [SMALL_STATE(1829)] = 56407,
  [SMALL_STATE(1830)] = 56532,
  [SMALL_STATE(1831)] = 56643,
  [SMALL_STATE(1832)] = 56768,
  [SMALL_STATE(1833)] = 56893,
  [SMALL_STATE(1834)] = 57018,
  [SMALL_STATE(1835)] = 57087,
  [SMALL_STATE(1836)] = 57156,
  [SMALL_STATE(1837)] = 57225,
  [SMALL_STATE(1838)] = 57294,
  [SMALL_STATE(1839)] = 57363,
  [SMALL_STATE(1840)] = 57432,
  [SMALL_STATE(1841)] = 57501,
  [SMALL_STATE(1842)] = 57570,
  [SMALL_STATE(1843)] = 57639,
  [SMALL_STATE(1844)] = 57708,
  [SMALL_STATE(1845)] = 57777,
  [SMALL_STATE(1846)] = 57846,
  [SMALL_STATE(1847)] = 57915,
  [SMALL_STATE(1848)] = 57984,
  [SMALL_STATE(1849)] = 58053,
  [SMALL_STATE(1850)] = 58122,
  [SMALL_STATE(1851)] = 58191,
  [SMALL_STATE(1852)] = 58260,
  [SMALL_STATE(1853)] = 58329,
  [SMALL_STATE(1854)] = 58398,
  [SMALL_STATE(1855)] = 58467,
  [SMALL_STATE(1856)] = 58536,
  [SMALL_STATE(1857)] = 58605,
  [SMALL_STATE(1858)] = 58674,
  [SMALL_STATE(1859)] = 58747,
  [SMALL_STATE(1860)] = 58820,
  [SMALL_STATE(1861)] = 58893,
  [SMALL_STATE(1862)] = 58968,
  [SMALL_STATE(1863)] = 59043,
  [SMALL_STATE(1864)] = 59118,
  [SMALL_STATE(1865)] = 59193,
  [SMALL_STATE(1866)] = 59268,
  [SMALL_STATE(1867)] = 59337,
  [SMALL_STATE(1868)] = 59406,
  [SMALL_STATE(1869)] = 59475,
  [SMALL_STATE(1870)] = 59544,
  [SMALL_STATE(1871)] = 59613,
  [SMALL_STATE(1872)] = 59682,
  [SMALL_STATE(1873)] = 59751,
  [SMALL_STATE(1874)] = 59820,
  [SMALL_STATE(1875)] = 59889,
  [SMALL_STATE(1876)] = 59958,
  [SMALL_STATE(1877)] = 60027,
  [SMALL_STATE(1878)] = 60096,
  [SMALL_STATE(1879)] = 60165,
  [SMALL_STATE(1880)] = 60234,
  [SMALL_STATE(1881)] = 60303,
  [SMALL_STATE(1882)] = 60372,
  [SMALL_STATE(1883)] = 60441,
  [SMALL_STATE(1884)] = 60510,
  [SMALL_STATE(1885)] = 60579,
  [SMALL_STATE(1886)] = 60648,
  [SMALL_STATE(1887)] = 60717,
  [SMALL_STATE(1888)] = 60786,
  [SMALL_STATE(1889)] = 60855,
  [SMALL_STATE(1890)] = 60924,
  [SMALL_STATE(1891)] = 60993,
  [SMALL_STATE(1892)] = 61062,
  [SMALL_STATE(1893)] = 61131,
  [SMALL_STATE(1894)] = 61200,
  [SMALL_STATE(1895)] = 61269,
  [SMALL_STATE(1896)] = 61338,
  [SMALL_STATE(1897)] = 61407,
  [SMALL_STATE(1898)] = 61476,
  [SMALL_STATE(1899)] = 61545,
  [SMALL_STATE(1900)] = 61614,
  [SMALL_STATE(1901)] = 61683,
  [SMALL_STATE(1902)] = 61752,
  [SMALL_STATE(1903)] = 61821,
  [SMALL_STATE(1904)] = 61890,
  [SMALL_STATE(1905)] = 61959,
  [SMALL_STATE(1906)] = 62028,
  [SMALL_STATE(1907)] = 62097,
  [SMALL_STATE(1908)] = 62166,
  [SMALL_STATE(1909)] = 62235,
  [SMALL_STATE(1910)] = 62304,
  [SMALL_STATE(1911)] = 62373,
  [SMALL_STATE(1912)] = 62442,
  [SMALL_STATE(1913)] = 62511,
  [SMALL_STATE(1914)] = 62580,
  [SMALL_STATE(1915)] = 62649,
  [SMALL_STATE(1916)] = 62718,
  [SMALL_STATE(1917)] = 62789,
  [SMALL_STATE(1918)] = 62860,
  [SMALL_STATE(1919)] = 62931,
  [SMALL_STATE(1920)] = 63002,
  [SMALL_STATE(1921)] = 63073,
  [SMALL_STATE(1922)] = 63144,
  [SMALL_STATE(1923)] = 63215,
  [SMALL_STATE(1924)] = 63286,
  [SMALL_STATE(1925)] = 63357,
  [SMALL_STATE(1926)] = 63428,
  [SMALL_STATE(1927)] = 63499,
  [SMALL_STATE(1928)] = 63570,
  [SMALL_STATE(1929)] = 63641,
  [SMALL_STATE(1930)] = 63712,
  [SMALL_STATE(1931)] = 63783,
  [SMALL_STATE(1932)] = 63854,
  [SMALL_STATE(1933)] = 63925,
  [SMALL_STATE(1934)] = 63996,
  [SMALL_STATE(1935)] = 64067,
  [SMALL_STATE(1936)] = 64138,
  [SMALL_STATE(1937)] = 64207,
  [SMALL_STATE(1938)] = 64276,
  [SMALL_STATE(1939)] = 64387,
  [SMALL_STATE(1940)] = 64460,
  [SMALL_STATE(1941)] = 64533,
  [SMALL_STATE(1942)] = 64606,
  [SMALL_STATE(1943)] = 64675,
  [SMALL_STATE(1944)] = 64758,
  [SMALL_STATE(1945)] = 64841,
  [SMALL_STATE(1946)] = 64930,
  [SMALL_STATE(1947)] = 65023,
  [SMALL_STATE(1948)] = 65118,
  [SMALL_STATE(1949)] = 65215,
  [SMALL_STATE(1950)] = 65316,
  [SMALL_STATE(1951)] = 65419,
  [SMALL_STATE(1952)] = 65526,
  [SMALL_STATE(1953)] = 65635,
  [SMALL_STATE(1954)] = 65744,
  [SMALL_STATE(1955)] = 65821,
  [SMALL_STATE(1956)] = 65902,
  [SMALL_STATE(1957)] = 65977,
  [SMALL_STATE(1958)] = 66082,
  [SMALL_STATE(1959)] = 66151,
  [SMALL_STATE(1960)] = 66220,
  [SMALL_STATE(1961)] = 66289,
  [SMALL_STATE(1962)] = 66380,
  [SMALL_STATE(1963)] = 66465,
  [SMALL_STATE(1964)] = 66534,
  [SMALL_STATE(1965)] = 66603,
  [SMALL_STATE(1966)] = 66672,
  [SMALL_STATE(1967)] = 66741,
  [SMALL_STATE(1968)] = 66810,
  [SMALL_STATE(1969)] = 66879,
  [SMALL_STATE(1970)] = 66948,
  [SMALL_STATE(1971)] = 67017,
  [SMALL_STATE(1972)] = 67086,
  [SMALL_STATE(1973)] = 67155,
  [SMALL_STATE(1974)] = 67224,
  [SMALL_STATE(1975)] = 67293,
  [SMALL_STATE(1976)] = 67362,
  [SMALL_STATE(1977)] = 67431,
  [SMALL_STATE(1978)] = 67500,
  [SMALL_STATE(1979)] = 67569,
  [SMALL_STATE(1980)] = 67638,
  [SMALL_STATE(1981)] = 67707,
  [SMALL_STATE(1982)] = 67776,
  [SMALL_STATE(1983)] = 67845,
  [SMALL_STATE(1984)] = 67914,
  [SMALL_STATE(1985)] = 67983,
  [SMALL_STATE(1986)] = 68054,
  [SMALL_STATE(1987)] = 68125,
  [SMALL_STATE(1988)] = 68194,
  [SMALL_STATE(1989)] = 68263,
  [SMALL_STATE(1990)] = 68332,
  [SMALL_STATE(1991)] = 68401,
  [SMALL_STATE(1992)] = 68470,
  [SMALL_STATE(1993)] = 68539,
  [SMALL_STATE(1994)] = 68608,
  [SMALL_STATE(1995)] = 68677,
  [SMALL_STATE(1996)] = 68746,
  [SMALL_STATE(1997)] = 68815,
  [SMALL_STATE(1998)] = 68884,
  [SMALL_STATE(1999)] = 68953,
  [SMALL_STATE(2000)] = 69022,
  [SMALL_STATE(2001)] = 69091,
  [SMALL_STATE(2002)] = 69160,
  [SMALL_STATE(2003)] = 69229,
  [SMALL_STATE(2004)] = 69298,
  [SMALL_STATE(2005)] = 69367,
  [SMALL_STATE(2006)] = 69436,
  [SMALL_STATE(2007)] = 69505,
  [SMALL_STATE(2008)] = 69574,
  [SMALL_STATE(2009)] = 69643,
  [SMALL_STATE(2010)] = 69712,
  [SMALL_STATE(2011)] = 69781,
  [SMALL_STATE(2012)] = 69850,
  [SMALL_STATE(2013)] = 69919,
  [SMALL_STATE(2014)] = 69988,
  [SMALL_STATE(2015)] = 70057,
  [SMALL_STATE(2016)] = 70126,
  [SMALL_STATE(2017)] = 70195,
  [SMALL_STATE(2018)] = 70264,
  [SMALL_STATE(2019)] = 70333,
  [SMALL_STATE(2020)] = 70402,
  [SMALL_STATE(2021)] = 70471,
  [SMALL_STATE(2022)] = 70540,
  [SMALL_STATE(2023)] = 70609,
  [SMALL_STATE(2024)] = 70678,
  [SMALL_STATE(2025)] = 70747,
  [SMALL_STATE(2026)] = 70816,
  [SMALL_STATE(2027)] = 70885,
  [SMALL_STATE(2028)] = 70954,
  [SMALL_STATE(2029)] = 71023,
  [SMALL_STATE(2030)] = 71092,
  [SMALL_STATE(2031)] = 71161,
  [SMALL_STATE(2032)] = 71230,
  [SMALL_STATE(2033)] = 71299,
  [SMALL_STATE(2034)] = 71368,
  [SMALL_STATE(2035)] = 71437,
  [SMALL_STATE(2036)] = 71506,
  [SMALL_STATE(2037)] = 71575,
  [SMALL_STATE(2038)] = 71644,
  [SMALL_STATE(2039)] = 71713,
  [SMALL_STATE(2040)] = 71782,
  [SMALL_STATE(2041)] = 71851,
  [SMALL_STATE(2042)] = 71920,
  [SMALL_STATE(2043)] = 71989,
  [SMALL_STATE(2044)] = 72058,
  [SMALL_STATE(2045)] = 72127,
  [SMALL_STATE(2046)] = 72196,
  [SMALL_STATE(2047)] = 72265,
  [SMALL_STATE(2048)] = 72334,
  [SMALL_STATE(2049)] = 72403,
  [SMALL_STATE(2050)] = 72472,
  [SMALL_STATE(2051)] = 72541,
  [SMALL_STATE(2052)] = 72610,
  [SMALL_STATE(2053)] = 72679,
  [SMALL_STATE(2054)] = 72748,
  [SMALL_STATE(2055)] = 72819,
  [SMALL_STATE(2056)] = 72890,
  [SMALL_STATE(2057)] = 72961,
  [SMALL_STATE(2058)] = 73032,
  [SMALL_STATE(2059)] = 73103,
  [SMALL_STATE(2060)] = 73174,
  [SMALL_STATE(2061)] = 73245,
  [SMALL_STATE(2062)] = 73316,
  [SMALL_STATE(2063)] = 73387,
  [SMALL_STATE(2064)] = 73456,
  [SMALL_STATE(2065)] = 73525,
  [SMALL_STATE(2066)] = 73594,
  [SMALL_STATE(2067)] = 73665,
  [SMALL_STATE(2068)] = 73736,
  [SMALL_STATE(2069)] = 73807,
  [SMALL_STATE(2070)] = 73876,
  [SMALL_STATE(2071)] = 73947,
  [SMALL_STATE(2072)] = 74018,
  [SMALL_STATE(2073)] = 74089,
  [SMALL_STATE(2074)] = 74160,
  [SMALL_STATE(2075)] = 74231,
  [SMALL_STATE(2076)] = 74300,
  [SMALL_STATE(2077)] = 74371,
  [SMALL_STATE(2078)] = 74442,
  [SMALL_STATE(2079)] = 74513,
  [SMALL_STATE(2080)] = 74582,
  [SMALL_STATE(2081)] = 74651,
  [SMALL_STATE(2082)] = 74720,
  [SMALL_STATE(2083)] = 74791,
  [SMALL_STATE(2084)] = 74862,
  [SMALL_STATE(2085)] = 74933,
  [SMALL_STATE(2086)] = 75004,
  [SMALL_STATE(2087)] = 75073,
  [SMALL_STATE(2088)] = 75144,
  [SMALL_STATE(2089)] = 75213,
  [SMALL_STATE(2090)] = 75282,
  [SMALL_STATE(2091)] = 75351,
  [SMALL_STATE(2092)] = 75420,
  [SMALL_STATE(2093)] = 75489,
  [SMALL_STATE(2094)] = 75558,
  [SMALL_STATE(2095)] = 75627,
  [SMALL_STATE(2096)] = 75696,
  [SMALL_STATE(2097)] = 75765,
  [SMALL_STATE(2098)] = 75834,
  [SMALL_STATE(2099)] = 75903,
  [SMALL_STATE(2100)] = 75972,
  [SMALL_STATE(2101)] = 76041,
  [SMALL_STATE(2102)] = 76110,
  [SMALL_STATE(2103)] = 76179,
  [SMALL_STATE(2104)] = 76248,
  [SMALL_STATE(2105)] = 76317,
  [SMALL_STATE(2106)] = 76386,
  [SMALL_STATE(2107)] = 76455,
  [SMALL_STATE(2108)] = 76524,
  [SMALL_STATE(2109)] = 76593,
  [SMALL_STATE(2110)] = 76662,
  [SMALL_STATE(2111)] = 76731,
  [SMALL_STATE(2112)] = 76800,
  [SMALL_STATE(2113)] = 76869,
  [SMALL_STATE(2114)] = 76938,
  [SMALL_STATE(2115)] = 77007,
  [SMALL_STATE(2116)] = 77076,
  [SMALL_STATE(2117)] = 77145,
  [SMALL_STATE(2118)] = 77214,
  [SMALL_STATE(2119)] = 77283,
  [SMALL_STATE(2120)] = 77352,
  [SMALL_STATE(2121)] = 77421,
  [SMALL_STATE(2122)] = 77490,
  [SMALL_STATE(2123)] = 77559,
  [SMALL_STATE(2124)] = 77628,
  [SMALL_STATE(2125)] = 77697,
  [SMALL_STATE(2126)] = 77766,
  [SMALL_STATE(2127)] = 77835,
  [SMALL_STATE(2128)] = 77904,
  [SMALL_STATE(2129)] = 77973,
  [SMALL_STATE(2130)] = 78042,
  [SMALL_STATE(2131)] = 78111,
  [SMALL_STATE(2132)] = 78180,
  [SMALL_STATE(2133)] = 78249,
  [SMALL_STATE(2134)] = 78318,
  [SMALL_STATE(2135)] = 78386,
  [SMALL_STATE(2136)] = 78454,
  [SMALL_STATE(2137)] = 78526,
  [SMALL_STATE(2138)] = 78598,
  [SMALL_STATE(2139)] = 78670,
  [SMALL_STATE(2140)] = 78742,
  [SMALL_STATE(2141)] = 78810,
  [SMALL_STATE(2142)] = 78878,
  [SMALL_STATE(2143)] = 78950,
  [SMALL_STATE(2144)] = 79022,
  [SMALL_STATE(2145)] = 79094,
  [SMALL_STATE(2146)] = 79166,
  [SMALL_STATE(2147)] = 79276,
  [SMALL_STATE(2148)] = 79344,
  [SMALL_STATE(2149)] = 79428,
  [SMALL_STATE(2150)] = 79518,
  [SMALL_STATE(2151)] = 79622,
  [SMALL_STATE(2152)] = 79696,
  [SMALL_STATE(2153)] = 79776,
  [SMALL_STATE(2154)] = 79852,
  [SMALL_STATE(2155)] = 79960,
  [SMALL_STATE(2156)] = 80068,
  [SMALL_STATE(2157)] = 80174,
  [SMALL_STATE(2158)] = 80276,
  [SMALL_STATE(2159)] = 80350,
  [SMALL_STATE(2160)] = 80422,
  [SMALL_STATE(2161)] = 80522,
  [SMALL_STATE(2162)] = 80618,
  [SMALL_STATE(2163)] = 80712,
  [SMALL_STATE(2164)] = 80804,
  [SMALL_STATE(2165)] = 80892,
  [SMALL_STATE(2166)] = 80974,
  [SMALL_STATE(2167)] = 81056,
  [SMALL_STATE(2168)] = 81130,
  [SMALL_STATE(2169)] = 81200,
  [SMALL_STATE(2170)] = 81270,
  [SMALL_STATE(2171)] = 81344,
  [SMALL_STATE(2172)] = 81418,
  [SMALL_STATE(2173)] = 81490,
  [SMALL_STATE(2174)] = 81562,
  [SMALL_STATE(2175)] = 81634,
  [SMALL_STATE(2176)] = 81702,
  [SMALL_STATE(2177)] = 81774,
  [SMALL_STATE(2178)] = 81846,
  [SMALL_STATE(2179)] = 81918,
  [SMALL_STATE(2180)] = 81990,
  [SMALL_STATE(2181)] = 82058,
  [SMALL_STATE(2182)] = 82172,
  [SMALL_STATE(2183)] = 82244,
  [SMALL_STATE(2184)] = 82354,
  [SMALL_STATE(2185)] = 82422,
  [SMALL_STATE(2186)] = 82490,
  [SMALL_STATE(2187)] = 82558,
  [SMALL_STATE(2188)] = 82628,
  [SMALL_STATE(2189)] = 82698,
  [SMALL_STATE(2190)] = 82766,
  [SMALL_STATE(2191)] = 82834,
  [SMALL_STATE(2192)] = 82902,
  [SMALL_STATE(2193)] = 82970,
  [SMALL_STATE(2194)] = 83038,
  [SMALL_STATE(2195)] = 83106,
  [SMALL_STATE(2196)] = 83178,
  [SMALL_STATE(2197)] = 83246,
  [SMALL_STATE(2198)] = 83314,
  [SMALL_STATE(2199)] = 83382,
  [SMALL_STATE(2200)] = 83450,
  [SMALL_STATE(2201)] = 83518,
  [SMALL_STATE(2202)] = 83586,
  [SMALL_STATE(2203)] = 83654,
  [SMALL_STATE(2204)] = 83722,
  [SMALL_STATE(2205)] = 83790,
  [SMALL_STATE(2206)] = 83858,
  [SMALL_STATE(2207)] = 83926,
  [SMALL_STATE(2208)] = 83994,
  [SMALL_STATE(2209)] = 84062,
  [SMALL_STATE(2210)] = 84130,
  [SMALL_STATE(2211)] = 84202,
  [SMALL_STATE(2212)] = 84274,
  [SMALL_STATE(2213)] = 84342,
  [SMALL_STATE(2214)] = 84410,
  [SMALL_STATE(2215)] = 84478,
  [SMALL_STATE(2216)] = 84546,
  [SMALL_STATE(2217)] = 84660,
  [SMALL_STATE(2218)] = 84728,
  [SMALL_STATE(2219)] = 84796,
  [SMALL_STATE(2220)] = 84864,
  [SMALL_STATE(2221)] = 84932,
  [SMALL_STATE(2222)] = 85000,
  [SMALL_STATE(2223)] = 85072,
  [SMALL_STATE(2224)] = 85140,
  [SMALL_STATE(2225)] = 85208,
  [SMALL_STATE(2226)] = 85276,
  [SMALL_STATE(2227)] = 85344,
  [SMALL_STATE(2228)] = 85412,
  [SMALL_STATE(2229)] = 85480,
  [SMALL_STATE(2230)] = 85548,
  [SMALL_STATE(2231)] = 85616,
  [SMALL_STATE(2232)] = 85684,
  [SMALL_STATE(2233)] = 85752,
  [SMALL_STATE(2234)] = 85820,
  [SMALL_STATE(2235)] = 85892,
  [SMALL_STATE(2236)] = 85960,
  [SMALL_STATE(2237)] = 86028,
  [SMALL_STATE(2238)] = 86096,
  [SMALL_STATE(2239)] = 86164,
  [SMALL_STATE(2240)] = 86232,
  [SMALL_STATE(2241)] = 86300,
  [SMALL_STATE(2242)] = 86368,
  [SMALL_STATE(2243)] = 86436,
  [SMALL_STATE(2244)] = 86504,
  [SMALL_STATE(2245)] = 86572,
  [SMALL_STATE(2246)] = 86640,
  [SMALL_STATE(2247)] = 86712,
  [SMALL_STATE(2248)] = 86780,
  [SMALL_STATE(2249)] = 86848,
  [SMALL_STATE(2250)] = 86916,
  [SMALL_STATE(2251)] = 86984,
  [SMALL_STATE(2252)] = 87052,
  [SMALL_STATE(2253)] = 87120,
  [SMALL_STATE(2254)] = 87188,
  [SMALL_STATE(2255)] = 87256,
  [SMALL_STATE(2256)] = 87324,
  [SMALL_STATE(2257)] = 87392,
  [SMALL_STATE(2258)] = 87460,
  [SMALL_STATE(2259)] = 87532,
  [SMALL_STATE(2260)] = 87600,
  [SMALL_STATE(2261)] = 87668,
  [SMALL_STATE(2262)] = 87736,
  [SMALL_STATE(2263)] = 87804,
  [SMALL_STATE(2264)] = 87872,
  [SMALL_STATE(2265)] = 87940,
  [SMALL_STATE(2266)] = 88008,
  [SMALL_STATE(2267)] = 88076,
  [SMALL_STATE(2268)] = 88144,
  [SMALL_STATE(2269)] = 88212,
  [SMALL_STATE(2270)] = 88280,
  [SMALL_STATE(2271)] = 88348,
  [SMALL_STATE(2272)] = 88416,
  [SMALL_STATE(2273)] = 88484,
  [SMALL_STATE(2274)] = 88552,
  [SMALL_STATE(2275)] = 88620,
  [SMALL_STATE(2276)] = 88688,
  [SMALL_STATE(2277)] = 88756,
  [SMALL_STATE(2278)] = 88824,
  [SMALL_STATE(2279)] = 88892,
  [SMALL_STATE(2280)] = 88960,
  [SMALL_STATE(2281)] = 89028,
  [SMALL_STATE(2282)] = 89100,
  [SMALL_STATE(2283)] = 89168,
  [SMALL_STATE(2284)] = 89236,
  [SMALL_STATE(2285)] = 89306,
  [SMALL_STATE(2286)] = 89376,
  [SMALL_STATE(2287)] = 89446,
  [SMALL_STATE(2288)] = 89516,
  [SMALL_STATE(2289)] = 89586,
  [SMALL_STATE(2290)] = 89656,
  [SMALL_STATE(2291)] = 89726,
  [SMALL_STATE(2292)] = 89796,
  [SMALL_STATE(2293)] = 89866,
  [SMALL_STATE(2294)] = 89936,
  [SMALL_STATE(2295)] = 90006,
  [SMALL_STATE(2296)] = 90076,
  [SMALL_STATE(2297)] = 90146,
  [SMALL_STATE(2298)] = 90216,
  [SMALL_STATE(2299)] = 90286,
  [SMALL_STATE(2300)] = 90356,
  [SMALL_STATE(2301)] = 90426,
  [SMALL_STATE(2302)] = 90496,
  [SMALL_STATE(2303)] = 90566,
  [SMALL_STATE(2304)] = 90636,
  [SMALL_STATE(2305)] = 90704,
  [SMALL_STATE(2306)] = 90772,
  [SMALL_STATE(2307)] = 90840,
  [SMALL_STATE(2308)] = 90908,
  [SMALL_STATE(2309)] = 90976,
  [SMALL_STATE(2310)] = 91044,
  [SMALL_STATE(2311)] = 91112,
  [SMALL_STATE(2312)] = 91180,
  [SMALL_STATE(2313)] = 91248,
  [SMALL_STATE(2314)] = 91316,
  [SMALL_STATE(2315)] = 91384,
  [SMALL_STATE(2316)] = 91452,
  [SMALL_STATE(2317)] = 91520,
  [SMALL_STATE(2318)] = 91588,
  [SMALL_STATE(2319)] = 91656,
  [SMALL_STATE(2320)] = 91724,
  [SMALL_STATE(2321)] = 91792,
  [SMALL_STATE(2322)] = 91860,
  [SMALL_STATE(2323)] = 91928,
  [SMALL_STATE(2324)] = 91996,
  [SMALL_STATE(2325)] = 92064,
  [SMALL_STATE(2326)] = 92132,
  [SMALL_STATE(2327)] = 92200,
  [SMALL_STATE(2328)] = 92268,
  [SMALL_STATE(2329)] = 92336,
  [SMALL_STATE(2330)] = 92404,
  [SMALL_STATE(2331)] = 92472,
  [SMALL_STATE(2332)] = 92540,
  [SMALL_STATE(2333)] = 92608,
  [SMALL_STATE(2334)] = 92676,
  [SMALL_STATE(2335)] = 92744,
  [SMALL_STATE(2336)] = 92812,
  [SMALL_STATE(2337)] = 92880,
  [SMALL_STATE(2338)] = 92948,
  [SMALL_STATE(2339)] = 93016,
  [SMALL_STATE(2340)] = 93084,
  [SMALL_STATE(2341)] = 93152,
  [SMALL_STATE(2342)] = 93220,
  [SMALL_STATE(2343)] = 93288,
  [SMALL_STATE(2344)] = 93356,
  [SMALL_STATE(2345)] = 93424,
  [SMALL_STATE(2346)] = 93492,
  [SMALL_STATE(2347)] = 93560,
  [SMALL_STATE(2348)] = 93628,
  [SMALL_STATE(2349)] = 93696,
  [SMALL_STATE(2350)] = 93764,
  [SMALL_STATE(2351)] = 93832,
  [SMALL_STATE(2352)] = 93900,
  [SMALL_STATE(2353)] = 93968,
  [SMALL_STATE(2354)] = 94036,
  [SMALL_STATE(2355)] = 94104,
  [SMALL_STATE(2356)] = 94172,
  [SMALL_STATE(2357)] = 94241,
  [SMALL_STATE(2358)] = 94308,
  [SMALL_STATE(2359)] = 94375,
  [SMALL_STATE(2360)] = 94442,
  [SMALL_STATE(2361)] = 94509,
  [SMALL_STATE(2362)] = 94580,
  [SMALL_STATE(2363)] = 94647,
  [SMALL_STATE(2364)] = 94718,
  [SMALL_STATE(2365)] = 94785,
  [SMALL_STATE(2366)] = 94852,
  [SMALL_STATE(2367)] = 94919,
  [SMALL_STATE(2368)] = 94992,
  [SMALL_STATE(2369)] = 95059,
  [SMALL_STATE(2370)] = 95126,
  [SMALL_STATE(2371)] = 95193,
  [SMALL_STATE(2372)] = 95266,
  [SMALL_STATE(2373)] = 95333,
  [SMALL_STATE(2374)] = 95400,
  [SMALL_STATE(2375)] = 95467,
  [SMALL_STATE(2376)] = 95536,
  [SMALL_STATE(2377)] = 95605,
  [SMALL_STATE(2378)] = 95672,
  [SMALL_STATE(2379)] = 95739,
  [SMALL_STATE(2380)] = 95808,
  [SMALL_STATE(2381)] = 95917,
  [SMALL_STATE(2382)] = 95986,
  [SMALL_STATE(2383)] = 96053,
  [SMALL_STATE(2384)] = 96120,
  [SMALL_STATE(2385)] = 96187,
  [SMALL_STATE(2386)] = 96256,
  [SMALL_STATE(2387)] = 96325,
  [SMALL_STATE(2388)] = 96394,
  [SMALL_STATE(2389)] = 96463,
  [SMALL_STATE(2390)] = 96532,
  [SMALL_STATE(2391)] = 96601,
  [SMALL_STATE(2392)] = 96670,
  [SMALL_STATE(2393)] = 96739,
  [SMALL_STATE(2394)] = 96806,
  [SMALL_STATE(2395)] = 96875,
  [SMALL_STATE(2396)] = 96942,
  [SMALL_STATE(2397)] = 97013,
  [SMALL_STATE(2398)] = 97080,
  [SMALL_STATE(2399)] = 97147,
  [SMALL_STATE(2400)] = 97214,
  [SMALL_STATE(2401)] = 97281,
  [SMALL_STATE(2402)] = 97352,
  [SMALL_STATE(2403)] = 97419,
  [SMALL_STATE(2404)] = 97486,
  [SMALL_STATE(2405)] = 97553,
  [SMALL_STATE(2406)] = 97620,
  [SMALL_STATE(2407)] = 97687,
  [SMALL_STATE(2408)] = 97754,
  [SMALL_STATE(2409)] = 97825,
  [SMALL_STATE(2410)] = 97906,
  [SMALL_STATE(2411)] = 97987,
  [SMALL_STATE(2412)] = 98074,
  [SMALL_STATE(2413)] = 98165,
  [SMALL_STATE(2414)] = 98258,
  [SMALL_STATE(2415)] = 98353,
  [SMALL_STATE(2416)] = 98420,
  [SMALL_STATE(2417)] = 98487,
  [SMALL_STATE(2418)] = 98554,
  [SMALL_STATE(2419)] = 98621,
  [SMALL_STATE(2420)] = 98720,
  [SMALL_STATE(2421)] = 98821,
  [SMALL_STATE(2422)] = 98926,
  [SMALL_STATE(2423)] = 98997,
  [SMALL_STATE(2424)] = 99104,
  [SMALL_STATE(2425)] = 99211,
  [SMALL_STATE(2426)] = 99286,
  [SMALL_STATE(2427)] = 99365,
  [SMALL_STATE(2428)] = 99438,
  [SMALL_STATE(2429)] = 99509,
  [SMALL_STATE(2430)] = 99612,
  [SMALL_STATE(2431)] = 99701,
  [SMALL_STATE(2432)] = 99784,
  [SMALL_STATE(2433)] = 99851,
  [SMALL_STATE(2434)] = 99918,
  [SMALL_STATE(2435)] = 99985,
  [SMALL_STATE(2436)] = 100052,
  [SMALL_STATE(2437)] = 100119,
  [SMALL_STATE(2438)] = 100186,
  [SMALL_STATE(2439)] = 100253,
  [SMALL_STATE(2440)] = 100320,
  [SMALL_STATE(2441)] = 100387,
  [SMALL_STATE(2442)] = 100454,
  [SMALL_STATE(2443)] = 100521,
  [SMALL_STATE(2444)] = 100588,
  [SMALL_STATE(2445)] = 100655,
  [SMALL_STATE(2446)] = 100722,
  [SMALL_STATE(2447)] = 100789,
  [SMALL_STATE(2448)] = 100856,
  [SMALL_STATE(2449)] = 100923,
  [SMALL_STATE(2450)] = 100990,
  [SMALL_STATE(2451)] = 101061,
  [SMALL_STATE(2452)] = 101128,
  [SMALL_STATE(2453)] = 101195,
  [SMALL_STATE(2454)] = 101262,
  [SMALL_STATE(2455)] = 101333,
  [SMALL_STATE(2456)] = 101400,
  [SMALL_STATE(2457)] = 101467,
  [SMALL_STATE(2458)] = 101534,
  [SMALL_STATE(2459)] = 101601,
  [SMALL_STATE(2460)] = 101668,
  [SMALL_STATE(2461)] = 101737,
  [SMALL_STATE(2462)] = 101806,
  [SMALL_STATE(2463)] = 101873,
  [SMALL_STATE(2464)] = 101942,
  [SMALL_STATE(2465)] = 102009,
  [SMALL_STATE(2466)] = 102076,
  [SMALL_STATE(2467)] = 102145,
  [SMALL_STATE(2468)] = 102214,
  [SMALL_STATE(2469)] = 102283,
  [SMALL_STATE(2470)] = 102352,
  [SMALL_STATE(2471)] = 102421,
  [SMALL_STATE(2472)] = 102488,
  [SMALL_STATE(2473)] = 102555,
  [SMALL_STATE(2474)] = 102626,
  [SMALL_STATE(2475)] = 102693,
  [SMALL_STATE(2476)] = 102760,
  [SMALL_STATE(2477)] = 102827,
  [SMALL_STATE(2478)] = 102936,
  [SMALL_STATE(2479)] = 103005,
  [SMALL_STATE(2480)] = 103072,
  [SMALL_STATE(2481)] = 103139,
  [SMALL_STATE(2482)] = 103206,
  [SMALL_STATE(2483)] = 103273,
  [SMALL_STATE(2484)] = 103344,
  [SMALL_STATE(2485)] = 103411,
  [SMALL_STATE(2486)] = 103478,
  [SMALL_STATE(2487)] = 103545,
  [SMALL_STATE(2488)] = 103612,
  [SMALL_STATE(2489)] = 103679,
  [SMALL_STATE(2490)] = 103746,
  [SMALL_STATE(2491)] = 103813,
  [SMALL_STATE(2492)] = 103880,
  [SMALL_STATE(2493)] = 103947,
  [SMALL_STATE(2494)] = 104014,
  [SMALL_STATE(2495)] = 104085,
  [SMALL_STATE(2496)] = 104152,
  [SMALL_STATE(2497)] = 104219,
  [SMALL_STATE(2498)] = 104288,
  [SMALL_STATE(2499)] = 104357,
  [SMALL_STATE(2500)] = 104424,
  [SMALL_STATE(2501)] = 104491,
  [SMALL_STATE(2502)] = 104558,
  [SMALL_STATE(2503)] = 104625,
  [SMALL_STATE(2504)] = 104692,
  [SMALL_STATE(2505)] = 104759,
  [SMALL_STATE(2506)] = 104826,
  [SMALL_STATE(2507)] = 104893,
  [SMALL_STATE(2508)] = 104960,
  [SMALL_STATE(2509)] = 105027,
  [SMALL_STATE(2510)] = 105136,
  [SMALL_STATE(2511)] = 105205,
  [SMALL_STATE(2512)] = 105272,
  [SMALL_STATE(2513)] = 105339,
  [SMALL_STATE(2514)] = 105406,
  [SMALL_STATE(2515)] = 105473,
  [SMALL_STATE(2516)] = 105540,
  [SMALL_STATE(2517)] = 105607,
  [SMALL_STATE(2518)] = 105674,
  [SMALL_STATE(2519)] = 105741,
  [SMALL_STATE(2520)] = 105808,
  [SMALL_STATE(2521)] = 105875,
  [SMALL_STATE(2522)] = 105946,
  [SMALL_STATE(2523)] = 106013,
  [SMALL_STATE(2524)] = 106080,
  [SMALL_STATE(2525)] = 106147,
  [SMALL_STATE(2526)] = 106214,
  [SMALL_STATE(2527)] = 106281,
  [SMALL_STATE(2528)] = 106348,
  [SMALL_STATE(2529)] = 106415,
  [SMALL_STATE(2530)] = 106482,
  [SMALL_STATE(2531)] = 106549,
  [SMALL_STATE(2532)] = 106616,
  [SMALL_STATE(2533)] = 106683,
  [SMALL_STATE(2534)] = 106750,
  [SMALL_STATE(2535)] = 106817,
  [SMALL_STATE(2536)] = 106884,
  [SMALL_STATE(2537)] = 106951,
  [SMALL_STATE(2538)] = 107018,
  [SMALL_STATE(2539)] = 107085,
  [SMALL_STATE(2540)] = 107152,
  [SMALL_STATE(2541)] = 107219,
  [SMALL_STATE(2542)] = 107286,
  [SMALL_STATE(2543)] = 107353,
  [SMALL_STATE(2544)] = 107420,
  [SMALL_STATE(2545)] = 107491,
  [SMALL_STATE(2546)] = 107558,
  [SMALL_STATE(2547)] = 107641,
  [SMALL_STATE(2548)] = 107730,
  [SMALL_STATE(2549)] = 107833,
  [SMALL_STATE(2550)] = 107942,
  [SMALL_STATE(2551)] = 108015,
  [SMALL_STATE(2552)] = 108094,
  [SMALL_STATE(2553)] = 108169,
  [SMALL_STATE(2554)] = 108276,
  [SMALL_STATE(2555)] = 108383,
  [SMALL_STATE(2556)] = 108450,
  [SMALL_STATE(2557)] = 108555,
  [SMALL_STATE(2558)] = 108656,
  [SMALL_STATE(2559)] = 108755,
  [SMALL_STATE(2560)] = 108850,
  [SMALL_STATE(2561)] = 108943,
  [SMALL_STATE(2562)] = 109034,
  [SMALL_STATE(2563)] = 109121,
  [SMALL_STATE(2564)] = 109202,
  [SMALL_STATE(2565)] = 109283,
  [SMALL_STATE(2566)] = 109350,
  [SMALL_STATE(2567)] = 109417,
  [SMALL_STATE(2568)] = 109484,
  [SMALL_STATE(2569)] = 109551,
  [SMALL_STATE(2570)] = 109618,
  [SMALL_STATE(2571)] = 109685,
  [SMALL_STATE(2572)] = 109752,
  [SMALL_STATE(2573)] = 109819,
  [SMALL_STATE(2574)] = 109886,
  [SMALL_STATE(2575)] = 109953,
  [SMALL_STATE(2576)] = 110020,
  [SMALL_STATE(2577)] = 110091,
  [SMALL_STATE(2578)] = 110158,
  [SMALL_STATE(2579)] = 110225,
  [SMALL_STATE(2580)] = 110292,
  [SMALL_STATE(2581)] = 110359,
  [SMALL_STATE(2582)] = 110426,
  [SMALL_STATE(2583)] = 110493,
  [SMALL_STATE(2584)] = 110560,
  [SMALL_STATE(2585)] = 110669,
  [SMALL_STATE(2586)] = 110736,
  [SMALL_STATE(2587)] = 110803,
  [SMALL_STATE(2588)] = 110870,
  [SMALL_STATE(2589)] = 110937,
  [SMALL_STATE(2590)] = 111004,
  [SMALL_STATE(2591)] = 111073,
  [SMALL_STATE(2592)] = 111142,
  [SMALL_STATE(2593)] = 111209,
  [SMALL_STATE(2594)] = 111276,
  [SMALL_STATE(2595)] = 111343,
  [SMALL_STATE(2596)] = 111410,
  [SMALL_STATE(2597)] = 111477,
  [SMALL_STATE(2598)] = 111544,
  [SMALL_STATE(2599)] = 111611,
  [SMALL_STATE(2600)] = 111682,
  [SMALL_STATE(2601)] = 111751,
  [SMALL_STATE(2602)] = 111820,
  [SMALL_STATE(2603)] = 111887,
  [SMALL_STATE(2604)] = 111954,
  [SMALL_STATE(2605)] = 112025,
  [SMALL_STATE(2606)] = 112092,
  [SMALL_STATE(2607)] = 112159,
  [SMALL_STATE(2608)] = 112226,
  [SMALL_STATE(2609)] = 112293,
  [SMALL_STATE(2610)] = 112360,
  [SMALL_STATE(2611)] = 112427,
  [SMALL_STATE(2612)] = 112494,
  [SMALL_STATE(2613)] = 112561,
  [SMALL_STATE(2614)] = 112628,
  [SMALL_STATE(2615)] = 112695,
  [SMALL_STATE(2616)] = 112762,
  [SMALL_STATE(2617)] = 112829,
  [SMALL_STATE(2618)] = 112900,
  [SMALL_STATE(2619)] = 113013,
  [SMALL_STATE(2620)] = 113080,
  [SMALL_STATE(2621)] = 113147,
  [SMALL_STATE(2622)] = 113218,
  [SMALL_STATE(2623)] = 113285,
  [SMALL_STATE(2624)] = 113352,
  [SMALL_STATE(2625)] = 113419,
  [SMALL_STATE(2626)] = 113486,
  [SMALL_STATE(2627)] = 113553,
  [SMALL_STATE(2628)] = 113620,
  [SMALL_STATE(2629)] = 113687,
  [SMALL_STATE(2630)] = 113754,
  [SMALL_STATE(2631)] = 113821,
  [SMALL_STATE(2632)] = 113888,
  [SMALL_STATE(2633)] = 113955,
  [SMALL_STATE(2634)] = 114022,
  [SMALL_STATE(2635)] = 114089,
  [SMALL_STATE(2636)] = 114156,
  [SMALL_STATE(2637)] = 114223,
  [SMALL_STATE(2638)] = 114290,
  [SMALL_STATE(2639)] = 114357,
  [SMALL_STATE(2640)] = 114426,
  [SMALL_STATE(2641)] = 114493,
  [SMALL_STATE(2642)] = 114560,
  [SMALL_STATE(2643)] = 114627,
  [SMALL_STATE(2644)] = 114694,
  [SMALL_STATE(2645)] = 114761,
  [SMALL_STATE(2646)] = 114874,
  [SMALL_STATE(2647)] = 114943,
  [SMALL_STATE(2648)] = 115012,
  [SMALL_STATE(2649)] = 115079,
  [SMALL_STATE(2650)] = 115146,
  [SMALL_STATE(2651)] = 115215,
  [SMALL_STATE(2652)] = 115284,
  [SMALL_STATE(2653)] = 115351,
  [SMALL_STATE(2654)] = 115420,
  [SMALL_STATE(2655)] = 115489,
  [SMALL_STATE(2656)] = 115558,
  [SMALL_STATE(2657)] = 115627,
  [SMALL_STATE(2658)] = 115696,
  [SMALL_STATE(2659)] = 115765,
  [SMALL_STATE(2660)] = 115834,
  [SMALL_STATE(2661)] = 115943,
  [SMALL_STATE(2662)] = 116010,
  [SMALL_STATE(2663)] = 116077,
  [SMALL_STATE(2664)] = 116146,
  [SMALL_STATE(2665)] = 116213,
  [SMALL_STATE(2666)] = 116282,
  [SMALL_STATE(2667)] = 116351,
  [SMALL_STATE(2668)] = 116420,
  [SMALL_STATE(2669)] = 116489,
  [SMALL_STATE(2670)] = 116558,
  [SMALL_STATE(2671)] = 116627,
  [SMALL_STATE(2672)] = 116698,
  [SMALL_STATE(2673)] = 116807,
  [SMALL_STATE(2674)] = 116876,
  [SMALL_STATE(2675)] = 116945,
  [SMALL_STATE(2676)] = 117014,
  [SMALL_STATE(2677)] = 117083,
  [SMALL_STATE(2678)] = 117152,
  [SMALL_STATE(2679)] = 117221,
  [SMALL_STATE(2680)] = 117290,
  [SMALL_STATE(2681)] = 117359,
  [SMALL_STATE(2682)] = 117428,
  [SMALL_STATE(2683)] = 117497,
  [SMALL_STATE(2684)] = 117564,
  [SMALL_STATE(2685)] = 117633,
  [SMALL_STATE(2686)] = 117702,
  [SMALL_STATE(2687)] = 117773,
  [SMALL_STATE(2688)] = 117842,
  [SMALL_STATE(2689)] = 117909,
  [SMALL_STATE(2690)] = 117976,
  [SMALL_STATE(2691)] = 118043,
  [SMALL_STATE(2692)] = 118114,
  [SMALL_STATE(2693)] = 118183,
  [SMALL_STATE(2694)] = 118252,
  [SMALL_STATE(2695)] = 118323,
  [SMALL_STATE(2696)] = 118390,
  [SMALL_STATE(2697)] = 118461,
  [SMALL_STATE(2698)] = 118530,
  [SMALL_STATE(2699)] = 118599,
  [SMALL_STATE(2700)] = 118668,
  [SMALL_STATE(2701)] = 118737,
  [SMALL_STATE(2702)] = 118804,
  [SMALL_STATE(2703)] = 118871,
  [SMALL_STATE(2704)] = 118938,
  [SMALL_STATE(2705)] = 119005,
  [SMALL_STATE(2706)] = 119072,
  [SMALL_STATE(2707)] = 119141,
  [SMALL_STATE(2708)] = 119210,
  [SMALL_STATE(2709)] = 119277,
  [SMALL_STATE(2710)] = 119344,
  [SMALL_STATE(2711)] = 119411,
  [SMALL_STATE(2712)] = 119478,
  [SMALL_STATE(2713)] = 119547,
  [SMALL_STATE(2714)] = 119616,
  [SMALL_STATE(2715)] = 119685,
  [SMALL_STATE(2716)] = 119754,
  [SMALL_STATE(2717)] = 119823,
  [SMALL_STATE(2718)] = 119892,
  [SMALL_STATE(2719)] = 119963,
  [SMALL_STATE(2720)] = 120032,
  [SMALL_STATE(2721)] = 120101,
  [SMALL_STATE(2722)] = 120168,
  [SMALL_STATE(2723)] = 120235,
  [SMALL_STATE(2724)] = 120302,
  [SMALL_STATE(2725)] = 120369,
  [SMALL_STATE(2726)] = 120438,
  [SMALL_STATE(2727)] = 120507,
  [SMALL_STATE(2728)] = 120576,
  [SMALL_STATE(2729)] = 120645,
  [SMALL_STATE(2730)] = 120714,
  [SMALL_STATE(2731)] = 120783,
  [SMALL_STATE(2732)] = 120852,
  [SMALL_STATE(2733)] = 120921,
  [SMALL_STATE(2734)] = 121030,
  [SMALL_STATE(2735)] = 121099,
  [SMALL_STATE(2736)] = 121168,
  [SMALL_STATE(2737)] = 121237,
  [SMALL_STATE(2738)] = 121306,
  [SMALL_STATE(2739)] = 121375,
  [SMALL_STATE(2740)] = 121444,
  [SMALL_STATE(2741)] = 121513,
  [SMALL_STATE(2742)] = 121580,
  [SMALL_STATE(2743)] = 121649,
  [SMALL_STATE(2744)] = 121716,
  [SMALL_STATE(2745)] = 121785,
  [SMALL_STATE(2746)] = 121852,
  [SMALL_STATE(2747)] = 121919,
  [SMALL_STATE(2748)] = 121988,
  [SMALL_STATE(2749)] = 122057,
  [SMALL_STATE(2750)] = 122126,
  [SMALL_STATE(2751)] = 122193,
  [SMALL_STATE(2752)] = 122260,
  [SMALL_STATE(2753)] = 122327,
  [SMALL_STATE(2754)] = 122394,
  [SMALL_STATE(2755)] = 122461,
  [SMALL_STATE(2756)] = 122528,
  [SMALL_STATE(2757)] = 122595,
  [SMALL_STATE(2758)] = 122662,
  [SMALL_STATE(2759)] = 122729,
  [SMALL_STATE(2760)] = 122796,
  [SMALL_STATE(2761)] = 122863,
  [SMALL_STATE(2762)] = 122930,
  [SMALL_STATE(2763)] = 122997,
  [SMALL_STATE(2764)] = 123064,
  [SMALL_STATE(2765)] = 123131,
  [SMALL_STATE(2766)] = 123198,
  [SMALL_STATE(2767)] = 123265,
  [SMALL_STATE(2768)] = 123332,
  [SMALL_STATE(2769)] = 123399,
  [SMALL_STATE(2770)] = 123466,
  [SMALL_STATE(2771)] = 123533,
  [SMALL_STATE(2772)] = 123600,
  [SMALL_STATE(2773)] = 123667,
  [SMALL_STATE(2774)] = 123734,
  [SMALL_STATE(2775)] = 123801,
  [SMALL_STATE(2776)] = 123868,
  [SMALL_STATE(2777)] = 123935,
  [SMALL_STATE(2778)] = 124002,
  [SMALL_STATE(2779)] = 124069,
  [SMALL_STATE(2780)] = 124136,
  [SMALL_STATE(2781)] = 124203,
  [SMALL_STATE(2782)] = 124272,
  [SMALL_STATE(2783)] = 124339,
  [SMALL_STATE(2784)] = 124406,
  [SMALL_STATE(2785)] = 124473,
  [SMALL_STATE(2786)] = 124540,
  [SMALL_STATE(2787)] = 124607,
  [SMALL_STATE(2788)] = 124676,
  [SMALL_STATE(2789)] = 124743,
  [SMALL_STATE(2790)] = 124810,
  [SMALL_STATE(2791)] = 124877,
  [SMALL_STATE(2792)] = 124948,
  [SMALL_STATE(2793)] = 125015,
  [SMALL_STATE(2794)] = 125082,
  [SMALL_STATE(2795)] = 125149,
  [SMALL_STATE(2796)] = 125216,
  [SMALL_STATE(2797)] = 125283,
  [SMALL_STATE(2798)] = 125350,
  [SMALL_STATE(2799)] = 125417,
  [SMALL_STATE(2800)] = 125484,
  [SMALL_STATE(2801)] = 125551,
  [SMALL_STATE(2802)] = 125618,
  [SMALL_STATE(2803)] = 125685,
  [SMALL_STATE(2804)] = 125752,
  [SMALL_STATE(2805)] = 125819,
  [SMALL_STATE(2806)] = 125886,
  [SMALL_STATE(2807)] = 125953,
  [SMALL_STATE(2808)] = 126020,
  [SMALL_STATE(2809)] = 126087,
  [SMALL_STATE(2810)] = 126154,
  [SMALL_STATE(2811)] = 126221,
  [SMALL_STATE(2812)] = 126288,
  [SMALL_STATE(2813)] = 126355,
  [SMALL_STATE(2814)] = 126422,
  [SMALL_STATE(2815)] = 126489,
  [SMALL_STATE(2816)] = 126556,
  [SMALL_STATE(2817)] = 126623,
  [SMALL_STATE(2818)] = 126690,
  [SMALL_STATE(2819)] = 126757,
  [SMALL_STATE(2820)] = 126824,
  [SMALL_STATE(2821)] = 126891,
  [SMALL_STATE(2822)] = 126958,
  [SMALL_STATE(2823)] = 127025,
  [SMALL_STATE(2824)] = 127092,
  [SMALL_STATE(2825)] = 127159,
  [SMALL_STATE(2826)] = 127226,
  [SMALL_STATE(2827)] = 127293,
  [SMALL_STATE(2828)] = 127360,
  [SMALL_STATE(2829)] = 127427,
  [SMALL_STATE(2830)] = 127494,
  [SMALL_STATE(2831)] = 127561,
  [SMALL_STATE(2832)] = 127628,
  [SMALL_STATE(2833)] = 127695,
  [SMALL_STATE(2834)] = 127762,
  [SMALL_STATE(2835)] = 127829,
  [SMALL_STATE(2836)] = 127896,
  [SMALL_STATE(2837)] = 127963,
  [SMALL_STATE(2838)] = 128030,
  [SMALL_STATE(2839)] = 128097,
  [SMALL_STATE(2840)] = 128164,
  [SMALL_STATE(2841)] = 128231,
  [SMALL_STATE(2842)] = 128298,
  [SMALL_STATE(2843)] = 128365,
  [SMALL_STATE(2844)] = 128432,
  [SMALL_STATE(2845)] = 128499,
  [SMALL_STATE(2846)] = 128566,
  [SMALL_STATE(2847)] = 128633,
  [SMALL_STATE(2848)] = 128700,
  [SMALL_STATE(2849)] = 128767,
  [SMALL_STATE(2850)] = 128834,
  [SMALL_STATE(2851)] = 128901,
  [SMALL_STATE(2852)] = 128968,
  [SMALL_STATE(2853)] = 129035,
  [SMALL_STATE(2854)] = 129102,
  [SMALL_STATE(2855)] = 129169,
  [SMALL_STATE(2856)] = 129236,
  [SMALL_STATE(2857)] = 129303,
  [SMALL_STATE(2858)] = 129370,
  [SMALL_STATE(2859)] = 129437,
  [SMALL_STATE(2860)] = 129504,
  [SMALL_STATE(2861)] = 129571,
  [SMALL_STATE(2862)] = 129638,
  [SMALL_STATE(2863)] = 129705,
  [SMALL_STATE(2864)] = 129772,
  [SMALL_STATE(2865)] = 129839,
  [SMALL_STATE(2866)] = 129906,
  [SMALL_STATE(2867)] = 129973,
  [SMALL_STATE(2868)] = 130040,
  [SMALL_STATE(2869)] = 130107,
  [SMALL_STATE(2870)] = 130180,
  [SMALL_STATE(2871)] = 130247,
  [SMALL_STATE(2872)] = 130314,
  [SMALL_STATE(2873)] = 130383,
  [SMALL_STATE(2874)] = 130452,
  [SMALL_STATE(2875)] = 130521,
  [SMALL_STATE(2876)] = 130594,
  [SMALL_STATE(2877)] = 130667,
  [SMALL_STATE(2878)] = 130736,
  [SMALL_STATE(2879)] = 130805,
  [SMALL_STATE(2880)] = 130874,
  [SMALL_STATE(2881)] = 130947,
  [SMALL_STATE(2882)] = 131014,
  [SMALL_STATE(2883)] = 131087,
  [SMALL_STATE(2884)] = 131156,
  [SMALL_STATE(2885)] = 131223,
  [SMALL_STATE(2886)] = 131290,
  [SMALL_STATE(2887)] = 131357,
  [SMALL_STATE(2888)] = 131424,
  [SMALL_STATE(2889)] = 131493,
  [SMALL_STATE(2890)] = 131560,
  [SMALL_STATE(2891)] = 131627,
  [SMALL_STATE(2892)] = 131694,
  [SMALL_STATE(2893)] = 131763,
  [SMALL_STATE(2894)] = 131876,
  [SMALL_STATE(2895)] = 131945,
  [SMALL_STATE(2896)] = 132012,
  [SMALL_STATE(2897)] = 132081,
  [SMALL_STATE(2898)] = 132150,
  [SMALL_STATE(2899)] = 132217,
  [SMALL_STATE(2900)] = 132286,
  [SMALL_STATE(2901)] = 132355,
  [SMALL_STATE(2902)] = 132424,
  [SMALL_STATE(2903)] = 132497,
  [SMALL_STATE(2904)] = 132566,
  [SMALL_STATE(2905)] = 132633,
  [SMALL_STATE(2906)] = 132706,
  [SMALL_STATE(2907)] = 132773,
  [SMALL_STATE(2908)] = 132846,
  [SMALL_STATE(2909)] = 132915,
  [SMALL_STATE(2910)] = 132988,
  [SMALL_STATE(2911)] = 133055,
  [SMALL_STATE(2912)] = 133124,
  [SMALL_STATE(2913)] = 133237,
  [SMALL_STATE(2914)] = 133304,
  [SMALL_STATE(2915)] = 133377,
  [SMALL_STATE(2916)] = 133444,
  [SMALL_STATE(2917)] = 133511,
  [SMALL_STATE(2918)] = 133578,
  [SMALL_STATE(2919)] = 133645,
  [SMALL_STATE(2920)] = 133711,
  [SMALL_STATE(2921)] = 133803,
  [SMALL_STATE(2922)] = 133869,
  [SMALL_STATE(2923)] = 133935,
  [SMALL_STATE(2924)] = 134001,
  [SMALL_STATE(2925)] = 134067,
  [SMALL_STATE(2926)] = 134133,
  [SMALL_STATE(2927)] = 134199,
  [SMALL_STATE(2928)] = 134265,
  [SMALL_STATE(2929)] = 134331,
  [SMALL_STATE(2930)] = 134397,
  [SMALL_STATE(2931)] = 134463,
  [SMALL_STATE(2932)] = 134529,
  [SMALL_STATE(2933)] = 134595,
  [SMALL_STATE(2934)] = 134661,
  [SMALL_STATE(2935)] = 134727,
  [SMALL_STATE(2936)] = 134793,
  [SMALL_STATE(2937)] = 134859,
  [SMALL_STATE(2938)] = 134925,
  [SMALL_STATE(2939)] = 134991,
  [SMALL_STATE(2940)] = 135057,
  [SMALL_STATE(2941)] = 135123,
  [SMALL_STATE(2942)] = 135189,
  [SMALL_STATE(2943)] = 135255,
  [SMALL_STATE(2944)] = 135321,
  [SMALL_STATE(2945)] = 135387,
  [SMALL_STATE(2946)] = 135453,
  [SMALL_STATE(2947)] = 135519,
  [SMALL_STATE(2948)] = 135585,
  [SMALL_STATE(2949)] = 135651,
  [SMALL_STATE(2950)] = 135717,
  [SMALL_STATE(2951)] = 135833,
  [SMALL_STATE(2952)] = 135899,
  [SMALL_STATE(2953)] = 135965,
  [SMALL_STATE(2954)] = 136031,
  [SMALL_STATE(2955)] = 136097,
  [SMALL_STATE(2956)] = 136163,
  [SMALL_STATE(2957)] = 136229,
  [SMALL_STATE(2958)] = 136295,
  [SMALL_STATE(2959)] = 136361,
  [SMALL_STATE(2960)] = 136427,
  [SMALL_STATE(2961)] = 136543,
  [SMALL_STATE(2962)] = 136609,
  [SMALL_STATE(2963)] = 136675,
  [SMALL_STATE(2964)] = 136741,
  [SMALL_STATE(2965)] = 136807,
  [SMALL_STATE(2966)] = 136873,
  [SMALL_STATE(2967)] = 136939,
  [SMALL_STATE(2968)] = 137005,
  [SMALL_STATE(2969)] = 137071,
  [SMALL_STATE(2970)] = 137137,
  [SMALL_STATE(2971)] = 137203,
  [SMALL_STATE(2972)] = 137269,
  [SMALL_STATE(2973)] = 137335,
  [SMALL_STATE(2974)] = 137401,
  [SMALL_STATE(2975)] = 137509,
  [SMALL_STATE(2976)] = 137575,
  [SMALL_STATE(2977)] = 137645,
  [SMALL_STATE(2978)] = 137711,
  [SMALL_STATE(2979)] = 137777,
  [SMALL_STATE(2980)] = 137843,
  [SMALL_STATE(2981)] = 137909,
  [SMALL_STATE(2982)] = 137975,
  [SMALL_STATE(2983)] = 138041,
  [SMALL_STATE(2984)] = 138107,
  [SMALL_STATE(2985)] = 138173,
  [SMALL_STATE(2986)] = 138239,
  [SMALL_STATE(2987)] = 138305,
  [SMALL_STATE(2988)] = 138375,
  [SMALL_STATE(2989)] = 138441,
  [SMALL_STATE(2990)] = 138507,
  [SMALL_STATE(2991)] = 138573,
  [SMALL_STATE(2992)] = 138639,
  [SMALL_STATE(2993)] = 138705,
  [SMALL_STATE(2994)] = 138771,
  [SMALL_STATE(2995)] = 138837,
  [SMALL_STATE(2996)] = 138903,
  [SMALL_STATE(2997)] = 138969,
  [SMALL_STATE(2998)] = 139035,
  [SMALL_STATE(2999)] = 139101,
  [SMALL_STATE(3000)] = 139167,
  [SMALL_STATE(3001)] = 139233,
  [SMALL_STATE(3002)] = 139299,
  [SMALL_STATE(3003)] = 139365,
  [SMALL_STATE(3004)] = 139431,
  [SMALL_STATE(3005)] = 139497,
  [SMALL_STATE(3006)] = 139567,
  [SMALL_STATE(3007)] = 139633,
  [SMALL_STATE(3008)] = 139699,
  [SMALL_STATE(3009)] = 139765,
  [SMALL_STATE(3010)] = 139831,
  [SMALL_STATE(3011)] = 139897,
  [SMALL_STATE(3012)] = 139963,
  [SMALL_STATE(3013)] = 140029,
  [SMALL_STATE(3014)] = 140095,
  [SMALL_STATE(3015)] = 140161,
  [SMALL_STATE(3016)] = 140227,
  [SMALL_STATE(3017)] = 140293,
  [SMALL_STATE(3018)] = 140359,
  [SMALL_STATE(3019)] = 140425,
  [SMALL_STATE(3020)] = 140491,
  [SMALL_STATE(3021)] = 140557,
  [SMALL_STATE(3022)] = 140623,
  [SMALL_STATE(3023)] = 140689,
  [SMALL_STATE(3024)] = 140755,
  [SMALL_STATE(3025)] = 140821,
  [SMALL_STATE(3026)] = 140887,
  [SMALL_STATE(3027)] = 140953,
  [SMALL_STATE(3028)] = 141019,
  [SMALL_STATE(3029)] = 141085,
  [SMALL_STATE(3030)] = 141151,
  [SMALL_STATE(3031)] = 141217,
  [SMALL_STATE(3032)] = 141283,
  [SMALL_STATE(3033)] = 141349,
  [SMALL_STATE(3034)] = 141415,
  [SMALL_STATE(3035)] = 141481,
  [SMALL_STATE(3036)] = 141547,
  [SMALL_STATE(3037)] = 141613,
  [SMALL_STATE(3038)] = 141679,
  [SMALL_STATE(3039)] = 141795,
  [SMALL_STATE(3040)] = 141911,
  [SMALL_STATE(3041)] = 141981,
  [SMALL_STATE(3042)] = 142047,
  [SMALL_STATE(3043)] = 142113,
  [SMALL_STATE(3044)] = 142179,
  [SMALL_STATE(3045)] = 142245,
  [SMALL_STATE(3046)] = 142311,
  [SMALL_STATE(3047)] = 142381,
  [SMALL_STATE(3048)] = 142447,
  [SMALL_STATE(3049)] = 142513,
  [SMALL_STATE(3050)] = 142579,
  [SMALL_STATE(3051)] = 142645,
  [SMALL_STATE(3052)] = 142711,
  [SMALL_STATE(3053)] = 142777,
  [SMALL_STATE(3054)] = 142843,
  [SMALL_STATE(3055)] = 142909,
  [SMALL_STATE(3056)] = 142975,
  [SMALL_STATE(3057)] = 143041,
  [SMALL_STATE(3058)] = 143107,
  [SMALL_STATE(3059)] = 143177,
  [SMALL_STATE(3060)] = 143243,
  [SMALL_STATE(3061)] = 143309,
  [SMALL_STATE(3062)] = 143375,
  [SMALL_STATE(3063)] = 143441,
  [SMALL_STATE(3064)] = 143507,
  [SMALL_STATE(3065)] = 143573,
  [SMALL_STATE(3066)] = 143639,
  [SMALL_STATE(3067)] = 143705,
  [SMALL_STATE(3068)] = 143771,
  [SMALL_STATE(3069)] = 143837,
  [SMALL_STATE(3070)] = 143903,
  [SMALL_STATE(3071)] = 143969,
  [SMALL_STATE(3072)] = 144035,
  [SMALL_STATE(3073)] = 144101,
  [SMALL_STATE(3074)] = 144167,
  [SMALL_STATE(3075)] = 144233,
  [SMALL_STATE(3076)] = 144299,
  [SMALL_STATE(3077)] = 144365,
  [SMALL_STATE(3078)] = 144431,
  [SMALL_STATE(3079)] = 144497,
  [SMALL_STATE(3080)] = 144563,
  [SMALL_STATE(3081)] = 144629,
  [SMALL_STATE(3082)] = 144695,
  [SMALL_STATE(3083)] = 144761,
  [SMALL_STATE(3084)] = 144827,
  [SMALL_STATE(3085)] = 144893,
  [SMALL_STATE(3086)] = 144959,
  [SMALL_STATE(3087)] = 145025,
  [SMALL_STATE(3088)] = 145091,
  [SMALL_STATE(3089)] = 145157,
  [SMALL_STATE(3090)] = 145223,
  [SMALL_STATE(3091)] = 145289,
  [SMALL_STATE(3092)] = 145355,
  [SMALL_STATE(3093)] = 145421,
  [SMALL_STATE(3094)] = 145487,
  [SMALL_STATE(3095)] = 145553,
  [SMALL_STATE(3096)] = 145619,
  [SMALL_STATE(3097)] = 145685,
  [SMALL_STATE(3098)] = 145751,
  [SMALL_STATE(3099)] = 145817,
  [SMALL_STATE(3100)] = 145883,
  [SMALL_STATE(3101)] = 145949,
  [SMALL_STATE(3102)] = 146015,
  [SMALL_STATE(3103)] = 146081,
  [SMALL_STATE(3104)] = 146147,
  [SMALL_STATE(3105)] = 146213,
  [SMALL_STATE(3106)] = 146279,
  [SMALL_STATE(3107)] = 146345,
  [SMALL_STATE(3108)] = 146411,
  [SMALL_STATE(3109)] = 146477,
  [SMALL_STATE(3110)] = 146543,
  [SMALL_STATE(3111)] = 146609,
  [SMALL_STATE(3112)] = 146675,
  [SMALL_STATE(3113)] = 146741,
  [SMALL_STATE(3114)] = 146807,
  [SMALL_STATE(3115)] = 146875,
  [SMALL_STATE(3116)] = 146941,
  [SMALL_STATE(3117)] = 147007,
  [SMALL_STATE(3118)] = 147073,
  [SMALL_STATE(3119)] = 147139,
  [SMALL_STATE(3120)] = 147205,
  [SMALL_STATE(3121)] = 147271,
  [SMALL_STATE(3122)] = 147337,
  [SMALL_STATE(3123)] = 147403,
  [SMALL_STATE(3124)] = 147469,
  [SMALL_STATE(3125)] = 147535,
  [SMALL_STATE(3126)] = 147601,
  [SMALL_STATE(3127)] = 147667,
  [SMALL_STATE(3128)] = 147733,
  [SMALL_STATE(3129)] = 147799,
  [SMALL_STATE(3130)] = 147865,
  [SMALL_STATE(3131)] = 147931,
  [SMALL_STATE(3132)] = 147997,
  [SMALL_STATE(3133)] = 148063,
  [SMALL_STATE(3134)] = 148129,
  [SMALL_STATE(3135)] = 148195,
  [SMALL_STATE(3136)] = 148265,
  [SMALL_STATE(3137)] = 148331,
  [SMALL_STATE(3138)] = 148397,
  [SMALL_STATE(3139)] = 148463,
  [SMALL_STATE(3140)] = 148529,
  [SMALL_STATE(3141)] = 148595,
  [SMALL_STATE(3142)] = 148661,
  [SMALL_STATE(3143)] = 148727,
  [SMALL_STATE(3144)] = 148793,
  [SMALL_STATE(3145)] = 148859,
  [SMALL_STATE(3146)] = 148925,
  [SMALL_STATE(3147)] = 148991,
  [SMALL_STATE(3148)] = 149057,
  [SMALL_STATE(3149)] = 149123,
  [SMALL_STATE(3150)] = 149189,
  [SMALL_STATE(3151)] = 149297,
  [SMALL_STATE(3152)] = 149363,
  [SMALL_STATE(3153)] = 149429,
  [SMALL_STATE(3154)] = 149495,
  [SMALL_STATE(3155)] = 149561,
  [SMALL_STATE(3156)] = 149631,
  [SMALL_STATE(3157)] = 149703,
  [SMALL_STATE(3158)] = 149769,
  [SMALL_STATE(3159)] = 149835,
  [SMALL_STATE(3160)] = 149901,
  [SMALL_STATE(3161)] = 149967,
  [SMALL_STATE(3162)] = 150033,
  [SMALL_STATE(3163)] = 150099,
  [SMALL_STATE(3164)] = 150169,
  [SMALL_STATE(3165)] = 150235,
  [SMALL_STATE(3166)] = 150305,
  [SMALL_STATE(3167)] = 150373,
  [SMALL_STATE(3168)] = 150441,
  [SMALL_STATE(3169)] = 150511,
  [SMALL_STATE(3170)] = 150579,
  [SMALL_STATE(3171)] = 150647,
  [SMALL_STATE(3172)] = 150715,
  [SMALL_STATE(3173)] = 150783,
  [SMALL_STATE(3174)] = 150851,
  [SMALL_STATE(3175)] = 150919,
  [SMALL_STATE(3176)] = 150987,
  [SMALL_STATE(3177)] = 151055,
  [SMALL_STATE(3178)] = 151123,
  [SMALL_STATE(3179)] = 151193,
  [SMALL_STATE(3180)] = 151261,
  [SMALL_STATE(3181)] = 151329,
  [SMALL_STATE(3182)] = 151397,
  [SMALL_STATE(3183)] = 151465,
  [SMALL_STATE(3184)] = 151531,
  [SMALL_STATE(3185)] = 151597,
  [SMALL_STATE(3186)] = 151665,
  [SMALL_STATE(3187)] = 151733,
  [SMALL_STATE(3188)] = 151801,
  [SMALL_STATE(3189)] = 151869,
  [SMALL_STATE(3190)] = 151977,
  [SMALL_STATE(3191)] = 152045,
  [SMALL_STATE(3192)] = 152115,
  [SMALL_STATE(3193)] = 152181,
  [SMALL_STATE(3194)] = 152251,
  [SMALL_STATE(3195)] = 152317,
  [SMALL_STATE(3196)] = 152383,
  [SMALL_STATE(3197)] = 152449,
  [SMALL_STATE(3198)] = 152557,
  [SMALL_STATE(3199)] = 152627,
  [SMALL_STATE(3200)] = 152693,
  [SMALL_STATE(3201)] = 152759,
  [SMALL_STATE(3202)] = 152825,
  [SMALL_STATE(3203)] = 152891,
  [SMALL_STATE(3204)] = 152959,
  [SMALL_STATE(3205)] = 153039,
  [SMALL_STATE(3206)] = 153119,
  [SMALL_STATE(3207)] = 153205,
  [SMALL_STATE(3208)] = 153295,
  [SMALL_STATE(3209)] = 153361,
  [SMALL_STATE(3210)] = 153455,
  [SMALL_STATE(3211)] = 153553,
  [SMALL_STATE(3212)] = 153653,
  [SMALL_STATE(3213)] = 153757,
  [SMALL_STATE(3214)] = 153863,
  [SMALL_STATE(3215)] = 153969,
  [SMALL_STATE(3216)] = 154043,
  [SMALL_STATE(3217)] = 154121,
  [SMALL_STATE(3218)] = 154193,
  [SMALL_STATE(3219)] = 154295,
  [SMALL_STATE(3220)] = 154383,
  [SMALL_STATE(3221)] = 154465,
  [SMALL_STATE(3222)] = 154533,
  [SMALL_STATE(3223)] = 154601,
  [SMALL_STATE(3224)] = 154671,
  [SMALL_STATE(3225)] = 154739,
  [SMALL_STATE(3226)] = 154809,
  [SMALL_STATE(3227)] = 154875,
  [SMALL_STATE(3228)] = 154941,
  [SMALL_STATE(3229)] = 155007,
  [SMALL_STATE(3230)] = 155073,
  [SMALL_STATE(3231)] = 155139,
  [SMALL_STATE(3232)] = 155205,
  [SMALL_STATE(3233)] = 155271,
  [SMALL_STATE(3234)] = 155337,
  [SMALL_STATE(3235)] = 155407,
  [SMALL_STATE(3236)] = 155473,
  [SMALL_STATE(3237)] = 155543,
  [SMALL_STATE(3238)] = 155609,
  [SMALL_STATE(3239)] = 155675,
  [SMALL_STATE(3240)] = 155741,
  [SMALL_STATE(3241)] = 155807,
  [SMALL_STATE(3242)] = 155873,
  [SMALL_STATE(3243)] = 155939,
  [SMALL_STATE(3244)] = 156021,
  [SMALL_STATE(3245)] = 156091,
  [SMALL_STATE(3246)] = 156157,
  [SMALL_STATE(3247)] = 156227,
  [SMALL_STATE(3248)] = 156293,
  [SMALL_STATE(3249)] = 156359,
  [SMALL_STATE(3250)] = 156425,
  [SMALL_STATE(3251)] = 156491,
  [SMALL_STATE(3252)] = 156557,
  [SMALL_STATE(3253)] = 156623,
  [SMALL_STATE(3254)] = 156689,
  [SMALL_STATE(3255)] = 156755,
  [SMALL_STATE(3256)] = 156821,
  [SMALL_STATE(3257)] = 156887,
  [SMALL_STATE(3258)] = 156969,
  [SMALL_STATE(3259)] = 157057,
  [SMALL_STATE(3260)] = 157159,
  [SMALL_STATE(3261)] = 157225,
  [SMALL_STATE(3262)] = 157297,
  [SMALL_STATE(3263)] = 157375,
  [SMALL_STATE(3264)] = 157449,
  [SMALL_STATE(3265)] = 157555,
  [SMALL_STATE(3266)] = 157661,
  [SMALL_STATE(3267)] = 157731,
  [SMALL_STATE(3268)] = 157835,
  [SMALL_STATE(3269)] = 157935,
  [SMALL_STATE(3270)] = 158033,
  [SMALL_STATE(3271)] = 158127,
  [SMALL_STATE(3272)] = 158219,
  [SMALL_STATE(3273)] = 158309,
  [SMALL_STATE(3274)] = 158395,
  [SMALL_STATE(3275)] = 158475,
  [SMALL_STATE(3276)] = 158555,
  [SMALL_STATE(3277)] = 158625,
  [SMALL_STATE(3278)] = 158691,
  [SMALL_STATE(3279)] = 158757,
  [SMALL_STATE(3280)] = 158827,
  [SMALL_STATE(3281)] = 158893,
  [SMALL_STATE(3282)] = 158963,
  [SMALL_STATE(3283)] = 159051,
  [SMALL_STATE(3284)] = 159153,
  [SMALL_STATE(3285)] = 159219,
  [SMALL_STATE(3286)] = 159291,
  [SMALL_STATE(3287)] = 159357,
  [SMALL_STATE(3288)] = 159423,
  [SMALL_STATE(3289)] = 159489,
  [SMALL_STATE(3290)] = 159555,
  [SMALL_STATE(3291)] = 159621,
  [SMALL_STATE(3292)] = 159729,
  [SMALL_STATE(3293)] = 159803,
  [SMALL_STATE(3294)] = 159909,
  [SMALL_STATE(3295)] = 159975,
  [SMALL_STATE(3296)] = 160041,
  [SMALL_STATE(3297)] = 160147,
  [SMALL_STATE(3298)] = 160213,
  [SMALL_STATE(3299)] = 160279,
  [SMALL_STATE(3300)] = 160357,
  [SMALL_STATE(3301)] = 160423,
  [SMALL_STATE(3302)] = 160489,
  [SMALL_STATE(3303)] = 160555,
  [SMALL_STATE(3304)] = 160621,
  [SMALL_STATE(3305)] = 160687,
  [SMALL_STATE(3306)] = 160753,
  [SMALL_STATE(3307)] = 160819,
  [SMALL_STATE(3308)] = 160927,
  [SMALL_STATE(3309)] = 161035,
  [SMALL_STATE(3310)] = 161143,
  [SMALL_STATE(3311)] = 161209,
  [SMALL_STATE(3312)] = 161275,
  [SMALL_STATE(3313)] = 161341,
  [SMALL_STATE(3314)] = 161407,
  [SMALL_STATE(3315)] = 161473,
  [SMALL_STATE(3316)] = 161539,
  [SMALL_STATE(3317)] = 161605,
  [SMALL_STATE(3318)] = 161717,
  [SMALL_STATE(3319)] = 161783,
  [SMALL_STATE(3320)] = 161849,
  [SMALL_STATE(3321)] = 161915,
  [SMALL_STATE(3322)] = 161981,
  [SMALL_STATE(3323)] = 162047,
  [SMALL_STATE(3324)] = 162117,
  [SMALL_STATE(3325)] = 162221,
  [SMALL_STATE(3326)] = 162289,
  [SMALL_STATE(3327)] = 162357,
  [SMALL_STATE(3328)] = 162425,
  [SMALL_STATE(3329)] = 162493,
  [SMALL_STATE(3330)] = 162559,
  [SMALL_STATE(3331)] = 162627,
  [SMALL_STATE(3332)] = 162693,
  [SMALL_STATE(3333)] = 162759,
  [SMALL_STATE(3334)] = 162825,
  [SMALL_STATE(3335)] = 162891,
  [SMALL_STATE(3336)] = 162959,
  [SMALL_STATE(3337)] = 163025,
  [SMALL_STATE(3338)] = 163091,
  [SMALL_STATE(3339)] = 163157,
  [SMALL_STATE(3340)] = 163227,
  [SMALL_STATE(3341)] = 163293,
  [SMALL_STATE(3342)] = 163361,
  [SMALL_STATE(3343)] = 163429,
  [SMALL_STATE(3344)] = 163545,
  [SMALL_STATE(3345)] = 163613,
  [SMALL_STATE(3346)] = 163681,
  [SMALL_STATE(3347)] = 163749,
  [SMALL_STATE(3348)] = 163847,
  [SMALL_STATE(3349)] = 163913,
  [SMALL_STATE(3350)] = 163979,
  [SMALL_STATE(3351)] = 164073,
  [SMALL_STATE(3352)] = 164189,
  [SMALL_STATE(3353)] = 164255,
  [SMALL_STATE(3354)] = 164323,
  [SMALL_STATE(3355)] = 164389,
  [SMALL_STATE(3356)] = 164455,
  [SMALL_STATE(3357)] = 164521,
  [SMALL_STATE(3358)] = 164587,
  [SMALL_STATE(3359)] = 164653,
  [SMALL_STATE(3360)] = 164719,
  [SMALL_STATE(3361)] = 164785,
  [SMALL_STATE(3362)] = 164851,
  [SMALL_STATE(3363)] = 164917,
  [SMALL_STATE(3364)] = 164983,
  [SMALL_STATE(3365)] = 165049,
  [SMALL_STATE(3366)] = 165115,
  [SMALL_STATE(3367)] = 165181,
  [SMALL_STATE(3368)] = 165247,
  [SMALL_STATE(3369)] = 165313,
  [SMALL_STATE(3370)] = 165379,
  [SMALL_STATE(3371)] = 165445,
  [SMALL_STATE(3372)] = 165511,
  [SMALL_STATE(3373)] = 165577,
  [SMALL_STATE(3374)] = 165643,
  [SMALL_STATE(3375)] = 165711,
  [SMALL_STATE(3376)] = 165779,
  [SMALL_STATE(3377)] = 165871,
  [SMALL_STATE(3378)] = 165937,
  [SMALL_STATE(3379)] = 166003,
  [SMALL_STATE(3380)] = 166069,
  [SMALL_STATE(3381)] = 166135,
  [SMALL_STATE(3382)] = 166205,
  [SMALL_STATE(3383)] = 166273,
  [SMALL_STATE(3384)] = 166341,
  [SMALL_STATE(3385)] = 166411,
  [SMALL_STATE(3386)] = 166479,
  [SMALL_STATE(3387)] = 166545,
  [SMALL_STATE(3388)] = 166611,
  [SMALL_STATE(3389)] = 166679,
  [SMALL_STATE(3390)] = 166745,
  [SMALL_STATE(3391)] = 166811,
  [SMALL_STATE(3392)] = 166877,
  [SMALL_STATE(3393)] = 166943,
  [SMALL_STATE(3394)] = 167011,
  [SMALL_STATE(3395)] = 167077,
  [SMALL_STATE(3396)] = 167143,
  [SMALL_STATE(3397)] = 167209,
  [SMALL_STATE(3398)] = 167275,
  [SMALL_STATE(3399)] = 167341,
  [SMALL_STATE(3400)] = 167407,
  [SMALL_STATE(3401)] = 167473,
  [SMALL_STATE(3402)] = 167541,
  [SMALL_STATE(3403)] = 167609,
  [SMALL_STATE(3404)] = 167677,
  [SMALL_STATE(3405)] = 167767,
  [SMALL_STATE(3406)] = 167853,
  [SMALL_STATE(3407)] = 167923,
  [SMALL_STATE(3408)] = 168003,
  [SMALL_STATE(3409)] = 168069,
  [SMALL_STATE(3410)] = 168135,
  [SMALL_STATE(3411)] = 168201,
  [SMALL_STATE(3412)] = 168271,
  [SMALL_STATE(3413)] = 168337,
  [SMALL_STATE(3414)] = 168403,
  [SMALL_STATE(3415)] = 168469,
  [SMALL_STATE(3416)] = 168535,
  [SMALL_STATE(3417)] = 168615,
  [SMALL_STATE(3418)] = 168681,
  [SMALL_STATE(3419)] = 168747,
  [SMALL_STATE(3420)] = 168827,
  [SMALL_STATE(3421)] = 168907,
  [SMALL_STATE(3422)] = 168973,
  [SMALL_STATE(3423)] = 169039,
  [SMALL_STATE(3424)] = 169125,
  [SMALL_STATE(3425)] = 169215,
  [SMALL_STATE(3426)] = 169307,
  [SMALL_STATE(3427)] = 169401,
  [SMALL_STATE(3428)] = 169499,
  [SMALL_STATE(3429)] = 169599,
  [SMALL_STATE(3430)] = 169703,
  [SMALL_STATE(3431)] = 169809,
  [SMALL_STATE(3432)] = 169915,
  [SMALL_STATE(3433)] = 169989,
  [SMALL_STATE(3434)] = 170067,
  [SMALL_STATE(3435)] = 170139,
  [SMALL_STATE(3436)] = 170241,
  [SMALL_STATE(3437)] = 170329,
  [SMALL_STATE(3438)] = 170411,
  [SMALL_STATE(3439)] = 170481,
  [SMALL_STATE(3440)] = 170581,
  [SMALL_STATE(3441)] = 170647,
  [SMALL_STATE(3442)] = 170713,
  [SMALL_STATE(3443)] = 170783,
  [SMALL_STATE(3444)] = 170849,
  [SMALL_STATE(3445)] = 170915,
  [SMALL_STATE(3446)] = 170981,
  [SMALL_STATE(3447)] = 171047,
  [SMALL_STATE(3448)] = 171113,
  [SMALL_STATE(3449)] = 171179,
  [SMALL_STATE(3450)] = 171245,
  [SMALL_STATE(3451)] = 171311,
  [SMALL_STATE(3452)] = 171377,
  [SMALL_STATE(3453)] = 171485,
  [SMALL_STATE(3454)] = 171555,
  [SMALL_STATE(3455)] = 171621,
  [SMALL_STATE(3456)] = 171687,
  [SMALL_STATE(3457)] = 171753,
  [SMALL_STATE(3458)] = 171819,
  [SMALL_STATE(3459)] = 171885,
  [SMALL_STATE(3460)] = 171951,
  [SMALL_STATE(3461)] = 172017,
  [SMALL_STATE(3462)] = 172083,
  [SMALL_STATE(3463)] = 172149,
  [SMALL_STATE(3464)] = 172215,
  [SMALL_STATE(3465)] = 172281,
  [SMALL_STATE(3466)] = 172347,
  [SMALL_STATE(3467)] = 172413,
  [SMALL_STATE(3468)] = 172479,
  [SMALL_STATE(3469)] = 172545,
  [SMALL_STATE(3470)] = 172611,
  [SMALL_STATE(3471)] = 172677,
  [SMALL_STATE(3472)] = 172747,
  [SMALL_STATE(3473)] = 172813,
  [SMALL_STATE(3474)] = 172879,
  [SMALL_STATE(3475)] = 172949,
  [SMALL_STATE(3476)] = 173015,
  [SMALL_STATE(3477)] = 173081,
  [SMALL_STATE(3478)] = 173147,
  [SMALL_STATE(3479)] = 173213,
  [SMALL_STATE(3480)] = 173321,
  [SMALL_STATE(3481)] = 173387,
  [SMALL_STATE(3482)] = 173453,
  [SMALL_STATE(3483)] = 173525,
  [SMALL_STATE(3484)] = 173591,
  [SMALL_STATE(3485)] = 173663,
  [SMALL_STATE(3486)] = 173735,
  [SMALL_STATE(3487)] = 173801,
  [SMALL_STATE(3488)] = 173873,
  [SMALL_STATE(3489)] = 173939,
  [SMALL_STATE(3490)] = 174047,
  [SMALL_STATE(3491)] = 174155,
  [SMALL_STATE(3492)] = 174221,
  [SMALL_STATE(3493)] = 174333,
  [SMALL_STATE(3494)] = 174399,
  [SMALL_STATE(3495)] = 174469,
  [SMALL_STATE(3496)] = 174535,
  [SMALL_STATE(3497)] = 174601,
  [SMALL_STATE(3498)] = 174667,
  [SMALL_STATE(3499)] = 174732,
  [SMALL_STATE(3500)] = 174829,
  [SMALL_STATE(3501)] = 174894,
  [SMALL_STATE(3502)] = 174959,
  [SMALL_STATE(3503)] = 175024,
  [SMALL_STATE(3504)] = 175089,
  [SMALL_STATE(3505)] = 175154,
  [SMALL_STATE(3506)] = 175219,
  [SMALL_STATE(3507)] = 175284,
  [SMALL_STATE(3508)] = 175349,
  [SMALL_STATE(3509)] = 175414,
  [SMALL_STATE(3510)] = 175479,
  [SMALL_STATE(3511)] = 175544,
  [SMALL_STATE(3512)] = 175611,
  [SMALL_STATE(3513)] = 175676,
  [SMALL_STATE(3514)] = 175743,
  [SMALL_STATE(3515)] = 175808,
  [SMALL_STATE(3516)] = 175873,
  [SMALL_STATE(3517)] = 175938,
  [SMALL_STATE(3518)] = 176005,
  [SMALL_STATE(3519)] = 176070,
  [SMALL_STATE(3520)] = 176137,
  [SMALL_STATE(3521)] = 176206,
  [SMALL_STATE(3522)] = 176273,
  [SMALL_STATE(3523)] = 176340,
  [SMALL_STATE(3524)] = 176407,
  [SMALL_STATE(3525)] = 176472,
  [SMALL_STATE(3526)] = 176539,
  [SMALL_STATE(3527)] = 176604,
  [SMALL_STATE(3528)] = 176669,
  [SMALL_STATE(3529)] = 176734,
  [SMALL_STATE(3530)] = 176799,
  [SMALL_STATE(3531)] = 176864,
  [SMALL_STATE(3532)] = 176931,
  [SMALL_STATE(3533)] = 176998,
  [SMALL_STATE(3534)] = 177065,
  [SMALL_STATE(3535)] = 177130,
  [SMALL_STATE(3536)] = 177197,
  [SMALL_STATE(3537)] = 177262,
  [SMALL_STATE(3538)] = 177327,
  [SMALL_STATE(3539)] = 177392,
  [SMALL_STATE(3540)] = 177461,
  [SMALL_STATE(3541)] = 177526,
  [SMALL_STATE(3542)] = 177595,
  [SMALL_STATE(3543)] = 177660,
  [SMALL_STATE(3544)] = 177725,
  [SMALL_STATE(3545)] = 177790,
  [SMALL_STATE(3546)] = 177855,
  [SMALL_STATE(3547)] = 177920,
  [SMALL_STATE(3548)] = 177989,
  [SMALL_STATE(3549)] = 178054,
  [SMALL_STATE(3550)] = 178119,
  [SMALL_STATE(3551)] = 178184,
  [SMALL_STATE(3552)] = 178249,
  [SMALL_STATE(3553)] = 178314,
  [SMALL_STATE(3554)] = 178379,
  [SMALL_STATE(3555)] = 178444,
  [SMALL_STATE(3556)] = 178509,
  [SMALL_STATE(3557)] = 178576,
  [SMALL_STATE(3558)] = 178643,
  [SMALL_STATE(3559)] = 178710,
  [SMALL_STATE(3560)] = 178775,
  [SMALL_STATE(3561)] = 178840,
  [SMALL_STATE(3562)] = 178907,
  [SMALL_STATE(3563)] = 178976,
  [SMALL_STATE(3564)] = 179041,
  [SMALL_STATE(3565)] = 179106,
  [SMALL_STATE(3566)] = 179171,
  [SMALL_STATE(3567)] = 179236,
  [SMALL_STATE(3568)] = 179301,
  [SMALL_STATE(3569)] = 179368,
  [SMALL_STATE(3570)] = 179433,
  [SMALL_STATE(3571)] = 179500,
  [SMALL_STATE(3572)] = 179567,
  [SMALL_STATE(3573)] = 179632,
  [SMALL_STATE(3574)] = 179699,
  [SMALL_STATE(3575)] = 179764,
  [SMALL_STATE(3576)] = 179831,
  [SMALL_STATE(3577)] = 179896,
  [SMALL_STATE(3578)] = 179961,
  [SMALL_STATE(3579)] = 180070,
  [SMALL_STATE(3580)] = 180135,
  [SMALL_STATE(3581)] = 180200,
  [SMALL_STATE(3582)] = 180265,
  [SMALL_STATE(3583)] = 180330,
  [SMALL_STATE(3584)] = 180395,
  [SMALL_STATE(3585)] = 180460,
  [SMALL_STATE(3586)] = 180525,
  [SMALL_STATE(3587)] = 180590,
  [SMALL_STATE(3588)] = 180655,
  [SMALL_STATE(3589)] = 180720,
  [SMALL_STATE(3590)] = 180785,
  [SMALL_STATE(3591)] = 180854,
  [SMALL_STATE(3592)] = 180919,
  [SMALL_STATE(3593)] = 180984,
  [SMALL_STATE(3594)] = 181049,
  [SMALL_STATE(3595)] = 181114,
  [SMALL_STATE(3596)] = 181179,
  [SMALL_STATE(3597)] = 181244,
  [SMALL_STATE(3598)] = 181309,
  [SMALL_STATE(3599)] = 181374,
  [SMALL_STATE(3600)] = 181439,
  [SMALL_STATE(3601)] = 181504,
  [SMALL_STATE(3602)] = 181569,
  [SMALL_STATE(3603)] = 181636,
  [SMALL_STATE(3604)] = 181701,
  [SMALL_STATE(3605)] = 181766,
  [SMALL_STATE(3606)] = 181831,
  [SMALL_STATE(3607)] = 181896,
  [SMALL_STATE(3608)] = 181961,
  [SMALL_STATE(3609)] = 182030,
  [SMALL_STATE(3610)] = 182095,
  [SMALL_STATE(3611)] = 182160,
  [SMALL_STATE(3612)] = 182225,
  [SMALL_STATE(3613)] = 182290,
  [SMALL_STATE(3614)] = 182395,
  [SMALL_STATE(3615)] = 182460,
  [SMALL_STATE(3616)] = 182539,
  [SMALL_STATE(3617)] = 182604,
  [SMALL_STATE(3618)] = 182683,
  [SMALL_STATE(3619)] = 182768,
  [SMALL_STATE(3620)] = 182857,
  [SMALL_STATE(3621)] = 182948,
  [SMALL_STATE(3622)] = 183041,
  [SMALL_STATE(3623)] = 183138,
  [SMALL_STATE(3624)] = 183237,
  [SMALL_STATE(3625)] = 183340,
  [SMALL_STATE(3626)] = 183445,
  [SMALL_STATE(3627)] = 183550,
  [SMALL_STATE(3628)] = 183623,
  [SMALL_STATE(3629)] = 183700,
  [SMALL_STATE(3630)] = 183771,
  [SMALL_STATE(3631)] = 183872,
  [SMALL_STATE(3632)] = 183959,
  [SMALL_STATE(3633)] = 184040,
  [SMALL_STATE(3634)] = 184105,
  [SMALL_STATE(3635)] = 184170,
  [SMALL_STATE(3636)] = 184235,
  [SMALL_STATE(3637)] = 184300,
  [SMALL_STATE(3638)] = 184365,
  [SMALL_STATE(3639)] = 184430,
  [SMALL_STATE(3640)] = 184495,
  [SMALL_STATE(3641)] = 184560,
  [SMALL_STATE(3642)] = 184625,
  [SMALL_STATE(3643)] = 184690,
  [SMALL_STATE(3644)] = 184755,
  [SMALL_STATE(3645)] = 184820,
  [SMALL_STATE(3646)] = 184927,
  [SMALL_STATE(3647)] = 184992,
  [SMALL_STATE(3648)] = 185057,
  [SMALL_STATE(3649)] = 185126,
  [SMALL_STATE(3650)] = 185195,
  [SMALL_STATE(3651)] = 185260,
  [SMALL_STATE(3652)] = 185325,
  [SMALL_STATE(3653)] = 185430,
  [SMALL_STATE(3654)] = 185495,
  [SMALL_STATE(3655)] = 185560,
  [SMALL_STATE(3656)] = 185625,
  [SMALL_STATE(3657)] = 185690,
  [SMALL_STATE(3658)] = 185755,
  [SMALL_STATE(3659)] = 185820,
  [SMALL_STATE(3660)] = 185885,
  [SMALL_STATE(3661)] = 185950,
  [SMALL_STATE(3662)] = 186015,
  [SMALL_STATE(3663)] = 186080,
  [SMALL_STATE(3664)] = 186145,
  [SMALL_STATE(3665)] = 186210,
  [SMALL_STATE(3666)] = 186275,
  [SMALL_STATE(3667)] = 186340,
  [SMALL_STATE(3668)] = 186409,
  [SMALL_STATE(3669)] = 186474,
  [SMALL_STATE(3670)] = 186539,
  [SMALL_STATE(3671)] = 186604,
  [SMALL_STATE(3672)] = 186669,
  [SMALL_STATE(3673)] = 186734,
  [SMALL_STATE(3674)] = 186799,
  [SMALL_STATE(3675)] = 186864,
  [SMALL_STATE(3676)] = 186929,
  [SMALL_STATE(3677)] = 186994,
  [SMALL_STATE(3678)] = 187059,
  [SMALL_STATE(3679)] = 187124,
  [SMALL_STATE(3680)] = 187189,
  [SMALL_STATE(3681)] = 187254,
  [SMALL_STATE(3682)] = 187319,
  [SMALL_STATE(3683)] = 187384,
  [SMALL_STATE(3684)] = 187449,
  [SMALL_STATE(3685)] = 187530,
  [SMALL_STATE(3686)] = 187617,
  [SMALL_STATE(3687)] = 187718,
  [SMALL_STATE(3688)] = 187789,
  [SMALL_STATE(3689)] = 187854,
  [SMALL_STATE(3690)] = 187923,
  [SMALL_STATE(3691)] = 187988,
  [SMALL_STATE(3692)] = 188053,
  [SMALL_STATE(3693)] = 188118,
  [SMALL_STATE(3694)] = 188183,
  [SMALL_STATE(3695)] = 188248,
  [SMALL_STATE(3696)] = 188313,
  [SMALL_STATE(3697)] = 188378,
  [SMALL_STATE(3698)] = 188451,
  [SMALL_STATE(3699)] = 188556,
  [SMALL_STATE(3700)] = 188661,
  [SMALL_STATE(3701)] = 188764,
  [SMALL_STATE(3702)] = 188863,
  [SMALL_STATE(3703)] = 188928,
  [SMALL_STATE(3704)] = 189021,
  [SMALL_STATE(3705)] = 189112,
  [SMALL_STATE(3706)] = 189201,
  [SMALL_STATE(3707)] = 189286,
  [SMALL_STATE(3708)] = 189365,
  [SMALL_STATE(3709)] = 189444,
  [SMALL_STATE(3710)] = 189513,
  [SMALL_STATE(3711)] = 189578,
  [SMALL_STATE(3712)] = 189643,
  [SMALL_STATE(3713)] = 189708,
  [SMALL_STATE(3714)] = 189773,
  [SMALL_STATE(3715)] = 189838,
  [SMALL_STATE(3716)] = 189903,
  [SMALL_STATE(3717)] = 189968,
  [SMALL_STATE(3718)] = 190033,
  [SMALL_STATE(3719)] = 190098,
  [SMALL_STATE(3720)] = 190163,
  [SMALL_STATE(3721)] = 190228,
  [SMALL_STATE(3722)] = 190293,
  [SMALL_STATE(3723)] = 190358,
  [SMALL_STATE(3724)] = 190423,
  [SMALL_STATE(3725)] = 190488,
  [SMALL_STATE(3726)] = 190553,
  [SMALL_STATE(3727)] = 190618,
  [SMALL_STATE(3728)] = 190683,
  [SMALL_STATE(3729)] = 190748,
  [SMALL_STATE(3730)] = 190817,
  [SMALL_STATE(3731)] = 190882,
  [SMALL_STATE(3732)] = 190947,
  [SMALL_STATE(3733)] = 191012,
  [SMALL_STATE(3734)] = 191077,
  [SMALL_STATE(3735)] = 191142,
  [SMALL_STATE(3736)] = 191209,
  [SMALL_STATE(3737)] = 191274,
  [SMALL_STATE(3738)] = 191339,
  [SMALL_STATE(3739)] = 191404,
  [SMALL_STATE(3740)] = 191469,
  [SMALL_STATE(3741)] = 191534,
  [SMALL_STATE(3742)] = 191611,
  [SMALL_STATE(3743)] = 191676,
  [SMALL_STATE(3744)] = 191741,
  [SMALL_STATE(3745)] = 191806,
  [SMALL_STATE(3746)] = 191871,
  [SMALL_STATE(3747)] = 191936,
  [SMALL_STATE(3748)] = 192001,
  [SMALL_STATE(3749)] = 192066,
  [SMALL_STATE(3750)] = 192131,
  [SMALL_STATE(3751)] = 192196,
  [SMALL_STATE(3752)] = 192261,
  [SMALL_STATE(3753)] = 192326,
  [SMALL_STATE(3754)] = 192391,
  [SMALL_STATE(3755)] = 192456,
  [SMALL_STATE(3756)] = 192521,
  [SMALL_STATE(3757)] = 192586,
  [SMALL_STATE(3758)] = 192651,
  [SMALL_STATE(3759)] = 192716,
  [SMALL_STATE(3760)] = 192781,
  [SMALL_STATE(3761)] = 192846,
  [SMALL_STATE(3762)] = 192911,
  [SMALL_STATE(3763)] = 192976,
  [SMALL_STATE(3764)] = 193041,
  [SMALL_STATE(3765)] = 193106,
  [SMALL_STATE(3766)] = 193171,
  [SMALL_STATE(3767)] = 193236,
  [SMALL_STATE(3768)] = 193301,
  [SMALL_STATE(3769)] = 193366,
  [SMALL_STATE(3770)] = 193431,
  [SMALL_STATE(3771)] = 193496,
  [SMALL_STATE(3772)] = 193561,
  [SMALL_STATE(3773)] = 193626,
  [SMALL_STATE(3774)] = 193691,
  [SMALL_STATE(3775)] = 193756,
  [SMALL_STATE(3776)] = 193821,
  [SMALL_STATE(3777)] = 193890,
  [SMALL_STATE(3778)] = 193955,
  [SMALL_STATE(3779)] = 194020,
  [SMALL_STATE(3780)] = 194085,
  [SMALL_STATE(3781)] = 194150,
  [SMALL_STATE(3782)] = 194215,
  [SMALL_STATE(3783)] = 194280,
  [SMALL_STATE(3784)] = 194345,
  [SMALL_STATE(3785)] = 194410,
  [SMALL_STATE(3786)] = 194475,
  [SMALL_STATE(3787)] = 194540,
  [SMALL_STATE(3788)] = 194605,
  [SMALL_STATE(3789)] = 194670,
  [SMALL_STATE(3790)] = 194735,
  [SMALL_STATE(3791)] = 194800,
  [SMALL_STATE(3792)] = 194865,
  [SMALL_STATE(3793)] = 194930,
  [SMALL_STATE(3794)] = 194999,
  [SMALL_STATE(3795)] = 195064,
  [SMALL_STATE(3796)] = 195129,
  [SMALL_STATE(3797)] = 195194,
  [SMALL_STATE(3798)] = 195259,
  [SMALL_STATE(3799)] = 195324,
  [SMALL_STATE(3800)] = 195389,
  [SMALL_STATE(3801)] = 195454,
  [SMALL_STATE(3802)] = 195519,
  [SMALL_STATE(3803)] = 195584,
  [SMALL_STATE(3804)] = 195649,
  [SMALL_STATE(3805)] = 195714,
  [SMALL_STATE(3806)] = 195779,
  [SMALL_STATE(3807)] = 195844,
  [SMALL_STATE(3808)] = 195909,
  [SMALL_STATE(3809)] = 195974,
  [SMALL_STATE(3810)] = 196039,
  [SMALL_STATE(3811)] = 196104,
  [SMALL_STATE(3812)] = 196169,
  [SMALL_STATE(3813)] = 196234,
  [SMALL_STATE(3814)] = 196299,
  [SMALL_STATE(3815)] = 196364,
  [SMALL_STATE(3816)] = 196429,
  [SMALL_STATE(3817)] = 196494,
  [SMALL_STATE(3818)] = 196559,
  [SMALL_STATE(3819)] = 196626,
  [SMALL_STATE(3820)] = 196693,
  [SMALL_STATE(3821)] = 196760,
  [SMALL_STATE(3822)] = 196827,
  [SMALL_STATE(3823)] = 196894,
  [SMALL_STATE(3824)] = 196959,
  [SMALL_STATE(3825)] = 197024,
  [SMALL_STATE(3826)] = 197091,
  [SMALL_STATE(3827)] = 197156,
  [SMALL_STATE(3828)] = 197223,
  [SMALL_STATE(3829)] = 197288,
  [SMALL_STATE(3830)] = 197353,
  [SMALL_STATE(3831)] = 197420,
  [SMALL_STATE(3832)] = 197485,
  [SMALL_STATE(3833)] = 197550,
  [SMALL_STATE(3834)] = 197617,
  [SMALL_STATE(3835)] = 197684,
  [SMALL_STATE(3836)] = 197751,
  [SMALL_STATE(3837)] = 197818,
  [SMALL_STATE(3838)] = 197885,
  [SMALL_STATE(3839)] = 197952,
  [SMALL_STATE(3840)] = 198019,
  [SMALL_STATE(3841)] = 198086,
  [SMALL_STATE(3842)] = 198153,
  [SMALL_STATE(3843)] = 198220,
  [SMALL_STATE(3844)] = 198287,
  [SMALL_STATE(3845)] = 198354,
  [SMALL_STATE(3846)] = 198421,
  [SMALL_STATE(3847)] = 198488,
  [SMALL_STATE(3848)] = 198555,
  [SMALL_STATE(3849)] = 198622,
  [SMALL_STATE(3850)] = 198689,
  [SMALL_STATE(3851)] = 198756,
  [SMALL_STATE(3852)] = 198823,
  [SMALL_STATE(3853)] = 198890,
  [SMALL_STATE(3854)] = 198957,
  [SMALL_STATE(3855)] = 199024,
  [SMALL_STATE(3856)] = 199091,
  [SMALL_STATE(3857)] = 199158,
  [SMALL_STATE(3858)] = 199225,
  [SMALL_STATE(3859)] = 199290,
  [SMALL_STATE(3860)] = 199355,
  [SMALL_STATE(3861)] = 199462,
  [SMALL_STATE(3862)] = 199529,
  [SMALL_STATE(3863)] = 199596,
  [SMALL_STATE(3864)] = 199663,
  [SMALL_STATE(3865)] = 199730,
  [SMALL_STATE(3866)] = 199797,
  [SMALL_STATE(3867)] = 199864,
  [SMALL_STATE(3868)] = 199931,
  [SMALL_STATE(3869)] = 199998,
  [SMALL_STATE(3870)] = 200065,
  [SMALL_STATE(3871)] = 200132,
  [SMALL_STATE(3872)] = 200239,
  [SMALL_STATE(3873)] = 200304,
  [SMALL_STATE(3874)] = 200369,
  [SMALL_STATE(3875)] = 200434,
  [SMALL_STATE(3876)] = 200501,
  [SMALL_STATE(3877)] = 200568,
  [SMALL_STATE(3878)] = 200633,
  [SMALL_STATE(3879)] = 200700,
  [SMALL_STATE(3880)] = 200767,
  [SMALL_STATE(3881)] = 200834,
  [SMALL_STATE(3882)] = 200901,
  [SMALL_STATE(3883)] = 200968,
  [SMALL_STATE(3884)] = 201033,
  [SMALL_STATE(3885)] = 201098,
  [SMALL_STATE(3886)] = 201167,
  [SMALL_STATE(3887)] = 201232,
  [SMALL_STATE(3888)] = 201297,
  [SMALL_STATE(3889)] = 201362,
  [SMALL_STATE(3890)] = 201427,
  [SMALL_STATE(3891)] = 201492,
  [SMALL_STATE(3892)] = 201557,
  [SMALL_STATE(3893)] = 201622,
  [SMALL_STATE(3894)] = 201687,
  [SMALL_STATE(3895)] = 201794,
  [SMALL_STATE(3896)] = 201859,
  [SMALL_STATE(3897)] = 201924,
  [SMALL_STATE(3898)] = 201989,
  [SMALL_STATE(3899)] = 202054,
  [SMALL_STATE(3900)] = 202119,
  [SMALL_STATE(3901)] = 202184,
  [SMALL_STATE(3902)] = 202249,
  [SMALL_STATE(3903)] = 202314,
  [SMALL_STATE(3904)] = 202379,
  [SMALL_STATE(3905)] = 202444,
  [SMALL_STATE(3906)] = 202509,
  [SMALL_STATE(3907)] = 202574,
  [SMALL_STATE(3908)] = 202639,
  [SMALL_STATE(3909)] = 202704,
  [SMALL_STATE(3910)] = 202769,
  [SMALL_STATE(3911)] = 202834,
  [SMALL_STATE(3912)] = 202899,
  [SMALL_STATE(3913)] = 202964,
  [SMALL_STATE(3914)] = 203029,
  [SMALL_STATE(3915)] = 203094,
  [SMALL_STATE(3916)] = 203163,
  [SMALL_STATE(3917)] = 203228,
  [SMALL_STATE(3918)] = 203293,
  [SMALL_STATE(3919)] = 203358,
  [SMALL_STATE(3920)] = 203423,
  [SMALL_STATE(3921)] = 203488,
  [SMALL_STATE(3922)] = 203553,
  [SMALL_STATE(3923)] = 203618,
  [SMALL_STATE(3924)] = 203683,
  [SMALL_STATE(3925)] = 203748,
  [SMALL_STATE(3926)] = 203813,
  [SMALL_STATE(3927)] = 203878,
  [SMALL_STATE(3928)] = 203985,
  [SMALL_STATE(3929)] = 204050,
  [SMALL_STATE(3930)] = 204115,
  [SMALL_STATE(3931)] = 204180,
  [SMALL_STATE(3932)] = 204245,
  [SMALL_STATE(3933)] = 204314,
  [SMALL_STATE(3934)] = 204379,
  [SMALL_STATE(3935)] = 204444,
  [SMALL_STATE(3936)] = 204509,
  [SMALL_STATE(3937)] = 204574,
  [SMALL_STATE(3938)] = 204639,
  [SMALL_STATE(3939)] = 204704,
  [SMALL_STATE(3940)] = 204769,
  [SMALL_STATE(3941)] = 204834,
  [SMALL_STATE(3942)] = 204899,
  [SMALL_STATE(3943)] = 204964,
  [SMALL_STATE(3944)] = 205029,
  [SMALL_STATE(3945)] = 205098,
  [SMALL_STATE(3946)] = 205177,
  [SMALL_STATE(3947)] = 205256,
  [SMALL_STATE(3948)] = 205341,
  [SMALL_STATE(3949)] = 205430,
  [SMALL_STATE(3950)] = 205521,
  [SMALL_STATE(3951)] = 205614,
  [SMALL_STATE(3952)] = 205711,
  [SMALL_STATE(3953)] = 205776,
  [SMALL_STATE(3954)] = 205875,
  [SMALL_STATE(3955)] = 205978,
  [SMALL_STATE(3956)] = 206043,
  [SMALL_STATE(3957)] = 206148,
  [SMALL_STATE(3958)] = 206213,
  [SMALL_STATE(3959)] = 206278,
  [SMALL_STATE(3960)] = 206343,
  [SMALL_STATE(3961)] = 206408,
  [SMALL_STATE(3962)] = 206513,
  [SMALL_STATE(3963)] = 206586,
  [SMALL_STATE(3964)] = 206663,
  [SMALL_STATE(3965)] = 206734,
  [SMALL_STATE(3966)] = 206799,
  [SMALL_STATE(3967)] = 206900,
  [SMALL_STATE(3968)] = 206987,
  [SMALL_STATE(3969)] = 207068,
  [SMALL_STATE(3970)] = 207133,
  [SMALL_STATE(3971)] = 207198,
  [SMALL_STATE(3972)] = 207265,
  [SMALL_STATE(3973)] = 207330,
  [SMALL_STATE(3974)] = 207395,
  [SMALL_STATE(3975)] = 207460,
  [SMALL_STATE(3976)] = 207539,
  [SMALL_STATE(3977)] = 207618,
  [SMALL_STATE(3978)] = 207701,
  [SMALL_STATE(3979)] = 207788,
  [SMALL_STATE(3980)] = 207877,
  [SMALL_STATE(3981)] = 207968,
  [SMALL_STATE(3982)] = 208063,
  [SMALL_STATE(3983)] = 208160,
  [SMALL_STATE(3984)] = 208261,
  [SMALL_STATE(3985)] = 208326,
  [SMALL_STATE(3986)] = 208429,
  [SMALL_STATE(3987)] = 208532,
  [SMALL_STATE(3988)] = 208605,
  [SMALL_STATE(3989)] = 208682,
  [SMALL_STATE(3990)] = 208753,
  [SMALL_STATE(3991)] = 208818,
  [SMALL_STATE(3992)] = 208917,
  [SMALL_STATE(3993)] = 209002,
  [SMALL_STATE(3994)] = 209083,
  [SMALL_STATE(3995)] = 209148,
  [SMALL_STATE(3996)] = 209213,
  [SMALL_STATE(3997)] = 209278,
  [SMALL_STATE(3998)] = 209343,
  [SMALL_STATE(3999)] = 209412,
  [SMALL_STATE(4000)] = 209477,
  [SMALL_STATE(4001)] = 209542,
  [SMALL_STATE(4002)] = 209607,
  [SMALL_STATE(4003)] = 209672,
  [SMALL_STATE(4004)] = 209737,
  [SMALL_STATE(4005)] = 209842,
  [SMALL_STATE(4006)] = 209907,
  [SMALL_STATE(4007)] = 209972,
  [SMALL_STATE(4008)] = 210037,
  [SMALL_STATE(4009)] = 210104,
  [SMALL_STATE(4010)] = 210171,
  [SMALL_STATE(4011)] = 210236,
  [SMALL_STATE(4012)] = 210301,
  [SMALL_STATE(4013)] = 210366,
  [SMALL_STATE(4014)] = 210431,
  [SMALL_STATE(4015)] = 210496,
  [SMALL_STATE(4016)] = 210561,
  [SMALL_STATE(4017)] = 210626,
  [SMALL_STATE(4018)] = 210693,
  [SMALL_STATE(4019)] = 210760,
  [SMALL_STATE(4020)] = 210827,
  [SMALL_STATE(4021)] = 210892,
  [SMALL_STATE(4022)] = 210959,
  [SMALL_STATE(4023)] = 211026,
  [SMALL_STATE(4024)] = 211091,
  [SMALL_STATE(4025)] = 211160,
  [SMALL_STATE(4026)] = 211225,
  [SMALL_STATE(4027)] = 211332,
  [SMALL_STATE(4028)] = 211397,
  [SMALL_STATE(4029)] = 211462,
  [SMALL_STATE(4030)] = 211527,
  [SMALL_STATE(4031)] = 211592,
  [SMALL_STATE(4032)] = 211657,
  [SMALL_STATE(4033)] = 211764,
  [SMALL_STATE(4034)] = 211829,
  [SMALL_STATE(4035)] = 211936,
  [SMALL_STATE(4036)] = 212001,
  [SMALL_STATE(4037)] = 212066,
  [SMALL_STATE(4038)] = 212131,
  [SMALL_STATE(4039)] = 212196,
  [SMALL_STATE(4040)] = 212263,
  [SMALL_STATE(4041)] = 212330,
  [SMALL_STATE(4042)] = 212395,
  [SMALL_STATE(4043)] = 212460,
  [SMALL_STATE(4044)] = 212525,
  [SMALL_STATE(4045)] = 212590,
  [SMALL_STATE(4046)] = 212657,
  [SMALL_STATE(4047)] = 212722,
  [SMALL_STATE(4048)] = 212787,
  [SMALL_STATE(4049)] = 212852,
  [SMALL_STATE(4050)] = 212916,
  [SMALL_STATE(4051)] = 212980,
  [SMALL_STATE(4052)] = 213046,
  [SMALL_STATE(4053)] = 213110,
  [SMALL_STATE(4054)] = 213174,
  [SMALL_STATE(4055)] = 213238,
  [SMALL_STATE(4056)] = 213302,
  [SMALL_STATE(4057)] = 213366,
  [SMALL_STATE(4058)] = 213434,
  [SMALL_STATE(4059)] = 213498,
  [SMALL_STATE(4060)] = 213562,
  [SMALL_STATE(4061)] = 213626,
  [SMALL_STATE(4062)] = 213694,
  [SMALL_STATE(4063)] = 213758,
  [SMALL_STATE(4064)] = 213822,
  [SMALL_STATE(4065)] = 213886,
  [SMALL_STATE(4066)] = 213950,
  [SMALL_STATE(4067)] = 214018,
  [SMALL_STATE(4068)] = 214082,
  [SMALL_STATE(4069)] = 214150,
  [SMALL_STATE(4070)] = 214214,
  [SMALL_STATE(4071)] = 214278,
  [SMALL_STATE(4072)] = 214342,
  [SMALL_STATE(4073)] = 214406,
  [SMALL_STATE(4074)] = 214512,
  [SMALL_STATE(4075)] = 214578,
  [SMALL_STATE(4076)] = 214644,
  [SMALL_STATE(4077)] = 214712,
  [SMALL_STATE(4078)] = 214776,
  [SMALL_STATE(4079)] = 214840,
  [SMALL_STATE(4080)] = 214932,
  [SMALL_STATE(4081)] = 214996,
  [SMALL_STATE(4082)] = 215064,
  [SMALL_STATE(4083)] = 215168,
  [SMALL_STATE(4084)] = 215232,
  [SMALL_STATE(4085)] = 215296,
  [SMALL_STATE(4086)] = 215364,
  [SMALL_STATE(4087)] = 215432,
  [SMALL_STATE(4088)] = 215496,
  [SMALL_STATE(4089)] = 215564,
  [SMALL_STATE(4090)] = 215628,
  [SMALL_STATE(4091)] = 215692,
  [SMALL_STATE(4092)] = 215756,
  [SMALL_STATE(4093)] = 215820,
  [SMALL_STATE(4094)] = 215884,
  [SMALL_STATE(4095)] = 215948,
  [SMALL_STATE(4096)] = 216012,
  [SMALL_STATE(4097)] = 216080,
  [SMALL_STATE(4098)] = 216144,
  [SMALL_STATE(4099)] = 216208,
  [SMALL_STATE(4100)] = 216272,
  [SMALL_STATE(4101)] = 216336,
  [SMALL_STATE(4102)] = 216400,
  [SMALL_STATE(4103)] = 216464,
  [SMALL_STATE(4104)] = 216528,
  [SMALL_STATE(4105)] = 216596,
  [SMALL_STATE(4106)] = 216660,
  [SMALL_STATE(4107)] = 216764,
  [SMALL_STATE(4108)] = 216828,
  [SMALL_STATE(4109)] = 216892,
  [SMALL_STATE(4110)] = 216960,
  [SMALL_STATE(4111)] = 217040,
  [SMALL_STATE(4112)] = 217104,
  [SMALL_STATE(4113)] = 217168,
  [SMALL_STATE(4114)] = 217248,
  [SMALL_STATE(4115)] = 217334,
  [SMALL_STATE(4116)] = 217434,
  [SMALL_STATE(4117)] = 217504,
  [SMALL_STATE(4118)] = 217580,
  [SMALL_STATE(4119)] = 217652,
  [SMALL_STATE(4120)] = 217716,
  [SMALL_STATE(4121)] = 217820,
  [SMALL_STATE(4122)] = 217924,
  [SMALL_STATE(4123)] = 218026,
  [SMALL_STATE(4124)] = 218124,
  [SMALL_STATE(4125)] = 218220,
  [SMALL_STATE(4126)] = 218292,
  [SMALL_STATE(4127)] = 218382,
  [SMALL_STATE(4128)] = 218446,
  [SMALL_STATE(4129)] = 218534,
  [SMALL_STATE(4130)] = 218640,
  [SMALL_STATE(4131)] = 218726,
  [SMALL_STATE(4132)] = 218790,
  [SMALL_STATE(4133)] = 218868,
  [SMALL_STATE(4134)] = 218946,
  [SMALL_STATE(4135)] = 219046,
  [SMALL_STATE(4136)] = 219116,
  [SMALL_STATE(4137)] = 219192,
  [SMALL_STATE(4138)] = 219260,
  [SMALL_STATE(4139)] = 219332,
  [SMALL_STATE(4140)] = 219436,
  [SMALL_STATE(4141)] = 219540,
  [SMALL_STATE(4142)] = 219642,
  [SMALL_STATE(4143)] = 219738,
  [SMALL_STATE(4144)] = 219830,
  [SMALL_STATE(4145)] = 219920,
  [SMALL_STATE(4146)] = 219984,
  [SMALL_STATE(4147)] = 220052,
  [SMALL_STATE(4148)] = 220116,
  [SMALL_STATE(4149)] = 220180,
  [SMALL_STATE(4150)] = 220268,
  [SMALL_STATE(4151)] = 220352,
  [SMALL_STATE(4152)] = 220416,
  [SMALL_STATE(4153)] = 220480,
  [SMALL_STATE(4154)] = 220558,
  [SMALL_STATE(4155)] = 220636,
  [SMALL_STATE(4156)] = 220700,
  [SMALL_STATE(4157)] = 220764,
  [SMALL_STATE(4158)] = 220828,
  [SMALL_STATE(4159)] = 220892,
  [SMALL_STATE(4160)] = 220956,
  [SMALL_STATE(4161)] = 221020,
  [SMALL_STATE(4162)] = 221084,
  [SMALL_STATE(4163)] = 221148,
  [SMALL_STATE(4164)] = 221228,
  [SMALL_STATE(4165)] = 221312,
  [SMALL_STATE(4166)] = 221410,
  [SMALL_STATE(4167)] = 221474,
  [SMALL_STATE(4168)] = 221538,
  [SMALL_STATE(4169)] = 221608,
  [SMALL_STATE(4170)] = 221684,
  [SMALL_STATE(4171)] = 221748,
  [SMALL_STATE(4172)] = 221812,
  [SMALL_STATE(4173)] = 221880,
  [SMALL_STATE(4174)] = 221944,
  [SMALL_STATE(4175)] = 222046,
  [SMALL_STATE(4176)] = 222110,
  [SMALL_STATE(4177)] = 222174,
  [SMALL_STATE(4178)] = 222238,
  [SMALL_STATE(4179)] = 222340,
  [SMALL_STATE(4180)] = 222438,
  [SMALL_STATE(4181)] = 222502,
  [SMALL_STATE(4182)] = 222566,
  [SMALL_STATE(4183)] = 222666,
  [SMALL_STATE(4184)] = 222762,
  [SMALL_STATE(4185)] = 222856,
  [SMALL_STATE(4186)] = 222920,
  [SMALL_STATE(4187)] = 222984,
  [SMALL_STATE(4188)] = 223048,
  [SMALL_STATE(4189)] = 223138,
  [SMALL_STATE(4190)] = 223202,
  [SMALL_STATE(4191)] = 223266,
  [SMALL_STATE(4192)] = 223354,
  [SMALL_STATE(4193)] = 223440,
  [SMALL_STATE(4194)] = 223504,
  [SMALL_STATE(4195)] = 223570,
  [SMALL_STATE(4196)] = 223634,
  [SMALL_STATE(4197)] = 223698,
  [SMALL_STATE(4198)] = 223780,
  [SMALL_STATE(4199)] = 223858,
  [SMALL_STATE(4200)] = 223966,
  [SMALL_STATE(4201)] = 224030,
  [SMALL_STATE(4202)] = 224108,
  [SMALL_STATE(4203)] = 224176,
  [SMALL_STATE(4204)] = 224240,
  [SMALL_STATE(4205)] = 224304,
  [SMALL_STATE(4206)] = 224368,
  [SMALL_STATE(4207)] = 224432,
  [SMALL_STATE(4208)] = 224496,
  [SMALL_STATE(4209)] = 224560,
  [SMALL_STATE(4210)] = 224624,
  [SMALL_STATE(4211)] = 224688,
  [SMALL_STATE(4212)] = 224752,
  [SMALL_STATE(4213)] = 224836,
  [SMALL_STATE(4214)] = 224900,
  [SMALL_STATE(4215)] = 224964,
  [SMALL_STATE(4216)] = 225028,
  [SMALL_STATE(4217)] = 225092,
  [SMALL_STATE(4218)] = 225156,
  [SMALL_STATE(4219)] = 225220,
  [SMALL_STATE(4220)] = 225284,
  [SMALL_STATE(4221)] = 225348,
  [SMALL_STATE(4222)] = 225412,
  [SMALL_STATE(4223)] = 225478,
  [SMALL_STATE(4224)] = 225542,
  [SMALL_STATE(4225)] = 225606,
  [SMALL_STATE(4226)] = 225670,
  [SMALL_STATE(4227)] = 225734,
  [SMALL_STATE(4228)] = 225798,
  [SMALL_STATE(4229)] = 225862,
  [SMALL_STATE(4230)] = 225926,
  [SMALL_STATE(4231)] = 225990,
  [SMALL_STATE(4232)] = 226054,
  [SMALL_STATE(4233)] = 226118,
  [SMALL_STATE(4234)] = 226182,
  [SMALL_STATE(4235)] = 226246,
  [SMALL_STATE(4236)] = 226310,
  [SMALL_STATE(4237)] = 226374,
  [SMALL_STATE(4238)] = 226438,
  [SMALL_STATE(4239)] = 226502,
  [SMALL_STATE(4240)] = 226566,
  [SMALL_STATE(4241)] = 226630,
  [SMALL_STATE(4242)] = 226694,
  [SMALL_STATE(4243)] = 226758,
  [SMALL_STATE(4244)] = 226822,
  [SMALL_STATE(4245)] = 226886,
  [SMALL_STATE(4246)] = 226950,
  [SMALL_STATE(4247)] = 227014,
  [SMALL_STATE(4248)] = 227078,
  [SMALL_STATE(4249)] = 227144,
  [SMALL_STATE(4250)] = 227210,
  [SMALL_STATE(4251)] = 227274,
  [SMALL_STATE(4252)] = 227338,
  [SMALL_STATE(4253)] = 227402,
  [SMALL_STATE(4254)] = 227466,
  [SMALL_STATE(4255)] = 227530,
  [SMALL_STATE(4256)] = 227594,
  [SMALL_STATE(4257)] = 227658,
  [SMALL_STATE(4258)] = 227722,
  [SMALL_STATE(4259)] = 227786,
  [SMALL_STATE(4260)] = 227850,
  [SMALL_STATE(4261)] = 227914,
  [SMALL_STATE(4262)] = 227980,
  [SMALL_STATE(4263)] = 228046,
  [SMALL_STATE(4264)] = 228112,
  [SMALL_STATE(4265)] = 228176,
  [SMALL_STATE(4266)] = 228240,
  [SMALL_STATE(4267)] = 228306,
  [SMALL_STATE(4268)] = 228370,
  [SMALL_STATE(4269)] = 228434,
  [SMALL_STATE(4270)] = 228500,
  [SMALL_STATE(4271)] = 228564,
  [SMALL_STATE(4272)] = 228628,
  [SMALL_STATE(4273)] = 228692,
  [SMALL_STATE(4274)] = 228756,
  [SMALL_STATE(4275)] = 228822,
  [SMALL_STATE(4276)] = 228886,
  [SMALL_STATE(4277)] = 228950,
  [SMALL_STATE(4278)] = 229016,
  [SMALL_STATE(4279)] = 229080,
  [SMALL_STATE(4280)] = 229144,
  [SMALL_STATE(4281)] = 229208,
  [SMALL_STATE(4282)] = 229272,
  [SMALL_STATE(4283)] = 229336,
  [SMALL_STATE(4284)] = 229400,
  [SMALL_STATE(4285)] = 229466,
  [SMALL_STATE(4286)] = 229532,
  [SMALL_STATE(4287)] = 229596,
  [SMALL_STATE(4288)] = 229704,
  [SMALL_STATE(4289)] = 229768,
  [SMALL_STATE(4290)] = 229832,
  [SMALL_STATE(4291)] = 229896,
  [SMALL_STATE(4292)] = 229960,
  [SMALL_STATE(4293)] = 230024,
  [SMALL_STATE(4294)] = 230088,
  [SMALL_STATE(4295)] = 230152,
  [SMALL_STATE(4296)] = 230216,
  [SMALL_STATE(4297)] = 230280,
  [SMALL_STATE(4298)] = 230344,
  [SMALL_STATE(4299)] = 230408,
  [SMALL_STATE(4300)] = 230472,
  [SMALL_STATE(4301)] = 230536,
  [SMALL_STATE(4302)] = 230600,
  [SMALL_STATE(4303)] = 230664,
  [SMALL_STATE(4304)] = 230728,
  [SMALL_STATE(4305)] = 230792,
  [SMALL_STATE(4306)] = 230856,
  [SMALL_STATE(4307)] = 230920,
  [SMALL_STATE(4308)] = 230984,
  [SMALL_STATE(4309)] = 231048,
  [SMALL_STATE(4310)] = 231154,
  [SMALL_STATE(4311)] = 231218,
  [SMALL_STATE(4312)] = 231282,
  [SMALL_STATE(4313)] = 231346,
  [SMALL_STATE(4314)] = 231410,
  [SMALL_STATE(4315)] = 231474,
  [SMALL_STATE(4316)] = 231538,
  [SMALL_STATE(4317)] = 231602,
  [SMALL_STATE(4318)] = 231668,
  [SMALL_STATE(4319)] = 231732,
  [SMALL_STATE(4320)] = 231800,
  [SMALL_STATE(4321)] = 231864,
  [SMALL_STATE(4322)] = 231930,
  [SMALL_STATE(4323)] = 232036,
  [SMALL_STATE(4324)] = 232100,
  [SMALL_STATE(4325)] = 232166,
  [SMALL_STATE(4326)] = 232232,
  [SMALL_STATE(4327)] = 232298,
  [SMALL_STATE(4328)] = 232362,
  [SMALL_STATE(4329)] = 232428,
  [SMALL_STATE(4330)] = 232492,
  [SMALL_STATE(4331)] = 232556,
  [SMALL_STATE(4332)] = 232620,
  [SMALL_STATE(4333)] = 232684,
  [SMALL_STATE(4334)] = 232748,
  [SMALL_STATE(4335)] = 232812,
  [SMALL_STATE(4336)] = 232876,
  [SMALL_STATE(4337)] = 232940,
  [SMALL_STATE(4338)] = 233004,
  [SMALL_STATE(4339)] = 233068,
  [SMALL_STATE(4340)] = 233132,
  [SMALL_STATE(4341)] = 233238,
  [SMALL_STATE(4342)] = 233318,
  [SMALL_STATE(4343)] = 233404,
  [SMALL_STATE(4344)] = 233504,
  [SMALL_STATE(4345)] = 233568,
  [SMALL_STATE(4346)] = 233632,
  [SMALL_STATE(4347)] = 233696,
  [SMALL_STATE(4348)] = 233760,
  [SMALL_STATE(4349)] = 233824,
  [SMALL_STATE(4350)] = 233888,
  [SMALL_STATE(4351)] = 233952,
  [SMALL_STATE(4352)] = 234028,
  [SMALL_STATE(4353)] = 234092,
  [SMALL_STATE(4354)] = 234164,
  [SMALL_STATE(4355)] = 234228,
  [SMALL_STATE(4356)] = 234292,
  [SMALL_STATE(4357)] = 234400,
  [SMALL_STATE(4358)] = 234504,
  [SMALL_STATE(4359)] = 234568,
  [SMALL_STATE(4360)] = 234632,
  [SMALL_STATE(4361)] = 234696,
  [SMALL_STATE(4362)] = 234760,
  [SMALL_STATE(4363)] = 234824,
  [SMALL_STATE(4364)] = 234928,
  [SMALL_STATE(4365)] = 234992,
  [SMALL_STATE(4366)] = 235062,
  [SMALL_STATE(4367)] = 235126,
  [SMALL_STATE(4368)] = 235224,
  [SMALL_STATE(4369)] = 235320,
  [SMALL_STATE(4370)] = 235384,
  [SMALL_STATE(4371)] = 235476,
  [SMALL_STATE(4372)] = 235566,
  [SMALL_STATE(4373)] = 235654,
  [SMALL_STATE(4374)] = 235738,
  [SMALL_STATE(4375)] = 235816,
  [SMALL_STATE(4376)] = 235880,
  [SMALL_STATE(4377)] = 235944,
  [SMALL_STATE(4378)] = 236008,
  [SMALL_STATE(4379)] = 236072,
  [SMALL_STATE(4380)] = 236136,
  [SMALL_STATE(4381)] = 236200,
  [SMALL_STATE(4382)] = 236264,
  [SMALL_STATE(4383)] = 236328,
  [SMALL_STATE(4384)] = 236392,
  [SMALL_STATE(4385)] = 236456,
  [SMALL_STATE(4386)] = 236534,
  [SMALL_STATE(4387)] = 236598,
  [SMALL_STATE(4388)] = 236666,
  [SMALL_STATE(4389)] = 236730,
  [SMALL_STATE(4390)] = 236794,
  [SMALL_STATE(4391)] = 236858,
  [SMALL_STATE(4392)] = 236922,
  [SMALL_STATE(4393)] = 236986,
  [SMALL_STATE(4394)] = 237050,
  [SMALL_STATE(4395)] = 237152,
  [SMALL_STATE(4396)] = 237216,
  [SMALL_STATE(4397)] = 237280,
  [SMALL_STATE(4398)] = 237386,
  [SMALL_STATE(4399)] = 237450,
  [SMALL_STATE(4400)] = 237514,
  [SMALL_STATE(4401)] = 237578,
  [SMALL_STATE(4402)] = 237642,
  [SMALL_STATE(4403)] = 237706,
  [SMALL_STATE(4404)] = 237770,
  [SMALL_STATE(4405)] = 237834,
  [SMALL_STATE(4406)] = 237898,
  [SMALL_STATE(4407)] = 237962,
  [SMALL_STATE(4408)] = 238026,
  [SMALL_STATE(4409)] = 238134,
  [SMALL_STATE(4410)] = 238198,
  [SMALL_STATE(4411)] = 238262,
  [SMALL_STATE(4412)] = 238326,
  [SMALL_STATE(4413)] = 238390,
  [SMALL_STATE(4414)] = 238454,
  [SMALL_STATE(4415)] = 238518,
  [SMALL_STATE(4416)] = 238582,
  [SMALL_STATE(4417)] = 238646,
  [SMALL_STATE(4418)] = 238710,
  [SMALL_STATE(4419)] = 238773,
  [SMALL_STATE(4420)] = 238856,
  [SMALL_STATE(4421)] = 238919,
  [SMALL_STATE(4422)] = 238982,
  [SMALL_STATE(4423)] = 239085,
  [SMALL_STATE(4424)] = 239148,
  [SMALL_STATE(4425)] = 239215,
  [SMALL_STATE(4426)] = 239278,
  [SMALL_STATE(4427)] = 239341,
  [SMALL_STATE(4428)] = 239404,
  [SMALL_STATE(4429)] = 239467,
  [SMALL_STATE(4430)] = 239530,
  [SMALL_STATE(4431)] = 239593,
  [SMALL_STATE(4432)] = 239656,
  [SMALL_STATE(4433)] = 239719,
  [SMALL_STATE(4434)] = 239782,
  [SMALL_STATE(4435)] = 239845,
  [SMALL_STATE(4436)] = 239908,
  [SMALL_STATE(4437)] = 239971,
  [SMALL_STATE(4438)] = 240048,
  [SMALL_STATE(4439)] = 240111,
  [SMALL_STATE(4440)] = 240196,
  [SMALL_STATE(4441)] = 240283,
  [SMALL_STATE(4442)] = 240386,
  [SMALL_STATE(4443)] = 240475,
  [SMALL_STATE(4444)] = 240568,
  [SMALL_STATE(4445)] = 240663,
  [SMALL_STATE(4446)] = 240726,
  [SMALL_STATE(4447)] = 240825,
  [SMALL_STATE(4448)] = 240888,
  [SMALL_STATE(4449)] = 240951,
  [SMALL_STATE(4450)] = 241014,
  [SMALL_STATE(4451)] = 241077,
  [SMALL_STATE(4452)] = 241140,
  [SMALL_STATE(4453)] = 241241,
  [SMALL_STATE(4454)] = 241306,
  [SMALL_STATE(4455)] = 241407,
  [SMALL_STATE(4456)] = 241478,
  [SMALL_STATE(4457)] = 241583,
  [SMALL_STATE(4458)] = 241658,
  [SMALL_STATE(4459)] = 241721,
  [SMALL_STATE(4460)] = 241784,
  [SMALL_STATE(4461)] = 241847,
  [SMALL_STATE(4462)] = 241910,
  [SMALL_STATE(4463)] = 241973,
  [SMALL_STATE(4464)] = 242070,
  [SMALL_STATE(4465)] = 242133,
  [SMALL_STATE(4466)] = 242196,
  [SMALL_STATE(4467)] = 242259,
  [SMALL_STATE(4468)] = 242338,
  [SMALL_STATE(4469)] = 242405,
  [SMALL_STATE(4470)] = 242468,
  [SMALL_STATE(4471)] = 242571,
  [SMALL_STATE(4472)] = 242634,
  [SMALL_STATE(4473)] = 242697,
  [SMALL_STATE(4474)] = 242760,
  [SMALL_STATE(4475)] = 242823,
  [SMALL_STATE(4476)] = 242886,
  [SMALL_STATE(4477)] = 242949,
  [SMALL_STATE(4478)] = 243012,
  [SMALL_STATE(4479)] = 243075,
  [SMALL_STATE(4480)] = 243138,
  [SMALL_STATE(4481)] = 243201,
  [SMALL_STATE(4482)] = 243264,
  [SMALL_STATE(4483)] = 243327,
  [SMALL_STATE(4484)] = 243390,
  [SMALL_STATE(4485)] = 243453,
  [SMALL_STATE(4486)] = 243516,
  [SMALL_STATE(4487)] = 243579,
  [SMALL_STATE(4488)] = 243642,
  [SMALL_STATE(4489)] = 243705,
  [SMALL_STATE(4490)] = 243772,
  [SMALL_STATE(4491)] = 243877,
  [SMALL_STATE(4492)] = 243940,
  [SMALL_STATE(4493)] = 244045,
  [SMALL_STATE(4494)] = 244108,
  [SMALL_STATE(4495)] = 244211,
  [SMALL_STATE(4496)] = 244274,
  [SMALL_STATE(4497)] = 244337,
  [SMALL_STATE(4498)] = 244400,
  [SMALL_STATE(4499)] = 244465,
  [SMALL_STATE(4500)] = 244528,
  [SMALL_STATE(4501)] = 244631,
  [SMALL_STATE(4502)] = 244694,
  [SMALL_STATE(4503)] = 244757,
  [SMALL_STATE(4504)] = 244820,
  [SMALL_STATE(4505)] = 244883,
  [SMALL_STATE(4506)] = 244946,
  [SMALL_STATE(4507)] = 245009,
  [SMALL_STATE(4508)] = 245112,
  [SMALL_STATE(4509)] = 245175,
  [SMALL_STATE(4510)] = 245238,
  [SMALL_STATE(4511)] = 245301,
  [SMALL_STATE(4512)] = 245364,
  [SMALL_STATE(4513)] = 245427,
  [SMALL_STATE(4514)] = 245490,
  [SMALL_STATE(4515)] = 245553,
  [SMALL_STATE(4516)] = 245616,
  [SMALL_STATE(4517)] = 245679,
  [SMALL_STATE(4518)] = 245758,
  [SMALL_STATE(4519)] = 245841,
  [SMALL_STATE(4520)] = 245938,
  [SMALL_STATE(4521)] = 246007,
  [SMALL_STATE(4522)] = 246082,
  [SMALL_STATE(4523)] = 246153,
  [SMALL_STATE(4524)] = 246254,
  [SMALL_STATE(4525)] = 246355,
  [SMALL_STATE(4526)] = 246454,
  [SMALL_STATE(4527)] = 246549,
  [SMALL_STATE(4528)] = 246642,
  [SMALL_STATE(4529)] = 246731,
  [SMALL_STATE(4530)] = 246818,
  [SMALL_STATE(4531)] = 246903,
  [SMALL_STATE(4532)] = 246984,
  [SMALL_STATE(4533)] = 247061,
  [SMALL_STATE(4534)] = 247138,
  [SMALL_STATE(4535)] = 247201,
  [SMALL_STATE(4536)] = 247306,
  [SMALL_STATE(4537)] = 247409,
  [SMALL_STATE(4538)] = 247472,
  [SMALL_STATE(4539)] = 247535,
  [SMALL_STATE(4540)] = 247598,
  [SMALL_STATE(4541)] = 247661,
  [SMALL_STATE(4542)] = 247738,
  [SMALL_STATE(4543)] = 247801,
  [SMALL_STATE(4544)] = 247864,
  [SMALL_STATE(4545)] = 247927,
  [SMALL_STATE(4546)] = 247990,
  [SMALL_STATE(4547)] = 248053,
  [SMALL_STATE(4548)] = 248116,
  [SMALL_STATE(4549)] = 248179,
  [SMALL_STATE(4550)] = 248260,
  [SMALL_STATE(4551)] = 248323,
  [SMALL_STATE(4552)] = 248386,
  [SMALL_STATE(4553)] = 248455,
  [SMALL_STATE(4554)] = 248557,
  [SMALL_STATE(4555)] = 248659,
  [SMALL_STATE(4556)] = 248761,
  [SMALL_STATE(4557)] = 248863,
  [SMALL_STATE(4558)] = 248965,
  [SMALL_STATE(4559)] = 249067,
  [SMALL_STATE(4560)] = 249169,
  [SMALL_STATE(4561)] = 249271,
  [SMALL_STATE(4562)] = 249335,
  [SMALL_STATE(4563)] = 249399,
  [SMALL_STATE(4564)] = 249501,
  [SMALL_STATE(4565)] = 249603,
  [SMALL_STATE(4566)] = 249705,
  [SMALL_STATE(4567)] = 249807,
  [SMALL_STATE(4568)] = 249909,
  [SMALL_STATE(4569)] = 250011,
  [SMALL_STATE(4570)] = 250113,
  [SMALL_STATE(4571)] = 250215,
  [SMALL_STATE(4572)] = 250317,
  [SMALL_STATE(4573)] = 250419,
  [SMALL_STATE(4574)] = 250521,
  [SMALL_STATE(4575)] = 250623,
  [SMALL_STATE(4576)] = 250725,
  [SMALL_STATE(4577)] = 250827,
  [SMALL_STATE(4578)] = 250929,
  [SMALL_STATE(4579)] = 251031,
  [SMALL_STATE(4580)] = 251130,
  [SMALL_STATE(4581)] = 251199,
  [SMALL_STATE(4582)] = 251268,
  [SMALL_STATE(4583)] = 251337,
  [SMALL_STATE(4584)] = 251406,
  [SMALL_STATE(4585)] = 251475,
  [SMALL_STATE(4586)] = 251544,
  [SMALL_STATE(4587)] = 251613,
  [SMALL_STATE(4588)] = 251682,
  [SMALL_STATE(4589)] = 251751,
  [SMALL_STATE(4590)] = 251820,
  [SMALL_STATE(4591)] = 251889,
  [SMALL_STATE(4592)] = 251958,
  [SMALL_STATE(4593)] = 252027,
  [SMALL_STATE(4594)] = 252096,
  [SMALL_STATE(4595)] = 252165,
  [SMALL_STATE(4596)] = 252234,
  [SMALL_STATE(4597)] = 252303,
  [SMALL_STATE(4598)] = 252372,
  [SMALL_STATE(4599)] = 252441,
  [SMALL_STATE(4600)] = 252510,
  [SMALL_STATE(4601)] = 252579,
  [SMALL_STATE(4602)] = 252648,
  [SMALL_STATE(4603)] = 252717,
  [SMALL_STATE(4604)] = 252786,
  [SMALL_STATE(4605)] = 252855,
  [SMALL_STATE(4606)] = 252924,
  [SMALL_STATE(4607)] = 252993,
  [SMALL_STATE(4608)] = 253062,
  [SMALL_STATE(4609)] = 253131,
  [SMALL_STATE(4610)] = 253200,
  [SMALL_STATE(4611)] = 253269,
  [SMALL_STATE(4612)] = 253338,
  [SMALL_STATE(4613)] = 253407,
  [SMALL_STATE(4614)] = 253476,
  [SMALL_STATE(4615)] = 253545,
  [SMALL_STATE(4616)] = 253614,
  [SMALL_STATE(4617)] = 253659,
  [SMALL_STATE(4618)] = 253704,
  [SMALL_STATE(4619)] = 253749,
  [SMALL_STATE(4620)] = 253794,
  [SMALL_STATE(4621)] = 253839,
  [SMALL_STATE(4622)] = 253884,
  [SMALL_STATE(4623)] = 253929,
  [SMALL_STATE(4624)] = 253974,
  [SMALL_STATE(4625)] = 254019,
  [SMALL_STATE(4626)] = 254064,
  [SMALL_STATE(4627)] = 254109,
  [SMALL_STATE(4628)] = 254154,
  [SMALL_STATE(4629)] = 254199,
  [SMALL_STATE(4630)] = 254244,
  [SMALL_STATE(4631)] = 254289,
  [SMALL_STATE(4632)] = 254334,
  [SMALL_STATE(4633)] = 254379,
  [SMALL_STATE(4634)] = 254424,
  [SMALL_STATE(4635)] = 254469,
  [SMALL_STATE(4636)] = 254514,
  [SMALL_STATE(4637)] = 254559,
  [SMALL_STATE(4638)] = 254604,
  [SMALL_STATE(4639)] = 254649,
  [SMALL_STATE(4640)] = 254694,
  [SMALL_STATE(4641)] = 254739,
  [SMALL_STATE(4642)] = 254784,
  [SMALL_STATE(4643)] = 254829,
  [SMALL_STATE(4644)] = 254874,
  [SMALL_STATE(4645)] = 254919,
  [SMALL_STATE(4646)] = 254964,
  [SMALL_STATE(4647)] = 255009,
  [SMALL_STATE(4648)] = 255054,
  [SMALL_STATE(4649)] = 255099,
  [SMALL_STATE(4650)] = 255144,
  [SMALL_STATE(4651)] = 255189,
  [SMALL_STATE(4652)] = 255234,
  [SMALL_STATE(4653)] = 255279,
  [SMALL_STATE(4654)] = 255324,
  [SMALL_STATE(4655)] = 255369,
  [SMALL_STATE(4656)] = 255414,
  [SMALL_STATE(4657)] = 255459,
  [SMALL_STATE(4658)] = 255504,
  [SMALL_STATE(4659)] = 255549,
  [SMALL_STATE(4660)] = 255594,
  [SMALL_STATE(4661)] = 255639,
  [SMALL_STATE(4662)] = 255684,
  [SMALL_STATE(4663)] = 255729,
  [SMALL_STATE(4664)] = 255774,
  [SMALL_STATE(4665)] = 255819,
  [SMALL_STATE(4666)] = 255864,
  [SMALL_STATE(4667)] = 255909,
  [SMALL_STATE(4668)] = 255954,
  [SMALL_STATE(4669)] = 255999,
  [SMALL_STATE(4670)] = 256044,
  [SMALL_STATE(4671)] = 256089,
  [SMALL_STATE(4672)] = 256134,
  [SMALL_STATE(4673)] = 256179,
  [SMALL_STATE(4674)] = 256224,
  [SMALL_STATE(4675)] = 256269,
  [SMALL_STATE(4676)] = 256314,
  [SMALL_STATE(4677)] = 256359,
  [SMALL_STATE(4678)] = 256404,
  [SMALL_STATE(4679)] = 256449,
  [SMALL_STATE(4680)] = 256494,
  [SMALL_STATE(4681)] = 256539,
  [SMALL_STATE(4682)] = 256584,
  [SMALL_STATE(4683)] = 256629,
  [SMALL_STATE(4684)] = 256674,
  [SMALL_STATE(4685)] = 256719,
  [SMALL_STATE(4686)] = 256764,
  [SMALL_STATE(4687)] = 256809,
  [SMALL_STATE(4688)] = 256854,
  [SMALL_STATE(4689)] = 256890,
  [SMALL_STATE(4690)] = 256926,
  [SMALL_STATE(4691)] = 256957,
  [SMALL_STATE(4692)] = 256988,
  [SMALL_STATE(4693)] = 257019,
  [SMALL_STATE(4694)] = 257050,
  [SMALL_STATE(4695)] = 257081,
  [SMALL_STATE(4696)] = 257112,
  [SMALL_STATE(4697)] = 257143,
  [SMALL_STATE(4698)] = 257174,
  [SMALL_STATE(4699)] = 257205,
  [SMALL_STATE(4700)] = 257236,
  [SMALL_STATE(4701)] = 257267,
  [SMALL_STATE(4702)] = 257298,
  [SMALL_STATE(4703)] = 257329,
  [SMALL_STATE(4704)] = 257360,
  [SMALL_STATE(4705)] = 257391,
  [SMALL_STATE(4706)] = 257422,
  [SMALL_STATE(4707)] = 257453,
  [SMALL_STATE(4708)] = 257484,
  [SMALL_STATE(4709)] = 257515,
  [SMALL_STATE(4710)] = 257546,
  [SMALL_STATE(4711)] = 257577,
  [SMALL_STATE(4712)] = 257608,
  [SMALL_STATE(4713)] = 257639,
  [SMALL_STATE(4714)] = 257670,
  [SMALL_STATE(4715)] = 257701,
  [SMALL_STATE(4716)] = 257732,
  [SMALL_STATE(4717)] = 257763,
  [SMALL_STATE(4718)] = 257794,
  [SMALL_STATE(4719)] = 257825,
  [SMALL_STATE(4720)] = 257856,
  [SMALL_STATE(4721)] = 257887,
  [SMALL_STATE(4722)] = 257918,
  [SMALL_STATE(4723)] = 257949,
  [SMALL_STATE(4724)] = 257980,
  [SMALL_STATE(4725)] = 258011,
  [SMALL_STATE(4726)] = 258042,
  [SMALL_STATE(4727)] = 258073,
  [SMALL_STATE(4728)] = 258104,
  [SMALL_STATE(4729)] = 258135,
  [SMALL_STATE(4730)] = 258166,
  [SMALL_STATE(4731)] = 258197,
  [SMALL_STATE(4732)] = 258228,
  [SMALL_STATE(4733)] = 258259,
  [SMALL_STATE(4734)] = 258290,
  [SMALL_STATE(4735)] = 258321,
  [SMALL_STATE(4736)] = 258352,
  [SMALL_STATE(4737)] = 258383,
  [SMALL_STATE(4738)] = 258414,
  [SMALL_STATE(4739)] = 258445,
  [SMALL_STATE(4740)] = 258476,
  [SMALL_STATE(4741)] = 258507,
  [SMALL_STATE(4742)] = 258538,
  [SMALL_STATE(4743)] = 258569,
  [SMALL_STATE(4744)] = 258600,
  [SMALL_STATE(4745)] = 258631,
  [SMALL_STATE(4746)] = 258662,
  [SMALL_STATE(4747)] = 258693,
  [SMALL_STATE(4748)] = 258724,
  [SMALL_STATE(4749)] = 258755,
  [SMALL_STATE(4750)] = 258786,
  [SMALL_STATE(4751)] = 258817,
  [SMALL_STATE(4752)] = 258847,
  [SMALL_STATE(4753)] = 258881,
  [SMALL_STATE(4754)] = 258911,
  [SMALL_STATE(4755)] = 258941,
  [SMALL_STATE(4756)] = 258971,
  [SMALL_STATE(4757)] = 259001,
  [SMALL_STATE(4758)] = 259031,
  [SMALL_STATE(4759)] = 259061,
  [SMALL_STATE(4760)] = 259091,
  [SMALL_STATE(4761)] = 259125,
  [SMALL_STATE(4762)] = 259155,
  [SMALL_STATE(4763)] = 259185,
  [SMALL_STATE(4764)] = 259215,
  [SMALL_STATE(4765)] = 259245,
  [SMALL_STATE(4766)] = 259275,
  [SMALL_STATE(4767)] = 259305,
  [SMALL_STATE(4768)] = 259335,
  [SMALL_STATE(4769)] = 259365,
  [SMALL_STATE(4770)] = 259395,
  [SMALL_STATE(4771)] = 259425,
  [SMALL_STATE(4772)] = 259455,
  [SMALL_STATE(4773)] = 259485,
  [SMALL_STATE(4774)] = 259515,
  [SMALL_STATE(4775)] = 259545,
  [SMALL_STATE(4776)] = 259575,
  [SMALL_STATE(4777)] = 259605,
  [SMALL_STATE(4778)] = 259635,
  [SMALL_STATE(4779)] = 259665,
  [SMALL_STATE(4780)] = 259695,
  [SMALL_STATE(4781)] = 259725,
  [SMALL_STATE(4782)] = 259755,
  [SMALL_STATE(4783)] = 259786,
  [SMALL_STATE(4784)] = 259809,
  [SMALL_STATE(4785)] = 259840,
  [SMALL_STATE(4786)] = 259863,
  [SMALL_STATE(4787)] = 259894,
  [SMALL_STATE(4788)] = 259917,
  [SMALL_STATE(4789)] = 259940,
  [SMALL_STATE(4790)] = 259971,
  [SMALL_STATE(4791)] = 260002,
  [SMALL_STATE(4792)] = 260025,
  [SMALL_STATE(4793)] = 260056,
  [SMALL_STATE(4794)] = 260079,
  [SMALL_STATE(4795)] = 260110,
  [SMALL_STATE(4796)] = 260141,
  [SMALL_STATE(4797)] = 260164,
  [SMALL_STATE(4798)] = 260195,
  [SMALL_STATE(4799)] = 260218,
  [SMALL_STATE(4800)] = 260241,
  [SMALL_STATE(4801)] = 260272,
  [SMALL_STATE(4802)] = 260303,
  [SMALL_STATE(4803)] = 260326,
  [SMALL_STATE(4804)] = 260357,
  [SMALL_STATE(4805)] = 260380,
  [SMALL_STATE(4806)] = 260403,
  [SMALL_STATE(4807)] = 260434,
  [SMALL_STATE(4808)] = 260465,
  [SMALL_STATE(4809)] = 260496,
  [SMALL_STATE(4810)] = 260527,
  [SMALL_STATE(4811)] = 260558,
  [SMALL_STATE(4812)] = 260589,
  [SMALL_STATE(4813)] = 260620,
  [SMALL_STATE(4814)] = 260643,
  [SMALL_STATE(4815)] = 260674,
  [SMALL_STATE(4816)] = 260705,
  [SMALL_STATE(4817)] = 260728,
  [SMALL_STATE(4818)] = 260751,
  [SMALL_STATE(4819)] = 260782,
  [SMALL_STATE(4820)] = 260805,
  [SMALL_STATE(4821)] = 260836,
  [SMALL_STATE(4822)] = 260859,
  [SMALL_STATE(4823)] = 260882,
  [SMALL_STATE(4824)] = 260905,
  [SMALL_STATE(4825)] = 260928,
  [SMALL_STATE(4826)] = 260948,
  [SMALL_STATE(4827)] = 260968,
  [SMALL_STATE(4828)] = 260986,
  [SMALL_STATE(4829)] = 261006,
  [SMALL_STATE(4830)] = 261033,
  [SMALL_STATE(4831)] = 261060,
  [SMALL_STATE(4832)] = 261087,
  [SMALL_STATE(4833)] = 261114,
  [SMALL_STATE(4834)] = 261141,
  [SMALL_STATE(4835)] = 261168,
  [SMALL_STATE(4836)] = 261195,
  [SMALL_STATE(4837)] = 261222,
  [SMALL_STATE(4838)] = 261249,
  [SMALL_STATE(4839)] = 261276,
  [SMALL_STATE(4840)] = 261303,
  [SMALL_STATE(4841)] = 261330,
  [SMALL_STATE(4842)] = 261357,
  [SMALL_STATE(4843)] = 261384,
  [SMALL_STATE(4844)] = 261411,
  [SMALL_STATE(4845)] = 261438,
  [SMALL_STATE(4846)] = 261465,
  [SMALL_STATE(4847)] = 261492,
  [SMALL_STATE(4848)] = 261519,
  [SMALL_STATE(4849)] = 261546,
  [SMALL_STATE(4850)] = 261573,
  [SMALL_STATE(4851)] = 261600,
  [SMALL_STATE(4852)] = 261627,
  [SMALL_STATE(4853)] = 261654,
  [SMALL_STATE(4854)] = 261681,
  [SMALL_STATE(4855)] = 261708,
  [SMALL_STATE(4856)] = 261735,
  [SMALL_STATE(4857)] = 261762,
  [SMALL_STATE(4858)] = 261789,
  [SMALL_STATE(4859)] = 261816,
  [SMALL_STATE(4860)] = 261843,
  [SMALL_STATE(4861)] = 261870,
  [SMALL_STATE(4862)] = 261897,
  [SMALL_STATE(4863)] = 261924,
  [SMALL_STATE(4864)] = 261951,
  [SMALL_STATE(4865)] = 261978,
  [SMALL_STATE(4866)] = 262005,
  [SMALL_STATE(4867)] = 262032,
  [SMALL_STATE(4868)] = 262059,
  [SMALL_STATE(4869)] = 262086,
  [SMALL_STATE(4870)] = 262113,
  [SMALL_STATE(4871)] = 262140,
  [SMALL_STATE(4872)] = 262167,
  [SMALL_STATE(4873)] = 262194,
  [SMALL_STATE(4874)] = 262221,
  [SMALL_STATE(4875)] = 262248,
  [SMALL_STATE(4876)] = 262275,
  [SMALL_STATE(4877)] = 262302,
  [SMALL_STATE(4878)] = 262329,
  [SMALL_STATE(4879)] = 262356,
  [SMALL_STATE(4880)] = 262383,
  [SMALL_STATE(4881)] = 262410,
  [SMALL_STATE(4882)] = 262437,
  [SMALL_STATE(4883)] = 262464,
  [SMALL_STATE(4884)] = 262491,
  [SMALL_STATE(4885)] = 262518,
  [SMALL_STATE(4886)] = 262545,
  [SMALL_STATE(4887)] = 262572,
  [SMALL_STATE(4888)] = 262599,
  [SMALL_STATE(4889)] = 262626,
  [SMALL_STATE(4890)] = 262653,
  [SMALL_STATE(4891)] = 262680,
  [SMALL_STATE(4892)] = 262707,
  [SMALL_STATE(4893)] = 262734,
  [SMALL_STATE(4894)] = 262761,
  [SMALL_STATE(4895)] = 262788,
  [SMALL_STATE(4896)] = 262815,
  [SMALL_STATE(4897)] = 262842,
  [SMALL_STATE(4898)] = 262869,
  [SMALL_STATE(4899)] = 262896,
  [SMALL_STATE(4900)] = 262923,
  [SMALL_STATE(4901)] = 262950,
  [SMALL_STATE(4902)] = 262977,
  [SMALL_STATE(4903)] = 263004,
  [SMALL_STATE(4904)] = 263031,
  [SMALL_STATE(4905)] = 263058,
  [SMALL_STATE(4906)] = 263085,
  [SMALL_STATE(4907)] = 263112,
  [SMALL_STATE(4908)] = 263139,
  [SMALL_STATE(4909)] = 263166,
  [SMALL_STATE(4910)] = 263193,
  [SMALL_STATE(4911)] = 263220,
  [SMALL_STATE(4912)] = 263247,
  [SMALL_STATE(4913)] = 263274,
  [SMALL_STATE(4914)] = 263301,
  [SMALL_STATE(4915)] = 263328,
  [SMALL_STATE(4916)] = 263355,
  [SMALL_STATE(4917)] = 263382,
  [SMALL_STATE(4918)] = 263409,
  [SMALL_STATE(4919)] = 263436,
  [SMALL_STATE(4920)] = 263463,
  [SMALL_STATE(4921)] = 263490,
  [SMALL_STATE(4922)] = 263517,
  [SMALL_STATE(4923)] = 263544,
  [SMALL_STATE(4924)] = 263571,
  [SMALL_STATE(4925)] = 263598,
  [SMALL_STATE(4926)] = 263625,
  [SMALL_STATE(4927)] = 263652,
  [SMALL_STATE(4928)] = 263679,
  [SMALL_STATE(4929)] = 263706,
  [SMALL_STATE(4930)] = 263733,
  [SMALL_STATE(4931)] = 263760,
  [SMALL_STATE(4932)] = 263787,
  [SMALL_STATE(4933)] = 263814,
  [SMALL_STATE(4934)] = 263841,
  [SMALL_STATE(4935)] = 263868,
  [SMALL_STATE(4936)] = 263895,
  [SMALL_STATE(4937)] = 263922,
  [SMALL_STATE(4938)] = 263949,
  [SMALL_STATE(4939)] = 263976,
  [SMALL_STATE(4940)] = 264003,
  [SMALL_STATE(4941)] = 264030,
  [SMALL_STATE(4942)] = 264057,
  [SMALL_STATE(4943)] = 264084,
  [SMALL_STATE(4944)] = 264111,
  [SMALL_STATE(4945)] = 264138,
  [SMALL_STATE(4946)] = 264165,
  [SMALL_STATE(4947)] = 264192,
  [SMALL_STATE(4948)] = 264219,
  [SMALL_STATE(4949)] = 264246,
  [SMALL_STATE(4950)] = 264273,
  [SMALL_STATE(4951)] = 264300,
  [SMALL_STATE(4952)] = 264327,
  [SMALL_STATE(4953)] = 264354,
  [SMALL_STATE(4954)] = 264381,
  [SMALL_STATE(4955)] = 264408,
  [SMALL_STATE(4956)] = 264435,
  [SMALL_STATE(4957)] = 264462,
  [SMALL_STATE(4958)] = 264489,
  [SMALL_STATE(4959)] = 264516,
  [SMALL_STATE(4960)] = 264543,
  [SMALL_STATE(4961)] = 264570,
  [SMALL_STATE(4962)] = 264597,
  [SMALL_STATE(4963)] = 264624,
  [SMALL_STATE(4964)] = 264651,
  [SMALL_STATE(4965)] = 264678,
  [SMALL_STATE(4966)] = 264705,
  [SMALL_STATE(4967)] = 264732,
  [SMALL_STATE(4968)] = 264759,
  [SMALL_STATE(4969)] = 264786,
  [SMALL_STATE(4970)] = 264813,
  [SMALL_STATE(4971)] = 264840,
  [SMALL_STATE(4972)] = 264867,
  [SMALL_STATE(4973)] = 264894,
  [SMALL_STATE(4974)] = 264921,
  [SMALL_STATE(4975)] = 264948,
  [SMALL_STATE(4976)] = 264975,
  [SMALL_STATE(4977)] = 265002,
  [SMALL_STATE(4978)] = 265029,
  [SMALL_STATE(4979)] = 265056,
  [SMALL_STATE(4980)] = 265083,
  [SMALL_STATE(4981)] = 265110,
  [SMALL_STATE(4982)] = 265137,
  [SMALL_STATE(4983)] = 265164,
  [SMALL_STATE(4984)] = 265191,
  [SMALL_STATE(4985)] = 265218,
  [SMALL_STATE(4986)] = 265245,
  [SMALL_STATE(4987)] = 265272,
  [SMALL_STATE(4988)] = 265299,
  [SMALL_STATE(4989)] = 265326,
  [SMALL_STATE(4990)] = 265353,
  [SMALL_STATE(4991)] = 265380,
  [SMALL_STATE(4992)] = 265407,
  [SMALL_STATE(4993)] = 265434,
  [SMALL_STATE(4994)] = 265461,
  [SMALL_STATE(4995)] = 265488,
  [SMALL_STATE(4996)] = 265515,
  [SMALL_STATE(4997)] = 265542,
  [SMALL_STATE(4998)] = 265569,
  [SMALL_STATE(4999)] = 265596,
  [SMALL_STATE(5000)] = 265623,
  [SMALL_STATE(5001)] = 265650,
  [SMALL_STATE(5002)] = 265677,
  [SMALL_STATE(5003)] = 265704,
  [SMALL_STATE(5004)] = 265731,
  [SMALL_STATE(5005)] = 265758,
  [SMALL_STATE(5006)] = 265785,
  [SMALL_STATE(5007)] = 265812,
  [SMALL_STATE(5008)] = 265839,
  [SMALL_STATE(5009)] = 265866,
  [SMALL_STATE(5010)] = 265893,
  [SMALL_STATE(5011)] = 265920,
  [SMALL_STATE(5012)] = 265947,
  [SMALL_STATE(5013)] = 265974,
  [SMALL_STATE(5014)] = 266001,
  [SMALL_STATE(5015)] = 266028,
  [SMALL_STATE(5016)] = 266055,
  [SMALL_STATE(5017)] = 266082,
  [SMALL_STATE(5018)] = 266109,
  [SMALL_STATE(5019)] = 266136,
  [SMALL_STATE(5020)] = 266163,
  [SMALL_STATE(5021)] = 266190,
  [SMALL_STATE(5022)] = 266217,
  [SMALL_STATE(5023)] = 266244,
  [SMALL_STATE(5024)] = 266271,
  [SMALL_STATE(5025)] = 266298,
  [SMALL_STATE(5026)] = 266325,
  [SMALL_STATE(5027)] = 266352,
  [SMALL_STATE(5028)] = 266379,
  [SMALL_STATE(5029)] = 266406,
  [SMALL_STATE(5030)] = 266433,
  [SMALL_STATE(5031)] = 266460,
  [SMALL_STATE(5032)] = 266487,
  [SMALL_STATE(5033)] = 266514,
  [SMALL_STATE(5034)] = 266541,
  [SMALL_STATE(5035)] = 266568,
  [SMALL_STATE(5036)] = 266595,
  [SMALL_STATE(5037)] = 266622,
  [SMALL_STATE(5038)] = 266649,
  [SMALL_STATE(5039)] = 266676,
  [SMALL_STATE(5040)] = 266703,
  [SMALL_STATE(5041)] = 266730,
  [SMALL_STATE(5042)] = 266757,
  [SMALL_STATE(5043)] = 266784,
  [SMALL_STATE(5044)] = 266811,
  [SMALL_STATE(5045)] = 266838,
  [SMALL_STATE(5046)] = 266865,
  [SMALL_STATE(5047)] = 266892,
  [SMALL_STATE(5048)] = 266919,
  [SMALL_STATE(5049)] = 266946,
  [SMALL_STATE(5050)] = 266973,
  [SMALL_STATE(5051)] = 267000,
  [SMALL_STATE(5052)] = 267027,
  [SMALL_STATE(5053)] = 267054,
  [SMALL_STATE(5054)] = 267081,
  [SMALL_STATE(5055)] = 267108,
  [SMALL_STATE(5056)] = 267135,
  [SMALL_STATE(5057)] = 267162,
  [SMALL_STATE(5058)] = 267189,
  [SMALL_STATE(5059)] = 267216,
  [SMALL_STATE(5060)] = 267243,
  [SMALL_STATE(5061)] = 267270,
  [SMALL_STATE(5062)] = 267297,
  [SMALL_STATE(5063)] = 267324,
  [SMALL_STATE(5064)] = 267351,
  [SMALL_STATE(5065)] = 267378,
  [SMALL_STATE(5066)] = 267405,
  [SMALL_STATE(5067)] = 267432,
  [SMALL_STATE(5068)] = 267459,
  [SMALL_STATE(5069)] = 267486,
  [SMALL_STATE(5070)] = 267513,
  [SMALL_STATE(5071)] = 267540,
  [SMALL_STATE(5072)] = 267564,
  [SMALL_STATE(5073)] = 267588,
  [SMALL_STATE(5074)] = 267614,
  [SMALL_STATE(5075)] = 267638,
  [SMALL_STATE(5076)] = 267662,
  [SMALL_STATE(5077)] = 267686,
  [SMALL_STATE(5078)] = 267710,
  [SMALL_STATE(5079)] = 267734,
  [SMALL_STATE(5080)] = 267758,
  [SMALL_STATE(5081)] = 267782,
  [SMALL_STATE(5082)] = 267806,
  [SMALL_STATE(5083)] = 267830,
  [SMALL_STATE(5084)] = 267854,
  [SMALL_STATE(5085)] = 267878,
  [SMALL_STATE(5086)] = 267902,
  [SMALL_STATE(5087)] = 267926,
  [SMALL_STATE(5088)] = 267950,
  [SMALL_STATE(5089)] = 267974,
  [SMALL_STATE(5090)] = 268000,
  [SMALL_STATE(5091)] = 268020,
  [SMALL_STATE(5092)] = 268044,
  [SMALL_STATE(5093)] = 268068,
  [SMALL_STATE(5094)] = 268092,
  [SMALL_STATE(5095)] = 268116,
  [SMALL_STATE(5096)] = 268140,
  [SMALL_STATE(5097)] = 268166,
  [SMALL_STATE(5098)] = 268190,
  [SMALL_STATE(5099)] = 268216,
  [SMALL_STATE(5100)] = 268240,
  [SMALL_STATE(5101)] = 268266,
  [SMALL_STATE(5102)] = 268290,
  [SMALL_STATE(5103)] = 268314,
  [SMALL_STATE(5104)] = 268338,
  [SMALL_STATE(5105)] = 268362,
  [SMALL_STATE(5106)] = 268386,
  [SMALL_STATE(5107)] = 268410,
  [SMALL_STATE(5108)] = 268434,
  [SMALL_STATE(5109)] = 268458,
  [SMALL_STATE(5110)] = 268482,
  [SMALL_STATE(5111)] = 268506,
  [SMALL_STATE(5112)] = 268530,
  [SMALL_STATE(5113)] = 268554,
  [SMALL_STATE(5114)] = 268580,
  [SMALL_STATE(5115)] = 268604,
  [SMALL_STATE(5116)] = 268628,
  [SMALL_STATE(5117)] = 268654,
  [SMALL_STATE(5118)] = 268680,
  [SMALL_STATE(5119)] = 268704,
  [SMALL_STATE(5120)] = 268728,
  [SMALL_STATE(5121)] = 268752,
  [SMALL_STATE(5122)] = 268776,
  [SMALL_STATE(5123)] = 268800,
  [SMALL_STATE(5124)] = 268824,
  [SMALL_STATE(5125)] = 268848,
  [SMALL_STATE(5126)] = 268874,
  [SMALL_STATE(5127)] = 268900,
  [SMALL_STATE(5128)] = 268924,
  [SMALL_STATE(5129)] = 268948,
  [SMALL_STATE(5130)] = 268972,
  [SMALL_STATE(5131)] = 268996,
  [SMALL_STATE(5132)] = 269020,
  [SMALL_STATE(5133)] = 269044,
  [SMALL_STATE(5134)] = 269068,
  [SMALL_STATE(5135)] = 269092,
  [SMALL_STATE(5136)] = 269116,
  [SMALL_STATE(5137)] = 269142,
  [SMALL_STATE(5138)] = 269168,
  [SMALL_STATE(5139)] = 269192,
  [SMALL_STATE(5140)] = 269216,
  [SMALL_STATE(5141)] = 269240,
  [SMALL_STATE(5142)] = 269264,
  [SMALL_STATE(5143)] = 269288,
  [SMALL_STATE(5144)] = 269312,
  [SMALL_STATE(5145)] = 269336,
  [SMALL_STATE(5146)] = 269360,
  [SMALL_STATE(5147)] = 269384,
  [SMALL_STATE(5148)] = 269408,
  [SMALL_STATE(5149)] = 269432,
  [SMALL_STATE(5150)] = 269456,
  [SMALL_STATE(5151)] = 269480,
  [SMALL_STATE(5152)] = 269504,
  [SMALL_STATE(5153)] = 269528,
  [SMALL_STATE(5154)] = 269552,
  [SMALL_STATE(5155)] = 269576,
  [SMALL_STATE(5156)] = 269600,
  [SMALL_STATE(5157)] = 269624,
  [SMALL_STATE(5158)] = 269648,
  [SMALL_STATE(5159)] = 269668,
  [SMALL_STATE(5160)] = 269692,
  [SMALL_STATE(5161)] = 269716,
  [SMALL_STATE(5162)] = 269736,
  [SMALL_STATE(5163)] = 269760,
  [SMALL_STATE(5164)] = 269786,
  [SMALL_STATE(5165)] = 269812,
  [SMALL_STATE(5166)] = 269838,
  [SMALL_STATE(5167)] = 269864,
  [SMALL_STATE(5168)] = 269890,
  [SMALL_STATE(5169)] = 269914,
  [SMALL_STATE(5170)] = 269940,
  [SMALL_STATE(5171)] = 269964,
  [SMALL_STATE(5172)] = 269990,
  [SMALL_STATE(5173)] = 270014,
  [SMALL_STATE(5174)] = 270038,
  [SMALL_STATE(5175)] = 270062,
  [SMALL_STATE(5176)] = 270086,
  [SMALL_STATE(5177)] = 270112,
  [SMALL_STATE(5178)] = 270136,
  [SMALL_STATE(5179)] = 270160,
  [SMALL_STATE(5180)] = 270184,
  [SMALL_STATE(5181)] = 270208,
  [SMALL_STATE(5182)] = 270232,
  [SMALL_STATE(5183)] = 270256,
  [SMALL_STATE(5184)] = 270280,
  [SMALL_STATE(5185)] = 270304,
  [SMALL_STATE(5186)] = 270328,
  [SMALL_STATE(5187)] = 270352,
  [SMALL_STATE(5188)] = 270376,
  [SMALL_STATE(5189)] = 270400,
  [SMALL_STATE(5190)] = 270426,
  [SMALL_STATE(5191)] = 270450,
  [SMALL_STATE(5192)] = 270474,
  [SMALL_STATE(5193)] = 270498,
  [SMALL_STATE(5194)] = 270522,
  [SMALL_STATE(5195)] = 270546,
  [SMALL_STATE(5196)] = 270570,
  [SMALL_STATE(5197)] = 270594,
  [SMALL_STATE(5198)] = 270618,
  [SMALL_STATE(5199)] = 270642,
  [SMALL_STATE(5200)] = 270666,
  [SMALL_STATE(5201)] = 270690,
  [SMALL_STATE(5202)] = 270714,
  [SMALL_STATE(5203)] = 270738,
  [SMALL_STATE(5204)] = 270764,
  [SMALL_STATE(5205)] = 270788,
  [SMALL_STATE(5206)] = 270812,
  [SMALL_STATE(5207)] = 270836,
  [SMALL_STATE(5208)] = 270860,
  [SMALL_STATE(5209)] = 270884,
  [SMALL_STATE(5210)] = 270908,
  [SMALL_STATE(5211)] = 270932,
  [SMALL_STATE(5212)] = 270956,
  [SMALL_STATE(5213)] = 270980,
  [SMALL_STATE(5214)] = 271004,
  [SMALL_STATE(5215)] = 271030,
  [SMALL_STATE(5216)] = 271054,
  [SMALL_STATE(5217)] = 271078,
  [SMALL_STATE(5218)] = 271102,
  [SMALL_STATE(5219)] = 271126,
  [SMALL_STATE(5220)] = 271152,
  [SMALL_STATE(5221)] = 271176,
  [SMALL_STATE(5222)] = 271196,
  [SMALL_STATE(5223)] = 271220,
  [SMALL_STATE(5224)] = 271244,
  [SMALL_STATE(5225)] = 271268,
  [SMALL_STATE(5226)] = 271292,
  [SMALL_STATE(5227)] = 271316,
  [SMALL_STATE(5228)] = 271340,
  [SMALL_STATE(5229)] = 271364,
  [SMALL_STATE(5230)] = 271388,
  [SMALL_STATE(5231)] = 271412,
  [SMALL_STATE(5232)] = 271436,
  [SMALL_STATE(5233)] = 271460,
  [SMALL_STATE(5234)] = 271484,
  [SMALL_STATE(5235)] = 271508,
  [SMALL_STATE(5236)] = 271534,
  [SMALL_STATE(5237)] = 271558,
  [SMALL_STATE(5238)] = 271582,
  [SMALL_STATE(5239)] = 271606,
  [SMALL_STATE(5240)] = 271630,
  [SMALL_STATE(5241)] = 271654,
  [SMALL_STATE(5242)] = 271678,
  [SMALL_STATE(5243)] = 271704,
  [SMALL_STATE(5244)] = 271728,
  [SMALL_STATE(5245)] = 271754,
  [SMALL_STATE(5246)] = 271778,
  [SMALL_STATE(5247)] = 271804,
  [SMALL_STATE(5248)] = 271828,
  [SMALL_STATE(5249)] = 271852,
  [SMALL_STATE(5250)] = 271876,
  [SMALL_STATE(5251)] = 271900,
  [SMALL_STATE(5252)] = 271924,
  [SMALL_STATE(5253)] = 271948,
  [SMALL_STATE(5254)] = 271972,
  [SMALL_STATE(5255)] = 271996,
  [SMALL_STATE(5256)] = 272020,
  [SMALL_STATE(5257)] = 272044,
  [SMALL_STATE(5258)] = 272070,
  [SMALL_STATE(5259)] = 272094,
  [SMALL_STATE(5260)] = 272118,
  [SMALL_STATE(5261)] = 272142,
  [SMALL_STATE(5262)] = 272166,
  [SMALL_STATE(5263)] = 272190,
  [SMALL_STATE(5264)] = 272214,
  [SMALL_STATE(5265)] = 272238,
  [SMALL_STATE(5266)] = 272262,
  [SMALL_STATE(5267)] = 272286,
  [SMALL_STATE(5268)] = 272310,
  [SMALL_STATE(5269)] = 272334,
  [SMALL_STATE(5270)] = 272360,
  [SMALL_STATE(5271)] = 272386,
  [SMALL_STATE(5272)] = 272412,
  [SMALL_STATE(5273)] = 272438,
  [SMALL_STATE(5274)] = 272462,
  [SMALL_STATE(5275)] = 272488,
  [SMALL_STATE(5276)] = 272512,
  [SMALL_STATE(5277)] = 272536,
  [SMALL_STATE(5278)] = 272560,
  [SMALL_STATE(5279)] = 272584,
  [SMALL_STATE(5280)] = 272608,
  [SMALL_STATE(5281)] = 272632,
  [SMALL_STATE(5282)] = 272656,
  [SMALL_STATE(5283)] = 272680,
  [SMALL_STATE(5284)] = 272704,
  [SMALL_STATE(5285)] = 272728,
  [SMALL_STATE(5286)] = 272752,
  [SMALL_STATE(5287)] = 272776,
  [SMALL_STATE(5288)] = 272800,
  [SMALL_STATE(5289)] = 272826,
  [SMALL_STATE(5290)] = 272852,
  [SMALL_STATE(5291)] = 272876,
  [SMALL_STATE(5292)] = 272900,
  [SMALL_STATE(5293)] = 272924,
  [SMALL_STATE(5294)] = 272948,
  [SMALL_STATE(5295)] = 272972,
  [SMALL_STATE(5296)] = 272996,
  [SMALL_STATE(5297)] = 273020,
  [SMALL_STATE(5298)] = 273044,
  [SMALL_STATE(5299)] = 273068,
  [SMALL_STATE(5300)] = 273092,
  [SMALL_STATE(5301)] = 273116,
  [SMALL_STATE(5302)] = 273140,
  [SMALL_STATE(5303)] = 273164,
  [SMALL_STATE(5304)] = 273188,
  [SMALL_STATE(5305)] = 273212,
  [SMALL_STATE(5306)] = 273236,
  [SMALL_STATE(5307)] = 273260,
  [SMALL_STATE(5308)] = 273284,
  [SMALL_STATE(5309)] = 273308,
  [SMALL_STATE(5310)] = 273332,
  [SMALL_STATE(5311)] = 273356,
  [SMALL_STATE(5312)] = 273380,
  [SMALL_STATE(5313)] = 273404,
  [SMALL_STATE(5314)] = 273428,
  [SMALL_STATE(5315)] = 273452,
  [SMALL_STATE(5316)] = 273476,
  [SMALL_STATE(5317)] = 273500,
  [SMALL_STATE(5318)] = 273524,
  [SMALL_STATE(5319)] = 273550,
  [SMALL_STATE(5320)] = 273574,
  [SMALL_STATE(5321)] = 273598,
  [SMALL_STATE(5322)] = 273622,
  [SMALL_STATE(5323)] = 273646,
  [SMALL_STATE(5324)] = 273672,
  [SMALL_STATE(5325)] = 273696,
  [SMALL_STATE(5326)] = 273720,
  [SMALL_STATE(5327)] = 273744,
  [SMALL_STATE(5328)] = 273770,
  [SMALL_STATE(5329)] = 273796,
  [SMALL_STATE(5330)] = 273820,
  [SMALL_STATE(5331)] = 273844,
  [SMALL_STATE(5332)] = 273868,
  [SMALL_STATE(5333)] = 273892,
  [SMALL_STATE(5334)] = 273916,
  [SMALL_STATE(5335)] = 273940,
  [SMALL_STATE(5336)] = 273964,
  [SMALL_STATE(5337)] = 273988,
  [SMALL_STATE(5338)] = 274012,
  [SMALL_STATE(5339)] = 274036,
  [SMALL_STATE(5340)] = 274060,
  [SMALL_STATE(5341)] = 274084,
  [SMALL_STATE(5342)] = 274108,
  [SMALL_STATE(5343)] = 274134,
  [SMALL_STATE(5344)] = 274158,
  [SMALL_STATE(5345)] = 274182,
  [SMALL_STATE(5346)] = 274206,
  [SMALL_STATE(5347)] = 274230,
  [SMALL_STATE(5348)] = 274254,
  [SMALL_STATE(5349)] = 274278,
  [SMALL_STATE(5350)] = 274302,
  [SMALL_STATE(5351)] = 274326,
  [SMALL_STATE(5352)] = 274350,
  [SMALL_STATE(5353)] = 274374,
  [SMALL_STATE(5354)] = 274400,
  [SMALL_STATE(5355)] = 274424,
  [SMALL_STATE(5356)] = 274448,
  [SMALL_STATE(5357)] = 274472,
  [SMALL_STATE(5358)] = 274496,
  [SMALL_STATE(5359)] = 274520,
  [SMALL_STATE(5360)] = 274544,
  [SMALL_STATE(5361)] = 274568,
  [SMALL_STATE(5362)] = 274592,
  [SMALL_STATE(5363)] = 274618,
  [SMALL_STATE(5364)] = 274644,
  [SMALL_STATE(5365)] = 274670,
  [SMALL_STATE(5366)] = 274694,
  [SMALL_STATE(5367)] = 274718,
  [SMALL_STATE(5368)] = 274742,
  [SMALL_STATE(5369)] = 274766,
  [SMALL_STATE(5370)] = 274792,
  [SMALL_STATE(5371)] = 274818,
  [SMALL_STATE(5372)] = 274844,
  [SMALL_STATE(5373)] = 274868,
  [SMALL_STATE(5374)] = 274892,
  [SMALL_STATE(5375)] = 274916,
  [SMALL_STATE(5376)] = 274940,
  [SMALL_STATE(5377)] = 274964,
  [SMALL_STATE(5378)] = 274988,
  [SMALL_STATE(5379)] = 275012,
  [SMALL_STATE(5380)] = 275036,
  [SMALL_STATE(5381)] = 275060,
  [SMALL_STATE(5382)] = 275084,
  [SMALL_STATE(5383)] = 275110,
  [SMALL_STATE(5384)] = 275136,
  [SMALL_STATE(5385)] = 275160,
  [SMALL_STATE(5386)] = 275184,
  [SMALL_STATE(5387)] = 275208,
  [SMALL_STATE(5388)] = 275234,
  [SMALL_STATE(5389)] = 275258,
  [SMALL_STATE(5390)] = 275282,
  [SMALL_STATE(5391)] = 275306,
  [SMALL_STATE(5392)] = 275330,
  [SMALL_STATE(5393)] = 275354,
  [SMALL_STATE(5394)] = 275380,
  [SMALL_STATE(5395)] = 275404,
  [SMALL_STATE(5396)] = 275430,
  [SMALL_STATE(5397)] = 275454,
  [SMALL_STATE(5398)] = 275480,
  [SMALL_STATE(5399)] = 275504,
  [SMALL_STATE(5400)] = 275528,
  [SMALL_STATE(5401)] = 275552,
  [SMALL_STATE(5402)] = 275576,
  [SMALL_STATE(5403)] = 275600,
  [SMALL_STATE(5404)] = 275626,
  [SMALL_STATE(5405)] = 275650,
  [SMALL_STATE(5406)] = 275674,
  [SMALL_STATE(5407)] = 275698,
  [SMALL_STATE(5408)] = 275722,
  [SMALL_STATE(5409)] = 275746,
  [SMALL_STATE(5410)] = 275770,
  [SMALL_STATE(5411)] = 275794,
  [SMALL_STATE(5412)] = 275818,
  [SMALL_STATE(5413)] = 275842,
  [SMALL_STATE(5414)] = 275866,
  [SMALL_STATE(5415)] = 275890,
  [SMALL_STATE(5416)] = 275914,
  [SMALL_STATE(5417)] = 275938,
  [SMALL_STATE(5418)] = 275962,
  [SMALL_STATE(5419)] = 275988,
  [SMALL_STATE(5420)] = 276012,
  [SMALL_STATE(5421)] = 276036,
  [SMALL_STATE(5422)] = 276062,
  [SMALL_STATE(5423)] = 276088,
  [SMALL_STATE(5424)] = 276114,
  [SMALL_STATE(5425)] = 276138,
  [SMALL_STATE(5426)] = 276164,
  [SMALL_STATE(5427)] = 276188,
  [SMALL_STATE(5428)] = 276212,
  [SMALL_STATE(5429)] = 276236,
  [SMALL_STATE(5430)] = 276262,
  [SMALL_STATE(5431)] = 276286,
  [SMALL_STATE(5432)] = 276310,
  [SMALL_STATE(5433)] = 276336,
  [SMALL_STATE(5434)] = 276362,
  [SMALL_STATE(5435)] = 276386,
  [SMALL_STATE(5436)] = 276410,
  [SMALL_STATE(5437)] = 276434,
  [SMALL_STATE(5438)] = 276458,
  [SMALL_STATE(5439)] = 276482,
  [SMALL_STATE(5440)] = 276506,
  [SMALL_STATE(5441)] = 276530,
  [SMALL_STATE(5442)] = 276554,
  [SMALL_STATE(5443)] = 276578,
  [SMALL_STATE(5444)] = 276602,
  [SMALL_STATE(5445)] = 276626,
  [SMALL_STATE(5446)] = 276650,
  [SMALL_STATE(5447)] = 276674,
  [SMALL_STATE(5448)] = 276698,
  [SMALL_STATE(5449)] = 276722,
  [SMALL_STATE(5450)] = 276746,
  [SMALL_STATE(5451)] = 276770,
  [SMALL_STATE(5452)] = 276794,
  [SMALL_STATE(5453)] = 276818,
  [SMALL_STATE(5454)] = 276842,
  [SMALL_STATE(5455)] = 276866,
  [SMALL_STATE(5456)] = 276890,
  [SMALL_STATE(5457)] = 276914,
  [SMALL_STATE(5458)] = 276938,
  [SMALL_STATE(5459)] = 276962,
  [SMALL_STATE(5460)] = 276986,
  [SMALL_STATE(5461)] = 277010,
  [SMALL_STATE(5462)] = 277034,
  [SMALL_STATE(5463)] = 277058,
  [SMALL_STATE(5464)] = 277082,
  [SMALL_STATE(5465)] = 277106,
  [SMALL_STATE(5466)] = 277130,
  [SMALL_STATE(5467)] = 277154,
  [SMALL_STATE(5468)] = 277180,
  [SMALL_STATE(5469)] = 277204,
  [SMALL_STATE(5470)] = 277228,
  [SMALL_STATE(5471)] = 277252,
  [SMALL_STATE(5472)] = 277276,
  [SMALL_STATE(5473)] = 277300,
  [SMALL_STATE(5474)] = 277324,
  [SMALL_STATE(5475)] = 277348,
  [SMALL_STATE(5476)] = 277372,
  [SMALL_STATE(5477)] = 277396,
  [SMALL_STATE(5478)] = 277420,
  [SMALL_STATE(5479)] = 277444,
  [SMALL_STATE(5480)] = 277468,
  [SMALL_STATE(5481)] = 277492,
  [SMALL_STATE(5482)] = 277516,
  [SMALL_STATE(5483)] = 277540,
  [SMALL_STATE(5484)] = 277564,
  [SMALL_STATE(5485)] = 277588,
  [SMALL_STATE(5486)] = 277612,
  [SMALL_STATE(5487)] = 277636,
  [SMALL_STATE(5488)] = 277660,
  [SMALL_STATE(5489)] = 277684,
  [SMALL_STATE(5490)] = 277708,
  [SMALL_STATE(5491)] = 277732,
  [SMALL_STATE(5492)] = 277756,
  [SMALL_STATE(5493)] = 277780,
  [SMALL_STATE(5494)] = 277804,
  [SMALL_STATE(5495)] = 277828,
  [SMALL_STATE(5496)] = 277852,
  [SMALL_STATE(5497)] = 277876,
  [SMALL_STATE(5498)] = 277900,
  [SMALL_STATE(5499)] = 277924,
  [SMALL_STATE(5500)] = 277950,
  [SMALL_STATE(5501)] = 277974,
  [SMALL_STATE(5502)] = 277998,
  [SMALL_STATE(5503)] = 278022,
  [SMALL_STATE(5504)] = 278046,
  [SMALL_STATE(5505)] = 278072,
  [SMALL_STATE(5506)] = 278096,
  [SMALL_STATE(5507)] = 278120,
  [SMALL_STATE(5508)] = 278144,
  [SMALL_STATE(5509)] = 278168,
  [SMALL_STATE(5510)] = 278192,
  [SMALL_STATE(5511)] = 278216,
  [SMALL_STATE(5512)] = 278240,
  [SMALL_STATE(5513)] = 278264,
  [SMALL_STATE(5514)] = 278288,
  [SMALL_STATE(5515)] = 278312,
  [SMALL_STATE(5516)] = 278338,
  [SMALL_STATE(5517)] = 278362,
  [SMALL_STATE(5518)] = 278386,
  [SMALL_STATE(5519)] = 278410,
  [SMALL_STATE(5520)] = 278434,
  [SMALL_STATE(5521)] = 278458,
  [SMALL_STATE(5522)] = 278482,
  [SMALL_STATE(5523)] = 278506,
  [SMALL_STATE(5524)] = 278530,
  [SMALL_STATE(5525)] = 278554,
  [SMALL_STATE(5526)] = 278580,
  [SMALL_STATE(5527)] = 278604,
  [SMALL_STATE(5528)] = 278628,
  [SMALL_STATE(5529)] = 278652,
  [SMALL_STATE(5530)] = 278676,
  [SMALL_STATE(5531)] = 278700,
  [SMALL_STATE(5532)] = 278726,
  [SMALL_STATE(5533)] = 278750,
  [SMALL_STATE(5534)] = 278774,
  [SMALL_STATE(5535)] = 278798,
  [SMALL_STATE(5536)] = 278822,
  [SMALL_STATE(5537)] = 278846,
  [SMALL_STATE(5538)] = 278872,
  [SMALL_STATE(5539)] = 278896,
  [SMALL_STATE(5540)] = 278922,
  [SMALL_STATE(5541)] = 278946,
  [SMALL_STATE(5542)] = 278972,
  [SMALL_STATE(5543)] = 278996,
  [SMALL_STATE(5544)] = 279022,
  [SMALL_STATE(5545)] = 279046,
  [SMALL_STATE(5546)] = 279070,
  [SMALL_STATE(5547)] = 279094,
  [SMALL_STATE(5548)] = 279118,
  [SMALL_STATE(5549)] = 279142,
  [SMALL_STATE(5550)] = 279166,
  [SMALL_STATE(5551)] = 279190,
  [SMALL_STATE(5552)] = 279214,
  [SMALL_STATE(5553)] = 279238,
  [SMALL_STATE(5554)] = 279262,
  [SMALL_STATE(5555)] = 279286,
  [SMALL_STATE(5556)] = 279310,
  [SMALL_STATE(5557)] = 279334,
  [SMALL_STATE(5558)] = 279358,
  [SMALL_STATE(5559)] = 279384,
  [SMALL_STATE(5560)] = 279408,
  [SMALL_STATE(5561)] = 279432,
  [SMALL_STATE(5562)] = 279458,
  [SMALL_STATE(5563)] = 279482,
  [SMALL_STATE(5564)] = 279506,
  [SMALL_STATE(5565)] = 279530,
  [SMALL_STATE(5566)] = 279554,
  [SMALL_STATE(5567)] = 279580,
  [SMALL_STATE(5568)] = 279606,
  [SMALL_STATE(5569)] = 279630,
  [SMALL_STATE(5570)] = 279654,
  [SMALL_STATE(5571)] = 279678,
  [SMALL_STATE(5572)] = 279702,
  [SMALL_STATE(5573)] = 279726,
  [SMALL_STATE(5574)] = 279750,
  [SMALL_STATE(5575)] = 279774,
  [SMALL_STATE(5576)] = 279798,
  [SMALL_STATE(5577)] = 279824,
  [SMALL_STATE(5578)] = 279850,
  [SMALL_STATE(5579)] = 279874,
  [SMALL_STATE(5580)] = 279898,
  [SMALL_STATE(5581)] = 279922,
  [SMALL_STATE(5582)] = 279946,
  [SMALL_STATE(5583)] = 279970,
  [SMALL_STATE(5584)] = 279994,
  [SMALL_STATE(5585)] = 280018,
  [SMALL_STATE(5586)] = 280042,
  [SMALL_STATE(5587)] = 280066,
  [SMALL_STATE(5588)] = 280090,
  [SMALL_STATE(5589)] = 280114,
  [SMALL_STATE(5590)] = 280138,
  [SMALL_STATE(5591)] = 280162,
  [SMALL_STATE(5592)] = 280186,
  [SMALL_STATE(5593)] = 280210,
  [SMALL_STATE(5594)] = 280234,
  [SMALL_STATE(5595)] = 280258,
  [SMALL_STATE(5596)] = 280282,
  [SMALL_STATE(5597)] = 280306,
  [SMALL_STATE(5598)] = 280330,
  [SMALL_STATE(5599)] = 280354,
  [SMALL_STATE(5600)] = 280378,
  [SMALL_STATE(5601)] = 280402,
  [SMALL_STATE(5602)] = 280428,
  [SMALL_STATE(5603)] = 280454,
  [SMALL_STATE(5604)] = 280478,
  [SMALL_STATE(5605)] = 280502,
  [SMALL_STATE(5606)] = 280526,
  [SMALL_STATE(5607)] = 280550,
  [SMALL_STATE(5608)] = 280574,
  [SMALL_STATE(5609)] = 280598,
  [SMALL_STATE(5610)] = 280622,
  [SMALL_STATE(5611)] = 280646,
  [SMALL_STATE(5612)] = 280672,
  [SMALL_STATE(5613)] = 280696,
  [SMALL_STATE(5614)] = 280720,
  [SMALL_STATE(5615)] = 280744,
  [SMALL_STATE(5616)] = 280768,
  [SMALL_STATE(5617)] = 280792,
  [SMALL_STATE(5618)] = 280816,
  [SMALL_STATE(5619)] = 280840,
  [SMALL_STATE(5620)] = 280864,
  [SMALL_STATE(5621)] = 280888,
  [SMALL_STATE(5622)] = 280912,
  [SMALL_STATE(5623)] = 280936,
  [SMALL_STATE(5624)] = 280960,
  [SMALL_STATE(5625)] = 280984,
  [SMALL_STATE(5626)] = 281008,
  [SMALL_STATE(5627)] = 281032,
  [SMALL_STATE(5628)] = 281058,
  [SMALL_STATE(5629)] = 281084,
  [SMALL_STATE(5630)] = 281108,
  [SMALL_STATE(5631)] = 281128,
  [SMALL_STATE(5632)] = 281152,
  [SMALL_STATE(5633)] = 281176,
  [SMALL_STATE(5634)] = 281200,
  [SMALL_STATE(5635)] = 281224,
  [SMALL_STATE(5636)] = 281248,
  [SMALL_STATE(5637)] = 281272,
  [SMALL_STATE(5638)] = 281296,
  [SMALL_STATE(5639)] = 281320,
  [SMALL_STATE(5640)] = 281344,
  [SMALL_STATE(5641)] = 281368,
  [SMALL_STATE(5642)] = 281392,
  [SMALL_STATE(5643)] = 281418,
  [SMALL_STATE(5644)] = 281444,
  [SMALL_STATE(5645)] = 281470,
  [SMALL_STATE(5646)] = 281494,
  [SMALL_STATE(5647)] = 281518,
  [SMALL_STATE(5648)] = 281542,
  [SMALL_STATE(5649)] = 281566,
  [SMALL_STATE(5650)] = 281590,
  [SMALL_STATE(5651)] = 281614,
  [SMALL_STATE(5652)] = 281638,
  [SMALL_STATE(5653)] = 281662,
  [SMALL_STATE(5654)] = 281686,
  [SMALL_STATE(5655)] = 281710,
  [SMALL_STATE(5656)] = 281734,
  [SMALL_STATE(5657)] = 281758,
  [SMALL_STATE(5658)] = 281784,
  [SMALL_STATE(5659)] = 281810,
  [SMALL_STATE(5660)] = 281836,
  [SMALL_STATE(5661)] = 281860,
  [SMALL_STATE(5662)] = 281884,
  [SMALL_STATE(5663)] = 281908,
  [SMALL_STATE(5664)] = 281932,
  [SMALL_STATE(5665)] = 281956,
  [SMALL_STATE(5666)] = 281980,
  [SMALL_STATE(5667)] = 282004,
  [SMALL_STATE(5668)] = 282028,
  [SMALL_STATE(5669)] = 282052,
  [SMALL_STATE(5670)] = 282076,
  [SMALL_STATE(5671)] = 282100,
  [SMALL_STATE(5672)] = 282124,
  [SMALL_STATE(5673)] = 282148,
  [SMALL_STATE(5674)] = 282172,
  [SMALL_STATE(5675)] = 282196,
  [SMALL_STATE(5676)] = 282222,
  [SMALL_STATE(5677)] = 282246,
  [SMALL_STATE(5678)] = 282270,
  [SMALL_STATE(5679)] = 282294,
  [SMALL_STATE(5680)] = 282318,
  [SMALL_STATE(5681)] = 282342,
  [SMALL_STATE(5682)] = 282368,
  [SMALL_STATE(5683)] = 282392,
  [SMALL_STATE(5684)] = 282418,
  [SMALL_STATE(5685)] = 282442,
  [SMALL_STATE(5686)] = 282468,
  [SMALL_STATE(5687)] = 282492,
  [SMALL_STATE(5688)] = 282516,
  [SMALL_STATE(5689)] = 282540,
  [SMALL_STATE(5690)] = 282564,
  [SMALL_STATE(5691)] = 282588,
  [SMALL_STATE(5692)] = 282612,
  [SMALL_STATE(5693)] = 282638,
  [SMALL_STATE(5694)] = 282662,
  [SMALL_STATE(5695)] = 282686,
  [SMALL_STATE(5696)] = 282710,
  [SMALL_STATE(5697)] = 282734,
  [SMALL_STATE(5698)] = 282758,
  [SMALL_STATE(5699)] = 282782,
  [SMALL_STATE(5700)] = 282806,
  [SMALL_STATE(5701)] = 282830,
  [SMALL_STATE(5702)] = 282854,
  [SMALL_STATE(5703)] = 282878,
  [SMALL_STATE(5704)] = 282902,
  [SMALL_STATE(5705)] = 282926,
  [SMALL_STATE(5706)] = 282950,
  [SMALL_STATE(5707)] = 282974,
  [SMALL_STATE(5708)] = 282998,
  [SMALL_STATE(5709)] = 283022,
  [SMALL_STATE(5710)] = 283046,
  [SMALL_STATE(5711)] = 283072,
  [SMALL_STATE(5712)] = 283098,
  [SMALL_STATE(5713)] = 283124,
  [SMALL_STATE(5714)] = 283150,
  [SMALL_STATE(5715)] = 283174,
  [SMALL_STATE(5716)] = 283198,
  [SMALL_STATE(5717)] = 283222,
  [SMALL_STATE(5718)] = 283246,
  [SMALL_STATE(5719)] = 283270,
  [SMALL_STATE(5720)] = 283296,
  [SMALL_STATE(5721)] = 283322,
  [SMALL_STATE(5722)] = 283348,
  [SMALL_STATE(5723)] = 283372,
  [SMALL_STATE(5724)] = 283396,
  [SMALL_STATE(5725)] = 283420,
  [SMALL_STATE(5726)] = 283444,
  [SMALL_STATE(5727)] = 283468,
  [SMALL_STATE(5728)] = 283492,
  [SMALL_STATE(5729)] = 283516,
  [SMALL_STATE(5730)] = 283540,
  [SMALL_STATE(5731)] = 283564,
  [SMALL_STATE(5732)] = 283588,
  [SMALL_STATE(5733)] = 283612,
  [SMALL_STATE(5734)] = 283636,
  [SMALL_STATE(5735)] = 283660,
  [SMALL_STATE(5736)] = 283684,
  [SMALL_STATE(5737)] = 283708,
  [SMALL_STATE(5738)] = 283732,
  [SMALL_STATE(5739)] = 283756,
  [SMALL_STATE(5740)] = 283780,
  [SMALL_STATE(5741)] = 283806,
  [SMALL_STATE(5742)] = 283832,
  [SMALL_STATE(5743)] = 283858,
  [SMALL_STATE(5744)] = 283882,
  [SMALL_STATE(5745)] = 283906,
  [SMALL_STATE(5746)] = 283930,
  [SMALL_STATE(5747)] = 283954,
  [SMALL_STATE(5748)] = 283978,
  [SMALL_STATE(5749)] = 284002,
  [SMALL_STATE(5750)] = 284026,
  [SMALL_STATE(5751)] = 284050,
  [SMALL_STATE(5752)] = 284074,
  [SMALL_STATE(5753)] = 284098,
  [SMALL_STATE(5754)] = 284122,
  [SMALL_STATE(5755)] = 284146,
  [SMALL_STATE(5756)] = 284172,
  [SMALL_STATE(5757)] = 284196,
  [SMALL_STATE(5758)] = 284220,
  [SMALL_STATE(5759)] = 284244,
  [SMALL_STATE(5760)] = 284268,
  [SMALL_STATE(5761)] = 284292,
  [SMALL_STATE(5762)] = 284316,
  [SMALL_STATE(5763)] = 284340,
  [SMALL_STATE(5764)] = 284364,
  [SMALL_STATE(5765)] = 284388,
  [SMALL_STATE(5766)] = 284412,
  [SMALL_STATE(5767)] = 284436,
  [SMALL_STATE(5768)] = 284460,
  [SMALL_STATE(5769)] = 284484,
  [SMALL_STATE(5770)] = 284508,
  [SMALL_STATE(5771)] = 284532,
  [SMALL_STATE(5772)] = 284556,
  [SMALL_STATE(5773)] = 284580,
  [SMALL_STATE(5774)] = 284604,
  [SMALL_STATE(5775)] = 284628,
  [SMALL_STATE(5776)] = 284652,
  [SMALL_STATE(5777)] = 284676,
  [SMALL_STATE(5778)] = 284700,
  [SMALL_STATE(5779)] = 284724,
  [SMALL_STATE(5780)] = 284748,
  [SMALL_STATE(5781)] = 284772,
  [SMALL_STATE(5782)] = 284792,
  [SMALL_STATE(5783)] = 284816,
  [SMALL_STATE(5784)] = 284840,
  [SMALL_STATE(5785)] = 284864,
  [SMALL_STATE(5786)] = 284888,
  [SMALL_STATE(5787)] = 284912,
  [SMALL_STATE(5788)] = 284936,
  [SMALL_STATE(5789)] = 284962,
  [SMALL_STATE(5790)] = 284986,
  [SMALL_STATE(5791)] = 285012,
  [SMALL_STATE(5792)] = 285036,
  [SMALL_STATE(5793)] = 285062,
  [SMALL_STATE(5794)] = 285088,
  [SMALL_STATE(5795)] = 285114,
  [SMALL_STATE(5796)] = 285140,
  [SMALL_STATE(5797)] = 285164,
  [SMALL_STATE(5798)] = 285188,
  [SMALL_STATE(5799)] = 285212,
  [SMALL_STATE(5800)] = 285236,
  [SMALL_STATE(5801)] = 285260,
  [SMALL_STATE(5802)] = 285284,
  [SMALL_STATE(5803)] = 285308,
  [SMALL_STATE(5804)] = 285334,
  [SMALL_STATE(5805)] = 285358,
  [SMALL_STATE(5806)] = 285382,
  [SMALL_STATE(5807)] = 285406,
  [SMALL_STATE(5808)] = 285430,
  [SMALL_STATE(5809)] = 285454,
  [SMALL_STATE(5810)] = 285478,
  [SMALL_STATE(5811)] = 285502,
  [SMALL_STATE(5812)] = 285526,
  [SMALL_STATE(5813)] = 285550,
  [SMALL_STATE(5814)] = 285574,
  [SMALL_STATE(5815)] = 285598,
  [SMALL_STATE(5816)] = 285622,
  [SMALL_STATE(5817)] = 285646,
  [SMALL_STATE(5818)] = 285670,
  [SMALL_STATE(5819)] = 285696,
  [SMALL_STATE(5820)] = 285720,
  [SMALL_STATE(5821)] = 285744,
  [SMALL_STATE(5822)] = 285768,
  [SMALL_STATE(5823)] = 285792,
  [SMALL_STATE(5824)] = 285816,
  [SMALL_STATE(5825)] = 285842,
  [SMALL_STATE(5826)] = 285866,
  [SMALL_STATE(5827)] = 285892,
  [SMALL_STATE(5828)] = 285916,
  [SMALL_STATE(5829)] = 285942,
  [SMALL_STATE(5830)] = 285966,
  [SMALL_STATE(5831)] = 285990,
  [SMALL_STATE(5832)] = 286014,
  [SMALL_STATE(5833)] = 286038,
  [SMALL_STATE(5834)] = 286062,
  [SMALL_STATE(5835)] = 286086,
  [SMALL_STATE(5836)] = 286110,
  [SMALL_STATE(5837)] = 286134,
  [SMALL_STATE(5838)] = 286158,
  [SMALL_STATE(5839)] = 286182,
  [SMALL_STATE(5840)] = 286206,
  [SMALL_STATE(5841)] = 286230,
  [SMALL_STATE(5842)] = 286254,
  [SMALL_STATE(5843)] = 286278,
  [SMALL_STATE(5844)] = 286302,
  [SMALL_STATE(5845)] = 286328,
  [SMALL_STATE(5846)] = 286352,
  [SMALL_STATE(5847)] = 286378,
  [SMALL_STATE(5848)] = 286398,
  [SMALL_STATE(5849)] = 286424,
  [SMALL_STATE(5850)] = 286450,
  [SMALL_STATE(5851)] = 286474,
  [SMALL_STATE(5852)] = 286498,
  [SMALL_STATE(5853)] = 286524,
  [SMALL_STATE(5854)] = 286550,
  [SMALL_STATE(5855)] = 286574,
  [SMALL_STATE(5856)] = 286598,
  [SMALL_STATE(5857)] = 286622,
  [SMALL_STATE(5858)] = 286646,
  [SMALL_STATE(5859)] = 286672,
  [SMALL_STATE(5860)] = 286698,
  [SMALL_STATE(5861)] = 286722,
  [SMALL_STATE(5862)] = 286748,
  [SMALL_STATE(5863)] = 286774,
  [SMALL_STATE(5864)] = 286798,
  [SMALL_STATE(5865)] = 286822,
  [SMALL_STATE(5866)] = 286846,
  [SMALL_STATE(5867)] = 286870,
  [SMALL_STATE(5868)] = 286894,
  [SMALL_STATE(5869)] = 286918,
  [SMALL_STATE(5870)] = 286942,
  [SMALL_STATE(5871)] = 286966,
  [SMALL_STATE(5872)] = 286990,
  [SMALL_STATE(5873)] = 287014,
  [SMALL_STATE(5874)] = 287038,
  [SMALL_STATE(5875)] = 287062,
  [SMALL_STATE(5876)] = 287086,
  [SMALL_STATE(5877)] = 287110,
  [SMALL_STATE(5878)] = 287134,
  [SMALL_STATE(5879)] = 287158,
  [SMALL_STATE(5880)] = 287182,
  [SMALL_STATE(5881)] = 287206,
  [SMALL_STATE(5882)] = 287230,
  [SMALL_STATE(5883)] = 287254,
  [SMALL_STATE(5884)] = 287278,
  [SMALL_STATE(5885)] = 287302,
  [SMALL_STATE(5886)] = 287326,
  [SMALL_STATE(5887)] = 287350,
  [SMALL_STATE(5888)] = 287374,
  [SMALL_STATE(5889)] = 287400,
  [SMALL_STATE(5890)] = 287426,
  [SMALL_STATE(5891)] = 287450,
  [SMALL_STATE(5892)] = 287474,
  [SMALL_STATE(5893)] = 287498,
  [SMALL_STATE(5894)] = 287522,
  [SMALL_STATE(5895)] = 287546,
  [SMALL_STATE(5896)] = 287570,
  [SMALL_STATE(5897)] = 287596,
  [SMALL_STATE(5898)] = 287620,
  [SMALL_STATE(5899)] = 287644,
  [SMALL_STATE(5900)] = 287668,
  [SMALL_STATE(5901)] = 287692,
  [SMALL_STATE(5902)] = 287716,
  [SMALL_STATE(5903)] = 287740,
  [SMALL_STATE(5904)] = 287764,
  [SMALL_STATE(5905)] = 287788,
  [SMALL_STATE(5906)] = 287812,
  [SMALL_STATE(5907)] = 287836,
  [SMALL_STATE(5908)] = 287860,
  [SMALL_STATE(5909)] = 287884,
  [SMALL_STATE(5910)] = 287908,
  [SMALL_STATE(5911)] = 287932,
  [SMALL_STATE(5912)] = 287956,
  [SMALL_STATE(5913)] = 287980,
  [SMALL_STATE(5914)] = 288004,
  [SMALL_STATE(5915)] = 288028,
  [SMALL_STATE(5916)] = 288052,
  [SMALL_STATE(5917)] = 288076,
  [SMALL_STATE(5918)] = 288100,
  [SMALL_STATE(5919)] = 288124,
  [SMALL_STATE(5920)] = 288150,
  [SMALL_STATE(5921)] = 288174,
  [SMALL_STATE(5922)] = 288198,
  [SMALL_STATE(5923)] = 288222,
  [SMALL_STATE(5924)] = 288246,
  [SMALL_STATE(5925)] = 288270,
  [SMALL_STATE(5926)] = 288294,
  [SMALL_STATE(5927)] = 288318,
  [SMALL_STATE(5928)] = 288342,
  [SMALL_STATE(5929)] = 288366,
  [SMALL_STATE(5930)] = 288390,
  [SMALL_STATE(5931)] = 288414,
  [SMALL_STATE(5932)] = 288438,
  [SMALL_STATE(5933)] = 288462,
  [SMALL_STATE(5934)] = 288486,
  [SMALL_STATE(5935)] = 288510,
  [SMALL_STATE(5936)] = 288534,
  [SMALL_STATE(5937)] = 288558,
  [SMALL_STATE(5938)] = 288582,
  [SMALL_STATE(5939)] = 288606,
  [SMALL_STATE(5940)] = 288630,
  [SMALL_STATE(5941)] = 288654,
  [SMALL_STATE(5942)] = 288678,
  [SMALL_STATE(5943)] = 288704,
  [SMALL_STATE(5944)] = 288728,
  [SMALL_STATE(5945)] = 288752,
  [SMALL_STATE(5946)] = 288776,
  [SMALL_STATE(5947)] = 288797,
  [SMALL_STATE(5948)] = 288818,
  [SMALL_STATE(5949)] = 288839,
  [SMALL_STATE(5950)] = 288860,
  [SMALL_STATE(5951)] = 288881,
  [SMALL_STATE(5952)] = 288902,
  [SMALL_STATE(5953)] = 288923,
  [SMALL_STATE(5954)] = 288944,
  [SMALL_STATE(5955)] = 288965,
  [SMALL_STATE(5956)] = 288982,
  [SMALL_STATE(5957)] = 289003,
  [SMALL_STATE(5958)] = 289024,
  [SMALL_STATE(5959)] = 289045,
  [SMALL_STATE(5960)] = 289066,
  [SMALL_STATE(5961)] = 289087,
  [SMALL_STATE(5962)] = 289104,
  [SMALL_STATE(5963)] = 289125,
  [SMALL_STATE(5964)] = 289146,
  [SMALL_STATE(5965)] = 289167,
  [SMALL_STATE(5966)] = 289188,
  [SMALL_STATE(5967)] = 289209,
  [SMALL_STATE(5968)] = 289230,
  [SMALL_STATE(5969)] = 289251,
  [SMALL_STATE(5970)] = 289272,
  [SMALL_STATE(5971)] = 289293,
  [SMALL_STATE(5972)] = 289314,
  [SMALL_STATE(5973)] = 289335,
  [SMALL_STATE(5974)] = 289356,
  [SMALL_STATE(5975)] = 289377,
  [SMALL_STATE(5976)] = 289398,
  [SMALL_STATE(5977)] = 289419,
  [SMALL_STATE(5978)] = 289440,
  [SMALL_STATE(5979)] = 289461,
  [SMALL_STATE(5980)] = 289482,
  [SMALL_STATE(5981)] = 289503,
  [SMALL_STATE(5982)] = 289524,
  [SMALL_STATE(5983)] = 289545,
  [SMALL_STATE(5984)] = 289566,
  [SMALL_STATE(5985)] = 289587,
  [SMALL_STATE(5986)] = 289608,
  [SMALL_STATE(5987)] = 289629,
  [SMALL_STATE(5988)] = 289650,
  [SMALL_STATE(5989)] = 289671,
  [SMALL_STATE(5990)] = 289688,
  [SMALL_STATE(5991)] = 289705,
  [SMALL_STATE(5992)] = 289726,
  [SMALL_STATE(5993)] = 289747,
  [SMALL_STATE(5994)] = 289768,
  [SMALL_STATE(5995)] = 289789,
  [SMALL_STATE(5996)] = 289810,
  [SMALL_STATE(5997)] = 289831,
  [SMALL_STATE(5998)] = 289852,
  [SMALL_STATE(5999)] = 289873,
  [SMALL_STATE(6000)] = 289894,
  [SMALL_STATE(6001)] = 289915,
  [SMALL_STATE(6002)] = 289936,
  [SMALL_STATE(6003)] = 289957,
  [SMALL_STATE(6004)] = 289978,
  [SMALL_STATE(6005)] = 289999,
  [SMALL_STATE(6006)] = 290020,
  [SMALL_STATE(6007)] = 290041,
  [SMALL_STATE(6008)] = 290062,
  [SMALL_STATE(6009)] = 290083,
  [SMALL_STATE(6010)] = 290104,
  [SMALL_STATE(6011)] = 290125,
  [SMALL_STATE(6012)] = 290146,
  [SMALL_STATE(6013)] = 290167,
  [SMALL_STATE(6014)] = 290188,
  [SMALL_STATE(6015)] = 290209,
  [SMALL_STATE(6016)] = 290230,
  [SMALL_STATE(6017)] = 290251,
  [SMALL_STATE(6018)] = 290272,
  [SMALL_STATE(6019)] = 290293,
  [SMALL_STATE(6020)] = 290314,
  [SMALL_STATE(6021)] = 290335,
  [SMALL_STATE(6022)] = 290356,
  [SMALL_STATE(6023)] = 290377,
  [SMALL_STATE(6024)] = 290398,
  [SMALL_STATE(6025)] = 290419,
  [SMALL_STATE(6026)] = 290440,
  [SMALL_STATE(6027)] = 290461,
  [SMALL_STATE(6028)] = 290482,
  [SMALL_STATE(6029)] = 290503,
  [SMALL_STATE(6030)] = 290524,
  [SMALL_STATE(6031)] = 290545,
  [SMALL_STATE(6032)] = 290566,
  [SMALL_STATE(6033)] = 290587,
  [SMALL_STATE(6034)] = 290608,
  [SMALL_STATE(6035)] = 290629,
  [SMALL_STATE(6036)] = 290650,
  [SMALL_STATE(6037)] = 290671,
  [SMALL_STATE(6038)] = 290692,
  [SMALL_STATE(6039)] = 290713,
  [SMALL_STATE(6040)] = 290734,
  [SMALL_STATE(6041)] = 290751,
  [SMALL_STATE(6042)] = 290772,
  [SMALL_STATE(6043)] = 290793,
  [SMALL_STATE(6044)] = 290814,
  [SMALL_STATE(6045)] = 290835,
  [SMALL_STATE(6046)] = 290856,
  [SMALL_STATE(6047)] = 290875,
  [SMALL_STATE(6048)] = 290896,
  [SMALL_STATE(6049)] = 290917,
  [SMALL_STATE(6050)] = 290938,
  [SMALL_STATE(6051)] = 290959,
  [SMALL_STATE(6052)] = 290980,
  [SMALL_STATE(6053)] = 291001,
  [SMALL_STATE(6054)] = 291022,
  [SMALL_STATE(6055)] = 291043,
  [SMALL_STATE(6056)] = 291064,
  [SMALL_STATE(6057)] = 291085,
  [SMALL_STATE(6058)] = 291106,
  [SMALL_STATE(6059)] = 291127,
  [SMALL_STATE(6060)] = 291148,
  [SMALL_STATE(6061)] = 291169,
  [SMALL_STATE(6062)] = 291190,
  [SMALL_STATE(6063)] = 291211,
  [SMALL_STATE(6064)] = 291232,
  [SMALL_STATE(6065)] = 291253,
  [SMALL_STATE(6066)] = 291274,
  [SMALL_STATE(6067)] = 291295,
  [SMALL_STATE(6068)] = 291316,
  [SMALL_STATE(6069)] = 291337,
  [SMALL_STATE(6070)] = 291358,
  [SMALL_STATE(6071)] = 291379,
  [SMALL_STATE(6072)] = 291400,
  [SMALL_STATE(6073)] = 291421,
  [SMALL_STATE(6074)] = 291442,
  [SMALL_STATE(6075)] = 291463,
  [SMALL_STATE(6076)] = 291484,
  [SMALL_STATE(6077)] = 291505,
  [SMALL_STATE(6078)] = 291526,
  [SMALL_STATE(6079)] = 291547,
  [SMALL_STATE(6080)] = 291568,
  [SMALL_STATE(6081)] = 291589,
  [SMALL_STATE(6082)] = 291610,
  [SMALL_STATE(6083)] = 291631,
  [SMALL_STATE(6084)] = 291652,
  [SMALL_STATE(6085)] = 291673,
  [SMALL_STATE(6086)] = 291694,
  [SMALL_STATE(6087)] = 291715,
  [SMALL_STATE(6088)] = 291736,
  [SMALL_STATE(6089)] = 291757,
  [SMALL_STATE(6090)] = 291778,
  [SMALL_STATE(6091)] = 291799,
  [SMALL_STATE(6092)] = 291820,
  [SMALL_STATE(6093)] = 291841,
  [SMALL_STATE(6094)] = 291862,
  [SMALL_STATE(6095)] = 291883,
  [SMALL_STATE(6096)] = 291904,
  [SMALL_STATE(6097)] = 291925,
  [SMALL_STATE(6098)] = 291946,
  [SMALL_STATE(6099)] = 291967,
  [SMALL_STATE(6100)] = 291988,
  [SMALL_STATE(6101)] = 292009,
  [SMALL_STATE(6102)] = 292030,
  [SMALL_STATE(6103)] = 292051,
  [SMALL_STATE(6104)] = 292072,
  [SMALL_STATE(6105)] = 292093,
  [SMALL_STATE(6106)] = 292114,
  [SMALL_STATE(6107)] = 292135,
  [SMALL_STATE(6108)] = 292156,
  [SMALL_STATE(6109)] = 292177,
  [SMALL_STATE(6110)] = 292198,
  [SMALL_STATE(6111)] = 292219,
  [SMALL_STATE(6112)] = 292240,
  [SMALL_STATE(6113)] = 292261,
  [SMALL_STATE(6114)] = 292282,
  [SMALL_STATE(6115)] = 292303,
  [SMALL_STATE(6116)] = 292324,
  [SMALL_STATE(6117)] = 292345,
  [SMALL_STATE(6118)] = 292366,
  [SMALL_STATE(6119)] = 292387,
  [SMALL_STATE(6120)] = 292408,
  [SMALL_STATE(6121)] = 292429,
  [SMALL_STATE(6122)] = 292448,
  [SMALL_STATE(6123)] = 292469,
  [SMALL_STATE(6124)] = 292486,
  [SMALL_STATE(6125)] = 292503,
  [SMALL_STATE(6126)] = 292520,
  [SMALL_STATE(6127)] = 292537,
  [SMALL_STATE(6128)] = 292556,
  [SMALL_STATE(6129)] = 292573,
  [SMALL_STATE(6130)] = 292590,
  [SMALL_STATE(6131)] = 292607,
  [SMALL_STATE(6132)] = 292628,
  [SMALL_STATE(6133)] = 292649,
  [SMALL_STATE(6134)] = 292670,
  [SMALL_STATE(6135)] = 292691,
  [SMALL_STATE(6136)] = 292712,
  [SMALL_STATE(6137)] = 292733,
  [SMALL_STATE(6138)] = 292750,
  [SMALL_STATE(6139)] = 292767,
  [SMALL_STATE(6140)] = 292784,
  [SMALL_STATE(6141)] = 292801,
  [SMALL_STATE(6142)] = 292818,
  [SMALL_STATE(6143)] = 292835,
  [SMALL_STATE(6144)] = 292856,
  [SMALL_STATE(6145)] = 292877,
  [SMALL_STATE(6146)] = 292898,
  [SMALL_STATE(6147)] = 292919,
  [SMALL_STATE(6148)] = 292936,
  [SMALL_STATE(6149)] = 292953,
  [SMALL_STATE(6150)] = 292974,
  [SMALL_STATE(6151)] = 292995,
  [SMALL_STATE(6152)] = 293016,
  [SMALL_STATE(6153)] = 293037,
  [SMALL_STATE(6154)] = 293058,
  [SMALL_STATE(6155)] = 293079,
  [SMALL_STATE(6156)] = 293100,
  [SMALL_STATE(6157)] = 293121,
  [SMALL_STATE(6158)] = 293142,
  [SMALL_STATE(6159)] = 293163,
  [SMALL_STATE(6160)] = 293180,
  [SMALL_STATE(6161)] = 293197,
  [SMALL_STATE(6162)] = 293218,
  [SMALL_STATE(6163)] = 293235,
  [SMALL_STATE(6164)] = 293252,
  [SMALL_STATE(6165)] = 293269,
  [SMALL_STATE(6166)] = 293286,
  [SMALL_STATE(6167)] = 293307,
  [SMALL_STATE(6168)] = 293324,
  [SMALL_STATE(6169)] = 293341,
  [SMALL_STATE(6170)] = 293358,
  [SMALL_STATE(6171)] = 293375,
  [SMALL_STATE(6172)] = 293393,
  [SMALL_STATE(6173)] = 293411,
  [SMALL_STATE(6174)] = 293429,
  [SMALL_STATE(6175)] = 293447,
  [SMALL_STATE(6176)] = 293465,
  [SMALL_STATE(6177)] = 293483,
  [SMALL_STATE(6178)] = 293501,
  [SMALL_STATE(6179)] = 293519,
  [SMALL_STATE(6180)] = 293537,
  [SMALL_STATE(6181)] = 293555,
  [SMALL_STATE(6182)] = 293573,
  [SMALL_STATE(6183)] = 293591,
  [SMALL_STATE(6184)] = 293609,
  [SMALL_STATE(6185)] = 293627,
  [SMALL_STATE(6186)] = 293645,
  [SMALL_STATE(6187)] = 293663,
  [SMALL_STATE(6188)] = 293681,
  [SMALL_STATE(6189)] = 293699,
  [SMALL_STATE(6190)] = 293717,
  [SMALL_STATE(6191)] = 293735,
  [SMALL_STATE(6192)] = 293753,
  [SMALL_STATE(6193)] = 293771,
  [SMALL_STATE(6194)] = 293789,
  [SMALL_STATE(6195)] = 293807,
  [SMALL_STATE(6196)] = 293825,
  [SMALL_STATE(6197)] = 293843,
  [SMALL_STATE(6198)] = 293857,
  [SMALL_STATE(6199)] = 293875,
  [SMALL_STATE(6200)] = 293893,
  [SMALL_STATE(6201)] = 293911,
  [SMALL_STATE(6202)] = 293929,
  [SMALL_STATE(6203)] = 293945,
  [SMALL_STATE(6204)] = 293963,
  [SMALL_STATE(6205)] = 293981,
  [SMALL_STATE(6206)] = 293999,
  [SMALL_STATE(6207)] = 294013,
  [SMALL_STATE(6208)] = 294031,
  [SMALL_STATE(6209)] = 294049,
  [SMALL_STATE(6210)] = 294067,
  [SMALL_STATE(6211)] = 294085,
  [SMALL_STATE(6212)] = 294103,
  [SMALL_STATE(6213)] = 294121,
  [SMALL_STATE(6214)] = 294139,
  [SMALL_STATE(6215)] = 294157,
  [SMALL_STATE(6216)] = 294175,
  [SMALL_STATE(6217)] = 294193,
  [SMALL_STATE(6218)] = 294211,
  [SMALL_STATE(6219)] = 294229,
  [SMALL_STATE(6220)] = 294247,
  [SMALL_STATE(6221)] = 294265,
  [SMALL_STATE(6222)] = 294283,
  [SMALL_STATE(6223)] = 294301,
  [SMALL_STATE(6224)] = 294319,
  [SMALL_STATE(6225)] = 294337,
  [SMALL_STATE(6226)] = 294355,
  [SMALL_STATE(6227)] = 294373,
  [SMALL_STATE(6228)] = 294391,
  [SMALL_STATE(6229)] = 294409,
  [SMALL_STATE(6230)] = 294427,
  [SMALL_STATE(6231)] = 294445,
  [SMALL_STATE(6232)] = 294463,
  [SMALL_STATE(6233)] = 294481,
  [SMALL_STATE(6234)] = 294499,
  [SMALL_STATE(6235)] = 294517,
  [SMALL_STATE(6236)] = 294535,
  [SMALL_STATE(6237)] = 294553,
  [SMALL_STATE(6238)] = 294571,
  [SMALL_STATE(6239)] = 294589,
  [SMALL_STATE(6240)] = 294607,
  [SMALL_STATE(6241)] = 294625,
  [SMALL_STATE(6242)] = 294643,
  [SMALL_STATE(6243)] = 294661,
  [SMALL_STATE(6244)] = 294679,
  [SMALL_STATE(6245)] = 294697,
  [SMALL_STATE(6246)] = 294715,
  [SMALL_STATE(6247)] = 294733,
  [SMALL_STATE(6248)] = 294751,
  [SMALL_STATE(6249)] = 294769,
  [SMALL_STATE(6250)] = 294787,
  [SMALL_STATE(6251)] = 294805,
  [SMALL_STATE(6252)] = 294823,
  [SMALL_STATE(6253)] = 294841,
  [SMALL_STATE(6254)] = 294859,
  [SMALL_STATE(6255)] = 294877,
  [SMALL_STATE(6256)] = 294895,
  [SMALL_STATE(6257)] = 294913,
  [SMALL_STATE(6258)] = 294931,
  [SMALL_STATE(6259)] = 294949,
  [SMALL_STATE(6260)] = 294963,
  [SMALL_STATE(6261)] = 294981,
  [SMALL_STATE(6262)] = 294999,
  [SMALL_STATE(6263)] = 295017,
  [SMALL_STATE(6264)] = 295033,
  [SMALL_STATE(6265)] = 295051,
  [SMALL_STATE(6266)] = 295065,
  [SMALL_STATE(6267)] = 295083,
  [SMALL_STATE(6268)] = 295101,
  [SMALL_STATE(6269)] = 295119,
  [SMALL_STATE(6270)] = 295137,
  [SMALL_STATE(6271)] = 295155,
  [SMALL_STATE(6272)] = 295173,
  [SMALL_STATE(6273)] = 295191,
  [SMALL_STATE(6274)] = 295209,
  [SMALL_STATE(6275)] = 295227,
  [SMALL_STATE(6276)] = 295245,
  [SMALL_STATE(6277)] = 295263,
  [SMALL_STATE(6278)] = 295281,
  [SMALL_STATE(6279)] = 295299,
  [SMALL_STATE(6280)] = 295317,
  [SMALL_STATE(6281)] = 295335,
  [SMALL_STATE(6282)] = 295353,
  [SMALL_STATE(6283)] = 295371,
  [SMALL_STATE(6284)] = 295389,
  [SMALL_STATE(6285)] = 295407,
  [SMALL_STATE(6286)] = 295425,
  [SMALL_STATE(6287)] = 295443,
  [SMALL_STATE(6288)] = 295461,
  [SMALL_STATE(6289)] = 295479,
  [SMALL_STATE(6290)] = 295497,
  [SMALL_STATE(6291)] = 295515,
  [SMALL_STATE(6292)] = 295533,
  [SMALL_STATE(6293)] = 295551,
  [SMALL_STATE(6294)] = 295569,
  [SMALL_STATE(6295)] = 295587,
  [SMALL_STATE(6296)] = 295605,
  [SMALL_STATE(6297)] = 295623,
  [SMALL_STATE(6298)] = 295641,
  [SMALL_STATE(6299)] = 295659,
  [SMALL_STATE(6300)] = 295677,
  [SMALL_STATE(6301)] = 295695,
  [SMALL_STATE(6302)] = 295713,
  [SMALL_STATE(6303)] = 295731,
  [SMALL_STATE(6304)] = 295749,
  [SMALL_STATE(6305)] = 295767,
  [SMALL_STATE(6306)] = 295785,
  [SMALL_STATE(6307)] = 295803,
  [SMALL_STATE(6308)] = 295821,
  [SMALL_STATE(6309)] = 295839,
  [SMALL_STATE(6310)] = 295857,
  [SMALL_STATE(6311)] = 295875,
  [SMALL_STATE(6312)] = 295893,
  [SMALL_STATE(6313)] = 295911,
  [SMALL_STATE(6314)] = 295929,
  [SMALL_STATE(6315)] = 295947,
  [SMALL_STATE(6316)] = 295965,
  [SMALL_STATE(6317)] = 295983,
  [SMALL_STATE(6318)] = 296001,
  [SMALL_STATE(6319)] = 296019,
  [SMALL_STATE(6320)] = 296037,
  [SMALL_STATE(6321)] = 296055,
  [SMALL_STATE(6322)] = 296073,
  [SMALL_STATE(6323)] = 296091,
  [SMALL_STATE(6324)] = 296109,
  [SMALL_STATE(6325)] = 296127,
  [SMALL_STATE(6326)] = 296145,
  [SMALL_STATE(6327)] = 296163,
  [SMALL_STATE(6328)] = 296181,
  [SMALL_STATE(6329)] = 296199,
  [SMALL_STATE(6330)] = 296217,
  [SMALL_STATE(6331)] = 296235,
  [SMALL_STATE(6332)] = 296253,
  [SMALL_STATE(6333)] = 296271,
  [SMALL_STATE(6334)] = 296289,
  [SMALL_STATE(6335)] = 296307,
  [SMALL_STATE(6336)] = 296325,
  [SMALL_STATE(6337)] = 296343,
  [SMALL_STATE(6338)] = 296359,
  [SMALL_STATE(6339)] = 296377,
  [SMALL_STATE(6340)] = 296395,
  [SMALL_STATE(6341)] = 296413,
  [SMALL_STATE(6342)] = 296427,
  [SMALL_STATE(6343)] = 296445,
  [SMALL_STATE(6344)] = 296463,
  [SMALL_STATE(6345)] = 296479,
  [SMALL_STATE(6346)] = 296495,
  [SMALL_STATE(6347)] = 296513,
  [SMALL_STATE(6348)] = 296531,
  [SMALL_STATE(6349)] = 296549,
  [SMALL_STATE(6350)] = 296567,
  [SMALL_STATE(6351)] = 296585,
  [SMALL_STATE(6352)] = 296603,
  [SMALL_STATE(6353)] = 296621,
  [SMALL_STATE(6354)] = 296639,
  [SMALL_STATE(6355)] = 296657,
  [SMALL_STATE(6356)] = 296675,
  [SMALL_STATE(6357)] = 296693,
  [SMALL_STATE(6358)] = 296711,
  [SMALL_STATE(6359)] = 296729,
  [SMALL_STATE(6360)] = 296747,
  [SMALL_STATE(6361)] = 296765,
  [SMALL_STATE(6362)] = 296783,
  [SMALL_STATE(6363)] = 296801,
  [SMALL_STATE(6364)] = 296819,
  [SMALL_STATE(6365)] = 296837,
  [SMALL_STATE(6366)] = 296855,
  [SMALL_STATE(6367)] = 296873,
  [SMALL_STATE(6368)] = 296891,
  [SMALL_STATE(6369)] = 296909,
  [SMALL_STATE(6370)] = 296927,
  [SMALL_STATE(6371)] = 296945,
  [SMALL_STATE(6372)] = 296963,
  [SMALL_STATE(6373)] = 296981,
  [SMALL_STATE(6374)] = 296999,
  [SMALL_STATE(6375)] = 297017,
  [SMALL_STATE(6376)] = 297035,
  [SMALL_STATE(6377)] = 297053,
  [SMALL_STATE(6378)] = 297071,
  [SMALL_STATE(6379)] = 297089,
  [SMALL_STATE(6380)] = 297107,
  [SMALL_STATE(6381)] = 297125,
  [SMALL_STATE(6382)] = 297143,
  [SMALL_STATE(6383)] = 297161,
  [SMALL_STATE(6384)] = 297179,
  [SMALL_STATE(6385)] = 297197,
  [SMALL_STATE(6386)] = 297215,
  [SMALL_STATE(6387)] = 297233,
  [SMALL_STATE(6388)] = 297251,
  [SMALL_STATE(6389)] = 297269,
  [SMALL_STATE(6390)] = 297287,
  [SMALL_STATE(6391)] = 297305,
  [SMALL_STATE(6392)] = 297323,
  [SMALL_STATE(6393)] = 297341,
  [SMALL_STATE(6394)] = 297359,
  [SMALL_STATE(6395)] = 297377,
  [SMALL_STATE(6396)] = 297395,
  [SMALL_STATE(6397)] = 297413,
  [SMALL_STATE(6398)] = 297431,
  [SMALL_STATE(6399)] = 297445,
  [SMALL_STATE(6400)] = 297463,
  [SMALL_STATE(6401)] = 297481,
  [SMALL_STATE(6402)] = 297499,
  [SMALL_STATE(6403)] = 297517,
  [SMALL_STATE(6404)] = 297535,
  [SMALL_STATE(6405)] = 297553,
  [SMALL_STATE(6406)] = 297571,
  [SMALL_STATE(6407)] = 297589,
  [SMALL_STATE(6408)] = 297607,
  [SMALL_STATE(6409)] = 297625,
  [SMALL_STATE(6410)] = 297643,
  [SMALL_STATE(6411)] = 297661,
  [SMALL_STATE(6412)] = 297679,
  [SMALL_STATE(6413)] = 297697,
  [SMALL_STATE(6414)] = 297715,
  [SMALL_STATE(6415)] = 297733,
  [SMALL_STATE(6416)] = 297751,
  [SMALL_STATE(6417)] = 297769,
  [SMALL_STATE(6418)] = 297787,
  [SMALL_STATE(6419)] = 297805,
  [SMALL_STATE(6420)] = 297823,
  [SMALL_STATE(6421)] = 297841,
  [SMALL_STATE(6422)] = 297859,
  [SMALL_STATE(6423)] = 297877,
  [SMALL_STATE(6424)] = 297895,
  [SMALL_STATE(6425)] = 297913,
  [SMALL_STATE(6426)] = 297931,
  [SMALL_STATE(6427)] = 297949,
  [SMALL_STATE(6428)] = 297967,
  [SMALL_STATE(6429)] = 297985,
  [SMALL_STATE(6430)] = 298003,
  [SMALL_STATE(6431)] = 298021,
  [SMALL_STATE(6432)] = 298039,
  [SMALL_STATE(6433)] = 298057,
  [SMALL_STATE(6434)] = 298075,
  [SMALL_STATE(6435)] = 298093,
  [SMALL_STATE(6436)] = 298111,
  [SMALL_STATE(6437)] = 298129,
  [SMALL_STATE(6438)] = 298147,
  [SMALL_STATE(6439)] = 298165,
  [SMALL_STATE(6440)] = 298183,
  [SMALL_STATE(6441)] = 298201,
  [SMALL_STATE(6442)] = 298219,
  [SMALL_STATE(6443)] = 298237,
  [SMALL_STATE(6444)] = 298255,
  [SMALL_STATE(6445)] = 298273,
  [SMALL_STATE(6446)] = 298291,
  [SMALL_STATE(6447)] = 298309,
  [SMALL_STATE(6448)] = 298327,
  [SMALL_STATE(6449)] = 298345,
  [SMALL_STATE(6450)] = 298363,
  [SMALL_STATE(6451)] = 298381,
  [SMALL_STATE(6452)] = 298399,
  [SMALL_STATE(6453)] = 298417,
  [SMALL_STATE(6454)] = 298435,
  [SMALL_STATE(6455)] = 298453,
  [SMALL_STATE(6456)] = 298469,
  [SMALL_STATE(6457)] = 298483,
  [SMALL_STATE(6458)] = 298501,
  [SMALL_STATE(6459)] = 298519,
  [SMALL_STATE(6460)] = 298537,
  [SMALL_STATE(6461)] = 298555,
  [SMALL_STATE(6462)] = 298573,
  [SMALL_STATE(6463)] = 298591,
  [SMALL_STATE(6464)] = 298609,
  [SMALL_STATE(6465)] = 298627,
  [SMALL_STATE(6466)] = 298645,
  [SMALL_STATE(6467)] = 298663,
  [SMALL_STATE(6468)] = 298681,
  [SMALL_STATE(6469)] = 298699,
  [SMALL_STATE(6470)] = 298717,
  [SMALL_STATE(6471)] = 298735,
  [SMALL_STATE(6472)] = 298753,
  [SMALL_STATE(6473)] = 298771,
  [SMALL_STATE(6474)] = 298789,
  [SMALL_STATE(6475)] = 298807,
  [SMALL_STATE(6476)] = 298825,
  [SMALL_STATE(6477)] = 298843,
  [SMALL_STATE(6478)] = 298861,
  [SMALL_STATE(6479)] = 298879,
  [SMALL_STATE(6480)] = 298897,
  [SMALL_STATE(6481)] = 298915,
  [SMALL_STATE(6482)] = 298933,
  [SMALL_STATE(6483)] = 298951,
  [SMALL_STATE(6484)] = 298965,
  [SMALL_STATE(6485)] = 298983,
  [SMALL_STATE(6486)] = 299001,
  [SMALL_STATE(6487)] = 299019,
  [SMALL_STATE(6488)] = 299037,
  [SMALL_STATE(6489)] = 299055,
  [SMALL_STATE(6490)] = 299073,
  [SMALL_STATE(6491)] = 299091,
  [SMALL_STATE(6492)] = 299109,
  [SMALL_STATE(6493)] = 299127,
  [SMALL_STATE(6494)] = 299145,
  [SMALL_STATE(6495)] = 299163,
  [SMALL_STATE(6496)] = 299181,
  [SMALL_STATE(6497)] = 299199,
  [SMALL_STATE(6498)] = 299217,
  [SMALL_STATE(6499)] = 299235,
  [SMALL_STATE(6500)] = 299253,
  [SMALL_STATE(6501)] = 299271,
  [SMALL_STATE(6502)] = 299289,
  [SMALL_STATE(6503)] = 299307,
  [SMALL_STATE(6504)] = 299325,
  [SMALL_STATE(6505)] = 299343,
  [SMALL_STATE(6506)] = 299361,
  [SMALL_STATE(6507)] = 299379,
  [SMALL_STATE(6508)] = 299397,
  [SMALL_STATE(6509)] = 299415,
  [SMALL_STATE(6510)] = 299433,
  [SMALL_STATE(6511)] = 299451,
  [SMALL_STATE(6512)] = 299469,
  [SMALL_STATE(6513)] = 299487,
  [SMALL_STATE(6514)] = 299501,
  [SMALL_STATE(6515)] = 299519,
  [SMALL_STATE(6516)] = 299537,
  [SMALL_STATE(6517)] = 299555,
  [SMALL_STATE(6518)] = 299573,
  [SMALL_STATE(6519)] = 299591,
  [SMALL_STATE(6520)] = 299609,
  [SMALL_STATE(6521)] = 299625,
  [SMALL_STATE(6522)] = 299643,
  [SMALL_STATE(6523)] = 299661,
  [SMALL_STATE(6524)] = 299679,
  [SMALL_STATE(6525)] = 299697,
  [SMALL_STATE(6526)] = 299715,
  [SMALL_STATE(6527)] = 299733,
  [SMALL_STATE(6528)] = 299751,
  [SMALL_STATE(6529)] = 299769,
  [SMALL_STATE(6530)] = 299787,
  [SMALL_STATE(6531)] = 299805,
  [SMALL_STATE(6532)] = 299823,
  [SMALL_STATE(6533)] = 299841,
  [SMALL_STATE(6534)] = 299859,
  [SMALL_STATE(6535)] = 299877,
  [SMALL_STATE(6536)] = 299895,
  [SMALL_STATE(6537)] = 299913,
  [SMALL_STATE(6538)] = 299931,
  [SMALL_STATE(6539)] = 299949,
  [SMALL_STATE(6540)] = 299967,
  [SMALL_STATE(6541)] = 299985,
  [SMALL_STATE(6542)] = 300003,
  [SMALL_STATE(6543)] = 300017,
  [SMALL_STATE(6544)] = 300035,
  [SMALL_STATE(6545)] = 300053,
  [SMALL_STATE(6546)] = 300071,
  [SMALL_STATE(6547)] = 300085,
  [SMALL_STATE(6548)] = 300103,
  [SMALL_STATE(6549)] = 300121,
  [SMALL_STATE(6550)] = 300139,
  [SMALL_STATE(6551)] = 300157,
  [SMALL_STATE(6552)] = 300175,
  [SMALL_STATE(6553)] = 300193,
  [SMALL_STATE(6554)] = 300211,
  [SMALL_STATE(6555)] = 300229,
  [SMALL_STATE(6556)] = 300247,
  [SMALL_STATE(6557)] = 300265,
  [SMALL_STATE(6558)] = 300283,
  [SMALL_STATE(6559)] = 300301,
  [SMALL_STATE(6560)] = 300319,
  [SMALL_STATE(6561)] = 300337,
  [SMALL_STATE(6562)] = 300355,
  [SMALL_STATE(6563)] = 300373,
  [SMALL_STATE(6564)] = 300391,
  [SMALL_STATE(6565)] = 300409,
  [SMALL_STATE(6566)] = 300427,
  [SMALL_STATE(6567)] = 300445,
  [SMALL_STATE(6568)] = 300459,
  [SMALL_STATE(6569)] = 300477,
  [SMALL_STATE(6570)] = 300495,
  [SMALL_STATE(6571)] = 300513,
  [SMALL_STATE(6572)] = 300531,
  [SMALL_STATE(6573)] = 300549,
  [SMALL_STATE(6574)] = 300567,
  [SMALL_STATE(6575)] = 300585,
  [SMALL_STATE(6576)] = 300603,
  [SMALL_STATE(6577)] = 300621,
  [SMALL_STATE(6578)] = 300639,
  [SMALL_STATE(6579)] = 300657,
  [SMALL_STATE(6580)] = 300675,
  [SMALL_STATE(6581)] = 300693,
  [SMALL_STATE(6582)] = 300711,
  [SMALL_STATE(6583)] = 300729,
  [SMALL_STATE(6584)] = 300745,
  [SMALL_STATE(6585)] = 300763,
  [SMALL_STATE(6586)] = 300781,
  [SMALL_STATE(6587)] = 300799,
  [SMALL_STATE(6588)] = 300815,
  [SMALL_STATE(6589)] = 300831,
  [SMALL_STATE(6590)] = 300849,
  [SMALL_STATE(6591)] = 300867,
  [SMALL_STATE(6592)] = 300885,
  [SMALL_STATE(6593)] = 300899,
  [SMALL_STATE(6594)] = 300917,
  [SMALL_STATE(6595)] = 300935,
  [SMALL_STATE(6596)] = 300953,
  [SMALL_STATE(6597)] = 300971,
  [SMALL_STATE(6598)] = 300989,
  [SMALL_STATE(6599)] = 301007,
  [SMALL_STATE(6600)] = 301025,
  [SMALL_STATE(6601)] = 301043,
  [SMALL_STATE(6602)] = 301061,
  [SMALL_STATE(6603)] = 301079,
  [SMALL_STATE(6604)] = 301097,
  [SMALL_STATE(6605)] = 301115,
  [SMALL_STATE(6606)] = 301133,
  [SMALL_STATE(6607)] = 301151,
  [SMALL_STATE(6608)] = 301169,
  [SMALL_STATE(6609)] = 301187,
  [SMALL_STATE(6610)] = 301205,
  [SMALL_STATE(6611)] = 301223,
  [SMALL_STATE(6612)] = 301241,
  [SMALL_STATE(6613)] = 301259,
  [SMALL_STATE(6614)] = 301277,
  [SMALL_STATE(6615)] = 301295,
  [SMALL_STATE(6616)] = 301313,
  [SMALL_STATE(6617)] = 301331,
  [SMALL_STATE(6618)] = 301349,
  [SMALL_STATE(6619)] = 301367,
  [SMALL_STATE(6620)] = 301385,
  [SMALL_STATE(6621)] = 301403,
  [SMALL_STATE(6622)] = 301421,
  [SMALL_STATE(6623)] = 301439,
  [SMALL_STATE(6624)] = 301457,
  [SMALL_STATE(6625)] = 301475,
  [SMALL_STATE(6626)] = 301493,
  [SMALL_STATE(6627)] = 301511,
  [SMALL_STATE(6628)] = 301529,
  [SMALL_STATE(6629)] = 301547,
  [SMALL_STATE(6630)] = 301565,
  [SMALL_STATE(6631)] = 301583,
  [SMALL_STATE(6632)] = 301601,
  [SMALL_STATE(6633)] = 301619,
  [SMALL_STATE(6634)] = 301637,
  [SMALL_STATE(6635)] = 301655,
  [SMALL_STATE(6636)] = 301673,
  [SMALL_STATE(6637)] = 301689,
  [SMALL_STATE(6638)] = 301707,
  [SMALL_STATE(6639)] = 301725,
  [SMALL_STATE(6640)] = 301743,
  [SMALL_STATE(6641)] = 301761,
  [SMALL_STATE(6642)] = 301779,
  [SMALL_STATE(6643)] = 301797,
  [SMALL_STATE(6644)] = 301815,
  [SMALL_STATE(6645)] = 301833,
  [SMALL_STATE(6646)] = 301851,
  [SMALL_STATE(6647)] = 301869,
  [SMALL_STATE(6648)] = 301887,
  [SMALL_STATE(6649)] = 301905,
  [SMALL_STATE(6650)] = 301923,
  [SMALL_STATE(6651)] = 301941,
  [SMALL_STATE(6652)] = 301959,
  [SMALL_STATE(6653)] = 301977,
  [SMALL_STATE(6654)] = 301995,
  [SMALL_STATE(6655)] = 302013,
  [SMALL_STATE(6656)] = 302031,
  [SMALL_STATE(6657)] = 302049,
  [SMALL_STATE(6658)] = 302067,
  [SMALL_STATE(6659)] = 302085,
  [SMALL_STATE(6660)] = 302103,
  [SMALL_STATE(6661)] = 302121,
  [SMALL_STATE(6662)] = 302139,
  [SMALL_STATE(6663)] = 302157,
  [SMALL_STATE(6664)] = 302175,
  [SMALL_STATE(6665)] = 302193,
  [SMALL_STATE(6666)] = 302211,
  [SMALL_STATE(6667)] = 302229,
  [SMALL_STATE(6668)] = 302247,
  [SMALL_STATE(6669)] = 302265,
  [SMALL_STATE(6670)] = 302283,
  [SMALL_STATE(6671)] = 302301,
  [SMALL_STATE(6672)] = 302319,
  [SMALL_STATE(6673)] = 302337,
  [SMALL_STATE(6674)] = 302355,
  [SMALL_STATE(6675)] = 302373,
  [SMALL_STATE(6676)] = 302391,
  [SMALL_STATE(6677)] = 302409,
  [SMALL_STATE(6678)] = 302427,
  [SMALL_STATE(6679)] = 302445,
  [SMALL_STATE(6680)] = 302463,
  [SMALL_STATE(6681)] = 302481,
  [SMALL_STATE(6682)] = 302499,
  [SMALL_STATE(6683)] = 302517,
  [SMALL_STATE(6684)] = 302535,
  [SMALL_STATE(6685)] = 302553,
  [SMALL_STATE(6686)] = 302571,
  [SMALL_STATE(6687)] = 302589,
  [SMALL_STATE(6688)] = 302607,
  [SMALL_STATE(6689)] = 302625,
  [SMALL_STATE(6690)] = 302643,
  [SMALL_STATE(6691)] = 302661,
  [SMALL_STATE(6692)] = 302679,
  [SMALL_STATE(6693)] = 302697,
  [SMALL_STATE(6694)] = 302715,
  [SMALL_STATE(6695)] = 302733,
  [SMALL_STATE(6696)] = 302751,
  [SMALL_STATE(6697)] = 302769,
  [SMALL_STATE(6698)] = 302787,
  [SMALL_STATE(6699)] = 302805,
  [SMALL_STATE(6700)] = 302823,
  [SMALL_STATE(6701)] = 302841,
  [SMALL_STATE(6702)] = 302859,
  [SMALL_STATE(6703)] = 302877,
  [SMALL_STATE(6704)] = 302895,
  [SMALL_STATE(6705)] = 302913,
  [SMALL_STATE(6706)] = 302931,
  [SMALL_STATE(6707)] = 302949,
  [SMALL_STATE(6708)] = 302967,
  [SMALL_STATE(6709)] = 302985,
  [SMALL_STATE(6710)] = 303003,
  [SMALL_STATE(6711)] = 303021,
  [SMALL_STATE(6712)] = 303039,
  [SMALL_STATE(6713)] = 303057,
  [SMALL_STATE(6714)] = 303075,
  [SMALL_STATE(6715)] = 303093,
  [SMALL_STATE(6716)] = 303111,
  [SMALL_STATE(6717)] = 303129,
  [SMALL_STATE(6718)] = 303147,
  [SMALL_STATE(6719)] = 303165,
  [SMALL_STATE(6720)] = 303183,
  [SMALL_STATE(6721)] = 303201,
  [SMALL_STATE(6722)] = 303219,
  [SMALL_STATE(6723)] = 303237,
  [SMALL_STATE(6724)] = 303255,
  [SMALL_STATE(6725)] = 303273,
  [SMALL_STATE(6726)] = 303291,
  [SMALL_STATE(6727)] = 303309,
  [SMALL_STATE(6728)] = 303327,
  [SMALL_STATE(6729)] = 303345,
  [SMALL_STATE(6730)] = 303363,
  [SMALL_STATE(6731)] = 303379,
  [SMALL_STATE(6732)] = 303397,
  [SMALL_STATE(6733)] = 303415,
  [SMALL_STATE(6734)] = 303433,
  [SMALL_STATE(6735)] = 303451,
  [SMALL_STATE(6736)] = 303469,
  [SMALL_STATE(6737)] = 303487,
  [SMALL_STATE(6738)] = 303505,
  [SMALL_STATE(6739)] = 303523,
  [SMALL_STATE(6740)] = 303541,
  [SMALL_STATE(6741)] = 303559,
  [SMALL_STATE(6742)] = 303577,
  [SMALL_STATE(6743)] = 303595,
  [SMALL_STATE(6744)] = 303613,
  [SMALL_STATE(6745)] = 303631,
  [SMALL_STATE(6746)] = 303649,
  [SMALL_STATE(6747)] = 303667,
  [SMALL_STATE(6748)] = 303685,
  [SMALL_STATE(6749)] = 303703,
  [SMALL_STATE(6750)] = 303721,
  [SMALL_STATE(6751)] = 303739,
  [SMALL_STATE(6752)] = 303757,
  [SMALL_STATE(6753)] = 303775,
  [SMALL_STATE(6754)] = 303793,
  [SMALL_STATE(6755)] = 303811,
  [SMALL_STATE(6756)] = 303829,
  [SMALL_STATE(6757)] = 303842,
  [SMALL_STATE(6758)] = 303857,
  [SMALL_STATE(6759)] = 303872,
  [SMALL_STATE(6760)] = 303887,
  [SMALL_STATE(6761)] = 303900,
  [SMALL_STATE(6762)] = 303915,
  [SMALL_STATE(6763)] = 303930,
  [SMALL_STATE(6764)] = 303945,
  [SMALL_STATE(6765)] = 303960,
  [SMALL_STATE(6766)] = 303975,
  [SMALL_STATE(6767)] = 303990,
  [SMALL_STATE(6768)] = 304005,
  [SMALL_STATE(6769)] = 304020,
  [SMALL_STATE(6770)] = 304035,
  [SMALL_STATE(6771)] = 304050,
  [SMALL_STATE(6772)] = 304065,
  [SMALL_STATE(6773)] = 304080,
  [SMALL_STATE(6774)] = 304095,
  [SMALL_STATE(6775)] = 304110,
  [SMALL_STATE(6776)] = 304125,
  [SMALL_STATE(6777)] = 304140,
  [SMALL_STATE(6778)] = 304155,
  [SMALL_STATE(6779)] = 304170,
  [SMALL_STATE(6780)] = 304185,
  [SMALL_STATE(6781)] = 304200,
  [SMALL_STATE(6782)] = 304215,
  [SMALL_STATE(6783)] = 304228,
  [SMALL_STATE(6784)] = 304243,
  [SMALL_STATE(6785)] = 304258,
  [SMALL_STATE(6786)] = 304273,
  [SMALL_STATE(6787)] = 304288,
  [SMALL_STATE(6788)] = 304303,
  [SMALL_STATE(6789)] = 304318,
  [SMALL_STATE(6790)] = 304333,
  [SMALL_STATE(6791)] = 304348,
  [SMALL_STATE(6792)] = 304363,
  [SMALL_STATE(6793)] = 304378,
  [SMALL_STATE(6794)] = 304393,
  [SMALL_STATE(6795)] = 304408,
  [SMALL_STATE(6796)] = 304423,
  [SMALL_STATE(6797)] = 304438,
  [SMALL_STATE(6798)] = 304453,
  [SMALL_STATE(6799)] = 304468,
  [SMALL_STATE(6800)] = 304483,
  [SMALL_STATE(6801)] = 304496,
  [SMALL_STATE(6802)] = 304509,
  [SMALL_STATE(6803)] = 304524,
  [SMALL_STATE(6804)] = 304539,
  [SMALL_STATE(6805)] = 304554,
  [SMALL_STATE(6806)] = 304569,
  [SMALL_STATE(6807)] = 304584,
  [SMALL_STATE(6808)] = 304597,
  [SMALL_STATE(6809)] = 304610,
  [SMALL_STATE(6810)] = 304625,
  [SMALL_STATE(6811)] = 304640,
  [SMALL_STATE(6812)] = 304655,
  [SMALL_STATE(6813)] = 304670,
  [SMALL_STATE(6814)] = 304683,
  [SMALL_STATE(6815)] = 304696,
  [SMALL_STATE(6816)] = 304711,
  [SMALL_STATE(6817)] = 304724,
  [SMALL_STATE(6818)] = 304739,
  [SMALL_STATE(6819)] = 304754,
  [SMALL_STATE(6820)] = 304769,
  [SMALL_STATE(6821)] = 304782,
  [SMALL_STATE(6822)] = 304797,
  [SMALL_STATE(6823)] = 304810,
  [SMALL_STATE(6824)] = 304823,
  [SMALL_STATE(6825)] = 304838,
  [SMALL_STATE(6826)] = 304853,
  [SMALL_STATE(6827)] = 304868,
  [SMALL_STATE(6828)] = 304883,
  [SMALL_STATE(6829)] = 304898,
  [SMALL_STATE(6830)] = 304913,
  [SMALL_STATE(6831)] = 304928,
  [SMALL_STATE(6832)] = 304943,
  [SMALL_STATE(6833)] = 304958,
  [SMALL_STATE(6834)] = 304971,
  [SMALL_STATE(6835)] = 304986,
  [SMALL_STATE(6836)] = 304999,
  [SMALL_STATE(6837)] = 305014,
  [SMALL_STATE(6838)] = 305029,
  [SMALL_STATE(6839)] = 305044,
  [SMALL_STATE(6840)] = 305059,
  [SMALL_STATE(6841)] = 305074,
  [SMALL_STATE(6842)] = 305089,
  [SMALL_STATE(6843)] = 305104,
  [SMALL_STATE(6844)] = 305119,
  [SMALL_STATE(6845)] = 305134,
  [SMALL_STATE(6846)] = 305149,
  [SMALL_STATE(6847)] = 305162,
  [SMALL_STATE(6848)] = 305175,
  [SMALL_STATE(6849)] = 305190,
  [SMALL_STATE(6850)] = 305205,
  [SMALL_STATE(6851)] = 305220,
  [SMALL_STATE(6852)] = 305235,
  [SMALL_STATE(6853)] = 305250,
  [SMALL_STATE(6854)] = 305265,
  [SMALL_STATE(6855)] = 305277,
  [SMALL_STATE(6856)] = 305289,
  [SMALL_STATE(6857)] = 305301,
  [SMALL_STATE(6858)] = 305313,
  [SMALL_STATE(6859)] = 305325,
  [SMALL_STATE(6860)] = 305337,
  [SMALL_STATE(6861)] = 305349,
  [SMALL_STATE(6862)] = 305361,
  [SMALL_STATE(6863)] = 305373,
  [SMALL_STATE(6864)] = 305385,
  [SMALL_STATE(6865)] = 305397,
  [SMALL_STATE(6866)] = 305409,
  [SMALL_STATE(6867)] = 305421,
  [SMALL_STATE(6868)] = 305433,
  [SMALL_STATE(6869)] = 305445,
  [SMALL_STATE(6870)] = 305457,
  [SMALL_STATE(6871)] = 305469,
  [SMALL_STATE(6872)] = 305481,
  [SMALL_STATE(6873)] = 305493,
  [SMALL_STATE(6874)] = 305505,
  [SMALL_STATE(6875)] = 305517,
  [SMALL_STATE(6876)] = 305529,
  [SMALL_STATE(6877)] = 305541,
  [SMALL_STATE(6878)] = 305553,
  [SMALL_STATE(6879)] = 305565,
  [SMALL_STATE(6880)] = 305577,
  [SMALL_STATE(6881)] = 305589,
  [SMALL_STATE(6882)] = 305601,
  [SMALL_STATE(6883)] = 305613,
  [SMALL_STATE(6884)] = 305625,
  [SMALL_STATE(6885)] = 305637,
  [SMALL_STATE(6886)] = 305649,
  [SMALL_STATE(6887)] = 305661,
  [SMALL_STATE(6888)] = 305673,
  [SMALL_STATE(6889)] = 305685,
  [SMALL_STATE(6890)] = 305697,
  [SMALL_STATE(6891)] = 305709,
  [SMALL_STATE(6892)] = 305721,
  [SMALL_STATE(6893)] = 305733,
  [SMALL_STATE(6894)] = 305745,
  [SMALL_STATE(6895)] = 305757,
  [SMALL_STATE(6896)] = 305769,
  [SMALL_STATE(6897)] = 305781,
  [SMALL_STATE(6898)] = 305793,
  [SMALL_STATE(6899)] = 305805,
  [SMALL_STATE(6900)] = 305817,
  [SMALL_STATE(6901)] = 305829,
  [SMALL_STATE(6902)] = 305841,
  [SMALL_STATE(6903)] = 305853,
  [SMALL_STATE(6904)] = 305865,
  [SMALL_STATE(6905)] = 305877,
  [SMALL_STATE(6906)] = 305889,
  [SMALL_STATE(6907)] = 305901,
  [SMALL_STATE(6908)] = 305913,
  [SMALL_STATE(6909)] = 305925,
  [SMALL_STATE(6910)] = 305937,
  [SMALL_STATE(6911)] = 305949,
  [SMALL_STATE(6912)] = 305961,
  [SMALL_STATE(6913)] = 305973,
  [SMALL_STATE(6914)] = 305985,
  [SMALL_STATE(6915)] = 305997,
  [SMALL_STATE(6916)] = 306009,
  [SMALL_STATE(6917)] = 306021,
  [SMALL_STATE(6918)] = 306033,
  [SMALL_STATE(6919)] = 306045,
  [SMALL_STATE(6920)] = 306057,
  [SMALL_STATE(6921)] = 306069,
  [SMALL_STATE(6922)] = 306081,
  [SMALL_STATE(6923)] = 306093,
  [SMALL_STATE(6924)] = 306105,
  [SMALL_STATE(6925)] = 306117,
  [SMALL_STATE(6926)] = 306129,
  [SMALL_STATE(6927)] = 306141,
  [SMALL_STATE(6928)] = 306153,
  [SMALL_STATE(6929)] = 306165,
  [SMALL_STATE(6930)] = 306177,
  [SMALL_STATE(6931)] = 306189,
  [SMALL_STATE(6932)] = 306201,
  [SMALL_STATE(6933)] = 306213,
  [SMALL_STATE(6934)] = 306225,
  [SMALL_STATE(6935)] = 306237,
  [SMALL_STATE(6936)] = 306249,
  [SMALL_STATE(6937)] = 306261,
  [SMALL_STATE(6938)] = 306273,
  [SMALL_STATE(6939)] = 306285,
  [SMALL_STATE(6940)] = 306297,
  [SMALL_STATE(6941)] = 306309,
  [SMALL_STATE(6942)] = 306321,
  [SMALL_STATE(6943)] = 306333,
  [SMALL_STATE(6944)] = 306345,
  [SMALL_STATE(6945)] = 306357,
  [SMALL_STATE(6946)] = 306369,
  [SMALL_STATE(6947)] = 306381,
  [SMALL_STATE(6948)] = 306393,
  [SMALL_STATE(6949)] = 306405,
  [SMALL_STATE(6950)] = 306417,
  [SMALL_STATE(6951)] = 306429,
  [SMALL_STATE(6952)] = 306441,
  [SMALL_STATE(6953)] = 306453,
  [SMALL_STATE(6954)] = 306465,
  [SMALL_STATE(6955)] = 306477,
  [SMALL_STATE(6956)] = 306489,
  [SMALL_STATE(6957)] = 306501,
  [SMALL_STATE(6958)] = 306513,
  [SMALL_STATE(6959)] = 306525,
  [SMALL_STATE(6960)] = 306537,
  [SMALL_STATE(6961)] = 306549,
  [SMALL_STATE(6962)] = 306561,
  [SMALL_STATE(6963)] = 306573,
  [SMALL_STATE(6964)] = 306585,
  [SMALL_STATE(6965)] = 306597,
  [SMALL_STATE(6966)] = 306609,
  [SMALL_STATE(6967)] = 306621,
  [SMALL_STATE(6968)] = 306633,
  [SMALL_STATE(6969)] = 306645,
  [SMALL_STATE(6970)] = 306657,
  [SMALL_STATE(6971)] = 306669,
  [SMALL_STATE(6972)] = 306681,
  [SMALL_STATE(6973)] = 306693,
  [SMALL_STATE(6974)] = 306705,
  [SMALL_STATE(6975)] = 306717,
  [SMALL_STATE(6976)] = 306729,
  [SMALL_STATE(6977)] = 306741,
  [SMALL_STATE(6978)] = 306753,
  [SMALL_STATE(6979)] = 306765,
  [SMALL_STATE(6980)] = 306777,
  [SMALL_STATE(6981)] = 306789,
  [SMALL_STATE(6982)] = 306801,
  [SMALL_STATE(6983)] = 306813,
  [SMALL_STATE(6984)] = 306825,
  [SMALL_STATE(6985)] = 306837,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6961),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6783),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6771),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_call_without_parentheses, 1, .production_id = 4),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_call_without_parentheses, 1, .production_id = 4),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6763),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(6961),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(1187),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(791),
  [296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(6961),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(1468),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(842),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 1),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6799),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(2279),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(905),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_block, 1),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_block, 1),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_after_block, 1),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6770),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(706),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6769),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(740),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(746),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(3242),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(748),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6774),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(2946),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(557),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(4003),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(870),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(250),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1), SHIFT(625),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_block, 2),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_block, 2),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 2),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_after_block, 2),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6834),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 1),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4464),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_operator_identifier, 1), SHIFT(6961),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stab_clause, 1, .production_id = 6),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stab_clause, 2, .production_id = 11),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6843),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6815),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4497),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__items_with_trailing_separator, 3),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__items_with_trailing_separator, 2),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 2),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 2),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 1),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 1),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 4),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 4),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 3),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 3),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 4),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6778),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_block, 5),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_block, 5),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 5),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_after_block, 5),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_block, 4),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_block, 4),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_after_block, 4),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rescue_block, 3),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_block, 3),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 3),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_after_block, 3),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 2),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4500),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 3),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 1),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 4),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4440),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4443),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4528),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_identifier, 1),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_identifier, 1),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_dot, 3, .production_id = 21),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_dot, 3, .production_id = 21),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_double, 3, .production_id = 18),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_double, 3, .production_id = 18),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_single, 3, .production_id = 18),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_single, 3, .production_id = 18),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_single, 2, .production_id = 8),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_single, 2, .production_id = 8),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_double, 2, .production_id = 8),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_double, 2, .production_id = 8),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_dot, 3, .production_id = 23),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_dot, 3, .production_id = 23),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_dot, 3, .production_id = 22),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_dot, 3, .production_id = 22),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_dot, 3, .production_id = 20),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_dot, 3, .production_id = 20),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_double, 4, .production_id = 24),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_double, 4, .production_id = 24),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_single, 4, .production_id = 24),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_single, 4, .production_id = 24),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__terminator, 1),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminator, 1),
  [2671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2), SHIFT_REPEAT(1019),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__terminator_repeat1, 2),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2), SHIFT_REPEAT(1021),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminator, 2),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__terminator, 2),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2), SHIFT_REPEAT(1027),
  [2698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2), SHIFT_REPEAT(1028),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2), SHIFT_REPEAT(1032),
  [2716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2), SHIFT_REPEAT(1033),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_keyword, 2, .production_id = 2),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_keyword, 2, .production_id = 2),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__anonymous_dot, 2, .production_id = 11),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses, 1), SHIFT(331),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses, 1),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_call_with_parentheses, 2, .production_id = 12),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_call_with_parentheses, 2, .production_id = 12),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_call_with_parentheses, 2, .production_id = 4),
  [2974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_call_with_parentheses, 2, .production_id = 4),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_with_parentheses, 1, .production_id = 3),
  [2982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_with_parentheses, 1, .production_id = 3),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_call, 2, .production_id = 13),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_call, 2, .production_id = 13),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 3),
  [2998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 3),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_call_with_parentheses, 4, .production_id = 12),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_call_with_parentheses, 4, .production_id = 12),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_call_with_parentheses, 4, .production_id = 4),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_call_with_parentheses, 4, .production_id = 4),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 4),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 4),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 5),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 5),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 6),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 6),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 7),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 7),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_call_with_parentheses, 3, .production_id = 4),
  [3026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_call_with_parentheses, 3, .production_id = 4),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_call_with_parentheses, 3, .production_id = 12),
  [3034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_call_with_parentheses, 3, .production_id = 12),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_block, 2),
  [3038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_block, 2),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_with_parentheses_immediate, 3),
  [3050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_parentheses_immediate, 3),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_call, 2, .production_id = 14),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__anonymous_call, 2, .production_id = 14),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_call_without_parentheses, 2, .production_id = 12),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_call_without_parentheses, 2, .production_id = 12),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_with_parentheses, 3),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_parentheses, 3),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_call_without_parentheses, 2, .production_id = 4),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_call_without_parentheses, 2, .production_id = 4),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_with_parentheses, 2),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_parentheses, 2),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, .production_id = 2),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, .production_id = 2),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_with_parentheses_immediate, 2),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_parentheses_immediate, 2),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_charlist, 1, .production_id = 2),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_charlist, 1, .production_id = 2),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 1, .production_id = 3),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 1, .production_id = 3),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_heredoc_single, 3, .production_id = 18),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_heredoc_single, 3, .production_id = 18),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_call_just_do_block, 2, .production_id = 12),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_call_just_do_block, 2, .production_id = 12),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_atom, 2, .production_id = 5),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_atom, 2, .production_id = 5),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_keywords_repeat1, 2),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_parenthesis, 2, .production_id = 8),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_parenthesis, 2, .production_id = 8),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_curly, 2, .production_id = 8),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_curly, 2, .production_id = 8),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_square, 2, .production_id = 8),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_square, 2, .production_id = 8),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_angle, 2, .production_id = 8),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_angle, 2, .production_id = 8),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_bar, 2, .production_id = 8),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_bar, 2, .production_id = 8),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_slash, 2, .production_id = 8),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_slash, 2, .production_id = 8),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_parenthesis, 2, .production_id = 8),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_parenthesis, 2, .production_id = 8),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_without_parentheses, 1, .production_id = 3),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_without_parentheses, 1, .production_id = 3),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_double, 2, .production_id = 8),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_double, 2, .production_id = 8),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_single, 2, .production_id = 8),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_single, 2, .production_id = 8),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_heredoc_single, 2, .production_id = 8),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_heredoc_single, 2, .production_id = 8),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sigil, 3, .production_id = 19),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sigil, 3, .production_id = 19),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_heredoc_double, 2, .production_id = 8),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_heredoc_double, 2, .production_id = 8),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_curly, 2, .production_id = 8),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_curly, 2, .production_id = 8),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_square, 2, .production_id = 8),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_square, 2, .production_id = 8),
  [3184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_angle, 2, .production_id = 8),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_angle, 2, .production_id = 8),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_bar, 2, .production_id = 8),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_bar, 2, .production_id = 8),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_slash, 2, .production_id = 8),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_slash, 2, .production_id = 8),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_parenthesis, 3, .production_id = 18),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_parenthesis, 3, .production_id = 18),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_curly, 3, .production_id = 18),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_curly, 3, .production_id = 18),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_square, 3, .production_id = 18),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_square, 3, .production_id = 18),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_bar, 4, .production_id = 24),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_bar, 4, .production_id = 24),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nullary_operator, 1, .production_id = 1),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nullary_operator, 1, .production_id = 1),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil, 1),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil, 1),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_bar, 3, .production_id = 18),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_bar, 3, .production_id = 18),
  [3228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_slash, 3, .production_id = 18),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_slash, 3, .production_id = 18),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_parenthesis, 3, .production_id = 18),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_parenthesis, 3, .production_id = 18),
  [3236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_double, 3, .production_id = 18),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_double, 3, .production_id = 18),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_single, 3, .production_id = 18),
  [3242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_single, 3, .production_id = 18),
  [3244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_heredoc_single, 3, .production_id = 18),
  [3246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_heredoc_single, 3, .production_id = 18),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_heredoc_double, 3, .production_id = 18),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_heredoc_double, 3, .production_id = 18),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_curly, 3, .production_id = 18),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_curly, 3, .production_id = 18),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_square, 3, .production_id = 18),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_square, 3, .production_id = 18),
  [3260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_angle, 3, .production_id = 18),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_angle, 3, .production_id = 18),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_bar, 3, .production_id = 18),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_bar, 3, .production_id = 18),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_slash, 3, .production_id = 18),
  [3270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_slash, 3, .production_id = 18),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_without_parentheses, 1, .dynamic_precedence = -1),
  [3274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_without_parentheses, 1, .dynamic_precedence = -1),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_parenthesis, 4, .production_id = 24),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_parenthesis, 4, .production_id = 24),
  [3324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_curly, 4, .production_id = 24),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_curly, 4, .production_id = 24),
  [3328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_square, 4, .production_id = 24),
  [3330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_square, 4, .production_id = 24),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_angle, 4, .production_id = 24),
  [3336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_angle, 4, .production_id = 24),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [3342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__capture_expression, 3),
  [3344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__capture_expression, 3),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_slash, 4, .production_id = 24),
  [3348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_slash, 4, .production_id = 24),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [3356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_parenthesis, 4, .production_id = 24),
  [3358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_parenthesis, 4, .production_id = 24),
  [3360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 4),
  [3362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 4),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_heredoc_single, 2, .production_id = 8),
  [3366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_heredoc_single, 2, .production_id = 8),
  [3368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_heredoc_double, 2, .production_id = 8),
  [3370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_heredoc_double, 2, .production_id = 8),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_double, 4, .production_id = 24),
  [3374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_double, 4, .production_id = 24),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_single, 4, .production_id = 24),
  [3378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_single, 4, .production_id = 24),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_heredoc_single, 4, .production_id = 24),
  [3382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_heredoc_single, 4, .production_id = 24),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_heredoc_double, 4, .production_id = 24),
  [3386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_heredoc_double, 4, .production_id = 24),
  [3388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_curly, 4, .production_id = 24),
  [3390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_curly, 4, .production_id = 24),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_square, 4, .production_id = 24),
  [3394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_square, 4, .production_id = 24),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_angle, 4, .production_id = 24),
  [3398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_angle, 4, .production_id = 24),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_bar, 4, .production_id = 24),
  [3402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_bar, 4, .production_id = 24),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_slash, 4, .production_id = 24),
  [3406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_slash, 4, .production_id = 24),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [3410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 3, .dynamic_precedence = -1, .production_id = 15),
  [3418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 3, .dynamic_precedence = -1, .production_id = 15),
  [3420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [3422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [3424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitstring, 2),
  [3426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitstring, 2),
  [3428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .dynamic_precedence = -1, .production_id = 10),
  [3430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .dynamic_precedence = -1, .production_id = 10),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_angle, 3, .production_id = 18),
  [3434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_angle, 3, .production_id = 18),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_heredoc_double, 3, .production_id = 18),
  [3438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_heredoc_double, 3, .production_id = 18),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_heredoc_double, 4, .production_id = 24),
  [3442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_heredoc_double, 4, .production_id = 24),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_i_heredoc_single, 4, .production_id = 24),
  [3446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quoted_i_heredoc_single, 4, .production_id = 24),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_without_parentheses, 3, .dynamic_precedence = -1),
  [3450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_without_parentheses, 3, .dynamic_precedence = -1),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [3458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitstring, 3),
  [3462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitstring, 3),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 3),
  [3466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 3),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 3),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 3),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 20),
  [3476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 20),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [3480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [3484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 3, .production_id = 20),
  [3486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dot, 3, .production_id = 20),
  [3488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_call_without_parentheses, 3, .production_id = 12),
  [3492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_call_without_parentheses, 3, .production_id = 12),
  [3494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_call, 3, .production_id = 13),
  [3496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_call, 3, .production_id = 13),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_call_without_parentheses, 3, .production_id = 4),
  [3500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_call_without_parentheses, 3, .production_id = 4),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4),
  [3508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_without_parentheses, 4, .dynamic_precedence = -1),
  [3516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_without_parentheses, 4, .dynamic_precedence = -1),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sigil, 4, .production_id = 19),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sigil, 4, .production_id = 19),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments_without_parentheses, 2, .dynamic_precedence = -1),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_without_parentheses, 2, .dynamic_precedence = -1),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2),
  [3534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2),
  [3536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(521),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 6),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 6),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 5),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 5),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 5, .production_id = 27),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 5, .production_id = 27),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 5),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 5),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 4, .production_id = 25),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 4, .production_id = 25),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_call, 4, .production_id = 13),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_call, 4, .production_id = 13),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__remote_call_without_parentheses, 4, .production_id = 4),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__remote_call_without_parentheses, 4, .production_id = 4),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keywords, 1),
  [3577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keywords, 1),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keywords, 2),
  [3583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keywords, 2),
  [3585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4801),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__local_call_without_parentheses, 4, .production_id = 12),
  [3592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__local_call_without_parentheses, 4, .production_id = 12),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [3598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_call, 4, .production_id = 26),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_call, 4, .production_id = 26),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 4),
  [3606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 4),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [3612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(512),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4797),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__capture_expression, 1),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__capture_expression, 1),
  [3668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 2, .production_id = 17),
  [3670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pair, 2, .production_id = 17),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [3688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [3718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_with_parentheses, 3),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses, 1), SHIFT(283),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [3781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 1), SHIFT(1020),
  [3784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 1), SHIFT(258),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 2), SHIFT(1020),
  [3832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 2), SHIFT(263),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_with_parentheses, 2),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4814),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4818),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4792),
  [4046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(584),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [4059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(590),
  [4062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4786),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [4157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4803),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4812),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [4171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(599),
  [4174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4789),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4820),
  [4184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(554),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [4195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat2, 2),
  [4197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat2, 2),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2),
  [4297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [4325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(566),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [4388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(526),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [4569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 1), SHIFT(1034),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 1), SHIFT(346),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 2), SHIFT(1034),
  [4618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 2), SHIFT(352),
  [4621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4808),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [4674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(532),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4790),
  [4722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 2), SHIFT(1029),
  [4725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 2), SHIFT(348),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 1), SHIFT(1029),
  [4771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 1), SHIFT(349),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [4776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4809),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4782),
  [4786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(579),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [4849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4794),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [4872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4807),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [4885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__items_with_trailing_separator, 1),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [4933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4806),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [4940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4810),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4784),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [5036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4815),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__stab_clause_arguments_with_parentheses_repeat1, 2),
  [5043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__stab_clause_arguments_with_parentheses_repeat1, 2), REDUCE(aux_sym__stab_clause_arguments_without_parentheses_repeat1, 2),
  [5046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__stab_clause_arguments_without_parentheses_repeat1, 2), SHIFT(281),
  [5049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__stab_clause_arguments_without_parentheses_repeat1, 2),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [5075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses, 1), SHIFT(281),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [5090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_trailing_separator, 1),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 1, .production_id = 9),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6167),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6164),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [5218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses_with_guard, 3, .dynamic_precedence = 1, .production_id = 20),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_with_parentheses_with_guard, 3, .production_id = 20),
  [5222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6014),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6017),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6042),
  [5274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6037),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [5282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6091),
  [5308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6105),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [5402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6096),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6097),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [5420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5960),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [5478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4992),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4991),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6118),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6113),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [5526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5946),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6048),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [5636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4859),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [5640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [5642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [5646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [5648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [5652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [5658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [5662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6006),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6005),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6004),
  [5706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5050),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [5736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6030),
  [5738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6029),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6026),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5998),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [5768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5039),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5979),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5982),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [5842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6146),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5035),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5949),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5951),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [5926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [5928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5004),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [5966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [5972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keywords_with_trailing_separator, 2),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [5978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keywords_with_trailing_separator, 3),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [5994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_block_repeat1, 2), SHIFT_REPEAT(39),
  [5997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_block_repeat1, 2), SHIFT_REPEAT(34),
  [6000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_block_repeat1, 2), SHIFT_REPEAT(36),
  [6003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_do_block_repeat1, 2),
  [6005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_block_repeat1, 2), SHIFT_REPEAT(37),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [6022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1026),
  [6025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(129),
  [6028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2),
  [6030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat2, 2), SHIFT_REPEAT(1030),
  [6033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat2, 2), SHIFT_REPEAT(734),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [6038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(1030),
  [6041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(630),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [6046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 3), SHIFT(1020),
  [6049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 3), SHIFT(261),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [6060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [6078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [6082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [6084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [6102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [6110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [6112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [6114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [6126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [6156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [6162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [6172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stab_clause, 2, .production_id = 16),
  [6174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stab_clause, 2, .production_id = 16),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stab_clause, 3, .production_id = 20),
  [6180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stab_clause, 3, .production_id = 20),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [6198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [6254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [6278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6163),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6162),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [6346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [6390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [6450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [6510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [6522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [6562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [6622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [6638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [6650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [6654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [6662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [6670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [6678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [6698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [6738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [6746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [6778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [6782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [6806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [6830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [6838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [6862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [6882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [6886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [6894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6870),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [6958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [6966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [6982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [7054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [7070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [7074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [7094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [7102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [7106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [7110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [7114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [7118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [7122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [7126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [7142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4338),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [7206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [7208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_double_repeat1, 2),
  [7210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_double_repeat1, 2), SHIFT_REPEAT(432),
  [7213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_double_repeat1, 2), SHIFT_REPEAT(5990),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [7228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_single_repeat1, 2),
  [7230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_single_repeat1, 2), SHIFT_REPEAT(412),
  [7233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_single_repeat1, 2), SHIFT_REPEAT(5989),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [7256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [7258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [7266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [7274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_single_repeat1, 2),
  [7276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_single_repeat1, 2), SHIFT_REPEAT(390),
  [7279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_single_repeat1, 2), SHIFT_REPEAT(5961),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [7318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(490),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [7323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4795),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [7328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 3), SHIFT(1034),
  [7331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 3), SHIFT(353),
  [7334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(134),
  [7337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat2, 2), SHIFT_REPEAT(486),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [7356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_double_repeat1, 2),
  [7358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_double_repeat1, 2), SHIFT_REPEAT(374),
  [7361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_double_repeat1, 2), SHIFT_REPEAT(5955),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [7380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_curly_repeat1, 2),
  [7382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_curly_repeat1, 2), SHIFT_REPEAT(448),
  [7385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_curly_repeat1, 2), SHIFT_REPEAT(6138),
  [7388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_parenthesis_repeat1, 2),
  [7390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_parenthesis_repeat1, 2), SHIFT_REPEAT(440),
  [7393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_parenthesis_repeat1, 2), SHIFT_REPEAT(6137),
  [7396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(853),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [7427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [7429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [7471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [7473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [7477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [7479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [7483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [7487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [7489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [7499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [7501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [7527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [7535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [7537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [7539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [7541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [7543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [7545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [7547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [7549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [7553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [7565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [7567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [7585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [7587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [7591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [7593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [7597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [7599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [7603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [7605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [7607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [7609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [7613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [7615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [7621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_repeat1, 2), SHIFT_REPEAT(1026),
  [7624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_anonymous_function_repeat1, 2), SHIFT_REPEAT(132),
  [7627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_anonymous_function_repeat1, 2),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [7637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [7639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [7641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [7645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [7651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [7655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [7657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [7665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [7675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [7679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [7683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [7687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [7691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [7695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [7697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [7705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [7707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [7709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [7711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [7713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [7719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [7735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [7737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [7741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [7747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [7749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [7751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [7753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [7755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [7759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [7761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [7763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [7765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [7767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [7769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [7773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [7775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [7777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [7783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [7785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [7791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [7793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [7797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [7801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [7803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [7805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [7807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [7813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [7819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [7821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [7823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [7825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [7831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [7875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(797),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [7880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_slash_repeat1, 2),
  [7882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_slash_repeat1, 2), SHIFT_REPEAT(371),
  [7885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_slash_repeat1, 2), SHIFT_REPEAT(6163),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [7890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [7912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [7932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2), SHIFT_REPEAT(578),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [7939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [7941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [7943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [7959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [7973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4811),
  [7976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4316),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [8040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [8042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4506),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [8066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [8106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [8108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [8110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_bar_repeat1, 2),
  [8112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_bar_repeat1, 2), SHIFT_REPEAT(396),
  [8115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_bar_repeat1, 2), SHIFT_REPEAT(6162),
  [8118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [8120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [8128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [8158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [8166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__keywords_with_trailing_separator, 1),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [8182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [8186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [8188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [8196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [8198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [8206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [8214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [8216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [8220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [8224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [8226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [8228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [8230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [8260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_angle_repeat1, 2),
  [8262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_angle_repeat1, 2), SHIFT_REPEAT(431),
  [8265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_angle_repeat1, 2), SHIFT_REPEAT(6141),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [8280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6864),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6868),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6862),
  [8298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_square_repeat1, 2),
  [8300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_square_repeat1, 2), SHIFT_REPEAT(385),
  [8303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_i_square_repeat1, 2), SHIFT_REPEAT(6147),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [8308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_body, 3), SHIFT(1029),
  [8311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_body, 3), SHIFT(347),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [8334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [8338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [8342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [8358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [8410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [8418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6455),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [8424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [8426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6588),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6587),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6583),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [8442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_double_repeat1, 1),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6263),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [8470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_single_repeat1, 1),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [8496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [8524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [8536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [8540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [8544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [8548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [8552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [8556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [8560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [8568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [8572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [8584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_single_repeat1, 1),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [8588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_heredoc_double_repeat1, 1),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [8592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [8596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [8616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [8620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [8636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [8640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [8652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [8660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [8668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [8672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [8676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [8684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [8688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [8692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [8696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [8700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [8704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [8712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [8720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [8724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [8728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [8732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [8736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [8740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [8744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [8748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [8752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [8760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [8764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [8768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [8776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 2),
  [8778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2),
  [8780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [8784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [8796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [8800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [8802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [8806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [8826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [8830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [8846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [8854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [8862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [8866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [8874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [8878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [8886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [8890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [8894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [8898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [8902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [8906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [8910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [8918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [8930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [8934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [8966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [8970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [8974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [8978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [8982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [8986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [8994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [9002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [9006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [9010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [9022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [9030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [9034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [9038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [9042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [9046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [9054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [9058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [9062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [9066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [9076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses, 2),
  [9078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3),
  [9080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3),
  [9082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__stab_clause_arguments_without_parentheses_repeat1, 2), SHIFT_REPEAT(488),
  [9085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [9089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [9093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [9097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [9101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [9105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [9109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_parenthesis_repeat1, 1),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [9113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_curly_repeat1, 1),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [9117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_angle_repeat1, 1),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [9121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [9125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [9129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [9133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [9137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_square_repeat1, 1),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [9141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [9149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [9157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [9165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [9169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [9173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [9177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [9181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_bar_repeat1, 1),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [9185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_i_slash_repeat1, 1),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [9193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [9195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [9197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [9205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [9207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [9209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [9211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [9213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [9215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [9217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [9231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_parenthesis_repeat1, 1),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [9237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [9243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [9247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [9249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [9251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [9253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [9255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [9259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [9271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [9277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [9285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [9287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_trailing_separator, 2),
  [9289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [9299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [9325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [9331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_slash_repeat1, 1),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [9337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [9349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [9351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [9357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [9359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [9361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [9375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [9387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_parenthesis_repeat1, 2),
  [9389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_parenthesis_repeat1, 2), SHIFT_REPEAT(6202),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [9410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [9412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [9414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [9416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [9418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [9420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [9422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [9424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [9426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [9430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_double_repeat1, 1),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [9442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_single_repeat1, 1),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6756),
  [9448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses, 3),
  [9450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [9454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [9458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [9460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [9464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [9466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [9472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [9476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [9480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [9482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [9488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_double_repeat1, 2),
  [9490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_double_repeat1, 2), SHIFT_REPEAT(6337),
  [9493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [9495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [9497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [9499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [9501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [9511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [9517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [9519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [9521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [9523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [9525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [9527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [9529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [9531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [9535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [9537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [9539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [9541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [9543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [9545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [9547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [9549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [9551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [9553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [9557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [9559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [9561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [9563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [9565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [9567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [9569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [9571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [9573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [9575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [9577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [9579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [9583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__stab_clause_arguments_with_parentheses_repeat1, 2), SHIFT_REPEAT(588),
  [9586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [9588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [9590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [9592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [9594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_heredoc_double_repeat1, 1),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [9598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__items_with_trailing_separator, 4),
  [9600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_single_repeat1, 2),
  [9602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_single_repeat1, 2), SHIFT_REPEAT(6344),
  [9605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [9607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [9609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [9611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [9613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [9615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [9617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [9619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [9621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [9623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [9625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [9627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [9629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6813),
  [9633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [9637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [9643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [9645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [9647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [9651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [9653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [9659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [9661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [9665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [9667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [9669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [9671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [9673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [9675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [9677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [9681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [9685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keywords_repeat1, 2), SHIFT_REPEAT(4800),
  [9688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [9690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_heredoc_single_repeat1, 1),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [9720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [9726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [9728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [9730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [9732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [9736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [9738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [9740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [9744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_heredoc_single_repeat1, 2),
  [9746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_heredoc_single_repeat1, 2), SHIFT_REPEAT(6520),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [9769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_angle_repeat1, 1),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [9775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_square_repeat1, 1),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [9779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_curly_repeat1, 1),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [9783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__items_with_trailing_separator_repeat1, 2), SHIFT_REPEAT(733),
  [9786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [9790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [9792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [9794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [9796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [9798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [9800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [9802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [9804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [9806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [9808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [9810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [9814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [9816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [9818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_heredoc_double_repeat1, 2),
  [9820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_heredoc_double_repeat1, 2), SHIFT_REPEAT(6455),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [9837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [9839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [9841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [9843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [9845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [9847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [9849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [9851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [9853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [9855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [9857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_bar_repeat1, 1),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [9861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [9863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_curly_repeat1, 2),
  [9865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_curly_repeat1, 2), SHIFT_REPEAT(6588),
  [9868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [9870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [9872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [9874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [9876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4306),
  [9878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [9880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [9882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [9884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [9886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_square_repeat1, 2),
  [9888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_square_repeat1, 2), SHIFT_REPEAT(6587),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [9895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [9897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_angle_repeat1, 2),
  [9899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_angle_repeat1, 2), SHIFT_REPEAT(6583),
  [9902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [9904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [9906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [9908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [9910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [9914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_bar_repeat1, 2),
  [9916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_bar_repeat1, 2), SHIFT_REPEAT(6636),
  [9919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [9921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [9923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [9925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__quoted_slash_repeat1, 2),
  [9927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__quoted_slash_repeat1, 2), SHIFT_REPEAT(6263),
  [9930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [9946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [9948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [9950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [9952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [9956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [9960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [9964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [9966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [9968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [9970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [9974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [9982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [9984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [9988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [9990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [9992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4246),
  [9994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [9996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [9998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [10004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [10006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [10008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [10010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [10014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [10016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [10018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [10020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [10026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [10028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [10030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [10032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_with_parentheses, 5),
  [10034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_with_parentheses, 6),
  [10036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [10062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_repeat1, 2),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [10068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [10090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [10092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_left, 1),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [10108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_with_parentheses, 4),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [10114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [10116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_arguments_without_parentheses, 4),
  [10118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [10124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [10126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [10132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [10134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [10136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [10138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [10140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [10142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [10144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [10148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [10150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [10152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [10154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [10156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [10158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [10160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [10162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [10164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [10170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [10174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [10176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [10178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [10180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6982),
  [10182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6970),
  [10186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [10188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [10190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [10194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [10196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [10198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [10200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [10202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [10204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [10206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [10208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [10210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [10212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [10214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6866),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [10220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [10222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [10224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__stab_clause_left, 1, .production_id = 7),
  [10226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6966),
  [10228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [10230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [10232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [10236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [10238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [10240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [10242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [10244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [10246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [10250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [10252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [10254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6936),
  [10256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [10258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [10260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [10264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [10266] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [10268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [10272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [10274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [10276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [10278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [10280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [10282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [10284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [10288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [10290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [10292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [10294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [10296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [10300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_trailing_separator, 3),
  [10302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [10304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [10306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments_with_trailing_separator, 4),
  [10308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [10310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [10314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [10316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [10318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [10322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [10326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [10328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [10330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [10332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [10334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [10336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [10338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [10340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [10344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [10354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [10356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [10358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [10360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [10362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [10364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [10366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [10368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [10370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [10372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [10374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__quoted_content_i_single = 0,
  ts_external_token__quoted_content_i_double = 1,
  ts_external_token__quoted_content_i_heredoc_single = 2,
  ts_external_token__quoted_content_i_heredoc_double = 3,
  ts_external_token__quoted_content_i_parenthesis = 4,
  ts_external_token__quoted_content_i_curly = 5,
  ts_external_token__quoted_content_i_square = 6,
  ts_external_token__quoted_content_i_angle = 7,
  ts_external_token__quoted_content_i_bar = 8,
  ts_external_token__quoted_content_i_slash = 9,
  ts_external_token__quoted_content_single = 10,
  ts_external_token__quoted_content_double = 11,
  ts_external_token__quoted_content_heredoc_single = 12,
  ts_external_token__quoted_content_heredoc_double = 13,
  ts_external_token__quoted_content_parenthesis = 14,
  ts_external_token__quoted_content_curly = 15,
  ts_external_token__quoted_content_square = 16,
  ts_external_token__quoted_content_angle = 17,
  ts_external_token__quoted_content_bar = 18,
  ts_external_token__quoted_content_slash = 19,
  ts_external_token__newline_before_do = 20,
  ts_external_token__newline_before_binary_operator = 21,
  ts_external_token__newline_before_comment = 22,
  ts_external_token__before_unary_op = 23,
  ts_external_token__not_in = 24,
  ts_external_token__quoted_atom_start = 25,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__quoted_content_i_single] = sym__quoted_content_i_single,
  [ts_external_token__quoted_content_i_double] = sym__quoted_content_i_double,
  [ts_external_token__quoted_content_i_heredoc_single] = sym__quoted_content_i_heredoc_single,
  [ts_external_token__quoted_content_i_heredoc_double] = sym__quoted_content_i_heredoc_double,
  [ts_external_token__quoted_content_i_parenthesis] = sym__quoted_content_i_parenthesis,
  [ts_external_token__quoted_content_i_curly] = sym__quoted_content_i_curly,
  [ts_external_token__quoted_content_i_square] = sym__quoted_content_i_square,
  [ts_external_token__quoted_content_i_angle] = sym__quoted_content_i_angle,
  [ts_external_token__quoted_content_i_bar] = sym__quoted_content_i_bar,
  [ts_external_token__quoted_content_i_slash] = sym__quoted_content_i_slash,
  [ts_external_token__quoted_content_single] = sym__quoted_content_single,
  [ts_external_token__quoted_content_double] = sym__quoted_content_double,
  [ts_external_token__quoted_content_heredoc_single] = sym__quoted_content_heredoc_single,
  [ts_external_token__quoted_content_heredoc_double] = sym__quoted_content_heredoc_double,
  [ts_external_token__quoted_content_parenthesis] = sym__quoted_content_parenthesis,
  [ts_external_token__quoted_content_curly] = sym__quoted_content_curly,
  [ts_external_token__quoted_content_square] = sym__quoted_content_square,
  [ts_external_token__quoted_content_angle] = sym__quoted_content_angle,
  [ts_external_token__quoted_content_bar] = sym__quoted_content_bar,
  [ts_external_token__quoted_content_slash] = sym__quoted_content_slash,
  [ts_external_token__newline_before_do] = sym__newline_before_do,
  [ts_external_token__newline_before_binary_operator] = sym__newline_before_binary_operator,
  [ts_external_token__newline_before_comment] = sym__newline_before_comment,
  [ts_external_token__before_unary_op] = sym__before_unary_op,
  [ts_external_token__not_in] = sym__not_in,
  [ts_external_token__quoted_atom_start] = sym__quoted_atom_start,
};

static const bool ts_external_scanner_states[27][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__quoted_content_i_single] = true,
    [ts_external_token__quoted_content_i_double] = true,
    [ts_external_token__quoted_content_i_heredoc_single] = true,
    [ts_external_token__quoted_content_i_heredoc_double] = true,
    [ts_external_token__quoted_content_i_parenthesis] = true,
    [ts_external_token__quoted_content_i_curly] = true,
    [ts_external_token__quoted_content_i_square] = true,
    [ts_external_token__quoted_content_i_angle] = true,
    [ts_external_token__quoted_content_i_bar] = true,
    [ts_external_token__quoted_content_i_slash] = true,
    [ts_external_token__quoted_content_single] = true,
    [ts_external_token__quoted_content_double] = true,
    [ts_external_token__quoted_content_heredoc_single] = true,
    [ts_external_token__quoted_content_heredoc_double] = true,
    [ts_external_token__quoted_content_parenthesis] = true,
    [ts_external_token__quoted_content_curly] = true,
    [ts_external_token__quoted_content_square] = true,
    [ts_external_token__quoted_content_angle] = true,
    [ts_external_token__quoted_content_bar] = true,
    [ts_external_token__quoted_content_slash] = true,
    [ts_external_token__newline_before_do] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
    [ts_external_token__before_unary_op] = true,
    [ts_external_token__not_in] = true,
    [ts_external_token__quoted_atom_start] = true,
  },
  [2] = {
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
    [ts_external_token__before_unary_op] = true,
    [ts_external_token__not_in] = true,
    [ts_external_token__quoted_atom_start] = true,
  },
  [3] = {
    [ts_external_token__newline_before_do] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
    [ts_external_token__before_unary_op] = true,
    [ts_external_token__not_in] = true,
    [ts_external_token__quoted_atom_start] = true,
  },
  [4] = {
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
    [ts_external_token__not_in] = true,
  },
  [5] = {
    [ts_external_token__newline_before_do] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
    [ts_external_token__not_in] = true,
  },
  [6] = {
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [7] = {
    [ts_external_token__quoted_content_i_heredoc_single] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [8] = {
    [ts_external_token__quoted_content_i_single] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [9] = {
    [ts_external_token__quoted_content_i_double] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [10] = {
    [ts_external_token__quoted_content_i_parenthesis] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [11] = {
    [ts_external_token__quoted_content_i_heredoc_double] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [12] = {
    [ts_external_token__quoted_content_i_curly] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [13] = {
    [ts_external_token__quoted_content_i_slash] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [14] = {
    [ts_external_token__quoted_content_i_bar] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [15] = {
    [ts_external_token__quoted_content_i_angle] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [16] = {
    [ts_external_token__quoted_content_i_square] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [17] = {
    [ts_external_token__quoted_content_heredoc_single] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [18] = {
    [ts_external_token__quoted_content_parenthesis] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [19] = {
    [ts_external_token__quoted_content_single] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [20] = {
    [ts_external_token__quoted_content_heredoc_double] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [21] = {
    [ts_external_token__quoted_content_curly] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [22] = {
    [ts_external_token__quoted_content_square] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [23] = {
    [ts_external_token__quoted_content_angle] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [24] = {
    [ts_external_token__quoted_content_double] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [25] = {
    [ts_external_token__quoted_content_slash] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
  [26] = {
    [ts_external_token__quoted_content_bar] = true,
    [ts_external_token__newline_before_binary_operator] = true,
    [ts_external_token__newline_before_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_elixir_external_scanner_create(void);
void tree_sitter_elixir_external_scanner_destroy(void *);
bool tree_sitter_elixir_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_elixir_external_scanner_serialize(void *, char *);
void tree_sitter_elixir_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_elixir() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_elixir_external_scanner_create,
      tree_sitter_elixir_external_scanner_destroy,
      tree_sitter_elixir_external_scanner_scan,
      tree_sitter_elixir_external_scanner_serialize,
      tree_sitter_elixir_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
